 以下是所有的'xtype'和类的对应关系
xtype            类
-------------    ------------------
box              Ext.BoxComponent
button           Ext.Button
colorpalette     Ext.ColorPalette
component        Ext.Component
container        Ext.Container
cycle            Ext.CycleButton
dataview         Ext.DataView
datepicker       Ext.DatePicker
editor           Ext.Editor
editorgrid       Ext.grid.EditorGridPanel
grid             Ext.grid.GridPanel
paging           Ext.PagingToolbar
panel            Ext.Panel
progress         Ext.ProgressBar
propertygrid     Ext.grid.PropertyGrid
slider           Ext.Slider
splitbutton      Ext.SplitButton
statusbar        Ext.StatusBar
tabpanel         Ext.TabPanel
treepanel        Ext.tree.TreePanel
viewport         Ext.Viewport
window           Ext.Window

Toolbar components
---------------------------------------
toolbar          Ext.Toolbar
tbbutton         Ext.Toolbar.Button
tbfill           Ext.Toolbar.Fill
tbitem           Ext.Toolbar.Item
tbseparator      Ext.Toolbar.Separator
tbspacer         Ext.Toolbar.Spacer
tbsplit          Ext.Toolbar.SplitButton
tbtext           Ext.Toolbar.TextItem

Form components
---------------------------------------
form             Ext.FormPanel
checkbox         Ext.form.Checkbox
combo            Ext.form.ComboBox
datefield        Ext.form.DateField
field            Ext.form.Field
fieldset         Ext.form.FieldSet
hidden           Ext.form.Hidden
htmleditor       Ext.form.HtmlEditor
label            Ext.form.Label
numberfield      Ext.form.NumberField
radio            Ext.form.Radio
textarea         Ext.form.TextArea
textfield        Ext.form.TextField
timefield        Ext.form.TimeField
trigger          Ext.form.TriggerField


 以下是所有的布局字符串和类的对应关系，所有的布局类均继承自 Ext.layout.ContainerLayout类
（译者注：中文名称是我自己凭感觉写的，没有查阅资料，如有不准可以联系我。）

字符串            类                           中文名称
-------------    ------------------           ------------------
accordion        Ext.layout.Accordion         可折叠的
anchor           Ext.layout.AnchorLayout      锚定
border           Ext.layout.BorderLayout      边界式
card             Ext.layout.CardLayout        卡片式
column           Ext.layout.ColumnLayout      列式
fit              Ext.layout.FitLayout         自适应
form             Ext.layout.FormLayout        表单式
table            Ext.layout.TableLayout       表格式
absolute         Ext.layout.Absolute          绝对定位


 以下是所有工具栏可用按钮名称字符串

字符串               中文名称
-------------    ------------------
toggle            收缩/展开
close             关闭
minimize          最小化
maximize          最大化
restore           重置
gear              自适应
pin               固定
unpin             解除固定
right             向右
left              向左
up                向上
down              向下
refresh           刷新
minus             缩小
plus              放大
help              帮助
search            搜索
save              保存
print             打印


Ext 2.2 - API 文档

加载中...
Ext 2.2 - API 文档


Additional Resources

  • Ext 2.2 Samples
  • Ext Learning Center
  • FAQ
  • Tutorials
  • Ext Community Manual
  • Ext JS Blog

Support

  • Support Subscriptions
  • Community Forums

Icon Legend

  • Package
  • Class
  • Singleton
  • Component
  • Method
  • Property
  • Config Option
  • Event


说明文档

翻译： 天猪 、 Tony 、 大漠穷秋
编译压制：大漠穷秋
QQ群：88403922
本次更新：2009-08-10（最终完成版）

说明：
1、对此文档的翻译文字保留所有权利，侵权必究。
2、少量的BugFix会根据反馈信息进行。
3、时间仓促，水平有限；疏漏难免，欢迎批评。


Class Array

包: | Global
所在文件: | Ext.js
Class: | Array
继承自: | Object

公共属性

该类没有公共属性。

公共方法

Method 所在类
indexOf( Object o ) : Number
查找数组中是否存在指定的对象。
查找数组中是否存在指定的对象。
参数:
  • o : Object
    需要查找的对象
返回值:
  • Number
    对象在数组中的下标(如果不存在该对象，返回-1)
 Array
remove( Object o ) : Array
从数组中删除指定的元素，如果该元素不存在，则什么事情都不做。
从数组中删除指定的元素，如果该元素不存在，则什么事情都不做。
参数:
  • o : Object
    需要删除对象
返回值:
  • Array
    返回删除后的数组
 Array

公共事件

该类没有公共事件。


Class Date

包: | Global
所在文件: | Date.js
Class: | Date
继承自: | Object
日期解析和格式化符号是 PHP date() 方法的子集， 所有支持的格式均与他们PHP版本的值相等。 以下是目前所有支持的格式列表：
格式符     描述                                                                           返回值示例
------  -----------------------------------------------------------------------   -----------------------
  d     一个月中的第几天，以0开头的两位数字                                               01 到 31
  D     一周中星期几的英文缩写                                                            Mon to Sun
  j     一个月中的第几天，不以0开头的数字                                                 1 to 31
  l     一周中星期几的英文全拼                                                            Sunday to Saturday
  N     一周中第几天的ISO-8601 数字标准的表述                                            1 (for Monday) 到 7 (for Sunday)
  S     一个月中第几天的英文序数后缀，2个字符                                              st, nd, rd or th. Works well with j
  w     一周中天数的数字表述                                                              0 (for Sunday) 到 6 (for Saturday)
  z     一年中的第几天（从0开始）                                                         0 到 364 (365 闰年)
  W     ISO-8601标准，一年中的第几周，从星期一开始计算                                    01 到 53
  F     月份的完整文字表述，例如January 或 March                                      January 到 December
  m     月份的数字表述，数字以0开头                                                       01到12
  M     月份名称的英文缩写                                                                Jan to Dec
  n     月份的数字表述，数字不以0开头                                                     1 到 12
  t     指定月份的天数                                                                   28 到 31
  L     是否是闰年                                                                       如果是闰年，为1，其它为0.
  o     ISO-8601 标准下的年份数字 (与(Y)相同，但如果ISO标准下的周序号(W)属               Examples: 1998 or 2004
           前一年或后一年，将使用ISO标准的年份来替代)
  Y     年份的完整数字表示，4位数字                                                       Examples: 1999 or 2003
  y     年份的两位数表示                                                                  Examples: 99 or 03
  a     上午和下午的小写字母                                                              am or pm
  A     上午和下午的大写字母                                                              AM or PM
  g     12小时制的小时数，数字不以0开头	                                               1 to 12
  G     24小时制的小时数，数字不以0开头                                                   0 to 23
  h     12小时制的小时数，数字以0开头                                                     01 to 12
  H     24小时制的小时数，数字以0开头                                                     00 to 23
  i     分钟，数字以0开头                                                                 00 to 59
  s     秒，数字以0开头                                                                   00 to 59
  u     毫秒，数字以0开头(允许任意位数)                                              Examples:
                                                                                001 (例如： 1ms) or
                                                                                100 (例如： 100ms) or
                                                                                999 (例如： 999ms) or
                                                                                999876543210 (例如： 999.876543210ms)
  O     与格林威治时间(GMT)的差值（译者注：小时与分钟连在一起）                           Example: +1030
  P     与格林威治时间(GMT)的差值，小时与分钟之间有冒号                                   Example: -08:00
  T     执行此程序的机器所在时区的英文缩写                                                Examples: EST, MDT, PDT ...
  Z     时区秒偏移量(negative if west of UTC, positive if east)                    -43200 to 50400
  c     ISO 8601 日期 (注意:如果有毫秒，至少提供1位数。                                  Examples:
        毫秒的位数没有限制。                                                             2007-04-17T15:19:21+08:00 or
        更多资料请参考http://www.w3.org/TR/NOTE-datetime)                           2008-03-16T16:18:22Z or
                                                                                2009-02-15T17:17:23.9+01:00 or
                                                                                2010-01-14T18:16:24,999876543-07:00
  U     自从UNIX操作系统开始运行起经过的秒数(格林威治时间 1970年1月1日 0时0分0秒)        1193432466 or -2138434463
示例用法 (note that you must escape format specifiers with '\\' to render them as character literals):
// Sample date:
// 'Wed Jan 10 2007 15:05:01 GMT-0600 (Central Standard Time)'

var dt = new Date('1/10/2007 03:05:01 PM GMT-0600');
document.write(dt.format('Y-m-d'));                           // 2007-01-10
document.write(dt.format('F j, Y, g:i a'));                   // January 10, 2007, 3:05 pm
document.write(dt.format('l, \\t\\he jS \\of F Y h:i:s A'));  // Wednesday, the 10th of January 2007 03:05:01 PM
这里有一些标准的日期/时间模式可能对你有所帮助。 他们不是Date.js源码的一部分，但是如果需要使用它们，你可以简单地把这块代码拷贝到任何在Date.js后面导入的js 中去，它们也将成为Date对象的一部分，全局可用。 你可以自由地在你的代码中加入或者移去这部分代码。
Date.patterns = {
    ISO8601Long:"Y-m-d H:i:s",
    ISO8601Short:"Y-m-d",
    ShortDate: "n/j/Y",
    LongDate: "l, F d, Y",
    FullDateTime: "l, F d, Y g:i:s A",
    MonthDay: "F d",
    ShortTime: "g:i A",
    LongTime: "g:i:s A",
    SortableDateTime: "Y-m-d\\TH:i:s",
    UniversalSortableDateTime: "Y-m-d H:i:sO",
    YearMonth: "F, Y"
};
示例用法:
var dt = new Date();
document.write(dt.format(Date.patterns.ShortDate));

公共属性

Property 所在类
DAY : String
<静态> Date类的时间间隔常量
Date
HOUR : String
<静态> Date类的时间间隔常量
Date
MILLI : String
<静态> Date类的时间间隔常量
Date
MINUTE : String
<静态> Date类的时间间隔常量
Date
MONTH : String
<静态> Date类的时间间隔常量
Date
SECOND : String
<静态> Date类的时间间隔常量
Date
YEAR : String
<静态> Date类的时间间隔常量
Date
dayNames : Array
<静态> 每天名称的文本数组。 覆盖这些值以支持国际化的日期。 Example: Date.dayNames =...
<静态> 每天名称的文本数组。 覆盖这些值以支持国际化的日期。 Example:
Date.dayNames = [
      'SundayInYourLang',
      'MondayInYourLang',
      ...
    ];
 Date
formatCodes : Object
<静态> 基本的格式编码到格式函数映射的哈希表， 被...
<静态> 基本的格式编码到格式函数映射的哈希表， 被format 方法所使用。 格式化函数为字符串(或者是返回字符串的函数)， 它将计算日期对象的内容，并返回适当的值， format 就是用它来调用的。 添加到根元素，覆盖这些映射，可以自定义日期格式。 Note: Date.format() 方法在如果找不到合适的映射时，将按字面意义对待字符串。 Example:
Date.formatCodes.x = "String.leftPad(this.getDate(), 2, '0')";
    (new Date()).format("X"); // returns the current day of the month
 Date
monthNames : Array
<静态> 一个月份名称的文本值数组。 覆盖这些值以支持国际化的日期 Example: Date.monthNam...
<静态> 一个月份名称的文本值数组。 覆盖这些值以支持国际化的日期。 Example:
Date.monthNames = [
      'JanInYourLang',
      'FebInYourLang',
      ...
    ];
 Date
monthNumbers : Object
<静态> An object hash of zero-based javascript month numbers (with short month names as keys. note: keys are ...
<静态> 一个对象哈希表，包含从0开始的javascript月份数值 (使用月份名称缩写作为key值。注意：key是大小写敏感的)。 覆盖这些值以支持国际化的日期。 Example:
Date.monthNumbers = {
      'ShortJanNameInYourLang':0,
      'ShortFebNameInYourLang':1,
      ...
    };
 Date

公共方法

Method 所在类
add( String interval, Number value ) : Date
提供基本时间运算的便捷方法。 此方法不会改变调用的时间实例...
提供基本时间运算的便捷方法。 此方法不会改变调用的时间实例---它创建并返回一个新的Date实例，包含运算结果的时间值。 Examples:
//Basic usage:
    var dt = new Date('10/29/2006').add(Date.DAY, 5);
    document.write(dt); //returns 'Fri Oct 06 2006 00:00:00'

    //Negative values will subtract correctly:
    var dt2 = new Date('10/1/2006').add(Date.DAY, -5);
    document.write(dt2); //returns 'Tue Sep 26 2006 00:00:00'

    //You can even chain several calls together in one line!
    var dt3 = new Date('10/1/2006').add(Date.DAY, 5).add(Date.HOUR, 8).add(Date.MINUTE, -30);
    document.write(dt3); //returns 'Fri Oct 06 2006 07:30:00'
参数:
  • interval : String
    一个合法的时间间隔枚举值。
  • value : Number
    增加到当前日期的数值。
返回值:
  • Date
    新的Date实例。
 Date
between( Date start, Date end ) : Boolean
检测当前日期是否落在所给的起始和结束日期之间（闭区间）。
检测当前日期是否落在所给的起始和结束日期之间（闭区间）。
参数:
  • start : Date
    Start date
  • end : Date
    End date
返回值:
  • Boolean
    如果落在所给的起始和结束日期的区间内（闭区间），返回true。
Date
clearTime( Boolean clone ) : Date
从当前的日期对象中清除所有时间信息。
从当前的日期对象中清除所有时间信息。
参数:
  • clone : Boolean
    如果为true，创建当前时间的一个克隆版本，清除它的时间信息，然后将它返回(默认值为 false).
返回值:
  • Date
    当前日期或者它的克隆体
 Date
clone() : Date
使用调用此方法的实例的，严格相等的日期值， 创建并返回一个新的日期实例...
使用调用此方法的实例的，严格相等的日期值， 创建并返回一个新的日期实例。 Date对象是以引用的方式拷贝和传递的， 所以如果一个拷贝的日期变量被改变，原来的变量也将被改变。 当试图创建一个新的变量而不改变原来的实例时，你应该创建一个克隆版本。 正确克隆日期示例:
//wrong way:
    var orig = new Date('10/1/2006');
    var copy = orig;
    copy.setDate(5);
    document.write(orig);  //returns 'Thu Oct 05 2006'!

    //correct way:
    var orig = new Date('10/1/2006');
    var copy = orig.clone();
    copy.setDate(5);
    document.write(orig);  //returns 'Thu Oct 01 2006'
参数:
  • 无.
返回值:
  • Date
    新的Date实例。
 Date
format( String format ) : String
使用所提供的格式字符串格式化一个日期对象。
使用所提供的格式字符串格式化一个日期对象。
参数:
  • format : String
    格式字符串。
返回值:
  • String
    格式好的日期对象。
Date
getDayOfYear() : Number
获取一年的天数数值，为闰年的情况做过调整。
获取一年的天数数值，为闰年的情况做过调整。
参数:
  • 无.
返回值:
  • Number
    0 to 364 (365 in leap years).
 Date
getDaysInMonth() : Number
获取当前月份的天数，为闰年做过调整。
获取当前月份的天数，为闰年做过调整。
参数:
  • 无.
返回值:
  • Number
    The number of days in the month.
 Date
getElapsed( [Date date] ) : Number
返回当前时间和传入的时间之间，时间差的毫秒数。
返回当前时间和传入的时间之间，时间差的毫秒数。
参数:
  • date : Date
    (可选)默认为当前时间
返回值:
  • Number
    差值毫秒数
 Date
getFirstDateOfMonth() : Date
获取当前日期所在月的第一天的日期。
获取当前日期所在月的第一天的日期。
参数:
  • 无.
返回值:
  • Date
 Date
getFirstDayOfMonth() : Number
获取当前月份的第一天，为闰年的情况做过调整。 返回的值是一周中天数的索引数值(0-6)...
获取当前月份的第一天，为闰年的情况做过调整。 返回的值是一周中天数的索引数值(0-6)， 可以与 monthNames 数组联合使用，以获得日期名称文本。 Example:
var dt = new Date('1/10/2007');
    document.write(Date.dayNames[dt.getFirstDayOfMonth()]); //output: 'Monday'
参数:
  • 无.
返回值:
  • Number
    天数数值(0-6).
 Date
getGMTOffset( Boolean colon ) : String
获取GMT日期与当前日期的偏移量(相当于格式符'O')。
获取GMT日期与当前日期的偏移量(相当于格式符'O')。
参数:
  • colon : Boolean
    如果为true，在小时和分钟数之间用逗号（','）间隔(默认值为 false).
返回值:
  • String
    一个以+ 或 -为前缀的4字符偏移量字符串(例如：'-0600').
 Date
getLastDateOfMonth() : Date
获取当前日期所在月份最后一天的日期。
获取当前日期所在月份最后一天的日期。
参数:
  • 无.
返回值:
  • Date
 Date
getLastDayOfMonth() : Number
Get the last day of the current month, adjusted for leap year. The returned value is the numeric day index within th...
获取当前月份的最后一天，为闰年做过调整。 返回的值是一周中天数的索引数值(0-6)， 可以与 monthNames 数组联合使用，以获得日期名称文本。 Example:
var dt = new Date('1/10/2007');
    document.write(Date.dayNames[dt.getLastDayOfMonth()]); //output: 'Wednesday'
参数:
  • 无.
返回值:
  • Number
    The day number (0-6).
 Date
getMonthNumber( String name ) : Number
<静态> 根据所给的月份名称的缩写或者全拼，获取从0开始的javascript月份数值。...
<静态> 根据所给的月份名称的缩写或者全拼，获取从0开始的javascript月份数值。 覆盖此方法以支持国际化的日期。
参数:
  • name : String
    The short/full month name.
返回值:
  • Number
    The zero-based javascript month number.
 Date
getShortDayName( Number day ) : String
<静态> 根据所给day的数值，获取day的名称。 覆盖此方法以支持国际化的日期。
<静态> 根据所给day的数值，获取day的名称。 覆盖此方法以支持国际化的日期。
参数:
  • day : Number
    一个从0开始的javascript天数数值。
返回值:
  • String
    The short day name.
 Date
getShortMonthName( Number month ) : String
<静态> 根据所给的月份数值获取月份名称的缩写。 覆盖此方法以支持国际化的日期。
<静态> 根据所给的月份数值获取月份名称的缩写。 覆盖此方法以支持国际化的日期。
参数:
  • month : Number
    一个从0开始的javascript月份数值。
返回值:
  • String
    月份名称缩写。
Date
getSuffix() : String
获取当前天的英文序数后缀(相当于格式说明符'S')。
获取当前天的英文序数后缀 (相当于格式说明符'S')。
参数:
  • 无.
返回值:
  • String
    'st, 'nd', 'rd' or 'th'.
 Date
getTimezone() : String
获取当前日期所在时区的名称缩写 (相当于格式符'T')...
获取当前日期所在时区的名称缩写 (相当于格式符'T')。 注意: javascript Date对象的toString()方法返回的日期字符串不用于浏览器 (e.g. FF vs IE)和系统的时区设置(e.g. IE in Asia vs IE in America)。 对于一个给定的日期字符串，例如："Thu Oct 25 2007 22:55:35 GMT+0800 (马来群岛的时间格式)"， getTimezone()方法首先从一对圆括号中获取时区缩写 (它可能存在，也可能不存在)， 如果获取失败，它将继续在日期字符串的GMT偏移量部分获取时区缩写。
参数:
  • 无.
返回值:
  • String
    时区名称缩写(例如：'CST', 'PDT', 'EDT', 'MPST' ...).
 Date
getWeekOfYear() : Number
获取一年的周数（ISO-8601标准）。 (相当于格式符'W'，但数字不以0开头)
获取一年的周数（ISO-8601标准）。 (相当于格式符'W'，但数字不以0开头)。
参数:
  • 无.
返回值:
  • Number
    1 to 53
 Date
isLeapYear() : Boolean
判断当前日期是否是闰年。
判断当前日期是否是闰年。
参数:
  • 无.
返回值:
  • Boolean
    True if the current date is in a leap year, else false.
 Date
parseDate( String input, String format ) : Date
<静态>根据指定的格式解析传入的字符串。 注意：此方法期望的日期格式为一个基本的日历格式...
<静态> 根据指定的格式解析传入的字符串。 注意：此方法期望的日期格式为一个基本的日历格式， 这意味着，月份从1开始(1 = January) 而不是像JavaScript日期那样从0开始。 任何未指定日期的部分将默认为当前日期值。 时间部分也可以指定，但是默认为0. 请记住，传入的日期字符串必须正好与格式字符相吻合， 否则解析操作将会失败。 用法示例:
//dt = Fri May 25 2007 (current date)
    var dt = new Date();

    //dt = Thu May 25 2006 (today's month/day in 2006)
    dt = Date.parseDate("2006", "Y");

    //dt = Sun Jan 15 2006 (all date parts specified)
    dt = Date.parseDate("2006-01-15", "Y-m-d");

    //dt = Sun Jan 15 2006 15:20:01 GMT-0600 (CST)
    dt = Date.parseDate("2006-01-15 3:20:01 PM", "Y-m-d h:i:s A" );
参数:
  • input : String
    The unparsed date as a string.
  • format : String
    The format the date is in.
返回值:
  • Date
    The parsed date.
 Date

公共事件

该类没有公共事件。


Class Ext.Action

包: | Ext
所在文件: | Action.js
Class: | Action
继承自: | Object

Action是一个可复用的功能，它被从具体的类中抽象出来以便可以在多个组件之间进行复用。 Action让你可以在任何组件支持Action接口的类之间共用处理器、配置选项以及UI更新。 (主要有 Ext.Toolbar, Ext.Button 和 Ext.menu.Menu 组件)。

除了支持配置对象接口之外，任何需要使用Actioin的组件都必须支持以下方法列表， 因为这些方法在必要的时候会被Action类调用： setText(string), setIconCls(string), setDisabled(boolean), setVisible(boolean) 和 setHandler(function)。

示例用法:
//定义共享的Action。以下的每个组件都拥有相同的
// 显示文本和图标，并且在点击的时候会显示相同的信息。
var action = new Ext.Action({
    text: 'Do something',
    handler: function(){
        Ext.Msg.alert('Click', 'You did something.');
    },
    iconCls: 'do-something'
});

var panel = new Ext.Panel({
    title: 'Actions',
    width:500,
    height:300,
    tbar: [
        // 向一个toolbar中直接添加一个action，作为一个菜单按钮
        action, {
            text: 'Action Menu',
            // 向菜单中添加一个action，作为文本项
            menu: [action]
        }
    ],
    items: [
        // 向panel主体区域中添加一个action，作为一个标准的按钮
        new Ext.Button(action)
    ],
    renderTo: Ext.getBody()
});

// 改变所有使用该action的文本
action.setText('Something else');

配置属性

配置属性 |  | 所在类
 | disabled : Boolean 设置为true将禁用使用当前action的所有组件，否则启用它们 (默认值为 false). | Action
 | handler : Function 当组件的主要事件被触发时，绑定到此action的所有组件都将调用此方法(默认值为 undefined). 当组件的主要事件被触发时，绑定到此action的所有组件都将调用此方法(默认值为 undefined). | Action
 | hidden : Boolean 设置为true将隐藏所有使用当前action 的组件，false将显示它们(默认值为 false). | Action
 | iconCls : String 所有使用当前action的组件所使用的CSS类(默认值为 '')。 CSS类必须提供一个背景图片... 所有使用当前action的组件所使用的CSS类(默认值为 '')。 CSS类必须提供一个背景图片，它将被用作图标图片。 | Action
 | scope : Object 调用回调函数的作用域(回调函数的this引用)。 | Action
 | text : String 设置到所有使用当前action的组件的文本 (默认值为 ''). | Action

公共属性

Property |  | 所在类
 | isDisabled : Object 如果使用当前action的组件当前处于无效状态，返回true，否则返回false。 只读属性。 | Action
 | isHidden : Object 如果使用当前action的组件当前处于隐藏状态，返回 true，否则返回false。 只读属性。 | Action

公共方法

Method 所在类
Action( Object config )
参数:
  • config : Object
    The configuration options
返回值:
Action
disable() : void
禁用所有使用当前action的组件。
禁用所有使用当前action的组件。
参数:
  • 无.
返回值:
  • void
 Action
each( Function fn, Object scope ) : void
在当前绑定到此action的所有组件上调用指定的方法。 传递进来的方法应该接收一个参数...
在当前绑定到此action的所有组件上调用指定的方法。 传递进来的方法应该接收一个参数，它是一个支持基本的Action config/method接口的对象。
参数:
  • fn : Function
    在每个组件上执行的方法
  • scope : Object
    方法执行的作用域
返回值:
  • void
 Action
enable() : void
启用所有使用当前action的组件。
启用所有使用当前action的组件。
参数:
  • 无.
返回值:
  • void
 Action
execute( [Mixed arg1], [Mixed arg2], [Mixed etc...] ) : void
使用之前在配置对象中指定的默认处理器，手工执行aciton。 任何传递到此方法...
使用之前在配置对象中指定的默认处理器，手工执行aciton。 任何传递到此方法（译者注：指execute）的参数都将被传递给处理器方法。
参数:
  • arg1 : Mixed
    (可选)传递给处理器的参数个数
  • arg2 : Mixed
    (可选)
  • etc... : Mixed
    (可选)
返回值:
  • void
 Action
getIconClass() : void
获取当前所有使用此action的组件的图标CSS类。
获取当前所有使用此action的组件的图标CSS类。
参数:
  • 无.
返回值:
  • void
 Action
getText() : void
获取使用当前action的所有组件的显示文本。
获取使用当前action的所有组件的显示文本。
参数:
  • 无.
返回值:
  • void
 Action
hide() : void
隐藏所有使用当前action的组件。
隐藏所有使用当前action的组件。
参数:
  • 无.
返回值:
  • void
 Action
setDisabled( Boolean disabled ) : void
设置所有使用当前action的组件的无效状态。 enable 和 disable.
的快捷方式。
设置所有使用当前action的组件的无效状态。 enable 和 disable.
的快捷方式。 参数:
  • disabled : Boolean
    True to disable the component, false to enable it
返回值:
  • void
 Action
setHandler( Function fn, Object scope ) : void
每个使用当前action的组件，在触发主要事件时都将调用此方法。
每个使用当前action的组件，在触发主要事件时都将调用此方法。
参数:
  • fn : Function
    被action的组件的调用的方法。调用方法时不传递任何参数。
  • scope : Object
    方法执行的作用域
返回值:
  • void
 Action
setHidden( Boolean hidden ) : void
设置所有使用当前action的组件的隐藏状态。 hide 方法和show 的快捷方式。
设置所有使用当前action的组件的隐藏状态。 hide 方法和show 的快捷方式。
参数:
  • hidden : Boolean
    true将隐藏组件，false显示它
返回值:
  • void
 Action
setIconClass( String cls ) : void
设置到所有使用当前action的组件的CSS样式。 CSS类应该提供一个背景图片，它将被用作图标图片。
设置到所有使用当前action的组件的CSS样式。 CSS类应该提供一个背景图片，它将被用作图标图片。
参数:
  • cls : String
    The CSS class supplying the icon image
返回值:
  • void
 Action
setText( String text ) : void
设置所有使用当前action的组件显示的文本。
设置所有使用当前action的组件显示的文本。
参数:
  • text : String
    需要显示的文本
返回值:
  • void
 Action
show() : void
显示使用当前action的所有组件。
显示使用当前action的所有组件。
参数:
  • 无.
返回值:
  • void
 Action

公共事件

该类没有公共事件。


Class Ext.air.DragType

包: | Ext.air
所在文件: | NativeDD.js
Class: | DragType
继承自: | Object
拖拽静态变量

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | BITMAP : Object bitmap数据静态变量 | DragType
 | FILES : Object 文件列表数据静态变量 | DragType
 | HTML : Object html数据静态变量 | DragType
 | TEXT : Object text数据静态变量 | DragType
 | URL : Object url数据静态变量 | DragType

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Provider
    FileProvider

Class Ext.air.FileProvider

包: | Ext.air
所在文件: | FileProvider.js
Class: | FileProvider
继承自: | Provider
Ext的Adobe AIR状态提供器实现，它把状态保存到应用程序的存储路径。

配置属性

配置属性 |  | 所在类
 | defaultState : Object 如果没有找到状态文件时的默认状态 | FileProvider
 | file : String 存储到应用程序存储路径下的状态文件的文件名 | FileProvider

公共属性

该类没有公共属性。

公共方法

Method 所在类
FileProvider( Object config )
参数:
  • config : Object
返回值:
FileProvider
clear( String name ) : void
从状态中清除一个值
从状态中清除一个值
参数:
  • name : String
    The key name
返回值:
  • void
 Provider
decodeValue( String value ) : Mixed
对先前使用 encodeValue 编码的一个字符串进行解码。
对先前使用 encodeValue 编码的一个字符串进行解码。
参数:
  • value : String
    The value to decode
返回值:
  • Mixed
    The decoded value
 Provider
encodeValue( Mixed value ) : String
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
参数:
  • value : Mixed
    The value to encode
返回值:
  • String
    The encoded value
 Provider
get( String name, Mixed defaultValue ) : Mixed
返回一个key的当前值
返回一个key的当前值
参数:
  • name : String
    The key name
  • defaultValue : Mixed
    A default value to return if the key's value is not found
返回值:
  • Mixed
    The state data
 Provider
set( String name, Mixed value ) : void
为一个key设置一个值
为一个key设置一个值
参数:
  • name : String
    The key name
  • value : Mixed
    The value to set
返回值:
  • void
 Provider

公共事件

Event 所在类
statechange : ( Provider this, String key, String value )
当状态发生改变时触发。
当状态发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : Provider
    This state provider
  • key : String
    The state key which was changed
  • value : String
    The encoded value for the state
 Provider


Observable
    NativeObservable

Class Ext.air.NativeObservable

包: | Ext.air
所在文件: | NativeObservable.js
Class: | NativeObservable
子类: | NativeWindow
继承自: | Observable
为Ext Observable添加功能，为本地(AIR)对象包装类代理事件。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
NativeObservable()
参数:
  • 无.
返回值:
NativeObservable
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

该类没有公共事件。


Observable
    NativeObservable
      NativeWindow

Class Ext.air.NativeWindow

包: | Ext.air
所在文件: | NativeWindow.js
Class: | NativeWindow
继承自: | NativeObservable
包装AIR NativeWindow类，提供一个Ext友好的API。

该类同时自动为window(根据id)添加状态管理(位置和大小)， 可以轻松地为你应用程序中的主窗体提供“最小化到系统托盘”的操作。

注意：该类的许多配置项仅能应用到新的window。 向已经存在的window实例传递这些配置项是没有效果的。

配置属性

配置属性 |  | 所在类
 | chrome : String chrome本地窗口 (默认值为 'standard'，也可以为'none')。 | NativeWindow
 | height : Number | NativeWindow
 | instance : air.NativeWindow 需要包装的本地窗体实例。 如果没有定义，将创建一个新的窗体。 | NativeWindow
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | maximizable : Boolean | NativeWindow
 | minimizable : Boolean | NativeWindow
 | minimizeToTray : Boolean 设置为true将可以最小化到系统托盘。 注意：此项仅能应用到你的程序的主窗体... 设置为true将可以最小化到系统托盘。 注意：此项仅能应用到你的程序的主窗体。 必须有一个托盘图标。 | NativeWindow
 | resizable : Boolean | NativeWindow
 | transparent : Boolean | NativeWindow
 | trayIcon : String 当最小化到系统托盘时所显示的图标 | NativeWindow
 | trayMenu : NativeMenu 当托盘图标被右击时显示的菜单 | NativeWindow
 | trayTip : String 托盘图标的Tooltip | NativeWindow
 | type : String 本地窗口类型---normal, utility 或者 lightweight。 (默认值为 normal) | NativeWindow
 | width : Number | NativeWindow

公共属性

Property |  | 所在类
 | id : String | NativeWindow

公共方法

Method 所在类
NativeWindow( Object config )
参数:
  • config : Object
返回值:
NativeWindow
NativeWindow.getRootHtmlWindow() : Window
<静态> 返回你的应用程序第一个打开的 javascript "window"对象
<静态> 返回你的应用程序第一个打开的 javascript "window"对象
参数:
  • 无.
返回值:
  • Window
 NativeWindow
NativeWindow.getRootWindow() : air.NativeWindow
<静态> 返回你的应用程序打开的第一个window
<静态> 返回你的应用程序打开的第一个window
参数:
  • 无.
返回值:
  • air.NativeWindow
 NativeWindow
activate() : void
显示并将window设置为当前活动项
显示并将window设置为当前活动项
参数:
  • 无.
返回值:
  • void
 NativeWindow
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
close() : void
关闭window
关闭window
参数:
  • 无.
返回值:
  • void
 NativeWindow
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getCenterXY() : x:
返回x/y坐标值，以将window设置到屏幕的正中
返回x/y坐标值，以将window设置到屏幕的正中
参数:
  • 无.
返回值:
  • x:
    Number, y: Number}
 NativeWindow
getNative() : air.NativeWindow
返回air.NativeWindow 实例
返回air.NativeWindow 实例
参数:
  • 无.
返回值:
  • air.NativeWindow
 NativeWindow
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : void
隐藏窗体
隐藏窗体
参数:
  • 无.
返回值:
  • void
 NativeWindow
isMaximized() : Boolean
如果window被最大化了，返回true
如果window被最大化了，返回true
参数:
  • 无.
返回值:
  • Boolean
 NativeWindow
isMinimized() : Boolean
如果window被最小化了，返回true
如果window被最小化了，返回true
参数:
  • 无.
返回值:
  • Boolean
 NativeWindow
moveTo( Number x, Number y ) : void
将window移动到所给的x和y坐标
将window移动到所给的x和y坐标
参数:
  • x : Number
  • y : Number
返回值:
  • void
 NativeWindow
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resize( Number width, Number height ) : void
参数:
  • width : Number
  • height : Number
返回值:
  • void
 NativeWindow
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
show() : void
显示window
显示window
参数:
  • 无.
返回值:
  • void
 NativeWindow
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
close : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
closing : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
displayStateChange : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
displayStateChanging : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
move : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
moving : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
resize : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow
resizing : ( Object e )
监听器将以如下的参数格式调用:
  • e : Object
    The air event object
 NativeWindow


Class Ext.air.NativeWindowGroup

包: | Ext.air
所在文件: | NativeWindow.js
Class: | NativeWindowGroup
子类: | NativeWindowManager
继承自: | Object
一个NativeWindow的集合。

公共属性

该类没有公共属性。

公共方法

Method 所在类
closeAll() : void
关闭所有window
关闭所有window
参数:
  • 无.
返回值:
  • void
 NativeWindowGroup
each( Function fn, [Object scope] ) : void
在组中的每个window上调用一次给定的函数， 将每个window作为唯一的参数传递进来...
在组中的每个window上调用一次给定的函数， 将每个window作为唯一的参数传递进来。 如果方法返回false则终止迭代。
参数:
  • fn : Function
    The function to execute for each item
  • scope : Object
    (可选) The scope in which to execute the function
返回值:
  • void
 NativeWindowGroup
get( String id ) : void
参数:
  • id : String
返回值:
  • void
 NativeWindowGroup
register( Object win ) : void
参数:
  • win : Object
返回值:
  • void
 NativeWindowGroup
unregister( Object win ) : void
参数:
  • win : Object
返回值:
  • void
 NativeWindowGroup

公共事件

该类没有公共事件。


NativeWindowGroup
    NativeWindowManager

Class Ext.air.NativeWindowManager

包: | Ext.air
所在文件: | NativeWindow.js
Class: | NativeWindowManager
继承自: | NativeWindowGroup
创建的所有NativeWindow的集合。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
closeAll() : void
关闭所有window
关闭所有window
参数:
  • 无.
返回值:
  • void
 NativeWindowGroup
each( Function fn, [Object scope] ) : void
在组中的每个window上调用一次给定的函数， 将每个window作为唯一的参数传递进来...
在组中的每个window上调用一次给定的函数， 将每个window作为唯一的参数传递进来。 如果方法返回false则终止迭代。
参数:
  • fn : Function
    The function to execute for each item
  • scope : Object
    (可选) The scope in which to execute the function
返回值:
  • void
 NativeWindowGroup
get( String id ) : void
参数:
  • id : String
返回值:
  • void
 NativeWindowGroup
register( Object win ) : void
参数:
  • win : Object
返回值:
  • void
 NativeWindowGroup
unregister( Object win ) : void
参数:
  • win : Object
返回值:
  • void
 NativeWindowGroup

公共事件

该类没有公共事件。


Class Ext.air.Sound

包: | Ext.air
所在文件: | Sound.js
Class: | Sound
继承自: | Object

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
play( String file, [Number startAt] ) : void
播放声音。
播放声音。
参数:
  • file : String
    需要播放的文件。 路径根据应用程序的路径来解析。
  • startAt : Number
    (可选)在播放之前，需要在声音文件中跳过的时间
返回值:
  • void
 Sound

公共事件

该类没有公共事件。


Class Ext.air.SystemMenu

包: | Ext.air
所在文件: | SystemMenu.js
Class: | SystemMenu
继承自: | Object
提供平台无关的向应用程序中菜单中添加项目的能力， 在需要时创建菜单或者项目。

该类也提供将标准的Ext.Action实例绑定到NativeMenuItem的能力。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
add( String text, Array actions, Number mindex ) : air.NativeMenu
向应用程序的一个菜单中添加菜单项
向应用程序的一个菜单中添加菜单项
参数:
  • text : String
    需要将action添加到的应用程序菜单 (例如 'File' 或者 'Edit').
  • actions : Array
    一个Ext.Action对象数组或者菜单项配置
  • mindex : Number
    字符文本序号，用来提供键盘访问
返回值:
  • air.NativeMenu
    原始子菜单
 SystemMenu
get() : void
返回应用程序菜单
返回应用程序菜单
参数:
  • 无.
返回值:
  • void
 SystemMenu

公共事件

该类没有公共事件。


Observable
    Connection
      Ajax

Class Ext.Ajax

包: | Ext
所在文件: | Connection.js
Class: | Ajax
继承自: | Connection
全局Ajax请求类。 以最大的灵活性，提供一种创建Ajax请求的方式。 示例用法:
// Basic request
Ext.Ajax.request({
   url: 'foo.php',
   success: someFn,
   failure: otherFn,
   headers: {
       'my-header': 'foo'
   },
   params: { foo: 'bar' }
});

// Simple ajax form submission
Ext.Ajax.request({
    form: 'some-form',
    params: 'foo=bar'
});

// Default headers to pass in every request
Ext.Ajax.defaultHeaders = {
    'Powered-By': 'Ext'
};

//全局Ajax事件可以在每一次请求中进行处理！
Ext.Ajax.on('beforerequest', this.showSpinner, this);

这是一个单例的类，不能直接实例化。

配置属性

配置属性 |  | 所在类
 | disableCachingParam : String (可选) 通过一个“缓存终结者”设置参数以禁止缓存。默认值为'_dc'... (可选) 通过一个“缓存终结者”设置参数以禁止缓存。默认值为'_dc' （译者注：这句参考了Google的翻译，“缓存终结者”，他们太有才了！呵呵。比较常用的手段是在请求的末尾加时间戳，例如getData.action?req_time=new Date()， 这样可以确保每次发出的请求是不同的，也就不用考虑浏览器缓存的问题了。） | Connection
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | autoAbort : Boolean 一个新的请求是否终止那些悬而未决的请求默认值为 false) | Ajax
 | defaultHeaders : Object 一个包含请求头信息的对象，它将被添加到此对象产生的每一个请求中。 (默认值为 undefined) | Ajax
 | disableCaching : Boolean 如果为true，为GET请求添加一个唯一的缓存终结者(默认值为 true)。 | Ajax
 | extraParams : Object 一个包含属性的对象，它被用作此对象产生的每个请求的附加参数。 (默认值为... 一个包含属性的对象，它被用作此对象产生的每个请求的附加参数。(默认值为 undefined) | Ajax
 | method : String HTTP请求的默认方式。 注意：这是大小写敏感的... HTTP请求的默认方式。 注意：这是大小写敏感的，应该全为大写 (如果没有指定，默认为 undefined； 但是如果存在请求参数，将使用"POST"方式；否则使用"GET"方式。) | Ajax
 | timeout : Number 请求超时的毫秒数(默认值为 30000)。 | Ajax
 | url : String 向服务器提交请求的默认URL。 (默认值为 undefined) | Ajax

公共方法

Method 所在类
abort( [Number transactionId] ) : void
中止任何正在发生的请求。
中止任何正在发生的请求。
参数:
  • transactionId : Number
    (可选) 默认值为最后一个事务
返回值:
  • void
 Connection
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isLoading( [Number transactionId] ) : Boolean
判断这个对象是否有一个正在发生的请求。
判断这个对象是否有一个正在发生的请求。
参数:
  • transactionId : Number
    (可选) 默认值为 the last transaction
返回值:
  • Boolean
    True if there is an outstanding request.
 Connection
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
request( [Object options] ) : Number
发送一个HTTP请求到远程服务器。

Important: Ajax请求是异步的，在收到响应之前此方法已经返回。 处理任何返回的数据都要在回调函数中进行...

发送一个HTTP请求到远程服务器。

Important: Ajax请求是异步的，在收到响应之前此方法已经返回。 处理任何返回的数据都要在回调函数中进行。

需要在当前作用域中执行回调函数，请使用 scope配置项。

参数:
  • options : Object
    一个可能包含如下属性的对象：
    • url : String/Function (可选)
      发送请求的URL，或者一个方法，调用它能返回一个URL字符串。 方法的作用域由scope选项指定。 默认为配置的URL。
    • params : Object/String/Function (可选)
      可以是：一个包含属性的对象，它将被用作请求的参数；一个URL编码字符串；或者是一个方法， 调用它可以产生前两项中的任意一个。 方法的作用域由scope选项指定。
    • method : String (可选)
      HTTP请求的方式。默认为配置的方式，如果没有配置，当没有参数被发送时为"GET"， 有参数发送时为"POST"。注意：请求方式名称是大小写敏感的，应该全是大写。
    • callback : Function (可选)
      当收到HTTP响应时调用的方法。不管请求成功还是失败，回调方法都会被调用， 并被传入以下的参数：
      • options : Object
        调用request方法时的参数。
      • success : Boolean
        请求成功时为true.
      • response : Object
        包含响应数据的XMLHttpRequest对象。 关于如何访问响应内容的详情，请参见 http://www.w3.org/TR/XMLHttpRequest/。
    • success : Function (可选)
      当请求成功时调用的方法。 它将被传入以下参数:
      • response : Object
        包含响应数据的XMLHttpRequest对象。
      • options : Object
        调用request方法的参数。
    • failure : Function (可选)
      请求失败时调用的方法。它将被传入以下参数：
      • response : Object
        包含响应数据的XMLHttpRequest对象。
      • options : Object
        调用request方法的参数。
    • scope : Object (可选)
      执行回调方法的作用域： 如果指定了url或者params参数，方法可以从其中获取数据， 那么这些参数将作为调用这些方法的作用域。 作用域默认人浏览器的window对象。
    • form : Element/HTMLElement/String (可选)
      <form>表单 元素或者<form>的id ，可以从其中获取参数。
    • isUpload : Boolean (可选)
      如果表单对象是一个文件上传对象，此位为true（一般会自动检测）。

      文件上传不是使用普通的"Ajax"技术，也就是说，它们不是使用XMLHttpRequests来实现的。 作为替代的是，表单是以标准的风格提交的， 同时临时修改DOM的<form>元素，使它的target 指向一个动态生成的隐藏<iframe>， 这个隐藏的<iframe>被插入到document中，在收到返回数据后被删除掉。

      浏览器将解析服务器的响应，为IFRAME创建document。 如果服务器使用JSON发送响应， 那么 Content-Type 头必须设置为"text/html"， 以便告诉浏览器将文本直接插入document的body中而不做改变。

      必须明白的是，文件上传发送数据包的content type是 multipart/form ，并且一些服务器端技术（特别是JavaEE），为了从数据包内容 解析参数名称和值，可能要求一些定制的处理。

    • headers : Object (可选)
      请求的头部信息。
    • xmlData : Object (可选)
      post的XML文档。 注意：这将替代用作post的参数。所有参数都将被添加到URL后面。
    • jsonData : Object/String (可选)
      post用的JSON数据。 注意：这将替代用作post的参数。所有参数都将被添加到URL后面。
    • disableCaching : Boolean (可选)
      如果为true，为GET请求添加一个唯一的缓存终结者。

    配置对象也可以包含其它的，执行后处理的回调函数所需要的属性， 因为配置对象将被传递给回调函数。

返回值:
  • Number
    transactionId 服务器事务id。可以用来取消请求。
 Connection
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
serializeForm( String/HTMLElement form ) : String
将传递进来的表达序列化成一个url编码的字符串
将传递进来的表达序列化成一个url编码的字符串
参数:
  • form : String/HTMLElement
返回值:
  • String
 Ajax
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforerequest : ( Connection conn, Object options )
当发出获取数据的请求之前触发。
当发出获取数据的请求之前触发。
监听器将会用以下的参数格式调用:
  • conn : Connection
    当前Connection对象。
  • options : Object
    传递给request 方法的配置选项对象。
 Connection
requestcomplete : ( Connection conn, Object response, Object options )
当请求成功完成时触发。
当请求成功完成时触发。
监听器将会用以下的参数格式调用:
  • conn : Connection
    Connection对象。
  • response : Object
    包含响应数据的XHR对象。 详情参见XMLHttpRequest对象。
  • options : Object
    传递给 request 方法的配置对象。
Connection
requestexception : ( Connection conn, Object response, Object options )
当服务器返回一个HTTP错误状态时触发。HTTP状态码详情请参见...
当服务器返回一个HTTP错误状态时触发。HTTP状态码详情请参见HTTP Status Code Definitions。
监听器将会用以下的参数格式调用:
  • conn : Connection
    当前Connection对象。
  • response : Object
    包含响应数据的XHR对象。 详情参见The XMLHttpRequest Object。
  • options : Object
    传递给request 方法的配置选项对象。
Connection


Observable
    Component
      BoxComponent

Class Ext.BoxComponent

包: | Ext
所在文件: | BoxComponent.js
Class: | BoxComponent
子类: | Container, DataView, ProgressBar, Slider, Toolbar, Field, Label
继承自: | Component
任何使用盒子模型，可视Ext.Component， 的基类。 BoxComponent提供自动盒子模型大小和位置调节功能， 并且能正确地配合组件渲染模型工作。 所有的容器类都应该继承BoxComponent， 这样当它们被装到其它的Ext布局容器中时，才能 有一致的表现。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
BoxComponent( Ext.Element/String/Object config )
参数:
  • config : Ext.Element/String/Object
    配置选项。
返回值:
BoxComponent
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      Button

Class Ext.Button

包: | Ext
所在文件: | Button.js
Class: | Button
子类: | SplitButton, Toolbar.Button
继承自: | Component
简单的Button类

配置属性

配置属性 所在类
allowDepress : Boolean
设置为false将允许一个按下的按钮弹起来(默认值为 undefined)。 只有当 enableToggle 为true时有效。
Button
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clickEvent : String
映射到按钮事件处理器上的事件类型 (默认值为 'click')
Button
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
只读属性。如果此按钮是无效的，此项为true。
Button
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
enableToggle : Boolean
设置为true将允许固定按下/非按下状态(默认值为 false)
Button
handleMouseEvents : Boolean
设置为true，将禁用发生 mouseover, mouseout 和 mousedown事件时的视觉提示 (默认值为 true)
Button
handler : Function
当按钮被点击时调用的方法 (可以用来替代点击事件)
Button
hidden : Boolean
只读属性。 如果当前按钮处于隐藏状态，为true。
Button
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
icon : String
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮...
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮， 请设置cls:"x-btn-text-icon")
Button
iconCls : String
一个CSS类，设置一个背景图片，当前按钮将使用此图片作为图标
Button
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
Button
menuAlign : String
菜单对齐的位置 (详情参见Ext.Element.alignTo ，默认值为 'tl-bl?').
Button
minWidth : Number
按钮的最小宽度(用来为一组按钮指定一个统一的宽度)
Button
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
pressed : Boolean
只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效)
Button
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
repeat : Boolean/Object
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
Button
scope : Object
处理函数的作用域
Button
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
为当前按钮设置一个DOM tabIndex(默认值为 undefined)
Button
template : Ext.Template
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素...
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素。 如果被用来显示文本属性，Template必须包含一个数值以替代参数0 更改模板需要修改代码，如果需要的元素(例如一个按钮)没有出现。
Button
text : String
按钮文本
Button
toggleGroup : String
当前被按下的按钮所属的组 (一组中只有1个按钮可以被按下， 只有在enableToggle = true时有效)
Button
toggleHandler : Function
当一个enableToggle 被设置为true的按钮被点击时调用的函数...
当一个enableToggle 被设置为true的按钮被点击时调用的函数。 将会传递两个参数：
  • button : Ext.Button
    当前Button对象
  • state : Boolean
    Button的下一个状态，true表示按下。
 Button
tooltip : String/Object
按钮的tooltip---可以是一个字符串，或者一个QuickTips配置对象
Button
tooltipType : String
使用的tooltip类型。 要么是 "qtip" (默认) QuickTips 要么是"title"以做标题属性。
Button
type : String
submit, reset 或者 button - 默认值为 'button'
Button
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 只读属性。如果此按钮是无效的，此项为true。 | Button
 | hidden : Boolean 只读属性。 如果当前按钮处于隐藏状态，为true。 | Button
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Panel Button所属的对象 Ext.Panel (默认值为 undefined， 当Button被添加到一个容器时，此项被自动设置)。 只读属性。 Button所属的对象 Ext.Panel (默认值为 undefined， 当Button被添加到一个容器时，此项被自动设置)。 只读属性。 | Button
 | pressed : Boolean 只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效) | Button
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Button( Object config )
Create a new button
Create a new button
参数:
  • config : Object
    The config object
返回值:
Button
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus() : void
聚焦到按钮
聚焦到按钮
参数:
  • 无.
返回值:
  • void
 Button
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getText() : String
获取此按钮的文本
获取此按钮的文本
参数:
  • 无.
返回值:
  • String
    按钮文本
 Button
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasVisibleMenu() : Boolean
如果按钮有一个菜单，并且它是可见的，返回true
如果按钮有一个菜单，并且它是可见的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Button
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideMenu() : void
隐藏当前按钮的菜单（如果有的话）
隐藏当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Button
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, [Object scope] ) : void
指定按钮的点击处理器
指定按钮的点击处理器
参数:
  • handler : Function
    The function to call when the button is clicked
  • scope : Object
    (可选) Scope for the function passed in
返回值:
  • void
 Button
setIconClass( String cls ) : void
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
参数:
  • cls : String
    提供图标图片的CSS类
返回值:
  • void
 Button
setText( String text ) : void
设置按钮的文本
设置按钮的文本
参数:
  • text : String
    按钮文本
返回值:
  • void
 Button
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showMenu() : void
显示当前按钮的菜单（如果有的话）
显示当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle( [Boolean state] ) : void
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
参数:
  • state : Boolean
    (可选) 强制设为一个指定的状态
返回值:
  • void
 Button
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Button this, EventObject e )
当按钮被点击时触发
当按钮被点击时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : EventObject
    The click event
 Button
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
menuhide : ( Button this, Menu menu )
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menushow : ( Button this, Menu menu )
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menutriggerout : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
menutriggerover : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
mouseout : ( Button this, Event e )
当鼠标离开按钮时触发
当鼠标离开按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
mouseover : ( Button this, Event e )
当鼠标滑过按钮时触发
当鼠标滑过按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
toggle : ( Button this, Boolean pressed )
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
监听器将会以如下的参数格式调用:
  • this : Button
  • pressed : Boolean
 Button


Observable
    Component
      ColorPalette

Class Ext.ColorPalette

包: | Ext
所在文件: | ColorPalette.js
Class: | ColorPalette
继承自: | Component
选择颜色的简单调色板。 调色板可以被渲染到一个容器中。
以下是一个典型用法的例子：
var cp = new Ext.ColorPalette({value:'993300'});  // initial selected color
cp.render('my-div');

cp.on('select', function(palette, selColor){
    // do something with selColor
});

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
allowReselect : Boolean
如果设置为true，当重复选择一个已经选择的颜色时触发 select 事件
ColorPalette
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
应用到容器元素的CSS样式类(默认值为 "x-color-palette")
ColorPalette
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tpl : String
一个已经存在的XTemplate实例，用来代替默认的模板渲染组件。
ColorPalette
value : String
初始化时高亮显示的颜色 (必须是一个合法的6位十六进制 颜色值，不带#符号)...
初始化时高亮显示的颜色 (必须是一个合法的6位十六进制 颜色值，不带#符号)。 注意：十六进制代码是大小写敏感的。
ColorPalette
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property 所在类
colors : Array
一个6为十六进制颜色代码字符串数组（不带#符号）。 此数据可以包含任意多个颜色...

一个6为十六进制颜色代码字符串数组（不带#符号）。 此数据可以包含任意多个颜色，并且每个十六进制代码都应该是唯一的。 调色板的宽度是通过CSS控制的，通过调整'x-color-palette'的width属性 （或者指定一个定制的CSS类），这样你可以在宽度和颜色个数之间取得一个平衡， 直到调色板盒子显示比较均匀。

如果需要，你可以覆盖单个的颜色:

var cp = new Ext.ColorPalette();
cp.colors[0] = "FF0000";  // 将第一格调整为红色
或者你可以提供你自己的一个颜色数组，以便可以完全控制：
var cp = new Ext.ColorPalette();
cp.colors = ["000000", "993300", "333300"];
 ColorPalette
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
initialConfig : Object
组件初始化注册说明。只读属性。
Component
ownerCt : Ext.Container
组件所属的 Ext.Container (默认值为 undefined...
组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。
Component
rendered : Boolean
当组件被渲染后该值为true。只读属性。
Component

公共方法

Method 所在类
ColorPalette( Object config )
Create a new ColorPalette
Create a new ColorPalette
参数:
  • config : Object
    The config object
返回值:
ColorPalette
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( String color ) : void
在调色板中选中指定的颜色 (触发select 事件)
在调色板中选中指定的颜色 (触发select 事件)
参数:
  • color : String
    A valid 6-digit color hex code (# will be stripped if included)
返回值:
  • void
 ColorPalette
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
select : ( ColorPalette this, String color )
当选中一个颜色时触发
当选中一个颜色时触发
监听器将会以如下的参数格式调用:
  • this : ColorPalette
  • color : String
    The 6-digit color hex code (without the # symbol)
 ColorPalette
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component

Class Ext.Component

包: | Ext
所在文件: | Component.js
Class: | Component
子类: | BoxComponent, Button, ColorPalette, DatePicker, Editor, BaseItem
继承自: | Observable
所有Ext组件的基类。 所有Componet的子类都自动地参与标准的Ext组件生命周期：创建、渲染、销毁。 并且，他们自动支持基本的隐藏/显示 和 启用/失效 行为。 Component允许任何子类“延迟渲染”到任何 Ext.Container ，并且被自动注册到 Ext.ComponentMgr 以使得它在任何时刻都可以通过Ext.getCmp 方法来获取到它的引用。 需要渲染到某个布局中的可视小器件，都必须继承 Component (或者 Ext.BoxComponent ：如果需要一个可控的盒子模型处理)。

每一个组件都拥有一个唯一的xtype， 它是组件的Ext特有的类型名， 检测xtype的方法 getXType 和 isXType 也是如此。 以下是所有合法的xtype列表：

xtype            类
-------------    ------------------
box              Ext.BoxComponent
button           Ext.Button
colorpalette     Ext.ColorPalette
component        Ext.Component
container        Ext.Container
cycle            Ext.CycleButton
dataview         Ext.DataView
datepicker       Ext.DatePicker
editor           Ext.Editor
editorgrid       Ext.grid.EditorGridPanel
grid             Ext.grid.GridPanel
paging           Ext.PagingToolbar
panel            Ext.Panel
progress         Ext.ProgressBar
propertygrid     Ext.grid.PropertyGrid
slider           Ext.Slider
splitbutton      Ext.SplitButton
statusbar        Ext.StatusBar
tabpanel         Ext.TabPanel
treepanel        Ext.tree.TreePanel
viewport         Ext.Viewport
window           Ext.Window

Toolbar components
---------------------------------------
toolbar          Ext.Toolbar
tbbutton         Ext.Toolbar.Button
tbfill           Ext.Toolbar.Fill
tbitem           Ext.Toolbar.Item
tbseparator      Ext.Toolbar.Separator
tbspacer         Ext.Toolbar.Spacer
tbsplit          Ext.Toolbar.SplitButton
tbtext           Ext.Toolbar.TextItem

Form components
---------------------------------------
form             Ext.FormPanel
checkbox         Ext.form.Checkbox
combo            Ext.form.ComboBox
datefield        Ext.form.DateField
field            Ext.form.Field
fieldset         Ext.form.FieldSet
hidden           Ext.form.Hidden
htmleditor       Ext.form.HtmlEditor
label            Ext.form.Label
numberfield      Ext.form.NumberField
radio            Ext.form.Radio
textarea         Ext.form.TextArea
textfield        Ext.form.TextField
timefield        Ext.form.TimeField
trigger          Ext.form.TriggerField

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Component( Ext.Element/String/Object config )
参数:
  • config : Ext.Element/String/Object
    The configuration options. If an element is passed, it is set as the internal element and its id used as the component id. If a string is passed, it is assumed to be the id of an existing element and is used as the component id. Otherwise, it is assumed to be a standard config object and is applied to the component.
返回值:
Component
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Class Ext.ComponentMgr

包: | Ext
所在文件: | ComponentMgr.js
Class: | ComponentMgr
继承自: | Object

提供一个页面上所有组件的注册表 (Ext.Component 类的一个特殊子类 )，这样可以通过id轻松访问到它们 (参见 Ext.getCmp)。

该对象也提供所有可用组件的类注册表， 它们以便于记忆的代码作为索引，也就是组件的 Ext.Component.xtype。 在一个纯的Ext一面中，当创建一个完全的、嵌套的配置对象时， xtype 提供了一种避免初始化子组件的方式。

为了进行懒加载， 一个子组件可以简单地指定为一个配置对象 ，只要指定一个正确的xtype即可，这样，当需要渲染组件时 可以找到正确的类型。

所有合法的xtype列表，参见 Ext.Component.

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | all : MixedCollection 内部用来缓存组件的MixedCollection。 一个典型的用法可能会指定事件到MixedCollection上，以监控添加和删除操作... 内部用来缓存组件的MixedCollection。 一个典型的用法可能会指定事件到MixedCollection上，以监控添加和删除操作。 只读属性。 | ComponentMgr

公共方法

Method 所在类
create( config {Object}, defaultType {Constructor} ) : void
从指定的配置对象创建一个新的组件， 使用配置对象的xtype 类决定需要实例化的类型。
从指定的配置对象创建一个新的组件， 使用配置对象的xtype 类决定需要实例化的类型。
参数:
  • {Object} : config
    你希望创建组件的配置对象。
  • {Constructor} : defaultType
    如果配置对象没有包含一个xtype，constructor将提供默认的组件类型。 (如果配置中包含一个xtype，此项为可选)。
返回值:
  • void
 ComponentMgr
get( String id ) : Ext.Component
根据id返回一个组件
根据id返回一个组件
参数:
  • id : String
    The component id
返回值:
  • Ext.Component
 ComponentMgr
onAvailable( String id, Function fn, Object scope ) : void
注册一个函数，当一个指定的组件被添加到ComponentMgr时调用。
注册一个函数，当一个指定的组件被添加到ComponentMgr时调用。
参数:
  • id : String
    The component id
  • fn : Function
    The callback function
  • scope : Object
    The scope of the callback
返回值:
  • void
 ComponentMgr
register( Ext.Component c ) : void
注册一个组件。
注册一个组件。
参数:
  • c : Ext.Component
    The component
返回值:
  • void
 ComponentMgr
registerType( String xtype, Constructor cls ) : void
注册一个新的组件的构造器， 使用一个新的 Ext.Component.xtype 作为key...

注册一个新的组件的构造器， 使用一个新的 Ext.Component.xtype 作为key。

使用此方法注册的一个新的子类，这样在配置子组件时可以使用懒加载。 参见Ext.Container.items

参数:
  • xtype : String
    便于记忆的字符串，通过这个字符串可以找到组件类。
  • cls : Constructor
    新的组件类。
返回值:
  • void
 ComponentMgr
unregister( Ext.Component c ) : void
反注册一个组件。
反注册一个组件。
参数:
  • c : Ext.Component
    The component
返回值:
  • void
 ComponentMgr

公共事件

该类没有公共事件。


Class Ext.CompositeElement

包: | Ext
所在文件: | CompositeElement.js
Class: | CompositeElement
子类: | CompositeElementLite
继承自: | Object
标准复合类。 为集合中的每一个元素创建一个Ext.Element。

注意：虽然没有列出来，该类支持Ext.Element类所有的set/update方法。 所有Ext.Element的操作对于此集合中的元素都可以进行。

所有返回this的方法都可以加入对象链。
var els = Ext.select("#some-el div.some-class", true);
 // or select directly from an existing element
 var el = Ext.get('some-el');
 el.select('div.some-class', true);

 els.setWidth(100); // all elements become 100 width
 els.hide(true); // all elements fade out and hide
 // or
 els.setWidth(100).hide(true);

公共属性

该类没有公共属性。

公共方法

Method 所在类
add( String/Array els ) : CompositeElement
向复合对象中添加元素。
向复合对象中添加元素。
参数:
  • els : String/Array
    A string CSS selector, an array of elements or an element
返回值:
  • CompositeElement
    this
 CompositeElement
clear() : void
删除所有元素。
删除所有元素。
参数:
  • 无.
返回值:
  • void
 CompositeElement
contains( el {Mixed} ) : Boolean
如果当前复合对象包含所传递的元素，返回true
如果当前复合对象包含所传递的元素，返回true
参数:
  • {Mixed} : el
    The id of an element, or an Ext.Element, or an HtmlElement to find within the composite collection.
返回值:
  • Boolean
 CompositeElement
each( Function fn, [Object scope] ) : CompositeElement
对复合对象中的每个元素调用所传递进来的方法，传递参数：(el, this, index)
对复合对象中的每个元素调用所传递进来的方法，传递参数：(el, this, index)
参数:
  • fn : Function
    The function to call
  • scope : Object
    (可选) The this object (默认值为 the element)
返回值:
  • CompositeElement
    this
 CompositeElement
fill( String/Array els ) : CompositeElement
清除当前的复合对象，然后添加由传递进来的选择器所返回的元素。
清除当前的复合对象，然后添加由传递进来的选择器所返回的元素。
参数:
  • els : String/Array
    A string CSS selector, an array of elements or an element
返回值:
  • CompositeElement
    this
 CompositeElement
filter( String selector ) : CompositeElement
过滤此复合对象，以匹配传递进来的选择器。
过滤此复合对象，以匹配传递进来的选择器。
参数:
  • selector : String
    A string CSS selector
返回值:
  • CompositeElement
    this
 CompositeElement
first() : Ext.Element
返回第一个元素。
返回第一个元素。
参数:
  • 无.
返回值:
  • Ext.Element
 CompositeElement
getCount() : Number
返回当前复合对象中的元素个数
返回当前复合对象中的元素个数
参数:
  • 无.
返回值:
  • Number
 CompositeElement
indexOf( el {Mixed} ) : Number
查找所传递进来的元素在此复合集合中的索引。
查找所传递进来的元素在此复合集合中的索引。
参数:
  • {Mixed} : el
    需要在复合对象集合中查找的元素， 可以是元素的id、一个 Ext.Element、或者一个HtmlElement。
返回值:
  • Number
    所传递进来的Ext.Element在复合集合中的索引，如果没有能查找到 则返回-1。
CompositeElement
item( Number index ) : Ext.Element
返回指定索引处的Element对象
返回指定索引处的Element对象
参数:
  • index : Number
返回值:
  • Ext.Element
 CompositeElement
last() : Ext.Element
返回最后一个元素
返回最后一个元素
参数:
  • 无.
返回值:
  • Ext.Element
 CompositeElement
removeElement( Mixed el, [Boolean removeDom] ) : CompositeElement
删除指定的元素。
删除指定的元素。
参数:
  • el : Mixed
    The id of an element, the Element itself, the index of the element in this composite or an array of any of those.
  • removeDom : Boolean
    (可选) True to also remove the element from the document
返回值:
  • CompositeElement
    this
 CompositeElement
replaceElement( Mixed el, Mixed replacement, [Boolean domReplace] ) : CompositeElement
使用传递进来的元素替代指定的元素。
使用传递进来的元素替代指定的元素。
参数:
  • el : Mixed
    The id of an element, the Element itself, the index of the element in this composite to replace.
  • replacement : Mixed
    The id of an element or the Element itself.
  • domReplace : Boolean
    (Optional) True to remove and replace the element in the document too.
返回值:
  • CompositeElement
    this
 CompositeElement

公共事件

该类没有公共事件。


CompositeElement
    CompositeElementLite

Class Ext.CompositeElementLite

包: | Ext
所在文件: | CompositeElement.js
Class: | CompositeElementLite
继承自: | CompositeElement
轻量级的复合类。 对元素进行操作时，复用相同的Ext.Element。
var els = Ext.select("#some-el div.some-class");
 // or select directly from an existing element
 var el = Ext.get('some-el');
 el.select('div.some-class');

 els.setWidth(100); // all elements become 100 width
 els.hide(true); // all elements fade out and hide
 // or
 els.setWidth(100).hide(true);

注意：虽然没有列出来，该类支持Ext.Element类所有的set/update方法。 所有Ext.Element的操作对于此集合中的元素都可以进行。

公共属性

该类没有公共属性。

公共方法

Method 所在类
add( String/Array els ) : CompositeElement
向复合对象中添加元素。
向复合对象中添加元素。
参数:
  • els : String/Array
    A string CSS selector, an array of elements or an element
返回值:
  • CompositeElement
    this
 CompositeElement
clear() : void
删除所有元素。
删除所有元素。
参数:
  • 无.
返回值:
  • void
 CompositeElement
contains( el {Mixed} ) : Boolean
如果当前复合对象包含所传递的元素，返回true
如果当前复合对象包含所传递的元素，返回true
参数:
  • {Mixed} : el
    The id of an element, or an Ext.Element, or an HtmlElement to find within the composite collection.
返回值:
  • Boolean
 CompositeElement
each( Function fn, [Object scope] ) : CompositeElement
对复合对象中的每个元素调用所传递进来的方法，传递参数：(el, this, index)...
对复合对象中的每个元素调用所传递进来的方法，传递参数：(el, this, index)。 传递的元素是轻量级的(共享的)Ext.Element实例， 如果你需要一个到dom节点的引用，使用el.dom。
参数:
  • fn : Function
    The function to call
  • scope : Object
    (可选) The this object (默认值为 the element)
返回值:
  • CompositeElement
    this
 CompositeElementLite
fill( String/Array els ) : CompositeElement
清除当前的复合对象，然后添加由传递进来的选择器所返回的元素。
清除当前的复合对象，然后添加由传递进来的选择器所返回的元素。
参数:
  • els : String/Array
    A string CSS selector, an array of elements or an element
返回值:
  • CompositeElement
    this
 CompositeElement
filter( String selector ) : CompositeElement
过滤此复合对象，以匹配传递进来的选择器。
过滤此复合对象，以匹配传递进来的选择器。
参数:
  • selector : String
    A string CSS selector
返回值:
  • CompositeElement
    this
 CompositeElement
first() : Ext.Element
返回第一个元素。
返回第一个元素。
参数:
  • 无.
返回值:
  • Ext.Element
 CompositeElement
getCount() : Number
返回当前复合对象中的元素个数
返回当前复合对象中的元素个数
参数:
  • 无.
返回值:
  • Number
 CompositeElement
indexOf( el {Mixed} ) : Number
查找所传递进来的元素在此复合集合中的索引。
查找所传递进来的元素在此复合集合中的索引。
参数:
  • {Mixed} : el
    需要在复合对象集合中查找的元素， 可以是元素的id、一个 Ext.Element、或者一个HtmlElement。
返回值:
  • Number
    所传递进来的Ext.Element在复合集合中的索引，如果没有能查找到 则返回-1。
CompositeElement
item( Number index ) : Ext.Element
返回指定位置的dom元素对象的一个轻量级Element
返回指定位置的dom元素对象的一个轻量级Element
参数:
  • index : Number
返回值:
  • Ext.Element
 CompositeElementLite
last() : Ext.Element
返回最后一个元素
返回最后一个元素
参数:
  • 无.
返回值:
  • Ext.Element
 CompositeElement
removeElement( Mixed el, [Boolean removeDom] ) : CompositeElement
删除指定的元素。
删除指定的元素。
参数:
  • el : Mixed
    The id of an element, the Element itself, the index of the element in this composite or an array of any of those.
  • removeDom : Boolean
    (可选) True to also remove the element from the document
返回值:
  • CompositeElement
    this
 CompositeElement
replaceElement( Mixed el, Mixed replacement, [Boolean domReplace] ) : CompositeElement
使用传递进来的元素替代指定的元素。
使用传递进来的元素替代指定的元素。
参数:
  • el : Mixed
    The id of an element, the Element itself, the index of the element in this composite to replace.
  • replacement : Mixed
    The id of an element or the Element itself.
  • domReplace : Boolean
    (Optional) True to remove and replace the element in the document too.
返回值:
  • CompositeElement
    this
 CompositeElement

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container

Class Ext.Container

包: | Ext
所在文件: | Container.js
Class: | Container
子类: | Panel, Viewport
继承自: | BoxComponent

任何可以容纳其它Ext.BoxComponent 的组件的基类。 这个类是被设计用来继承的，一般不应该通过new关键字来创建此类的对象。 Ext.Panel, Ext.Window 和 Ext.TabPanel 是最常用的容器类。

容器处理基本的：包含元素；通过名字添加、插入、删除元素的行为。 The specific layout logic required to visually render contained items is delegated to any one of the different layout classes available.

当为人容器指定子元素，或者动态地向容器中添加组件时， 请想一想你希望容器怎样来安排这些子元素，这些子元素是否需要使用Ext内建的布局规划来调整大小。

默认情况下，容器使用ContainerLayout 规划。 它只是简单地渲染子元素，把它们一个接一个地添加到容器中， 但是不对它们做任何的尺寸调整。 当一个小器件，像一个GridPanels或一个TreePanels被添加到 一个没有指定布局的容器中时，这是一个常见的混淆点。 容过容器只是使用ContainerLayout规则， 当容器改变大小时，它所有的子组件的大小都不会有任何改变。

一个非常常见的例子是， 开发者试图将一个GridPanel添加到一个包装好的Panel， 然后将这个包装好的Panel再添加到一个TabPanel中。 这种做法误解了Ext的继承机制， GridPanel是一个Component，它可以未经装饰就添加到一个容器中。 如果那个包装好的Panel没有配置layout， 这时，GridPanel将不会像所期望的那样被调整大小。

以下是一个将新建的GridPanel添加到TabPanel的例子。 TabPanel使用Ext.layout.CardLayout 布局作为它的布局管理器， 这意味着它所有的子元素都会被严密地填满它的客户区域。 以下代码需要如何创建GridPanel的前置知识点。 参见Ext.grid.GridPanel, Ext.data.Store 和Ext.data.JsonReader 也可以参见grid实例，在Ext安装目录的examples/grid 文件夹下。

//  Create the GridPanel.
myGrid = new Ext.grid.GridPanel({
    store: myStore,
    columns: myColumnModel,
    title: 'Results',
});

myTabPanel.add(myGrid);
myTabPanel.setActiveItem(myGrid);

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      Button
        SplitButton
          CycleButton

Class Ext.CycleButton

包: | Ext
所在文件: | CycleButton.js
Class: | CycleButton
继承自: | SplitButton
一个特殊的SplitButton， 包含一个Ext.menu.CheckItem 菜单。 当点击时，按钮自动在每个菜单项之间滚动， 同时为当前的菜单项触发按钮的 change 事件（或者调用按钮的 changeHandler 方法，如果提供的话） 点击按钮的箭头区域将显示一个下拉菜单，与一个普通的SplitButton类似。 示例用法:
var btn = new Ext.CycleButton({
    showText: true,
    prependText: 'View as ',
    items: [{
        text:'text only',
        iconCls:'view-text',
        checked:true
    },{
        text:'HTML',
        iconCls:'view-html'
    }],
    changeHandler:function(btn, item){
        Ext.Msg.alert('Change View', item.text);
    }
});

配置属性

配置属性 所在类
allowDepress : Boolean
设置为false将允许一个按下的按钮弹起来(默认值为 undefined)。 只有当 enableToggle 为true时有效。
Button
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
arrowHandler : Function
当箭头按钮被点击时调用的函数 (可以用来代替点击事件)
SplitButton
arrowTooltip : String
箭头的title属性
SplitButton
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
changeHandler : Function
每次按钮菜单中的项目发生变化时调用的回调方法。 如果不提供此回调方法，SplitButton将会在当前活动的项目上触发...
每次按钮菜单中的项目发生变化时调用的回调方法。 如果不提供此回调方法，SplitButton将会在当前活动的项目上触发 change 事件。 changeHandler函数在调用时将会被传递以下参数: (SplitButton this, Ext.menu.CheckItem item)
CycleButton
clickEvent : String
映射到按钮事件处理器上的事件类型 (默认值为 'click')
Button
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
enableToggle : Boolean
设置为true将允许固定按下/非按下状态(默认值为 false)
Button
forceIcon : String
一个CSS类，将设置一个图片用来作为按钮的图标。 此图标总是被显示，无论选择了下拉列表中的哪个项目...
一个CSS类，将设置一个图片用来作为按钮的图标。 此图标总是被显示，无论选择了下拉列表中的哪个项目。 此配置项覆盖了默认改变按钮图标的行为，以便在发生变化时 匹配选中项目的图标。
CycleButton
handleMouseEvents : Boolean
设置为true，将禁用发生 mouseover, mouseout 和 mousedown事件时的视觉提示 (默认值为 true)
Button
handler : Function
当按钮被点击时调用的方法 (可以用来替代点击事件)
Button
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
icon : String
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮...
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮， 请设置cls:"x-btn-text-icon")
Button
iconCls : String
一个CSS类，设置一个背景图片，当前按钮将使用此图片作为图标
Button
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Array
一个 Ext.menu.CheckItem 配置对象数组， 被用来当创建按钮菜单项...
一个 Ext.menu.CheckItem 配置对象数组， 被用来当创建按钮菜单项 (例如： {text:'Foo', iconCls:'foo-icon'})
CycleButton
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
Button
menuAlign : String
菜单对齐的位置 (详情参见Ext.Element.alignTo ，默认值为 'tl-bl?').
Button
minWidth : Number
按钮的最小宽度(用来为一组按钮指定一个统一的宽度)
Button
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
prependText : String
一个插入到活动项目文本之前的静态字符串， 当显示时作为按钮的文本 (只有在showText = true时有效，默认值为 '')
CycleButton
pressed : Boolean
只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效)
Button
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
repeat : Boolean/Object
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
Button
scope : Object
处理函数的作用域
Button
showText : Boolean
设置为true将把当前活动项目的文本作为按钮的文本显示 (默认值为 false)
CycleButton
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
为当前按钮设置一个DOM tabIndex(默认值为 undefined)
Button
template : Ext.Template
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素...
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素。 如果被用来显示文本属性，Template必须包含一个数值以替代参数0 更改模板需要修改代码，如果需要的元素(例如一个按钮)没有出现。
Button
text : String
按钮文本
Button
toggleGroup : String
当前被按下的按钮所属的组 (一组中只有1个按钮可以被按下， 只有在enableToggle = true时有效)
Button
toggleHandler : Function
当一个enableToggle 被设置为true的按钮被点击时调用的函数...
当一个enableToggle 被设置为true的按钮被点击时调用的函数。 将会传递两个参数：
  • button : Ext.Button
    当前Button对象
  • state : Boolean
    Button的下一个状态，true表示按下。
 Button
tooltip : String/Object
按钮的tooltip---可以是一个字符串，或者一个QuickTips配置对象
Button
tooltipType : String
使用的tooltip类型。 要么是 "qtip" (默认) QuickTips 要么是"title"以做标题属性。
Button
type : String
submit, reset 或者 button - 默认值为 'button'
Button
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | pressed : Boolean 只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效) | Button
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
CycleButton( Object config )
Create a new split button
Create a new split button
参数:
  • config : Object
    The config object
返回值:
CycleButton
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getActiveItem() : Ext.menu.CheckItem
获取当前活动的菜单项。
获取当前活动的菜单项。
参数:
  • 无.
返回值:
  • Ext.menu.CheckItem
    The active item
 CycleButton
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getText() : String
获取此按钮的文本
获取此按钮的文本
参数:
  • 无.
返回值:
  • String
    按钮文本
 Button
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasVisibleMenu() : Boolean
如果按钮有一个菜单，并且它是可见的，返回true
如果按钮有一个菜单，并且它是可见的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Button
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideMenu() : void
隐藏当前按钮的菜单（如果有的话）
隐藏当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Button
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setActiveItem( Ext.menu.CheckItem item, Boolean suppress事件 ) : void
设置按钮的活动菜单项。
设置按钮的活动菜单项。
参数:
  • item : Ext.menu.CheckItem
    The item to activate
  • suppress事件 : Boolean
    True to prevent the button's change event from firing (默认值为 false)
返回值:
  • void
 CycleButton
setArrowHandler( Function handler, [Object scope] ) : void
设置按钮箭头的点击处理方法。
设置按钮箭头的点击处理方法。
参数:
  • handler : Function
    The function to call when the arrow is clicked
  • scope : Object
    (可选) Scope for the function passed above
返回值:
  • void
 SplitButton
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, [Object scope] ) : void
指定按钮的点击处理器
指定按钮的点击处理器
参数:
  • handler : Function
    The function to call when the button is clicked
  • scope : Object
    (可选) Scope for the function passed in
返回值:
  • void
 Button
setIconClass( String cls ) : void
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
参数:
  • cls : String
    提供图标图片的CSS类
返回值:
  • void
 Button
setText( String text ) : void
设置按钮的文本
设置按钮的文本
参数:
  • text : String
    按钮文本
返回值:
  • void
 Button
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showMenu() : void
显示当前按钮的菜单（如果有的话）
显示当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle( [Boolean state] ) : void
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
参数:
  • state : Boolean
    (可选) 强制设为一个指定的状态
返回值:
  • void
 Button
toggleSelected() : void
一般情况下，此方法在按钮被点击时在内部调用， 但是也可以从外部调用，以便用程序将按钮的活动...
一般情况下，此方法在按钮被点击时在内部调用， 但是也可以从外部调用，以便用程序将按钮的活动项更新到菜单中的下一项。 如果当前项目是菜单的最后一项，活动项将被设置为菜单中的第一项。
参数:
  • 无.
返回值:
  • void
 CycleButton
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
arrowclick : ( MenuButton this, EventObject e )
当按钮上的箭头被点击时触发
当按钮上的箭头被点击时触发
监听器将会以如下的参数格式调用:
  • this : MenuButton
  • e : EventObject
    The click event
 SplitButton
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
change : ( Ext.CycleButton this, Ext.menu.CheckItem item )
当按钮的菜单项发生改变时触发。 注意：如果为当前CycleButton设置了一个...
当按钮的菜单项发生改变时触发。 注意：如果为当前CycleButton设置了一个 changeHandler 函数，在活动项目发生变化时将调用它作为替代，并且此change事件不会被触发。
Listeners will be called with the following arguments:
  • this : Ext.CycleButton
  • item : Ext.menu.CheckItem
    The menu item that was selected
 CycleButton
click : ( Button this, EventObject e )
当按钮被点击时触发
当按钮被点击时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : EventObject
    The click event
 Button
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
menuhide : ( Button this, Menu menu )
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menushow : ( Button this, Menu menu )
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menutriggerout : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
menutriggerover : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
mouseout : ( Button this, Event e )
当鼠标离开按钮时触发
当鼠标离开按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
mouseover : ( Button this, Event e )
当鼠标滑过按钮时触发
当鼠标滑过按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
toggle : ( Button this, Boolean pressed )
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
监听器将会以如下的参数格式调用:
  • this : Button
  • pressed : Boolean
 Button


DataReader
    JsonReader
      ArrayReader

Class Ext.data.ArrayReader

包: | Ext.data
所在文件: | ArrayReader.js
Class: | ArrayReader
继承自: | JsonReader
Data reader 类，从一个数组创建Ext.data.Record 对象数组。数组的每个元素是一行数据的压缩体。 字段将被使用子脚本压缩到一个Record对象，它是字段定义中（如果存在的话）的mapping属性 ，或者是字段定义时的顺序。

Example code:.

var Employee = Ext.data.Record.create([
    {name: 'name', mapping: 1},         // 只有存在一个"id"字段时才需要"mapping"
    {name: 'occupation', mapping: 2}    // 它排除使用位置顺序作为序号。
]);
var myReader = new Ext.data.ArrayReader({
    id: 0                     // 以下数据行数组为Record提供了一个ID(可选)
}, Employee);

这将产生这样一个数组：

[ [1, 'Bill', 'Gardener'], [2, 'Ben', 'Horticulturalist'] ]

配置属性

配置属性 |  | 所在类
 | id : String (可选)数据行数组内的子脚本，它为Record提供ID | ArrayReader
 | root : String 属性名，它包含数据行数组。 | JsonReader
 | successProperty : String 属性名，从其中可以获得供表单使用的success参数。 | JsonReader
 | totalProperty : String 属性名，从其中可以获得数据集记录的总大小。 当整个数据集不是一次性返回... 属性名，从其中可以获得数据集记录的总大小。 当整个数据集不是一次性返回，而是在服务器端做好分页时，才需要此参数。 | JsonReader

公共属性

Property |  | 所在类
 | jsonData : Object 在加载数据之后纯粹的JSON数据，可以被客户端做进一步处理... 在加载数据之后纯粹的JSON数据，可以被客户端做进一步处理。 如果没有加载到数据或者出现了加载异常，此属性将为undefined。 | JsonReader
 | meta : Mixed 传递给此DataReader构造器的配置元数据。 | DataReader

公共方法

Method 所在类
ArrayReader( Object meta, Object recordType )
创建一个新的ArrayReader
创建一个新的ArrayReader
参数:
  • meta : Object
    Metadata配置选项。
  • recordType : Object
    要么是一个字段定义数组，它将被指定给 Ext.data.Record.create， 方法，或者是一个 使用Ext.data.Record.create 创建的 Record 构造器。
返回值:
ArrayReader
read( Object response ) : Object
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
参数:
  • response : Object
    在responseText中包含JSON数据的XHR（译者注：异步请求，XmlHttpRequest）对象。
返回值:
  • Object
    data 一个数据块，被Ext.data.Store对象当作Ext.data.Record的缓存。
 JsonReader
readRecords( Object o ) : Object
从一个数组创建包含Ext.data.Record的数据块。
从一个数组创建包含Ext.data.Record的数据块。
参数:
  • o : Object
    行数据数组，它是压缩的数据集。
返回值:
  • Object
    data 一个数据块，被Ext.data.Store对象当作Ext.data.Record的缓存。
 ArrayReader

公共事件

该类没有公共事件。


Observable
    Connection

Class Ext.data.Connection

包: | Ext.data
所在文件: | Connection.js
Class: | Connection
子类: | Ajax
继承自: | Observable

该类封装了一个到当前页面所在域的链接（译者注：也就是说这个类是不可直接做跨域请求的）， 允许通过配置的URL提交请求，或者在发送请求的时候指定URL。

该类产生的请求是异步的，发出请求的方法会立即返回（译者注：注意区分概念，发出请求的方法发回，而不是说 发出请求就立即有响应。当然，熟悉XHR的都应该明白的，罗嗦了，呵呵）。 在调用request 方法之后，并没有可用数据立即从服务器返回。 需要处理返回的数据，请在请求配置对象中使用{@link #request-option-success callback} 或者事件监听器。

{@link #request-option-isUpload File uploads} （文件上传）不是使用普通的"Ajax"技术，也就是说，它们不是使用XMLHttpRequests来实现的。 作为替代的是，表单是以标准的风格提交的， 同时临时修改DOM的<form>元素，使它的target 指向一个动态生成的隐藏<iframe>， 这个隐藏的<iframe>被插入到document中，在收到返回数据后被删除掉。 （译者注：读过《Ajax基础教程》的人应该对类似的技巧有印象，在XHR还不是广为人知的时候， 很多人就用这种隐藏内帧的方式来构造“无刷新页面”，说白了就是把表单提交到本页的一个隐藏内帧。Ext对这个 技巧做了一些改进，用来做文件上传的组件。我记得曾经有人说，内帧这种东西不会再有什么大用处了，没想到在 这个地方又碰到了，呵呵。）

浏览器将解析服务器的响应，为IFRAME创建document。 如果服务器使用JSON发送响应， 那么 Content-Type 头必须设置为"text/html"， 以便告诉浏览器将文本直接插入document的body中而不做改变。

从document中可以获得响应文本，然后创建一个假的XMLHttpRequest对象， 为了符合事件处理程序和回调函数的要求， 它包含一个responseText属性。

必须明白的是，文件上传发送数据包的content type是 multipart/form ，并且一些服务器端技术（特别是JavaEE），为了从数据包内容 解析参数名称和值，可能需要一些自定义的处理。

配置属性

配置属性 |  | 所在类
 | autoAbort : Boolean (可选) 是否终止任何正在发生的请求(默认值为 false) | Connection
 | defaultHeaders : Object (可选)一个包含请求头信息的对象， 此对象产生的每个请求都会包含此信息... (可选) 一个包含请求头信息的对象， 此对象产生的每个请求都会包含此信息(默认值为 undefined)。 | Connection
 | disableCaching : Boolean (可选) 如果为true，向GET请求添加一个唯一的缓存终结者参数(默认值为 true)。 | Connection
 | disableCachingParam : String (可选) 通过一个“缓存终结者”设置参数以禁止缓存。默认值为'_dc'... (可选) 通过一个“缓存终结者”设置参数以禁止缓存。默认值为'_dc' （译者注：这句参考了Google的翻译，“缓存终结者”，他们太有才了！呵呵。比较常用的手段是在请求的末尾加时间戳，例如getData.action?req_time=new Date()， 这样可以确保每次发出的请求是不同的，也就不用考虑浏览器缓存的问题了。） | Connection
 | extraParams : Object (可选)一个包含属性的对象，它被用作此对象产生的每个请求的额外参数(默认值为... (可选)一个包含属性的对象，它被用作此对象产生的每个请求的额外参数(默认值为 undefined)。 | Connection
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | method : String (可选)(可选) 默认的HTTP请求方式(如果没有设置，那么默认值为 undefined； 但是，... (可选) 默认的HTTP请求方式(如果没有设置，那么默认值为 undefined； 但是，如果request 方法存在params参数，将使用POST方式；否则使用GET方式。) | Connection
 | timeout : Number (可选) 请求超时毫秒数(默认值为 30000)。 | Connection
 | url : String (可选) 向服务器提交请求的默认URL (默认值为 undefined)。 | Connection

公共属性

该类没有公共属性。

公共方法

Method 所在类
Connection( Object config )
参数:
  • config : Object
    a configuration object.
返回值:
Connection
abort( [Number transactionId] ) : void
中止任何正在发生的请求。
中止任何正在发生的请求。
参数:
  • transactionId : Number
    (可选) 默认值为最后一个事务
返回值:
  • void
 Connection
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isLoading( [Number transactionId] ) : Boolean
判断这个对象是否有一个正在发生的请求。
判断这个对象是否有一个正在发生的请求。
参数:
  • transactionId : Number
    (可选) 默认值为 the last transaction
返回值:
  • Boolean
    True if there is an outstanding request.
 Connection
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
request( [Object options] ) : Number
发送一个HTTP请求到远程服务器。

Important: Ajax请求是异步的，在收到响应之前此方法已经返回。 处理任何返回的数据都要在回调函数中进行...

发送一个HTTP请求到远程服务器。

Important: Ajax请求是异步的，在收到响应之前此方法已经返回。 处理任何返回的数据都要在回调函数中进行。

需要在当前作用域中执行回调函数，请使用 scope配置项。

参数:
  • options : Object
    一个可能包含如下属性的对象：
    • url : String/Function (可选)
      发送请求的URL，或者一个方法，调用它能返回一个URL字符串。 方法的作用域由scope选项指定。 默认为配置的URL。
    • params : Object/String/Function (可选)
      可以是：一个包含属性的对象，它将被用作请求的参数；一个URL编码字符串；或者是一个方法， 调用它可以产生前两项中的任意一个。 方法的作用域由scope选项指定。
    • method : String (可选)
      HTTP请求的方式。默认为配置的方式，如果没有配置，当没有参数被发送时为"GET"， 有参数发送时为"POST"。注意：请求方式名称是大小写敏感的，应该全是大写。
    • callback : Function (可选)
      当收到HTTP响应时调用的方法。不管请求成功还是失败，回调方法都会被调用， 并被传入以下的参数：
      • options : Object
        调用request方法时的参数。
      • success : Boolean
        请求成功时为true.
      • response : Object
        包含响应数据的XMLHttpRequest对象。 关于如何访问响应内容的详情，请参见 http://www.w3.org/TR/XMLHttpRequest/。
    • success : Function (可选)
      当请求成功时调用的方法。 它将被传入以下参数:
      • response : Object
        包含响应数据的XMLHttpRequest对象。
      • options : Object
        调用request方法的参数。
    • failure : Function (可选)
      请求失败时调用的方法。它将被传入以下参数：
      • response : Object
        包含响应数据的XMLHttpRequest对象。
      • options : Object
        调用request方法的参数。
    • scope : Object (可选)
      执行回调方法的作用域： 如果指定了url或者params参数，方法可以从其中获取数据， 那么这些参数将作为调用这些方法的作用域。 作用域默认人浏览器的window对象。
    • form : Element/HTMLElement/String (可选)
      <form>表单 元素或者<form>的id ，可以从其中获取参数。
    • isUpload : Boolean (可选)
      如果表单对象是一个文件上传对象，此位为true（一般会自动检测）。

      文件上传不是使用普通的"Ajax"技术，也就是说，它们不是使用XMLHttpRequests来实现的。 作为替代的是，表单是以标准的风格提交的， 同时临时修改DOM的<form>元素，使它的target 指向一个动态生成的隐藏<iframe>， 这个隐藏的<iframe>被插入到document中，在收到返回数据后被删除掉。

      浏览器将解析服务器的响应，为IFRAME创建document。 如果服务器使用JSON发送响应， 那么 Content-Type 头必须设置为"text/html"， 以便告诉浏览器将文本直接插入document的body中而不做改变。

      必须明白的是，文件上传发送数据包的content type是 multipart/form ，并且一些服务器端技术（特别是JavaEE），为了从数据包内容 解析参数名称和值，可能要求一些定制的处理。

    • headers : Object (可选)
      请求的头部信息。
    • xmlData : Object (可选)
      post的XML文档。 注意：这将替代用作post的参数。所有参数都将被添加到URL后面。
    • jsonData : Object/String (可选)
      post用的JSON数据。 注意：这将替代用作post的参数。所有参数都将被添加到URL后面。
    • disableCaching : Boolean (可选)
      如果为true，为GET请求添加一个唯一的缓存终结者。

    配置对象也可以包含其它的，执行后处理的回调函数所需要的属性， 因为配置对象将被传递给回调函数。

返回值:
  • Number
    transactionId 服务器事务id。可以用来取消请求。
 Connection
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforerequest : ( Connection conn, Object options )
当发出获取数据的请求之前触发。
当发出获取数据的请求之前触发。
监听器将会用以下的参数格式调用:
  • conn : Connection
    当前Connection对象。
  • options : Object
    传递给request 方法的配置选项对象。
 Connection
requestcomplete : ( Connection conn, Object response, Object options )
当请求成功完成时触发。
当请求成功完成时触发。
监听器将会用以下的参数格式调用:
  • conn : Connection
    Connection对象。
  • response : Object
    包含响应数据的XHR对象。 详情参见XMLHttpRequest对象。
  • options : Object
    传递给 request 方法的配置对象。
Connection
requestexception : ( Connection conn, Object response, Object options )
当服务器返回一个HTTP错误状态时触发。HTTP状态码详情请参见...
当服务器返回一个HTTP错误状态时触发。HTTP状态码详情请参见HTTP Status Code Definitions。
监听器将会用以下的参数格式调用:
  • conn : Connection
    当前Connection对象。
  • response : Object
    包含响应数据的XHR对象。 详情参见The XMLHttpRequest Object。
  • options : Object
    传递给request 方法的配置选项对象。
Connection


Observable
    DataProxy

Class Ext.data.DataProxy

包: | Ext.data
所在文件: | DataProxy.js
Class: | DataProxy
子类: | HttpProxy, MemoryProxy, ScriptTagProxy
继承自: | Observable
这是一个用来被继承的抽象基类，它提供获取无格式的数据对象的功能。

DataProxy的实现类通常与Ext.data.DataReader的实现类联合使用 (适当的类型，知道 如何解析数据对象) 将一组Ext.data.Records 解析成 Ext.data.Store。

自定义的实现必须实现load方法，就像Ext.data.HttpProxy.load 中描述的那样。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeload : ( Object this, Object params )
在一个获取数据对象的网络请求被发出之前触发。
在一个获取数据对象的网络请求被发出之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • params : Object
    The params object passed to the load function
 DataProxy
load : ( Object this, Object o, Object arg )
在load方法的回调函数被调用之前触发。
在load方法的回调函数被调用之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • o : Object
    The data object
  • arg : Object
    The callback's arg object passed to the load function
 DataProxy


Class Ext.data.DataReader

包: | Ext.data
所在文件: | DataReader.js
Class: | DataReader
子类: | JsonReader, XmlReader
继承自: | Object
一个抽象基类，用来从一个数据源中读取结构化的数据，并将它转换成一个包含Ext.data.Record 和元数据的对象，它将被Ext.data.Store 使用。 该类是被设计用来继承的，不应该直接创建此类的实例。 已有的实现，参见Ext.data.ArrayReader, Ext.data.JsonReader 和 Ext.data.XmlReader.

公共属性

Property |  | 所在类
 | meta : Mixed 传递给此DataReader构造器的配置元数据。 | DataReader

公共方法

Method 所在类
DataReader( Object meta, Object recordType )
Create a new DataReader
Create a new DataReader
参数:
  • meta : Object
    元数据配置选项(子类指定)
  • recordType : Object
    要么是一个字段数组定义对象，就像在 Ext.data.Record.create 方法中指定的那样，或者是一个 Ext.data.Record 对象，它是使用 Ext.data.Record.create 方法创建的。
返回值:
DataReader

公共事件

该类没有公共事件。


Observable
    Store
      GroupingStore

Class Ext.data.GroupingStore

包: | Ext.data
所在文件: | GroupingStore.js
Class: | GroupingStore
继承自: | Store
一个特殊的Store实现，提供根据一个可用的字段对记录进行分组的功能。

配置属性

配置属性 所在类
autoLoad : Boolean/Object
如果传入此值，store将在被创建后使用autoLoad对象作为参数自动调用load方法。
Store
baseParams : Object
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
Store
data : Array
当store初始化时加载的内置数据。
Store
groupField : String
对store中数据进行分组所依据的字段名称(默认值为 '').
GroupingStore
groupOnSort : Boolean
如果为true，当分组操作发生时，对数据进行排序，否则根据当前的排序信息进行排序 (默认值为 false)。
如果为true，当分组操作发生时，对数据进行排序，否则根据当前的排序信息进行排序 (默认值为 false)。
GroupingStore
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
proxy : Ext.data.DataProxy
Proxy对象，提供访问数据对象的方法。
Store
pruneModifiedRecords : boolean
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
Store
reader : Ext.data.DataReader
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
Store
remoteGroup : Boolean
如果为true，分组将在服务器端进行， 否则仅在本地进行(默认值为 false)。 如果进行本地分组...
如果为true，分组将在服务器端进行， 否则仅在本地进行(默认值为 false)。 如果进行本地分组， 可以立即应用到数据上。 如果是远程分组， 那么此类仅仅充当一个辅助的功能， 在调用XHR时在参数中自动发送分组的字段名称。
GroupingStore
remoteSort : boolean
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true...
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true，对应的是在本地对Record缓存进行排序(默认值为 false)。

如果指定了远程牌迅，当在列的表头上点击时， 当前页将会被从服务器重新加载，请求时增加两个参数：

  • sort : String

    排序依据的字段名(在Record的Field定义时指定的)。

  • dir : String

    排序的方向 "ASC" 或 "DESC" (大小写敏感).

 Store
sortInfo : Object
一个配置对象，格式为: {field: "fieldName", direction: "ASC|DESC"}。 排序方向属性是大小写敏感的。（译者注：也就是说，这里的ASC和DESC只能是大写的，小写没有效果。）
Store
storeId : String
如果传递此参数，它将被用作向StoreMgr注册时的id
Store
url : String
如果传递此参数，将为此URL创建一个HttpProxy
Store

公共属性

Property |  | 所在类
 | baseParams : Object 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 | Store
 | lastOptions : Object 此项可以包含的内容详情，参见load 这对于... 包含最后一次调用load方法所使用的参数项。 此项可以包含的内容详情，参见load 这对于访问加载当前Record缓存所使用的参数项是非常有用的。 | Store

公共方法

Method 所在类
GroupingStore( Object config )
Creates a new GroupingStore.
Creates a new GroupingStore.
参数:
  • config : Object
    A config object containing the objects needed for the Store to access data, and read the data into Records.
返回值:
GroupingStore
add( Ext.data.Record[] records ) : void
Add Records to the Store and fires the add event.
向Store中添加多条记录，并触发 add 事件。
参数:
  • records : Ext.data.Record[]
    需要添加到缓存中的Ext.data.Record对象数组。
返回值:
  • void
 Store
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSorted( Ext.data.Record record ) : void
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
参数:
  • record : Ext.data.Record
返回值:
  • void
 Store
clearFilter( Boolean suppress事件 ) : void
返回到没有使用过滤器之前的视图。
返回到没有使用过滤器之前的视图。
参数:
  • suppress事件 : Boolean
    如果为true，过滤器将被安静地清理而不通知监听器
返回值:
  • void
 Store
clearGrouping() : void
清除当前分组并使用默认的顺序刷新数据。
清除当前分组并使用默认的顺序刷新数据。
参数:
  • 无.
返回值:
  • void
 GroupingStore
collect( String dataIndex, [Boolean allowNull], [Boolean bypassFilter] ) : Array
收集此数据集中指定dataIndex的唯一值。
收集此数据集中指定dataIndex的唯一值。
参数:
  • dataIndex : String
    需要收集的属性
  • allowNull : Boolean
    (可选) 传递true以允许null、undefined或者空字符串值
  • bypassFilter : Boolean
    (可选) 传递true从所有的记录中收集，包括被过滤掉的记录
返回值:
  • Array
    包含唯一值的数组
Store
commitChanges() : void
提交对记录的修改。 需要处理变更，监听Store的"update"事件...
提交对记录的修改。 需要处理变更，监听Store的"update"事件， 然后当第三个参数为Ext.data.Record.COMMIT时提交更新。
参数:
  • 无.
返回值:
  • void
 Store
each( Function fn, [Object scope] ) : void
使用缓存中的每条记录调用指定的方法。
使用缓存中的每条记录调用指定的方法。
参数:
  • fn : Function
    需要调用的方法。Record将作为第一个参数被传递。 在迭代中途抛出异常时返回 false。
  • scope : Object
    (可选) 调用方法的作用域(默认值为Record).
返回值:
  • void
 Store
filter( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : void
使用指定的参数过滤数据记录。
使用指定的参数过滤数据记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个字符串，字段必须以这个字符串开头； 要么是用来测试字段的一个正则表达式。
  • anyMatch : Boolean
    (可选)如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选)如果为true，比较时对大小写敏感
返回值:
  • void
 Store
filterBy( Function fn, [Object scope] ) : void
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此...
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含进来， 否则它将被过滤掉。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选)方法的作用域(默认值为 this)
返回值:
  • void
 Store
find( String property, String/RegExp value, [Number startIndex], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
参数:
  • property : String
    对象的一个属性
  • value : String/RegExp
    要么是一个字符串，键值必须以这个字符串开头； 要么是用来测试键值的一个正则表达式。
  • startIndex : Number
    (可选) 起始下标
  • anyMatch : Boolean
    (可选) 如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选) 如果为true，比较时对大小写敏感
返回值:
  • Number
    符合条件的序号，或者-1
 Store
findBy( Function fn, [Object scope], [Number startIndex] ) : Number
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。...
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      The ID of the Record passed.

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
  • startIndex : Number
    (可选) 搜索的起始位置
返回值:
  • Number
    匹配的序号或者-1
 Store
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getAt( Number index ) : Ext.data.Record
获得指定序号处的Record。
获得指定序号处的Record。
参数:
  • index : Number
    需要查找的Record的序号。
返回值:
  • Ext.data.Record
    传入序号处的Record。 如未找到，返回undefined。
 Store
getById( String id ) : Ext.data.Record
根据指定的id获取记录。
根据指定的id获取记录。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Ext.data.Record
    含有指定id的记录。 如果没有找到，返回undefined。
Store
getCount() : Number
获得缓存的记录数目。

如果使用分页...

获得缓存的记录数目。

如果使用分页，这可能不是数据集的总数目。如果Reader使用的数据对象包含数据集的大小 那么 getTotalCount 将返回数据集的总大小。

参数:
  • 无.
返回值:
  • Number
    Store缓存中Record的数量。
Store
getModifiedRecords() : Ext.data.Record[]
获得最后一次提交之后被修改的记录...
获得最后一次提交之后被修改的记录。 修改的记录将持续显示到load操作。 (例如： during paging).
参数:
  • 无.
返回值:
  • Ext.data.Record[]
    被外部修改过的Record数组。
Store
getRange( [Number startIndex], [Number endIndex] ) : Ext.data.Record[]
返回指定区间内的记录。
返回指定区间内的记录。
参数:
  • startIndex : Number
    (可选) 起始下标(默认值为 0)
  • endIndex : Number
    (可选) 结束下标(默认值为Store中的最后一条记录)
返回值:
  • Ext.data.Record[]
    Record数组
 Store
getSortState() : Object
返回一个描述Store当前排序状态的对象。
返回一个描述Store当前排序状态的对象。
参数:
  • 无.
返回值:
  • Object
    Store的排序状态。 包含两个属性的对象：
    • field : String

      对Record排序所依据的字段值。

    • direction : String

      排序方向，"ASC"或者"DESC" (大小写敏感)。

Store
getTotalCount() : Number
获取从服务器返回的数据集记录总数...
获取从服务器返回的数据集记录总数。

如果使用分页，为了使该值能够精确， Reader使用的数据对象必须包含数据集的大小。 对于远程数据源来说，此值由服务器上的一次查询来提供。

参数:
  • 无.
返回值:
  • Number
    Proxy传递给Reader的数据对象中包含的记录数目

    当在本地更新Store时该值不会被更新。

Store
groupBy( String field, [Boolean forceRegroup] ) : void
根据指定的字段对数据进行分组。
根据指定的字段对数据进行分组。
参数:
  • field : String
    对此store的数据进行排序所根据的字段名称
  • forceRegroup : Boolean
    (可选) 如果为true，强制分组进行刷新， 即使传递进来字段和当前排序的字段是相同的， 否则保持当前的分组字段，跳过根据同一字段进行分组的操作(默认值为 false)
返回值:
  • void
 GroupingStore
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Ext.data.Record record ) : Number
获得传递进来的Record在缓存中的序号。
获得传递进来的Record在缓存中的序号。
参数:
  • record : Ext.data.Record
    需要查找的Ext.data.Record对象。
返回值:
  • Number
    传递进来的Record的序号。 如果没有找到，返回-1
 Store
indexOfId( String id ) : Number
使用传入的Record的id获取它缓存中的序号。
使用传入的Record的id获取它缓存中的序号。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Number
    Record的序号。 如果没有找到，返回-1。
Store
insert( Number index, Ext.data.Record[] records ) : void
在给定的序号出插入Records并触发 add 事件。
在给定的序号出插入Records并触发 add 事件。
参数:
  • index : Number
    插入传递的Records的起始序号。
  • records : Ext.data.Record[]
    需要添加到缓存的Ext.data.Record对象数组。
返回值:
  • void
 Store
isFiltered() : Boolean
如果此store是经过过滤的，返回true
如果此store是经过过滤的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Store
load( Object options ) : Boolean
使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页...

使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页，第一次调用必须在options.params属性中指定start 和 limit参数，以确定数据在整个数据集中的位置和每次从Proxy中读取的Record数量。

对于远程数据源，需要特别注意的是，加载是异步进行的，对load方法的调用将在新的数据加载完之前返回。 在load事件处理器或回调函数中进行加载处理。

参数:
  • options : Object
    一个包含属性的对象，它控制加载选项：
    • params :Object

      一个包含属性的对象，它被作为HTTP请求的参数传递给远程数据源。

    • callback : Function

      在Record加载完成后调用的方法。 方法将会被传入以下的参数：

      • r : Ext.data.Record[]
      • options: 调用load方法时传递的加载选项对象
      • success: 加载成功标志位

    • scope : Object

      回调方法的作用域(默认为store对象)

    • add : Boolean

      标志位，将数据追加到缓存或是覆盖缓存。

返回值:
  • Boolean
    load操作是否已经触发（当beforeload执行失败时）。
 Store
loadData( Object data, [Boolean append] ) : void
从传递进来的数据块中加载数据并触发 load 事件...
从传递进来的数据块中加载数据并触发 load 事件。 必须在构造器中配置理解数据格式的Reader。
参数:
  • data : Object
    从中读取Records的数据块。 期望的数据格式与配置的Reader类型相关， 并且需要与Reader的readRecords参数相协调。
  • append : Boolean
    (可选) 如果为true，添加新的记录而不是替代已有的记录。
返回值:
  • void
 Store
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
query( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
根据指定的属性查找记录。
根据指定的属性查找记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个string，字段需要以此字符串开头； 或者是一个用来测试字段的正则表达式。
  • anyMatch : Boolean
    (可选) 如果为true，在任何位置匹配，不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 如果为true，在匹配时对大小写敏感
返回值:
  • MixedCollection
    返回一个Ext.util.MixedCollection，包含匹配的记录
 Store
queryBy( Function fn, [Object scope] ) : MixedCollection
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用...
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含在结果集中。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    返回包含匹配记录的一个Ext.util.MixedCollection
 Store
rejectChanges() : void
在所有被外部修改过的记录上撤销更改。
在所有被外部修改过的记录上撤销更改。
参数:
  • 无.
返回值:
  • void
 Store
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
reload( [Object options] ) : void
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
参数:
  • options : Object
    (可选)一个包含属性的对象，会覆盖最后一次加载参数 详情参见load (默认值为 null，在这种情况下，将使用最近一次使用的加载选项)。
返回值:
  • void
 Store
remove( Ext.data.Record record ) : void
从Store中删除一条记录并触发 remove 事件。
从Store中删除一条记录并触发 remove 事件。
参数:
  • record : Ext.data.Record
    需要从缓存中删除的Ext.data.Record对象。
返回值:
  • void
 Store
removeAll() : void
删除Store中所有的Record并触发 clear 事件。
删除Store中所有的Record并触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 Store
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDefaultSort( String fieldName, [String dir] ) : void
设置默认的排序列并应用到下一次加载操作。
设置默认的排序列并应用到下一次加载操作。
参数:
  • fieldName : String
    排序依据的字段名。
  • dir : String
    (可选) 排序方向， "ASC" 或"DESC" (大小写敏感，默认值为"ASC")
返回值:
  • void
 Store
sort( String fieldName, [String dir] ) : void
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载...
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载。 如果使用本地排序，缓存将进行内部排序。
参数:
  • fieldName : String
    排序依据的字段名称。
  • dir : String
    (可选) 排序方向, "ASC"或 "DESC" (大小写敏感，默认值为 "ASC")
返回值:
  • void
 Store
sum( String property, Number start, Number end ) : Number
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
参数:
  • property : String
    数据记录的一个字段
  • start : Number
    起始记录位置(默认值为 0)
  • end : Number
    终止记录位置（包含）(默认值为 length - 1)
返回值:
  • Number
    和
 Store
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
add : ( Store this, Ext.data.Record[] records, Number index )
当记录被添加到Store时触发
当记录被添加到Store时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    The array of Records added
  • index : Number
    The index at which the record(s) were added
 Store
beforeload : ( Store this, Object options )
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
监听器将会以如下的参数格式调用:
  • this : Store
  • options : Object
    指定的加载选项(详情参见load)
 Store
clear : ( Store this )
当数据缓存被清空时触发。
当数据缓存被清空时触发。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
datachanged : ( Store this )
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
load : ( Store this, Ext.data.Record[] records, Object options )
在加载完新的记录集时触发。
在加载完新的记录集时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    被加载的记录集
  • options : Object
    指定的加载选项(详情参见load)
 Store
loadexception : ()
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
监听器将会以如下的参数格式调用:
  • 无.
 Store
metachange : ( Store this, Object meta )
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
监听器将会以如下的参数格式调用:
  • this : Store
  • meta : Object
    The JSON metadata
 Store
remove : ( Store this, Ext.data.Record record, Number index )
当一个Record被从Store中删除时触发
当一个Record被从Store中删除时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    The Record that was removed
  • index : Number
    The index at which the record was removed
 Store
update : ( Store this, Ext.data.Record record, String operation )
当一个Record被更新时触发。
当一个Record被更新时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    被更新过的Record
  • operation : String
    更新操作执行后，结果可能是：

Ext.data.Record.EDIT
 Ext.data.Record.REJECT
 Ext.data.Record.COMMIT
 Store


Observable
    DataProxy
      HttpProxy

Class Ext.data.HttpProxy

包: | Ext.data
所在文件: | HttpProxy.js
Class: | HttpProxy
继承自: | DataProxy
Ext.data.DataProxy 类的一个实现，从Connection 对象中读取数据，它被配置为引用一个特定的URL。

注意：该类不能从一个域中获取数据， 除非当前运行的页面是从该域中返回的。 （译者注：这句话的意思是，这个类不能用来获得跨域名的数据。跨域请求具有一定的安全风险， 常见跨站脚本攻击会利用脚本中的漏洞，从而产生安全问题。）

为了访问跨域的远程数据，请使用ScriptTagProxy。

必须明白，如果想要浏览器能解析XML文本， 服务器端必须将HTTP响应的Content-Type头设置为"text/xml"。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | conn : Object Connection对象(或者Ext.Ajax.request 的一个配置参数) HttpProxy将使用... Connection对象(或者Ext.Ajax.request 的一个配置参数) HttpProxy将使用该对象向服务器发送请求。 此对象的属性可以动态改变，以改变请求数据的途径。 | HttpProxy

公共方法

Method 所在类
HttpProxy( Object conn )
参数:
  • conn : Object
    一个Ext.data.Connection对象， 或者到Ext.Ajax.request 的一个可选参数。 如果传入了一个可选参数， Ext.Ajax 单例对象将会被创建，以用来提交请求。
返回值:
HttpProxy
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getConnection() : Connection
返回此代理使用的Ext.data.Connection 对象。
返回此代理使用的Ext.data.Connection 对象。
参数:
  • 无.
返回值:
  • Connection
    Connection对象。 该对象可用来在比DataProxy事件更细粒度的基础上订阅事件。
HttpProxy
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
load( Object params, Ext.data.DataReader reader, Function callback, Object scope, Object arg ) : void
从配置的Ext.data.Connection 中加载数据...
从配置的Ext.data.Connection 中加载数据， 使用传递进来的Ext.data.DataReader 实例，将数据对象读取到一个Ext.data.Records数据块中， 然后使用传递进来的回调函数处理该数据块。
参数:
  • params : Object
    一个包含属性的对象， 它将被用作向远程服务器提交HTTP请求的参数。
  • reader : Ext.data.DataReader
    一个Reader对象，它将数据对象解析成Ext.data.Records数据块。
  • callback : Function
    接收Ext.data.Records作为参数的方法。必须提供该方法。
    • Record块对象
    • load方法的"arg"参数
    • 一个布尔型的是否加载成功标志位
  • scope : Object
    调用回调函数的作用域
  • arg : Object
    一个可选参数，它将被作为第二个参数传递到回调函数中。
返回值:
  • void
 HttpProxy
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeload : ( Object this, Object params )
在一个获取数据对象的网络请求被发出之前触发。
在一个获取数据对象的网络请求被发出之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • params : Object
    The params object passed to the load function
 DataProxy
load : ( Object this, Object o, Object arg )
在load方法的回调函数被调用之前触发。
在load方法的回调函数被调用之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • o : Object
    The data object
  • arg : Object
    The callback's arg object passed to the load function
 DataProxy
loadexception : ( Object this, Object options, Object response, Error e )
当Proxy加载数据的过程中出现异常是触发此事件。 该事件可以有两种原因被触发...
当Proxy加载数据的过程中出现异常是触发此事件。 该事件可以有两种原因被触发：
  • 调用load方法时返回了false. 这意为着服务器端返回了一个失败状态位， 没有数据可以读取。 在这种情况下，该事件被触发并且第四个参数(读取错误)将为null。
  • 加载数据成功了，但是reader无法读取响应数据。 这意为着服务器返回了数据， 但是配置的Reader在读取数据的时候抛出了异常。 在这种情况下，事件被触发，捕获的异常将会作为此事件的第四个参数被传递。
注意：此事件也会被传播到Ext.data.Store ，所以你可以直接在任何Store类的实例上监听之。
监听器将会被以如下的参数格式调用:
  • this : Object
  • options : Object
    指定的加载参数(详细请参见load)
  • response : Object
    包含响应数据的XMLHttpRequest对象
  • e : Error
    Reader无法读取数据时捕获到的JavaScript Error对象。 如果调用load方法返回success:false，此参数为null。
HttpProxy


DataReader
    JsonReader

Class Ext.data.JsonReader

包: | Ext.data
所在文件: | JsonReader.js
Class: | JsonReader
子类: | ArrayReader
继承自: | DataReader
Data reader 类，以提供的Ext.data.Record 构造器中的映射为基础，从JSON响应创建一个Ext.data.Record 对象数组。

示例代码:

var Employee = Ext.data.Record.create([
    {name: 'firstname'},                  //将记录的 "firstname"字段映射到数据行的对象的同名键
    {name: 'job', mapping: 'occupation'}  // 将"job"字段映射到数据行对象的"occupation" 键
]);
var myReader = new Ext.data.JsonReader({
    totalProperty: "results",             // 包含数据集总大小的参数(可选)
    root: "rows",                         // 包含一个数据行对象数组的参数
    id: "id"                              // The property within each row object that provides an ID for the record (可选)
}, Employee);

This would consume a JSON object of the form:

{
    'results': 2,
    'rows': [
        { 'id': 1, 'firstname': 'Bill', occupation: 'Gardener' },         // a row object
        { 'id': 2, 'firstname': 'Ben' , occupation: 'Horticulturalist' }  // another row object
    ]
}

可以在任意时刻改变JsonReader的元数据，只要在数据中包含一个metaData参数即可。 如果检测到此对象，使用此Reader的Store对象将会触发 它的metachange 事件。

metaData参数可以包含这个类的任何配置参数。 另外，它可能还包含一个fields参数，JsonReader将 使用它作为Ext.data.Record.create方法的一个参数 来配置所创建记录集的布局。

使用metaData参数和Store的metachange 事件，可以构造一个由Store驱动的控制和初始化动作。 metachange事件的处理器可以查询metaData属性( 如果需要，它可以包含任何用户定义的属性)和metaData.fields 属性来执行所需要的任何配置。

如果想要像上面的例子那样使用此工具来发送相同的数据，而又不必编写创建Record的代码， 你需要这样来创建JsonReader：

var myReader = new Ext.data.JsonReader();

从服务器返回的第一个数据包可以包含一个metaData属性，以配置这个reader，就像如下的数据：

{
  'metaData': {
    total属性: 'results',
    root: 'rows',
    id: 'id',
    fields: [
      {name: 'name'},
      {name: 'occupation'} ]
   },
  'results': 2, 'rows': [
    { 'id': 1, 'name': 'Bill', occupation: 'Gardener' },
    { 'id': 2, 'name': 'Ben', occupation: 'Horticulturalist' } ]
}

配置属性

配置属性 |  | 所在类
 | id : String 一个数据行对象的属性名，它包含数据行的id值。 | JsonReader
 | root : String 属性名，它包含数据行数组。 | JsonReader
 | successProperty : String 属性名，从其中可以获得供表单使用的success参数。 | JsonReader
 | totalProperty : String 属性名，从其中可以获得数据集记录的总大小。 当整个数据集不是一次性返回... 属性名，从其中可以获得数据集记录的总大小。 当整个数据集不是一次性返回，而是在服务器端做好分页时，才需要此参数。 | JsonReader

公共属性

Property |  | 所在类
 | jsonData : Object 在加载数据之后纯粹的JSON数据，可以被客户端做进一步处理... 在加载数据之后纯粹的JSON数据，可以被客户端做进一步处理。 如果没有加载到数据或者出现了加载异常，此属性将为undefined。 | JsonReader
 | meta : Mixed 传递到构造器的此JsonReader的元数据，或者传递给最后一个数据包的 metaData属性。 | JsonReader

公共方法

Method 所在类
JsonReader( Object meta, Object recordType )
Create a new JsonReader
Create a new JsonReader
参数:
  • meta : Object
    Metadata configuration options.
  • recordType : Object
    Either an Array of field definition objects as passed to Ext.data.Record.create, or a Record constructor created using Ext.data.Record.create.
返回值:
JsonReader
read( Object response ) : Object
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
参数:
  • response : Object
    在responseText中包含JSON数据的XHR（译者注：异步请求，XmlHttpRequest）对象。
返回值:
  • Object
    data 一个数据块，被Ext.data.Store对象当作Ext.data.Record的缓存。
 JsonReader
readRecords( Object o ) : Object
从一个JSON对象创建包含多个Ext.data.Record对象的数据块。
从一个JSON对象创建包含多个Ext.data.Record对象的数据块。
参数:
  • o : Object
    一个包含数据行数组的对象，它被放在指定的配置属性'root'中；一个可选的属性，在配置中指定的'totalProperty'， 它包含数据集的总大小。
返回值:
  • Object
    data 一个数据块，被Ext.data.Store对象当作Ext.data.Record的缓存。
JsonReader

公共事件

该类没有公共事件。


Observable
    Store
      JsonStore

Class Ext.data.JsonStore

包: | Ext.data
所在文件: | JsonStore.js
Class: | JsonStore
继承自: | Store
一个小的辅助类，让从一个远程加载的JSON数据中创建Store更简单。 JsonStore是使用一个内置的Ext.data.HttpProxy 和Ext.data.JsonReader 预定义好的。 如果你需要绑定其它的proxy/reader， 那么你必须根据需要创建一个基本的Ext.data.Store
var store = new Ext.data.JsonStore({
    url: 'get-images.php',
    root: 'images',
    fields: ['name', 'url', {name:'size', type: 'float'}, {name:'lastmod', type:'date'}]
});
这将可以解析如下格式的返回对象：
{
    images: [
        {name: 'Image one', url:'/GetImage.php?id=1', size:46.5, lastmod: new Date(2007, 10, 29)},
        {name: 'Image Two', url:'/GetImage.php?id=2', size:43.2, lastmod: new Date(2007, 10, 30)}
    ]
}
一个字面形式如上的对象也可以用作 data 的配置项。 注意：虽然没有列出来，该类继承了Store和JsonReader的所有配置项。

配置属性

配置属性 所在类
autoLoad : Boolean/Object
如果传入此值，store将在被创建后使用autoLoad对象作为参数自动调用load方法。
Store
baseParams : Object
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
Store
data : Object
一个可被此对象的JsonReader阅读的数据对象。 要么指定此项，要么必须指定 url 项。
JsonStore
fields : Array
要么是一个字段定义对象，就像传递到 Ext.data.Record.create 的一样，或者是一个使用 ...
要么是一个字段定义对象，就像传递到 Ext.data.Record.create 的一样，或者是一个使用 Ext.data.Record.create方法创建 的Record 构造器。
JsonStore
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
pruneModifiedRecords : boolean
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
Store
remoteSort : boolean
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true...
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true，对应的是在本地对Record缓存进行排序(默认值为 false)。

如果指定了远程牌迅，当在列的表头上点击时， 当前页将会被从服务器重新加载，请求时增加两个参数：

  • sort : String

    排序依据的字段名(在Record的Field定义时指定的)。

  • dir : String

    排序的方向 "ASC" 或 "DESC" (大小写敏感).

 Store
sortInfo : Object
一个配置对象，格式为: {field: "fieldName", direction: "ASC|DESC"}。 排序方向属性是大小写敏感的。（译者注：也就是说，这里的ASC和DESC只能是大写的，小写没有效果。）
Store
storeId : String
如果传递此参数，它将被用作向StoreMgr注册时的id
Store
url : String
通过HttpProxy请求数据的URL。 要么配置此项，要么必须指定 data 。
JsonStore

公共属性

Property |  | 所在类
 | baseParams : Object 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 | Store
 | lastOptions : Object 此项可以包含的内容详情，参见load 这对于... 包含最后一次调用load方法所使用的参数项。 此项可以包含的内容详情，参见load 这对于访问加载当前Record缓存所使用的参数项是非常有用的。 | Store

公共方法

Method 所在类
JsonStore( Object config )
参数:
  • config : Object
返回值:
JsonStore
add( Ext.data.Record[] records ) : void
Add Records to the Store and fires the add event.
向Store中添加多条记录，并触发 add 事件。
参数:
  • records : Ext.data.Record[]
    需要添加到缓存中的Ext.data.Record对象数组。
返回值:
  • void
 Store
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSorted( Ext.data.Record record ) : void
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
参数:
  • record : Ext.data.Record
返回值:
  • void
 Store
clearFilter( Boolean suppress事件 ) : void
返回到没有使用过滤器之前的视图。
返回到没有使用过滤器之前的视图。
参数:
  • suppress事件 : Boolean
    如果为true，过滤器将被安静地清理而不通知监听器
返回值:
  • void
 Store
collect( String dataIndex, [Boolean allowNull], [Boolean bypassFilter] ) : Array
收集此数据集中指定dataIndex的唯一值。
收集此数据集中指定dataIndex的唯一值。
参数:
  • dataIndex : String
    需要收集的属性
  • allowNull : Boolean
    (可选) 传递true以允许null、undefined或者空字符串值
  • bypassFilter : Boolean
    (可选) 传递true从所有的记录中收集，包括被过滤掉的记录
返回值:
  • Array
    包含唯一值的数组
Store
commitChanges() : void
提交对记录的修改。 需要处理变更，监听Store的"update"事件...
提交对记录的修改。 需要处理变更，监听Store的"update"事件， 然后当第三个参数为Ext.data.Record.COMMIT时提交更新。
参数:
  • 无.
返回值:
  • void
 Store
each( Function fn, [Object scope] ) : void
使用缓存中的每条记录调用指定的方法。
使用缓存中的每条记录调用指定的方法。
参数:
  • fn : Function
    需要调用的方法。Record将作为第一个参数被传递。 在迭代中途抛出异常时返回 false。
  • scope : Object
    (可选) 调用方法的作用域(默认值为Record).
返回值:
  • void
 Store
filter( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : void
使用指定的参数过滤数据记录。
使用指定的参数过滤数据记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个字符串，字段必须以这个字符串开头； 要么是用来测试字段的一个正则表达式。
  • anyMatch : Boolean
    (可选)如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选)如果为true，比较时对大小写敏感
返回值:
  • void
 Store
filterBy( Function fn, [Object scope] ) : void
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此...
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含进来， 否则它将被过滤掉。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选)方法的作用域(默认值为 this)
返回值:
  • void
 Store
find( String property, String/RegExp value, [Number startIndex], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
参数:
  • property : String
    对象的一个属性
  • value : String/RegExp
    要么是一个字符串，键值必须以这个字符串开头； 要么是用来测试键值的一个正则表达式。
  • startIndex : Number
    (可选) 起始下标
  • anyMatch : Boolean
    (可选) 如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选) 如果为true，比较时对大小写敏感
返回值:
  • Number
    符合条件的序号，或者-1
 Store
findBy( Function fn, [Object scope], [Number startIndex] ) : Number
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。...
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      The ID of the Record passed.

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
  • startIndex : Number
    (可选) 搜索的起始位置
返回值:
  • Number
    匹配的序号或者-1
 Store
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getAt( Number index ) : Ext.data.Record
获得指定序号处的Record。
获得指定序号处的Record。
参数:
  • index : Number
    需要查找的Record的序号。
返回值:
  • Ext.data.Record
    传入序号处的Record。 如未找到，返回undefined。
 Store
getById( String id ) : Ext.data.Record
根据指定的id获取记录。
根据指定的id获取记录。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Ext.data.Record
    含有指定id的记录。 如果没有找到，返回undefined。
Store
getCount() : Number
获得缓存的记录数目。

如果使用分页...

获得缓存的记录数目。

如果使用分页，这可能不是数据集的总数目。如果Reader使用的数据对象包含数据集的大小 那么 getTotalCount 将返回数据集的总大小。

参数:
  • 无.
返回值:
  • Number
    Store缓存中Record的数量。
Store
getModifiedRecords() : Ext.data.Record[]
获得最后一次提交之后被修改的记录...
获得最后一次提交之后被修改的记录。 修改的记录将持续显示到load操作。 (例如： during paging).
参数:
  • 无.
返回值:
  • Ext.data.Record[]
    被外部修改过的Record数组。
Store
getRange( [Number startIndex], [Number endIndex] ) : Ext.data.Record[]
返回指定区间内的记录。
返回指定区间内的记录。
参数:
  • startIndex : Number
    (可选) 起始下标(默认值为 0)
  • endIndex : Number
    (可选) 结束下标(默认值为Store中的最后一条记录)
返回值:
  • Ext.data.Record[]
    Record数组
 Store
getSortState() : Object
返回一个描述Store当前排序状态的对象。
返回一个描述Store当前排序状态的对象。
参数:
  • 无.
返回值:
  • Object
    Store的排序状态。 包含两个属性的对象：
    • field : String

      对Record排序所依据的字段值。

    • direction : String

      排序方向，"ASC"或者"DESC" (大小写敏感)。

Store
getTotalCount() : Number
获取从服务器返回的数据集记录总数...
获取从服务器返回的数据集记录总数。

如果使用分页，为了使该值能够精确， Reader使用的数据对象必须包含数据集的大小。 对于远程数据源来说，此值由服务器上的一次查询来提供。

参数:
  • 无.
返回值:
  • Number
    Proxy传递给Reader的数据对象中包含的记录数目

    当在本地更新Store时该值不会被更新。

Store
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Ext.data.Record record ) : Number
获得传递进来的Record在缓存中的序号。
获得传递进来的Record在缓存中的序号。
参数:
  • record : Ext.data.Record
    需要查找的Ext.data.Record对象。
返回值:
  • Number
    传递进来的Record的序号。 如果没有找到，返回-1
 Store
indexOfId( String id ) : Number
使用传入的Record的id获取它缓存中的序号。
使用传入的Record的id获取它缓存中的序号。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Number
    Record的序号。 如果没有找到，返回-1。
Store
insert( Number index, Ext.data.Record[] records ) : void
在给定的序号出插入Records并触发 add 事件。
在给定的序号出插入Records并触发 add 事件。
参数:
  • index : Number
    插入传递的Records的起始序号。
  • records : Ext.data.Record[]
    需要添加到缓存的Ext.data.Record对象数组。
返回值:
  • void
 Store
isFiltered() : Boolean
如果此store是经过过滤的，返回true
如果此store是经过过滤的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Store
load( Object options ) : Boolean
使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页...

使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页，第一次调用必须在options.params属性中指定start 和 limit参数，以确定数据在整个数据集中的位置和每次从Proxy中读取的Record数量。

对于远程数据源，需要特别注意的是，加载是异步进行的，对load方法的调用将在新的数据加载完之前返回。 在load事件处理器或回调函数中进行加载处理。

参数:
  • options : Object
    一个包含属性的对象，它控制加载选项：
    • params :Object

      一个包含属性的对象，它被作为HTTP请求的参数传递给远程数据源。

    • callback : Function

      在Record加载完成后调用的方法。 方法将会被传入以下的参数：

      • r : Ext.data.Record[]
      • options: 调用load方法时传递的加载选项对象
      • success: 加载成功标志位

    • scope : Object

      回调方法的作用域(默认为store对象)

    • add : Boolean

      标志位，将数据追加到缓存或是覆盖缓存。

返回值:
  • Boolean
    load操作是否已经触发（当beforeload执行失败时）。
 Store
loadData( Object data, [Boolean append] ) : void
从传递进来的数据块中加载数据并触发 load 事件...
从传递进来的数据块中加载数据并触发 load 事件。 必须在构造器中配置理解数据格式的Reader。
参数:
  • data : Object
    从中读取Records的数据块。 期望的数据格式与配置的Reader类型相关， 并且需要与Reader的readRecords参数相协调。
  • append : Boolean
    (可选) 如果为true，添加新的记录而不是替代已有的记录。
返回值:
  • void
 Store
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
query( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
根据指定的属性查找记录。
根据指定的属性查找记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个string，字段需要以此字符串开头； 或者是一个用来测试字段的正则表达式。
  • anyMatch : Boolean
    (可选) 如果为true，在任何位置匹配，不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 如果为true，在匹配时对大小写敏感
返回值:
  • MixedCollection
    返回一个Ext.util.MixedCollection，包含匹配的记录
 Store
queryBy( Function fn, [Object scope] ) : MixedCollection
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用...
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含在结果集中。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    返回包含匹配记录的一个Ext.util.MixedCollection
 Store
rejectChanges() : void
在所有被外部修改过的记录上撤销更改。
在所有被外部修改过的记录上撤销更改。
参数:
  • 无.
返回值:
  • void
 Store
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
reload( [Object options] ) : void
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
参数:
  • options : Object
    (可选)一个包含属性的对象，会覆盖最后一次加载参数 详情参见load (默认值为 null，在这种情况下，将使用最近一次使用的加载选项)。
返回值:
  • void
 Store
remove( Ext.data.Record record ) : void
从Store中删除一条记录并触发 remove 事件。
从Store中删除一条记录并触发 remove 事件。
参数:
  • record : Ext.data.Record
    需要从缓存中删除的Ext.data.Record对象。
返回值:
  • void
 Store
removeAll() : void
删除Store中所有的Record并触发 clear 事件。
删除Store中所有的Record并触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 Store
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDefaultSort( String fieldName, [String dir] ) : void
设置默认的排序列并应用到下一次加载操作。
设置默认的排序列并应用到下一次加载操作。
参数:
  • fieldName : String
    排序依据的字段名。
  • dir : String
    (可选) 排序方向， "ASC" 或"DESC" (大小写敏感，默认值为"ASC")
返回值:
  • void
 Store
sort( String fieldName, [String dir] ) : void
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载...
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载。 如果使用本地排序，缓存将进行内部排序。
参数:
  • fieldName : String
    排序依据的字段名称。
  • dir : String
    (可选) 排序方向, "ASC"或 "DESC" (大小写敏感，默认值为 "ASC")
返回值:
  • void
 Store
sum( String property, Number start, Number end ) : Number
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
参数:
  • property : String
    数据记录的一个字段
  • start : Number
    起始记录位置(默认值为 0)
  • end : Number
    终止记录位置（包含）(默认值为 length - 1)
返回值:
  • Number
    和
 Store
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
add : ( Store this, Ext.data.Record[] records, Number index )
当记录被添加到Store时触发
当记录被添加到Store时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    The array of Records added
  • index : Number
    The index at which the record(s) were added
 Store
beforeload : ( Store this, Object options )
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
监听器将会以如下的参数格式调用:
  • this : Store
  • options : Object
    指定的加载选项(详情参见load)
 Store
clear : ( Store this )
当数据缓存被清空时触发。
当数据缓存被清空时触发。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
datachanged : ( Store this )
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
load : ( Store this, Ext.data.Record[] records, Object options )
在加载完新的记录集时触发。
在加载完新的记录集时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    被加载的记录集
  • options : Object
    指定的加载选项(详情参见load)
 Store
loadexception : ()
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
监听器将会以如下的参数格式调用:
  • 无.
 Store
metachange : ( Store this, Object meta )
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
监听器将会以如下的参数格式调用:
  • this : Store
  • meta : Object
    The JSON metadata
 Store
remove : ( Store this, Ext.data.Record record, Number index )
当一个Record被从Store中删除时触发
当一个Record被从Store中删除时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    The Record that was removed
  • index : Number
    The index at which the record was removed
 Store
update : ( Store this, Ext.data.Record record, String operation )
当一个Record被更新时触发。
当一个Record被更新时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    被更新过的Record
  • operation : String
    更新操作执行后，结果可能是：

Ext.data.Record.EDIT
 Ext.data.Record.REJECT
 Ext.data.Record.COMMIT
 Store


Observable
    DataProxy
      MemoryProxy

Class Ext.data.MemoryProxy

包: | Ext.data
所在文件: | MemoryProxy.js
Class: | MemoryProxy
继承自: | DataProxy
Ext.data.DataProxy类的一个实现， 当调用它的load方法时，它仅仅将指定的数据按照原来的格式传递到Reader中。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
MemoryProxy( Object data )
参数:
  • data : Object
    The data object which the Reader uses to construct a block of Ext.data.Records.
返回值:
MemoryProxy
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
load( Object params, Ext.data.DataReader) reader, Function callback, Object scope, Object arg ) : void
从指定的数据源加载数据（在这种情况下，一个已经在内存中的 数据对象被传递到构造器）...
从指定的数据源加载数据（在这种情况下，一个已经在内存中的 数据对象被传递到构造器），使用传递进来的Ext.data.DataReader的实现类 ，将数据对象加载到Ext.data.Records块中，然后使用传递进来的回调函数解析此数据块。
参数:
  • params : Object
    MemoryProxy类不会使用此参数。
  • reader : Ext.data.DataReader)
    一个Reader对象，它将数据对象解析成Ext.data.Records数据块。
  • callback : Function
    接收Ext.data.Records作为参数的方法。必须提供该方法。
    • Record块对象
    • load方法的"arg"参数
    • 一个布尔型的是否加载成功标志位
  • scope : Object
    调用回调函数的作用域
  • arg : Object
    一个可选参数，它将被作为第二个参数传递到回调函数中。
返回值:
  • void
 MemoryProxy
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeload : ( Object this, Object params )
在一个获取数据对象的网络请求被发出之前触发。
在一个获取数据对象的网络请求被发出之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • params : Object
    The params object passed to the load function
 DataProxy
load : ( Object this, Object o, Object arg )
在load方法的回调函数被调用之前触发。
在load方法的回调函数被调用之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • o : Object
    The data object
  • arg : Object
    The callback's arg object passed to the load function
 DataProxy
loadexception : ( Object this, Object arg, Object null, Error e )
当Proxy加载数据的过程中出现异常是触发此事件...
当Proxy加载数据的过程中出现异常是触发此事件。 注意：此事件也会被传播到Ext.data.Store ，所以你可以直接在任何Store类的实例上监听之。
监听器将会以如下的参数格式调用:
  • this : Object
  • arg : Object
    传递到load 的回调函数的arg对象
  • null : Object
    此参数无效，对于MemoryProxy来说，总是为null
  • e : Error
    Reader无法读取数据时捕获到的JavaScript Error对象
 MemoryProxy


Observable
    Node

Class Ext.data.Node

包: | Ext.data
所在文件: | Tree.js
Class: | Node
子类: | TreeNode
继承自: | Observable

配置属性

配置属性 |  | 所在类
 | id : String 节点id | Node
 | leaf : Boolean 如果当前节点是一个叶子节点，并且没有孩子节点，则为true。 | Node
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | attributes : Object 提供给节点的参数。你可以使用这个属性来访问你提供的任何特定参数。 | Node
 | childNodes : Array 当前节点的所有孩子节点。 | Node
 | firstChild : Node 当前节点的第一个直接的孩子节点，如果当前节点没有孩子，则为null。 | Node
 | id : String 节点id | Node
 | lastChild : Node 当前节点的最后一个直接的孩子节点，如果当前节点没有孩子节点，则为null。 | Node
 | nextSibling : Node 树中最靠近当前节点的下一个节点， 如果不存在兄弟节点，则此值为null。 | Node
 | parentNode : Node 当前节点的父节点 | Node
 | previousSibling : Node 树中最靠近当前节点的前一个节点， 如果不存在兄弟节点，则此值为null。 | Node

公共方法

Method 所在类
Node( Object attributes )
参数:
  • attributes : Object
    The attributes/config for the node
返回值:
Node
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
appendChild( Node/Array node ) : Node
添加新的节点(s)，作为当前节点的最后的孩子。
添加新的节点(s)，作为当前节点的最后的孩子。
参数:
  • node : Node/Array
    需要添加的节点数组
返回值:
  • Node
    如果添加的是单个节点，该值就是这个节点对象；如果插入的是一个数组，则该值为null
Node
bubble( Function fn, [Object scope], [Array args] ) : void
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域...
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止冒泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为当前节点)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
cascade( Function fn, [Object scope], [Array args] ) : void
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 ...
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则下落操作停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
contains( Node node ) : Boolean
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
eachChild( Function fn, [Object scope], [Array args] ) : void
Iterates the child nodes of this node, calling the specified function with each node. The scope (this) of function ca...
迭代当前节点的孩子节点，对每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止迭代。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
findChild( String attribute, Mixed value ) : Node
查找第一个孩子节点，它的某个属性具有给定的值。
查找第一个孩子节点，它的指定属性具有给定的值。
参数:
  • attribute : String
    属性名称
  • value : Mixed
    需要查找的值
返回值:
  • Node
    查找到的孩子节点，如果没有找到则为null
Node
findChildBy( Function fn, [Object scope] ) : Node
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Node
    找到的孩子节点，如果没有找到则返回null
 Node
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getDepth() : Number
返回当前节点的深度(根节点的深度为0)
返回当前节点的深度(根节点的深度为0)
参数:
  • 无.
返回值:
  • Number
 Node
getOwnerTree() : Tree
返回当前节点所在的树。
返回当前节点所在的树。
参数:
  • 无.
返回值:
  • Tree
 Node
getPath( [String attr] ) : String
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
参数:
  • attr : String
    (可选) 路径使用的参数(默认值为节点的id)
返回值:
  • String
    The path
 Node
hasChildNodes() : Boolean
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Node node ) : Number
返回一个孩子节点的序号
返回一个孩子节点的序号
参数:
  • node : Node
返回值:
  • Number
    节点的序号，没有找到时返回-1
Node
insertBefore( Node node, Node refNode ) : Node
将第一个节点的所有孩子节点插入到第二个节点之前
将第一个节点的所有孩子节点插入到第二个节点之前
参数:
  • node : Node
    The node to insert
  • refNode : Node
    The node to insert before (if null the node is appended)
返回值:
  • Node
    The inserted node
 Node
isAncestor( Node node ) : Boolean
如果传入的节点是当前节点的祖先（任何层次上），返回true。
如果传入的节点是当前节点的祖先（任何层次上），返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
isExpandable() : Boolean
如果当前节点有一个或多个子节点， 或者当节点的...
如果当前节点有一个或多个子节点， 或者当节点的 expandable(参见attributes) 属性被明确地设置为true，返回true；否则 返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
isFirst() : Boolean
如果当前节点是其父节点的第一个孩子，则返回true
如果当前节点是其父节点的第一个孩子，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLast() : Boolean
如果当前节点是其父节点的最后一个孩子，返回true
如果当前节点是其父节点的最后一个孩子，返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLeaf() : Boolean
如果当前节点是一个叶子节点，则返回true
如果当前节点是一个叶子节点，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
item( Number index ) : Node
返回指定索引处的孩子节点。
返回指定索引处的孩子节点。
参数:
  • index : Number
返回值:
  • Node
 Node
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove() : Node
从父节点中移除当前节点
从父节点中移除当前节点
参数:
  • 无.
返回值:
  • Node
    this
 Node
removeChild( Node node ) : Node
从当前节点中删除一个孩子节点。
从当前节点中删除一个孩子节点。
参数:
  • node : Node
    需要删除的节点
返回值:
  • Node
    删除掉的节点
 Node
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
replaceChild( Node newChild, Node oldChild ) : Node
使用一个节点替换当前节点中的一个孩子节点。
使用一个节点替换当前节点中的一个孩子节点。
参数:
  • newChild : Node
    用来替代的节点
  • oldChild : Node
    被替代的节点
返回值:
  • Node
    被替代的节点
 Node
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
sort( Function fn, [Object scope] ) : void
使用提供的排序方法对当前节点的孩子节点进行排序
使用提供的排序方法对当前节点的孩子节点进行排序
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • void
 Node
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
append : ( Tree tree, Node this, Node node, Number index )
当一个新的子节点被添加时触发
当一个新的子节点被添加时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    新添加的节点
  • index : Number
    新添加的节点的序号
Node
beforeappend : ( Tree tree, Node this, Node node )
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要添加的孩子节点
 Node
beforeinsert : ( Tree tree, Node this, Node node, Node refNode )
在插入一个新的孩子节点之前触发，返回false终止插入。
在插入一个新的孩子节点之前触发，返回false终止插入。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
beforemove : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    The parent of this node
  • newParent : Node
    The new parent this node is moving to
  • index : Number
    The index it is being moved to
 Node
beforeremove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除之前触发，返回false终止删除。
当一个孩子节点被删除之前触发，返回false终止删除。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要删除的孩子节点
 Node
insert : ( Tree tree, Node this, Node node, Node refNode )
当插入一个新的节点时触发。
当插入一个新的节点时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
move : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置时触发
当前节点被移动到树中一个新的位置时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    当前节点旧的父节点
  • newParent : Node
    当前节点新的父节点
  • index : Number
    移动到的序号
 Node
remove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除的时候触发
当一个孩子节点被删除的时候触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    被删除掉的节点
 Node


Class Ext.data.Record

包: | Ext.data
所在文件: | Record.js
Class: | Record
继承自: | Object
此类的实例封装了Record的定义和值信息，它被用在 Ext.data.Store 对象中，或者任何需要访问缓存在 Ext.data.Store 对象中的Record的代码中。

该类的构造器通过传递一个字段定义数组对象到 create 方法来创建。 当处理没有格式化的数据时，Record实例一般仅仅通过 Ext.data.Reader 来创建。

此构造器产生的Record对象继承了Ext.data.Record如下的方法列表。

公共属性

Property |  | 所在类
 | data : Object 代表此Record数据的一个hash对象。 | Record
 | dirty : Boolean 只读标志---如果Record被改动过则为true。 | Record
 | id : Object 在构造时为Record指定的唯一ID。 | Record
 | modified : Object 一个包含键和值的对象，它存储了所有被修改过的字段的原来的值，如果没有字段被修改... 一个包含键和值的对象，它存储了所有被修改过的字段的原来的值，如果没有字段被修改，则为null。 | Record

公共方法

Method 所在类
Record( Array data, [Object id] )
此构造器不应该被用来创建Record对象。 作为替代...
此构造器不应该被用来创建Record对象。 作为替代，应该使用 create 方法产生的构造器。 参数是一样的。
参数:
  • data : Array
    一个对象，它的属性为新的Record字段提供值。
  • id : Object
    (可选) Record的id。 这个id必须是唯一的，它将被 Ext.data.Store 对象使用，Store对象拥有Record对象的索引数组。 如果没有指定，将会生成一个整型的id。
返回值:
Record
beginEdit() : void
开始编辑。在编辑模式下，没有任何事件与所包含的store相关。
开始编辑。在编辑模式下，没有任何事件与所包含的store相关。
参数:
  • 无.
返回值:
  • void
 Record
cancelEdit() : void
取消当前编辑操作的所有变动。
取消当前编辑操作的所有变动。
参数:
  • 无.
返回值:
  • void
 Record
commit( [Boolean silent] ) : void
一般由Ext.data.Store 调用，它包含Record...
一般由Ext.data.Store 调用，它包含Record。 提交自从创建或者最后一次提交操作以来对Record的所有更改。

开发者必须监听 Ext.data.Store.update 事件，以便发生提交操作时代码能够被通知到。

参数:
  • silent : Boolean
    (可选) 如果为true，当发生变更时跳过对所属store的通知(默认值为 false)
返回值:
  • void
 Record
copy( [String id] ) : Record
创建此Record的一个拷贝。
创建此Record的一个拷贝。
参数:
  • id : String
    (可选) 一个新的Record id，如果你不想使用当前这个Record的id的话
返回值:
  • Record
 Record
create( [Array o] ) : function
<静态>为一个特定的Record布局生成一个构造器。
<静态> 为一个特定的Record布局生成一个构造器。
参数:
  • o : Array
    一个字段定义对象数组，指定字段名称，可选择指定数据类型和一个 到Ext.data.Reader 的映射，reader负责从数据对象中解析字段值。 每一个字段定义对象都可以包含如下属性：
    • name : String
      在Record内引用字段的名称。例如，这个名称可能被列定义对象的dataIndex属性引用， 从而传递给Ext.grid.ColumnModel
    • mapping : String
      (可选) 一个路径定义，将被 Ext.data.Reader 的实现类使用，用来访问数据对象以获取数据值，从而创建Record。 如果使用 Ext.data.JsonReader ，那么只是一个包含javascript表达式的字符串，它数据关联到Record元素的root上。 如果使用 Ext.data.XmlReader ，这是一个Ext.DomQuery路径， 它将数据元素关联到Record元素。 如果映射的名称与字段名称相同，该项可以忽略。
    • type : String
      (可选) 解析成可显示的数据类型。 可能的值是：
      • auto (Default, implies no conversion)
      • string
      • int
      • float
      • boolean
      • date
    • sortType : Mixed
      (可选) Ext.data.SortTypes的一个成员。
    • sortDir : String
      (可选) 排序方向初始化。"ASC" 或 "DESC"
    • convert : Function
      (可选) 一个函数，它将Reader提供的值解析成一个对象，这个对象将在Record中被排序。 它将会被传入以下参数:
      • v : Mixed
        Reader读取到的数据值。
      • rec : Mixed
        Reader读取到的data对象，它包含一行数据。 该项可以是一个Array、一个对象、或者一个XML元素，具体情况与Reader的类型有关。
    • dateFormat : String
      (可选) Date.parseDate方法所用的一个格式化字符串。
    • defaultValue : Mixed
      (可选) 当数据对象中不存在指定字段时传递给Reader的默认值(例如： undefined). (默认值为 "")

    usage:
    var TopicRecord = Ext.data.Record.create([
    {name: 'title', mapping: 'topic_title'},
    {name: 'author', mapping: 'username'},
    {name: 'totalPosts', mapping: 'topic_replies', type: 'int'},
    {name: 'lastPost', mapping: 'post_time', type: 'date'},
    {name: 'lastPoster', mapping: 'user2'},
    {name: 'excerpt', mapping: 'post_text'}
]);

var myNewRecord = new TopicRecord({
    topic_title: 'Do my job please',
    username: 'noobie',
    topic_replies: 1,
    post_time: new Date(),
    user2: 'Animal',
    post_text: 'No way dude!'
});
myStore.add(myNewRecord);

    在最简单的情况下，如果除了name属性外其它都不是必须的， 那么一个字段定义可能是只是一个字段名称字符串。

返回值:
  • function
    一个构造器，它将被用来根据定义创建新的Records。
Record
endEdit() : void
结束编辑操作。如果改动了任何数据，将会通知包含它们的store。
结束编辑操作。如果改动了任何数据，将会通知包含它们的store。
参数:
  • 无.
返回值:
  • void
 Record
get( String name ) : Object
根据字段名称获取字段值。
根据字段名称获取字段值。
参数:
  • name : String
    需要获取值的字段名。
返回值:
  • Object
    字段值。
 Record
getChanges() : Object
获取一个字段的hash表，它们是此Record自从被创建或者提交以来更改过的字段。
获取一个字段的hash表，它们是此Record自从被创建或者提交以来更改过的字段。
参数:
  • 无.
返回值:
  • Object
 Record
isModified( String fieldName ) : Boolean
如果传入的字段在加载或最后一次提交以来被改动过，返回true。
如果传入的字段在加载或最后一次提交以来被改动过，返回true。
参数:
  • fieldName : String
返回值:
  • Boolean
 Record
reject( [Boolean silent] ) : void
一般被Ext.data.Store 调用，它包含Record。 丢弃从自动被创建或者最后一次提交操...
一般被Ext.data.Store 调用，它包含Record。 丢弃从自动被创建或者最后一次提交操作以来，对Record的所有更改。 被改动的字段将被设置为它们原来的值。

开发者必须监听 Ext.data.Store.update 事件，以使代码能够在进行丢弃操作的时候被通知到。

参数:
  • silent : Boolean
    (可选) 如果为true，当发生变更时跳过对所属store的通知(默认值为 false)
返回值:
  • void
 Record
set( String name, Object value ) : void
将指定名称的字段设置为指定的值。
将指定名称的字段设置为指定的值。
参数:
  • name : String
    需要设置值的字段名称。
  • value : Object
    需要设置的字段值。
返回值:
  • void
 Record

公共事件

该类没有公共事件。


Observable
    DataProxy
      ScriptTagProxy

Class Ext.data.ScriptTagProxy

包: | Ext.data
所在文件: | ScriptTagProxy.js
Class: | ScriptTagProxy
继承自: | DataProxy
Ext.data.DataProxy的一个实现类，它可以从一个URL中读取数据， 该URL不同于当前运行的页面的域。br>

注意：如果你需要从一个页面读取数据， 而此页面位于一个不同的域中，你必须使用此类，而不是HttpProxy。

对于ScriptTagProxy的请求，从服务器端返回的资源必须是一段可执行的JavaScript源码， 因为它将被用在<script>标签中。

为了让浏览器能够解析返回的数据， 服务器必须通过调用回调函数包装数据对象， 它的名称被ScriptTagProxy作为一个参数传递到服务器端。 以下是一个Java servlet的例子， 它返回ScriptTagProxy格式的数据还是返回HttpProxy格式数据， 取决于请求参数是否包含回调函数的名称：

boolean scriptTag = false;
String cb = request.getParameter("callback");
if (cb != null) {
    scriptTag = true;
    response.setContentType("text/javascript");
} else {
    response.setContentType("application/x-json");
}
Writer out = response.getWriter();
if (scriptTag) {
    out.write(cb + "(");
}
out.print(dataBlock.toJsonString());
if (scriptTag) {
    out.write(");");
}

配置属性

配置属性 |  | 所在类
 | callbackParam : String (Optional) 传递给服务器的参数名称，它广告诉服务器处理返回数据的回调函数的名称... (可选的) 传递给服务器的参数名称，它广告诉服务器处理返回数据的回调函数的名称， 此名称由load方法设置。默认为 "callback". 服务器端的处理必须读取此参数的值，并生成输出的javascript， 它将使用数据对象作为唯一的参数，调用叫这个名称的方法。 | ScriptTagProxy
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | nocache : Boolean (可选) 默认为true。通过向请求中添加一个唯一的参数名称来阻止缓存。 | ScriptTagProxy
 | timeout : Number (可选)等待响应的毫秒数。默认为30秒。 | ScriptTagProxy
 | url : String 请求数据的URL。 | ScriptTagProxy

公共属性

该类没有公共属性。

公共方法

Method 所在类
ScriptTagProxy( Object config )
参数:
  • config : Object
    一个配置对象。
返回值:
ScriptTagProxy
abort() : void
终止当前对服务器的请求。
终止当前对服务器的请求。
参数:
  • 无.
返回值:
  • void
 ScriptTagProxy
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
load( Object params, Ext.data.DataReader reader, Function callback, Object scope, Object arg ) : void
从配置的URL中读取数据， 使用传递进来的...
从配置的URL中读取数据， 使用传递进来的Ext.data.DataReader 实例，将数据对象读取到一个Ext.data.Records数据块中， 然后使用传递进来的回调函数处理该数据块。
参数:
  • params : Object
    一个包含属性的对象， 它将被用作向远程服务器提交HTTP请求的参数。
  • reader : Ext.data.DataReader
    一个Reader对象，它将数据对象解析成Ext.data.Records数据块。
  • callback : Function
    接收Ext.data.Records作为参数的方法。必须提供该方法。
    • Record块对象
    • load方法的"arg"参数
    • 一个布尔型的是否加载成功标志位
  • scope : Object
    调用回调函数的作用域
  • arg : Object
    一个可选参数，它将被作为第二个参数传递到回调函数中。
返回值:
  • void
 ScriptTagProxy
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeload : ( Object this, Object params )
在一个获取数据对象的网络请求被发出之前触发。
在一个获取数据对象的网络请求被发出之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • params : Object
    The params object passed to the load function
 DataProxy
load : ( Object this, Object o, Object arg )
在load方法的回调函数被调用之前触发。
在load方法的回调函数被调用之前触发。
监听器将会被以如下的参数格式调用:
  • this : Object
  • o : Object
    The data object
  • arg : Object
    The callback's arg object passed to the load function
 DataProxy
loadexception : ( Object this, Object options, Object arg, Error e )
当Proxy加载数据的过程中出现异常是触发此事件。 该事件可以有两种原因被触发...
当Proxy加载数据的过程中出现异常是触发此事件。 该事件可以有两种原因被触发：
  • 调用load方法超时 这意味着加载回调函数没有在指定的时间内执行， 时间由timeout 参数指定。在这种情况下，该事件被触发并且第四个参数(读取错误)将为null。
  • 加载数据成功了，但是reader无法读取响应数据。 这意为着服务器返回了数据， 但是配置的Reader在读取数据的时候抛出了异常。 在这种情况下，事件被触发，捕获的异常将会作为此事件的第四个参数被传递。
注意：此事件也会被传播到Ext.data.Store ，所以你可以直接在任何Store类的实例上监听之。
监听器将会用以下的参数来调用:
  • this : Object
  • options : Object
    指定的加载参数(详细请参见load)。 如果调用load方法超时，此参数为null。
  • arg : Object
    回调函方法的arg对象，它被传递到 load 方法。
  • e : Error
    Reader无法读取数据时捕获到的JavaScript Error对象。 如果调用load方法返回success:false，此参数为null。
 ScriptTagProxy


Observable
    Store
      SimpleStore

Class Ext.data.SimpleStore

包: | Ext.data
所在文件: | SimpleStore.js
Class: | SimpleStore
继承自: | Store
一个小的辅助类，用数组数据创建Store更方便。

配置属性

配置属性 所在类
autoLoad : Boolean/Object
如果传入此值，store将在被创建后使用autoLoad对象作为参数自动调用load方法。
Store
baseParams : Object
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
Store
data : Array
多维数据数组
SimpleStore
fields : Array
字段定义对象数组，或者字段名称字符串。
SimpleStore
id : Number
记录在数组中的下标，保留空白自动创建id。
SimpleStore
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
proxy : Ext.data.DataProxy
Proxy对象，提供访问数据对象的方法。
Store
pruneModifiedRecords : boolean
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
Store
reader : Ext.data.DataReader
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
Store
remoteSort : boolean
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true...
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true，对应的是在本地对Record缓存进行排序(默认值为 false)。

如果指定了远程牌迅，当在列的表头上点击时， 当前页将会被从服务器重新加载，请求时增加两个参数：

  • sort : String

    排序依据的字段名(在Record的Field定义时指定的)。

  • dir : String

    排序的方向 "ASC" 或 "DESC" (大小写敏感).

 Store
sortInfo : Object
一个配置对象，格式为: {field: "fieldName", direction: "ASC|DESC"}。 排序方向属性是大小写敏感的。（译者注：也就是说，这里的ASC和DESC只能是大写的，小写没有效果。）
Store
storeId : String
如果传递此参数，它将被用作向StoreMgr注册时的id
Store
url : String
如果传递此参数，将为此URL创建一个HttpProxy
Store

公共属性

Property |  | 所在类
 | baseParams : Object 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 | Store
 | lastOptions : Object 此项可以包含的内容详情，参见load 这对于... 包含最后一次调用load方法所使用的参数项。 此项可以包含的内容详情，参见load 这对于访问加载当前Record缓存所使用的参数项是非常有用的。 | Store

公共方法

Method 所在类
SimpleStore( Object config )
参数:
  • config : Object
返回值:
SimpleStore
add( Ext.data.Record[] records ) : void
Add Records to the Store and fires the add event.
向Store中添加多条记录，并触发 add 事件。
参数:
  • records : Ext.data.Record[]
    需要添加到缓存中的Ext.data.Record对象数组。
返回值:
  • void
 Store
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSorted( Ext.data.Record record ) : void
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
参数:
  • record : Ext.data.Record
返回值:
  • void
 Store
clearFilter( Boolean suppress事件 ) : void
返回到没有使用过滤器之前的视图。
返回到没有使用过滤器之前的视图。
参数:
  • suppress事件 : Boolean
    如果为true，过滤器将被安静地清理而不通知监听器
返回值:
  • void
 Store
collect( String dataIndex, [Boolean allowNull], [Boolean bypassFilter] ) : Array
收集此数据集中指定dataIndex的唯一值。
收集此数据集中指定dataIndex的唯一值。
参数:
  • dataIndex : String
    需要收集的属性
  • allowNull : Boolean
    (可选) 传递true以允许null、undefined或者空字符串值
  • bypassFilter : Boolean
    (可选) 传递true从所有的记录中收集，包括被过滤掉的记录
返回值:
  • Array
    包含唯一值的数组
Store
commitChanges() : void
提交对记录的修改。 需要处理变更，监听Store的"update"事件...
提交对记录的修改。 需要处理变更，监听Store的"update"事件， 然后当第三个参数为Ext.data.Record.COMMIT时提交更新。
参数:
  • 无.
返回值:
  • void
 Store
each( Function fn, [Object scope] ) : void
使用缓存中的每条记录调用指定的方法。
使用缓存中的每条记录调用指定的方法。
参数:
  • fn : Function
    需要调用的方法。Record将作为第一个参数被传递。 在迭代中途抛出异常时返回 false。
  • scope : Object
    (可选) 调用方法的作用域(默认值为Record).
返回值:
  • void
 Store
filter( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : void
使用指定的参数过滤数据记录。
使用指定的参数过滤数据记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个字符串，字段必须以这个字符串开头； 要么是用来测试字段的一个正则表达式。
  • anyMatch : Boolean
    (可选)如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选)如果为true，比较时对大小写敏感
返回值:
  • void
 Store
filterBy( Function fn, [Object scope] ) : void
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此...
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含进来， 否则它将被过滤掉。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选)方法的作用域(默认值为 this)
返回值:
  • void
 Store
find( String property, String/RegExp value, [Number startIndex], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
参数:
  • property : String
    对象的一个属性
  • value : String/RegExp
    要么是一个字符串，键值必须以这个字符串开头； 要么是用来测试键值的一个正则表达式。
  • startIndex : Number
    (可选) 起始下标
  • anyMatch : Boolean
    (可选) 如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选) 如果为true，比较时对大小写敏感
返回值:
  • Number
    符合条件的序号，或者-1
 Store
findBy( Function fn, [Object scope], [Number startIndex] ) : Number
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。...
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      The ID of the Record passed.

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
  • startIndex : Number
    (可选) 搜索的起始位置
返回值:
  • Number
    匹配的序号或者-1
 Store
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getAt( Number index ) : Ext.data.Record
获得指定序号处的Record。
获得指定序号处的Record。
参数:
  • index : Number
    需要查找的Record的序号。
返回值:
  • Ext.data.Record
    传入序号处的Record。 如未找到，返回undefined。
 Store
getById( String id ) : Ext.data.Record
根据指定的id获取记录。
根据指定的id获取记录。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Ext.data.Record
    含有指定id的记录。 如果没有找到，返回undefined。
Store
getCount() : Number
获得缓存的记录数目。

如果使用分页...

获得缓存的记录数目。

如果使用分页，这可能不是数据集的总数目。如果Reader使用的数据对象包含数据集的大小 那么 getTotalCount 将返回数据集的总大小。

参数:
  • 无.
返回值:
  • Number
    Store缓存中Record的数量。
Store
getModifiedRecords() : Ext.data.Record[]
获得最后一次提交之后被修改的记录...
获得最后一次提交之后被修改的记录。 修改的记录将持续显示到load操作。 (例如： during paging).
参数:
  • 无.
返回值:
  • Ext.data.Record[]
    被外部修改过的Record数组。
Store
getRange( [Number startIndex], [Number endIndex] ) : Ext.data.Record[]
返回指定区间内的记录。
返回指定区间内的记录。
参数:
  • startIndex : Number
    (可选) 起始下标(默认值为 0)
  • endIndex : Number
    (可选) 结束下标(默认值为Store中的最后一条记录)
返回值:
  • Ext.data.Record[]
    Record数组
 Store
getSortState() : Object
返回一个描述Store当前排序状态的对象。
返回一个描述Store当前排序状态的对象。
参数:
  • 无.
返回值:
  • Object
    Store的排序状态。 包含两个属性的对象：
    • field : String

      对Record排序所依据的字段值。

    • direction : String

      排序方向，"ASC"或者"DESC" (大小写敏感)。

Store
getTotalCount() : Number
获取从服务器返回的数据集记录总数...
获取从服务器返回的数据集记录总数。

如果使用分页，为了使该值能够精确， Reader使用的数据对象必须包含数据集的大小。 对于远程数据源来说，此值由服务器上的一次查询来提供。

参数:
  • 无.
返回值:
  • Number
    Proxy传递给Reader的数据对象中包含的记录数目

    当在本地更新Store时该值不会被更新。

Store
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Ext.data.Record record ) : Number
获得传递进来的Record在缓存中的序号。
获得传递进来的Record在缓存中的序号。
参数:
  • record : Ext.data.Record
    需要查找的Ext.data.Record对象。
返回值:
  • Number
    传递进来的Record的序号。 如果没有找到，返回-1
 Store
indexOfId( String id ) : Number
使用传入的Record的id获取它缓存中的序号。
使用传入的Record的id获取它缓存中的序号。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Number
    Record的序号。 如果没有找到，返回-1。
Store
insert( Number index, Ext.data.Record[] records ) : void
在给定的序号出插入Records并触发 add 事件。
在给定的序号出插入Records并触发 add 事件。
参数:
  • index : Number
    插入传递的Records的起始序号。
  • records : Ext.data.Record[]
    需要添加到缓存的Ext.data.Record对象数组。
返回值:
  • void
 Store
isFiltered() : Boolean
如果此store是经过过滤的，返回true
如果此store是经过过滤的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Store
load( Object options ) : Boolean
使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页...

使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页，第一次调用必须在options.params属性中指定start 和 limit参数，以确定数据在整个数据集中的位置和每次从Proxy中读取的Record数量。

对于远程数据源，需要特别注意的是，加载是异步进行的，对load方法的调用将在新的数据加载完之前返回。 在load事件处理器或回调函数中进行加载处理。

参数:
  • options : Object
    一个包含属性的对象，它控制加载选项：
    • params :Object

      一个包含属性的对象，它被作为HTTP请求的参数传递给远程数据源。

    • callback : Function

      在Record加载完成后调用的方法。 方法将会被传入以下的参数：

      • r : Ext.data.Record[]
      • options: 调用load方法时传递的加载选项对象
      • success: 加载成功标志位

    • scope : Object

      回调方法的作用域(默认为store对象)

    • add : Boolean

      标志位，将数据追加到缓存或是覆盖缓存。

返回值:
  • Boolean
    load操作是否已经触发（当beforeload执行失败时）。
 Store
loadData( Object data, [Boolean append] ) : void
从传递进来的数据块中加载数据并触发 load 事件...
从传递进来的数据块中加载数据并触发 load 事件。 必须在构造器中配置理解数据格式的Reader。
参数:
  • data : Object
    从中读取Records的数据块。 期望的数据格式与配置的Reader类型相关， 并且需要与Reader的readRecords参数相协调。
  • append : Boolean
    (可选) 如果为true，添加新的记录而不是替代已有的记录。
返回值:
  • void
 Store
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
query( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
根据指定的属性查找记录。
根据指定的属性查找记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个string，字段需要以此字符串开头； 或者是一个用来测试字段的正则表达式。
  • anyMatch : Boolean
    (可选) 如果为true，在任何位置匹配，不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 如果为true，在匹配时对大小写敏感
返回值:
  • MixedCollection
    返回一个Ext.util.MixedCollection，包含匹配的记录
 Store
queryBy( Function fn, [Object scope] ) : MixedCollection
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用...
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含在结果集中。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    返回包含匹配记录的一个Ext.util.MixedCollection
 Store
rejectChanges() : void
在所有被外部修改过的记录上撤销更改。
在所有被外部修改过的记录上撤销更改。
参数:
  • 无.
返回值:
  • void
 Store
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
reload( [Object options] ) : void
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
参数:
  • options : Object
    (可选)一个包含属性的对象，会覆盖最后一次加载参数 详情参见load (默认值为 null，在这种情况下，将使用最近一次使用的加载选项)。
返回值:
  • void
 Store
remove( Ext.data.Record record ) : void
从Store中删除一条记录并触发 remove 事件。
从Store中删除一条记录并触发 remove 事件。
参数:
  • record : Ext.data.Record
    需要从缓存中删除的Ext.data.Record对象。
返回值:
  • void
 Store
removeAll() : void
删除Store中所有的Record并触发 clear 事件。
删除Store中所有的Record并触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 Store
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDefaultSort( String fieldName, [String dir] ) : void
设置默认的排序列并应用到下一次加载操作。
设置默认的排序列并应用到下一次加载操作。
参数:
  • fieldName : String
    排序依据的字段名。
  • dir : String
    (可选) 排序方向， "ASC" 或"DESC" (大小写敏感，默认值为"ASC")
返回值:
  • void
 Store
sort( String fieldName, [String dir] ) : void
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载...
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载。 如果使用本地排序，缓存将进行内部排序。
参数:
  • fieldName : String
    排序依据的字段名称。
  • dir : String
    (可选) 排序方向, "ASC"或 "DESC" (大小写敏感，默认值为 "ASC")
返回值:
  • void
 Store
sum( String property, Number start, Number end ) : Number
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
参数:
  • property : String
    数据记录的一个字段
  • start : Number
    起始记录位置(默认值为 0)
  • end : Number
    终止记录位置（包含）(默认值为 length - 1)
返回值:
  • Number
    和
 Store
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
add : ( Store this, Ext.data.Record[] records, Number index )
当记录被添加到Store时触发
当记录被添加到Store时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    The array of Records added
  • index : Number
    The index at which the record(s) were added
 Store
beforeload : ( Store this, Object options )
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
监听器将会以如下的参数格式调用:
  • this : Store
  • options : Object
    指定的加载选项(详情参见load)
 Store
clear : ( Store this )
当数据缓存被清空时触发。
当数据缓存被清空时触发。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
datachanged : ( Store this )
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
load : ( Store this, Ext.data.Record[] records, Object options )
在加载完新的记录集时触发。
在加载完新的记录集时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    被加载的记录集
  • options : Object
    指定的加载选项(详情参见load)
 Store
loadexception : ()
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
监听器将会以如下的参数格式调用:
  • 无.
 Store
metachange : ( Store this, Object meta )
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
监听器将会以如下的参数格式调用:
  • this : Store
  • meta : Object
    The JSON metadata
 Store
remove : ( Store this, Ext.data.Record record, Number index )
当一个Record被从Store中删除时触发
当一个Record被从Store中删除时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    The Record that was removed
  • index : Number
    The index at which the record was removed
 Store
update : ( Store this, Ext.data.Record record, String operation )
当一个Record被更新时触发。
当一个Record被更新时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    被更新过的Record
  • operation : String
    更新操作执行后，结果可能是：

Ext.data.Record.EDIT
 Ext.data.Record.REJECT
 Ext.data.Record.COMMIT
 Store


Class Ext.data.SortTypes

包: | Ext.data
所在文件: | SortTypes.js
Class: | SortTypes
继承自: | Object

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | stripTagsRE : RegExp 剥掉标签所要使用的正则表达式 | SortTypes

公共方法

Method 所在类
asDate( Mixed s ) : Number
日期型排序
日期型排序
参数:
  • s : Mixed
    需要转换的值
返回值:
  • Number
    比较值
 SortTypes
asFloat( Mixed s ) : Float
浮点型排序
浮点型排序
参数:
  • s : Mixed
    需要转换的值
返回值:
  • Float
    比较值
 SortTypes
asInt( Mixed s ) : Number
整型排序
整型排序
参数:
  • s : Mixed
    需要转换的值
返回值:
  • Number
    比较值
 SortTypes
asText( Mixed s ) : String
剥掉HTML标签，对文本排序
剥掉HTML标签，对文本排序
参数:
  • s : Mixed
    需要转换的值
返回值:
  • String
    比较值
 SortTypes
asUCString( Mixed s ) : String
大小写不敏感的字符串
大小写不敏感的字符串
参数:
  • s : Mixed
    需要转换的值
返回值:
  • String
    比较值
 SortTypes
asUCText( Mixed s ) : String
剥掉所有HTML标签然后对文本排序---大小写不敏感
剥掉所有HTML标签然后对文本排序---大小写不敏感
参数:
  • s : Mixed
    需要转换的值
返回值:
  • String
    比较值
 SortTypes
none( Mixed s ) : Mixed
默认排序，什么也不做
默认排序，什么也不做
参数:
  • s : Mixed
    需要转换的值
返回值:
  • Mixed
    比较值
 SortTypes

公共事件

该类没有公共事件。


Observable
    Store

Class Ext.data.Store

包: | Ext.data
所在文件: | Store.js
Class: | Store
子类: | GroupingStore, JsonStore, SimpleStore
继承自: | Observable
Store类封装了Record 对象的客户端缓存，它负责向GridPanel 、ComboBox 或者DataView 这类组件提供数据输入。

Store对象将使用配置 的DataProxy的实现类 来加载数据，除非你直接调用loadData 方法并传入你的数据。

Store对象不知道Proxy返回的数据的格式是什么。

Store对象使用它配置的 DataReader 的实现类从数据对象创建Record 实例。 这些Record将被缓存，可以通过访问函数访问。

配置属性

配置属性 所在类
autoLoad : Boolean/Object
如果传入此值，store将在被创建后使用autoLoad对象作为参数自动调用load方法。
Store
baseParams : Object
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。
Store
data : Array
当store初始化时加载的内置数据。
Store
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
proxy : Ext.data.DataProxy
Proxy对象，提供访问数据对象的方法。
Store
pruneModifiedRecords : boolean
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
如果为true，每次store在加载时或者一条记录被删除时， 清除所有改动过的记录信息 (默认值为 false)。
Store
reader : Ext.data.DataReader
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
DataReader对象，它处理数据对象并返回Ext.data.Record对象数组， Ext.data.Record使用它的id作为键值被缓存。
Store
remoteSort : boolean
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true...
如果排序是通过请求Proxy提供一个排序好的数据对象来处理， 则此值为true，对应的是在本地对Record缓存进行排序(默认值为 false)。

如果指定了远程牌迅，当在列的表头上点击时， 当前页将会被从服务器重新加载，请求时增加两个参数：

  • sort : String

    排序依据的字段名(在Record的Field定义时指定的)。

  • dir : String

    排序的方向 "ASC" 或 "DESC" (大小写敏感).

 Store
sortInfo : Object
一个配置对象，格式为: {field: "fieldName", direction: "ASC|DESC"}。 排序方向属性是大小写敏感的。（译者注：也就是说，这里的ASC和DESC只能是大写的，小写没有效果。）
Store
storeId : String
如果传递此参数，它将被用作向StoreMgr注册时的id
Store
url : String
如果传递此参数，将为此URL创建一个HttpProxy
Store

公共属性

Property |  | 所在类
 | baseParams : Object 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 一个包含属性的对象，它可以用作HTTP请求的参数。 该属性可以在创建Store之后改变，并可以设置成不同的参数。 | Store
 | lastOptions : Object 此项可以包含的内容详情，参见load 这对于... 包含最后一次调用load方法所使用的参数项。 此项可以包含的内容详情，参见load 这对于访问加载当前Record缓存所使用的参数项是非常有用的。 | Store

公共方法

Method 所在类
Store( Object config )
Creates a new Store.
Creates a new Store.
参数:
  • config : Object
    A config object containing the objects needed for the Store to access data, and read the data into Records.
返回值:
Store
add( Ext.data.Record[] records ) : void
Add Records to the Store and fires the add event.
向Store中添加多条记录，并触发 add 事件。
参数:
  • records : Ext.data.Record[]
    需要添加到缓存中的Ext.data.Record对象数组。
返回值:
  • void
 Store
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSorted( Ext.data.Record record ) : void
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
（只能本地排序）根据当前的排序规则，将传入的Record添加到Store中。
参数:
  • record : Ext.data.Record
返回值:
  • void
 Store
clearFilter( Boolean suppress事件 ) : void
返回到没有使用过滤器之前的视图。
返回到没有使用过滤器之前的视图。
参数:
  • suppress事件 : Boolean
    如果为true，过滤器将被安静地清理而不通知监听器
返回值:
  • void
 Store
collect( String dataIndex, [Boolean allowNull], [Boolean bypassFilter] ) : Array
收集此数据集中指定dataIndex的唯一值。
收集此数据集中指定dataIndex的唯一值。
参数:
  • dataIndex : String
    需要收集的属性
  • allowNull : Boolean
    (可选) 传递true以允许null、undefined或者空字符串值
  • bypassFilter : Boolean
    (可选) 传递true从所有的记录中收集，包括被过滤掉的记录
返回值:
  • Array
    包含唯一值的数组
Store
commitChanges() : void
提交对记录的修改。 需要处理变更，监听Store的"update"事件...
提交对记录的修改。 需要处理变更，监听Store的"update"事件， 然后当第三个参数为Ext.data.Record.COMMIT时提交更新。
参数:
  • 无.
返回值:
  • void
 Store
each( Function fn, [Object scope] ) : void
使用缓存中的每条记录调用指定的方法。
使用缓存中的每条记录调用指定的方法。
参数:
  • fn : Function
    需要调用的方法。Record将作为第一个参数被传递。 在迭代中途抛出异常时返回 false。
  • scope : Object
    (可选) 调用方法的作用域(默认值为Record).
返回值:
  • void
 Store
filter( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : void
使用指定的参数过滤数据记录。
使用指定的参数过滤数据记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个字符串，字段必须以这个字符串开头； 要么是用来测试字段的一个正则表达式。
  • anyMatch : Boolean
    (可选)如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选)如果为true，比较时对大小写敏感
返回值:
  • void
 Store
filterBy( Function fn, [Object scope] ) : void
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此...
使用方法进行过滤。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含进来， 否则它将被过滤掉。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选)方法的作用域(默认值为 this)
返回值:
  • void
 Store
find( String property, String/RegExp value, [Number startIndex], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
使用指定的键/值对，在记录中查找第一个复合条件的对象的序号。
参数:
  • property : String
    对象的一个属性
  • value : String/RegExp
    要么是一个字符串，键值必须以这个字符串开头； 要么是用来测试键值的一个正则表达式。
  • startIndex : Number
    (可选) 起始下标
  • anyMatch : Boolean
    (可选) 如果为true，将进行任意匹配，而不仅仅是开头
  • caseSensitive : Boolean
    (可选) 如果为true，比较时对大小写敏感
返回值:
  • Number
    符合条件的序号，或者-1
 Store
findBy( Function fn, [Object scope], [Number startIndex] ) : Number
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。...
使用一个方法在记录中进行搜索，查找第一个符合条件的记录的序号。 如果方法返回true则认为匹配成功。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      The ID of the Record passed.

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
  • startIndex : Number
    (可选) 搜索的起始位置
返回值:
  • Number
    匹配的序号或者-1
 Store
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getAt( Number index ) : Ext.data.Record
获得指定序号处的Record。
获得指定序号处的Record。
参数:
  • index : Number
    需要查找的Record的序号。
返回值:
  • Ext.data.Record
    传入序号处的Record。 如未找到，返回undefined。
 Store
getById( String id ) : Ext.data.Record
根据指定的id获取记录。
根据指定的id获取记录。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Ext.data.Record
    含有指定id的记录。 如果没有找到，返回undefined。
Store
getCount() : Number
获得缓存的记录数目。

如果使用分页...

获得缓存的记录数目。

如果使用分页，这可能不是数据集的总数目。如果Reader使用的数据对象包含数据集的大小 那么 getTotalCount 将返回数据集的总大小。

参数:
  • 无.
返回值:
  • Number
    Store缓存中Record的数量。
Store
getModifiedRecords() : Ext.data.Record[]
获得最后一次提交之后被修改的记录...
获得最后一次提交之后被修改的记录。 修改的记录将持续显示到load操作。 (例如： during paging).
参数:
  • 无.
返回值:
  • Ext.data.Record[]
    被外部修改过的Record数组。
Store
getRange( [Number startIndex], [Number endIndex] ) : Ext.data.Record[]
返回指定区间内的记录。
返回指定区间内的记录。
参数:
  • startIndex : Number
    (可选) 起始下标(默认值为 0)
  • endIndex : Number
    (可选) 结束下标(默认值为Store中的最后一条记录)
返回值:
  • Ext.data.Record[]
    Record数组
 Store
getSortState() : Object
返回一个描述Store当前排序状态的对象。
返回一个描述Store当前排序状态的对象。
参数:
  • 无.
返回值:
  • Object
    Store的排序状态。 包含两个属性的对象：
    • field : String

      对Record排序所依据的字段值。

    • direction : String

      排序方向，"ASC"或者"DESC" (大小写敏感)。

Store
getTotalCount() : Number
获取从服务器返回的数据集记录总数...
获取从服务器返回的数据集记录总数。

如果使用分页，为了使该值能够精确， Reader使用的数据对象必须包含数据集的大小。 对于远程数据源来说，此值由服务器上的一次查询来提供。

参数:
  • 无.
返回值:
  • Number
    Proxy传递给Reader的数据对象中包含的记录数目

    当在本地更新Store时该值不会被更新。

Store
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Ext.data.Record record ) : Number
获得传递进来的Record在缓存中的序号。
获得传递进来的Record在缓存中的序号。
参数:
  • record : Ext.data.Record
    需要查找的Ext.data.Record对象。
返回值:
  • Number
    传递进来的Record的序号。 如果没有找到，返回-1
 Store
indexOfId( String id ) : Number
使用传入的Record的id获取它缓存中的序号。
使用传入的Record的id获取它缓存中的序号。
参数:
  • id : String
    需要查找的Record的id。
返回值:
  • Number
    Record的序号。 如果没有找到，返回-1。
Store
insert( Number index, Ext.data.Record[] records ) : void
在给定的序号出插入Records并触发 add 事件。
在给定的序号出插入Records并触发 add 事件。
参数:
  • index : Number
    插入传递的Records的起始序号。
  • records : Ext.data.Record[]
    需要添加到缓存的Ext.data.Record对象数组。
返回值:
  • void
 Store
isFiltered() : Boolean
如果此store是经过过滤的，返回true
如果此store是经过过滤的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Store
load( Object options ) : Boolean
使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页...

使用配置的Reader从Proxy中加载Record缓存。

如果使用远程分页，第一次调用必须在options.params属性中指定start 和 limit参数，以确定数据在整个数据集中的位置和每次从Proxy中读取的Record数量。

对于远程数据源，需要特别注意的是，加载是异步进行的，对load方法的调用将在新的数据加载完之前返回。 在load事件处理器或回调函数中进行加载处理。

参数:
  • options : Object
    一个包含属性的对象，它控制加载选项：
    • params :Object

      一个包含属性的对象，它被作为HTTP请求的参数传递给远程数据源。

    • callback : Function

      在Record加载完成后调用的方法。 方法将会被传入以下的参数：

      • r : Ext.data.Record[]
      • options: 调用load方法时传递的加载选项对象
      • success: 加载成功标志位

    • scope : Object

      回调方法的作用域(默认为store对象)

    • add : Boolean

      标志位，将数据追加到缓存或是覆盖缓存。

返回值:
  • Boolean
    load操作是否已经触发（当beforeload执行失败时）。
 Store
loadData( Object data, [Boolean append] ) : void
从传递进来的数据块中加载数据并触发 load 事件...
从传递进来的数据块中加载数据并触发 load 事件。 必须在构造器中配置理解数据格式的Reader。
参数:
  • data : Object
    从中读取Records的数据块。 期望的数据格式与配置的Reader类型相关， 并且需要与Reader的readRecords参数相协调。
  • append : Boolean
    (可选) 如果为true，添加新的记录而不是替代已有的记录。
返回值:
  • void
 Store
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
query( String field, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
根据指定的属性查找记录。
根据指定的属性查找记录。
参数:
  • field : String
    记录中的一个字段
  • value : String/RegExp
    要么是一个string，字段需要以此字符串开头； 或者是一个用来测试字段的正则表达式。
  • anyMatch : Boolean
    (可选) 如果为true，在任何位置匹配，不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 如果为true，在匹配时对大小写敏感
返回值:
  • MixedCollection
    返回一个Ext.util.MixedCollection，包含匹配的记录
 Store
queryBy( Function fn, [Object scope] ) : MixedCollection
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用...
使用一个过滤函数查询缓存的记录集。 指定的方法将会被使用此Store的每一个Record进行调用。 如果此方法返回true则该Record被包含在结果集中。
参数:
  • fn : Function
    需要调用的方法。 它将会被传入以下参数：
    • record : Ext.data.Record

      需要进行过滤测试的record对象。 可以使用Ext.data.Record.get. 方法访问它的字段值。

    • id : Object

      传递的Record的ID。

  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    返回包含匹配记录的一个Ext.util.MixedCollection
 Store
rejectChanges() : void
在所有被外部修改过的记录上撤销更改。
在所有被外部修改过的记录上撤销更改。
参数:
  • 无.
返回值:
  • void
 Store
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
reload( [Object options] ) : void
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
使用配置的Reader和最后一次加载参数项，从Proxy中重新加载数据缓存。
参数:
  • options : Object
    (可选)一个包含属性的对象，会覆盖最后一次加载参数 详情参见load (默认值为 null，在这种情况下，将使用最近一次使用的加载选项)。
返回值:
  • void
 Store
remove( Ext.data.Record record ) : void
从Store中删除一条记录并触发 remove 事件。
从Store中删除一条记录并触发 remove 事件。
参数:
  • record : Ext.data.Record
    需要从缓存中删除的Ext.data.Record对象。
返回值:
  • void
 Store
removeAll() : void
删除Store中所有的Record并触发 clear 事件。
删除Store中所有的Record并触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 Store
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDefaultSort( String fieldName, [String dir] ) : void
设置默认的排序列并应用到下一次加载操作。
设置默认的排序列并应用到下一次加载操作。
参数:
  • fieldName : String
    排序依据的字段名。
  • dir : String
    (可选) 排序方向， "ASC" 或"DESC" (大小写敏感，默认值为"ASC")
返回值:
  • void
 Store
sort( String fieldName, [String dir] ) : void
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载...
对记录进行排序。 如果使用远程排序，操作将在服务器端进行， 缓存将被重新加载。 如果使用本地排序，缓存将进行内部排序。
参数:
  • fieldName : String
    排序依据的字段名称。
  • dir : String
    (可选) 排序方向, "ASC"或 "DESC" (大小写敏感，默认值为 "ASC")
返回值:
  • void
 Store
sum( String property, Number start, Number end ) : Number
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
在给定的起始点和结束点之间，对每一条记录的property值求和并返回结果。
参数:
  • property : String
    数据记录的一个字段
  • start : Number
    起始记录位置(默认值为 0)
  • end : Number
    终止记录位置（包含）(默认值为 length - 1)
返回值:
  • Number
    和
 Store
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
add : ( Store this, Ext.data.Record[] records, Number index )
当记录被添加到Store时触发
当记录被添加到Store时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    The array of Records added
  • index : Number
    The index at which the record(s) were added
 Store
beforeload : ( Store this, Object options )
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
在提交新的数据请求之前触发。 如果beforeload事件的处理器返回false，加载操作将被撤销。
监听器将会以如下的参数格式调用:
  • this : Store
  • options : Object
    指定的加载选项(详情参见load)
 Store
clear : ( Store this )
当数据缓存被清空时触发。
当数据缓存被清空时触发。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
datachanged : ( Store this )
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
当数据缓存被改变时触发，使用此Store作为其Record缓存的小组件都应该刷新它的视图。
监听器将会以如下的参数格式调用:
  • this : Store
 Store
load : ( Store this, Ext.data.Record[] records, Object options )
在加载完新的记录集时触发。
在加载完新的记录集时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • records : Ext.data.Record[]
    被加载的记录集
  • options : Object
    指定的加载选项(详情参见load)
 Store
loadexception : ()
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
当Proxy加载数据发生异常时触发。 使用Proxy的"loadexception"事件来调用。
监听器将会以如下的参数格式调用:
  • 无.
 Store
metachange : ( Store this, Object meta )
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
当store的reader提供了新的metadata(或字段)时触发。 当前只有JsonReader支持此配置项。
监听器将会以如下的参数格式调用:
  • this : Store
  • meta : Object
    The JSON metadata
 Store
remove : ( Store this, Ext.data.Record record, Number index )
当一个Record被从Store中删除时触发
当一个Record被从Store中删除时触发
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    The Record that was removed
  • index : Number
    The index at which the record was removed
 Store
update : ( Store this, Ext.data.Record record, String operation )
当一个Record被更新时触发。
当一个Record被更新时触发。
监听器将会以如下的参数格式调用:
  • this : Store
  • record : Ext.data.Record
    被更新过的Record
  • operation : String
    更新操作执行后，结果可能是：

Ext.data.Record.EDIT
 Ext.data.Record.REJECT
 Ext.data.Record.COMMIT
 Store


Observable
    Tree

Class Ext.data.Tree

包: | Ext.data
所在文件: | Tree.js
Class: | Tree
继承自: | Observable
一个树型数据结构，向它的所有子节点进行事件冒泡。 树中的节点拥有大部分标准的DOM功能。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | pathSeparator : String 用于分隔节点id的符号(默认值为 '/'). | Tree

公共属性

Property |  | 所在类
 | root : Node 树的根节点 | Tree

公共方法

Method 所在类
Tree( [Node root] )
参数:
  • root : Node
    (可选) 根节点
返回值:
Tree
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getNodeById( String id ) : Node
根据id从树中获得一个节点。
根据id从树中获得一个节点。
参数:
  • id : String
返回值:
  • Node
 Tree
getRootNode() : Node
返回树的根节点。
返回树的根节点。
参数:
  • 无.
返回值:
  • Node
 Tree
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setRootNode( Node node ) : Node
为树设置根节点。
为树设置根节点。
参数:
  • node : Node
返回值:
  • Node
 Tree
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
append : ( Tree tree, Node parent, Node node, Number index )
当一个新的孩子节点被添加到树中的某个节点时触发。
当一个新的孩子节点被添加到树中的某个节点时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    新添加的节点
  • index : Number
    新添加节点的索引序号
 Tree
beforeappend : ( Tree tree, Node parent, Node node )
当一个孩子节点被添加到树中某个节点的时候触发，返回false取消添加。
当一个孩子节点被添加到树中某个节点的时候触发，返回false取消添加。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    需要添加的子节点
Tree
beforeinsert : ( Tree tree, Node parent, Node node, Node refNode )
向树中插入一个孩子节点之前触发，返回false终止插入。
向树中插入一个孩子节点之前触发，返回false终止插入。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    需要插入的节点
  • refNode : Node
    将子节点插入到其前面的节点
Tree
beforemove : ( Tree tree, Node node, Node oldParent, Node newParent, Number index )
在节点被移动到树中一个新的位置之前触发，返回false终止移动。
在节点被移动到树中一个新的位置之前触发，返回false终止移动。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • node : Node
    需要移动的节点
  • oldParent : Node
    节点父节点
  • newParent : Node
    移动到的新的父节点
  • index : Number
    移动到的新的序号
Tree
beforeremove : ( Tree tree, Node parent, Node node )
当从树中删除一个节点之前触发，返回false取消删除。
当从树中删除一个节点之前触发，返回false取消删除。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    需要删除的节点
 Tree
insert : ( Tree tree, Node parent, Node node, Node refNode )
当一个新的子节点被插入到树中的某个节点时触发。
当一个新的子节点被插入到树中的某个节点时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    插入的子节点
  • refNode : Node
    将子节点插入到其前面的节点
 Tree
move : ( Tree tree, Node node, Node oldParent, Node newParent, Number index )
当一个节点被移动到树中一个新的位置时触发。
当一个节点被移动到树中一个新的位置时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • node : Node
    The node moved
  • oldParent : Node
    该节点原来的父节点
  • newParent : Node
    该节点新的父节点
  • index : Number
    移动到的序号
Tree
remove : ( Tree tree, Node parent, Node node )
当一个孩子节点被从树中删除的时候触发。
当一个孩子节点被从树中删除的时候触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • parent : Node
    父节点
  • node : Node
    需要删除的子节点
 Tree


DataReader
    XmlReader

Class Ext.data.XmlReader

包: | Ext.data
所在文件: | XmlReader.js
Class: | XmlReader
继承自: | DataReader
Data reader 类，以提供的Ext.data.Record 构造器中的映射为基础，从xml文档创建一个Ext.data.Record 数组。

注意：如果想要浏览器能够解析返回的XML文档，HTTP响应的Content-Type头必须设置成"text/xml" 或者 "application/xml"。

Example code:

var Employee = Ext.data.Record.create([
   {name: 'name', mapping: 'name'},     // 如果与"name"相同，"mapping"参数不是必须的
   {name: 'occupation'}                 // 此字段将会用"occupation"作为mapping。
]);
var myReader = new Ext.data.XmlReader({
   totalRecords: "results", // 包含数据集总大小的元素(可选)
   record: "row",           // 重复的元素，包含数据行信息
   id: "id"                 // 数据行内部为记录提供ID(可选)
}, Employee);

这可以用来解析这样一个XML文件:

<?xml version="1.0" encoding="UTF-8"?>
<dataset>
 <results>2</results>
 <row>
   <id>1</id>
   <name>Bill</name>
   <occupation>Gardener</occupation>
 </row>
 <row>
   <id>2</id>
   <name>Ben</name>
   <occupation>Horticulturalist</occupation>
 </row>
</dataset>

配置属性

配置属性 |  | 所在类
 | id : String 从一个记录元素到一个包含记录id值元素的DomQuery路径。 | XmlReader
 | record : String 重复元素的DomQuery路径，它包含数据记录信息。 | XmlReader
 | success : String 属性名，从其中可以获得供表单使用的success参数。 | XmlReader
 | totalRecords : String DomQuery路径，从其中可以获得数据集记录的总大小。 当整个数据集... DomQuery路径，从其中可以获得数据集记录的总大小。 当整个数据集不是一次性返回，而是在服务器端做好分页时，才需要此参数。 | XmlReader

公共属性

Property |  | 所在类
 | meta : Mixed 传递给此DataReader构造器的配置元数据。 | DataReader
 | xmlData : XMLDocument 在加载/读取任何数据之后纯粹的XML文档，可以被客户端做进一步处理。 | XmlReader

公共方法

Method 所在类
XmlReader( Object meta, Object recordType )
创建一个新的XmlReader。
创建一个新的XmlReader。
参数:
  • meta : Object
    元数据配置选项
  • recordType : Object
    要么是字段定义对象，就像传递到 Ext.data.Record.create 的一样，要么是一个用 Ext.data.Record.create 创建的Record构造对象。
返回值:
XmlReader
read( Object response ) : Object
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
该方法只被DataProxy调用，当它从远程服务器上获取到数据后调用。
参数:
  • response : Object
    包含解析好的XML文档的XHR（译者注：异步请求，XmlHttpRequest）对象。 响应被期望包含一个叫做responseXML的属性， 它指向一个XML文档对象。
返回值:
  • Object
    records 一个数据块，被{@link Ext.data.Store}对象当作Ext.data.Record的缓存。
 XmlReader
readRecords( Object doc ) : Object
从xml文档创建包含多个Ext.data.Record对象的数据块。
从xml文档创建包含多个Ext.data.Record对象的数据块。
参数:
  • doc : Object
    一个解析完的XML文档。
返回值:
  • Object
    records 一个数据块，被{@link Ext.data.Store}对象当作Ext.data.Record的缓存。
 XmlReader

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        DataView

Class Ext.DataView

包: | Ext
所在文件: | DataView.js
Class: | DataView
继承自: | BoxComponent
一种使用定制的模板布局和格式展示数据的机制。 DataView使用一个 Ext.XTemplate 作为其内部的模板机制， 并被绑定到一个 Ext.data.Store ，这样当store中的数据发生变化时视图将自动同步以反应变化。 视图也内建了对许多可能发生的通用事件的处理，包含的项目 被单击、双击、鼠标滑过、鼠标移出等等，同时也有一个内建的 选择模型（selection model）。 为了使用这些特性，必须为DataView提供一个 itemSelector 配置项，用来决定与哪个节点配合使用。

以下的例子将一个DataView绑定到一个 Ext.data.Store ，并将它渲染到一个 Ext.Panel中。

var store = new Ext.data.JsonStore({
    url: 'get-images.php',
    root: 'images',
    fields: [
        'name', 'url',
        {name:'size', type: 'float'},
        {name:'lastmod', type:'date', dateFormat:'timestamp'}
    ]
});
store.load();

var tpl = new Ext.XTemplate(
    '<tpl for=".">',
        '<div class="thumb-wrap" id="{name}">',
        '<div class="thumb"><img src="{url}" title="{name}"></div>',
        '<span class="x-editable">{shortName}</span></div>',
    '</tpl>',
    '<div class="x-clear"></div>'
);

var panel = new Ext.Panel({
    id:'images-view',
    frame:true,
    width:535,
    autoHeight:true,
    collapsible:true,
    layout:'fit',
    title:'Simple DataView',

    items: new Ext.DataView({
        store: store,
        tpl: tpl,
        autoHeight:true,
        multiSelect: true,
        overClass:'x-view-over',
        itemSelector:'div.thumb-wrap',
        emptyText: 'No images to display'
    })
});
panel.render(document.body);

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
deferEmptyText : Boolean
设置为true以延迟应用emptyText直到store第一次加载
DataView
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
emptyText : String
当没有数据时显示在视图中的文本 (默认值为 '')。
DataView
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemSelector : String
这是一个必须的配置项。 一个简单的CSS选择器(例如div.some-class 或者span:first-child) ...
这是一个必须的配置项。 一个简单的CSS选择器(例如div.some-class 或者span:first-child) ，被用来决定DataView与什么节点协同工作。
DataView
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadingText : String
在进行数据加载操作时显示的字符串 (默认值为 undefined)。 如果指定，此文本会被显示在一个加载div中...
在进行数据加载操作时显示的字符串 (默认值为 undefined)。 如果指定，此文本会被显示在一个加载div中， 并且在进行加载时view的内容会被清除掉； 否则，view的内容将仍然会显示直到新的数据 加在完成并且内容被替换掉。
DataView
multiSelect : Boolean
设置为true，以便允许一次选择多个项目， 设置为false一次只允许选择唯一个项目或者不选择...
设置为true，以便允许一次选择多个项目， 设置为false一次只允许选择唯一个项目或者不选择， 这取决于 singleSelect 的值(默认值为 false)。
DataView
overClass : String
当鼠标滑过时，应用到view中每个项目的CSS类 (默认值为 undefined)。
DataView
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectedClass : String
应用到视图中每个选中项目的CSS类 (默认值为 'x-view-selected')。
DataView
simpleSelect : Boolean
设置为true，启用在多个项目上点击时进行多选，而不 需要用户按住Shift或者Ctrl，false时...
设置为true，启用在多个项目上点击时进行多选，而不 需要用户按住Shift或者Ctrl，false时，如果需要 选中多于一个项目时，将强制用户必须按住Ctrl或者Shift (默认值为 false)。
DataView
singleSelect : Boolean
设置为true，一次只允许选择一个项目， false将允许不选择任何项目(默认值为 false)...
设置为true，一次只允许选择一个项目， false将允许不选择任何项目(默认值为 false)。 注意：如果 multiSelect = true，此值会被忽略。
DataView
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store
当前DataView绑定的Ext.data.Store 。
DataView
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tpl : String/Array
HTML标签或者一个标签数组，DataView将使用它们来 组成模板。 必须指定到与 Ext.XTemplate 的构造器所期望的格式相同。
HTML标签或者一个标签数组，DataView将使用它们来 组成模板。 必须指定到与 Ext.XTemplate 的构造器所期望的格式相同。
DataView
trackOver : Boolean
设置为true，以启用mouseenter和mouseleave事件
DataView
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
DataView( Object config )
Create a new DataView
Create a new DataView
参数:
  • config : Object
    The config object
返回值:
DataView
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearSelections( [Boolean suppress事件] ) : void
清除所有的选中项。
清除所有的选中项。
参数:
  • suppress事件 : Boolean
    (可选) True to skip firing of the selectionchange event
返回值:
  • void
 DataView
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collectData( records {Array} ) : Array
一个可以被覆盖的方法，用来返回传递 到当前DataView的 template 中的数据对象，此对象被用来渲染整个的DataView...

一个可以被覆盖的方法，用来返回传递 到当前DataView的 template 中的数据对象，此对象被用来渲染整个的DataView。

通常这是一个数据对象数组， 其中的每个元素都被在一个 XTemplate 对象中进行处理， 它使用'<tpl for=".">' 来迭代所提供的数据对象数组。 然而，指定 的数据可以放到数据对象中以便提供不重复的数据， 例如头信心、数据总条数等等。

参数:
  • {Array} : records
    一个Ext.data.Record 数据，将被渲染到DataView中。
返回值:
  • Array
    An Array of data objects to be processed by a repeating XTemplate. May also contain named properties.
 DataView
deselect( HTMLElement/Number node ) : void
反选一个节点。
反选一个节点。
参数:
  • node : HTMLElement/Number
    The node to deselect
返回值:
  • void
 DataView
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findItemFromChild( HTMLElement node ) : HTMLElement
返回传递进来的孩子所属的模板节点， 如果它不属于任何一个，返回null。
返回传递进来的孩子所属的模板节点， 如果它不属于任何一个，返回null。
参数:
  • node : HTMLElement
返回值:
  • HTMLElement
    The template node
 DataView
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getNode( HTMLElement/String/Number nodeInfo ) : HTMLElement
获取一个模板节点。
获取一个模板节点。
参数:
  • nodeInfo : HTMLElement/String/Number
    An HTMLElement template node, index of a template node or the id of a template node
返回值:
  • HTMLElement
    节点，如果没有找到则为null
DataView
getNodes( [Number start], [Number end] ) : Array
获取一个范围内的节点。
获取一个范围内的节点。
参数:
  • start : Number
    (可选) The index of the first node in the range
  • end : Number
    (可选) The index of the last node in the range
返回值:
  • Array
    An array of nodes
 DataView
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRecord( HTMLElement node ) : Record
从一个节点中获取一条记录
从一个节点中获取一条记录
参数:
  • node : HTMLElement
    The node to evaluate
返回值:
  • Record
    record The {@link Ext.data.Record} object
 DataView
getRecords( Array nodes ) : Array
从一个节点数组中获取一个记录数组
从一个节点数组中获取一个记录数组
参数:
  • nodes : Array
    The nodes to evaluate
返回值:
  • Array
    records The {@link Ext.data.Record} objects
 DataView
getSelectedIndexes() : Array
获取选中节点的索引。
获取选中节点的索引。
参数:
  • 无.
返回值:
  • Array
    一个数值索引的数组
DataView
getSelectedNodes() : Array
获取当前选中的节点。
获取当前选中的节点。
参数:
  • 无.
返回值:
  • Array
    一个HTMLElement数组
DataView
getSelectedRecords() : Array
获取选中的记录数组
获取选中的记录数组
参数:
  • 无.
返回值:
  • Array
    An array of {@link Ext.data.Record} objects
 DataView
getSelectionCount() : Number
获取选中的节点个数。
获取选中的节点个数。
参数:
  • 无.
返回值:
  • Number
    The node count
 DataView
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
indexOf( HTMLElement/String/Number nodeInfo ) : Number
查找传递进来的节点的index。
查找传递进来的节点的index。
参数:
  • nodeInfo : HTMLElement/String/Number
    一个HTMLElement模板节点，一个模板节点的序号 或者模板节点的id
返回值:
  • Number
    节点的序号，或者-1
 DataView
isSelected( HTMLElement/Number node ) : Boolean
如果传递进来的节点处于选中状态，返回true，否则返回false。
如果传递进来的节点处于选中状态，返回true，否则返回false。
参数:
  • node : HTMLElement/Number
    需要检测的节点或者节点的顺序
返回值:
  • Boolean
    如果处于选中状态，返回true，否则返回false
DataView
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
prepareData( Array/Object data, Number recordIndex, Record record ) : Array/Object
可以覆盖的方法，用来为每条记录提供定制的格式 ，被DataView的 template 用来渲染每个节点。
可以覆盖的方法，用来为每条记录提供定制的格式 ，被DataView的 template 用来渲染每个节点。
参数:
  • data : Array/Object
    用来创建Record的原始的数据对象。
  • recordIndex : Number
    the index number of the Record being prepared for rendering.
  • record : Record
    The Record being prepared for rendering.
返回值:
  • Array/Object
    The formatted data in a format expected by the internal {@link #tpl template}'s overwrite() method. (either an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'}))
 DataView
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
refresh() : void
通过从store中重新加在数据来刷新view，并重新渲染模板。
通过从store中重新加在数据来刷新view，并重新渲染模板。
参数:
  • 无.
返回值:
  • void
 DataView
refreshNode( Number index ) : void
从store中刷新单个节点的数据。
从store中刷新单个节点的数据。
参数:
  • index : Number
    项目在store中的数据的序号
返回值:
  • void
 DataView
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( Array/HTMLElement/String/Number nodeInfo, [Boolean keepExisting], [Boolean suppress事件] ) : void
选中一个节点集合。
选中一个节点集合。
参数:
  • nodeInfo : Array/HTMLElement/String/Number
    An HTMLElement template node, index of a template node, id of a template node or an array of any of those to select
  • keepExisting : Boolean
    (可选) true to keep existing selections
  • suppress事件 : Boolean
    (可选) true to skip firing of the selectionchange vent
返回值:
  • void
 DataView
selectRange( Number start, Number end, [Boolean keepExisting] ) : void
选中一个范围内的节点。 所有处于start和end之间的节点都会被选中。
选中一个范围内的节点。 所有处于start和end之间的节点都会被选中。
参数:
  • start : Number
    The index of the first node in the range
  • end : Number
    The index of the last node in the range
  • keepExisting : Boolean
    (可选) 设置为true将保持当前的选中项
返回值:
  • void
 DataView
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setStore( Store store ) : void
改变绑定到当前view的数据store并且刷新它。
改变绑定到当前view的数据store并且刷新它。
参数:
  • store : Store
    The store to bind to this view
返回值:
  • void
 DataView
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforeclick : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
在处理一个单击之前触发。 返回false以取消默认的操作。
在处理一个单击之前触发。 返回false以取消默认的操作。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeselect : ( Ext.DataView this, HTMLElement node, Array selections )
在进行一次选择之前触发。 如果任何监听器返回false，则取消选中。
在进行一次选择之前触发。 如果任何监听器返回false，则取消选中。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • node : HTMLElement
    The node to be selected
  • selections : Array
    Array of currently selected nodes
 DataView
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
当模板节点被单击时触发。
当模板节点被单击时触发。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
containerclick : ( Ext.DataView this, Ext.EventObject e )
当发生一次点击并且不是发生在一个模板节点上时触发。
当发生一次点击并且不是发生在一个模板节点上时触发。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • e : Ext.EventObject
    The raw event object
 DataView
contextmenu : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
当在一个模板节点上右击的时候触发。
当在一个模板节点上右击的时候触发。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
dblclick : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
当一个模板节点被双击时触发。
当一个模板节点被双击时触发。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
mouseenter : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
当鼠标进入一个模板节点范围之内时触发。 必须设置trackOver:true 或者overCls 以启用此事件。
当鼠标进入一个模板节点范围之内时触发。 必须设置trackOver:true 或者overCls 以启用此事件。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
mouseleave : ( Ext.DataView this, Number index, HTMLElement node, Ext.EventObject e )
当鼠标离开一个模板节点时触发。 必须设置trackOver:true或者一个overCls， 以便启用此事件。
当鼠标离开一个模板节点时触发。 必须设置trackOver:true或者一个overCls， 以便启用此事件。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • index : Number
    The index of the target node
  • node : HTMLElement
    The target node
  • e : Ext.EventObject
    The raw event object
 DataView
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
selectionchange : ( Ext.DataView this, Array selections )
当选中的节点发生变化时触发。
当选中的节点发生变化时触发。
监听器将会以如下的参数调用:
  • this : Ext.DataView
  • selections : Array
    Array of the selected nodes
 DataView
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      DatePicker

Class Ext.DatePicker

包: | Ext
所在文件: | DatePicker.js
Class: | DatePicker
继承自: | Component
简单的日期选择类。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
cancelText : String
取消按钮上显示的文本
DatePicker
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
constrainToViewport : Boolean
已过期 (当前不再使用)。 设置为true将把选择器约束到viewport (默认值为 true)
DatePicker
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
dayNames : Array
一个天的名称文本值数组，可以覆盖它 以提供本地化支持 (默认值为 Date.dayNames)
DatePicker
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
disabledDates : Array
一个需要禁用的日期数组，字符串型。 这些字符串将被用来构建一个动态的正则表达式...
一个需要禁用的日期数组，字符串型。 这些字符串将被用来构建一个动态的正则表达式， 因此诶它们是非常强大的。 一些例子：
  • ["03/08/2003", "09/16/2003"] 将会禁用这些特定的日期
  • ["03/08", "09/16"] 将会禁用每一年的这些天
  • ["^03/08"] 将会只匹配开始处 (如果你使用缩略的年份，非常有用)
  • ["03/../2006"] 将会禁用2006年三月份的每一天
  • ["^03"] 将会禁用每个三月份的每一天
注意：数组中所包含的日期的格式必须严格与 format 配置项匹配。 为了支持正则表达式，如果你使用的日期格式中含有 "."，在限定日期时你必须对点号进行转义处理。 例如：["03\\.08\\.03"]。
DatePicker
disabledDatesRE : RegExp
JavaScript正则表达式，用来禁用一个日期格式 (默认值为 null)...
JavaScript正则表达式，用来禁用一个日期格式 (默认值为 null)。 disabledDates 配置项将会在内部产生正则表达式， 但是如果你指定disabledDatesRE，它将优先与disabledDates 值使用。
DatePicker
disabledDatesText : String
当日期落在一个被禁用的日期上时显示的 tooltip文本 (默认值为 "Disabled")
DatePicker
disabledDays : Array
一个需要禁用的日期数组，从0开始。 例如，[0, 6]将禁用星期天和星期六 (默认值为 null)。 （译者注：这里的禁用指的是禁止选择的意思）
DatePicker
disabledDaysText : String
当日期落在一个被禁用的天上时显示的tooltip (默认值为 "Disabled")
DatePicker
format : String
The default date format string which can be overriden for localization support. The format must be valid according to...
默认的日期格式字符串，可以覆盖它以提供本地化支持。 格式必须合法，根据 Date.parseDate (默认值为 'm/d/y')。
DatePicker
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maxDate : Date
允许的最大日期 (JavaScript日期对象，默认值为 null)
DatePicker
maxText : String
当maxDate校验失败时显示的出错文本 (默认值为 "This date is after the maximum date")
DatePicker
minDate : Date
允许的最小日期(JavaScript日期对象，默认值为 null)
DatePicker
minText : String
校验minDate失败时显示的出错提示文本 (默认值为 "This date is before the minimum date")
DatePicker
monthNames : Array
一个月份名称文本数组， 可以覆盖它以提供本地化支持 (默认值为 Date.monthNames)
DatePicker
monthYearText : String
头部月份选择器的tooltip (默认值为 'Choose a month (Control+Up/Down to move years)')
DatePicker
nextText : String
下一个月导航按钮上的tooltip (默认值为 'Next Month (Control+Right)')
DatePicker
okText : String
ok按钮上显示的文本
DatePicker
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
prevText : String
前一个月导航按钮上的tooltip (默认值为 'Previous Month (Control+Left)')
DatePicker
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
showToday : Boolean
设置为false将隐藏底部区域---其中包含了一个Today按钮...
设置为false将隐藏底部区域---其中包含了一个Today按钮， 并禁用键盘手柄使用空格键来选择当前日期 (默认值为 true)。
DatePicker
startDay : Number
一周中起始天的索引，从0开始 (默认值为0，为星期天)
DatePicker
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
todayText : String
选中当前日期按钮上显示的文本(默认值为 "Today")
DatePicker
todayTip : String
选中当前日期按钮上显示的tooltip (默认值为 "{current date} (Spacebar)")
DatePicker
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
DatePicker( Object config )
Create a new DatePicker
Create a new DatePicker
参数:
  • config : Object
    The config object
返回值:
DatePicker
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getValue() : Date
获取日期输入栏当前选中的值
获取日期输入栏当前选中的值
参数:
  • 无.
返回值:
  • Date
    The selected date
 DatePicker
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setDisabledDates( Array/RegExp disabledDates ) : void
使用新的值替换任何现有的禁用日期，并刷新DatePicker。
使用新的值替换任何现有的禁用日期，并刷新DatePicker。
参数:
  • disabledDates : Array/RegExp
    An array of date strings (see the disabledDates config for details on supported values), or a JavaScript regular expression used to disable a pattern of dates.
返回值:
  • void
 DatePicker
setDisabledDays( Array disabledDays ) : void
使用新的值替换任何现有的禁用日期(按序号，0-6)，并刷新DatePicker
使用新的值替换任何现有的禁用日期(按序号，0-6)，并刷新DatePicker
参数:
  • disabledDays : Array
    An array of disabled day indexes. See the disabledDays config for details on supported values.
返回值:
  • void
 DatePicker
setMaxDate( Date value ) : void
使用新的值替换任何现存的 maxDate ，并刷新DatePicker。
使用新的值替换任何现存的 maxDate ，并刷新DatePicker。
参数:
  • value : Date
    The maximum date that can be selected
返回值:
  • void
 DatePicker
setMinDate( Date value ) : void
使用新的值替换任何现存的 minDate ，并刷新DatePicker。
使用新的值替换任何现存的 minDate ，并刷新DatePicker。
参数:
  • value : Date
    The minimum date that can be selected
返回值:
  • void
 DatePicker
setValue( Date value ) : void
设置日期输入栏的值
设置日期输入栏的值
参数:
  • value : Date
    The date to set
返回值:
  • void
 DatePicker
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
select : ( DatePicker this, Date date )
当日期被选中时触发
当日期被选中时触发
监听器将会以如下的参数格式调用:
  • this : DatePicker
  • date : Date
    The selected date
 DatePicker
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


DragDrop
    DD

Class Ext.dd.DD

包: | Ext.dd
所在文件: | DDCore.js
Class: | DD
子类: | DDProxy
继承自: | DragDrop
一个DragDrop实现类，当拖动时相关联的元素将跟随鼠标移动。

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DD( String id, String sGroup, object config )
参数:
  • id : String
    相关联的元素的id
  • sGroup : String
    相关联的DragDrop元素编组
  • config : object
    一个对象，包含对于DD合法的配置参数: scroll
返回值:
DD
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用指定到此类配置选项。 覆盖Ext.dd.DragDrop， 继承链上此方法的所有版本都会被调用。
应用指定到此类配置选项。 覆盖Ext.dd.DragDrop， 继承链上此方法的所有版本都会被调用。
参数:
  • 无.
返回值:
  • void
 DD
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DD
      DDProxy

Class Ext.dd.DDProxy

包: | Ext.dd
所在文件: | DDCore.js
Class: | DDProxy
子类: | DragSource
继承自: | DD
一个DragDrop的实现类，在document中插入一个空的带边框的div，当进行拖拽操作时跟随 鼠标移动。在点击的时候，这个div框架被设置成与相关联的元素一样大小 ，并被精确地移动到相关联的元素的位置。 这个"frame"元素的引用，指的是单个的代理元素，它是被创建用来替代页面上所有 DDProxy元素被拖拽的。 （译者注：这个代理元素，可以看作被拖拽的元素的一个“影子效果”，拖拽的时候 原来的元素先不动，只是这个代理元素跟随鼠标移动，当松开鼠标的按键的时候，原来的 元素才被移动到鼠标放开的位置。）

公共属性

Property 所在类
DDProxy.dragElId : String
<静态> 默认被拖动的框架div的id
DDProxy
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
centerFrame : boolean
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量....
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量。 另外一点是让拖拽框架以鼠标为中心点，只有你没有为此对象设置约束时才有效。 设置centerFrame为true可以使用这种效果（以鼠标为中心）。
DDProxy
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
resizeFrame : boolean
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效...
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效)。 如果我们需要一个不同的行为，我们可以关闭它。
DDProxy
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DDProxy( String id, String sGroup, object config )
参数:
  • id : String
    the id of the linked html element
  • sGroup : String
    the group of related DragDrop objects
  • config : object
    an object containing configurable attributes Valid properties for DDProxy in addition to those in DragDrop: resizeFrame, centerFrame, dragElId
返回值:
DDProxy
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
createFrame() : void
创建代理元素，如果它还不存在
创建代理元素，如果它还不存在
参数:
  • 无.
返回值:
  • void
 DDProxy
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initFrame() : void
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
参数:
  • 无.
返回值:
  • void
 DDProxy
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DDTarget

Class Ext.dd.DDTarget

包: | Ext.dd
所在文件: | DDCore.js
Class: | DDTarget
子类: | DropTarget
继承自: | DragDrop
一个DragDrop的实现类，它不能移动，但是可以成为拖拽的目标。 你可以用忽略事件回调函数的方式获得同样的效果，但是，使用这种方式（译者注：指这个类）我们可以 减少对事件监听和回调的开销。

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DDTarget( String id, String sGroup, object config )
参数:
  • id : String
    the id of the element that is a drop target
  • sGroup : String
    the group of related DragDrop objects
  • config : object
    an object containing configurable attributes Valid properties for DDTarget in addition to those in DragDrop: none
返回值:
DDTarget
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


Class Ext.dd.DragDrop

包: | Ext.dd
所在文件: | DDCore.js
Class: | DragDrop
子类: | DD, DDTarget
继承自: | Object
为可以拖动或者可以被放置到另一个目标上的元素定义了一个接口和一些基本的操作。 此类是被设计用来继承的， 可以重写startDrag、onDrag、onDragOver、onDragOut事件的处理函数。 最多可以有3个HTML元素可以与DragDrop实例相关联：
  • linked element: 传递给构造器的元素。 此元素定义了与其他DragDrop对象交互的边界。
  • handle element(s): 只有被点击的元素匹配到一个处理元素时，才发生拖动操作。 默认情况下，就是相关的这个元素自身， 但是，有时候你会希望对相关元素的一部分进行拖动操作， setHandleElId()方法提供了处理这种情况的一个途径。
  • drag element: 这是当进行拖动操作时跟随鼠标移动的那个元素。 默认情况下， 这是相关元素自身，就像在 Ext.dd.DD 中那样。 setDragElId() 让你可以定义一个独立的移动元素， 就像Ext.dd.DDProxy一样。
在onload事件确保所有相关的元素都处于可用状态之前，不应该实例化此类。 以下将定义一个DragDrop对象， 它可以与"group1"组中的任何一个DragDrop对象进行交互:
dd = new Ext.dd.DragDrop("div1", "group1");
因为没有实现任何事件处理函数， 事实上当你运行以上代码时什么事都不会发生。 一般情况下，你会覆盖此类或者默认实现类之一， 但是你也可以覆盖此类的实例中你需要覆盖的那些方法...
dd.onDragDrop = function(e, id) {
  alert("dd was dropped on " + id);
}

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DragDrop( String id, String sGroup, object config )
参数:
  • id : String
    与此实例相关的元素的id
  • sGroup : String
    相关DragDrop对象的编组
  • config : object
    一个包含配置属性的对象， DragDrop合法的参数: padding, isTarget, maintainOffset, primaryButtonOnly
返回值:
DragDrop
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


Class Ext.dd.DragDropMgr

包: | Ext.dd
所在文件: | DDCore.js
Class: | DragDropMgr
继承自: | Object
DragDropMgr是一个单例，它为浏览器窗口中所有的DragDrop元素跟踪 交互信息。 一般情况下，你不需要使用该类， 但是它确实有一些帮助方法，可以用在你自己的DragDrop实现类中。

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | INTERSECT : int <静态> 在交叉模式下，拖动和放下交互由两个或多个可以拖拽对象重叠的区域定义。 <静态> 在交叉模式下，拖动和放下交互由两个或多个可以拖拽对象重叠的区域定义。 | DragDropMgr
 | POINT : int <静态> 在point模式下， 拖拽和放下的交互由拖拽过程中鼠标的位置定义。 | DragDropMgr
 | clickPixelThresh : int <静态> 在鼠标按下之后，发起拖动操作之前，鼠标需要移动的像素数。默认=3... <静态> 在鼠标按下之后，发起拖动操作之前，鼠标需要移动的像素数。默认=3; （译者注：这个配置项需要说明一下，例如，当鼠标在一个窗体的左上角点击，如果没有这个小的 偏移值，一旦鼠标移动，很可能就移出了窗体的区域，那么窗体就不会再跟随鼠标移动了，所以这个 小的偏移量对拖动操作很重要。） | DragDropMgr
 | clickTimeThresh : int <静态> 在mousedown事件发生后，如果没有收到mouseup事件，发起拖拽动作 的延迟毫秒数。默认=1000 <静态> 在mousedown事件发生后，如果没有收到mouseup事件，发起拖拽动作 的延迟毫秒数。默认=1000 | DragDropMgr
 | css : Object 指向样式属性的引用 | DragDropMgr
 | el : Object The element | DragDropMgr
 | id : Object 元素的id | DragDropMgr
 | mode : int <静态> 当前的拖拽和放下模式。默认：POINT | DragDropMgr
 | preventDefault : boolean &<静态> 一个标志位，用来指示是否屏蔽我们自定义事件的默认行为。 默认情况下，此项为true... <静态> 一个标志位，用来指示是否屏蔽我们自定义事件的默认行为。 默认情况下，此项为true， 如果你需要默认的行为，可以将此项设置为false (不推荐) | DragDropMgr
 | stopPropagation : boolean <静态> 一个标识位，决定我们是否需要停止对我们产生事件进行冒泡。 默认为true... <静态> 一个标识位，决定我们是否需要停止对我们产生事件进行冒泡。 默认为true，如果html元素包含其它需要鼠标点击的属性，你可能 想把它设置为false。 | DragDropMgr
 | useCache : boolean <静态> 如果你想要在拖拽的过程中，强制持续地... <静态> 如果你想要在拖拽的过程中，强制持续地 查找每个拖拽对象相关联的元素，设置useCache为false。 | DragDropMgr

公共方法

Method 所在类
getBestMatch( DragDrop[] dds ) : DragDrop
<静态> 工具函数，在INTERSECT模式下，从drag和drop事件返回的拖拽对象列表中获取最佳匹配...
<静态> 工具函数，在INTERSECT模式下，从drag和drop事件返回的拖拽对象列表中获取最佳匹配。 要么返回鼠标滑过的第一个对象，要么返回与被拖拽对象之间交叉区域最大的那个对象。
参数:
  • dds : DragDrop[]
    The array of drag and drop objects targeted
返回值:
  • DragDrop
    The best single match
 DragDropMgr
getCss( String id ) : Object
Deprecated. <静态> 返回DOM元素的CSS样式(例如： document.getElById(id).style)
Deprecated. <静态> 返回DOM元素的CSS样式(例如： document.getElById(id).style)
参数:
  • id : String
    the id of the elment to get
返回值:
  • Object
    The style property of the element
 DragDropMgr
getDDById( String id ) : DragDrop
<静态> 根据所给的id返回DragDrop实例
<静态> 根据所给的id返回DragDrop实例
参数:
  • id : String
    the id of the DragDrop object
返回值:
  • DragDrop
    the drag drop object, null if it is not found
 DragDropMgr
getElement( String id ) : Object
Deprecated. <静态> 返回实际的DOM元素
Deprecated. <静态> 返回实际的DOM元素
参数:
  • id : String
    the id of the elment to get
返回值:
  • Object
    The element
 DragDropMgr
getLocation( DragDrop oDD ) : Ext.lib.Region
<静态> 返回一个Region对象，其中包含了拖拽对象的位置和大小， 包括配置给它的填充尺寸。
<静态> 返回一个Region对象，其中包含了拖拽对象的位置和大小， 包括配置给它的填充尺寸。
参数:
  • oDD : DragDrop
    the drag and drop object to get the location for
返回值:
  • Ext.lib.Region
    a Region object representing the total area the element occupies, including any padding the instance is configured for.
 DragDropMgr
getPosX( el the ) : int
Deprecated. <静态> 返回一个html元素位置的x值
Deprecated. <静态> 返回一个html元素位置的x值
参数:
  • the : el
    element for which to get the position
返回值:
  • int
    the X coordinate @for DragDropMgr
 DragDropMgr
getPosY( el the ) : int
Deprecated. <静态> 返回一个html元素的y位置值
Deprecated. <静态> 返回一个html元素的y位置值
参数:
  • the : el
    element for which to get the position
返回值:
  • int
    the Y coordinate
 DragDropMgr
getRelated( DragDrop p_oDD, boolean bTargetsOnly ) : DragDrop[]
<静态> 返回传递进来的实例所在的所有组中，所有的拖拽和放下实例。
<静态> 返回传递进来的实例所在的所有组中，所有的拖拽和放下实例。
参数:
  • p_oDD : DragDrop
    the obj to get related data for
  • bTargetsOnly : boolean
    if true, only return targetable objs
返回值:
  • DragDrop[]
    the related instances
 DragDropMgr
getScrollLeft() : int
<静态> 获取滚动条的左边位置(scrollLeft)...
<静态> 获取滚动条的左边位置(scrollLeft) （译者注：这个参数应该是为水平的滚动条准备的，垂直滚动条不需要这个参数）
参数:
  • 无.
返回值:
  • int
    the document's scrollTop
 DragDropMgr
getScrollTop() : int
<静态> 获取滚动条的顶部位置
<静态> 获取滚动条的顶部位置
参数:
  • 无.
返回值:
  • int
    the document's scrollTop
 DragDropMgr
getStyle( HTMLElement el, string styleProp ) : string
Deprecated. <静态> 返回特定元素的样式属性
Deprecated. <静态> 返回特定元素的样式属性
参数:
  • el : HTMLElement
    the element
  • styleProp : string
    the style property
返回值:
  • string
    The value of the style property
 DragDropMgr
handleWasClicked( node the ) : void
<静态> 递归搜索处理元素的 直接的父节点和所有的孩子节点...
<静态> 递归搜索处理元素的 直接的父节点和所有的孩子节点， 以检测此元素是否被点击了。
参数:
  • the : node
    html element to inspect
返回值:
  • void
 DragDropMgr
isDragDrop( String id ) : boolean
<静态> 工具方法，用来判定一个给定的元素是否被注册成了一个可以拖拽的项目。
<静态> 工具方法，用来判定一个给定的元素是否被注册成了一个可以拖拽的项目。
参数:
  • id : String
    the element id to check
返回值:
  • boolean
    true if this element is a DragDrop item, false otherwise
 DragDropMgr
isHandle( String id ) : boolean
<静态> 工具方法，用来检测对于给定的Drag Drop对象来说， 所给的元素...
<静态> 工具方法，用来检测对于给定的Drag Drop对象来说， 所给的元素是否已经已经注册成为一个 拖拽处理器。
参数:
  • id : String
    the element id to check
返回值:
  • boolean
    true if this element is a DragDrop handle, false otherwise
 DragDropMgr
isLegalTarget( DragDrop the, DragDrop the ) : boolean
<静态> 如果指定的dd目标对指定的拖拽对象来说是一个合法的放下目标， 返回true。
<静态> 如果指定的dd目标对指定的拖拽对象来说是一个合法的放下目标， 返回true。
参数:
  • the : DragDrop
    拖拽的对象
  • the : DragDrop
    target
返回值:
  • boolean
    如果拖拽目标对于dd对象来说是一个合法的目标，返回true
DragDropMgr
isLocked() : boolean
<静态>拖动和放下操作是否被锁定？
<静态> 拖动和放下操作是否被锁定？
参数:
  • 无.
返回值:
  • boolean
    True if drag and drop is locked, false otherwise.
 DragDropMgr
isTypeOfDD( Object the ) : boolean
<静态> 此方法的目标是能够明显地检测一个对象是否是DragDrop类型， 或者是DragDrop.typeof返回对象的直接...
<静态> 此方法的目标是能够明显地检测一个对象是否是DragDrop类型， 或者是DragDrop.typeof返回对象的直接子类， oDD.constructor.toString()总是返回"DragDrop" 而不是子类的名称。 所以目前它只能明确地检测出一个变量是DragDrop类型。
参数:
  • the : Object
    object to evaluate
返回值:
  • boolean
    true if typeof oDD = DragDrop
 DragDropMgr
lock() : void
<静态> 锁定所有的拖动和放下功能
<静态> 锁定所有的拖动和放下功能
参数:
  • 无.
返回值:
  • void
 DragDropMgr
moveToEl( HTMLElement moveEl, HTMLElement targetEl ) : void
<静态> 将一个元素的x/y位置设置到目标元素的位置。
<静态> 将一个元素的x/y位置设置到目标元素的位置。
参数:
  • moveEl : HTMLElement
    The element to move
  • targetEl : HTMLElement
    The position reference element
返回值:
  • void
 DragDropMgr
numericSort() : void
<静态> 数值型数组排序函数
<静态> 数值型数组排序函数
参数:
  • 无.
返回值:
  • void
 DragDropMgr
refreshCache( Object groups ) : void
<静态> 刷新特定编组(s)中缓存的拖拽和放下对象的top-left和bottom-right 点...
<静态> 刷新特定编组(s)中缓存的拖拽和放下对象的top-left和bottom-right 点。 这些参数以一定的格式被存储在拖动和放下实例中， 所以典型的用法是： Ext.dd.DragDropMgr.refreshCache(ddinstance.groups); 第二个选择是: Ext.dd.DragDropMgr.refreshCache({group1:true, group2:true}); @TODO 事实上此对象应该是一个索引数组(indexed array)。 作为选择，此方法两种情况都可以接收。
参数:
  • groups : Object
    an associative array of groups to refresh
返回值:
  • void
 DragDropMgr
regDragDrop( DragDrop oDD, String sGroup ) : void
<静态> 每个DragDrop实例都必须向DragDropMgr注册。 此操作将在DragDrop.init()中执行。
<静态> 每个DragDrop实例都必须向DragDropMgr注册。 此操作将在DragDrop.init()中执行。
参数:
  • oDD : DragDrop
    the DragDrop object to register
  • sGroup : String
    the name of the group this element belongs to
返回值:
  • void
 DragDropMgr
regHandle( String sDDId, String sHandleId ) : void
<静态> 每个DragDrop元素句柄都必须注册。 当执行DragDrop.setHandleElId()的时候此方法被自动调用
<静态> 每个DragDrop元素句柄都必须注册。 当执行DragDrop.setHandleElId()的时候此方法被自动调用
参数:
  • sDDId : String
    the DragDrop id this element is a handle for
  • sHandleId : String
    the id of the element that is the drag handle
返回值:
  • void
 DragDropMgr
startDrag( x {int}, y {int} ) : void
<静态> 要么在拖动极小的像素时触发，要么在遇到mousedown 的那一瞬间触发。
<静态> 要么在拖动极小的像素时触发，要么在遇到mousedown 的那一瞬间触发。
参数:
  • {int} : x
    the X position of the original mousedown
  • {int} : y
    the Y position of the original mousedown
返回值:
  • void
 DragDropMgr
stopEvent( Event e ) : void
<静态> 工具方法，用来阻止事件的冒泡和默认处理， 如果启用了这些特性...
<静态> 工具方法，用来阻止事件的冒泡和默认处理， 如果启用了这些特性的话（译者注：指启用事件冒泡和默认处理）。
参数:
  • e : Event
    the event as returned by this.getEvent()
返回值:
  • void
 DragDropMgr
swapNode( n1 the, n2 the ) : void
<静态> 交换两个节点。 在IE下，我们使用原生的方法，在其它浏览器下，我们模仿IE的行为。
<静态> 交换两个节点。 在IE下，我们使用原生的方法，在其它浏览器下，我们模仿IE的行为。
参数:
  • the : n1
    first node to swap
  • the : n2
    other node to swap
返回值:
  • void
 DragDropMgr
unlock() : void
<静态> 解锁所有的拖拽和放下功能。
<静态> 解锁所有的拖拽和放下功能。
参数:
  • 无.
返回值:
  • void
 DragDropMgr
verifyEl( HTMLElement el ) : boolean
<静态> 这是用来检测以确定一个元素存在并处在DOM树中。 此方法的主要目的，是处理使用innerHTML属性...
<静态> 这是用来检测以确定一个元素存在并处在DOM树中。 此方法的主要目的，是处理使用innerHTML属性把拖拽对象从DOM中删除的情况。 当尝试访问这类元素的offsetParent属性时，IE会产生一个'unspecified error'
参数:
  • el : HTMLElement
    the element to check
返回值:
  • boolean
    true if the element looks usable
 DragDropMgr

公共事件

该类没有公共事件。


DragDrop
    DD
      DDProxy
        DragSource

Class Ext.dd.DragSource

包: | Ext.dd
所在文件: | DragSource.js
Class: | DragSource
子类: | DragZone
继承自: | DDProxy
一个简单的类，提供让一个元素可以拖拽所需的基本实现。

配置属性

配置属性 |  | 所在类
 | ddGroup : String 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互... 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互 默认值为 undefined). | DragSource
 | dropAllowed : String 当允许执行放下操作时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-ok"). | DragSource
 | dropNotAllowed : String 当不允许放开时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DragSource

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
centerFrame : boolean
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量....
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量。 另外一点是让拖拽框架以鼠标为中心点，只有你没有为此对象设置约束时才有效。 设置centerFrame为true可以使用这种效果（以鼠标为中心）。
DDProxy
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
onStartDrag : Object
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次...
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次。 不能从此方法中终止拖拽操作。
DragSource
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
resizeFrame : boolean
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效...
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效)。 如果我们需要一个不同的行为，我们可以关闭它。
DDProxy
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DragSource( Mixed el, Object config )
参数:
  • el : Mixed
    The container element
  • config : Object
返回值:
DragSource
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
afterDragDrop( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterDragEnter( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOut( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行， 并且可以选择终止执行它。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOver( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterInvalidDrop( Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行。
参数:
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
beforeDragDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行， 并且可以选择终止执行onDragDrop方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 当drag drop事件合法时为true；否则为false并终止操作
 DragSource
beforeDragEnter( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行， 并且可以选择终止执行onDragEnter方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOut( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行， 并可以选择终止执行onDragOut方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOver( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行...
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行， 并且可以选择终止执行onDragOver方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽的目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
DragSource
beforeInvalidDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid True if the invalid drop should proceed, else false to cancel
 DragSource
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
createFrame() : void
创建代理元素，如果它还不存在
创建代理元素，如果它还不存在
参数:
  • 无.
返回值:
  • void
 DDProxy
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragData() : Object
返回关联到当前拖拽源的数据对象
返回关联到当前拖拽源的数据对象
参数:
  • 无.
返回值:
  • Object
    data 一个可以包含任意数据的对象
 DragSource
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getProxy() : Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • Ext.dd.StatusProxy
    proxy The StatusProxy
 DragSource
hideProxy() : void
隐藏拖拽源的 Ext.dd.StatusProxy
隐藏拖拽源的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • void
 DragSource
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initFrame() : void
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
参数:
  • 无.
返回值:
  • void
 DDProxy
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onBeforeDrag( Object data, Event e ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行， 并且可以选择终止执行它。
参数:
  • data : Object
    包含任意数据的对象，可以在拖拽目标之间共享
  • e : Event
    事件对象
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DD
      DDProxy
        DragSource
          DragZone

Class Ext.dd.DragZone

包: | Ext.dd
所在文件: | DragZone.js
Class: | DragZone
子类: | GridDragZone, TreeDragZone
继承自: | DragSource
该类提供一个DD实例的容器， 它可以为多个孩子节点提供代理。 默认情况下，该类要求所有的孩子节点都通过 Ext.dd.Registry 注册过。

配置属性

配置属性 |  | 所在类
 | containerScroll : Boolean 如果为true，使用Scrollmanager注册此容器， 在拖拽过程中可以自动进行滚动。 | DragZone
 | ddGroup : String 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互... 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互 默认值为 undefined). | DragSource
 | dropAllowed : String 当允许执行放下操作时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-ok"). | DragSource
 | dropNotAllowed : String 当不允许放开时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DragSource
 | hlColor : String 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) | DragZone

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
centerFrame : boolean
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量....
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量。 另外一点是让拖拽框架以鼠标为中心点，只有你没有为此对象设置约束时才有效。 设置centerFrame为true可以使用这种效果（以鼠标为中心）。
DDProxy
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
onStartDrag : Object
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次...
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次。 不能从此方法中终止拖拽操作。
DragSource
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
resizeFrame : boolean
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效...
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效)。 如果我们需要一个不同的行为，我们可以关闭它。
DDProxy
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DragZone( Mixed el, Object config )
参数:
  • el : Mixed
    容器元素
  • config : Object
返回值:
DragZone
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
afterDragDrop( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterDragEnter( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOut( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行， 并且可以选择终止执行它。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOver( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterInvalidDrop( Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行。
参数:
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterRepair() : void
在一个非法放下操作进行repair动作之后调用。 默认会高亮显示this.dragData.ddel。
在一个非法放下操作进行repair动作之后调用。 默认会高亮显示this.dragData.ddel。
参数:
  • 无.
返回值:
  • void
 DragZone
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
beforeDragDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行， 并且可以选择终止执行onDragDrop方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 当drag drop事件合法时为true；否则为false并终止操作
 DragSource
beforeDragEnter( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行， 并且可以选择终止执行onDragEnter方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOut( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行， 并可以选择终止执行onDragOut方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOver( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行...
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行， 并且可以选择终止执行onDragOver方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽的目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
DragSource
beforeInvalidDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid True if the invalid drop should proceed, else false to cancel
 DragSource
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
createFrame() : void
创建代理元素，如果它还不存在
创建代理元素，如果它还不存在
参数:
  • 无.
返回值:
  • void
 DDProxy
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragData( EventObject e ) : Object
当此容器中发生mousedown事件时调用。 基于mouse down事件的合法拖拽的目标...
当此容器中发生mousedown事件时调用。 基于mouse down事件的合法拖拽的目标， 请查阅Ext.dd.Registry。 重写此方法以提供你自己的查找逻辑 (例如：根据类名查找孩子节点)。 为了使其它方法能工作，必须保证你返回的对象包含一个"ddel"属性 (包含一个HTML元素)。
参数:
  • e : EventObject
    The mouse down event
返回值:
  • Object
    The dragData
 DragZone
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getProxy() : Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • Ext.dd.StatusProxy
    proxy The StatusProxy
 DragSource
getRepairXY( EventObject e ) : Array
在一个合法放下操作进行repair动作之前调用，将XY以动画效果设置到目标位置。 默认返回this.dragData.ddel的XY属性。
在一个非法放下操作进行repair动作之前调用，将XY以动画效果设置到目标位置。 默认返回this.dragData.ddel的XY属性。
参数:
  • e : EventObject
    鼠标按键弹起事件
返回值:
  • Array
    xy位置(例如：[100, 200])
 DragZone
hideProxy() : void
隐藏拖拽源的 Ext.dd.StatusProxy
隐藏拖拽源的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • void
 DragSource
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initFrame() : void
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
参数:
  • 无.
返回值:
  • void
 DDProxy
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onBeforeDrag( Object data, Event e ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行， 并且可以选择终止执行它。
参数:
  • data : Object
    包含任意数据的对象，可以在拖拽目标之间共享
  • e : Event
    事件对象
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInitDrag( Number x, Number y ) : Boolean
一旦拖拽动作开始，调用此方法来初始化代理元素。 默认情况下，此方法将克隆 this.dragData.ddel
一旦拖拽动作开始，调用此方法来初始化代理元素。 默认情况下，此方法将克隆 this.dragData.ddel
参数:
  • x : Number
    在被拖拽对象上点击时的x位置
  • y : Number
    在被拖拽对象上点击时的y位置
返回值:
  • Boolean
    继续拖拽动作时返回true，终止拖拽时返回false
DragZone
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DDTarget
      DropTarget

Class Ext.dd.DropTarget

包: | Ext.dd
所在文件: | DropTarget.js
Class: | DropTarget
子类: | DropZone
继承自: | DDTarget
一个简单的类，提供所需的基本实现，让一个元素成为一个拖拽的目标， 可以把被拖拽的元素放置到其中。 放下元素时没有任何反应，除非为notifyDrop提供一个实现。

配置属性

配置属性 |  | 所在类
 | ddGroup : String 当前对象所属的有名称的拖拽编组。 如果指定了一个编组，那么此对象只会与同一组中的其它拖拽元素产生交互... 当前对象所属的指定拖拽编组。 如果指定了一个编组，那么此对象只会与同一组中的其它拖拽元素产生交互 (默认值为 undefined). | DropTarget
 | dropAllowed : String 当允许放开被拖拽的对象时，返回给拖拽源（拖拽的对象）的CSS样式 (默认值为 "x-dd-drop-ok"). | DropTarget
 | dropNotAllowed : String 当不允许放下时返回到拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DropTarget
 | overClass : String 当拖拽源对象从目标元素上滑过时应用到目标元素的CSS样式 (默认值为 ""). | DropTarget

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DropTarget( Mixed el, Object config )
参数:
  • el : Mixed
    容器元素
  • config : Object
返回值:
DropTarget
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
notifyDrop( Ext.dd.DragSource source, 事件 e, Object data ) : Boolean
当一个源对象（指被拖动的对象）被放置到目标对象上时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被放置到目标对象上时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 此函数的没有默认实现，只是返回false， 所以你必须提供此方法的一个实现用来处理drop事件，方法返回true以便拖拽源不进行修正(repair)操作。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果可以放下对象，返回true；否则返回false
DropTarget
notifyEnter( Ext.dd.DragSource source, 事件 e, Object data ) : String
当一个源对象（指被拖动的对象）被拖拽进入了目标对象的范围时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被拖拽进入了目标对象的范围时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 默认的实现只是简单地把overClass配置项(如果有指定)中指定的CSS样式应用到目标对象（被放置到的对象） ，并返回dropAllowed配置项的值。 如果放下对象时需要进行校验，必须重写从方法。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropTarget
notifyOut( Ext.dd.DragSource source, 事件 e, Object data ) : void
当一个源对象（指被拖动的对象）被拖出了目标对象而没有放下的时候，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被拖出了目标对象的范围而没有放下的时候，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 默认的实现只是简单地把overClass配置项(如果有指定)中指定的CSS样式从被放置到的对象（就是目标对象）上删除。
参数:
  • source : Ext.dd.DragSource
    从拖拽目标上滑过的拖拽源对象
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropTarget
notifyOver( Ext.dd.DragSource source, 事件 e, Object data ) : String
当一个源对象（指被拖动的对象）被拖拽到目标对象之上时，此函数由 Ext.dd.DragSource 不断调用。 每次拖拽源对象被拖拽到目标之上...
当一个源对象（指被拖动的对象）被拖拽到目标对象之上时，此函数由 Ext.dd.DragSource 不断调用。 每次拖拽源对象被拖拽到目标之上时此方法都会被调用。 默认的实现只是简单地返回dropAllowed配置项的值。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropTarget
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DDTarget
      DropTarget
        DropZone

Class Ext.dd.DropZone

包: | Ext.dd
所在文件: | DropZone.js
Class: | DropZone
子类: | TreeDropZone
继承自: | DropTarget
该类为DD实例提供一个容器，它可以为多个拖拽目标孩子节点提供代理。
默认情况下，该类要求所有可以接收放开动作（把一个拖拽的对象放到其上）的孩子节点 必须通过Ext.dd.Registry 进行注册。

配置属性

配置属性 |  | 所在类
 | ddGroup : String 当前对象所属的有名称的拖拽编组。 如果指定了一个编组，那么此对象只会与同一组中的其它拖拽元素产生交互... 当前对象所属的指定拖拽编组。 如果指定了一个编组，那么此对象只会与同一组中的其它拖拽元素产生交互 (默认值为 undefined). | DropTarget
 | dropAllowed : String 当允许放开被拖拽的对象时，返回给拖拽源（拖拽的对象）的CSS样式 (默认值为 "x-dd-drop-ok"). | DropTarget
 | dropNotAllowed : String 当不允许放下时返回到拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DropTarget
 | overClass : String 当拖拽源对象从目标元素上滑过时应用到目标元素的CSS样式 (默认值为 ""). | DropTarget

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
DropZone( Mixed el, Object config )
参数:
  • el : Mixed
    The container element
  • config : Object
返回值:
DropZone
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getTargetFromEvent( Event e ) : Object
返回关联到DOM节点的定制数据对象，此DOM节点是事件源。 默认情况下此方法在...
返回关联到DOM节点的定制数据对象，此DOM节点是事件源。 默认情况下此方法在Ext.dd.Registry 中查找event target，你可以重写此方法以提供你自己特定的查找。
参数:
  • e : Event
    The event
返回值:
  • Object
    data The custom data
 DropZone
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
notifyDrop( Ext.dd.DragSource source, Event e, Object data ) : Boolean
当拖拽源被放置到目标区域之上时，此方法由 Ext.dd.DragSource 调用一次，以通知目标区域...
当拖拽源被放置到目标区域之上时，此方法由 Ext.dd.DragSource 调用一次，以通知目标区域。 目标区域将会查找基于传递进来的事件的目标节点， 如果有一个注册到此事件的节点， 它将会被代理到 onNodeDrop 方法以提供节点特定的处理， 否则它将调用 onContainerDrop。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果放下操作合法，返回true；否则返回false
 DropZone
notifyEnter( Ext.dd.DragSource source, Event e, Object data ) : String
当拖拽源正处在目标区域中时由 Ext.dd.DragSource 调用一次以通知目标区域...
当拖拽源正处在目标区域中时由 Ext.dd.DragSource 调用一次以通知目标区域。 默认的实现将返回this.dropNotAllowed，并且希望只有注册成drop的节点可以处理 drag drop操作。所以，如果你希望目标区域自身可以处理放下操作，你应该 重写此方法，提供特定的实现。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
notifyOut( Ext.dd.DragSource source, Event e, Object data ) : void
当拖拽源被拖出目标区域而没有放下时， 此方法由 Ext.dd.DragSource 调用一次，以通知目标区域...
当拖拽源被拖出目标区域而没有放下时， 此方法由 Ext.dd.DragSource 调用一次，以通知目标区域。 如果拖拽源此时正位于一个注册到区域的节点上，通知会被 onNodeOut 方法代理，以进行节点特定的处理，其它情况将被忽略。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag zone
返回值:
  • void
 DropZone
notifyOver( Ext.dd.DragSource source, Event e, Object data ) : String
当拖拽源被拖拽到目标区域之上时，此方法由 Ext.dd.DragSource 不断调用。 当拖拽源位于目标区域上时...
当拖拽源被拖拽到目标区域之上时，此方法由 Ext.dd.DragSource 不断调用。 当拖拽源位于目标区域上时，鼠标的每次移动都会调用此方法。 当拖拽源位于一个注册的节点上时，它将调用onNodeOver 方法。 当拖拽源进入和离开一个注册的节点 (onNodeEnter, onNodeOut) ，在必要时会自动由特定的方法来代理。 如果拖拽源当前没有位于一个注册的节点之上，它将调用 onContainerOver。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onContainerDrop( Ext.dd.DragSource source, Event e, Object data ) : Boolean
当DropZone检测到一个Ext.dd.DragSource 被放置到其上，而不是放置到注册到其中的节点上时...
当DropZone检测到一个Ext.dd.DragSource 被放置到其上，而不是放置到注册到其中的节点上时，此方法在内部被调用。 默认的实现会返回false， 所以，如果你需要放下区域本身可以接收放下操作时， 应该覆盖此方法以提供对drop事件的特定处理。 当放下操作合法时，此方法应该返回true以阻止拖拽源执行repair动作。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果放下操作合法，返回true；否则返回false
 DropZone
onContainerOver( Ext.dd.DragSource source, Event e, Object data ) : String
从其上滑过，而不是从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed...
当DropZone检测到一个Ext.dd.DragSource 从其上滑过，而不是从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed， 所以，如果需要时，应该覆盖此方法以提供特定的响应。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onNodeDrop( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : Boolean
当DropZone检测到拖拽源被放置到一个目标节点上时， 此方法在内部被调用。 默认的实现会返回false...
当DropZone检测到拖拽源被放置到一个目标节点上时， 此方法在内部被调用。 默认的实现会返回false，所以，应该覆盖此方法以提供对drop事件的特定处理， 并且方法应该返回true，以阻止拖拽源进行repair操作。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果放下操作合法，返回true；否则返回false
 DropZone
onNodeEnter( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : void
当DropZone检测到拖拽源进入到一个注册的 目标节点中时， 此方法在内部被调用...
当DropZone检测到一个 Ext.dd.DragSource 进入到一个注册的 目标节点中时， 此方法在内部被调用。 此方法没有默认的实现，如果需要应该重写此方法以提供节点特定的处理。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropZone
onNodeOut( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : void
当DropZone检测到一个 Ext.dd.DragSource 被拖出了目标区域而没有被放下时...
当DropZone检测到一个 Ext.dd.DragSource 被拖出了目标区域而没有被放下时， 此方法没有默认的实现，如果需要应该重写此方法以提供节点特定的处理。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropZone
onNodeOver( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : String
当DropZone检测到一个Ext.dd.DragSource 从注册到其中的节点上滑过时，此方法在内部被调用...
当DropZone检测到一个Ext.dd.DragSource 从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed， 所以，如果需要时，应该覆盖此方法以提供特定的响应。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


Class Ext.dd.Registry

包: | Ext.dd
所在文件: | Registry.js
Class: | Registry
继承自: | Object
提供一种便捷的方式，可以访问一个页面上所有已经注册的可拖拽的组件。 可以直接通过DOM节点id获得项目的引用； 或者可以通过把项目传递到发生的drag drop事件，然后查看事件源的方式。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
getHandle( String/HTMLElement id ) : Object
根据id返回为DOM节点所注册的句柄
根据id返回为DOM节点所注册的句柄
参数:
  • id : String/HTMLElement
    The DOM node or id to look up
返回值:
  • Object
    handle The custom handle data
 Registry
getHandleFromEvent( Event e ) : Object
根据节点id返回为DOM节点所注册的句柄，它是事件源
根据节点id返回为DOM节点所注册的句柄，它是事件源
参数:
  • e : Event
    The event
返回值:
  • Object
    handle The custom handle data
 Registry
getTarget( String/HTMLElement id ) : Object
根据节点id返回为DOM节点所注册的数据对象
根据节点id返回为DOM节点所注册的数据对象
参数:
  • id : String/HTMLElement
    需要寻找的id或者DOM节点
返回值:
  • Object
    data 定制的数据对象
 Registry
getTargetFromEvent( Event e ) : Object
根据节点id返回为DOM节点所注册的数据对象，它是事件源
根据节点id返回为DOM节点所注册的数据对象，它是事件源
参数:
  • e : Event
    The event
返回值:
  • Object
    data The custom data
 Registry
register( String/HTMLElement) element, [Object data] ) : void
注册一个拖拽元素
注册一个拖拽元素
参数:
  • element : String/HTMLElement)
    需要注册的元素id或者一个DOM节点
  • data : Object
    (可选)一个定制的数据对象，在进行拖拽操作时，它将被在相关的元素之间传递。 你可以定制这个对象，增加任何你自己的代码能够解析的属性， 另外有一些特定的属性对Registry是可见的，应该添加到这个数据对象中（如果可以） :
    Value      Description

---------  ------------------------------------------

handles    为已注册的元素触发拖拽操作的DOM节点数组

isHandle   如果传递进来的元素自己触发拖拽操作，返回true；
            否则返回false
返回值:
  • void
 Registry
unregister( String/HTMLElement) element ) : void
卸载一个拖拽元素
卸载一个拖拽元素
参数:
  • element : String/HTMLElement)
    The id or DOM node to unregister
返回值:
  • void
 Registry

公共事件

该类没有公共事件。


Class Ext.dd.ScrollManager

包: | Ext.dd
所在文件: | ScrollManager.js
Class: | ScrollManager
继承自: | Object

在进行拖拽操作时，自动为超出页面的区域提供滚动条。

ScrollManager配置项将被用作注册到其上的所有容器的默认值， 但是你也可以通过能滚动的容器覆盖大部分配置项，添加一个 ddScrollConfig 对象到目标元素，它包含如下属性 : hthresh, vthresh, increment 和 frequency. 示例用法:

var el = Ext.get('scroll-ct');
el.ddScrollConfig = {
    vthresh: 50,
    hthresh: -1,
    frequency: 100,
    increment: 200
};
Ext.dd.ScrollManager.register(el);
注意: 该类使用"Point Mode"，在"Intersect Mode"下没有经过测试。

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | animDuration : Number 动画效果持续秒数--- 必须小Ext.dd.ScrollManager.frequency! (默认值为 .4) | ScrollManager
 | animate : Boolean 设置为true，滚动时使用动画效果(默认值为 true) | ScrollManager
 | frequency : Number 滚动频率毫秒数(默认值为 500) | ScrollManager
 | hthresh : Number 到一个容器左侧边缘或者右侧边缘的像素数，当鼠标超越这个值时需要触发产生滚动条... 到一个容器左侧边缘或者右侧边缘的像素数，当鼠标超越这个值时需要触发产生滚动条 (默认值为 25) | ScrollManager
 | increment : Number 每次滚动的像素数(默认值为 50) | ScrollManager
 | vthresh : Number 到一个容器顶部边缘或者底部边缘的像素数，当鼠标超越这个值时需要触发产生滚动条... 到一个容器顶部边缘或者底部边缘的像素数，当鼠标超越这个值时需要触发产生滚动条(默认值为 25) | ScrollManager

公共方法

Method 所在类
refreshCache() : void
手动触发刷新缓存的操作。
手动触发刷新缓存的操作。
参数:
  • 无.
返回值:
  • void
 ScrollManager
register( Mixed/Array el ) : void
将一个新的溢出元素(s)注册成自动滚动
将一个新的溢出元素(s)注册成自动滚动
参数:
  • el : Mixed/Array
    The id of or the element to be scrolled or an array of either
返回值:
  • void
 ScrollManager
unregister( Mixed/Array el ) : void
反注册溢出元素(s)，让它们不再自动滚动
反注册溢出元素(s)，让它们不再自动滚动
参数:
  • el : Mixed/Array
    The id of or the element to be removed or an array of either
返回值:
  • void
 ScrollManager

公共事件

该类没有公共事件。


Class Ext.dd.StatusProxy

包: | Ext.dd
所在文件: | StatusProxy.js
Class: | StatusProxy
继承自: | Object
一个专门的拖动代理，提供拖动状态图标， Ext.Layer 样式和auto-repair。 这是所有Ext.dd组件使用的默认拖动代理。

配置属性

配置属性 |  | 所在类
 | dropAllowed : String 当允许执行放下操作时应用到状态元素的CSS样式(默认值为 "x-dd-drop-ok"). | StatusProxy
 | dropNotAllowed : String 当不允许执行放下操作时应用到状态元素的CSS样式(默认值为 "x-dd-drop-nodrop"). | StatusProxy

公共属性

该类没有公共属性。

公共方法

Method 所在类
StatusProxy( Object config )
参数:
  • config : Object
返回值:
StatusProxy
getEl() : Ext.Layer
返回底层的代理 Ext.Layer
返回底层的代理 Ext.Layer
参数:
  • 无.
返回值:
  • Ext.Layer
    el
 StatusProxy
getGhost() : Ext.Element
返回影子元素(ghost element)
返回影子元素(ghost element)
参数:
  • 无.
返回值:
  • Ext.Element
    el
 StatusProxy
hide( Boolean clear ) : void
隐藏代理
隐藏代理
参数:
  • clear : Boolean
    True to reset the status and clear the ghost contents, false to preserve them
返回值:
  • void
 StatusProxy
repair( Array xy, Function callback, Object scope ) : void
促使代理通过一个动画动作返回到它以前的位置。 应该在一个非法的放下动作发生之后，由被拖拽的项目调用。
促使代理通过一个动画动作返回到它以前的位置。 应该在一个非法的放下动作发生之后，由被拖拽的项目调用。
参数:
  • xy : Array
    The XY position of the element ([x, y])
  • callback : Function
    The function to call after the repair is complete
  • scope : Object
    The scope in which to execute the callback
返回值:
  • void
 StatusProxy
reset( Boolean clearGhost ) : void
将状态指示器重置到默认的不允许放下(dropNotAllowed)的值
将状态指示器重置到默认的不允许放下(dropNotAllowed)的值
参数:
  • clearGhost : Boolean
    True to also remove all content from the ghost, false to preserve it
返回值:
  • void
 StatusProxy
setStatus( String cssClass ) : void
更新代理的视觉元素，以指示在滑过拖拽目标时是否允许执行放下操作。
更新代理的视觉元素，以指示在滑过拖拽目标时是否允许执行放下操作。
参数:
  • cssClass : String
    The css class for the new drop status indicator image
返回值:
  • void
 StatusProxy
show() : void
显示当前代理
显示当前代理
参数:
  • 无.
返回值:
  • void
 StatusProxy
stop() : void
停止修复(repair)操作，如果它当前处于运行状态
停止修复(repair)操作，如果它当前处于运行状态
参数:
  • 无.
返回值:
  • void
 StatusProxy
sync() : void
强制布局把它的阴影和垫衬的位置同步到元素的位置
强制布局把它的阴影和垫衬的位置同步到元素的位置
参数:
  • 无.
返回值:
  • void
 StatusProxy
update( String/HTMLElement html ) : void
更新影子元素的内容
更新影子元素的内容
参数:
  • html : String/HTMLElement
    替代影子元素当前innerHTML值的html， 或者一个需要添加为影子元素孩子节点的DOM节点 (这种情况下将首先创见innerHTML元素).
返回值:
  • void
 StatusProxy

公共事件

该类没有公共事件。


Class Ext.DomHelper

包: | Ext
所在文件: | DomHelper.js
Class: | DomHelper
继承自: | Object
与DOM或者Template协同工作的工具类。 支持显式地使用HTML标签或者DOM。
这是一个例子，一个未排序的5个孩子元素列表将被添加到一个已经存在的元素中，它的id为'my-div'：
var dh = Ext.DomHelper;
var list = dh.append('my-div', {
    id: 'my-ul', tag: 'ul', cls: 'my-list', children: [
        {tag: 'li', id: 'item0', html: 'List Item 0'},
        {tag: 'li', id: 'item1', html: 'List Item 1'},
        {tag: 'li', id: 'item2', html: 'List Item 2'},
        {tag: 'li', id: 'item3', html: 'List Item 3'},
        {tag: 'li', id: 'item4', html: 'List Item 4'}
    ]
});

该类中的创建描述参数也可以用一个描述对象数组的形式传递进来。 该类可以用来轻松地向一个已经存在的容器插入多个兄弟节点。 例如，向上面的例子中插入更多的项目列表 :

dh.append('my-ul', [
    {tag: 'li', id: 'item5', html: 'List Item 5'},
    {tag: 'li', id: 'item6', html: 'List Item 6'} ]);

建描述参数也可以是字符串。 如果useDom为false， 则字符串被用作 innerHTML。如果 useDom为true, 字符串描述了创建一个文本节点的结果。

更多的信息和例子，参见 以前提交的blog。.

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | useDom : Boolean 设置为true将强制使用DOM代替html标签 | DomHelper

公共方法

Method 所在类
append( Mixed el, Object/String o, [Boolean returnElement] ) : HTMLElement/Ext.Element
创建新的DOM元素并将它们扩展到指定的元素之后。
创建新的DOM元素并将它们扩展到指定的元素之后。
参数:
  • el : Mixed
    The context element
  • o : Object/String
    The DOM object spec (and children) or raw HTML blob
  • returnElement : Boolean
    (可选) true to return a Ext.Element
返回值:
  • HTMLElement/Ext.Element
    The new node
 DomHelper
applyStyles( String/HTMLElement el, String/Object/Function styles ) : void
将一个样式描述应用到一个元素上。
将一个样式描述应用到一个元素上。
参数:
  • el : String/HTMLElement
    The element to apply styles to
  • styles : String/Object/Function
    A style specification string eg "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.
返回值:
  • void
 DomHelper
createTemplate( Object o ) : Ext.Template
从DOM对象描述中创建一个新的Ext.Template。
从DOM对象描述中创建一个新的Ext.Template。
参数:
  • o : Object
    DOM对象描述(包括孩子)
返回值:
  • Ext.Template
    The new template
 DomHelper
insertAfter( Mixed el, Object o, [Boolean returnElement] ) : HTMLElement/Ext.Element
创建新的DOM元素并将它们插入到指定的元素后面。
创建新的DOM元素并将它们插入到指定的元素后面。
参数:
  • el : Mixed
    The context element
  • o : Object
    The DOM object spec (and children)
  • returnElement : Boolean
    (可选) true to return a Ext.Element
返回值:
  • HTMLElement/Ext.Element
    The new node
 DomHelper
insertBefore( Mixed el, Object/String o, [Boolean returnElement] ) : HTMLElement/Ext.Element
创建新的DOM元素并将它们插入到指定的元素前面。
创建新的DOM元素并将它们插入到指定的元素前面。
参数:
  • el : Mixed
    The context element
  • o : Object/String
    The DOM object spec (and children) or raw HTML blob
  • returnElement : Boolean
    (可选) true to return a Ext.Element
返回值:
  • HTMLElement/Ext.Element
    The new node
 DomHelper
insertFirst( Mixed el, Object/String o, [Boolean returnElement] ) : HTMLElement/Ext.Element
创建新的DOM元素并将它们作为指定元素的第一个孩子插入。
创建新的DOM元素并将它们作为指定元素的第一个孩子插入。
参数:
  • el : Mixed
    The context element
  • o : Object/String
    The DOM object spec (and children) or raw HTML blob
  • returnElement : Boolean
    (可选) true to return a Ext.Element
返回值:
  • HTMLElement/Ext.Element
    The new node
 DomHelper
insertHtml( String where, HTMLElement el, String html ) : HTMLElement
向DOM中插入一个HTML标签。
向DOM中插入一个HTML标签。
参数:
  • where : String
    将html插入到指定元素的哪个位置：beforeBegin, afterBegin, beforeEnd, afterEnd.
  • el : HTMLElement
    The context element
  • html : String
    The HTML fragmenet
返回值:
  • HTMLElement
    The new node
 DomHelper
markup( Object o ) : String
返回传递进来的Element的配置项的标签。
返回传递进来的Element的配置项的标签。
参数:
  • o : Object
    DOM对象描述(和孩子节点)
返回值:
  • String
 DomHelper
overwrite( Mixed el, Object/String o, [Boolean returnElement] ) : HTMLElement/Ext.Element
创建新的DOM元素，并覆盖其中的内容元素。
创建新的DOM元素，并覆盖其中的内容元素。
参数:
  • el : Mixed
    The context element
  • o : Object/String
    The DOM object spec (and children) or raw HTML blob
  • returnElement : Boolean
    (可选) true to return a Ext.Element
返回值:
  • HTMLElement/Ext.Element
    The new node
 DomHelper

公共事件

该类没有公共事件。


Class Ext.DomQuery

包: | Ext
所在文件: | DomQuery.js
Class: | DomQuery
继承自: | Object
将查询编译到一个可复用的函数中，提供高效的selector/xpath处理。 可以插入新的伪类和matchers。 该类工作在HTML和XML文档上（如果传递进来一个内容节点）。

DomQuery支持 CSS3 selectors spec 的大部分，连同一些定制的选择子和基本的XPath。

以下所有的选择子、属性过滤器和伪类可以用任意的顺序组合。 例如："div.foo:nth-child(odd)[@foo=bar].bar:first" 将是完全合法的一个选择子。 节点的过滤器将会以它们出现的顺序处理， 这将允许你根据你自己的文档结构优化查询。

元素选择子:

  • * 任何元素
  • E 与E标签结合的任何元素
  • E F E的所有派生标签中，有F标签的元素
  • E > F 或者 E/F E的所有直接的拥有F标签的子类
  • E + F 所有具有F标签的元素，紧靠的前一个元素有E标签
  • E ~ F 所有具有F标签的元素，前一个兄弟元素有E标签

属性选择子:

@和引号是可选项。例如，div[@foo='bar']也是一个合法的属性选择子。

  • E[foo] 有一个属性："foo"
  • E[foo=bar] 有一个等于"bar"的属性"foo"
  • E[foo^=bar] 有一个以"bar"开头的属性"foo"
  • E[foo$=bar] 有一个以"bar"结束的属性"foo"
  • E[foo*=bar] 有一个包含"bar"子字符串的属性"foo"
  • E[foo%=2] 有一个能被2整除的属性"foo"
  • E[foo!=bar] 有一个不等于"bar"的属性

伪类:

  • E:first-child E是其父亲的第一个孩子
  • E:last-child E是其父亲的最后一个孩子
  • E:nth-child(n) E是其父亲的第n个孩子(从1开始递增)
  • E:nth-child(odd) E是其父亲的奇数个孩子
  • E:nth-child(even) E是其父亲的偶数个孩子
  • E:only-child E是其父亲唯一的孩子
  • E:checked E是一个有选择属性的元素，并且其选中状态为true(例如一个radio或者checkbox)
  • E:first 结果集中的第一个E元素
  • E:last 结果集中的最后一个E元素
  • E:nth(n) 结果集中的第n个E元素(从1开始)
  • E:odd nth-child(奇数)的简写
  • E:even nth-child(偶数)的简写
  • E:contains(foo) E的innerHTML，包含"foo"子字符串
  • E:nodeValue(foo) 包含一个textNode的E，textNode有一个等于"foo"的nodeValue
  • E:not(S) 一个与简单的S选择子不相等的E元素
  • E:has(S) 一个E元素，拥有与简单的S选择子匹配的派生类
  • E:next(S) 一个E元素，它的下一个兄弟节点与简单的S选择子相匹配
  • E:prev(S) 一个E元素，它的上一个兄弟节点与简单的S选择子相匹配

CSS值选择子:

  • E{display=none} css值"display"等于"none"
  • E{display^=none} css值"display"以"none"开始
  • E{display$=none} css值"display"以"none"结束
  • E{display*=none} css值"display"包含子字符串"none"
  • E{display%=2} css值"display"可以被2整除
  • E{display!=none} css值"display"不等于"none"

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | matchers : Object 需要匹配的正则表达式和代码片段集合。 | DomQuery
 | operators : Object 运算符比较函数集合。 默认的运算符为 =, !=, ^=, $=, *=, %=, |= and ~=。 可以添加新的操作符，只要符合格式... 运算符比较函数集合。 默认的运算符为 =, !=, ^=, $=, *=, %=, |= and ~=。 可以添加新的操作符，只要符合格式： c= where c 可以是任何非空格字符， > <。 | DomQuery
 | pseudos : Object "伪类"处理器集合。 每个处理器都被传递当前节点集合(数组)和选择子中提供的... "伪类"处理器集合。 每个处理器都被传递当前节点集合(数组)和选择子中提供的argument(如果有)作为参数。 | DomQuery

公共方法

Method 所在类
compile( String selector, [String type] ) : Function
将一个selector/xpath查询编译成一个可复用的函数。 返回的函数有一个参数"root" (可选)...
将一个selector/xpath查询编译成一个可复用的函数。 返回的函数有一个参数"root" (可选)， 它是上下文节点，也是查询的起始点。
参数:
  • selector : String
    The selector/xpath query
  • type : String
    (可选) Either "select" (the default) or "simple" for a simple selector match
返回值:
  • Function
 DomQuery
filter( Array el, String selector, Boolean nonMatches ) : Array
过滤一个元素数组，直到找到一个与简单的选择子匹配的项 (例如：div.some-class 或者 span:first-child)
过滤一个元素数组，直到找到一个与简单的选择子匹配的项 (例如：div.some-class 或者 span:first-child)
参数:
  • el : Array
    需要过滤的元素数组
  • selector : String
    需要测试的简单选择子
  • nonMatches : Boolean
    如果为true，返回与选择子不匹配的元素，而不是匹配的
返回值:
  • Array
 DomQuery
is( String/HTMLElement/Array el, String selector ) : Boolean
如果传递进来的element(s)与传递进来的简单选择子相匹配，返回true (例如 div.some-class 或者 span:first-child)
如果传递进来的element(s)与传递进来的简单选择子相匹配，返回true (例如 div.some-class 或者 span:first-child)
参数:
  • el : String/HTMLElement/Array
    一个元素id、元素或者元素数组
  • selector : String
    需要测试的简单选择子
返回值:
  • Boolean
 DomQuery
select( String selector, [Node root] ) : Array
选择一组元素。
选择一组元素。
参数:
  • selector : String
    selector/xpath 查询 (可以是一个以逗号分隔的选择子列表)
  • root : Node
    (可选) 查询的起始点(默认值为 document).
返回值:
  • Array
 DomQuery
selectNode( String selector, [Node root] ) : Element
选择单个的元素。
选择单个的元素。
参数:
  • selector : String
    The selector/xpath query
  • root : Node
    (可选) 查询的起始点 (默认值为 document).
返回值:
  • Element
 DomQuery
selectNumber( String selector, [Node root], Number defaultValue ) : Number
选择一个节点的值，解析成整数或者浮点数。 返回defaultValue，如果没有指定任何值则返回0。
选择一个节点的值，解析成整数或者浮点数。 返回defaultValue，如果没有指定任何值则返回0。
参数:
  • selector : String
    The selector/xpath query
  • root : Node
    (可选) 查询的起始点 (默认值为 document).
  • defaultValue : Number
返回值:
  • Number
 DomQuery
selectValue( String selector, [Node root], String defaultValue ) : String
选择节点的一个值，可以选择使用defaultValue替换null值。
选择节点的一个值，可以选择使用defaultValue替换null值。
参数:
  • selector : String
    The selector/xpath query
  • root : Node
    (可选) 查询的起始点 (默认值为 document).
  • defaultValue : String
返回值:
  • String
 DomQuery

公共事件

该类没有公共事件。


Observable
    Component
      Editor

Class Ext.Editor

包: | Ext
所在文件: | Editor.js
Class: | Editor
子类: | TreeEditor
继承自: | Component
一个基本的编辑输入栏，在需要时负责处理显示/隐藏 ，并且有一些内建的调整大小和处理事件的逻辑。

配置属性

配置属性 所在类
alignment : String
对齐到的位置 (更多细节参见 Ext.Element.alignTo ，默认值为 "c-c?")。
Editor
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoSize : Boolean/String
设置为true，编辑器将自动采用底层输入栏的大小...
设置为true，编辑器将自动采用底层输入栏的大小， "width"采用其宽度值，height"采用其高度值 (默认值为 false)
Editor
cancelOnEsc : Boolean
设置为true，当escape键被按下时退出编辑(默认值为 false)
Editor
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
completeOnEnter : Boolean
设置为true，在按下回车键时结束编辑 (默认值为 false)
Editor
constrain : Boolean
设置为true，将编辑器约束到viewport
Editor
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideEl : Boolean
设置为false，在显示编辑器时保持所绑定的元素为可见状态 (默认值为 true)
Editor
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
ignoreNoChange : Boolean
设置为true，当用户结束一次编辑操作，而没有值被改变时...
设置为true，当用户结束一次编辑操作，而没有值被改变时 跳过编辑结束处理(不保存、不触发事件) (默认值为 false)。 仅在字符串值时使用---对其它数据类型的编辑永远不会被忽略。
Editor
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
revertInvalid : Boolean
设置为true，当用户结束编辑，而字段校验失败时，自动...
设置为true，当用户结束编辑，而字段校验失败时，自动 恢复输入栏的值并取消编辑(默认值为 true)
Editor
shadow : Boolean/String
"sides" 仅在两侧和底部， "frame" 四个方向的阴影， "drop" 底部和右侧阴影 (默认值为 "frame")
Editor
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
swallowKeys : Boolean
处理keydown/keypress事件，这样它们就不会继续传播 (默认值为 true)
Editor
updateEl : Boolean
设置为true，在更新结束时将更新所 绑定的元素的innerHTML (默认值为 false)
Editor
value : Mixed
底层字段的数据值(默认值为 "")
Editor
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Editor( Ext.form.Field field, Object config )
Create a new Editor
Create a new Editor
参数:
  • field : Ext.form.Field
    The Field object (or descendant)
  • config : Object
    The config object
返回值:
Editor
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cancelEdit( Boolean remainVisible ) : void
取消编辑进程并且隐藏编辑器而不保存任何变化的值...
取消编辑进程并且隐藏编辑器而不保存任何变化的值。 输入栏的值将会被回退到原来开始时的值。
参数:
  • remainVisible : Boolean
    Override the default behavior and keep the editor visible after cancel (默认值为 false)
返回值:
  • void
 Editor
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
completeEdit( Boolean remainVisible ) : void
结束编辑过程，将改变的值保存到底层的输入栏， 并隐藏编辑器。
结束编辑过程，将改变的值保存到底层的输入栏， 并隐藏编辑器。
参数:
  • remainVisible : Boolean
    Override the default behavior and keep the editor visible after edit (默认值为 false)
返回值:
  • void
 Editor
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getValue() : Mixed
获取编辑器的数据值
获取编辑器的数据值
参数:
  • 无.
返回值:
  • Mixed
    The data value
 Editor
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
realign() : void
根据当前的对齐配置值重新将编辑器对齐到所绑定的输入栏。
根据当前的对齐配置值重新将编辑器对齐到所绑定的输入栏。
参数:
  • 无.
返回值:
  • void
 Editor
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setSize( Number width, Number height ) : void
设置编辑器的高度和宽度。
设置编辑器的高度和宽度。
参数:
  • width : Number
    The new width
  • height : Number
    The new height
返回值:
  • void
 Editor
setValue( Mixed value ) : void
设置编辑器的数据值
设置编辑器的数据值
参数:
  • value : Mixed
    Any valid value supported by the underlying field
返回值:
  • void
 Editor
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
startEdit( Mixed el, [String value] ) : void
开始编辑处理并显示编辑器。
开始编辑处理并显示编辑器。
参数:
  • el : Mixed
    The element to edit
  • value : String
    (可选) A value to initialize the editor with. If a value is not provided, it defaults to the innerHTML of el.
返回值:
  • void
 Editor
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforecomplete : ( Editor this, Mixed value, Mixed startValue )
当输入栏的值发生变化之后， 但是在改变的值被反应到底层的输入栏之前触发...
当输入栏的值发生变化之后， 但是在改变的值被反应到底层的输入栏之前触发。 可以在此事件的监听器中返回一个false取消保存改变的值。 注意：如果值还没有改变并且ignoreNoChange = true， 编辑状体仍然会结束但是此事件不会触发，因为 并没有发生实际的编辑。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The current field value
  • startValue : Mixed
    The original field value
 Editor
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestartedit : ( Editor this, Ext.Element boundEl, Mixed value )
在初始化编辑的时候，但是在值发生改变之前触发...
在初始化编辑的时候，但是在值发生改变之前触发。 可以在此事件的监听器中返回一个false来取消编辑。
监听器将会以如下的参数格式调用:
  • this : Editor
  • boundEl : Ext.Element
    The underlying element bound to this editor
  • value : Mixed
    The field value being set
 Editor
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
canceledit : ( Editor this, Mixed value, Mixed startValue )
在退出编辑状态并且编辑的值被重置之后触发。
在退出编辑状态并且编辑的值被重置之后触发。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The user-entered field value that was discarded
  • startValue : Mixed
    The original field value that was set back into the editor after cancel
 Editor
complete : ( Editor this, Mixed value, Mixed startValue )
在编辑结束并且被改变的值已经被设置到底层的 field之后触发。
在编辑结束并且被改变的值已经被设置到底层的 field之后触发。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The current field value
  • startValue : Mixed
    The original field value
 Editor
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当与导航相关的键被按下时触发 (arrows, tab, enter, esc等等)。 你可以检测 Ext.EventObject.getKey 来获知哪个键被按下。
当与导航相关的键被按下时触发 (arrows, tab, enter, esc等等)。 你可以检测 Ext.EventObject.getKey 来获知哪个键被按下。
监听器将会以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Editor
startedit : ( Ext.Element boundEl, Mixed value )
当编辑器显示时触发
当编辑器显示时触发
监听器将会以如下的参数格式调用:
  • boundEl : Ext.Element
    The underlying element bound to this editor
  • value : Mixed
    The starting field value
 Editor
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Class Ext.Element

包: | Ext
所在文件: | Element.js
Class: | Element
子类: | Layer
继承自: | Object
描述DOM中的元素。

用法:
// 根据id
var el = Ext.get("my-div");

// 根据DOM元素的引用
var el = Ext.get(myDivElement);
Animations
许多操控元素的方法有一个可选的"animate"参数。 animate参数可以是一个布尔值(true)，或者是一个对象的文字动画选项。 注意：支持的元素动画选项是 Ext.Fx 动画选项的子集，是Fx效果的细节描述。 Element动画选项是:
Option    Default   Description
--------- --------  ---------------------------------------------
duration  .35       动画持续时间秒数
easing    easeOut   淡出方法
callback  none      当动画效果结束时执行的函数
scope     this      回调方法的作用域(this)
并且，动画效果所使用的Anim对象将被设置到你的选项对象上，属性名为"anim"， 这将允许你停止或者操纵动画。 这里是一个例子：
var el = Ext.get("my-div");

// 没有动画效果
el.setWidth(100);

// 默认的 动画效果
el.setWidth(100, true);

// animation with some options set
el.setWidth(100, {
    duration: 1,
    callback: this.foo,
    scope: this
});

// 使用"anim"参数获取Anim对象
var opt = {
    duration: 1,
    callback: this.foo,
    scope: this
};
el.setWidth(100, opt);
...
if(opt.anim.isAnimated()){
    opt.anim.stop();
}
复合 (集合) 元素
在与一个元素的集合搭配使用时，参见 Ext.CompositeElement

公共属性

Property |  | 所在类
 | Element.DISPLAY : Number <静态> 可见模式常量---使用 display参数隐藏元素 | Element
 | Element.VISIBILITY : Number <静态> 可视模式常量---使用visibility参数来隐藏元素 | Element
 | defaultUnit : String 当没有提供单位时，添加CSS值时使用的默认单位 (默认值为 px)。 | Element
 | dom : HTMLElement DOM元素 | Element
 | id : String DOM元素的ID | Element
 | originalDisplay : String 元素默认的显示模式(默认值为 "") | Element

公共方法

Method 所在类
Element( String/HTMLElement element, [Boolean forceNew] )
直接创建一个 Element。
直接创建一个 Element。
参数:
  • element : String/HTMLElement
  • forceNew : Boolean
    (可选) 默认情况下，构造器将检查缓存，看是否存在当前元素的实例，如果存在将返回同一个实例。 直接创建元素将会跳过这种检测（在继承这个类时很有用）。
返回值:
Element
Element.fly( String/HTMLElement el, [String named] ) : Element
<静态> 使用传递经来的几点作为活动元素，获取全局共享的轻量级元素...
<静态> 使用传递经来的几点作为活动元素，获取全局共享的轻量级元素。 请不要保存此元素的引用---dom节点可以被其它的代码覆盖。
参数:
  • el : String/HTMLElement
    dom节点或者id
  • named : String
    (可选) 允许创建指定的可复用轻量元素，以避免冲突（例如：内部Ext使用"_internal"）
返回值:
  • Element
    共享的Element对象（如果没有找到匹配的元素则为null）
Element
Element.get( Mixed el ) : Element
<静态> 获取Ext.Element对象的静态方法。

不能使用此方法来获取 Components。 此方法获取到...

<静态> 获取Ext.Element对象的静态方法。

不能使用此方法来获取 Components。 此方法获取到的Ext.Element对象包装了DOM元素。 如果需要根据ID获得一个Component， 使用Ext.ComponentMgr.get方法。

使用简单的缓存以便一致地返回相同的对象。 当通过AJAX或者DOM重新创建了一个id相同的对象时，将自动进行检测。

参数:
  • el : Mixed
    节点id、DOM节点或者一个已经存在的Element。
返回值:
  • Element
    {@link Ext.Element Element} 对象 (如果没有找到匹配的缓存元素，则为null)
 Element
addClass( String/Array className ) : Ext.Element
向此元素添加一个或多个CSS类。 相同的样式将会被自动过滤掉。
向此元素添加一个或多个CSS类。 相同的样式将会被自动过滤掉。
参数:
  • className : String/Array
    The CSS class to add, or an array of classes
返回值:
  • Ext.Element
    this
 Element
addClassOnClick( String className ) : Ext.Element
设置事件处理器，当在元素上按下鼠标并弹起时向元素上添加然后删除一个CSS类（一种点击效果）
设置事件处理器，当在元素上按下鼠标并弹起时向元素上添加然后删除一个CSS类（一种点击效果）
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addClassOnFocus( String className ) : Ext.Element
设置一个事件处理函数，在当前元素获得焦点时添加然后删除一个 CSS类
设置一个事件处理函数，在当前元素获得焦点时添加然后删除一个 CSS类
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addClassOnOver( String className ) : Ext.Element
设置事件处理器，当鼠标滑过当前元素时添加或者删除一个css类
设置事件处理器，当鼠标滑过当前元素时添加或者删除一个css类
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addKeyListener( Number/Array/Object/String key, Function fn, [Object scope] ) : Ext.KeyMap
构造KeyMap的便捷方法
构造KeyMap的便捷方法
参数:
  • key : Number/Array/Object/String
    Either a string with the keys to listen for, the numeric key code, array of key codes or an object with the following options: {key: (number or array), shift: (true/false), ctrl: (true/false), alt: (true/false)}
  • fn : Function
    The function to call
  • scope : Object
    (可选) The scope of the function
返回值:
  • Ext.KeyMap
    The KeyMap created
 Element
addKeyMap( Object config ) : Ext.KeyMap
为当前元素创建一个KeyMap
为当前元素创建一个KeyMap
参数:
  • config : Object
    The KeyMap config. See Ext.KeyMap for more details
返回值:
  • Ext.KeyMap
    The KeyMap created
 Element
addListener( String eventName, Function fn, [Object scope], [Object options] ) : void
向当前元素上添加一个事件处理器。 on 的等价缩写版本。
向当前元素上添加一个事件处理器。 on 的等价缩写版本。
参数:
  • eventName : String
    需要处理的事件类型
  • fn : Function
    事件调用的处理器。此方法被传递以下参数：
    • evt : EventObject
      EventObject 对象，描述了事件信息。
    • t : Element
      Element 对象，它是事件的目标。 注意：在使用delegate配置时，此项目可能会被过滤掉。
    • o : Object
      调用addListener方法时传递的配置对象。
  • scope : Object
    (可选) 调用处理函数的作用域(this 引用)。 默认为当前元素。
  • options : Object
    (可选) 一个包含处理器配置参数的对象。 可以包含以下任何参数：
    • scope {Object} : 执行处理器函数的作用域。也就是处理器函数的"this"内容。
    • delegate {String} : 一个简单的选择器，用来过滤事件目标或者用来查找事件目标的后代节点。
    • stopEvent {Boolean} : 设置为true将终止事件。也就是停止冒泡、并阻止默认的操作。
    • preventDefault {Boolean} : 设置为true将阻止默认的操作。
    • stopPropagation {Boolean} :设置为true将阻止事件冒泡。
    • normalized {Boolean} : 设置为false将把浏览器事件传递给处理函数，而不是Ext.EventObject
    • delay {Number} : 在事件触发后，延迟调用处理函数的毫秒数。
    • single {Boolean} : 设置为true，将在事件发生后立即添加一个处理函数来处理事件，然后马上删除此处理函数。
    • buffer {Number} : 导致处理函数在Ext.util.DelayedTask中按计划执行，延迟指定的毫秒数。如果在这段时间内此事件被再次触发，原来的处理函数将不会被调用，但是新的处理函数将会在计划任务中替代它。

    Combining Options
    在以下的例子中，将使用缩写形式 on 来替代冗长的addListener方法。这两种写法是等价的。使用配置参数，可以绑定不同类型的监听器：

    一个规格化的、延迟的、只调用一次的监听器 ，将会自动停止事件并添加一个定制的参数(forumId) 到配置对象。 配置对象被作为处理函数的第三个参数来使用。

    Code:
    el.on('click', this.onClick, this, {
    single: true,
    delay: 100,
    stopEvent : true,
    forumId: 4
});

    一次调用添加多个处理函数
    此方法也允许传递单个的参数，它是一个配置对象，包含了多个处理函数的详细描述。

    Code:

el.on({
    'click' : {
        fn: this.onClick,
        scope: this,
        delay: 100
    },
    'mouseover' : {
        fn: this.onMouseOver,
        scope: this
    },
    'mouseout' : {
        fn: this.onMouseOut,
        scope: this
    }
});

    或者一种缩写的方式:
    Code:

el.on({
    'click' : this.onClick,
    'mouseover' : this.onMouseOver,
    'mouseout' : this.onMouseOut,
    scope: this
});
返回值:
  • void
 Element
alignTo( Mixed element, String position, [Array offsets], [Boolean/Object animate] ) : Ext.Element
Aligns this element with another element relative to the specified anchor points. If the other element is the documen...
使用指定的锚点位置关系，将当前元素对齐到另一个元素。 如果另一个元素是document，此方法将它对齐到viewport。 位置参数是可选的，并且可以指定为如下任意一种格式：
  • Blank: 默认将此元素的top-left角落对齐到目标元素的bottom-left角落("tl-bl")。
  • One anchor (已过时): 传递进来的锚点位置将被用作目标元素的锚点。 被对齐的元素将把它的top-left角落(tl)对齐到那个点。 此方法已过时，推荐使用以下两个新的锚定符号。
  • Two anchors: 如果以下表格中的两个值被传递进来，用一个分隔线分隔， 第一个值将被当作当前元素的锚点， 第二个值将被当作目标元素的锚点。
除锚点之外，位置参数也支持"?"号。 如果在位置字符串最后传递一个"?"号， 元素将尝试进行特定的对齐， 但是，在必要时将调整位置以约束到viewport。 注意：被对齐的元素可能会被交换到一个不同的位置，而不是指定的值，以便强制执行viewport的约束。 以下是所有支持的锚定位置：
Value  Description
-----  -----------------------------
tl     The top left corner (default)
t      The center of the top edge
tr     The top right corner
l      The center of the left edge
c      In the center of the element
r      The center of the right edge
bl     The bottom left corner
b      The center of the bottom edge
br     The bottom right corner
示例用法:
// align el to other-el using the default positioning ("tl-bl", non-constrained)
el.alignTo("other-el");

// align the top left corner of el with the top right corner of other-el (constrained to viewport)
el.alignTo("other-el", "tr?");

// align the bottom right corner of el with the center left edge of other-el
el.alignTo("other-el", "br-l?");

// align the center of el with the bottom left corner of other-el and
// adjust the x position by -6 pixels (and the y position by 0)
el.alignTo("other-el", "c-bl", [-6, 0]);
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to.
  • offsets : Array
    (可选) Offset the positioning by [x, y]
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
anchorTo( Mixed element, String position, [Array offsets], [Boolean/Object animate], [Boolean/Number monitorScroll], Function callback ) : Ext.Element
将一个元素锚定到另一个元素上， 并且当window的大小被调整后重新对齐。
将一个元素锚定到另一个元素上， 并且当window的大小被调整后重新对齐。
参数:
  • element : Mixed
    对齐到的元素。
  • position : String
    对齐到的位置。
  • offsets : Array
    (可选) 位置偏移[x, y]
  • animate : Boolean/Object
    (可选) 此项为true时将使用默认的动画效果，也可以配置一个标准的动画配置对象
  • monitorScroll : Boolean/Number
    (可选) 设置为true将监控body的滚动和位置。如果此参数是一个数值，它将没用作缓冲的毫秒值 (默认值为 50ms).
  • callback : Function
    在动画效果结束时调用的方法
返回值:
  • Ext.Element
    this
 Element
animate( Object args, [Float duration], [Function onComplete], [String easing], [String animType] ) : Ext.Element
在当前元素上执行动画效果。
在当前元素上执行动画效果。
参数:
  • args : Object
    动画效果控制参数
  • duration : Float
    (可选) How long the animation lasts in seconds (默认值为 .35)
  • onComplete : Function
    (可选) Function to call when animation completes
  • easing : String
    (可选) Easing method to use (默认值为 'easeOut')
  • animType : String
    (可选) 'run' is the default. Can also be 'color', 'motion', or 'scroll'
返回值:
  • Ext.Element
    this
 Element
appendChild( String/HTMLElement/Array/Element/CompositeElement el ) : Ext.Element
将传递进来的元素添加到当前元素的后面
将传递进来的元素添加到当前元素的后面
参数:
  • el : String/HTMLElement/Array/Element/CompositeElement
返回值:
  • Ext.Element
    this
 Element
appendTo( Mixed el ) : Ext.Element
将当前元素添加到传递进来的元素之后
将当前元素添加到传递进来的元素之后
参数:
  • el : Mixed
    The new parent element
返回值:
  • Ext.Element
    this
 Element
applyStyles( String/Object/Function styles ) : Ext.Element
setStyle 方法更灵活的版本，用来设置样式参数。
setStyle 方法更灵活的版本，用来设置样式参数。
参数:
  • styles : String/Object/Function
    A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.
返回值:
  • Ext.Element
    this
 Element
autoHeight( [Boolean animate], [Float duration], [Function onComplete], [String easing] ) : Ext.Element
检测此元素内容的高度然后更新现有高度以匹配之。 注意...
检测此元素内容的高度然后更新现有高度以匹配之。 注意：此方法是用了setTimeout，所以新的高度可能不能立即访问。
参数:
  • animate : Boolean
    (可选) Animate the transition (默认值为 false)
  • duration : Float
    (可选) Length of the animation in seconds (默认值为 .35)
  • onComplete : Function
    (可选) Function to call when animation completes
  • easing : String
    (可选) Easing method to use (默认值为 easeOut)
返回值:
  • Ext.Element
    this
 Element
blur() : Ext.Element
尝试使元素失去焦点。忽略任何捕捉到的异常。
尝试使元素失去焦点。忽略任何捕捉到的异常。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
boxWrap( [String class] ) : Ext.Element
使用一个特殊的标签/CSS块包装指定的元素，默认情况下，将渲染一个灰色的容器，具有一定 梯度的背景、圆角和4个方向的阴影...
使用一个特殊的标签/CSS块包装指定的元素，默认情况下，将渲染一个灰色的容器，具有一定 梯度的背景、圆角和4个方向的阴影。 示例用法:

// 包装基本的盒子
Ext.get("foo").boxWrap();

// 你也可以添加一个定制的CSS继承规则，以定制盒子的外观。
// 'x-box-blue'是一个内置的选择---如何创建一个定制的包装盒风格，
// 在示例中查看相关的CSS定义。
Ext.get("foo").boxWrap().addClass("x-box-blue");
参数:
  • class : String
    (可选) 应用到包装元素容器的一个基本CSS类(默认值为 'x-box')。 注意：为了使整体的效果能起作用，有许多CSS规则与这个名字相关， 所以如果你提供了一个替代的基本CSS类，你必须同时提供所有必须的规则。
返回值:
  • Ext.Element
    this
 Element
center( [Mixed centerIn] ) : void
将元素设置到viewport或者另一个元素的正中间。
将元素设置到viewport或者另一个元素的正中间。
参数:
  • centerIn : Mixed
    (可选) The element in which to center the element.
返回值:
  • void
 Element
child( String selector, [Boolean returnDom] ) : HTMLElement/Ext.Element
根据传递的CSS选择器选中单个子节点，节点可以位于任意深度 (选择器不能包含id)。
根据传递的CSS选择器选中单个子节点，节点可以位于任意深度 (选择器不能包含id)。
参数:
  • selector : String
    The CSS selector
  • returnDom : Boolean
    (可选) True to return the DOM node instead of Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The child Ext.Element (or DOM node if returnDom = true)
 Element
clean( [Boolean forceReclean] ) : void
删除无用的文本节点
删除无用的文本节点
参数:
  • forceReclean : Boolean
    (可选) 默认情况下，在清除元素之后仍然会留下痕迹，所以你可以反复调用此方法。 然而，如果你更新了元素并且需要强制进行一次reclean，你可以传递一个true。
返回值:
  • void
 Element
clearOpacity() : Ext.Element
从当前元素上清除一个不透明属性设置。 某些情况下在IE中必须使用。
从当前元素上清除一个不透明属性设置。 某些情况下在IE中必须使用。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
clearPositioning( [String value] ) : Ext.Element
将位置清理并回退到文档刚刚加载时的状态
将位置清理并回退到文档刚刚加载时的状态
参数:
  • value : String
    (可选) left,right,top,bottom所使用的值， 默认值为 '' (空字符串)。 你可以使用'auto'。
返回值:
  • Ext.Element
    this
 Element
clip() : Ext.Element
存储当前的溢出设置，并且切除元素的溢出部分--- 使用unclip 来删除
存储当前的溢出设置，并且切除元素的溢出部分--- 使用unclip 来删除
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
contains( HTMLElement/String el ) : Boolean
如果当前元素是所传递进来的元素的祖先，返回true
如果当前元素是所传递进来的元素的祖先，返回true
参数:
  • el : HTMLElement/String
    The element to check
返回值:
  • Boolean
    如果当前元素是所传递进来的元素的祖先，返回true，否则返回false
Element
createChild( Object config, [HTMLElement insertBefore], [Boolean returnDom] ) : Ext.Element
创建传递进来的DomHelper配置，并将其添加到当前元素后面，或者可以选择将 其插入到所传递的子元素的前面。
创建传递进来的DomHelper配置，并将其添加到当前元素后面，或者可以选择将 其插入到所传递的子元素的前面。
参数:
  • config : Object
    DomHelper元素配置对象。如果没有指定tag (例如： {tag:'input'})， 那么将用指定的属性自动创建一个div。
  • insertBefore : HTMLElement
    (可选) 当前元素的一个子元素
  • returnDom : Boolean
    (可选) 设置为true将返回dom节点而不是创建一个 Element
返回值:
  • Ext.Element
    新的子元素
Element
createProxy( String/Object config, [String/HTMLElement renderTo], [Boolean matchBox] ) : Ext.Element
为当前元素创建一个代理元素
为当前元素创建一个代理元素
参数:
  • config : String/Object
    The class name of the proxy element or a DomHelper config object
  • renderTo : String/HTMLElement
    (可选) The element or element id to render the proxy to (默认值为 document.body)
  • matchBox : Boolean
    (可选) True to align and size the proxy to this element now (默认值为 false)
返回值:
  • Ext.Element
    The new proxy element
 Element
createShim() : Ext.Element
为当前元素创建一个iframe衬垫，以避免显示选中状态和其它通过窗体显示的对象。
为当前元素创建一个iframe衬垫，以避免显示选中状态和其它通过窗体显示的对象。
参数:
  • 无.
返回值:
  • Ext.Element
    The new shim element
 Element
down( String selector, [Boolean returnDom] ) : HTMLElement/Ext.Element
根据传递进来的CSS选择器选择单个*直接*子元素 (选择器不能含有id)。
根据传递进来的CSS选择器选择单个*直接*子元素 (选择器不能含有id)。
参数:
  • selector : String
    The CSS selector
  • returnDom : Boolean
    (可选) True to return the DOM node instead of Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The child Ext.Element (or DOM node if returnDom = true)
 Element
enableDisplayMode( [String display] ) : Ext.Element
setVisibilityMode(Element.DISPLAY)的便捷方法
setVisibilityMode(Element.DISPLAY)的便捷方法
参数:
  • display : String
    (可选) What to set display to when visible
返回值:
  • Ext.Element
    this
 Element
findParent( String selector, [Number/Mixed maxDepth], [Boolean returnEl] ) : HTMLElement
先查看当前节点，然后查看其父节点，查找一个与传递尽进来的简单选择器相...
先查看当前节点，然后查看其父节点，查找一个与传递尽进来的简单选择器相 匹配的节点(例如div.some-class或者 span:first-child)
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
  • returnEl : Boolean
    (可选) True to return a Ext.Element object instead of DOM node
返回值:
  • HTMLElement
    The matching DOM node (or null if no match was found)
 Element
findParentNode( String selector, [Number/Mixed maxDepth], [Boolean returnEl] ) : HTMLElement
检查父节点，查找是否有与传递进来的简单选择器相匹配的节点 (例如 div.some-class或 span:first-child)
检查父节点，查找是否有与传递进来的简单选择器相匹配的节点 (例如 div.some-class或 span:first-child)
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
  • returnEl : Boolean
    (可选) True to return a Ext.Element object instead of DOM node
返回值:
  • HTMLElement
    The matching DOM node (or null if no match was found)
 Element
first( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取第一个孩子，跳过文本节点。
获取第一个孩子，跳过文本节点。
参数:
  • selector : String
    (可选) 查找与传递进来的简单选择器相匹配的下一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The first child or null
 Element
focus() : Ext.Element
尝试将焦点设置到当前元素。 忽略任何捕捉到的异常。
尝试将焦点设置到当前元素。 忽略任何捕捉到的异常。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
getAlignToXY( Mixed element, String position, [Array offsets] ) : Array
获取x,y坐标，以便将当前元素对齐到另一个元素。 所支持位置值的更多信息，参见alignTo 。
获取x,y坐标，以便将当前元素对齐到另一个元素。 所支持位置值的更多信息，参见alignTo 。
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to.
  • offsets : Array
    (可选) Offset the positioning by [x, y]
返回值:
  • Array
    [x, y]
 Element
getAnchorXY( [String anchor], [Boolean local], [Object size] ) : Array
根据指定到元素的锚定位置获取x,y坐标。
根据指定到元素的锚定位置获取x,y坐标。
参数:
  • anchor : String
    (可选) 指定的锚定位置(默认值为 "c")。 所有支持的锚定位置详情，参见 alignTo 。
  • local : Boolean
    (可选) 设置为true将获取local(element top/left-relative)锚定位置而不是页面坐标
  • size : Object
    (可选) 一个包含大小的对象，用来计算锚定位置 {width: (target width), height: (target height)} (默认值为元素当前的大小)
返回值:
  • Array
    [x, y] 一个包含元素x和y坐标的数组
 Element
getAttributeNS( String namespace, String name ) : String
从元素顶层的DOM节点上返回一个具有特定命名空间的属性值。
从元素顶层的DOM节点上返回一个具有特定命名空间的属性值。
参数:
  • namespace : String
    The namespace in which to look for the attribute
  • name : String
    The attribute name
返回值:
  • String
    The attribute value
 Element
getBorderWidth( String side ) : Number
获取指定一边(多边)的边框宽度
获取指定一边(多边)的边框宽度
参数:
  • side : String
    可以是t, l, r, b或者这些参数的任意组合，多个参数将返回结果之和。 例如，传递lr将会获取 (l)eft 边框宽度 +(r)ight边框宽度。
返回值:
  • Number
    The width of the sides passed added together
 Element
getBottom( Boolean local ) : Number
获取元素底部的Y坐标值 (元素的Y位置+元素高度)
获取元素底部的Y坐标值 (元素的Y位置+元素高度)
参数:
  • local : Boolean
    设置为true将获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getBox( [Boolean contentBox], [Boolean local] ) : Object
返回一个盒子：{x, y, width, height} 可以用来设置另一个元素的大小/位置，以匹配当前元素。
返回一个盒子：{x, y, width, height} 可以用来设置另一个元素的大小/位置，以匹配当前元素。
参数:
  • contentBox : Boolean
    (可选) If true a box for the content of the element is returned.
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page x/y.
返回值:
  • Object
    box An object in the format {x, y, width, height}
 Element
getCenterXY() : Array
计算x,y，以便将当前元素设置到屏幕正中
计算x,y，以便将当前元素设置到屏幕正中
参数:
  • 无.
返回值:
  • Array
    The x, y values [x, y]
 Element
getColor( String attr, String defaultValue, [String prefix] ) : void
返回指定的CSS属性的颜色值。 rgb，3位（例如#fff），合法的值将会被转换成一个标准的 6位十六进制颜色值。
返回指定的CSS属性的颜色值。 rgb，3位（例如#fff），合法的值将会被转换成一个标准的 6位十六进制颜色值。
参数:
  • attr : String
    The css attribute
  • defaultValue : String
    The default value to use when a valid color isn't found
  • prefix : String
    (可选) 默认值为 #. Use an empty string when working with color anims.
返回值:
  • void
 Element
getComputedHeight() : Number
返回当前元素的offsetHeight或者height， 数值基于CSS高度，当需要时包含填充或者边框...
返回当前元素的offsetHeight或者height， 数值基于CSS高度，当需要时包含填充或者边框。 在offset无效时这将用来模拟offsetHeight。 在display:none的元素上，如果没有通过CSS设置高度，此方法可能无效。
参数:
  • 无.
返回值:
  • Number
 Element
getComputedWidth() : Number
要么返回offsetWidth参数，要么在偏移量无效，需要模拟 offsetWidth时， 返回元素的CSS宽度，包含填充和边界...
要么返回offsetWidth参数，要么在偏移量无效，需要模拟 offsetWidth时， 返回元素的CSS宽度，包含填充和边界。 如果使用CSS设置宽度，在一个设置display:none的元素上此项可能无效。
参数:
  • 无.
返回值:
  • Number
 Element
getFrameWidth( String sides ) : Number
返回所指定一边的填充以及边框宽度的和。 指定边的更多信息参见getBorderWidth()方法。
返回所指定一边的填充以及边框宽度的和。 指定边的更多信息参见getBorderWidth()方法。
参数:
  • sides : String
返回值:
  • Number
 Element
getHeight( [Boolean contentHeight] ) : Number
返回此元素高度偏移量
返回此元素高度偏移量
参数:
  • contentHeight : Boolean
    (可选) 设置为true将返回的高度减去边框和填充
返回值:
  • Number
    元素的高度
 Element
getLeft( Boolean local ) : Number
获取左边X坐标
获取左边X坐标
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getMargins( [String sides] ) : Object/Number
如果不传递特定一边， 将返回一个对象，包含top, left, right 和 bottom参数，表示当前元...
如果不传递特定一边， 将获取一个对象，包含top, left, right 和 bottom参数，表示当前元素的页边空白， 然后返回所有边加在一起的宽度值(参见 getPadding)
参数:
  • sides : String
    (可选) l, r, t, b 的结合物，用来获取这些边距的和
返回值:
  • Object/Number
 Element
getOffsetsTo( Mixed element ) : Array
获取当前元素到所传递的元素的偏移量。 两个元素都必须是DOM树的一部分并且没有设置...
获取当前元素到所传递的元素的偏移量。 两个元素都必须是DOM树的一部分并且没有设置 display:none属性以便拥有一个页面坐标。
参数:
  • element : Mixed
    The element to get the offsets from.
返回值:
  • Array
    The XY page offsets (e.g. [100, -200])
 Element
getPadding( String side ) : Number
获取指定边（side(s)）的填充宽度（padding(s)）
获取指定边（side(s)）的填充宽度（padding(s)）
参数:
  • side : String
    Can be t, l, r, b or any combination of those to add multiple values. For example, passing lr would get the padding (l)eft + the padding (r)ight.
返回值:
  • Number
    The padding of the sides passed added together
 Element
getPositioning() : Object
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing...
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing an update and then restoring the element.
参数:
  • 无.
返回值:
  • Object
 Element
getRegion() : Region
返回所给元素所在的区域。 元素必须是DOM树的一部分，并且有一个区域 (display:none 或者没有添加的元素将返回false)。
返回所给元素所在的区域。 元素必须是DOM树的一部分，并且有一个区域 (display:none 或者没有添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Region
    A Ext.lib.Region containing "top, left, bottom, right" member data.
 Element
getRight( Boolean local ) : Number
获取此元素右边的X坐标 (元素的 X 位置 +元素的宽度)
获取此元素右边的X坐标 (元素的 X 位置 +元素的宽度)
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getScroll() : Object
返回元素当前的滚动条位置。
返回元素当前的滚动条位置。
参数:
  • 无.
返回值:
  • Object
    一个包含滚动条位置的对象，格式为 {left: (scrollLeft), top: (scrollTop)}
 Element
getSize( [Boolean contentSize] ) : Object
返回此元素的大小。
返回此元素的大小。
参数:
  • contentSize : Boolean
    (可选) 设置为true将获得width/size减去边框和填充之后的值
返回值:
  • Object
    An object containing the element's size {width: (element width), height: (element height)}
 Element
getStyle( String property ) : String
规格化的currentStyle 和 computedStyle。
规格化的currentStyle 和 computedStyle。
参数:
  • property : String
    The style property whose value is returned.
返回值:
  • String
    The current value of the style property for this element.
 Element
getStyles( String style1, String style2, String etc. ) : Object
返回一个属性与所需的style相匹配的对象。 例如，el.getStyles('color', 'font-size', 'width')可能会返回 {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}。
返回一个属性与所需的style相匹配的对象。 例如，el.getStyles('color', 'font-size', 'width')可能会返回 {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}。
参数:
  • style1 : String
    样式名称
  • style2 : String
    A style name
  • etc. : String
返回值:
  • Object
    样式对象
 Element
getTextWidth( String text, [Number min], [Number max] ) : Number
返回传递进来的文本宽度的像素值， 或者当前元素中文本的宽度。
返回传递进来的文本宽度的像素值， 或者当前元素中文本的宽度。
参数:
  • text : String
    需要测量的文本。默认为元素的innerHTML。
  • min : Number
    (可选) 返回的最小值。
  • max : Number
    (可选) 返回的最大值。
返回值:
  • Number
    文本宽度像素值。
Element
getTop( Boolean local ) : Number
获得顶部的Y坐标
获得顶部的Y坐标
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getUpdater() : Ext.Updater
获取当前元素的Updater
获取当前元素的Updater
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Element
getValue( Boolean asNumber ) : String/Number
返回"value"属性的值
返回"value"属性的值
参数:
  • asNumber : Boolean
    设置为true将把值解析成一个数字
返回值:
  • String/Number
 Element
getViewSize() : Object
返回viewport的宽度和高度。
返回viewport的宽度和高度。
参数:
  • 无.
返回值:
  • Object
    一个包含viewport尺寸的对象 {width: (viewport width), height: (viewport height)}
 Element
getWidth( [Boolean contentWidth] ) : Number
返回值 the offset width of the element
返回此元素的宽度偏移量
参数:
  • contentWidth : Boolean
    (可选) true to get the width minus borders and padding
返回值:
  • Number
    The element's width
 Element
getX() : Number
获取元素当前的X位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标...
获取元素当前的X位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Number
    The X position of the element
 Element
getXY() : Array
返回此元素的当前坐标，基于页面。 Element 必须是DOM树的一部分，并且拥有页面坐标...
返回此元素的当前坐标，基于页面。 Element 必须是DOM树的一部分，并且拥有页面坐标 (display:none或者没有被添加进来的元素将返回false)。
参数:
  • 无.
返回值:
  • Array
    元素的XY位置
 Element
getY() : Number
获取元素当前的Y位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标...
获取元素当前的Y位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Number
    The Y position of the element
 Element
hasClass( String className ) : Boolean
检测当前元素的DOM节点上是否存在指定的CSS类。
检测当前元素的DOM节点上是否存在指定的CSS类。
参数:
  • className : String
    The CSS class to check for
返回值:
  • Boolean
    True if the class exists, else false
 Element
hide( [Boolean/Object animate] ) : Ext.Element
隐藏此元素--- 使用显示模式来决定是使用 "display"参数还是使用"visibility"参数。 参见setVisible 。
隐藏此元素--- 使用显示模式来决定是使用 "display"参数还是使用"visibility"参数。 参见setVisible 。
参数:
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
hover( Function overFn, Function outFn, [Object scope] ) : Ext.Element
这只事件监听器，在鼠标滑过元素时调用传递进来的函数。 自动过滤子元素...
这只事件监听器，在鼠标滑过元素时调用传递进来的函数。 自动过滤子元素的鼠标事件。
参数:
  • overFn : Function
  • outFn : Function
  • scope : Object
    (可选)
返回值:
  • Ext.Element
    this
 Element
initDD( String group, Object config, Object overrides ) : Ext.dd.DD
为当前元素初始化一个 Ext.dd.DD 拖拽放下对象。
为当前元素初始化一个 Ext.dd.DD 拖拽放下对象。
参数:
  • group : String
    DD对象所属的组
  • config : Object
    DD配置对象
  • overrides : Object
    一个包含方法的对象，用来重写/实现DD对象
返回值:
  • Ext.dd.DD
    返回DD对象
 Element
initDDProxy( String group, Object config, Object overrides ) : Ext.dd.DDProxy
为当前元素初始化一个 Ext.dd.DDProxy 对象。
为当前元素初始化一个 Ext.dd.DDProxy 对象。
参数:
  • group : String
    The group the DDProxy object is member of
  • config : Object
    The DDProxy config object
  • overrides : Object
    An object containing methods to override/implement on the DDProxy object
返回值:
  • Ext.dd.DDProxy
    The DDProxy object
 Element
initDDTarget( String group, Object config, Object overrides ) : Ext.dd.DDTarget
为当前元素初始化一个Ext.dd.DDTarget 对象。
为当前元素初始化一个Ext.dd.DDTarget 对象。
参数:
  • group : String
    The group the DDTarget object is member of
  • config : Object
    The DDTarget config object
  • overrides : Object
    An object containing methods to override/implement on the DDTarget object
返回值:
  • Ext.dd.DDTarget
    The DDTarget object
 Element
insertAfter( Mixed el ) : Ext.Element
在DOM中，把当前元素插入到所传递进来的元素之后
在DOM中，把当前元素插入到所传递进来的元素之后
参数:
  • el : Mixed
    The element to insert after
返回值:
  • Ext.Element
    this
 Element
insertBefore( Mixed el ) : Ext.Element
将当前元素在DOM中插入到传递进来的元素之前
将当前元素在DOM中插入到传递进来的元素之前
参数:
  • el : Mixed
    The element before which this element will be inserted
返回值:
  • Ext.Element
    this
 Element
insertFirst( Mixed/Object el ) : Ext.Element
插入（或创建）一个元素（或者一个DomHelper配置），作为当前元素的第一个子节点
插入（或创建）一个元素（或者一个DomHelper配置），作为当前元素的第一个子节点
参数:
  • el : Mixed/Object
    The id or element to insert or a DomHelper config to create and insert
返回值:
  • Ext.Element
    The new child
 Element
insertHtml( String where, String html, [Boolean returnEl] ) : HTMLElement/Ext.Element
向当前元素中插入一个html标签
向当前元素中插入一个html标签
参数:
  • where : String
    插入html的位置，与当前元素的位置关系--- beforeBegin, afterBegin, beforeEnd, afterEnd。
  • html : String
    The HTML fragment
  • returnEl : Boolean
    (可选) 设置为true，返回一个Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The inserted node (or nearest related if more than 1 inserted)
 Element
insertSibling( Mixed/Object/Array el, [String where], [Boolean returnDom] ) : Ext.Element
将传递进来的元素（或者DomHelper配置）插入（或者创建）成当前元素的兄弟节点。
将传递进来的元素（或者DomHelper配置）插入（或者创建）成当前元素的兄弟节点。
参数:
  • el : Mixed/Object/Array
    The id, element to insert or a DomHelper config to create and insert *or* an array of any of those.
  • where : String
    (可选) 'before' or 'after' 默认值为 before
  • returnDom : Boolean
    (可选) 设置为true将返回原始的DOM元素而不是Ext.Element
返回值:
  • Ext.Element
    the inserted Element
 Element
is( String selector ) : Boolean
如果当前元素与传递进来的简单选择子相匹配，返回true (例如div.some-class 或者 span:first-child)
如果当前元素与传递进来的简单选择子相匹配，返回true (例如div.some-class 或者 span:first-child)
参数:
  • selector : String
    The simple selector to test
返回值:
  • Boolean
    True if this element matches the selector, else false
 Element
isBorderBox() : Boolean
测试各种css规则/浏览器，决定当前元素是否使用一个带边框的盒子
测试各种css规则/浏览器，决定当前元素是否使用一个带边框的盒子
参数:
  • 无.
返回值:
  • Boolean
 Element
isDisplayed() : Boolean
如果display属性不是"none"，返回true
如果display属性不是"none"，返回true
参数:
  • 无.
返回值:
  • Boolean
 Element
isMasked() : Boolean
如果当前元素被遮罩了，返回true
如果当前元素被遮罩了，返回true
参数:
  • 无.
返回值:
  • Boolean
 Element
isScrollable() : Boolean
如果当前元素可以滚动，返回true。
如果当前元素可以滚动，返回true。
参数:
  • 无.
返回值:
  • Boolean
 Element
isVisible( [Boolean deep] ) : Boolean
使用visibility和display参数，检测元素是否可见。
使用visibility和display参数，检测元素是否可见。
参数:
  • deep : Boolean
    (可选) 设置为true将遍历dom并检测父元素是不是隐藏的(默认值为 false)
返回值:
  • Boolean
    如果元素当前可见，返回true，否则返回false
Element
last( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取最后一个孩子节点，跳过文本节点
获取最后一个孩子节点，跳过文本节点
参数:
  • selector : String
    (可选) 返回与传递进来的简单选择子相匹配的上一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点而不是Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The last child or null
 Element
load() : Ext.Element
直接方法 Updater的 Ext.Updater.update 方法。 方法接收与 Ext.Updater.update 相同的参数对象 。
直接方法 Updater的 Ext.Updater.update 方法。 方法接收与 Ext.Updater.update 相同的参数对象 。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
mask( [String msg], [String msgCls] ) : Element
在此元素上添加一个遮罩以阻止与用户交互。 需要core.css。 此方法只可以应用到那些可以接收子节点的元素上。
在此元素上添加一个遮罩以阻止与用户交互。 需要core.css。 此方法只可以应用到那些可以接收子节点的元素上。
参数:
  • msg : String
    (可选) 遮罩上显示的消息
  • msgCls : String
    (可选) 应用到msg元素上的css样式
返回值:
  • Element
    遮罩元素
Element
move( String direction, Number distance, [Boolean/Object animate] ) : Ext.Element
相对于元素的当前位置移动元素。
相对于元素的当前位置移动元素。
参数:
  • direction : String
    Possible values are: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
  • distance : Number
    How far to move the element in pixels
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
moveTo( Number x, Number y, [Boolean/Object animate] ) : Ext.Element
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
next( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
跳过文本节点，获取下一个兄弟节点
跳过文本节点，获取下一个兄弟节点
参数:
  • selector : String
    (可选) 返回符合所传递进来的简单选择器的下一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是Ext.Element
返回值:
  • Ext.Element/HTMLElement
    下一个兄弟节点或者null
Element
on( String eventName, Function fn, [Object scope], [Object options] ) : void
添加一个事件监听器 (addListener的简写)。
添加一个事件监听器 (addListener的简写)。
参数:
  • eventName : String
    The type of event to handle
  • fn : Function
    The handler function the event invokes
  • scope : Object
    (可选) The scope (this element) of the handler function
  • options : Object
    (可选) An object containing standard addListener options
返回值:
  • void
 Element
parent( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取当前元素的父节点，可以选择沿着层次链向上查找，以便匹配一个选择器
获取当前元素的父节点，可以选择沿着层次链向上查找，以便匹配一个选择器
参数:
  • selector : String
    (可选) 获取一个与传递进来的选择器相匹配的父节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The parent node or null
 Element
position( [String pos], [Number zIndex], [Number x], [Number y] ) : void
初始化元素的位置。 如果没有传递所需的位置，并且元素没有设置位置，那么将使用相对位置放置元素。
初始化元素的位置。 如果没有传递所需的位置，并且元素没有设置位置，那么将使用相对位置放置元素。
参数:
  • pos : String
    (可选)使用的"relative", "absolute" 或者 "fixed"位置属性
  • zIndex : Number
    (可选) 应用的zIndex（译者注：用来控制层叠顺序）
  • x : Number
    (可选) 设置页面X位置
  • y : Number
    (可选) 设置页面Y位置
返回值:
  • void
 Element
prev( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取上一个兄弟节点，跳过文本节点
获取上一个兄弟节点，跳过文本节点
参数:
  • selector : String
    (可选) Find the previous sibling that matches the passed simple selector
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The previous sibling or null
 Element
query( String selector ) : Array
根据传递进来的CSS选择器选择一个子节点 (选择器不可以包含id)。
根据传递进来的CSS选择器选择一个子节点 (选择器不可以包含id)。
参数:
  • selector : String
    CSS选择器
返回值:
  • Array
    匹配的节点数组
Element
radioClass( String/Array className ) : Ext.Element
将一个或多个CSS类添加到当前元素，并从所有的兄弟节点上 删除相同的CSS类。
将一个或多个CSS类添加到当前元素，并从所有的兄弟节点上 删除相同的CSS类。
参数:
  • className : String/Array
    The CSS class to add, or an array of classes
返回值:
  • Ext.Element
    this
 Element
relayEvent( String eventName, Object object ) : void
在此元素上创建一个事件处理器， 这样，当事件被触发并被当前元素处理时，可以将它传播到另一个对象...
在此元素上创建一个事件处理器， 这样，当事件被触发并被当前元素处理时，可以将它传播到另一个对象 (例如：重新触发事件，就像事件本来就来自那个对象一样)。
参数:
  • eventName : String
    The type of event to relay
  • object : Object
    Any object that extends Ext.util.Observable that will provide the context for firing the relayed event
返回值:
  • void
 Element
remove() : void
从DOM中删除当前元素，同时从缓存中移除它
从DOM中删除当前元素，同时从缓存中移除它
参数:
  • 无.
返回值:
  • void
 Element
removeAllListeners() : Ext.Element
从当前元素上删除所有之前添加的监听器
从当前元素上删除所有之前添加的监听器
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
removeClass( String/Array className ) : Ext.Element
从元素上删除一个或多个CSS类。
从元素上删除一个或多个CSS类。
参数:
  • className : String/Array
    The CSS class to remove, or an array of classes
返回值:
  • Ext.Element
    this
 Element
removeListener( String eventName, Function fn, [Object scope] ) : Ext.Element
从当前元素上删除一个事件监听器。 缩写版本 un 与此等价...
从当前元素上删除一个事件监听器。 缩写版本 un 与此等价。示例用法:
el.removeListener('click', this.handlerFn);
// or
el.un('click', this.handlerFn);
参数:
  • eventName : String
    the type of event to remove
  • fn : Function
    the method the event invokes
  • scope : Object
    (可选) The scope (The this reference) of the handler function. Defaults to this Element.
返回值:
  • Ext.Element
    this
 Element
repaint() : Ext.Element
强制浏览器重新绘制当前元素
强制浏览器重新绘制当前元素
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
replace( Mixed el ) : Ext.Element
使用当前节点替换传递进来的节点
使用当前节点替换传递进来的节点
参数:
  • el : Mixed
    The element to replace
返回值:
  • Ext.Element
    this
 Element
replaceClass( String old类Name, String new类Name ) : Ext.Element
将元素上的一个CSS类替换成另一个。 如果老的CSS名称不存在，仅仅简单地添加新的CSS名称。
将元素上的一个CSS类替换成另一个。 如果老的CSS名称不存在，仅仅简单地添加新的CSS名称。
参数:
  • oldClassName : String
    The CSS class to replace
  • newClassName : String
    The replacement CSS class
返回值:
  • Ext.Element
    this
 Element
replaceWith( Mixed/Object el ) : Ext.Element
使用传递进来的元素替换当前元素
使用传递进来的元素替换当前元素
参数:
  • el : Mixed/Object
    The new element or a DomHelper config of an element to create
返回值:
  • Ext.Element
    this
 Element
scroll( String direction, Number distance, [Boolean/Object animate] ) : Boolean
将当前元素向指定方向滚动。 滚动时进行边界检测，以确定元素在可滚动的边...
将当前元素向指定方向滚动。 滚动时进行边界检测，以确定元素在可滚动的边界之内滚动。
参数:
  • direction : String
    可能的值为: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
  • distance : Number
    元素滚动的像素数
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Boolean
    如果触发产生了一个滚动条，返回true，否则当元素滚动了所能滚动的距离后返回false。
Element
scrollIntoView( [Mixed container], [Boolean hscroll] ) : Ext.Element
将容器中的当前元素滚动到视图中。
将容器中的当前元素滚动到视图中。
参数:
  • container : Mixed
    (可选) 需要滚动的容器元素(默认值为 document.body)。 应该是一个字符串(id)、一个dom节点或者一个Ext.Element。
  • hscroll : Boolean
    (可选) 设置为false禁用水平滚动(默认值为 true)
返回值:
  • Ext.Element
    this
 Element
scrollTo( String side, Number value, [Boolean/Object animate] ) : Element
将当前元素滚动到指定的点。 此方法不检查边界，即使你传递一个异常的值，它也...
将当前元素滚动到指定的点。 此方法不检查边界，即使你传递一个异常的值，它也将尝试去滚动。 需要自动检查边界，使用use scroll()方法。
参数:
  • side : String
    Either "left" for scrollLeft values or "top" for scrollTop values.
  • value : Number
    The new scroll value
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Element
    this
 Element
select( String selector, [Boolean unique] ) : CompositeElement/CompositeElementLite
为基于所传递CSS选择器的孩子节点创建一个 Ext.CompositeElement (选择器不能含有id)。
为基于所传递CSS选择器的孩子节点创建一个 Ext.CompositeElement (选择器不能含有id)。
参数:
  • selector : String
    The CSS selector
  • unique : Boolean
    (可选) True to create a unique Ext.Element for each child (默认值为 false, which creates a single shared flyweight object)
返回值:
  • CompositeElement/CompositeElementLite
    The composite element
 Element
set( Object o, [Boolean useSet] ) : Ext.Element
将传递进来的属性设置为当前元素的属性（ 样式属性可以是一个字符串、一个对象或者一个function ）
将传递进来的属性设置为当前元素的属性（ 样式属性可以是一个字符串、一个对象或者一个function ）
参数:
  • o : Object
    含有属性的对象
  • useSet : Boolean
    (可选) false to override the default setAttribute to use expandos.
返回值:
  • Ext.Element
    this
 Element
setBottom( String bottom ) : Ext.Element
设置此元素CSS底部风格。
设置此元素CSS底部风格。
参数:
  • bottom : String
    The bottom CSS property value
返回值:
  • Ext.Element
    this
 Element
setBounds( Number x, Number y, Number width, Number height, [Boolean/Object animate] ) : Ext.Element
使用一个方法设置元素的位置和大小。 如果animation为true，那么 width, height, x 和 y 将会同步显示动画效果。
使用一个方法设置元素的位置和大小。 如果animation为true，那么 width, height, x 和 y 将会同步显示动画效果。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • width : Number
    The new width
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setBox( Object box, [Boolean adjust], [Boolean/Object animate] ) : Ext.Element
设置元素的盒子。在另一个元素上使用getBox()可以获得一个盒子对象...
设置元素的盒子。在另一个元素上使用getBox()可以获得一个盒子对象。 如果animate为true，那么width,height,x和都会同步进行动画效果。
参数:
  • box : Object
    The box to fill {x, y, width, height}
  • adjust : Boolean
    (可选) Whether to adjust for box-model issues automatically
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setDisplayed( Mixed value ) : Ext.Element
设置CSS的display属性。 如果指定的值是一个布尔型的true，使用originalDisplay属性 。
设置CSS的display属性。 如果指定的值是一个布尔型的true，使用originalDisplay属性 。
参数:
  • value : Mixed
    Boolean value to display the element using its default display, or a string to set the display directly.
返回值:
  • Ext.Element
    this
 Element
setHeight( Number height, [Boolean/Object animate] ) : Ext.Element
设置元素的高度
设置元素的高度
参数:
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setLeft( String left ) : Ext.Element
直接使用CSS样式设置元素左边的位置 (代替setX)。
直接使用CSS样式设置元素左边的位置 (代替setX)。
参数:
  • left : String
    The left CSS property value
返回值:
  • Ext.Element
    this
 Element
setLeftTop( String left, String top ) : Ext.Element
快速设置left和top位置，添加默认单位
快速设置left和top位置，添加默认单位
参数:
  • left : String
    The left CSS property value
  • top : String
    The top CSS property value
返回值:
  • Ext.Element
    this
 Element
setLocation( Number x, Number y, [Boolean/Object animate] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
使用页面坐标设置元素的位置，忽略元素是如何定位的。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setOpacity( Float opacity, [Boolean/Object animate] ) : Ext.Element
设置此元素的不透明度
设置此元素的不透明度
参数:
  • opacity : Float
    The new opacity. 0 = transparent, .5 = 50% visibile, 1 = fully visible, etc
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setPositioning( Object posCfg ) : Ext.Element
使用getPositioning()方法返回的对象设置定位。
使用getPositioning()方法返回的对象设置定位。
参数:
  • posCfg : Object
返回值:
  • Ext.Element
    this
 Element
setRegion( Ext.lib.Region region, [Boolean/Object animate] ) : Ext.Element
设置元素的位置并调整指定区域的大小。 如果animation为true，那么width,height,x和y将...
设置元素的位置并调整指定区域的大小。 如果animation为true，那么width,height,x和y将同时显示动画效果。
参数:
  • region : Ext.lib.Region
    The region to fill
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setRight( String right ) : Ext.Element
设置元素的CSS右边样式。
设置元素的CSS右边样式。
参数:
  • right : String
    右边的CSS属性值
返回值:
  • Ext.Element
    this
 Element
setSize( Number width, Number height, [Boolean/Object animate] ) : Ext.Element
设置元素的大小。如果animation为true，宽度和高度将同时进行动画效果。
设置元素的大小。如果animation为true，宽度和高度将同时进行动画效果。
参数:
  • width : Number
    The new width
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setStyle( String/Object property, [String value] ) : Ext.Element
包装方法，用来设置样式属性，也可以使用单个的对象作为参数以设置多个样式。
包装方法，用来设置样式属性，也可以使用单个的对象作为参数以设置多个样式。
参数:
  • property : String/Object
    The style property to be set, or an object of multiple styles.
  • value : String
    (可选) The value to apply to the given property, or null if an object was passed.
返回值:
  • Ext.Element
    this
 Element
setTop( String top ) : Ext.Element
直接使用CSS样式设置元素的顶部位置 (替代setY)。
直接使用CSS样式设置元素的顶部位置 (替代setY)。
参数:
  • top : String
    The top CSS property value
返回值:
  • Ext.Element
    this
 Element
setVisibilityMode( visMode Element.VISIBILITY ) : Ext.Element
设置此元素的可见模式。 当调用setVisible()方法时 ，将会使用此方法来决定设置visibility参数还是display参数。
设置此元素的可见模式。 当调用setVisible()方法时 ，将会使用此方法来决定设置visibility参数还是display参数。
参数:
  • Element.VISIBILITY : visMode
    or Element.DISPLAY
返回值:
  • Ext.Element
    this
 Element
setVisible( Boolean visible, [Boolean/Object animate] ) : Ext.Element
设置此元素的可见性 (see details)。 如果visibilityMode被设置到了Element.DISPLAY...
设置此元素的可见性 (see details)。 如果visibilityMode被设置到了Element.DISPLAY， 将会使用display参数来隐藏元素，否则使用visibility参数。 默认使用visibility参数来显示和隐藏元素。
参数:
  • visible : Boolean
    Whether the element is visible
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setWidth( Number width, [Boolean/Object animate] ) : Ext.Element
设置此元素的宽度
设置此元素的宽度
参数:
  • width : Number
    The new width
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setX( Number The, [Boolean/Object animate] ) : Ext.Element
使用基于页面的坐标设置元素的X位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用基于页面的坐标设置元素的X位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • The : Number
    X position of the element
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setXY( Array pos, [Boolean/Object animate] ) : Ext.Element
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • pos : Array
    Contains X & Y [x, y] values for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setY( Number The, [Boolean/Object animate] ) : Ext.Element
设置元素的Y位置，基于页面坐标。 元素必须是DOM树的一部分并且有页面坐标...
设置元素的Y位置，基于页面坐标。 元素必须是DOM树的一部分并且有页面坐标 (display:none 或者没有被添加的元素将返回false)。
参数:
  • The : Number
    Y position of the element
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
show( [Boolean/Object animate] ) : Ext.Element
显示当前元素---使用显示模式来决定使用"display"或者"visibility"属性。 参见setVisible 。
显示当前元素---使用显示模式来决定使用"display"或者"visibility"属性。 参见setVisible 。
参数:
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
swallowEvent( String eventName, [Boolean preventDefault] ) : Ext.Element
阻止指定的事件进行冒泡，并可以选择阻止默认的处理
阻止指定的事件进行冒泡，并可以选择阻止默认的处理
参数:
  • eventName : String
  • preventDefault : Boolean
    (可选) 设者为它true将同时阻止默认的处理
返回值:
  • Ext.Element
    this
 Element
toggle( [Boolean/Object animate] ) : Ext.Element
固定元素的visibility 或者 display，取决于visibility模式。
固定元素的visibility 或者 display，取决于visibility模式。
参数:
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
toggleClass( String className ) : Ext.Element
在当前元素上固定指定的CSS类 (如果已经存在，先删除之，否则添加它)。
在当前元素上固定指定的CSS类 (如果已经存在，先删除之，否则添加它)。
参数:
  • className : String
    The CSS class to toggle
返回值:
  • Ext.Element
    this
 Element
translatePoints( Number/Array x, [Number y] ) : Object
将传递进来的元素的页面坐标解析成left/top css值
将传递进来的元素的页面坐标解析成left/top css值
参数:
  • x : Number/Array
    The page x or an array containing [x, y]
  • y : Number
    (可选) The page y, required if x is not an array
返回值:
  • Object
    一个包含left和top属性的对象。例如：{left: (value), top: (value)}
 Element
un( String eventName, Function fn ) : Ext.Element
从当前元素上删除一个事件处理器 (removeListener的缩写)。
从当前元素上删除一个事件处理器 (removeListener的缩写)。
参数:
  • eventName : String
    the type of event to remove
  • fn : Function
    the method the event invokes
返回值:
  • Ext.Element
    this
 Element
unclip() : Ext.Element
将剪裁（溢出）返回到调用clip()之前的状态
将剪裁（溢出）返回到调用clip()之前的状态
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
unmask() : void
删除一个之前应用的遮罩。
删除一个之前应用的遮罩。
参数:
  • 无.
返回值:
  • void
 Element
unselectable() : Ext.Element
禁止当前元素被选中 (为跨浏览器做了规范化处理)
禁止当前元素被选中 (为跨浏览器做了规范化处理)
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
up( String selector, [Number/Mixed maxDepth] ) : Ext.Element
沿着dom向上回溯，查找与传递进来的简单选择器相匹配的父节点 (例如div.some-class或者span:first-child)...
沿着dom向上回溯，查找与传递进来的简单选择器相匹配的父节点 (例如div.some-class或者span:first-child)。 这是findParentNode()方法的快捷方式， 此方法总是返回一个Ext.Element。
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
返回值:
  • Ext.Element
    The matching DOM node (or null if no match was found)
 Element
update( String html, [Boolean loadScripts], [Function callback] ) : Ext.Element
更新当前元素的innerHTML，可选择查找和处理脚本
更新当前元素的innerHTML，可选择查找和处理脚本
参数:
  • html : String
    The new HTML
  • loadScripts : Boolean
    (可选) True to look for and process scripts (默认值为 false)
  • callback : Function
    (可选) For async script loading you can be notified when the update completes
返回值:
  • Ext.Element
    this
 Element
wrap( [Object config], [Boolean returnDom] ) : HTMLElement/Element
使用另一个元素创建并包装当前元素
使用另一个元素创建并包装当前元素
参数:
  • config : Object
    (可选) 用来包装元素的DomHelper元素配置对象，或者是一个空的div时，此值为null
  • returnDom : Boolean
    (可选) 设置为true时将返回原始的DOM元素而不是Ext.Element
返回值:
  • HTMLElement/Element
    The newly created wrapper element
 Element

公共事件

该类没有公共事件。


Class Ext.EventManager

包: | Ext
所在文件: | EventManager.js
Class: | EventManager
继承自: | Object
注册事件监听器，它想要接收一个一般化的EventObject而不是标准浏览器事件， 此类同时直接提供一些有用的事件。 一般化的事件对象详情，参见 Ext.EventObject 。

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | ieDeferSrc : Object onDocumentReady使用的Url，使用SSL (默认值为 Ext.SSL_SECURE_URL) | EventManager
 | textResizeInterval : Object 检测文本大小调整事件的频率，以毫秒计 (默认值为 50) | EventManager

公共方法

Method 所在类
addListener( String/HTMLElement el, String eventName, Function handler, [Object scope], [Object options] ) : void
向一个元素上添加一个事件处理器。 缩写版本 on 与此等价....
向一个元素上添加一个事件处理器。 缩写版本 on 与此等价。 典型的情况下，你将直接在一个Element上使用 Ext.Element.addListener ，此时更赞成使用此版本。
参数:
  • el : String/HTMLElement
    一个html元素或其id，事件处理器将会被指定到其上
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件调用的处理函数。此函数将会被传递以下参数：
    • evt : EventObject
      EventObject ，描述了事件。
    • t : Element
      Element ，它是事件的目标(target)。 注意：此项可能被用delegate选项过滤。
    • o : Object
      来自调用addListener时的选项对象。
  • scope : Object
    (可选)执行处理函数的作用域(处理函数的"this"内容)
  • options : Object
    (可选) 一个包含处理器配置参数的对象。 它可以包含以下任何参数：
    • scope {Object} : 执行处理函数的作用域(处理函数的"this"内容)。
    • delegate {String} : 一个简单的选择器，用来过滤目标或者查找目标（target）的一个后代
    • stopEvent {Boolean} : 设置为true将终止事件。也就是停止冒泡并阻止默认的操作。
    • preventDefault {Boolean} : 设置为true以便阻止默认的处理
    • stopPropagation {Boolean} : 设置为true以阻止事件冒泡
    • normalized {Boolean} : 设置为false以便传递一个浏览器事件给处理函数而不是一个Ext.EventObject
    • delay {Number} : 在事件触发之后延迟调用处理器的毫秒数。
    • single {Boolean} : 设置为true，以便在事件一触发时添加一个处理器，然后删除它自己。
    • buffer {Number} : 使得处理器按计划在一个Ext.util.DelayedTask 中， 延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发， 前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    See Ext.Element.addListener for examples of how to use these options.

返回值:
  • void
 EventManager
on( String/HTMLElement el, String eventName, Function handler, [Object scope], [Object options] ) : void
向一个元素上添加一个事件处理器。 addListener 的缩写。
向一个元素上添加一个事件处理器。 addListener 的缩写。
参数:
  • el : String/HTMLElement
    The html element or id to assign the event handler to
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler function the event invokes
  • scope : Object
    (可选) The scope in which to execute the handler function (the handler function's "this" context)
  • options : Object
    (可选) An object containing standard addListener options
返回值:
  • void
 EventManager
onDocumentReady( Function fn, [Object scope], [boolean options] ) : void
当文档加载完成时触发 (在onload事件和图片加载完成之前)...
当文档加载完成时触发 (在onload事件和图片加载完成之前)。 可以使用快捷方式Ext.onReady()来访问。
参数:
  • fn : Function
    The method the event invokes
  • scope : Object
    (可选) An object that becomes the scope of the handler
  • options : boolean
    (可选) An object containing standard addListener options
返回值:
  • void
 EventManager
onTextResize( Function fn, Object scope, boolean options ) : void
当用户改变了活动文本的大小时触发。 处理器将会用2个参数调用，老的大小和新的大小。
当用户改变了活动文本的大小时触发。 处理器将会用2个参数调用，老的大小和新的大小。
参数:
  • fn : Function
    The method the event invokes
  • scope : Object
    An object that becomes the scope of the handler
  • options : boolean
返回值:
  • void
 EventManager
onWindowResize( Function fn, Object scope, boolean options ) : void
当窗口大小被调整时触发，同时提供调整大小事件的缓存...
当窗口大小被调整时触发，同时提供调整大小事件的缓存 (50 milliseconds)，将新视口的宽度和高度传递给处理器。
参数:
  • fn : Function
    The method the event invokes
  • scope : Object
    An object that becomes the scope of the handler
  • options : boolean
返回值:
  • void
 EventManager
removeAll( String/HTMLElement el ) : void
从一个元素上删除所有事件处理器...
从一个元素上删除所有事件处理器。 典型的情况下，你将会在一个元素上直接调用 Ext.Element.removeAllListeners 方法，这种情况下更赞成使用此版本。
参数:
  • el : String/HTMLElement
    The id or html element from which to remove the event
返回值:
  • void
 EventManager
removeListener( String/HTMLElement el, String eventName, Function fn ) : void
从一个元素上删除一个事件处理器。 缩写版本 un 与此等价。 典型情况下，你将直接在一个Element上使用...
从一个元素上删除一个事件处理器。 缩写版本 un 与此等价。 典型情况下，你将直接在一个Element上使用 Ext.Element.removeListener ，这种情况下更赞成使用此版本。
参数:
  • el : String/HTMLElement
    The id or html element from which to remove the event
  • eventName : String
    The type of event
  • fn : function
    The handler function to remove
返回值:
  • void
 EventManager
removeResizeListener( Function fn, Object scope ) : void
删除传递进来的调整窗体大小事件监听器。
删除传递进来的调整窗体大小事件监听器。
参数:
  • fn : Function
    事件调用的方法
  • scope : Object
    监听器的作用域
返回值:
  • void
 EventManager
un( String/HTMLElement el, String eventName, Function fn ) : Boolean
从元素上删除一个事件处理器。 removeListener 的缩写。
从元素上删除一个事件处理器。 removeListener 的缩写。
参数:
  • el : String/HTMLElement
    The id or html element from which to remove the event
  • eventName : String
    The type of event
  • fn : Function
    The handler function to remove
返回值:
  • Boolean
    True if a listener was actually removed, else false
 EventManager

公共事件

该类没有公共事件。


Class Ext.EventObject

包: | Ext
所在文件: | EventManager.js
Class: | EventObject
继承自: | Object
EventObject直接暴露的Yahoo!UI事件功能，通过对象传递到你的事件处理器。 该类的存在，主要是为了方便。同时它也自动清理你的代码，修正恼人的null值问题。 Example:
function handleClick(e){ // e不是一个标准的事件对象，而是一个Ext.EventObject
    e.preventDefault();
    var target = e.getTarget();
    ...
 }
 var myDiv = Ext.get("myDiv");
 myDiv.on("click", handleClick);
 //或者
 Ext.EventManager.on("myDiv", 'click', handleClick);
 Ext.EventManager.addListener("myDiv", 'click', handleClick);

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | A : Number 按键常量 | EventObject
 | ALT : Number 按键常量 | EventObject
 | B : Number 按键常量 | EventObject
 | BACKSPACE : Number 按键常量 | EventObject
 | C : Number 按键常量 | EventObject
 | CAPS_LOCK : Number 按键常量 | EventObject
 | CONTEXT_MENU : Number 按键常量 | EventObject
 | CTRL : Number 按键常量 | EventObject
 | D : Number 按键常量 | EventObject
 | DELETE : Number 按键常量 | EventObject
 | DOWN : Number 按键常量 | EventObject
 | E : Number 按键常量 | EventObject
 | EIGHT : Number 按键常量 | EventObject
 | END : Number 按键常量 | EventObject
 | ENTER : Number 按键常量 | EventObject
 | ESC : Number 按键常量 | EventObject
 | F : Number 按键常量 | EventObject
 | F1 : Number 按键常量 | EventObject
 | F10 : Number 按键常量 | EventObject
 | F11 : Number 按键常量 | EventObject
 | F12 : Number 按键常量 | EventObject
 | F2 : Number 按键常量 | EventObject
 | F3 : Number 按键常量 | EventObject
 | F4 : Number 按键常量 | EventObject
 | F5 : Number 按键常量 | EventObject
 | F6 : Number 按键常量 | EventObject
 | F7 : Number 按键常量 | EventObject
 | F8 : Number 按键常量 | EventObject
 | F9 : Number 按键常量 | EventObject
 | FIVE : Number 按键常量 | EventObject
 | FOUR : Number 按键常量 | EventObject
 | G : Number 按键常量 | EventObject
 | H : Number 按键常量 | EventObject
 | HOME : Number 按键常量 | EventObject
 | I : Number 按键常量 | EventObject
 | INSERT : Number 按键常量 | EventObject
 | J : Number 按键常量 | EventObject
 | K : Number 按键常量 | EventObject
 | L : Number 按键常量 | EventObject
 | LEFT : Number 按键常量 | EventObject
 | M : Number 按键常量 | EventObject
 | N : Number 按键常量 | EventObject
 | NINE : Number 按键常量 | EventObject
 | NUM_CENTER : Number 按键常量 | EventObject
 | NUM_DIVISION : Number 按键常量 | EventObject
 | NUM_EIGHT : Number 按键常量 | EventObject
 | NUM_FIVE : Number 按键常量 | EventObject
 | NUM_FOUR : Number 按键常量 | EventObject
 | NUM_MINUS : Number 按键常量 | EventObject
 | NUM_MULTIPLY : Number 按键常量 | EventObject
 | NUM_NINE : Number 按键常量 | EventObject
 | NUM_ONE : Number 按键常量 | EventObject
 | NUM_PERIOD : Number 按键常量 | EventObject
 | NUM_PLUS : Number 按键常量 | EventObject
 | NUM_SEVEN : Number 按键常量 | EventObject
 | NUM_SIX : Number 按键常量 | EventObject
 | NUM_THREE : Number 按键常量 | EventObject
 | NUM_TWO : Number 按键常量 | EventObject
 | NUM_ZERO : Number 按键常量 | EventObject
 | O : Number 按键常量 | EventObject
 | ONE : Number 按键常量 | EventObject
 | P : Number 按键常量 | EventObject
 | PAGE_DOWN : Number 按键常量 | EventObject
 | PAGE_UP : Number 按键常量 | EventObject
 | PAUSE : Number 按键常量 | EventObject
 | PRINT_SCREEN : Number 按键常量 | EventObject
 | Q : Number 按键常量 | EventObject
 | R : Number 按键常量 | EventObject
 | RETURN : Number 按键常量 | EventObject
 | RIGHT : Number 按键常量 | EventObject
 | S : Number 按键常量 | EventObject
 | SEVEN : Number 按键常量 | EventObject
 | SHIFT : Number 按键常量 | EventObject
 | SIX : Number 按键常量 | EventObject
 | SPACE : Number 按键常量 | EventObject
 | T : Number 按键常量 | EventObject
 | TAB : Number 按键常量 | EventObject
 | THREE : Number 按键常量 | EventObject
 | TWO : Number 按键常量 | EventObject
 | U : Number 按键常量 | EventObject
 | UP : Number 按键常量 | EventObject
 | V : Number 按键常量 | EventObject
 | W : Number 按键常量 | EventObject
 | X : Number 按键常量 | EventObject
 | Y : Number 按键常量 | EventObject
 | Z : Number 按键常量 | EventObject
 | ZERO : Number 按键常量 | EventObject
 | altKey : Object 如果在事件发生时按下了alt键，此值为true | EventObject
 | browserEvent : Object 普通的浏览器事件 | EventObject
 | button : Object 在一个鼠标事件中的按键信息 | EventObject
 | ctrlKey : Object 如果在事件发生时按下了control键，此值为true | EventObject
 | shiftKey : Object 如果在发生事件时按下了shift键，此值为true | EventObject

公共方法

Method 所在类
getCharCode() : Number
获取事件的字符值
获取事件的字符值
参数:
  • 无.
返回值:
  • Number
 EventObject
getKey() : Number
为事件提供一个规格化的keyCode。
为事件提供一个规格化的keyCode。
参数:
  • 无.
返回值:
  • Number
    The key code
 EventObject
getPageX() : Number
获取事件的x坐标值。
获取事件的x坐标值。
参数:
  • 无.
返回值:
  • Number
 EventObject
getPageY() : Number
获取事件的y坐标。
获取事件的y坐标。
参数:
  • 无.
返回值:
  • Number
 EventObject
getRelatedTarget() : HTMLElement
获取事件关联的目标。
获取事件关联的目标。
参数:
  • 无.
返回值:
  • HTMLElement
 EventObject
getTarget( [String selector], [Number/Mixed maxDepth], [Boolean returnEl] ) : HTMLelement
获取事件的目标。
获取事件的目标。
参数:
  • selector : String
    (可选)一个简单的选择子，用来过滤目标，或者用来查找目标的祖先
  • maxDepth : Number/Mixed
    (可选) 搜索元素时的最大深度(默认值为 10 || document.body)
  • returnEl : Boolean
    (可选)设置为true将返回一个Ext.Element对象，而不是DOM节点
返回值:
  • HTMLelement
 EventObject
getTime() : Number
获取事件发生的时间。
获取事件发生的时间。
参数:
  • 无.
返回值:
  • Number
 EventObject
getWheelDelta() : Number
获取跨浏览器的，规格化的鼠标滚轮delta
获取跨浏览器的，规格化的鼠标滚轮delta
参数:
  • 无.
返回值:
  • Number
    The delta
 EventObject
getXY() : Array
获取事件的页面坐标。
获取事件的页面坐标。
参数:
  • 无.
返回值:
  • Array
    xy值，就像[x, y]
 EventObject
hasModifier() : Boolean
如果在事件发生时按下了control, meta, shift 或者 alt键，此值为true。
如果在事件发生时按下了control, meta, shift 或者 alt键，此值为true。
参数:
  • 无.
返回值:
  • Boolean
 EventObject
preventDefault() : void
阻止浏览器对事件的默认处理。
阻止浏览器对事件的默认处理。
参数:
  • 无.
返回值:
  • void
 EventObject
stopEvent() : void
停止事件(preventDefault 并 stopPropagation)
停止事件(preventDefault 并 stopPropagation)
参数:
  • 无.
返回值:
  • void
 EventObject
stopPropagation() : void
取消事件冒泡。
取消事件冒泡。
参数:
  • 无.
返回值:
  • void
 EventObject
within( Mixed el, [Boolean related] ) : Boolean
如果事件的目标是元素的孩子节点，返回true。 如果事件的目标是元素本身，返回false。 示例用法...
如果事件的目标是元素的孩子节点，返回true。 如果事件的目标是元素本身，返回false。 示例用法:
//处理一个元素任何孩子节点上的所有点击
Ext.getBody().on('click', function(e){
    if(e.within('some-el')){
        alert('Clicked on a child of some-el!');
    }
});

//处理直接发生在元素上的点击事件，忽略在孩子节点上发生的点击
Ext.getBody().on('click', function(e,t){
    if((t.id == 'some-el') && !e.within(t, true)){
        alert('Clicked directly on some-el!');
    }
});
参数:
  • el : Mixed
    The id, DOM element or Ext.Element to check
  • related : Boolean
    (可选) true to test if the related target is within el instead of the target
返回值:
  • Boolean
 EventObject

公共事件

该类没有公共事件。


Class Ext.form.Action

包: | Ext.form
所在文件: | Action.js
Class: | Action
子类: | Action.Load, Action.Submit
继承自: | Object

该类的子类提供可以在Form 上执行的相关操作。

该类的实例仅仅在 Form 中被创建，当它需要执行提交或者加载操作的时候。 该类的配置项列表可以通过Form的相关操作方法来设置： submit、 load 和doAction。

执行操作的Action实例将会被传递给Form操作 (submit、 load 和 doAction) success和failure的回调函数，以及 actioncomplete和 actionfailed 的事件处理器。

配置属性

配置属性 所在类
failure : Function
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数...
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。 如果Ajax请求失败，出错类型信息在 failureType中。 可以检测该对象的result 属性来执行特定的post处理。
 Action
method : String
访问URL的HTTP请求方式。 默认为...
访问URL的HTTP请求方式。 默认为Ext.form.BasicForm 指定的方式，如果也没有指定，使用底层DOM表单的请求方式。 （译者注：这里的请求方式指的是GET或者POST）
Action
params : Mixed
需要传递的额外参数。 这些参数将被添加到Form的...
需要传递的额外参数。 这些参数将被添加到Form的 Ext.form.BasicForm.baseParams 中，并与Form的输入栏一起被提交到指定的URL。
Action
reset : Boolean
当该配置项设置为true时， 将导致在操作成功时Form被重置...
当该配置项设置为true时， 将导致在操作成功时Form被重置 reset 。 如果指定该项，重置操作将在success 的回调方法和actioncomplete 事件触发之前执行。
 Action
scope : Object
调用回调函数的作用域(回调函数的this引用)。
Action
success : Function
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数...
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。可以检测该对象的result 属性来执行特定的post处理。
Action
timeout : Number
等待服务器响应的超时毫秒数，如果超时，将返回的失败类型failureType 为CONNECT_FAILURE。
Action
url : String
Action调用的URL。
Action
waitMsg : String
在执行操作期间，调用 Ext.MessageBox.wait 方法时显示的消息。
Action
waitTitle : String
Ext.MessageBox.wait 在执行操作期间，显示在Ext.MessageBox.wait 上的标题文本。
Action

公共属性

Property |  | 所在类
 | Action.CLIENT_INVALID : String <静态> 当表单在客户端校验失败并终止提交操作时返回的出错类型。 | Action
 | Action.CONNECT_FAILURE : String <静态> 当向远程服务器发送请求出错时返回的错误类型。 <静态> 当向远程服务器发送请求出错时返回的错误类型。 | Action
 | Action.LOAD_FAILURE : String <静态> 当响应的data属性中没有任何值的时候返回的出错类型。 | Action
 | Action.SERVER_INVALID : String <静态> Form在服务器端校验失败时的返回类型，表单中特定字段的出错... <静态> Form在服务器端校验失败时的返回类型，表单中特定字段的出错信息包含在响应(response)的 errors属性中。 | Action
 | failureType : String 检测到的失败类型。 参见CLIENT_INVALID, SERVER_INVALID, CONNECT_FAILURE, LOAD_FAILURE | Action
 | response : Object 用来执行操作的XMLHttpRequest对象。 （译者注：此处怀疑文档有误，应该是收到的响应对象才对，原文保留备查。） The XMLHttpRequest object used to perform the action. | Action
 | result : Object 解码好的响应对象，包含一个布尔型的success参数和其他 详细的操作说明参数。 | Action
 | type : String 当前Action实例执行的操作类型。当前只支持"submit"和"load"。 | Action

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Action
    Action.Load

Class Ext.form.Action.Load

包: | Ext.form
所在文件: | Action.js
Class: | Action.Load
继承自: | Action

处理从服务器加载数据进入 Ext.form.BasicForm 的输入栏。

此类的实例仅仅在进行load 加载操作时，被Form 创建。

响应数据包必须包含一个布尔型的 success参数和一个 data参数。 data参数包含需要加载的输入栏的值。 每个输入栏单个的值被传递到输入栏的 setValue 方法。

默认情况下，响应数据包被假定成JSON格式，所以一个典型的响应包看起来可能是这样的：

{
    success: true,
    data: {
        clientName: "Fred. Olsen Lines",
        portOfLoading: "FXT",
        portOfDischarge: "OSL"
    }
}

其它数据也可以放到响应中， 以便Form 的回调函数和事件处理器处理它们。 从JSON中解码好的数据可以在 result 属性中访问。

配置属性

配置属性 所在类
failure : Function
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数...
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。 如果Ajax请求失败，出错类型信息在 failureType中。 可以检测该对象的result 属性来执行特定的post处理。
 Action
method : String
访问URL的HTTP请求方式。 默认为...
访问URL的HTTP请求方式。 默认为Ext.form.BasicForm 指定的方式，如果也没有指定，使用底层DOM表单的请求方式。 （译者注：这里的请求方式指的是GET或者POST）
Action
params : Mixed
需要传递的额外参数。 这些参数将被添加到Form的...
需要传递的额外参数。 这些参数将被添加到Form的 Ext.form.BasicForm.baseParams 中，并与Form的输入栏一起被提交到指定的URL。
Action
reset : Boolean
当该配置项设置为true时， 将导致在操作成功时Form被重置...
当该配置项设置为true时， 将导致在操作成功时Form被重置 reset 。 如果指定该项，重置操作将在success 的回调方法和actioncomplete 事件触发之前执行。
 Action
scope : Object
调用回调函数的作用域(回调函数的this引用)。
Action
success : Function
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数...
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。可以检测该对象的result 属性来执行特定的post处理。
Action
timeout : Number
等待服务器响应的超时毫秒数，如果超时，将返回的失败类型failureType 为CONNECT_FAILURE。
Action
url : String
Action调用的URL。
Action
waitMsg : String
在执行操作期间，调用 Ext.MessageBox.wait 方法时显示的消息。
Action
waitTitle : String
Ext.MessageBox.wait 在执行操作期间，显示在Ext.MessageBox.wait 上的标题文本。
Action

公共属性

Property |  | 所在类
 | failureType : String 检测到的失败类型。 参见CLIENT_INVALID, SERVER_INVALID, CONNECT_FAILURE, LOAD_FAILURE | Action
 | response : Object 用来执行操作的XMLHttpRequest对象。 （译者注：此处怀疑文档有误，应该是收到的响应对象才对，原文保留备查。） The XMLHttpRequest object used to perform the action. | Action
 | result : Object 解码好的响应对象，包含一个布尔型的success参数和其他 详细的操作说明参数。 | Action
 | type : String 当前Action实例执行的操作类型。当前只支持"submit"和"load"。 | Action

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Action
    Action.Submit

Class Ext.form.Action.Submit

包: | Ext.form
所在文件: | Action.js
Class: | Action.Submit
继承自: | Action

该类负责处理表单Form 数据提交以及所返回的响应。

该类的实例只有在Form 提交（submitting） 的时候才被创建。

响应数据包必须包含一个 success属性， 并且，可选择包含一个 errors属性。 errors包含非法字段的出错信息。

默认情况下，响应数据被假定成JSON型的， 所以一个典型的响应数据包看起来可能是这样的：

{
    success: false,
    errors: {
        clientCode: "Client not found",
        portOfLoading: "This field must not be null"
    }
}

其它的数据可以包含在响应中，以便被 Ext.form.BasicForm 的回调函数或者事件处理方法来处理。 解析JSON生成的对象可以在 result 属性中访问。

可选的是，如果一个 errorReader 被指定成了一个XmlReader:

errorReader: new Ext.data.XmlReader({
            record : 'field',
            success: '@success'
        }, [
            'id', 'msg'
        ]
    )

那么，可以使用XML的格式返回结果:

<?xml version="1.0" encoding="UTF-8"?>
<message success="false">
<errors>
    <field>
        <id>clientCode</id>
        <msg><![CDATA[Code not found. <br /><i>This is a test validation message from the server </i>]]></msg>
    </field>
    <field>
        <id>portOfLoading</id>
        <msg><![CDATA[Port not found. <br /><i>This is a test validation message from the server </i>]]></msg>
    </field>
</errors>
</message>

其它的元素可以放在响应的XML文档中，以便被 Ext.form.BasicForm 的回调函数或者事件处理器来处理。 可以在 errorReader 的xmlData 属性中访问XML文档。

配置属性

配置属性 所在类
clientValidation : boolean
指定是否在提交表单之前调用isValid 方法来检测Form的字段是否合法...
指定是否在提交表单之前调用isValid 方法来检测Form的字段是否合法。 在Form的submit配置项中传递一个false可以阻止该操作。 如果没有定义，将在提交之前进行客户端校验。
Action.Submit
errorReader : Ext.data.DataReader
可选。 解析JSON不需要指定errorReader。...
可选。 解析JSON不需要指定errorReader。

一个Reader，从返回的数据中读取单个记录。 DataReader的success参数说明了如何检测提交是否成功。 Record的data提供了出错信息，可以应用到任何合法的表单输入栏上。

.
Action.Submit
failure : Function
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数...
当接收到一个操作失败数据包，或者在Ajax通讯失败时调用的方法。 方法将被传递如下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。 如果Ajax请求失败，出错类型信息在 failureType中。 可以检测该对象的result 属性来执行特定的post处理。
 Action
method : String
访问URL的HTTP请求方式。 默认为...
访问URL的HTTP请求方式。 默认为Ext.form.BasicForm 指定的方式，如果也没有指定，使用底层DOM表单的请求方式。 （译者注：这里的请求方式指的是GET或者POST）
Action
params : Mixed
需要传递的额外参数。 这些参数将被添加到Form的...
需要传递的额外参数。 这些参数将被添加到Form的 Ext.form.BasicForm.baseParams 中，并与Form的输入栏一起被提交到指定的URL。
Action
reset : Boolean
当该配置项设置为true时， 将导致在操作成功时Form被重置...
当该配置项设置为true时， 将导致在操作成功时Form被重置 reset 。 如果指定该项，重置操作将在success 的回调方法和actioncomplete 事件触发之前执行。
 Action
scope : Object
调用回调函数的作用域(回调函数的this引用)。
Action
success : Function
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数...
当接收到一个合法的操作成功数据包时调用的方法。 方法将会被传入以下参数:
  • form : Ext.form.BasicForm
    请求操作的表单
  • action : Ext.form.Action
    Action类。可以检测该对象的result 属性来执行特定的post处理。
Action
timeout : Number
等待服务器响应的超时毫秒数，如果超时，将返回的失败类型failureType 为CONNECT_FAILURE。
Action
url : String
Action调用的URL。
Action
waitMsg : String
在执行操作期间，调用 Ext.MessageBox.wait 方法时显示的消息。
Action
waitTitle : String
Ext.MessageBox.wait 在执行操作期间，显示在Ext.MessageBox.wait 上的标题文本。
Action

公共属性

Property |  | 所在类
 | failureType : String 检测到的失败类型。 参见CLIENT_INVALID, SERVER_INVALID, CONNECT_FAILURE, LOAD_FAILURE | Action
 | response : Object 用来执行操作的XMLHttpRequest对象。 （译者注：此处怀疑文档有误，应该是收到的响应对象才对，原文保留备查。） The XMLHttpRequest object used to perform the action. | Action
 | result : Object 解码好的响应对象，包含一个布尔型的success参数和其他 详细的操作说明参数。 | Action
 | type : String 当前Action实例执行的操作类型。当前只支持"submit"和"load"。 | Action

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Observable
    BasicForm

Class Ext.form.BasicForm

包: | Ext.form
所在文件: | BasicForm.js
Class: | BasicForm
继承自: | Observable
提供对表单进行操作("actions")、将Ext.form.Field初始化到已存在的标签中的能力。

默认情况下，Ext表单是使用 Ext.form.Action， 以Ajax方式提交的。 如果需要使用普通的方式提交Ext表单，可以使用 standardSubmit 配置项来进行配置。

配置属性

配置属性 |  | 所在类
 | baseParams : Object 附加在所有请求后面传递的参数。例如： baseParams: {id: '123', foo: 'bar'}。 | BasicForm
 | errorReader : DataReader 当执行提交操作时出现检验错误时一个 用来读取数据的Ext.data.DataReader... 当执行提交操作时出现校验错误时， 用来读取数据的Ext.data.DataReader (例如：Ext.data.XmlReader。 这只是一个配置项，因为存在用来处理JSON的内置支持。 （译者注：也就是说这个配置项一般不需要去配置。） | BasicForm
 | fileUpload : Boolean 如果当前表单是用来做文件上传操作的，设置此项为true... 如果当前表单是用来做文件上传操作的，设置此项为true。 文件上传不是使用普通的"Ajax"技术，也就是说，它们不是使用XMLHttpRequests来实现的。 作为替代的是，表单是以标准的风格提交的， 同时临时修改DOM的<form>元素，使它的target 指向一个动态生成的隐藏<iframe>， 这个隐藏的<iframe>被插入到document中，在收到返回数据后被删除掉。 浏览器将解析服务器的响应，为IFRAME创建document。 如果服务器使用JSON发送响应， 那么 Content-Type 头必须设置为"text/html"， 以便告诉浏览器将文本直接插入document的body中而不做改变。 从document中可以获得响应文本，然后创建一个假的XMLHttpRequest对象， 为了符合事件处理程序和回调函数的要求， 它包含一个responseText属性。 必须明白的是，文件上传发送数据包的content type是 multipart/form ，并且一些服务器端技术（特别是JavaEE），为了从数据包内容 解析参数名称和值，可能要求一些定制的处理。 | BasicForm
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | method : String 表单的请求方式(GET 或者 POST)， 如果在action配置项中没有提供，使用此配置。 | BasicForm
 | reader : DataReader 当执行"load"操作加载数据时使用的Ext.data.DataReader... 当执行"load"操作加载数据时使用的Ext.data.DataReader (例如Ext.data.XmlReader)。 该配置项是可选的，因为有一个内置的支持来解析JSON。 | BasicForm
 | standardSubmit : Boolean 如果此项设置为true，将使用标准的HTML表单提交代替XHR（Ajax）方式的提交。 (默认值为 false) | BasicForm
 | timeout : Number from操作的超时秒数(默认为30秒)。 | BasicForm
 | trackResetOnLoad : Boolean 如果设置为true，form.reset()方法将表单重置到最后一次加载或者 调用setValues()方法时的数据，而不是重置到表单创建时的状态。 | BasicForm
 | url : String 如果在action配置项中没有提供url，使用该URL来处理对表单的相关操作。 | BasicForm

公共属性

Property |  | 所在类
 | waitMsgTarget : Mixed 默认情况下，使用Ext.MessageBox.wait来显示等待消息（译者注：也就是进展条）。 你可以传递... 默认情况下，使用Ext.MessageBox.wait来显示等待消息（译者注：也就是进展条）。 你可以传递一个元素或者它的id来作为显示遮罩的目标对象，或者配置一个true来遮罩表单自身。 （译者注：使用进展条时，Ext会有阴影和遮罩效果，该配置项是用来配置将遮罩显示在哪个元素上。） | BasicForm

公共方法

Method 所在类
BasicForm( Mixed el, Object config )
参数:
  • el : Mixed
    The form element or its id
  • config : Object
    Configuration options
返回值:
BasicForm
add( Field field1, [Field field2], [Field etc] ) : BasicForm
向当前表单中添加一个Ext.form组件。
向当前表单中添加一个Ext.form组件。
参数:
  • field1 : Field
  • field2 : Field
    (可选)
  • etc : Field
    (可选)
返回值:
  • BasicForm
    this
 BasicForm
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyIfToFields( Object values ) : BasicForm
使用传递进来的对象，对表单中所有的输入栏调用 Ext.applyIf 方法。
使用传递进来的对象，对表单中所有的输入栏调用 Ext.applyIf 方法。
参数:
  • values : Object
返回值:
  • BasicForm
    this
 BasicForm
applyToFields( Object values ) : BasicForm
对表单中所有的输入字段调用 Ext.apply 方法，参数为传入的对象。
对表单中所有的输入字段调用 Ext.apply 方法，参数为传入的对象。
参数:
  • values : Object
返回值:
  • BasicForm
    this
 BasicForm
clearInvalid() : BasicForm
清除表单中所有的非法标记信息。
清除表单中所有的非法标记信息。
参数:
  • 无.
返回值:
  • BasicForm
    this
 BasicForm
doAction( String/Object actionName, [Object options] ) : BasicForm
执行一个预定义的操作 (Ext.form.Action.Submit或者 Ext.form.Action.Load) 或者...
执行一个预定义的操作 (Ext.form.Action.Submit或者 Ext.form.Action.Load) 或者一个继承自Ext.form.Action 的定制操作，以执行一个特定的处理。
参数:
  • actionName : String/Object
    预定义的操作类型名称， 或者需要执行的Ext.form.Action 的实例。
  • options : Object
    (可选) 传递给Ext.form.Action 的配置项。 submit和load操作支持以下列出的所有配置选项，除非有特殊说明（定制的操作也可以接收其他的配置选项）:
    • url : String

      操作的url (默认为表单的url。)

    • method : String

      表单的提交方式(默认为表单的提交方式，如果未指定则为POST)

    • params : String/Object

      The params to pass (默认值为表单的 baseParams，如果未定义则为none。)

    • headers : Object

      此操作的请求头部信息 (默认值为表单的默认头部信息)（译者注：指HTTP协议头信息。）

    • success : Function

      在成功收到响应之后回调的方法。 注意：这只是指HTTP请求成功（事务被正确地发送和接收）， 但是响应的结果仍然可以包含错误数据。 方法将会被传递以下参数：

      • form : Ext.form.BasicForm
        请求此操作的表单
      • action : Ext.form.Action
        Action类. 可以检查此对象的 result 属性，以执行特定的处理。

    • failure : Function

      当尝试操作失败时回调的方法。 注意：这只是HTTP操作失败， 意味着服务器返回了HTTP错误状态码。 方法将会被传递如下参数:

      • form : Ext.form.BasicForm
        请求此操作的表单
      • action : Ext.form.Action
        Action类. 如果发生了一个Ajax错误， 错误类型在 failureType 参数中。 可以检查此对象的 result 属性，以执行特定的处理。

    • scope : Object

      调用回调函数的作用域 (也就是回调函数的this引用)。

    • clientValidation : Boolean

      只对Submit操作可用。 指定是否在最终提交之前调用 isValid 方法来校验表单。 设置为false可阻止此操作。 如果不指定，提交之前将进行校验操作。

返回值:
  • BasicForm
    this
 BasicForm
findField( String id ) : Field
根据id、dataIndex、name或者hiddenName查找表单中的Ext.form.Field。
根据id、dataIndex、name或者hiddenName查找表单中的Ext.form.Field。
参数:
  • id : String
    需要搜索的值
返回值:
  • Field
 BasicForm
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getEl() : Ext.Element
获取HTML表单项。
获取HTML表单项。
参数:
  • 无.
返回值:
  • Ext.Element
 BasicForm
getValues( [Boolean asString] ) : String/Object
以键值对的格式返回所有输入栏的值，就像它们在使用标准形式的提交时那样...
以键值对的格式返回所有输入栏的值，就像它们在使用标准形式的提交时那样。 如果存在多个同名的输入栏，它们将以一个数组的形式返回。
参数:
  • asString : Boolean
    (可选) 设置为false，将值以一个对象的形式返回(默认作为一个字符串返回)
返回值:
  • String/Object
 BasicForm
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isDirty() : Boolean
如果此表单中的字段在加载之后被改动过，则返回true。
如果此表单中的字段在加载之后被改动过，则返回true。
参数:
  • 无.
返回值:
  • Boolean
 BasicForm
isValid() : Boolean
如果表单在客户端校验合法，返回true。
如果表单在客户端校验合法，返回true。
参数:
  • 无.
返回值:
  • Boolean
 BasicForm
load( Object options ) : BasicForm
进行load action的快捷方式。
进行load action的快捷方式。
参数:
  • options : Object
    传递给action(详情参见 doAction) 的配置项。
返回值:
  • BasicForm
    this
 BasicForm
loadRecord( Record record ) : BasicForm
把一个Ext.data.Record加载到表单中。
把一个Ext.data.Record加载到表单中。
参数:
  • record : Record
    需要记载的Record
返回值:
  • BasicForm
    this
 BasicForm
markInvalid( Array/Object errors ) : BasicForm
将表单中的输入栏批量标记为非法状态。
将表单中的输入栏批量标记为非法状态。
参数:
  • errors : Array/Object
    要么是如下格式的一个数组：[{id:'fieldId', msg:'The message'},...] 或者是一个对象哈希：{id: msg, id2: msg2}
返回值:
  • BasicForm
    this
 BasicForm
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Field field ) : BasicForm
从集合中删除一个输入字段(不删除它的标签)。
从集合中删除一个输入字段(不删除它的标签)。
参数:
  • field : Field
返回值:
  • BasicForm
    this
 BasicForm
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render() : BasicForm
遍历添加到（added ） 当前BasicForm中的所有项目...
遍历添加到（added ） 当前BasicForm中的所有项目（Fields）， 检查它们的id，并对已经存在的拥有相同id的DOM元素 调用Ext.form.Field.applyToMarkup 方法。
参数:
  • 无.
返回值:
  • BasicForm
    this
 BasicForm
reset() : BasicForm
重置表单。
重置表单。
参数:
  • 无.
返回值:
  • BasicForm
    this
 BasicForm
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setValues( Array/Object values ) : BasicForm
批量设置当前表单中输入项的值。
批量设置当前表单中输入项的值。
参数:
  • values : Array/Object
    要么是如下格式的一个数组:

    [{id:'clientName', value:'Fred. Olsen Lines'},
 {id:'portOfLoading', value:'FXT'},
 {id:'portOfDischarge', value:'OSL'} ]

    或者是如下格式的一个对象哈希:

    {
    clientName: 'Fred. Olsen Lines',
    portOfLoading: 'FXT',
    portOfDischarge: 'OSL'
}

返回值:
  • BasicForm
    this
 BasicForm
submit( Object options ) : BasicForm
submit action的快捷方式
submit action的快捷方式
参数:
  • options : Object
    The options to pass to the action (see doAction for details)
返回值:
  • BasicForm
    this
 BasicForm
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateRecord( Record record ) : BasicForm
把处于beginEdit/endEdit块中的表单值持久化到 传递进来的Ext.data.Record对象中。
把处于beginEdit/endEdit块中的表单值持久化到 传递进来的Ext.data.Record对象中。
参数:
  • record : Record
    The record to edit
返回值:
  • BasicForm
    this
 BasicForm

公共事件

Event 所在类
actioncomplete : ( Form this, Action action )
当一个操作结束时触发。
当一个操作结束时触发。
监听器将会用如下的参数格式调用:
  • this : Form
  • action : Action
    The Ext.form.Action that completed
 BasicForm
actionfailed : ( Form this, Action action )
当操作失败时触发。
当操作失败时触发。
监听器将会用如下的参数格式调用:
  • this : Form
  • action : Action
    The Ext.form.Action that failed
 BasicForm
beforeaction : ( Form this, Action action )
在进行一个操作之前触发。返回false终止操作。
在进行一个操作之前触发。返回false终止操作。
监听器将会用如下的参数格式调用:
  • this : Form
  • action : Action
    The Ext.form.Action to be performed
 BasicForm


Observable
    Component
      BoxComponent
        Field
          Checkbox

Class Ext.form.Checkbox

包: | Ext.form
所在文件: | Checkbox.js
Class: | Checkbox
子类: | Radio
继承自: | Field
单个的复选框。 可以直接替代传统的复选框。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素描述，或者true，等于一个默认的元素说明...
一个DomHelper元素描述，或者true，等于一个默认的元素说明 (默认值为 {tag: "input", type: "checkbox", autocomplete: "off"}).
Checkbox
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
boxLabel : String
复选框旁边显示的文本(默认值为 '')
Checkbox
checked : Boolean
当复选框被渲染为已选中状态时，此值为true(默认值为 false)
Checkbox
checkedCls : String
被选中时使用的CSS类...
被选中时使用的CSS类(默认值为 'x-form-check-checked')。 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusCls : String
在获得输入焦点时使用的CSS样式(默认值为 'x-form-check-focus')...
在获得输入焦点时使用的CSS样式(默认值为 'x-form-check-focus')。 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
handler : Function
当checked 的值被改变时调用的方法(可以用来替代check事件的处理)
Checkbox
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
inputValue : String
应该设置到，生成的，输入元素的值属性，的值...
应该设置到，生成的，输入元素的键，的值(默认值为 undefined， 没有键)
译者注：指把一个值设置到指定的键，形成键值对形式的数据。
Checkbox
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
mouseDownCls : String
当复选框被动态选中时的CSS样式...
当复选框被动态选中时的CSS样式(默认值为 'x-form-check-down'). 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
当鼠标移过时使用的CSS类...
当鼠标移过时使用的CSS类(默认值为 'x-form-check-over'). 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为0，它允许浏览器管理tab index)。
Checkbox
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Checkbox( Object config )
创建一个复选框实例
创建一个复选框实例
参数:
  • config : Object
    Configuration options
返回值:
Checkbox
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Boolean
返回checkbox的选中状态。
返回checkbox的选中状态。
参数:
  • 无.
返回值:
  • Boolean
    如果处于选中状态，返回true，否则返回false
 Checkbox
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Boolean/String checked ) : void
设置复选框的选中状态。
设置复选框的选中状态。
参数:
  • checked : Boolean/String
    True, 'true', '1', or 'on' to check the checkbox, any other value will uncheck it.
返回值:
  • void
 Checkbox
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
check : ( Ext.form.Checkbox this, Boolean checked )
当复选框被选中或反选时触发。
当复选框被选中或反选时触发。
监听器将会以如下的参数格式来调用:
  • this : Ext.form.Checkbox
    This checkbox
  • checked : Boolean
    The new checked value
 Checkbox
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          CheckboxGroup

Class Ext.form.CheckboxGroup

包: | Ext.form
所在文件: | CheckboxGroup.js
Class: | CheckboxGroup
子类: | RadioGroup
继承自: | Field
一个用来控制Ext.form.Checkbox 的分组容器。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，该组中至少有一个元素被选中(默认值为 true)。 如果在校验时没有元素被选中，{@link @blankText} 将被用作出错文本。
如果为false，该组中至少有一个元素被选中(默认值为 true)。 如果在校验时没有元素被选中，{@link @blankText} 将被用作出错文本。
CheckboxGroup
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
allowBlank 校验出错时显示的出错文本，(默认值为 "You must select at least one item in this group")
CheckboxGroup
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
columns : String/Number/Array
当使用自动布局时， 指定分组的checkbox/radio的列数...
当使用自动布局时， 指定分组的checkbox/radio的列数。（译者注：也就是一列放几个元素，逐句翻译起来咋这么别扭呢！） 该配置项可以使用如下几种值：
  • 'auto' :

    每列放置一个组件， 列的宽度将会根据输入栏容器的整体宽度平均分配 。 这是默认值

  • Number :

    如果你指定了一个数值(例如： 3) 将会创建所指定数值的列数，并且被包含的组件将会根据 vertical 的值自动分配。

  • Array : Object

    你也可以指定一个列宽度的数组， 根据需要混合使用整数（位数固定）和浮点数(例如： [100, .25, .75])。 所有整数将会被首先渲染， 然后浮点数将会被当作百分数来计算，它们占有剩余的空间。 浮点数之和不必为1(100%)，如果你希望组件占满整个输入栏容器时可以这么做。（译者注：指让这些浮点数之和为1）

CheckboxGroup
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vertical : Boolean
如果为true，使包含的组件按列分布， 从上到下完全填满一列，然后开始新的一列...
（译者注：以下的废话大体意思是把组件呈纵向优先分布，或者说垂直优先分布。 也就是说先从上到下放满一列，然后放第二列，而不是一行一行去放组件。 ） 如果为true，使包含的组件按列分布， 从上到下完全填满一列，然后开始新的一列。 每列的组件个数将会被自动计算以保证尽量平均。 默认值为false， 此时将会每次添加一个组件到列， 从左到右完全填满一行，然后开始新的一行。
CheckboxGroup
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
CheckboxGroup( Object config )
创建新的CheckboxGroup实例
创建新的CheckboxGroup实例
参数:
  • config : Object
    Configuration options
返回值:
CheckboxGroup
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField
            TriggerField
              ComboBox

Class Ext.form.ComboBox

包: | Ext.form
所在文件: | Combo.js
Class: | ComboBox
子类: | TimeField
继承自: | TriggerField
一个下拉选择框，支持自动完成、远程加载、分页和其他特性。

配置属性

配置属性 所在类
allQuery : String
发送给服务器的查询字符串， 服务器将返回一个没有过滤的记录列表 (默认值为 '')
ComboBox
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : Boolean/Object
一个DomHelper元素配置，或者设置为true，使用默认的元素配置...
一个DomHelper元素配置，或者设置为true，使用默认的元素配置 (默认值为: {tag: "input", type: "text", size: "24", autocomplete: "off"})
ComboBox
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
displayField : String
绑定到当前BomboBox的底层数据项的名称 (如果mode = 'remote'，默认值为 undefined...
绑定到当前BomboBox的底层数据项的名称 (如果mode = 'remote'，默认值为 undefined，或者 在使用转换的方式构责ComboBox的时候，为'text')。 （译者注：也就是说，这个值为列表中所有项目的显示文本域）
ComboBox
editable : Boolean
设置为false以阻止用户直接向该输入项输入文本， 就像一个传统的select(默认值为 true)
ComboBox
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
forceSelection : Boolean
如果为true，将限制选择的值必须是下拉列表中的值。 如果为false...
如果为true，将限制选择的值必须是下拉列表中的值。 如果为false，允许用户设置任意值到输入栏 (默认值为 false)
ComboBox
handleHeight : Number
当resizable = true时，下拉列表中调整尺寸的手柄的高度像素值 (默认值为 8)
ComboBox
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hiddenId : String
如果指定了hiddenName 也可以提供一个hiddenId...
如果指定了hiddenName 也可以提供一个hiddenId，以便赋予隐藏域一个唯一的id (默认值为hiddenName的值)。 hiddenId和combo的id 应该是不同的，因为两个DOM节点不应该共享同一个id。
ComboBox
hiddenName : String
如果指定，将自动创建一个表单隐藏域来存储输入项的值 (默认值为底层DOM元素的名称)。 如...
如果指定，将自动创建一个表单隐藏域来存储输入项的值 (默认值为底层DOM元素的名称)。 如果想要在表单提交时自动提交combo的值，该配置项是必须的。 注意： 如果没有指定hiddenId， 隐藏域的id默认和这个名称相同。 combo的id和隐藏域的id应该不同， 因为两个DOM节点不应该共用同一个id， 所以，如果combo和隐藏域的名称相同时，你必须指定一个唯一的hiddenId。 （译者注：请特别注意这一个配置项，一般写脚本时习惯指定combo的id和hiddenName，根据这里的说明可以知道 id和hiddenName是不能相同的，否则自动创建出来的底层DOM元素就使用了同一个id，这样的话下拉选择框就渲染不出来了。 当你发现你的下拉选择框出现渲染不正常时，可以先检查是不是id和hiddenName设置成一样的了。 更详细的截图和描述参见这里：ComboBox的恶心显示问题 ）
ComboBox
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
hideTrigger : Boolean
如果为true，将隐藏触发元素（译者注：指的是触发按钮，就像传统的下拉选择框的触发按钮） ，仅仅显示基本的文本(默认值为 false)
TriggerField
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
itemSelector : String
如果在tpl 配置项中 指定了一个定制的XTemplate， 则该配置项是必须的...
如果在tpl 配置项中指定了一个定制的XTemplate，则该配置项是必须的， 它为下拉列表中的项目分配了一个不同于
'x-combo-list-item'
的CSS类。 一个简单的CSS选择器(例如：div.some-class或者span:first-child)， 它将用来决定处理下拉列表的DataView与哪些节点协同工作。
ComboBox
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
lazyInit : Boolean
设置为true，将不初始化combo的列表，直到该输入栏获得焦点(默认值为 true)
ComboBox
lazyRender : Boolean
设置为true可以阻止ComboBox渲染，直到必须的时候再渲染...
设置为true可以阻止ComboBox渲染，直到必须的时候再渲染 (当渲染到一个Ext.Editor中时应该总是使用此配置项，默认值为 false)。
ComboBox
listAlign : String
一个合法的锚定位置值。 支持的锚定位置详情，请参见Ext.Element.alignTo (默认值为 'tl-bl')
ComboBox
listClass : String
应用到下拉列表项的CSS类(默认值为 '')
ComboBox
listWidth : Number
下拉列表的宽度像素值 (默认值为ComboBox的宽度)
ComboBox
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadingText : String
在加载数据时显示在下拉列表中的文本。 只有在mode = 'remote'时才起作用(默认值为...
在加载数据时显示在下拉列表中的文本。 只有在mode = 'remote'时才起作用(默认值为 'Loading...')。
ComboBox
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxHeight : Number
下拉列表的最大高度像素数px，超过此高度将显示滚动条(默认值为 300)
ComboBox
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
minChars : Number
在自动完成和typeahead起作用之前，用户必须键入的最少字符个数 (如果为远程加载，默认值为 4 本地数据时为0...
在自动完成和typeahead起作用之前，用户必须键入的最少字符个数 (如果为远程加载，默认值为 4 本地数据时为0， 如果editable = false则没有作用)。
ComboBox
minHeight : Number
当列表受到视区边缘约束时，下拉列表的最小高度像素值(默认值为 90)...
当列表受到视区边缘约束时，下拉列表的最小高度像素值(默认值为 90)
ComboBox
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
minListWidth : Number
下拉列表最小宽度像素值(默认值为 70，如果listWidth有一个更大的数值，则忽略此配置项)
ComboBox
mode : String
如果ComboBox加载本地数据 设置为'local' (默认值为 'remote'，它将从服务器加载数据)
ComboBox
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageSize : Number
如果大于0，下拉列表底部将显示一个分页工具条， 查询操作时将增加分页参数start和limit...
如果大于0，下拉列表底部将显示一个分页工具条， 查询操作时将增加分页参数start和limit。 只有在 mode = 'remote'时才起作用。 (默认值为 0)
ComboBox
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
queryDelay : Number
在开始输入和开始查询下拉列表进行数据匹配之间的延迟时间毫秒数...
在开始输入和开始查询下拉列表进行数据匹配之间的延迟时间毫秒数(如果mode = 'remote'默认值为 500 ，mode = 'local'时为10)
ComboBox
queryParam : String
Name of the query as it will be passed on the querystring (默认值为 'query')
ComboBox
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
resizable : Boolean
如果为true，在下拉列表的底部添加一个可以改变尺寸的手柄 (默认值为 false)
ComboBox
selectOnFocus : Boolean
设置为true，当获得焦点时立即选中输入栏中存在的所有文本...
设置为true，当获得焦点时立即选中输入栏中存在的所有文本。 只有当editable=true时才有效(默认值为 false)
ComboBox
selectedClass : String
应用到下拉列表中被选中的项目的CSS样式(默认值为 'x-combo-selected')
ComboBox
shadow : Boolean/String
设置为true或者"sides"使用默认的效果， "frame"使用4边阴影， "drop"使用底部和右侧阴影
ComboBox
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store/Array
绑定到当前combo的数据源(默认值为 undefined)。 可以是...
绑定到当前combo的数据源(默认值为 undefined)。 可以是Ext.data.Store 的任意一个子类、一个一维数组(例如： ['Foo','Bar']) 或者一个二维数组(例如： [['f','Foo'],['b','Bar']])。 数组将会在内部被转换成Ext.data.SimpleStore 。 一维数组将自动被扩展（数组的每个元素将会成为combo的值和显示文本）， 对于多维数组，每个元素中索引位置为0的值被假定为combo的值， 而索引位置为1的值被假定为combo的文本。
ComboBox
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
title : String
如果提供此项，将会创建一个包含此文本的header元素，并添加到下拉列表的头部...
如果提供此项，将会创建一个包含此文本的header元素，并添加到下拉列表的头部 (默认值为 undefined，没有header元素)
ComboBox
tpl : String/Ext.XTemplate
模板字符串， 或者Ext.XTemplate 实例，用来在下拉列表中显示每个选择项...
模板字符串， 或者Ext.XTemplate 实例，用来在下拉列表中显示每个选择项。 可以使用此配置项为列表中的项目定制UI布局。

如果你希望保持下来列表中项目默认的视觉效果，可以添加CSS类名

x-combo-list-item
到模板的容器元素。

模板必须包含一个或多个替代参数 使用Combo的Store 中的字段名称。 定制的模板将会被添加一个

ext:qtip
参数，它将用来显示Store中的其他字段。

下拉列表将被显示在一个DataView中。 详情参见Ext.DataView。

ComboBox
transform : Mixed
一个id、DOM节点或者一个已经存在的HTML下拉列表，可以将它转换成一个ComboBox。 注意：如果你指定该项并且combo是处于一个...
一个id、DOM节点或者一个已经存在的HTML下拉列表，可以将它转换成一个ComboBox。 注意：如果你指定该配置项，并且combo是处于一个 Ext.form.BasicForm或者 Ext.form.FormPanel中时， 你必须设置lazyRender = true。
ComboBox
triggerAction : String
当此输入项被设置为当前活动项时执行的操作 ...
当此输入项被设置为当前活动项时执行的操作。（译者注：可以简单地理解为下拉框获得了焦点或者被点击了） 配置为'all'将执行allQuery配置项中指定的所有查询操作 (默认值为 'query')。
ComboBox
triggerClass : String
一个额外的CSS类，被用来设置触发按钮的样式。 如果指定该项，触发按钮将总是...
一个额外的CSS类，被用来设置触发按钮的样式。 如果指定该项，触发按钮将总是get 'x-form-trigger'样式类 并且triggerClass为appended， (默认值为 'x-form-arrow-trigger'，它将显示一个向下的箭头图标)。
ComboBox
typeAhead : Boolean
设置为true，当开始输入字符时，在指定的延迟之后会自动匹配剩下的内容，如果找到了匹配的 内容则自动选中它...
设置为true，当开始输入字符时，在指定的延迟之后会自动匹配剩下的内容，如果找到了匹配的 内容则自动选中它 (typeAheadDelay) (默认值为 false)
ComboBox
typeAheadDelay : Number
如果typeAhead = true时，显示自动匹配的项目之前延迟的毫秒数(默认值为 250)。 （译者注：简单理解就是自动匹配的延迟时间，你先输入一两个字符，然后ComboBox自动 到列表里面搜索，看有没有能和输入的字符匹配上的项目）
ComboBox
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
valueField : String
绑定到当前ComboBox的底层数据值的名称 (如果mode = 'remote'，默认值为 undefined，或者...
绑定到当前ComboBox的底层数据值的名称（译者注：也就是说，这个值为列表中所有项目的值域） (如果mode = 'remote'，默认值为 undefined，或者 在使用转换的方式构责ComboBox的时候，为'value') 注意：使用valueField配置项时要求用户必须选择一个项目，以便映射一个值。
ComboBox
valueNotFoundText : String
当使用一个name/value型的下拉框时，如果传递给setValue方法的值 在store中...
当使用一个name/value型的下拉框时，如果传递给setValue方法的值 在store中并不存在，valueNotFoundText将会被设置为输入项的显示文本， 如果有定义的话(默认值为 undefined)。 如果使用了这个默认文本， 那将意味着没有可以设置的值，同时对该输入项不做校验。
ComboBox
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component
 | view : Ext.DataView 用来显示ComboBox选择项的一个DataView 。 | ComboBox

公共方法

Method 所在类
ComboBox( Object config )
Create a new ComboBox.
Create a new ComboBox.
参数:
  • config : Object
    Configuration options
返回值:
ComboBox
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
clearValue() : void
清除设置到输入项的所有当前文本/值。
清除设置到输入项的所有当前文本/值。
参数:
  • 无.
返回值:
  • void
 ComboBox
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse() : void
如果下拉列表此时处于展开状态，则隐藏之。 完成操作时触发collapse 事件。
如果下拉列表此时处于展开状态，则隐藏之。 完成操作时触发collapse 事件。
参数:
  • 无.
返回值:
  • void
 ComboBox
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doQuery( String query, Boolean forceAll ) : void
执行一个查询来过滤下拉列表。 在执行查询之前触发...
执行一个查询来过滤下拉列表。 在执行查询之前触发 beforequery 事件。这样的话，如果需要可以取消查询操作。
参数:
  • query : String
    需要执行的SQL查询
  • forceAll : Boolean
    如果为true，即使输入栏当前的字符个数比minChars配置项中指定的还要少，也将强制进行查询操作。 同时会清除之前存储在store中的所有过滤器(默认值为 false)。
返回值:
  • void
 ComboBox
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand() : void
如果下拉列表当前是隐藏的，则展开它。 在完成后触发expand 事件。
如果下拉列表当前是隐藏的，则展开它。 在完成后触发expand 事件。
参数:
  • 无.
返回值:
  • void
 ComboBox
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : String
返回值当前选择项目的值，如果该项没有设置value，则返回空字符串。
返回值当前选择项目的值，如果该项没有设置value，则返回空字符串。
参数:
  • 无.
返回值:
  • String
    value The selected value
 ComboBox
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isExpanded() : void
如果列表处于展开状态，返回true，否则返回false。
如果列表处于展开状态，返回true，否则返回false。
参数:
  • 无.
返回值:
  • void
 ComboBox
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( Number index, Boolean scrollIntoView ) : void
根据项目在列表中的索引选中下拉列表中的项目。 此方法不会触发select事件...
根据项目在列表中的索引选中下拉列表中的项目。 此方法不会触发select事件。 为了此方法能够工作，store必须被加载完成并且列表必须处于展开状态， 否则请使用setValue方法。
参数:
  • index : Number
    需要选择的列表项索引，从0开始
  • scrollIntoView : Boolean
    设置为false，如果所选择的项目不在当前的视区中时，将阻止产生滚动条(默认值为 true)。
返回值:
  • void
 ComboBox
selectByValue( String value, Boolean scrollIntoView ) : Boolean
根据数据值选中下拉列表中的一个项目。 此方法不触发select事件。 为了使此方法能工作...
根据数据值选中下拉列表中的一个项目。 此方法不触发select事件。 为了使此方法能工作，store必须已经加载并且列表处于展开状态， 否则使用setValue方法。
参数:
  • value : String
    The data value of the item to select
  • scrollIntoView : Boolean
    False to prevent the dropdown list from autoscrolling to display the selected item if it is not currently in view (默认值为 true)
返回值:
  • Boolean
    如果值于下拉列表中的一个项目相匹配，返回true，否则返回false。
ComboBox
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setEditable( Boolean value ) : void
允许或禁止用户直接编辑输入栏中的文本。 如果指定为false...
允许或禁止用户直接编辑输入栏中的文本。 如果指定为false，用户只能选择下拉列表中列出来的项目。 此方法和配置时设定'editable'配置项的效果是一样的。
参数:
  • value : Boolean
    True to allow the user to directly edit the field text
返回值:
  • void
 ComboBox
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( String value ) : void
为该输入栏设置特定的值。 如果找到了一个匹配的值，对应记录的文本将被显示在输入栏中...
为该输入栏设置特定的值。 如果找到了一个匹配的值，对应记录的文本将被显示在输入栏中。 如果该数值不能匹配一个已存在的项目，并且指定了valueNotFoundText配置项， 那么它将被作为默认的文本显示。 否则，输入栏将会处于空白状态(尽管该值还是被设置了)。
参数:
  • value : String
    The value to match
返回值:
  • void
 ComboBox
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforequery : ( Object queryEvent )
在所有查询执行之前触发。 返回false或者设置queryEvent的cancel属性为true，以终止查询。
在所有查询执行之前触发。 返回false或者设置queryEvent的cancel属性为true，以终止查询。
监听器将会被用如下的参数调用:
  • queryEvent : Object
    一个拥有如下属性的对象：
    • combo : Ext.form.ComboBox
      This combo box
    • query : String
      The query
    • forceAll : Boolean
      True to force "all" query
    • cancel : Boolean
      Set to true to cancel the query
 ComboBox
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeselect : ( Ext.form.ComboBox combo, Ext.data.Record record, Number index )
在选中一个项目之前触发。 返回false终止选择。
在选中一个项目之前触发。 返回false终止选择。
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
  • record : Ext.data.Record
    The data record returned from the underlying store
  • index : Number
    The index of the selected item in the dropdown list
 ComboBox
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
collapse : ( Ext.form.ComboBox combo )
当下拉列表被折叠时触发
当下拉列表被折叠时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
 ComboBox
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.form.ComboBox combo )
当下拉列表被展开时触发
当下拉列表被展开时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
 ComboBox
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
select : ( Ext.form.ComboBox combo, Ext.data.Record record, Number index )
当选中下拉列表中的一个项目时触发
当选中下拉列表中的一个项目时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
  • record : Ext.data.Record
    The data record returned from the underlying store
  • index : Number
    The index of the selected item in the dropdown list
 ComboBox
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField
            TriggerField
              DateField

Class Ext.form.DateField

包: | Ext.form
所在文件: | DateField.js
Class: | DateField
继承自: | TriggerField
提供一个日期输入栏 ，有一个下拉的 Ext.DatePicker 和自动日期校验功能。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
altFormats : String
用"|"分隔的多种日期格式，当解析一个用户输入值，而这个值不符合 定义的格式时使用...
用"|"分隔的多种日期格式，当解析一个用户输入值，而这个值不符合 定义的格式时使用 (默认值为 'm/d/Y|n/j/Y|n/j/y|m/j/y|n/d/y|m/j/Y|n/d/Y|m-d-y|m-d-Y|m/d|m-d|md|mdy|mdY|d|Y-m-d').
DateField
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，将使用默认的元素配置...
一个DomHelper元素配置，或者为true，将使用默认的元素配置(默认值为 {tag: "input", type: "text", size: "10", autocomplete: "off"})
DateField
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
disabledDates : Array
一个需要设置成无效的"dates"数组，字符串格式。 这些字符串将被用来创建一个动态的正则表达式...
一个需要设置成无效的"dates"数组，字符串格式。 这些字符串将被用来创建一个动态的正则表达式，这样它们将会非常强大。 一些例子:
  • ["03/08/2003", "09/16/2003"]将会这些确切的日期设置为无效
  • ["03/08", "09/16"] 将会把每一年的这两天设置为无效
  • ["^03/08"] 将会仅仅从起始点匹配 (当你使用一个缩略的年数时非常有用)
  • ["03/../2006"] 将会把2006年3月的每一天都设置为无效
  • ["^03"] 将会把每个3月的每一天设置为无效
注意：数组中日期的格式必须与 format 配置项严格相同。 为了支持正则表达式，如果你使用的日期格式里面含有"."， 当对日期进行约束时你必须转义这个点。 例如: ["03\\.08\\.03"].
DateField
disabledDatesText : String
当日期落在一个无效的日期上时，显示的tooltip文本(默认值为 'Disabled')
DateField
disabledDays : Array
一个无效天序号的数组，从0开始。例如：[0, 6] 将会把Sunday 和 Saturday设置为无效 (默认值为 null)。 更详细的描述参考setDisabledDays方法。
DateField
disabledDaysText : String
The tooltip to display when the date falls on a disabled day (默认值为 'Disabled')
DateField
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
format : String
默认的日期格式字符串，可以覆盖它以提供本地化支持...
默认的日期格式字符串，可以覆盖它以提供本地化支持。 格式必须合法，由Date.parseDate 指定 (默认值为 'm/d/Y').
DateField
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
hideTrigger : Boolean
如果为true，将隐藏触发元素（译者注：指的是触发按钮，就像传统的下拉选择框的触发按钮） ，仅仅显示基本的文本(默认值为 false)
TriggerField
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当此输入栏中的日期为非法值时显示的出错提示文本 (默认值为 '{value} is not a valid date - it must be in the format...
当此输入栏中的日期为非法值时显示的出错提示文本 (默认值为 '{value} is not a valid date - it must be in the format {format}').
DateField
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
maxText : String
当日期小格子中的日期大于maxValue时显示的出错文本 (默认值为 'The date in this field must be before {maxValue}')。
当日期小格子中的日期大于maxValue时显示的出错文本 (默认值为 'The date in this field must be before {maxValue}')。
DateField
maxValue : Date/String
允许的最大日期。 既然可以是一个Javascript date 对象也可以是一个 格式合法的字符串 (默认值为 null).
DateField
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
minText : String
当小格子中的日期比minValue还早时显示的出错提示文本 (默认值为 'The date in this field must be after {minValue}')。
当小格子中的日期比minValue还早时显示的出错提示文本 (默认值为 'The date in this field must be after {minValue}')。
DateField
minValue : Date/String
允许的最小日期。 可以是一个Javascript日期对象或者是一个合法格式的日期字符串(默认值为 null).
DateField
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
showToday : Boolean
设置为false将隐藏DatePicker的底部区域，这个区域包含了一个 Today按钮...
设置为false将隐藏DatePicker的底部区域，这个区域包含了一个 Today按钮；同时将按键处理器设置为无效，按下空格时这个处理器会把日期选择为 当前日期(默认值为 true).
DateField
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
triggerClass : String
应用到触发按钮的附加CSS样式。 触发器总是获取'x-form-trigger'类， 并且...
应用到触发按钮的附加CSS样式。 触发器总是获取'x-form-trigger'类， 并且，如果指定该项，triggerClass将会被扩展 (默认值为 'x-form-date-trigger' which displays a calendar icon)。
DateField
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
DateField( Object config )
Create a new DateField
Create a new DateField
参数:
  • config : Object
返回值:
DateField
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Date
返回日期输入栏当前的日期值。
返回日期输入栏当前的日期值。
参数:
  • 无.
返回值:
  • Date
    The date value
 DateField
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setDisabledDates( Array disabledDates ) : void
使用新的值替代所有现存的无效日期，并刷新DatePicker。
使用新的值替代所有现存的无效日期，并刷新DatePicker。
参数:
  • disabledDates : Array
    An array of date strings (see the disabledDates config for details on supported values) used to disable a pattern of dates.
返回值:
  • void
 DateField
setDisabledDays( Array disabledDays ) : void
使用新的值替代所有现存的无效的日期（天）（根据序号，0-6），并刷新DatePicker。
使用新的值替代所有现存的无效的日期（天）（根据序号，0-6），并刷新DatePicker。 （译者注：这是非常好用的一个功能，可以把一些日期设置为不能选择状态，这里传进来的数组里面可以包含0-6七个数字， 分别对应星期天到星期六。例如传进来一个[0]，那么这个月中所有的星期天都不能选择。另外，这个方法将覆盖disabledDays配置项中 设置的无效天，例如disabledDays里面设置的是[6]，现在调用setDisabledDays方法，传递了一个[0]，那么disabledDays 配置的[0]就不再起作用。）
参数:
  • disabledDays : Array
    一个无效天序号的数组。 所有支持值的详情，参见disabledDays 配置项。
返回值:
  • void
 DateField
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setMaxValue( Date value ) : void
使用新的值替代所有现存的maxValue ，并刷新DatePicker。
使用新的值替代所有现存的maxValue ，并刷新DatePicker。
参数:
  • value : Date
    可以选择的最大日期
返回值:
  • void
 DateField
setMinValue( Date value ) : void
使用新的值替代现存的minValue ，并刷新DatePicker。
使用新的值替代现存的minValue ，并刷新DatePicker。
参数:
  • value : Date
    可以选择的最小日期
返回值:
  • void
 DateField
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( String/Date date ) : void
设置日期输入栏的值。 你可以传递一个日期对象，或者任何一个可以解析成合法日期的字符串...
设置日期输入栏的值。 你可以传递一个日期对象，或者任何一个可以解析成合法日期的字符串， 使用DateField.format作为日期格式，使用的规则与 Date.parseDate 相同 (默认使用的格式是"m/d/Y")。
用法:
//以下的所有调用设置同一个日期(May 4, 2006)

//传递一个日期对象:
var dt = new Date('5/4/2006');
dateField.setValue(dt);

//传递一个字符串 (默认 格式):
dateField.setValue('05/04/2006');

//传递一个字符串(定制):
dateField.format = 'Y-m-d';
dateField.setValue('2006-05-04');
参数:
  • date : String/Date
    The date or valid date string
返回值:
  • void
 DateField
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field

Class Ext.form.Field

包: | Ext.form
所在文件: | Field.js
Class: | Field
子类: | Checkbox, CheckboxGroup, Hidden, HtmlEditor, TextField
继承自: | BoxComponent
表单输入栏的基类，提供默认的事件处理、 大小调整、输入值处理以及其它功能。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
应用到此输入栏底层元素的定制CSS (默认值为 "").
Field
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果为true，输入栏失效(默认值为 false)。
Field
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Field( Object config )
创建一个新的输入栏
创建一个新的输入栏
参数:
  • config : Object
    Configuration options
返回值:
Field
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Container
          Panel
            FieldSet

Class Ext.form.FieldSet

包: | Ext.form
所在文件: | FieldSet.js
Class: | FieldSet
继承自: | Panel
用来分组表单输入栏的标准容器。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
应用到fieldset的基本CSS类(默认值为 'x-fieldset').
FieldSet
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
checkboxName : String
当checkboxToggle = true 时，指定给fieldset里面checkbox的名称(默认值为 '[checkbox id]-checkbox').
FieldSet
checkboxToggle : Mixed
true将仅仅把一个复选框渲染到视图前面； 或者是一个DomHelper配置对象，用来创建复选框 (默认值为 false)...
true将仅仅把一个复选框渲染到视图前面； 或者是一个DomHelper配置对象，用来创建复选框 (默认值为 false)。 当复选框的状态被固定时，fieldset将会呈现展开或者折叠状态。
FieldSet
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
应用到x-form-item 项的CSS类。 此属性将被子节点继承。
FieldSet
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
labelWidth : Number
标签宽度。这个属性将会被孩子节点继承。
FieldSet
layout : String
fieldset内使用的Ext.Container.layout (默认值为 'form').
FieldSet
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
FieldSet( Object config )
参数:
  • config : Object
    Configuration options
返回值:
FieldSet
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    Component
      BoxComponent
        Container
          Panel
            FormPanel

Class Ext.form.FormPanel

包: | Ext.form
所在文件: | Form.js
Class: | FormPanel
继承自: | Panel
标准表单容器。

虽然没有被列举出来，但是该类也支持所有其内部Ext.form.BasicForm 的必须配置项。

BasicForm被配置为使用FormPanel的 initialConfig 的配置项--- 这是被传递给构造函数的配置对象。 这意味着，如果你继承FormPanel类， 并且你希望配置BasicForm， 你必须为BasicForm插入配置项到它的initialConfig属性。 将BasicForm的配置项应用到this，将不会对BasicForm的配置产生影响。

FormPanel内部使用Ext.layout.FormLayout， 该配置是必须的，它让输入栏和标签能正确地与FormPanel的布局协同工作。 如果需要在FromPanel内部使用传统的布局，你需要套入一个传统的Panel或者其它可以提供 附加布局功能的容器。 你不可以覆盖FormPanel的布局。

默认情况下，Ext表单通过Ajax请求提交数据， 使用using Ext.form.Action。 如需使用普通的浏览器提交方式提交包含在此FormPanel中的表单， 请覆盖此Form的onSubmit事件和submit方法：

var myForm = new Ext.form.FormPanel({
        onSubmit: Ext.emptyFn,
        submit: function() {
            this.getForm().getEl().dom.submit();
        }
    });

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
合法值有 "left," "center" 和 "right" (默认值为 "center")
FormPanel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
formId : String
(可选) The id of the FORM tag (默认值为 an auto-generated id).
FormPanel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
应用到输入栏x-form-item的CSS类。 此参数自动继承到子容器。
FormPanel
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
labelAlign : String
合法的值有"left," "top" 和 "right" (默认值为 "left")。 该参数继承到子容器并且可以在任何子容器中覆盖之...
合法的值有"left," "top" 和 "right" (默认值为 "left")。 该参数继承到子容器并且可以在任何子容器中覆盖之。 (例如： 一个fieldset可以为它的输入栏指定不同的标签对齐方式)。
FormPanel
labelWidth : Number
标签宽度。 此参数继承到子容器， 并且可以被任何子容器覆盖 (例如：fieldset可以为它的输入栏指定一个不同的标签宽度)。
标签宽度。 此参数继承到子容器， 并且可以被任何子容器覆盖 (例如：fieldset可以为它的输入栏指定一个不同的标签宽度)。
FormPanel
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
minButtonWidth : Number
所有按钮最小宽度像素值(默认值为 75)
FormPanel
monitorPoll : Number
检测校验状态的间隔毫秒数， 如果monitorValid项不为true，忽略此项(默认值为 200)
FormPanel
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
monitorValid : Boolean
如果为true，form监控自己的客户端校验状态，并使用校验状态循环触发事件。 如果需要在按钮上使用配...
如果为true，form监控自己的客户端校验状态，并使用校验状态循环触发事件。 如果需要在按钮上使用配置值formBind:true，将按钮绑定到表单的校验状态，那么该项必须为true。
FormPanel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
FormPanel( Object config )
参数:
  • config : Object
    Configuration options
返回值:
FormPanel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getForm() : Ext.form.BasicForm
提供到Form 元素的访问入口，该元素是formPanel的组件。
提供到Form 元素的访问入口，该元素是formPanel的组件。
参数:
  • 无.
返回值:
  • Ext.form.BasicForm
    此面板包含的{@link Ext.form.BasicForm Form}
 FormPanel
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object options ) : void
这是底层BasicFormExt.form.BasicForm.load 方法的代理。
这是底层BasicFormExt.form.BasicForm.load 方法的代理。
参数:
  • options : Object
    传递给action的选项(细节参见 Ext.form.BasicForm.doAction)
返回值:
  • void
 FormPanel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
startMonitoring() : void
开始监控form的校验状态。 一般情况下，传递配置选项monitorValid来做这件事。
开始监控form的校验状态。 一般情况下，传递配置选项monitorValid来做这件事。
参数:
  • 无.
返回值:
  • void
 FormPanel
stopMonitoring() : void
停止监控此表单的校验状态
停止监控此表单的校验状态
参数:
  • 无.
返回值:
  • void
 FormPanel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
clientvalidation : ( Ext.form.FormPanel this, Boolean valid )
如果monitorValid配置项为true，此事件将被反复触发，以通知校验状态
如果monitorValid配置项为true，此事件将被反复触发，以通知校验状态
监听器将会以如下的参数格式被调用:
  • this : Ext.form.FormPanel
  • valid : Boolean
    true if the form has passed client-side validation
 FormPanel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    Component
      BoxComponent
        Field
          Hidden

Class Ext.form.Hidden

包: | Ext.form
所在文件: | Hidden.js
Class: | Hidden
继承自: | Field
一个基本的隐藏域，存储表单中的隐藏值， 此值需要在表单提交的时候同时被传递。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Hidden( Object config )
创建一个新的隐藏域。
创建一个新的隐藏域。
参数:
  • config : Object
    Configuration options
返回值:
Hidden
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          HtmlEditor

Class Ext.form.HtmlEditor

包: | Ext.form
所在文件: | HtmlEditor.js
Class: | HtmlEditor
继承自: | Field
提供一个轻量级的HTML文本编辑器组件。 一些工具条在Safari下可能不支持，在需要的时候会自动隐藏。 在配置项的适当地方会有提示。

编辑器的带有小提示的工具按钮在 buttonTips 属性中被定义， 但是在默认情况下这些浮动小提示是无效的，除非全局的 Ext.QuickTips 单例对象已经被初始化initialized。

注意: 获得焦点/失去焦点以及 从Ext.form.Field继承下来的 校验标志功能在编辑器中是不支持的。

编辑器是一个敏感的组件， 不能被用在可以使用那些spots standard fields的地方。 将编辑器放到一个display属性被设置为'none'的元素中的时候， 在Safari和Firefox下面会出现问题，因为它们在重新加载默认的iframe的时候存在bug。

示例用法:
// Simple example rendered with default options:
Ext.QuickTips.init();  // enable tooltips
new Ext.form.HtmlEditor({
    renderTo: Ext.getBody(),
    width: 800,
    height: 300
});

// Passed via xtype into a container and with custom options:
Ext.QuickTips.init();  // enable tooltips
new Ext.Panel({
    title: 'HTML Editor',
    renderTo: Ext.getBody(),
    width: 600,
    height: 300,
    frame: true,
    layout: 'fit',
    items: {
        xtype: 'htmleditor',
        enableColors: false,
        enableAlignments: false
    }
});

配置属性

配置属性 所在类
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
createLinkText : String
创建链接对话框的默认值
HtmlEditor
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultLinkValue : String
创建链接对话框中的默认值(默认值为 http:/ /)
HtmlEditor
enableAlignments : Boolean
启用左对其、居中、右对齐按钮(默认值为 true)
HtmlEditor
enableColors : Boolean
启用回退/高亮颜色按钮(默认值为 true)
HtmlEditor
enableFont : Boolean
启用字体选择。Safari下不可用。(默认值为 true)
HtmlEditor
enableFontSize : Boolean
启用增加/减少字体大小按钮(默认值为 true)
HtmlEditor
enableFormat : Boolean
启用bold, italic和underline按钮(默认值为 true)
HtmlEditor
enableLinks : Boolean
启用创建链接按钮。 Safari下不可用。(默认值为 true)
HtmlEditor
enableLists : Boolean
启用bullet和有限数量的按钮列表。 Safari下不可用。(默认值为 true)
HtmlEditor
enableSourceEdit : Boolean
启用到源码编辑状体的切换按钮。Safari下不可用。(默认值为 true)
HtmlEditor
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
fontFamilies : Array
可用的字体数组
HtmlEditor
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property 所在类
buttonTips : Object
为编辑器中的按钮准备的工具条小提示对象（toolbar tooltips ）集合。 key是所关联的button的command id，value是一个合法的QuickTips对象。
为编辑器中的按钮准备的工具条小提示对象（toolbar tooltips ）集合。 key是所关联的button的command id，value是一个合法的QuickTips对象。 For example:
{
    bold : {
        title: 'Bold (Ctrl+B)',
        text: 'Make the selected text bold.',
        cls: 'x-html-editor-tip'
    },
    italic : {
        title: 'Italic (Ctrl+I)',
        text: 'Make the selected text italic.',
        cls: 'x-html-editor-tip'
    },
    ...
 HtmlEditor
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
initialConfig : Object
组件初始化注册说明。只读属性。
Component
ownerCt : Ext.Container
组件所属的 Ext.Container (默认值为 undefined...
组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。
Component
rendered : Boolean
当组件被渲染后该值为true。只读属性。
Component

公共方法

Method 所在类
HtmlEditor( Object config )
Create a new HtmlEditor
Create a new HtmlEditor
参数:
  • config : Object
返回值:
HtmlEditor
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
cleanHtml( String html ) : void
Protected方法，一般情况下不能直接调用。 如果你需要定制一个可以清除HTML标签的函数， 你需要重写此方法。
Protected方法，一般情况下不能直接调用。 如果你需要定制一个可以清除HTML标签的函数， 你需要重写此方法。
参数:
  • html : String
    The HTML to be cleaned return {String} The cleaned HTML
返回值:
  • void
 HtmlEditor
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
execCmd( String cmd, [String/Boolean value] ) : void
在编辑器文本中直接执行一个Midas编辑指令。 （译者注：Midas是一个编码名称，Gecko内置的富文本编辑器支持此指令。Midas 可以在HTML中 通过...
在编辑器文本中直接执行一个Midas编辑指令。 （译者注：Midas是一个编码名称，Gecko内置的富文本编辑器支持此指令。Midas 可以在HTML中 通过JavaScript来执行。Midas基于DHTML指令集，通过使用Midas可以把整个页面都变成可编辑状态。 更多详细的描述请参见这里：Midas ） 对于视觉相关的指令，你应该使用 relayCmd 来代替。 只有在编辑器完成初始化之后才可以调用此方法。
参数:
  • cmd : String
    The Midas command
  • value : String/Boolean
    (可选) The value to pass to the command (默认值为 null)
返回值:
  • void
 HtmlEditor
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getDocMarkup() : void
Protected方法，一般情况下不能直接调用。 当编辑器的iframe使用HTML内容初始化时调用...
Protected方法，一般情况下不能直接调用。 当编辑器的iframe使用HTML内容初始化时调用。 如果你想改变iframe的初始化标签， 覆盖此方法(例如：添加样式表)。
参数:
  • 无.
返回值:
  • void
 HtmlEditor
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getToolbar() : Ext.Toolbar
返回editor的toolbar. 只有在编辑器被渲染之后才可以使用此方法。
返回editor的toolbar. 只有在编辑器被渲染之后才可以使用此方法。
参数:
  • 无.
返回值:
  • Ext.Toolbar
 HtmlEditor
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insertAtCursor( String text ) : void
在鼠标当前的位置插入传递进来的文本。 注意：插入文本时，编辑器必须被初始化并为当前活动项。
在鼠标当前的位置插入传递进来的文本。 注意：插入文本时，编辑器必须被初始化并为当前活动项。
参数:
  • text : String
返回值:
  • void
 HtmlEditor
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
pushValue() : void
Protected方法，一般情况下不能直接调用。 将textarea的值push到iframe editor中去。
Protected方法，一般情况下不能直接调用。 将textarea的值push到iframe editor中去。
参数:
  • 无.
返回值:
  • void
 HtmlEditor
relayCmd( String cmd, [String/Boolean value] ) : void
在编辑器文本中执行Midas编辑器指令 ，执行必要的聚焦和更新toolbar的操作。...
在编辑器文本中执行Midas编辑器指令 ，执行必要的聚焦和更新toolbar的操作。 只有在编辑器被初始化完成时才可以执行此操作。
参数:
  • cmd : String
    The Midas command
  • value : String/Boolean
    (可选) The value to pass to the command (默认值为 null)
返回值:
  • void
 HtmlEditor
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
syncValue() : void
Protected方法，一般情况下不能直接调用。 将编辑器iframe中的内容与textarea同步。
Protected方法，一般情况下不能直接调用。 将编辑器iframe中的内容与textarea同步。
参数:
  • 无.
返回值:
  • void
 HtmlEditor
toggleSourceEdit( [Boolean sourceEdit] ) : void
让编辑器在标准编辑状态和 源码编辑状态之间切换。
让编辑器在标准编辑状态和 源码编辑状态之间切换。
参数:
  • sourceEdit : Boolean
    (可选) true为源码编辑状态、false为标准编辑状态
返回值:
  • void
 HtmlEditor
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
updateToolbar() : void
Protected方法，一般情况下不能直接调用。 通过读取当前编辑器中内容的选中状态，触发工具栏更新。
Protected方法，一般情况下不能直接调用。 通过读取当前编辑器中内容的选中状态，触发工具栏更新。
参数:
  • 无.
返回值:
  • void
 HtmlEditor

公共事件

Event 所在类
activate : ( HtmlEditor this )
当编辑器第一次获得焦点时触发。 任何插入内容的操作必须在此事件触发之后进行。
当编辑器第一次获得焦点时触发。 任何插入内容的操作必须在此事件触发之后进行。
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
 HtmlEditor
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforepush : ( HtmlEditor this, String html )
当iframe编辑器中的内容与textarea同步之前触发。 返回false终止push。
当iframe编辑器中的内容与textarea同步之前触发。 返回false终止push。
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
  • html : String
 HtmlEditor
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforesync : ( HtmlEditor this, String html )
当textarea中的内容与编辑器iframe同步之前触发。 返回false阻止同步。
当textarea中的内容与编辑器iframe同步之前触发。 返回false阻止同步。
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
  • html : String
 HtmlEditor
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
editmodechange : ( HtmlEditor this, Boolean sourceEdit )
当编辑器切换编辑模式时触发
当编辑器切换编辑模式时触发
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
  • sourceEdit : Boolean
    True if source edit, false if standard editing.
 HtmlEditor
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
initialize : ( HtmlEditor this )
当编辑器完全初始化完成时触发(包括iframe)
当编辑器完全初始化完成时触发(包括iframe)
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
 HtmlEditor
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
push : ( HtmlEditor this, String html )
当iframe编辑器中的内容与textarea同步时触发。
当iframe编辑器中的内容与textarea同步时触发。
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
  • html : String
 HtmlEditor
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
sync : ( HtmlEditor this, String html )
当textarea中的内容与iframe编辑器同步时触发。
当textarea中的内容与iframe编辑器同步时触发。
监听器将会用如下的参数格式调用:
  • this : HtmlEditor
  • html : String
 HtmlEditor


Observable
    Component
      BoxComponent
        Label

Class Ext.form.Label

包: | Ext.form
所在文件: | Label.js
Class: | Label
继承自: | BoxComponent
基本的标签栏。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
forId : String
输入项的id，label将会通过标准的'htmlFor'属性被绑定到该输入项。 如果没有指定，此属性不会被添加到label。
输入项的id，label将会通过标准的'htmlFor'属性被绑定到该输入项。 如果没有指定，此属性不会被添加到label。
Label
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String
一个HTML片段，它将被用作label的innerHTML属性(默认值为 '')。 注意：如果指定了text 项...
一个HTML片段，它将被用作label的innerHTML属性(默认值为 '')。 注意：如果指定了text 项，那么它将会被优先使用，而此项将被忽略。
Label
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
label中显示的纯的文本(默认值为 '')。 如果你需要在label的innerHTML中包含HTML标签...
label中显示的纯的文本(默认值为 '')。 如果你需要在label的innerHTML中包含HTML标签， 使用html 配置项作为替代。
Label
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Label( Ext.Element/String/Object config )
Creates a new Label
Creates a new Label
参数:
  • config : Ext.Element/String/Object
    The configuration options. If an element is passed, it is set as the internal element and its id used as the component id. If a string is passed, it is assumed to be the id of an existing element and is used as the component id. Otherwise, it is assumed to be a standard config object and is applied to the component.
返回值:
Label
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setText( String text, [Boolean encode] ) : Label
使用指定的字符串更新label的innerHTML。
使用指定的字符串更新label的innerHTML。
参数:
  • text : String
    新的标签文本
  • encode : Boolean
    (可选)设置为false，当把文本渲染到label中时，将跳过对文本进行HTML-encoding操作 False to skip HTML-encoding the text when rendering it (默认值为 true，将对值进行编码)。 当你项在label的innerHTML中包含HTML标签，而不是字符串的字面意思时，此参数非常有用。
返回值:
  • Label
    this
 Label
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BoxComponent
        Field
          TextField
            NumberField

Class Ext.form.NumberField

包: | Ext.form
所在文件: | NumberField.js
Class: | NumberField
继承自: | TextField
数字文本域，提供自动按键过滤和数值校验。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDecimals : Boolean
设置为false，将不允许出现小数(默认值为 true)
NumberField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
allowNegative : Boolean
设置为false，以阻止输入负号(默认值为 true)
NumberField
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseChars : String
判定是否是合法数字的基本字符集 (默认值为 '0123456789').
NumberField
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
decimalPrecision : Number
小数点后显示的最大位数(默认值为 2)
NumberField
decimalSeparator : String
小数分隔符(默认值为 '.')
NumberField
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
应用到此输入项的默认CSS类(默认值为 "x-form-field x-form-num-field")
NumberField
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
grow : Boolean
如果为true，输入栏将自动增长并缩短其内容
 TextField
growMax : Number
当grow配置项为true时，允许输入的最大长度(默认值为 800)
TextField
growMin : Number
当grow配置项为true时，允许输入的最小长度(默认值为 30)
TextField
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
maxText : String
最大值校验失败时显示的出错提示文本...
最大值校验失败时显示的出错提示文本(默认值为 "The maximum value for this field is {maxValue}")
NumberField
maxValue : Number
允许的最大值(默认值为 Number.MAX_VALUE)
NumberField
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
minText : String
最小值校验失败时显示的出错提示文本...
最小值校验失败时显示的出错提示文本(默认值为 "The minimum value for this field is {minValue}")
NumberField
minValue : Number
允许的最小值(默认值为 Number.NEGATIVE_INFINITY)
NumberField
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
nanText : String
如果值是一个非法的数字时显示的出错提示信息...
如果值是一个非法的数字时显示的出错提示信息。 例如，像这种情况：一个合法的字符，例如'.' 或者 '-'在此项的左边，但是后面并没有接数字 (默认值为 "{value} is not a valid number") （译者注：根据此配置项的名称也可以知道，是not a number---nan 时显示的文本）。
NumberField
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
NumberField( Object config )
Creates a new NumberField
Creates a new NumberField
参数:
  • config : Object
    Configuration options
返回值:
NumberField
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
autoSize() : void
自动增长输入栏以适应文本的长度，直到允许的最大宽度。 只有在grow配置项为true时才起作用...
自动增长输入栏以适应文本的长度，直到允许的最大宽度。 只有在grow配置项为true时才起作用，并触发 autosize 事件。
参数:
  • 无.
返回值:
  • void
 TextField
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          Checkbox
            Radio

Class Ext.form.Radio

包: | Ext.form
所在文件: | Radio.js
Class: | Radio
继承自: | Checkbox
单个的按钮输入栏。基本跟Checkbox一样，但是提供了一些额外功能，以方便设置自动输入类型。 如果你为一组中的radio设置了相同的名称的话，Radio分组可以被浏览器自动处理。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
boxLabel : String
复选框旁边显示的文本(默认值为 '')
Checkbox
checked : Boolean
当复选框被渲染为已选中状态时，此值为true(默认值为 false)
Checkbox
checkedCls : String
被选中时使用的CSS类...
被选中时使用的CSS类(默认值为 'x-form-check-checked')。 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusCls : String
在获得输入焦点时使用的CSS样式(默认值为 'x-form-check-focus')...
在获得输入焦点时使用的CSS样式(默认值为 'x-form-check-focus')。 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
handler : Function
当checked 的值被改变时调用的方法(可以用来替代check事件的处理)
Checkbox
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
inputValue : String
应该设置到，生成的，输入元素的值属性，的值...
应该设置到，生成的，输入元素的键，的值(默认值为 undefined， 没有键)
译者注：指把一个值设置到指定的键，形成键值对形式的数据。
Checkbox
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
mouseDownCls : String
当复选框被动态选中时的CSS样式...
当复选框被动态选中时的CSS样式(默认值为 'x-form-check-down'). 注意：此属性可以应用到checkboxes和buttons，并且添加到所属的包装元素。
Checkbox
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Radio( Object config )
Creates a new Radio
Creates a new Radio
参数:
  • config : Object
    Configuration options
返回值:
Radio
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getGroupValue() : String
如果按钮是一个组的成员，将会返回选中的值。
如果按钮是一个组的成员，将会返回选中的值。
参数:
  • 无.
返回值:
  • String
 Radio
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( value {String/Boolean} ) : void
设置Radiao的选中/反选状态，或者，如果传递进来一个字符串，将选中值为此字符串的、所有同名的兄弟按钮。
设置Radiao的选中/反选状态，或者，如果传递进来一个字符串，将选中值为此字符串的、所有同名的兄弟按钮。
参数:
  • {String/Boolean} : value
    Checked value, or the value of the sibling radio button to check.
返回值:
  • void
 Radio
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
check : ( Ext.form.Checkbox this, Boolean checked )
当复选框被选中或反选时触发。
当复选框被选中或反选时触发。
监听器将会以如下的参数格式来调用:
  • this : Ext.form.Checkbox
    This checkbox
  • checked : Boolean
    The new checked value
 Checkbox
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          CheckboxGroup
            RadioGroup

Class Ext.form.RadioGroup

包: | Ext.form
所在文件: | RadioGroup.js
Class: | RadioGroup
继承自: | CheckboxGroup
一个 Ext.form.Radio 控制项的分组容器。

配置属性

配置属性 所在类
allowBlank : Boolean
设置为true，允许组中的每个项目可以为空值(默认值为 false)。 如果allowBlank = false 并且在校验时没有选中任何项目...
设置为true，允许组中的每个项目可以为空值(默认值为 false)。 如果allowBlank = false 并且在校验时没有选中任何项目， {@link @blankText}将会被用作出错提示文本。
RadioGroup
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
allowBlank 校验失败时显示的出错提示文本(默认值为 "You must select one item in this group")
RadioGroup
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
columns : String/Number/Array
当使用自动布局时， 指定分组的checkbox/radio的列数...
当使用自动布局时， 指定分组的checkbox/radio的列数。（译者注：也就是一列放几个元素，逐句翻译起来咋这么别扭呢！） 该配置项可以使用如下几种值：
  • 'auto' :

    每列放置一个组件， 列的宽度将会根据输入栏容器的整体宽度平均分配 。 这是默认值

  • Number :

    如果你指定了一个数值(例如： 3) 将会创建所指定数值的列数，并且被包含的组件将会根据 vertical 的值自动分配。

  • Array : Object

    你也可以指定一个列宽度的数组， 根据需要混合使用整数（位数固定）和浮点数(例如： [100, .25, .75])。 所有整数将会被首先渲染， 然后浮点数将会被当作百分数来计算，它们占有剩余的空间。 浮点数之和不必为1(100%)，如果你希望组件占满整个输入栏容器时可以这么做。（译者注：指让这些浮点数之和为1）

CheckboxGroup
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vertical : Boolean
如果为true，使包含的组件按列分布， 从上到下完全填满一列，然后开始新的一列...
（译者注：以下的废话大体意思是把组件呈纵向优先分布，或者说垂直优先分布。 也就是说先从上到下放满一列，然后放第二列，而不是一行一行去放组件。 ） 如果为true，使包含的组件按列分布， 从上到下完全填满一列，然后开始新的一列。 每列的组件个数将会被自动计算以保证尽量平均。 默认值为false， 此时将会每次添加一个组件到列， 从左到右完全填满一行，然后开始新的一行。
CheckboxGroup
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
RadioGroup( Object config )
Creates a new CheckboxGroup
Creates a new CheckboxGroup
参数:
  • config : Object
    Configuration options
返回值:
RadioGroup
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField
            TextArea

Class Ext.form.TextArea

包: | Ext.form
所在文件: | TextArea.js
Class: | TextArea
继承自: | TextField
多行文本输入栏。可以直接用来替代传统的textarea输入栏， 扩展了auto-sizing特性。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素说明，或者为true将使用默认的元素说明...
一个DomHelper元素说明，或者为true将使用默认的元素说明 (默认值为 {tag: "textarea", style: "width:100px;height:60px;", autocomplete: "off"})
TextArea
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
grow : Boolean
如果为true，输入栏将自动增长并缩短其内容
 TextField
growMax : Number
当grow = true时所允许的最大高度(默认值为 1000)
TextArea
growMin : Number
当grow = true时所允许的最小高度(默认值为 60)
TextArea
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
preventScrollbars : Boolean
如果为true，将阻止产生滚动条，无论此输入栏中有多少文本...
如果为true，将阻止产生滚动条，无论此输入栏中有多少文本 (相当于设置overflow: hidden, 默认值为 false)。
TextArea
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TextArea( Object config )
Creates a new TextArea
Creates a new TextArea
参数:
  • config : Object
    Configuration options
返回值:
TextArea
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
autoSize() : void
自动增长输入栏以适应输入文本的高度，直到输入栏所允许的最大高度为止...
自动增长输入栏以适应输入文本的高度，直到输入栏所允许的最大高度为止。 只有在grow = true时此项才有效，并且当高度改变时，触发 autosize 时间。
参数:
  • 无.
返回值:
  • void
 TextArea
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField

Class Ext.form.TextField

包: | Ext.form
所在文件: | TextField.js
Class: | TextField
子类: | NumberField, TextArea, TriggerField
继承自: | Field
基本的文本输入栏。 可以直接用来替代传统的文本输入栏，或者用作更复杂的输入控制的基类 (例如 Ext.form.TextArea 和 Ext.form.ComboBox)。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
grow : Boolean
如果为true，输入栏将自动增长并缩短其内容
 TextField
growMax : Number
当grow配置项为true时，允许输入的最大长度(默认值为 800)
TextField
growMin : Number
当grow配置项为true时，允许输入的最小长度(默认值为 30)
TextField
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TextField( Object config )
Creates a new TextField
Creates a new TextField
参数:
  • config : Object
    Configuration options
返回值:
TextField
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
autoSize() : void
自动增长输入栏以适应文本的长度，直到允许的最大宽度。 只有在grow配置项为true时才起作用...
自动增长输入栏以适应文本的长度，直到允许的最大宽度。 只有在grow配置项为true时才起作用，并触发 autosize 事件。
参数:
  • 无.
返回值:
  • void
 TextField
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将输入栏的值重置到加载时的值，清除所有校验信息...
将输入栏的值重置到加载时的值，清除所有校验信息。 如果初始值为空，同时设置emptyText和emptyClass。
参数:
  • 无.
返回值:
  • void
 TextField
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField
            TriggerField
              ComboBox
                TimeField

Class Ext.form.TimeField

包: | Ext.form
所在文件: | TimeField.js
Class: | TimeField
继承自: | ComboBox
提供一个时间输入栏，它包含一个下拉时间选择器以及自动时间校验功能。 示例用法:
new Ext.form.TimeField({
    minValue: '9:00 AM',
    maxValue: '6:00 PM',
    increment: 30
});

配置属性

配置属性 所在类
allQuery : String
发送给服务器的查询字符串， 服务器将返回一个没有过滤的记录列表 (默认值为 '')
ComboBox
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
altFormats : String
用"|"分隔的多个时间格式， 当视图解析一个用户输入的时间值，但是这个时间值不是预定义的格式时使用...
用"|"分隔的多个时间格式， 当视图解析一个用户输入的时间值，但是这个时间值不是预定义的格式时使用 (默认值为 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H')。
TimeField
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置...
一个DomHelper元素配置，或者为true，此时 将使用一个默认的元素配置(默认值为 {tag: "input", type: "text", size: "20", autocomplete: "off"})
Field
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
displayField : String
绑定到当前BomboBox的底层数据项的名称 (如果mode = 'remote'，默认值为 undefined...
绑定到当前BomboBox的底层数据项的名称 (如果mode = 'remote'，默认值为 undefined，或者 在使用转换的方式构责ComboBox的时候，为'text')。 （译者注：也就是说，这个值为列表中所有项目的显示文本域）
ComboBox
editable : Boolean
设置为false以阻止用户直接向该输入项输入文本， 就像一个传统的select(默认值为 true)
ComboBox
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
forceSelection : Boolean
如果为true，将限制选择的值必须是下拉列表中的值。 如果为false...
如果为true，将限制选择的值必须是下拉列表中的值。 如果为false，允许用户设置任意值到输入栏 (默认值为 false)
ComboBox
format : String
一个默认的时间格式字符串，可以覆盖此项以提供本地化支持。 格式必须是合法的，由...
一个默认的时间格式字符串，可以覆盖此项以提供本地化支持。 格式必须是合法的，由 Date.parseDate指定 (默认值为 'g:i A', 例如： '3:15 PM')。 对于24小时制的时间，使用'H:i'代替。
TimeField
handleHeight : Number
当resizable = true时，下拉列表中调整尺寸的手柄的高度像素值 (默认值为 8)
ComboBox
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hiddenId : String
如果指定了hiddenName 也可以提供一个hiddenId...
如果指定了hiddenName 也可以提供一个hiddenId，以便赋予隐藏域一个唯一的id (默认值为hiddenName的值)。 hiddenId和combo的id 应该是不同的，因为两个DOM节点不应该共享同一个id。
ComboBox
hiddenName : String
如果指定，将自动创建一个表单隐藏域来存储输入项的值 (默认值为底层DOM元素的名称)。 如...
如果指定，将自动创建一个表单隐藏域来存储输入项的值 (默认值为底层DOM元素的名称)。 如果想要在表单提交时自动提交combo的值，该配置项是必须的。 注意： 如果没有指定hiddenId， 隐藏域的id默认和这个名称相同。 combo的id和隐藏域的id应该不同， 因为两个DOM节点不应该共用同一个id， 所以，如果combo和隐藏域的名称相同时，你必须指定一个唯一的hiddenId。 （译者注：请特别注意这一个配置项，一般写脚本时习惯指定combo的id和hiddenName，根据这里的说明可以知道 id和hiddenName是不能相同的，否则自动创建出来的底层DOM元素就使用了同一个id，这样的话下拉选择框就渲染不出来了。 当你发现你的下拉选择框出现渲染不正常时，可以先检查是不是id和hiddenName设置成一样的了。 更详细的截图和描述参见这里：ComboBox的恶心显示问题 ）
ComboBox
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
hideTrigger : Boolean
如果为true，将隐藏触发元素（译者注：指的是触发按钮，就像传统的下拉选择框的触发按钮） ，仅仅显示基本的文本(默认值为 false)
TriggerField
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
increment : Number
列表中每个时间值的间隔分钟数 (默认值为 15)。
TimeField
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当输入栏中的时间为非法时显示的出错提示文本 (默认值为 '{value} is not a valid time')。
TimeField
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
itemSelector : String
如果在tpl 配置项中 指定了一个定制的XTemplate， 则该配置项是必须的...
如果在tpl 配置项中指定了一个定制的XTemplate，则该配置项是必须的， 它为下拉列表中的项目分配了一个不同于
'x-combo-list-item'
的CSS类。 一个简单的CSS选择器(例如：div.some-class或者span:first-child)， 它将用来决定处理下拉列表的DataView与哪些节点协同工作。
ComboBox
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
lazyInit : Boolean
设置为true，将不初始化combo的列表，直到该输入栏获得焦点(默认值为 true)
ComboBox
lazyRender : Boolean
设置为true可以阻止ComboBox渲染，直到必须的时候再渲染...
设置为true可以阻止ComboBox渲染，直到必须的时候再渲染 (当渲染到一个Ext.Editor中时应该总是使用此配置项，默认值为 false)。
ComboBox
listAlign : String
一个合法的锚定位置值。 支持的锚定位置详情，请参见Ext.Element.alignTo (默认值为 'tl-bl')
ComboBox
listClass : String
应用到下拉列表项的CSS类(默认值为 '')
ComboBox
listWidth : Number
下拉列表的宽度像素值 (默认值为ComboBox的宽度)
ComboBox
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadingText : String
在加载数据时显示在下拉列表中的文本。 只有在mode = 'remote'时才起作用(默认值为...
在加载数据时显示在下拉列表中的文本。 只有在mode = 'remote'时才起作用(默认值为 'Loading...')。
ComboBox
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxHeight : Number
下拉列表的最大高度像素数px，超过此高度将显示滚动条(默认值为 300)
ComboBox
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
maxText : String
当时间比maxValue大时显示的出错提示文本...
当时间比maxValue大时显示的出错提示文本(默认值为 'The time in this field must be equal to or before {0}').
TimeField
maxValue : Date/String
允许的时间最大值。 可以是一个具有合法时间值的JavaScript日期对象，或者是一个格式合法的时间字符串...
允许的时间最大值。 可以是一个具有合法时间值的JavaScript日期对象，或者是一个格式合法的时间字符串 -- 参见format和 altFormats (默认值为 null).
TimeField
minChars : Number
在自动完成和typeahead起作用之前，用户必须键入的最少字符个数 (如果为远程加载，默认值为 4 本地数据时为0...
在自动完成和typeahead起作用之前，用户必须键入的最少字符个数 (如果为远程加载，默认值为 4 本地数据时为0， 如果editable = false则没有作用)。
ComboBox
minHeight : Number
当列表受到视区边缘约束时，下拉列表的最小高度像素值(默认值为 90)...
当列表受到视区边缘约束时，下拉列表的最小高度像素值(默认值为 90)
ComboBox
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
minListWidth : Number
下拉列表最小宽度像素值(默认值为 70，如果listWidth有一个更大的数值，则忽略此配置项)
ComboBox
minText : String
当时间比minValue小时显示的出错提示文本...
当时间比minValue小时显示的出错提示文本(默认值为 'The time in this field must be equal to or after {0}').
TimeField
minValue : Date/String
允许的最小时间。 可以是一个具有合法时间值的JavaScript日期对象...
允许的最小时间。 可以是一个具有合法时间值的JavaScript日期对象，或者是一个格式合法的时间字符串 -- 参见format和 altFormats (默认值为 null).
TimeField
mode : String
如果ComboBox加载本地数据 设置为'local' (默认值为 'remote'，它将从服务器加载数据)
ComboBox
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageSize : Number
如果大于0，下拉列表底部将显示一个分页工具条， 查询操作时将增加分页参数start和limit...
如果大于0，下拉列表底部将显示一个分页工具条， 查询操作时将增加分页参数start和limit。 只有在 mode = 'remote'时才起作用。 (默认值为 0)
ComboBox
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
queryDelay : Number
在开始输入和开始查询下拉列表进行数据匹配之间的延迟时间毫秒数...
在开始输入和开始查询下拉列表进行数据匹配之间的延迟时间毫秒数(如果mode = 'remote'默认值为 500 ，mode = 'local'时为10)
ComboBox
queryParam : String
Name of the query as it will be passed on the querystring (默认值为 'query')
ComboBox
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
resizable : Boolean
如果为true，在下拉列表的底部添加一个可以改变尺寸的手柄 (默认值为 false)
ComboBox
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
selectedClass : String
应用到下拉列表中被选中的项目的CSS样式(默认值为 'x-combo-selected')
ComboBox
shadow : Boolean/String
设置为true或者"sides"使用默认的效果， "frame"使用4边阴影， "drop"使用底部和右侧阴影
ComboBox
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store/Array
绑定到当前combo的数据源(默认值为 undefined)。 可以是...
绑定到当前combo的数据源(默认值为 undefined)。 可以是Ext.data.Store 的任意一个子类、一个一维数组(例如： ['Foo','Bar']) 或者一个二维数组(例如： [['f','Foo'],['b','Bar']])。 数组将会在内部被转换成Ext.data.SimpleStore 。 一维数组将自动被扩展（数组的每个元素将会成为combo的值和显示文本）， 对于多维数组，每个元素中索引位置为0的值被假定为combo的值， 而索引位置为1的值被假定为combo的文本。
ComboBox
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
title : String
如果提供此项，将会创建一个包含此文本的header元素，并添加到下拉列表的头部...
如果提供此项，将会创建一个包含此文本的header元素，并添加到下拉列表的头部 (默认值为 undefined，没有header元素)
ComboBox
tpl : String/Ext.XTemplate
模板字符串， 或者Ext.XTemplate 实例，用来在下拉列表中显示每个选择项...
模板字符串， 或者Ext.XTemplate 实例，用来在下拉列表中显示每个选择项。 可以使用此配置项为列表中的项目定制UI布局。

如果你希望保持下来列表中项目默认的视觉效果，可以添加CSS类名

x-combo-list-item
到模板的容器元素。

模板必须包含一个或多个替代参数 使用Combo的Store 中的字段名称。 定制的模板将会被添加一个

ext:qtip
参数，它将用来显示Store中的其他字段。

下拉列表将被显示在一个DataView中。 详情参见Ext.DataView。

ComboBox
transform : Mixed
一个id、DOM节点或者一个已经存在的HTML下拉列表，可以将它转换成一个ComboBox。 注意：如果你指定该项并且combo是处于一个...
一个id、DOM节点或者一个已经存在的HTML下拉列表，可以将它转换成一个ComboBox。 注意：如果你指定该配置项，并且combo是处于一个 Ext.form.BasicForm或者 Ext.form.FormPanel中时， 你必须设置lazyRender = true。
ComboBox
triggerAction : String
当此输入项被设置为当前活动项时执行的操作 ...
当此输入项被设置为当前活动项时执行的操作。（译者注：可以简单地理解为下拉框获得了焦点或者被点击了） 配置为'all'将执行allQuery配置项中指定的所有查询操作 (默认值为 'query')。
ComboBox
triggerClass : String
应用到触发器的CSS类
TriggerField
typeAhead : Boolean
设置为true，当开始输入字符时，在指定的延迟之后会自动匹配剩下的内容，如果找到了匹配的 内容则自动选中它...
设置为true，当开始输入字符时，在指定的延迟之后会自动匹配剩下的内容，如果找到了匹配的 内容则自动选中它 (typeAheadDelay) (默认值为 false)
ComboBox
typeAheadDelay : Number
如果typeAhead = true时，显示自动匹配的项目之前延迟的毫秒数(默认值为 250)。 （译者注：简单理解就是自动匹配的延迟时间，你先输入一两个字符，然后ComboBox自动 到列表里面搜索，看有没有能和输入的字符匹配上的项目）
ComboBox
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
valueField : String
绑定到当前ComboBox的底层数据值的名称 (如果mode = 'remote'，默认值为 undefined，或者...
绑定到当前ComboBox的底层数据值的名称（译者注：也就是说，这个值为列表中所有项目的值域） (如果mode = 'remote'，默认值为 undefined，或者 在使用转换的方式构责ComboBox的时候，为'value') 注意：使用valueField配置项时要求用户必须选择一个项目，以便映射一个值。
ComboBox
valueNotFoundText : String
当使用一个name/value型的下拉框时，如果传递给setValue方法的值 在store中...
当使用一个name/value型的下拉框时，如果传递给setValue方法的值 在store中并不存在，valueNotFoundText将会被设置为输入项的显示文本， 如果有定义的话(默认值为 undefined)。 如果使用了这个默认文本， 那将意味着没有可以设置的值，同时对该输入项不做校验。
ComboBox
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component
 | view : Ext.DataView 用来显示ComboBox选择项的一个DataView 。 | ComboBox

公共方法

Method 所在类
TimeField( Object config )
Create a new TimeField
Create a new TimeField
参数:
  • config : Object
返回值:
TimeField
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
clearValue() : void
清除设置到输入项的所有当前文本/值。
清除设置到输入项的所有当前文本/值。
参数:
  • 无.
返回值:
  • void
 ComboBox
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse() : void
如果下拉列表此时处于展开状态，则隐藏之。 完成操作时触发collapse 事件。
如果下拉列表此时处于展开状态，则隐藏之。 完成操作时触发collapse 事件。
参数:
  • 无.
返回值:
  • void
 ComboBox
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doQuery( String query, Boolean forceAll ) : void
执行一个查询来过滤下拉列表。 在执行查询之前触发...
执行一个查询来过滤下拉列表。 在执行查询之前触发 beforequery 事件。这样的话，如果需要可以取消查询操作。
参数:
  • query : String
    需要执行的SQL查询
  • forceAll : Boolean
    如果为true，即使输入栏当前的字符个数比minChars配置项中指定的还要少，也将强制进行查询操作。 同时会清除之前存储在store中的所有过滤器(默认值为 false)。
返回值:
  • void
 ComboBox
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand() : void
如果下拉列表当前是隐藏的，则展开它。 在完成后触发expand 事件。
如果下拉列表当前是隐藏的，则展开它。 在完成后触发expand 事件。
参数:
  • 无.
返回值:
  • void
 ComboBox
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isExpanded() : void
如果列表处于展开状态，返回true，否则返回false。
如果列表处于展开状态，返回true，否则返回false。
参数:
  • 无.
返回值:
  • void
 ComboBox
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( Number index, Boolean scrollIntoView ) : void
根据项目在列表中的索引选中下拉列表中的项目。 此方法不会触发select事件...
根据项目在列表中的索引选中下拉列表中的项目。 此方法不会触发select事件。 为了此方法能够工作，store必须被加载完成并且列表必须处于展开状态， 否则请使用setValue方法。
参数:
  • index : Number
    需要选择的列表项索引，从0开始
  • scrollIntoView : Boolean
    设置为false，如果所选择的项目不在当前的视区中时，将阻止产生滚动条(默认值为 true)。
返回值:
  • void
 ComboBox
selectByValue( String value, Boolean scrollIntoView ) : Boolean
根据数据值选中下拉列表中的一个项目。 此方法不触发select事件。 为了使此方法能工作...
根据数据值选中下拉列表中的一个项目。 此方法不触发select事件。 为了使此方法能工作，store必须已经加载并且列表处于展开状态， 否则使用setValue方法。
参数:
  • value : String
    The data value of the item to select
  • scrollIntoView : Boolean
    False to prevent the dropdown list from autoscrolling to display the selected item if it is not currently in view (默认值为 true)
返回值:
  • Boolean
    如果值于下拉列表中的一个项目相匹配，返回true，否则返回false。
ComboBox
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setEditable( Boolean value ) : void
允许或禁止用户直接编辑输入栏中的文本。 如果指定为false...
允许或禁止用户直接编辑输入栏中的文本。 如果指定为false，用户只能选择下拉列表中列出来的项目。 此方法和配置时设定'editable'配置项的效果是一样的。
参数:
  • value : Boolean
    True to allow the user to directly edit the field text
返回值:
  • void
 ComboBox
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforequery : ( Object queryEvent )
在所有查询执行之前触发。 返回false或者设置queryEvent的cancel属性为true，以终止查询。
在所有查询执行之前触发。 返回false或者设置queryEvent的cancel属性为true，以终止查询。
监听器将会被用如下的参数调用:
  • queryEvent : Object
    一个拥有如下属性的对象：
    • combo : Ext.form.ComboBox
      This combo box
    • query : String
      The query
    • forceAll : Boolean
      True to force "all" query
    • cancel : Boolean
      Set to true to cancel the query
 ComboBox
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeselect : ( Ext.form.ComboBox combo, Ext.data.Record record, Number index )
在选中一个项目之前触发。 返回false终止选择。
在选中一个项目之前触发。 返回false终止选择。
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
  • record : Ext.data.Record
    The data record returned from the underlying store
  • index : Number
    The index of the selected item in the dropdown list
 ComboBox
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
collapse : ( Ext.form.ComboBox combo )
当下拉列表被折叠时触发
当下拉列表被折叠时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
 ComboBox
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.form.ComboBox combo )
当下拉列表被展开时触发
当下拉列表被展开时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
 ComboBox
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
select : ( Ext.form.ComboBox combo, Ext.data.Record record, Number index )
当选中下拉列表中的一个项目时触发
当选中下拉列表中的一个项目时触发
监听器将会被用如下的参数调用:
  • combo : Ext.form.ComboBox
    This combo box
  • record : Ext.data.Record
    The data record returned from the underlying store
  • index : Number
    The index of the selected item in the dropdown list
 ComboBox
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Observable
    Component
      BoxComponent
        Field
          TextField
            TriggerField

Class Ext.form.TriggerField

包: | Ext.form
所在文件: | TriggerField.js
Class: | TriggerField
子类: | ComboBox, DateField
继承自: | TextField
为TextFields提供一个便捷的包装类，添加一个可以点击的触发按钮 (默认情况下看起来像一个下拉选择框)。 触发器没有默认的动作，所以你必须重写onTriggerClick 函数，以便为单击事件指定一个处理方法。 你可以直接创建一个TriggerField，它渲染出来的效果与一个下拉选择框非常相似， 然后你可以为它提供一个定制的实现。 For example:
var trigger = new Ext.form.TriggerField();
trigger.onTriggerClick = myTriggerFn;
trigger.applyToMarkup('my-field');
然而，一般情况下，你将更希望将TriggerField用作一个可复用组件的基类。 Ext.form.DateField和 Ext.form.ComboBox 就是非常好的两个例子。

配置属性

配置属性 所在类
allowBlank : Boolean
如果为false，输入长度>0时才合法(默认值为 true)
TextField
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoCreate : String/Object
一个DomHelper元素配置， 或者为true，将使用默认的元素配置 (默认值为 ...
一个DomHelper元素配置， 或者为true，将使用默认的元素配置 (默认值为 {tag: "input", type: "text", size: "16", autocomplete: "off"})
TriggerField
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
blankText : String
当是否允许为空校验失败时显示的出错文本(默认值为 "This field is required")
TextField
clearCls : String
当输入栏为空时使用的CSS样式(默认值为 'x-form-clear-left')
Field
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disableKeyFilter : Boolean
如果为true，禁用键盘输入过滤(默认值为 false)
TextField
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
emptyClass : String
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式...
应用到空输入栏emptyText (默认值为 'x-form-empty-field')的CSS样式。 该CSS样式会根据输入栏当前的值，按需要自动添加和删除。
 TextField
emptyText : String
显示在空输入栏中的默认文本(默认值为 null).
TextField
fieldClass : String
输入栏的默认CSS(默认值为 "x-form-field")
Field
fieldLabel : String
紧靠此field显示的标签文本(默认值为 '')
Field
focusClass : String
当field获得焦点时的CSS样式(默认值为 "x-form-focus")
Field
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideLabel : Boolean
如果为true，彻底隐藏标签元素(默认值为 false)
Field
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
hideTrigger : Boolean
如果为true，将隐藏触发元素（译者注：指的是触发按钮，就像传统的下拉选择框的触发按钮） ，仅仅显示基本的文本(默认值为 false)
TriggerField
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
inputType : String
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类...
输入栏的类型参数--例如： radio, text, password, file (默认值为 "text")。 "file" 和 "password"必须用来渲染当前的这些fields， 没有为它们定义单独的Ext components类。 注意：如果你使用 inputType:'file'， emptyText 属性是不支持的，不应该使用该属性。
Field
invalidClass : String
在标记一个输入栏为非法时使用的CSS样式(默认值为 "x-form-invalid")
Field
invalidText : String
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本...
当一个输入栏被标记为非法，并且没有提供出错消息时使用的出错文本。 (默认值为 "The value in this field is invalid")
Field
itemCls : String
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器...
一个附加的CSS类， 应用到此输入栏包装器的表单元素(默认为容器的itemCls值，如果有设置，或者'')。 既然它是应用到元素包装器， 所以允许你编写标准的CSS规则， 它们可以应用到输入栏、标签（如果有指定）或者 此输入栏中任何其它包含在标签中的元素。 注意: 这对于不是表单组成部分的输入栏是没有影响的。 用法示例:
//为输入栏的标签使用一个样式:
<style>
    .required .x-form-item-label {font-weight:bold;color:red;}
</style>

new Ext.FormPanel({
    height: 100,
    renderTo: document.body,
    items: [{
        xtype: 'textfield',
        fieldLabel: 'Name',
        itemCls: 'required' //this label will be styled
    },{
        xtype: 'textfield',
        fieldLabel: 'Favorite Color'
    }]
});
 Field
labelSeparator : String
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个...
显示每个表单标签文本后面的标准分隔器(默认为 Ext.layout.FormLayout.labelSeparator 的值，默认情况下，它是一个':')。 如果该输入栏的标签不需要显示分割器，请为该项指定一个空字符串''。
Field
labelStyle : String
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如...
直接应用到此输入栏的标签的特定CSS样式( 默认为容器的 labelStyle配置值，如果有设置，或者'')。 例如：labelStyle: 'font-weight:bold;'.
Field
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskRe : RegExp
输入掩码正则表达式，将 用于过滤不匹配的按键 (默认值为 null)
TextField
maxLength : Number
输入栏允许输入的最大长度(默认值为 Number.MAX_VALUE)
TextField
maxLengthText : String
输入值最大长度校验失败时显示的出错提示文本 (默认值为...
输入值最大长度校验失败时显示的出错提示文本 (默认值为 "The maximum length for this field is {maxLength}")
TextField
minLength : Number
输入栏的最小输入长度(默认值为 0)
TextField
minLengthText : String
验证最小输入长度失败时显示的提示文本 (默认值为 "The minimum length for this field is {minL...
验证最小输入长度失败时显示的提示文本(默认值为 "The minimum length for this field is {minLength}")
TextField
msgFx : String
实验性属性 在输入栏下方显示一个校验信息时的效果(默认值为 'normal').
Field
msgTarget : String
出错提示文本显示的位置。 应该是下列值之一...
出错提示文本显示的位置。 应该是下列值之一(默认值为 'qtip'):
Value         Description
-----------   ----------------------------------------------------------------------
qtip          当鼠标从输入栏移过时显示一个quick tip
title         显示一个默认的浏览器弹出标题属性
under         在输入栏下显示一个块状div，包含出错文本
side          在输入栏右侧显示一个突出的出错图标
[element id]  直接在指定元素的innerHTML中加入出错文本
Field
name : String
该表单域的HTML name 属性值(默认值为 "").
Field
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
readOnly : Boolean
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
如果为true，标记输入栏在HTML中为只读(默认值为 false) -- 注意: 这仅仅设置元素的DOM属性为只读。
Field
regex : RegExp
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用...
校验输入值的JavaScript RegExp对象(默认值为 null)。 如果可用，只有在所有基本的校验都返回true时才使用该配置， 当前输入值将会被传递给它。 如果检测失败，输入栏将被用regexText 标记为非法状态。
TextField
regexText : String
如果使用regex 来检测输入，当校验失败的时候显示的出错文本(默认值为 "")
TextField
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selectOnFocus : Boolean
如果为true，当输入栏获得焦点时将自动选中其中的文本(默认值为 false)
TextField
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏...
此输入栏的tabIndex。 注意：这只是应用到那些已经渲染的输入栏， 不能应用到那些通过applyTo方法渲染的组件 (默认值为 undefined)。
Field
triggerClass : String
应用到触发器的CSS类
TriggerField
validateOnBlur : Boolean
当输入栏失去焦点时是否进行校验(默认值为 true).
Field
validationDelay : Number
在用户开始输入直到开始校验的时间间隔（毫秒）(默认值为 250ms)
Field
validationEvent : String/Boolean
应该开始开始输入栏校验事件。 设置为false不进行自动校验(默认值为 "keyup").
Field
validator : Function
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验...
一个在输入栏校验时调用的定制校验函数。 如果可用，只有在基本的校验都返回true时才调用此方法， 当前输入值将被传递给此方法，如果校验合法，返回true；否则 应该返回一个出错信息字符串。
 TextField
value : Mixed
输入栏的初始值(默认值为 undefined).
Field
vtype : String
Ext.form.VTypes 中定义的校验规则名称 (默认值为 null)
TextField
vtypeText : String
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认...
一个定制的出错提示信息，将被显示在 当前为此输入栏设置的默认vtype 消息的(默认值为 '')的位置。 此配置项只有在设置了vtype的时候才有效，否则忽略。
TextField
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TriggerField( Object config )
Create a new TriggerField.
Create a new TriggerField.
参数:
  • config : Object
    Configuration options (valid {@Ext.form.TextField} config options will also be applied to the base TextField)
返回值:
TriggerField
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearInvalid() : void
从输入栏清除所有校验样式和消息。
从输入栏清除所有校验样式和消息。
参数:
  • 无.
返回值:
  • void
 Field
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getName() : String
如果可用，返回field的名称属性值。
如果可用，返回field的名称属性值。
参数:
  • 无.
返回值:
  • String
    name The field name
 Field
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRawValue() : Mixed
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值...
返回原始数据，该值可能是一个合法的、已定义的值，也可能不是。 如果获得一个规则的值，参见getValue。
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Mixed
返回规格化的数据值(undefined 或 空文本将会返回'')...
返回规格化的数据值(undefined 或 空文本将会返回'')。 要返回原始数据，参见getRawValue.
参数:
  • 无.
返回值:
  • Mixed
    value The field value
 Field
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 TextField
isDirty() : void
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
如果此输入栏的值从它最初加载时起被改变过，并且此输入栏不是无效的，返回true。
参数:
  • 无.
返回值:
  • void
 Field
isValid( Boolean preventMark ) : Boolean
返回field的当前值是否合法
返回field的当前值是否合法
参数:
  • preventMark : Boolean
    如果为true，将不把此field标记为非法
返回值:
  • Boolean
    如果值合法，true；否则，false
 Field
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
markInvalid( [String msg] ) : void
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
将输入栏标记为非法，使用 msgTarget 来决定如何显示错误并将 invalidClass 应用到输入栏的元素上。
参数:
  • msg : String
    (可选) 非法消息 (默认值为 invalidText)
返回值:
  • void
 Field
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
onTriggerClick( EventObject e ) : void
处理触发器点击事件的函数。 默认情况下，该方法什么事情都不做，除非你覆盖并重新实现这个函数。
处理触发器点击事件的函数。 默认情况下，该方法什么事情都不做，除非你覆盖并重新实现这个函数。
参数:
  • e : EventObject
返回值:
  • void
 TriggerField
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset() : void
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
将当前的字段值重置为当初加载时的值，并清除所有校验信息。
参数:
  • 无.
返回值:
  • void
 Field
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectText( [Number start], [Number end] ) : void
选中输入栏中的文本
选中输入栏中的文本
参数:
  • start : Number
    (可选) 选中文本的起始点索引(默认值为 0)
  • end : Number
    (可选) 选中文本的结束点索引(默认值为 the text length)
返回值:
  • void
 TextField
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRawValue( Mixed value ) : Mixed
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
直接设置底层DOM输入栏的值，忽略校验。 需要设值并校验，请参见setValue。
参数:
  • value : Mixed
    需要设置的值
返回值:
  • Mixed
    所设置的输入栏的值
 Field
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Mixed value ) : void
设置field的值，然后校验它。 要直接设置一个值而不校验，参见
设置field的值，然后校验它。 要直接设置一个值而不校验，参见 setRawValue.
参数:
  • value : Mixed
    The value to set
返回值:
  • void
 Field
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
validate() : Boolean
校验输入栏的值
校验输入栏的值
参数:
  • 无.
返回值:
  • Boolean
    如果值合法，返回true，否则返回false
 Field
validateValue( Mixed value ) : Boolean
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
根据输入栏的校验规则校验输入值，如果校验失败，将输入栏标记为非法。
参数:
  • value : Mixed
    The value to validate
返回值:
  • Boolean
    True if the value is valid, else false
 TextField

公共事件

Event 所在类
autosize : ( Ext.form.Field this, Number width )
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变...
当autosize方法被调用时触发此事件。 根据默认的逻辑，输入栏也许没有正真地改变大小，但是在需要的时候， 这个事件为开发者扩展应用逻辑提供了一个接口。
监听器将使用如下的参数格式调用:
  • this : Ext.form.Field
    This text field
  • width : Number
    The new field width
 TextField
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
blur : ( Ext.form.Field this )
当field失去输入焦点时触发。
当field失去输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
change : ( Ext.form.Field this, Mixed newValue, Mixed oldValue )
如果field的值被改变，在field失去焦点之前那一刻触发。
如果field的值被改变，在field失去焦点之前那一刻触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • newValue : Mixed
    The new value
  • oldValue : Mixed
    The original value
 Field
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
focus : ( Ext.form.Field this )
当此field获得输入焦点时触发。
当此field获得输入焦点时触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
invalid : ( Ext.form.Field this, String msg )
当此field被标记为非法之后触发。
当此field被标记为非法之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • msg : String
    The validation message
 Field
keydown : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keydown事件 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keypress : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的按键事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keypress事件。仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
keyup : ( Ext.form.TextField this, Ext.EventObject e )
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
输入栏的keyup事件。 仅在enableKeyEvent配置项被设置为true时才触发此事件。
监听器将使用如下的参数格式调用:
  • this : Ext.form.TextField
    This text field
  • e : Ext.EventObject
 TextField
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查...
当一个与导航相关的键(箭头, tab键, enter键, esc键,等等)被按下时触发。 你可以检查Ext.EventObject.getKey 以获知哪个键被按下。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Field
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
valid : ( Ext.form.Field this )
当字段被校验无误后触发。
当字段被校验无误后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.form.Field
 Field


Class Ext.form.VTypes

包: | Ext.form
所在文件: | VTypes.js
Class: | VTypes
继承自: | Object
可覆盖的校验规则定义。 这里提供的校验规则是基本的，并且期望能容易被继承和定制。

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | alphaMask : RegExp 应用到alpha输入的按键过滤器 | VTypes
 | alphaText : String 当alpha校验方法返回false时显示的出错提示文本 | VTypes
 | alphanumMask : RegExp 应用到alphanumeric输入的按键过滤器 | VTypes
 | alphanumText : String 当alphanumeric校验方法返回false时显示的出错提示文本 | VTypes
 | emailMask : RegExp 应用到email输入的按键过滤器。 关于更复杂的email校验... 应用到email输入的按键过滤器。 关于更复杂的email校验，参见email 方法。 | VTypes
 | emailText : String 当email校验方法返回false时显示的出错提示文本 | VTypes
 | urlText : String 当url校验方法返回false时显示的出错提示文本 | VTypes

公共方法

Method 所在类
alpha( String value ) : void
用来校验alpha值的函数
用来校验alpha值的函数
参数:
  • value : String
    The value
返回值:
  • void
 VTypes
alphanum( String value ) : void
用来校验alphanumeric值的函数
用来校验alphanumeric值的函数
参数:
  • value : String
    The value
返回值:
  • void
 VTypes
email( String value ) : void
用来校验email地址的函数。 注意：这只是一个非常基本的校验...
用来校验email地址的函数。 注意：这只是一个非常基本的校验－－－ 通过RFC规范的完整校验是非常复杂的， 并且超越了此类的范畴； 如果需要更复杂的校验规则，可以覆盖此方法。 附加信息，请参阅Wikipedia article on email addresses 的validation部分。
参数:
  • value : String
    The email address
返回值:
  • void
 VTypes
url( String value ) : void
用来校验URL的函数
用来校验URL的函数
参数:
  • value : String
    The URL
返回值:
  • void
 VTypes

公共事件

该类没有公共事件。


Class Ext.Fx

包: | Ext
所在文件: | Fx.js
Class: | Fx
继承自: | Object

该类用来提供基本的动画和视觉效果支持。 注意: 当包含此类时，会自动应用到 Ext.Element ，所以对于所有效果的调用应该通过Element执行。 从反面说，既然效果不是真实地定义在Element类中， 所以必须包含Ext.Fx类，以便Element的视觉效果能够工作。

最重要的注意点是：虽然Fx的方法和许多非Fx元素方法支持 "方法链"，在其中它们将Element对象本身作为返回值， 但是并不能总是在一个方法链中混合这两种情况。 Fx方法使用内部的作用队列，这样每种作用可以被适当地 定时和队列化。 另一方面，非-Fx方法，没有这种内部的队列，并且总是立即被执行。 因为此原因，当在单个的作用链上混合调用Fx和非-Fx方法时， 可能并不会总是出现所期望的结果，所以应该小心处理。

运动效果支持8个方向上的锚定，也就是说，你可以选择元素上的 8个不同的锚定点之一，以作为动画效果的起始或者结束点。 以下是所有支持的锚定位置：

Value  Description
-----  -----------------------------
tl     左上角
t      顶部边缘正中间
tr     右上角
l      左侧边缘正中间
r      右侧边缘正中间
bl     左下角
b      底部边缘正中间
br     右下角
虽然一些Fx方法接收详细的定制化参数， 配置属性区域展示的，是通用的选项，可以传递给 任何Fx方法。

配置属性

配置属性 |  | 所在类
 | afterCls : String 在效果过后应用的css类 | Fx
 | afterStyle : String/Object/Function 一个样式描述字符串，例如： "width:100px"，或者一个格式如下的对象{width:"100px"}... 一个样式描述字符串，例如： "width:100px"，或者一个格式如下的对象{width:"100px"}， 或者一个能返回这种描述的方法，在效果结束时它们会被应用到元素上 | Fx
 | block : Boolean 当效果运行时是否阻塞其它效果排队等待 | Fx
 | callback : Function 当效果结束时调用的方法。 注意：效果在Fx类内部被存取，所以不需要使用回调参数... 当效果结束时调用的方法。 注意：效果在Fx类内部被存取，所以不需要使用回调参数 类指定另一个效果---效果可以简单地被链在一起按顺序 调用(例如： el.slideIn().highlight();)。 回调方法是用来需要在一个特定的效果结束时调用一次的代码。 被操作的元素将作为方法的第一个参数被传递。 | Fx
 | concurrent : Boolean 是否允许后来排队进来的效果作为当前效果同时运行，或者确保它们 按次序运行 是否允许后来排队进来的效果作为当前效果同时运行，或者确保它们 按次序运行 | Fx
 | duration : Number 效果持续的时间长度(以秒计) | Fx
 | easing : String 效果的一个合法的松开值 | Fx
 | remove : Boolean 是否在效果结束之后将元素从DOM中删除并销毁 | Fx
 | scope : Object 执行方法的作用域 | Fx
 | stopFx : Boolean 在当前效果结束后是否停止并移除并发的效果 | Fx
 | useDisplay : Boolean 当隐藏元素时，是否使用display CSS属性代替visibility... 当隐藏元素时，是否使用display CSS属性代替visibility (仅仅应用到将元素在视觉上隐藏的那些效果，其它效果忽略) | Fx

公共属性

该类没有公共属性。

公共方法

Method 所在类
fadeIn( [Object options] ) : Ext.Element
渐显一个元素(从透明到不透明)， 结束时的透明度可以用"endOpacity"配置项指定...
渐显一个元素(从透明到不透明)， 结束时的透明度可以用"endOpacity"配置项指定。 用法:
// 默认: 从不透明度为0，渐显到不透明度为100%
el.fadeIn();

// 定制: 在2秒钟之内从不透明度为0，渐显到不透明度为75%
el.fadeIn({ endOpacity: .75, duration: 2});

// 通用配置选项，与默认值一起显示
el.fadeIn({
    endOpacity: 1, //可以是0到1之间的任何值(例如：.5)
    easing: 'easeOut',
    duration: .5
});
参数:
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
fadeOut( [Object options] ) : Ext.Element
渐隐元素(从不透明到透明)。 可以用"endOpacity"配置项来指定最终的不透明度...
渐隐元素(从不透明到透明)。 可以用"endOpacity"配置项来指定最终的不透明度。 注意：IE下需要useDisplay:true，以便能正确地重新显示元素。 用法:
// 默认:从元素当前的不透明度渐隐到0
el.fadeOut();
// 定制: 在2秒钟之内，从元素当前的不透明度渐隐到不透明度为25%
el.fadeOut({ endOpacity: .25, duration: 2});

// 通用配置选项，与默认值一起显示
el.fadeOut({
    endOpacity: 0, //可以是0到1之间的任何值(例如：.5)
    easing: 'easeOut',
    duration: .5,
    remove: false,
    useDisplay: false
});
参数:
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
frame( [String color], [Number count], [Object options] ) : Ext.Element
显示一个爆炸波纹，削弱边框来绘制Element的正确位置...
显示一个爆炸波纹，削弱边框来绘制Element的正确位置。 用法:
// 默认: 单个淡蓝色波纹
el.frame();

// 定制: 三个红色波纹，一共持续3秒钟
el.frame("ff0000", 3, { duration: 3 });

// 通用配置选项，与默认值一起显示
el.frame("C3DAF9", 1, {
    duration: 1 //整个动画效果持续的时间(不是每个单独的波纹)
    // 注意: 削弱效果是不可配置的，如果包含，将会被忽略
});
参数:
  • color : String
    (可选) 边框颜色。应该是一个6个十六进制字符，不以#开头 (默认值为淡蓝: 'C3DAF9')。
  • count : Number
    (可选) 需要显示的波纹数目(默认值为 1)
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
ghost( [String anchor], [Object options] ) : Ext.Element
当从视区中淡出时滑动元素。 可选择传递一个锚点来设置效果最终的位置...
当从视区中淡出时滑动元素。 可选择传递一个锚点来设置效果最终的位置。 用法:
// 默认: 当淡出元素时向下滑动元素
el.ghost();

// 定制: 向右侧滑动元素，持续2秒钟
el.ghost('r', { duration: 2 });

// 通用配置选项，与默认值一起显示
el.ghost('b', {
    easing: 'easeOut',
    duration: .5,
    remove: false,
    useDisplay: false
});
参数:
  • anchor : String
    (可选) One of the valid Fx anchor positions (默认值为 bottom: 'b')
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
hasActiveFx() : Boolean
如果元素有正在运行或者排队的效果，返回true，否则返回false。
如果元素有正在运行或者排队的效果，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
    True if element has active effects, else false
 Fx
hasFxBlock() : Boolean
如果元素当前出于阻塞状态，返回true，这样其它的效果 不能在其后排队，直到当前效果完成...
如果元素当前出于阻塞状态，返回true，这样其它的效果 不能在其后排队，直到当前效果完成， 否则如果没有设置阻塞，返回false。 此方法一般用来确定用户操作发起的效果在相同的效果重新开始之前优先执行完成 (例如：仅仅触发一次效果，即使用户点击了多次)。
参数:
  • 无.
返回值:
  • Boolean
    True if blocking, else false
 Fx
highlight( [String color], [Object options] ) : Ext.Element
通过设置一个颜色来高亮显示元素 (默认应用到background-color，但是页可以使用"attr"配置项来改变)...
通过设置一个颜色来高亮显示元素 (默认应用到background-color，但是页可以使用"attr"配置项来改变) 然后淡出回到原来的颜色。 如果没有原来的颜色可用，你应该提供一个"endColor"配置项， 它将在动画效果之后被清除掉。 用法:
// default: highlight background to yellow
el.highlight();

// 定制: 将前景文本高亮显示为蓝色持续2秒钟
el.highlight("0000ff", { attr: 'color', duration: 2 });

// 通用配置项，与默认值一起显示
el.highlight("ffff9c", {
    attr: "background-color", //可以是任何合法的支持一个颜色值的CSS参数（属性）
    endColor: (current color) or "ffffff",
    easing: 'easeIn',
    duration: 1
});
参数:
  • color : String
    (可选) 高亮的颜色。应该是6位十六进制字符，不以#开头(默认值为 yellow: 'ffff9c')
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
pause( Number seconds ) : Ext.Element
在一个并发的排队中的效果开始之前，创建一个暂停。 如果在暂停之后没有排队中效果...
在一个并发的排队中的效果开始之前，创建一个暂停。 如果在暂停之后没有排队中效果，此方法没有作用。 用法:
el.pause(1);
参数:
  • seconds : Number
    The length of time to pause (in seconds)
返回值:
  • Ext.Element
    The Element
 Fx
puff( [Object options] ) : Ext.Element
淡出元素，同时将它向四周扩张。当此效果结束时， 元素将被隐藏(visibility = 'hidden')...
淡出元素，同时将它向四周扩张。当此效果结束时， 元素将被隐藏(visibility = 'hidden') ，但是块元素在文档中仍然占有空间。 如果需要，必须使用'remove'配置项将元素从DOM中删除。 用法:
// default
el.puff();

// common config options shown with default values
el.puff({
    easing: 'easeOut',
    duration: .5,
    remove: false,
    useDisplay: false
});
参数:
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
scale( Number width, Number height, [Object options] ) : Ext.Element
元素的尺寸变换过度动画，从一个起始的height/width到一个结束的height/width ...
元素的尺寸变换过度动画，从一个起始的height/width到一个结束的height/width。 用法:
// 将高度和宽度变化到100x100像素
el.scale(100, 100);
// 通用配置选项，与默认值一起显示。高度和宽度默认为
// 元素现有的值，如果传递null。
el.scale(
    [element's width],
    [element's height], {
        easing: 'easeOut',
        duration: .35
    }
);
参数:
  • width : Number
    The new width (pass undefined to keep the original width)
  • height : Number
    The new height (pass undefined to keep the original height)
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
sequenceFx() : Ext.Element
确保在调用sequenceFx方法之后， 所有排队的效果在元素上被按顺序执行...
确保在调用sequenceFx方法之后， 所有排队的效果在元素上被按顺序执行。 与 syncFx 刚好相反。
参数:
  • 无.
返回值:
  • Ext.Element
    The Element
 Fx
shift( Object options ) : Ext.Element
为元素维度的任何组合使用转换动画，xy位置and/or不透明度...
为元素维度的任何组合使用转换动画，xy位置and/or不透明度。 任何在配置对象中没有指定的属性都不会改变。 为了方法能有效， 此效果要求至少在配置对象中传递一个新的尺寸、位置或者不透明度设置。 用法:
// 当改变高度和不透明度时，水平滑动元素到x位置为200处
el.shift({ x: 200, height: 50, opacity: .8 });
// 通用配置项，与默认值一起显示
el.shift({
    width: [element's width],
    height: [element's height],
    x: [element's x position],
    y: [element's y position],
    opacity: [element's opacity],
    easing: 'easeOut',
    duration: .35
});
参数:
  • options : Object
    Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
slideIn( [String anchor], [Object options] ) : Ext.Element
将元素滑动进入可见区域。 可以选择传递一个锚点，以设置滑动效果的起始点...
将元素滑动进入可见区域。 可以选择传递一个锚点，以设置滑动效果的起始点。 如果需要，此方法将自动用一个固定大小的容器包装 元素。 合法的锚点选项，参见Fx类概述。 用法:
// 默认: 元素从顶部滑入
el.slideIn();

// 定制:元素从右侧滑入，效果持续2秒钟
el.slideIn('r', { duration: 2 });

// 通用配置项，与默认值一起显示
el.slideIn('t', {
    easing: 'easeOut',
    duration: .5
});
参数:
  • anchor : String
    (可选) Fx合法锚定位置之一(默认值为 top: 't')
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
slideOut( [String anchor], [Object options] ) : Ext.Element
Slides the element out of view. An anchor point can be optionally passed to set the end point for the slide effect. ...
将元素从可见区域滑动出去。 可以选择传递一个锚点，以设置滑动效果的结束点。 当效果结束时，元素将被隐藏(visibility = 'hidden') ，但是块元素仍然在文档钟占据空间。 如果需要，必须使用'remove'配置项将元素从DOM中删除。 如果需要，此方法将自动用一个固定大小的容器来包装元素。 合法的锚点选项，参见Fx类概述。 用法:
// 默认:从顶部把元素滑出
el.slideOut();

// 定制: 将元素从右侧滑出，效果持续2秒钟
el.slideOut('r', { duration: 2 });

// 通用配置选项，与默认值一起显示
el.slideOut('t', {
    easing: 'easeOut',
    duration: .5,
    remove: false,
    useDisplay: false
});
参数:
  • anchor : String
    (可选)合法的Fx锚定位置之一(默认值为 top: 't')
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
stopFx() : Ext.Element
停止正在执行的效果，并清除元素内部的效果队列，如果还包含其它没有...
停止正在执行的效果，并清除元素内部的效果队列，如果还包含其它没有 启动的效果。
参数:
  • 无.
返回值:
  • Ext.Element
    The Element
 Fx
switchOff( [Object options] ) : Ext.Element
闪烁元素，就像它被点击时一样，然后收缩到它的正中间 (与关闭电视机类似)...
闪烁元素，就像它被点击时一样，然后收缩到它的正中间 (与关闭电视机类似)。 当此效果结束时， 元素将被隐藏(visibility = 'hidden') ，但是块元素在文档中仍然占有空间。 如果需要，必须使用'remove'配置项将元素从DOM中删除。 用法:
// default
el.switchOff();

// all config options shown with default values
el.switchOff({
    easing: 'easeIn',
    duration: .3,
    remove: false,
    useDisplay: false
});
参数:
  • options : Object
    (可选) Object literal with any of the Fx config options
返回值:
  • Ext.Element
    The Element
 Fx
syncFx() : Ext.Element
确保在调用syncFx方法之后， 所有排队的效果在元素上被并发执行...
确保在调用syncFx方法之后， 所有排队的效果在元素上被并发执行。 与 sequenceFx 刚好相反。
参数:
  • 无.
返回值:
  • Ext.Element
    The Element
 Fx

公共事件

该类没有公共事件。


Observable
    AbstractSelectionModel

Class Ext.grid.AbstractSelectionModel

包: | Ext.grid
所在文件: | AbstractSelectionModel.js
Class: | AbstractSelectionModel
子类: | CellSelectionModel, RowSelectionModel
继承自: | Observable
为grid选区模型(SelectModel)提供支持的基类。本类无法实例化，所声明的接口应由派生类实现。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
AbstractSelectionModel()
参数:
  • 无.
返回值:
AbstractSelectionModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isLocked() : Boolean
返回值 如果该选区被锁定则返回true.
返回值 如果该选区被锁定则返回true.
参数:
  • 无.
返回值:
  • Boolean
 AbstractSelectionModel
lock() : void
锁定（多个）选区.
锁定（多个）选区.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unlock() : void
解除（多个）选定区域的锁定
解除（多个）选定区域的锁定.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel

公共事件

该类没有公共事件。


Observable
    AbstractSelectionModel
      CellSelectionModel

Class Ext.grid.CellSelectionModel

包: | Ext.grid
所在文件: | CellSelectionModel.js
Class: | CellSelectionModel
继承自: | AbstractSelectionModel
该类提供了选中grid里面单个单元格功能的基本实现。 选中的对象将被存储起来并由 getSelectedCell 返回，它包含如下参数：
  • record : Ext.data.record

    Record 对象，它是被选中单元格所属数据行的数据记录。

  • cell : Ext.data.record

    一个包含如下属性的对象：

    • rowIndex : Number

      被选中单元格所属行的行号

    • cellIndex : Number

      被选中单元格的序号
      注意：因为列排序的问题，cellIndex不应该用作Record内部数据的序号。 作为替代，用被选中字段的名称来判定，根据这个名称从记录里面获取数据值：

      var fieldName = grid.getColumnModel().getDataIndex(cellIndex);
    var data = record.get(fieldName);

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
CellSelectionModel( Object config )
参数:
  • config : Object
    The object containing the configuration of this model.
返回值:
CellSelectionModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clearSelections( Boolean true ) : void
清除所有选中的项。
清除所有选中的项。
参数:
  • true : Boolean
    阻止通知gridview选中项已发生改变
返回值:
  • void
 CellSelectionModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getSelectedCell() : Array
以数组的形式返回当前选中单元格的行和列序号 (例如： [0, 0]).
以数组的形式返回当前选中单元格的行和列序号 (例如： [0, 0]).
参数:
  • 无.
返回值:
  • Array
    一个包含选中项行列序号的数组，如果没有选中项，则为null。
CellSelectionModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasSelection() : Boolean
如果有选中的项，返回true。
如果有选中的项，返回true。
参数:
  • 无.
返回值:
  • Boolean
 CellSelectionModel
isLocked() : Boolean
返回值 如果该选区被锁定则返回true.
返回值 如果该选区被锁定则返回true.
参数:
  • 无.
返回值:
  • Boolean
 AbstractSelectionModel
lock() : void
锁定（多个）选区.
锁定（多个）选区.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( Number rowIndex, Number collIndex ) : void
选中一个单元格。
选中一个单元格。
参数:
  • rowIndex : Number
  • collIndex : Number
返回值:
  • void
 CellSelectionModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unlock() : void
解除（多个）选定区域的锁定
解除（多个）选定区域的锁定.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel

公共事件

Event 所在类
beforecellselect : ( SelectionModel this, Number rowIndex, Number colIndex )
在单元格被选中之前触发。
在单元格被选中之前触发。
监听器将会以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The selected row index
  • colIndex : Number
    The selected cell index
 CellSelectionModel
cellselect : ( SelectionModel this, Number rowIndex, Number colIndex )
当选中一个单元格时触发。
当选中一个单元格时触发。
监听器将会以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The selected row index
  • colIndex : Number
    The selected cell index
 CellSelectionModel
selectionchange : ( SelectionModel this, Object selection )
当前选中项目发生变化时触发。
当前选中项目发生变化时触发。
监听器将会以如下的参数格式调用:
  • this : SelectionModel
  • selection : Object
    如果没有选中的项，为null，否则为一个含有两个属性的对象(o)
    • o.record: 被选中项所属行的record对象
    • o.cell: 一个数组：[rowIndex, columnIndex]
 CellSelectionModel


Observable
    AbstractSelectionModel
      RowSelectionModel
        CheckboxSelectionModel

Class Ext.grid.CheckboxSelectionModel

包: | Ext.grid
所在文件: | CheckboxSelectionModel.js
Class: | CheckboxSelectionModel
继承自: | RowSelectionModel
一个特定的选择模型，它将渲染一列复选框，可以用来选择或反选多行数据。

配置属性

配置属性 |  | 所在类
 | header : String 任何合法的文本或者HTML标签，它将显示在checkbox column的表头单元格中 (默认值为 '<div class="x-grid3-hd-checker"> </div>')。 默认的CSS类：'x-grid3-hd-checker'... 任何合法的文本或者HTML标签，它将显示在checkbox column的表头单元格中 (默认值为 '<div class="x-grid3-hd-checker"> </div>')。 默认的CSS类：'x-grid3-hd-checker' 在表头上显示一个复选框，当点击它的时候，提供 自动全部选择/全部反选的行为。 这个字符串可以用任何合法的HTML标签来代替， 包括一个简单的文本字符串(例如： 'Select Rows')， 但是，只有在指定为'x-grid3-hd-checker'css类时才支持 自动全选/全部反选操作。 | CheckboxSelectionModel
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | moveEditorOnEnter : Boolean 设置为false，将关闭在按下回车时把光标跳到下一个单元格 | RowSelectionModel
 | singleSelect : Boolean 设置为true，每次只能选中一行(默认值为 false) | RowSelectionModel
 | sortable : Boolean 如果checkbox column是可排序的，设置为true(默认值为 false). | CheckboxSelectionModel
 | width : Number 复选框列的默认宽度像素数(默认值为 20). | CheckboxSelectionModel

公共属性

该类没有公共属性。

公共方法

Method 所在类
CheckboxSelectionModel( Object config )
参数:
  • config : Object
    The configuration options
返回值:
CheckboxSelectionModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clearSelections() : void
清除所有的选中状态。
清除所有的选中状态。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
deselectRange( Number startRow, Number endRow ) : void
反选一个范围内的所有记录。 所有处于startRow和endRow之间的行都会被反选。
反选一个范围内的所有记录。 所有处于startRow和endRow之间的行都会被反选。
参数:
  • startRow : Number
    The index of the first row in the range
  • endRow : Number
    The index of the last row in the range
返回值:
  • void
 RowSelectionModel
deselectRow( Number row ) : void
反选一行。
反选一行。
参数:
  • row : Number
    The index of the row to deselect
返回值:
  • void
 RowSelectionModel
each( Function fn, [Object scope] ) : Boolean
使用每个选中的行调用传递进来的方法。 如果调用的这个方法返回false，则停止迭代，当前方法...
使用每个选中的行调用传递进来的方法。 如果调用的这个方法返回false，则停止迭代，当前方法（译者注：指each()）返回false。
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Boolean
    如果所有选中的行都被迭代过，返回true
RowSelectionModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getCount() : Number
获取选中行总数。
获取选中行总数。
参数:
  • 无.
返回值:
  • Number
 RowSelectionModel
getSelected() : Record
返回被第一条被选中的记录
返回被第一条被选中的记录
参数:
  • 无.
返回值:
  • Record
 RowSelectionModel
getSelections() : Array
返回所有选中的记录
返回所有选中的记录
参数:
  • 无.
返回值:
  • Array
    选中记录的数组
RowSelectionModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasNext() : Boolean
如果还有下一条记录可供选择，返回true
如果还有下一条记录可供选择，返回true
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
hasPrevious() : Boolean
如果存在上一条可以选择的记录，返回true
如果存在上一条可以选择的记录，返回true
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
hasSelection() : Boolean
如果有选中的行，返回true。
如果有选中的行，返回true。
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
isIdSelected( String id ) : Boolean
如果指定的记录处于选中状态，返回true。
如果指定的记录处于选中状态，返回true。
参数:
  • id : String
    需要检测的记录id
返回值:
  • Boolean
 RowSelectionModel
isLocked() : Boolean
返回值 如果该选区被锁定则返回true.
返回值 如果该选区被锁定则返回true.
参数:
  • 无.
返回值:
  • Boolean
 AbstractSelectionModel
isSelected( Number/Record record ) : Boolean
如果指定的行处于选中状态，返回true。
如果指定的行处于选中状态，返回true。
参数:
  • record : Number/Record
    需要检测的记录或者记录序号
返回值:
  • Boolean
 RowSelectionModel
lock() : void
锁定（多个）选区.
锁定（多个）选区.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectAll() : void
选中所有行。
选中所有行。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
selectFirstRow() : void
选中grid中的第一行。
选中grid中的第一行。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
selectLastRow( [Boolean keepExisting] ) : void
选中最后一行。
选中最后一行。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • void
 RowSelectionModel
selectNext( [Boolean keepExisting] ) : Boolean
将紧靠当前选中行最后一行的记录选中。
将紧靠当前选中行最后一行的记录选中。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • Boolean
    如果存在下一行，返回true，否则返回false
 RowSelectionModel
selectPrevious( [Boolean keepExisting] ) : Boolean
选中紧靠在最后一条被选中行之前的那一行。
选中紧靠在最后一条被选中行之前的那一行。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • Boolean
    如果存在前一行，返回true；否则返回false
RowSelectionModel
selectRange( Number startRow, Number endRow, [Boolean keepExisting] ) : void
选中一个范围内的所有行。 位于startRow和endRow之间的所有行也将被全部选中。
选中一个范围内的所有行。 位于startRow和endRow之间的所有行也将被全部选中。
参数:
  • startRow : Number
    The index of the first row in the range
  • endRow : Number
    The index of the last row in the range
  • keepExisting : Boolean
    (可选) True to retain existing selections
返回值:
  • void
 RowSelectionModel
selectRecords( Array records, [Boolean keepExisting] ) : void
选中记录
选中记录
参数:
  • records : Array
    需要选中的记录
  • keepExisting : Boolean
    (可选)如果为true，将保持当前已经选择的记录
返回值:
  • void
 RowSelectionModel
selectRow( Number row, [Boolean keepExisting] ) : void
选中一行。
选中一行。
参数:
  • row : Number
    需要选中的行序号
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • void
 RowSelectionModel
selectRows( Array rows, [Boolean keepExisting] ) : void
选中多行。
选中多行。
参数:
  • rows : Array
    Array of the indexes of the row to select
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录 (默认值为 false)
返回值:
  • void
 RowSelectionModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unlock() : void
解除（多个）选定区域的锁定
解除（多个）选定区域的锁定.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel

公共事件

Event 所在类
beforerowselect : ( SelectionModel this, Number rowIndex, Boolean keepExisting, Record record )
在选中一行数据之前触发，返回false取消选中。
在选中一行数据之前触发，返回false取消选中。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The index to be selected
  • keepExisting : Boolean
    False if other selections will be cleared
  • record : Record
    The record to be selected
 RowSelectionModel
rowdeselect : ( SelectionModel this, Number rowIndex, Record record )
当反选一个行时触发。
当反选一个行时触发。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
  • record : Record
 RowSelectionModel
rowselect : ( SelectionModel this, Number rowIndex, Ext.data.Record r )
当选中一行数据时触发。
当选中一行数据时触发。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The selected index
  • r : Ext.data.Record
    The selected record
 RowSelectionModel
selectionchange : ( SelectionModel this )
当选中状态发生改变时触发
当选中状态发生改变时触发
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
 RowSelectionModel


Observable
    ColumnModel

Class Ext.grid.ColumnModel

包: | Ext.grid
所在文件: | ColumnModel.js
Class: | ColumnModel
子类: | PropertyColumnModel
继承自: | Observable
这是ColumnModel的默认实现，在Grid中使用。 该类与一个列配置对象数组一起被初始化。

单个列的配置对象定义了表头字符串、 Ext.data.Record 字段：列将从其中获取数据、一个可选的渲染函数：提供特定的数据格式； 并提供了通过id 配置项将一个CSS类应用到一个数据列上的功能。

Usage:
var colModel = new Ext.grid.ColumnModel([
    {header: "Ticker", width: 60, sortable: true},
    {header: "Company Name", width: 150, sortable: true},
    {header: "Market Cap.", width: 100, sortable: true},
    {header: "$ Sales", width: 100, sortable: true, renderer: money},
    {header: "Employees", width: 100, sortable: true, resizable: false}
 ]);

该类中定义的这些配置选项都可以出现在每个单独数据列的定义中。

配置属性

配置属性 所在类
align : String
(可选) 设置一列CSS的text-align属性。 默认为undefined.
ColumnModel
css : String
(可选) 为一列中的所有单元格设置特定的CSS (包括表头)。默认为undefined.
ColumnModel
dataIndex : String
(可选) grid中 Ext.data.Store 的Ext.data.Record 定义字段名称...
(可选) grid中 Ext.data.Store 的Ext.data.Record 定义字段名称，从其中可以获得列数据。 如果不指定，将使用列的序号作为Record数据Array的序号。
ColumnModel
editor : Ext.form.Field
(可选) 如果grid可编辑， 在编辑一列中数据时使用的 Ext.form.Field 。
ColumnModel
fixed : Boolean
(可选) 如果想要列的宽度不可改变，设置此项为true。 默认为false。
ColumnModel
header : String
Grid视图中显示在表头上的文本。
ColumnModel
hidden : Boolean
(可选) 设置为true隐藏这一列。默认为false。
ColumnModel
hideable : Boolean
(可选) 指定为false 以阻止用户隐藏此列(默认值为 true)。 如果需要在grid中全局禁止隐藏列，使用 Ext.grid.GridPanel.enableColumnHide 代替。
(可选) 指定为false 以阻止用户隐藏此列(默认值为 true)。 如果需要在grid中全局禁止隐藏列，使用 Ext.grid.GridPanel.enableColumnHide 代替。
ColumnModel
id : String
(可选) 默认为列初始化时列的顺序。 用来识别一个列的名称。 id被用来创建一个CSS类名...
(可选) 默认为列初始化时列的顺序。 用来识别一个列的名称。 id被用来创建一个CSS类名，它将被应用到那一列所有的单元格。 CSS类名的格式为
x-grid3-td-id

表头单元格也将接收这个类名，但也同时拥有
x-grid3-hd
， 所以，为了定位表头单元格，请使用如下的CSS选择器:
.x-grid3-hd.x-grid3-td-id
Ext.grid.GridPanel.autoExpandColumn grid配置项通过这个标志引用这一列。
ColumnModel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menuDisabled : Boolean
(可选) 设置为true禁用列菜单。默认为false。
ColumnModel
renderer : Function
(可选) 一个用来根据单元格数值，为单元格产生HTML标签的函数。 参见setRenderer. 如果不指定...
(可选) 一个用来根据单元格数值，为单元格产生HTML标签的函数。 参见setRenderer. 如果不指定，默认的渲染器仅仅使用原始的数据值。
ColumnModel
resizable : Boolean
(可选) 设置为false以阻止列调整大小。默认为true。
ColumnModel
sortable : Boolean
(可选) 如果当前列不允许排序，返回true。 默认为 defaultSortable 的值。 使用本地...
(可选) 如果当前列不允许排序，返回true。 默认为 defaultSortable 的值。 使用本地还是远程排序，由 Ext.data.Store.remoteSort。 指定。
ColumnModel
tooltip : String
(可选) 一个文本字符串，将用作列表头的tooltip。 如果启用Quicktips， 此值将被用作快速提示(quick tip)的文本， 否则它将...
(可选) 一个文本字符串，将用作列表头的tooltip。 如果启用Quicktips， 此值将被用作快速提示(quick tip)的文本， 否则它将被设置为表头的HTML titile属性值。 默认为''.
ColumnModel
width : Number
(可选) 列的初始化宽度。
ColumnModel

公共属性

Property |  | 所在类
 | defaultSortable : Boolean 没有指定是否可排序的列使用的默认值(默认值为 false) | ColumnModel
 | defaultWidth : Number 如果没有为一列指定宽度时使用的默认宽度(默认值为 100) | ColumnModel

公共方法

Method 所在类
ColumnModel( Object config )
参数:
  • config : Object
    一个列配置对象数组。详情参见当前类的配置对象。
返回值:
ColumnModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
findColumnIndex( String col ) : Number
根据所给的dataIndex，找到第一个匹配列的序号。
根据所给的dataIndex，找到第一个匹配列的序号。
参数:
  • col : String
    需要查找的dataIndex
返回值:
  • Number
    列序号，如果没有匹配的项，返回-1
ColumnModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getCellEditor( Number colIndex, Number rowIndex ) : Object
返回cell/column所定义的编辑器。
返回cell/column所定义的编辑器。
参数:
  • colIndex : Number
    The column index
  • rowIndex : Number
    The row index
返回值:
  • Object
 ColumnModel
getColumnById( String id ) : Object
根据所给的id，返回列。
返回值 the column for a specified id.
参数:
  • id : String
    The column id
返回值:
  • Object
    the column
 ColumnModel
getColumnCount() : Number
获得列总数。
获得列总数。
参数:
  • 无.
返回值:
  • Number
 ColumnModel
getColumnHeader( Number col ) : String
返回指定列的header
返回指定列的header
参数:
  • col : Number
    The column index
返回值:
  • String
 ColumnModel
getColumnId( Number index ) : String
返回指定序号处列的id。
返回指定序号处列的id。
参数:
  • index : Number
    The column index
返回值:
  • String
    the id
 ColumnModel
getColumnTooltip( Number col ) : String
返回指定列的tooltip。
返回指定列的tooltip。
参数:
  • col : Number
    The column index
返回值:
  • String
 ColumnModel
getColumnWidth( Number col ) : Number
返回指定列的宽度。
返回指定列的宽度。
参数:
  • col : Number
    The column index
返回值:
  • Number
 ColumnModel
getColumnsBy( Function fn, [Object scope] ) : Array
如果传递进来的函数被调用时返回true，则返回当前列的配置数据，传递给函数的参数格式： (columnConfig, index)
如果传递进来的函数被调用时返回true，则返回当前列的配置数据，传递给函数的参数格式： (columnConfig, index)
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    result
 ColumnModel
getDataIndex( Number col ) : String
返回指定列的dataIndex。
返回指定列的dataIndex。
参数:
  • col : Number
    The column index
返回值:
  • String
    The column's dataIndex
 ColumnModel
getIndexById( String id ) : Number
根据指定列的id，返回列序号。
根据指定列的id，返回列序号。
参数:
  • id : String
    The column id
返回值:
  • Number
    the index, or -1 if not found
 ColumnModel
getRenderer( Number col ) : Function
返回为列定义的渲染(格式化)函数。
返回为列定义的渲染(格式化)函数。
参数:
  • col : Number
    The column index.
返回值:
  • Function
    The function used to render the cell. See {@link #setRenderer}.
 ColumnModel
getTotalWidth( Boolean includeHidden ) : Number
返回所有列的总宽度。
返回所有列的总宽度。
参数:
  • includeHidden : Boolean
    True to include hidden column widths
返回值:
  • Number
 ColumnModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isCellEditable( Number colIndex, Number rowIndex ) : Boolean
如果单元格可编辑，返回true。
如果单元格可编辑，返回true。
参数:
  • colIndex : Number
    The column index
  • rowIndex : Number
    The row index
返回值:
  • Boolean
 ColumnModel
isFixed() : void
如果列宽度不可改变，返回true。
如果列宽度不可改变，返回true。
参数:
  • 无.
返回值:
  • void
 ColumnModel
isHidden( Number colIndex ) : Boolean
如果列处于隐藏状态，返回true。
如果列处于隐藏状态，返回true。
参数:
  • colIndex : Number
    The column index
返回值:
  • Boolean
 ColumnModel
isMenuDisabled( Number col ) : Boolean
如果指定列的菜单（译者注：指单击列表头时的下拉菜单）被禁用，返回true。
如果指定列的菜单（译者注：指单击列表头时的下拉菜单）被禁用，返回true。
参数:
  • col : Number
    The column index
返回值:
  • Boolean
 ColumnModel
isResizable() : Boolean
如果列可以调整大小，返回true
如果列可以调整大小，返回true
参数:
  • 无.
返回值:
  • Boolean
 ColumnModel
isSortable( Number col ) : Boolean
如果指定的列是可排序的，返回true。
如果指定的列是可排序的，返回true。
参数:
  • col : Number
    The column index
返回值:
  • Boolean
 ColumnModel
moveColumn( Number oldIndex, Number newIndex ) : void
将一列数据从一个位置移动到另一个位置。
将一列数据从一个位置移动到另一个位置。
参数:
  • oldIndex : Number
    The index of the column to move.
  • newIndex : Number
    The position at which to reinsert the coolumn.
返回值:
  • void
 ColumnModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setColumnHeader( Number col, String header ) : void
为一列设置header。
为一列设置header。
参数:
  • col : Number
    The column index
  • header : String
    The new header
返回值:
  • void
 ColumnModel
setColumnTooltip( Number col, String tooltip ) : void
为一列设置tooltip。
为一列设置tooltip。
参数:
  • col : Number
    The column index
  • tooltip : String
    The new tooltip
返回值:
  • void
 ColumnModel
setColumnWidth( Number col, Number width ) : void
设置一列的宽度。
设置一列的宽度。
参数:
  • col : Number
    The column index
  • width : Number
    The new width
返回值:
  • void
 ColumnModel
setConfig( Array config ) : void
重新配置当前的列模型
重新配置当前的列模型
参数:
  • config : Array
    Array of Column configs
返回值:
  • void
 ColumnModel
setDataIndex( Number col, String dataIndex ) : void
设置一列的dataIndex。
设置一列的dataIndex。
参数:
  • col : Number
    The column index
  • dataIndex : String
    The new dataIndex
返回值:
  • void
 ColumnModel
setEditable( Number col, Boolean editable ) : void
设置一列是否可以编辑。
设置一列是否可以编辑。
参数:
  • col : Number
    The column index
  • editable : Boolean
    True if the column is editable
返回值:
  • void
 ColumnModel
setEditor( Number col, Object editor ) : void
为一列设置编辑器。
为一列设置编辑器。
参数:
  • col : Number
    The column index
  • editor : Object
    The editor object
返回值:
  • void
 ColumnModel
setHidden( Number colIndex, Boolean hidden ) : void
设置是否隐藏一列。
设置是否隐藏一列。
参数:
  • colIndex : Number
    The column index
  • hidden : Boolean
    True if the column is hidden
返回值:
  • void
 ColumnModel
setRenderer( Number col, Function fn ) : void
为一列设置渲染器/格式器（原文：rendering (formatting)）。 更多默认的格式化函数，参见Ext.util.Format ...
为一列设置渲染器/格式器（原文：rendering (formatting)）。 更多默认的格式化函数，参见Ext.util.Format 。
参数:
  • col : Number
    The column index
  • fn : Function
    处理单元格的原始数据，返回一些HTML标签给grid视图。 渲染函数将会被以如下的参数格式调用:
    • value : Object

      单元格的数据值

    • metadata : Object

      一个对象，你可以向其中设置如下属性：

      • css : String

        添加到单元格中TD元素的CSS类名。

      • attr : String

        一个HTML属性定义字符串，它将被应用到单元格中（within）的数据容器元素 (例如：'style="color:red;"')。

    • record : Ext.data.record

      Ext.data.Record 对象，可以从其中提取数据。

    • rowIndex : Number

      行号

    • colIndex : Number

      列号

    • store : Ext.data.Store

      Ext.data.Store 对象，从其中可以提取Record。

返回值:
  • void
 ColumnModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
columnmoved : ( ColumnModel this, Number oldIndex, Number newIndex )
当移动一列时触发。
当移动一列时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • oldIndex : Number
  • newIndex : Number
 ColumnModel
configchange : ( ColumnModel this )
当结构发生改变时触发。
当结构发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
 ColumnModel
headerchange : ( ColumnModel this, Number columnIndex, String newText )
当一列的表头文字改变时触发。
当一列的表头文字改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • newText : String
    The new header text
 ColumnModel
hiddenchange : ( ColumnModel this, Number columnIndex, Boolean hidden )
当一列被隐藏或反隐藏("unhidden")时触发。
当一列被隐藏或反隐藏("unhidden")时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • hidden : Boolean
    true if hidden, false otherwise
 ColumnModel
widthchange : ( ColumnModel this, Number columnIndex, Number newWidth )
当一列的宽度发生改变时触发。
当一列的宽度发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • newWidth : Number
    The new width
 ColumnModel


Observable
    Component
      BoxComponent
        Container
          Panel
            GridPanel
              EditorGridPanel

Class Ext.grid.EditorGridPanel

包: | Ext.grid
所在文件: | EditorGrid.js
Class: | EditorGridPanel
子类: | PropertyGrid
继承自: | GridPanel
用来创建可编辑grid的类。

配置属性

配置属性 所在类

enableDragDrop : Boolean

True表示启动对于GridPanel中选中行的拖动行为. 设置为true将使得这个GridPanel的GridView ...
True表示启动对于GridPanel中选中行的拖动行为.

设置为 true 将使得这个GridPanel的GridView 建立一个 Ext.grid.GridDragZone对象. (仅当Grid已经展现以后)这个对象才可以访问到， 作为GridView的 dragZone 属性.

一个协作的 DropZone 必须被创建，它实现了 onNodeEnter, onNodeOver, onNodeOut and onNodeDrop

这些事件,这些事件可以得到data进行处理（译者注：指这几个事件得到拖动行的数据进行处理） .
GridPanel
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
autoEncode : Boolean
设置为true将在提交之前自动进行HTML编码和解码 (默认值为 false)
EditorGridPanel
autoExpandColumn : String
grid中列的id,改列将会扩展宽度以致填满剩余空间.这个列id不能为0.
GridPanel
autoExpandMax : Number
自动扩展大小列的最大宽度 (如果autoExpandColumn为true). 默认为 1000.
GridPanel
autoExpandMin : Number
自动扩展大小列的最小宽度 (如果autoExpandColumn为true). 默认值为 50.
GridPanel
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
clicksToEdit : Number
显示单元格编辑器所需要点击的次数(默认值为 2)
EditorGridPanel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
cm : Object
colModel的简称.
GridPanel
colModel : Object
由于展现grid的Ext.grid.ColumnModel对象，列定义的model (必需).
GridPanel
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
columns : Array
一个包含了列定义的数组,用于自动创建ColumnModel
GridPanel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
deferRowRender : Boolean
是否启用行的延迟展现.默认为true.
GridPanel
disableSelection : Boolean
True表示禁止在Grid中选择 (默认值为 false). - 如果SelectionModel已经配置,该项将被忽视
GridPanel
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
enableColumnHide : Boolean
True表示启用表格头菜单中的隐藏列功能.
GridPanel
enableColumnMove : Boolean
True表示启动对Column顺序的拖拽,反之禁用
GridPanel
enableColumnResize : Boolean
设置为false可以禁止这个表格的列改变宽度 (默认值为 true).
GridPanel
enableHdMenu : Boolean
True表示启动在表头中的下拉菜单按钮.
GridPanel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideHeaders : Boolean
True 表示隐藏Grid的头部(默认值为 false).
GridPanel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadMask : Object
Ext.LoadMask的配置或者true表示在加载数据时使用mask(默认值为 false).
GridPanel
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxHeight : Number
设置Grid的最大高度-如果autoHeight未启用,则该项被忽视.
GridPanel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minColumnWidth : Number
一个列可以被调整的最小宽度值。 默认为 25.
GridPanel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selModel : Object
AbstractSelectionModel的一个子类， 它将为grid提供选择模型(selection model)...
AbstractSelectionModel的一个子类， 它将为grid提供选择模型(selection model)(如果不指定，默认值为 Ext.grid.CellSelectionModel).
EditorGridPanel
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
sm : Object
selModel的简称.
GridPanel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store
Grid使用Ext.data.Store 作为自己的数据源(必需).
GridPanel
stripeRows : Boolean
True表示使用不同颜色间隔行，默认为false.
GridPanel
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
view : Object
grid中的Ext.grid.GridView 对象. 这个可以在调用render()之前设置.
GridPanel
viewConfig : Object
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以设置...
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以在这设置.
GridPanel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | ddText : String 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of select... 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of selected rows. | GridPanel
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
EditorGridPanel( Object config )
参数:
  • config : Object
    The config object
返回值:
EditorGridPanel
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getColumnModel() : ColumnModel
返回grid的 ColumnModel。
返回grid的 ColumnModel。
参数:
  • 无.
返回值:
  • ColumnModel
    The column model
 GridPanel
getDragDropText() : String
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
参数:
  • 无.
返回值:
  • String
    The text
 GridPanel
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getGridEl() : Element
返回grid的底层元素。
返回grid的底层元素。
参数:
  • 无.
返回值:
  • Element
    The element
 GridPanel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSelectionModel() : SelectionModel
返回grid的SelectionModel。
返回grid的SelectionModel。
参数:
  • 无.
返回值:
  • SelectionModel
    The selection model
 GridPanel
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getStore() : DataSource
返回grid的data store
返回grid的data store.
参数:
  • 无.
返回值:
  • DataSource
    The store
 GridPanel
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getView() : GridView
返回grid的GridView对象。
返回grid的GridView对象。
参数:
  • 无.
返回值:
  • GridView
    The grid view
 GridPanel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
reconfigure( Ext.data.Store store, Ext.grid.ColumnModel colModel ) : void
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新.
参数:
  • store : Ext.data.Store
    The new Ext.data.Store object
  • colModel : Ext.grid.ColumnModel
    The new Ext.grid.ColumnModel object
返回值:
  • void
 GridPanel
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
startEditing( Number rowIndex, Number colIndex ) : void
开始编辑指定的row/column
开始编辑指定的row/column
参数:
  • rowIndex : Number
  • colIndex : Number
返回值:
  • void
 EditorGridPanel
stopEditing( [Boolean cancel] ) : void
终止所有当前正在进行的编辑
终止所有当前正在进行的编辑
参数:
  • cancel : Boolean
    (可选) 为true将取消所有改变
返回值:
  • void
 EditorGridPanel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afteredit : ( Object e )
在一个单元格被编辑之后触发...
在一个单元格被编辑之后触发。
  • grid - 当前的grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 设置的值
  • originalValue - 字段在被编辑之前的原始值
  • row - grid的行序号
  • column - grid的列序号
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeedit : ( Object e )
在开始编辑单元格之前触发。 edit 事件对象包含如下参数...
在开始编辑单元格之前触发。 edit 事件对象包含如下参数：
  • grid - 当前grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 设置到被编辑字段的值。
  • row - grid行序号
  • column - grid列序号
  • cancel - 设置此参数为true，或者从你的处理器中返回false，以取消编辑的值
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
bodyscroll : ( Number scrollLeft, Number scrollTop )
当body元素被滚动时触发。
当body元素被滚动时触发。
监听者(Listeners) 将会被调用,参数如下所示
  • scrollLeft : Number
  • scrollTop : Number
 GridPanel
cellclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record对象。
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record 对象. 在监听函数中获取数据的方法如下:
function(grid, rowIndex, columnIndex, e) {
        var record = grid.getStore().getAt(rowIndex);  // Get the Record
        var fieldName = grid.getColumnModel().getDataIndex(columnIndex); // Get field name
        var data = record.get(fieldName);
    }
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellcontextmenu : ( Grid this, Number rowIndex, Number cellIndex, Ext.EventObject e )
当单元格被右击时触发
当单元格被右击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • cellIndex : Number
  • e : Ext.EventObject
 GridPanel
celldblclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当单元格被双击时触发事件
当单元格被双击时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellmousedown : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击时触发
当一个单元格被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
click : ( Ext.EventObject e )
整个表格原生的click事件
整个表格原生的click事件
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
columnmove : ( Number oldIndex, Number newIndex )
当用户移动一列位置时触发该事件
当用户移除一列时触发该事件
监听者(Listeners) 将会被调用,参数如下所示
  • oldIndex : Number
  • newIndex : Number
 GridPanel
columnresize : ( Number columnIndex, Number newSize )
当用户调整列的尺寸时触发
当用户调整列的尺寸时触发
监听者(Listeners) 将会被调用,参数如下所示
  • columnIndex : Number
  • newSize : Number
 GridPanel
contextmenu : ( Ext.EventObject e )
整个grid原生的contextmenu 事件.
整个grid原生的contextmenu 事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
dblclick : ( Ext.EventObject e )
整个grid的原生的双击事件.
整个grid的原生的双击事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
headerclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被点击时触发
当表头被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headercontextmenu : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被右键点击时触发
当表头被右键点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headerdblclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当双击表格头的单元格时触发的事件
当双击表格头的单元格时触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headermousedown : ( Grid this, Number columnIndex, Ext.EventObject e )
当鼠标在表头上按下时触发
当鼠标在表头上按下时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
keydown : ( Ext.EventObject e )
整个grid原生的keydown事件.
整个grid原生的keydown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
keypress : ( Ext.EventObject e )
整个grid的原生的keypress事件.
在整个grid中的原生的keypress事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mousedown : ( Ext.EventObject e )
整个grid原生的mousedown事件.
整个grid原生的mousedown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseout : ( Ext.EventObject e )
整个表格原生的mouseout事件
整个表格原生的mouseout事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseover : ( Ext.EventObject e )
整个grid原生的mouseover事件.
整个grid原生的mouseover事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseup : ( Ext.EventObject e )
整个grid使用的原生mouseup事件。
整个grid使用的原生mouseup事件。
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
rowclick : ( Grid this, Number rowIndex, Ext.EventObject e )
行被点击后触发的事件
行被点击后触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowcontextmenu : ( Grid this, Number rowIndex, Ext.EventObject e )
在行中右击鼠标时触发.
在行中右击鼠标时触发.
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowdblclick : ( Grid this, Number rowIndex, Ext.EventObject e )
当双击一行的时候触发。
当双击一行的时候触发。
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowmousedown : ( Grid this, Number rowIndex, Ext.EventObject e )
鼠标在行上按下时触发事件
鼠标在行上按下时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
sortchange : ( Grid this, Object sortInfo )
当表格的store排序改变时触发
当表格的store排序改变时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • sortInfo : Object
    一个包含了排序列和方向的对象
 GridPanel
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel
validateedit : ( Object e )
在单元格被编辑之后，值被设置到record之前触发。 返回false取消改变的值...
在单元格被编辑之后，值被设置到record之前触发。 返回false取消改变的值。 事件对象包含下列属性
  • grid - 当前grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 被设置的值
  • originalValue - 字段在未被编辑之前的原始值
  • row - grid行序号
  • column - grid列序号
  • cancel - 设置此参数为true，或者从你的处理器中返回false，以取消编辑的值
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel


DragDrop
    DD
      DDProxy
        DragSource
          DragZone
            GridDragZone

Class Ext.grid.GridDragZone

包: | Ext.grid
所在文件: | GridDD.js
Class: | GridDragZone
继承自: | DragZone

DragZone 的一个定制实现，提供DragZone中两个模板方法的默认实现，使之能拖动GridPanel中 选中的行。

一个与之协作的 DropZone 必须提供自己对 onNodeEnter, onNodeOver, onNodeOut 和 onNodeDrop

模板方法的实现，以便能够处理所提供的 。

配置属性

配置属性 |  | 所在类
 | containerScroll : Boolean 如果为true，使用Scrollmanager注册此容器， 在拖拽过程中可以自动进行滚动。 | DragZone
 | ddGroup : String 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互... 当前对象所属的指定的drag drop组。 如果指定了一个组，那么此对象只与同一组中的其它可拖拽对象发生交互 默认值为 undefined). | DragSource
 | dropAllowed : String 当允许执行放下操作时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-ok"). | DragSource
 | dropNotAllowed : String 当不允许放开时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DragSource
 | hlColor : String 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) | DragZone

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
centerFrame : boolean
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量....
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量。 另外一点是让拖拽框架以鼠标为中心点，只有你没有为此对象设置约束时才有效。 设置centerFrame为true可以使用这种效果（以鼠标为中心）。
DDProxy
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
onStartDrag : Object
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次...
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次。 不能从此方法中终止拖拽操作。
DragSource
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
resizeFrame : boolean
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效...
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效)。 如果我们需要一个不同的行为，我们可以关闭它。
DDProxy
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
afterDragDrop( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterDragEnter( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOut( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行， 并且可以选择终止执行它。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOver( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterInvalidDrop( Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行。
参数:
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterRepair() : void
一个空实现。 实现此方法以便在发生一个非法的拖拽动作时提供处理...
一个空实现。 实现此方法以便在发生一个非法的拖拽动作时提供处理。 方法的实现必须高亮显示选中的行，以便提示它们没有被拖拽成功。
参数:
  • 无.
返回值:
  • void
 GridDragZone
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
beforeDragDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行， 并且可以选择终止执行onDragDrop方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 当drag drop事件合法时为true；否则为false并终止操作
 DragSource
beforeDragEnter( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行， 并且可以选择终止执行onDragEnter方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOut( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行， 并可以选择终止执行onDragOut方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOver( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行...
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行， 并且可以选择终止执行onDragOver方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽的目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
DragSource
beforeInvalidDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid True if the invalid drop should proceed, else false to cancel
 DragSource
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
createFrame() : void
创建代理元素，如果它还不存在
创建代理元素，如果它还不存在
参数:
  • 无.
返回值:
  • void
 DDProxy
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragData() : void
提供对getDragData的实现，在鼠标按下时收集从GridPanel中被拖拽的数据...

提供对getDragData的实现，在鼠标按下时收集从GridPanel中被拖拽的数据。

数据可以在与之协作的 DropZone 的 onNodeEnter, onNodeOver, onNodeOut和 onNodeDrop 方法中被处理。

数据对象包含如下参数：

  • grid : Ext.Grid.GridPanel
    从其中拖出数据的GridPanel。
  • ddel : htmlElement
    一个htmlElement，提供被拖拽数据的“快照”（"picture"）。
  • rowIndex : Number
    获得mousedown手势的行序号，它触发了拖拽动作。
  • selections : Array
    从GridPanel中被拖拽出来的Record数组。

参数:
  • 无.
返回值:
  • void
 GridDragZone
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getProxy() : Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • Ext.dd.StatusProxy
    proxy The StatusProxy
 DragSource
getRepairXY( EventObject e ) : Array
一个空实现。 实现此方法可以让拖拽代理对象在一个非法的拖拽发生后滑回原来的位置。

一个空实现。 实现此方法可以让拖拽代理对象在一个非法的拖拽发生后滑回原来的位置。

在一个非法的拖拽发生后调用，获取需要滑动到的位置的XY坐标。

参数:
  • e : EventObject
    The mouse up event
返回值:
  • Array
    xy坐标(例如：[100, 200])
 GridDragZone
hideProxy() : void
隐藏拖拽源的 Ext.dd.StatusProxy
隐藏拖拽源的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • void
 DragSource
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initFrame() : void
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
参数:
  • 无.
返回值:
  • void
 DDProxy
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onBeforeDrag( Object data, Event e ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行， 并且可以选择终止执行它。
参数:
  • data : Object
    包含任意数据的对象，可以在拖拽目标之间共享
  • e : Event
    事件对象
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInitDrag() : void
提供onInitDrag方法的实现。 设置拖拽代理的innerHTML属性，它提供了被拖拽数据的“快照”("picture")。

提供onInitDrag方法的实现。 设置拖拽代理的innerHTML属性，它提供了被拖拽数据的“快照”("picture")。

通过调用所属GridPanel的 getDragDropText。 方法获取innerHTML数据。

参数:
  • 无.
返回值:
  • void
 GridDragZone
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container
          Panel
            GridPanel

Class Ext.grid.GridPanel

包: | Ext.grid
所在文件: | GridPanel.js
Class: | GridPanel
子类: | EditorGridPanel
继承自: | Panel
这个类表述了那些基于数据表格控制的组件会使用的主要接口.

使用:
var grid = new Ext.grid.GridPanel({
    store: new Ext.data.Store({
        reader: reader,
        data: xg.dummyData
    }),
    columns: [
        {id:'company', header: "Company", width: 200, sortable: true, dataIndex: 'company'},
        {header: "Price", width: 120, sortable: true, renderer: Ext.util.Format.usMoney, dataIndex: 'price'},
        {header: "Change", width: 120, sortable: true, dataIndex: 'change'},
        {header: "% Change", width: 120, sortable: true, dataIndex: 'pctChange'},
        {header: "Last Updated", width: 135, sortable: true, renderer: Ext.util.Format.dateRenderer('m/d/Y'), dataIndex: 'lastChange'}
    ],
    viewConfig: {
        forceFit: true
    },
    sm: new Ext.grid.RowSelectionModel({singleSelect:true}),
    width:600,
    height:300,
    frame:true,
    title:'Framed with Checkbox Selection and Horizontal Scrolling',
    iconCls:'icon-grid'
});
Notes:
  • 虽然这个类从父类中继承了很多配置选项,但是其中有些选项(比如:autoScroll, layout, items等)在这个类中不被使用,将不起效果.
  • 一个grid需要一个width配置使得支持列的滚动(横向滚动),一个height配置用于支持行的滚动(竖向滚动).这两个度量值可以通过 height 和 width 配置选项或者是当grid在一个父容器(Container)中,该父容器的布局(layout)能够为子组件提供确定的大小
  • 为了访问Grid中的数据,需要使用一个封装好的数据模型Store. 请看 cellclick 事件.

翻译人:Tony Email:jxjstony@gmail.com

配置属性

配置属性 所在类

enableDragDrop : Boolean

True表示启动对于GridPanel中选中行的拖动行为. 设置为true将使得这个GridPanel的GridView ...
True表示启动对于GridPanel中选中行的拖动行为.

设置为 true 将使得这个GridPanel的GridView 建立一个 Ext.grid.GridDragZone对象. (仅当Grid已经展现以后)这个对象才可以访问到， 作为GridView的 dragZone 属性.

一个协作的 DropZone 必须被创建，它实现了 onNodeEnter, onNodeOver, onNodeOut and onNodeDrop

这些事件,这些事件可以得到data进行处理（译者注：指这几个事件得到拖动行的数据进行处理） .
GridPanel
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
autoExpandColumn : String
grid中列的id,改列将会扩展宽度以致填满剩余空间.这个列id不能为0.
GridPanel
autoExpandMax : Number
自动扩展大小列的最大宽度 (如果autoExpandColumn为true). 默认为 1000.
GridPanel
autoExpandMin : Number
自动扩展大小列的最小宽度 (如果autoExpandColumn为true). 默认值为 50.
GridPanel
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
cm : Object
colModel的简称.
GridPanel
colModel : Object
由于展现grid的Ext.grid.ColumnModel对象，列定义的model (必需).
GridPanel
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
columns : Array
一个包含了列定义的数组,用于自动创建ColumnModel
GridPanel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
deferRowRender : Boolean
是否启用行的延迟展现.默认为true.
GridPanel
disableSelection : Boolean
True表示禁止在Grid中选择 (默认值为 false). - 如果SelectionModel已经配置,该项将被忽视
GridPanel
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
enableColumnHide : Boolean
True表示启用表格头菜单中的隐藏列功能.
GridPanel
enableColumnMove : Boolean
True表示启动对Column顺序的拖拽,反之禁用
GridPanel
enableColumnResize : Boolean
设置为false可以禁止这个表格的列改变宽度 (默认值为 true).
GridPanel
enableHdMenu : Boolean
True表示启动在表头中的下拉菜单按钮.
GridPanel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideHeaders : Boolean
True 表示隐藏Grid的头部(默认值为 false).
GridPanel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadMask : Object
Ext.LoadMask的配置或者true表示在加载数据时使用mask(默认值为 false).
GridPanel
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxHeight : Number
设置Grid的最大高度-如果autoHeight未启用,则该项被忽视.
GridPanel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minColumnWidth : Number
一个列可以被调整的最小宽度值。 默认为 25.
GridPanel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selModel : Object
任何AbstractSelectionModel的子类都可以作为grid的选择模型(selection model) (默认值为 Ext.grid.RowSe...
任何AbstractSelectionModel的子类都可以作为grid的选择模型(selection model) (默认值为 Ext.grid.RowSelectionModel if not specified).
GridPanel
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
sm : Object
selModel的简称.
GridPanel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store
Grid使用Ext.data.Store 作为自己的数据源(必需).
GridPanel
stripeRows : Boolean
True表示使用不同颜色间隔行，默认为false.
GridPanel
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
trackMouseOver : Boolean
True 表示当鼠标移到某行上方时高亮该行. 默认是 true.
GridPanel
view : Object
grid中的Ext.grid.GridView 对象. 这个可以在调用render()之前设置.
GridPanel
viewConfig : Object
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以设置...
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以在这设置.
GridPanel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | ddText : String 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of select... 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of selected rows. | GridPanel
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
GridPanel( Object config )
参数:
  • config : Object
    用于配置的对象
返回值:
GridPanel
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getColumnModel() : ColumnModel
返回grid的 ColumnModel。
返回grid的 ColumnModel。
参数:
  • 无.
返回值:
  • ColumnModel
    The column model
 GridPanel
getDragDropText() : String
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
参数:
  • 无.
返回值:
  • String
    The text
 GridPanel
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getGridEl() : Element
返回grid的底层元素。
返回grid的底层元素。
参数:
  • 无.
返回值:
  • Element
    The element
 GridPanel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSelectionModel() : SelectionModel
返回grid的SelectionModel。
返回grid的SelectionModel。
参数:
  • 无.
返回值:
  • SelectionModel
    The selection model
 GridPanel
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getStore() : DataSource
返回grid的data store
返回grid的data store.
参数:
  • 无.
返回值:
  • DataSource
    The store
 GridPanel
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getView() : GridView
返回grid的GridView对象。
返回grid的GridView对象。
参数:
  • 无.
返回值:
  • GridView
    The grid view
 GridPanel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
reconfigure( Ext.data.Store store, Ext.grid.ColumnModel colModel ) : void
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新.
参数:
  • store : Ext.data.Store
    The new Ext.data.Store object
  • colModel : Ext.grid.ColumnModel
    The new Ext.grid.ColumnModel object
返回值:
  • void
 GridPanel
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
bodyscroll : ( Number scrollLeft, Number scrollTop )
当body元素被滚动时触发。
当body元素被滚动时触发。
监听者(Listeners) 将会被调用,参数如下所示
  • scrollLeft : Number
  • scrollTop : Number
 GridPanel
cellclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record对象。
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record 对象. 在监听函数中获取数据的方法如下:
function(grid, rowIndex, columnIndex, e) {
        var record = grid.getStore().getAt(rowIndex);  // Get the Record
        var fieldName = grid.getColumnModel().getDataIndex(columnIndex); // Get field name
        var data = record.get(fieldName);
    }
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellcontextmenu : ( Grid this, Number rowIndex, Number cellIndex, Ext.EventObject e )
当单元格被右击时触发
当单元格被右击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • cellIndex : Number
  • e : Ext.EventObject
 GridPanel
celldblclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当单元格被双击时触发事件
当单元格被双击时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellmousedown : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击时触发
当一个单元格被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
click : ( Ext.EventObject e )
整个表格原生的click事件
整个表格原生的click事件
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
columnmove : ( Number oldIndex, Number newIndex )
当用户移动一列位置时触发该事件
当用户移除一列时触发该事件
监听者(Listeners) 将会被调用,参数如下所示
  • oldIndex : Number
  • newIndex : Number
 GridPanel
columnresize : ( Number columnIndex, Number newSize )
当用户调整列的尺寸时触发
当用户调整列的尺寸时触发
监听者(Listeners) 将会被调用,参数如下所示
  • columnIndex : Number
  • newSize : Number
 GridPanel
contextmenu : ( Ext.EventObject e )
整个grid原生的contextmenu 事件.
整个grid原生的contextmenu 事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
dblclick : ( Ext.EventObject e )
整个grid的原生的双击事件.
整个grid的原生的双击事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
headerclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被点击时触发
当表头被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headercontextmenu : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被右键点击时触发
当表头被右键点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headerdblclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当双击表格头的单元格时触发的事件
当双击表格头的单元格时触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headermousedown : ( Grid this, Number columnIndex, Ext.EventObject e )
当鼠标在表头上按下时触发
当鼠标在表头上按下时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
keydown : ( Ext.EventObject e )
整个grid原生的keydown事件.
整个grid原生的keydown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
keypress : ( Ext.EventObject e )
整个grid的原生的keypress事件.
在整个grid中的原生的keypress事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mousedown : ( Ext.EventObject e )
整个grid原生的mousedown事件.
整个grid原生的mousedown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseout : ( Ext.EventObject e )
整个表格原生的mouseout事件
整个表格原生的mouseout事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseover : ( Ext.EventObject e )
整个grid原生的mouseover事件.
整个grid原生的mouseover事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseup : ( Ext.EventObject e )
整个grid使用的原生mouseup事件。
整个grid使用的原生mouseup事件。
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
rowclick : ( Grid this, Number rowIndex, Ext.EventObject e )
行被点击后触发的事件
行被点击后触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowcontextmenu : ( Grid this, Number rowIndex, Ext.EventObject e )
在行中右击鼠标时触发.
在行中右击鼠标时触发.
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowdblclick : ( Grid this, Number rowIndex, Ext.EventObject e )
当双击一行的时候触发。
当双击一行的时候触发。
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowmousedown : ( Grid this, Number rowIndex, Ext.EventObject e )
鼠标在行上按下时触发事件
鼠标在行上按下时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
sortchange : ( Grid this, Object sortInfo )
当表格的store排序改变时触发
当表格的store排序改变时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • sortInfo : Object
    一个包含了排序列和方向的对象
 GridPanel
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    GridView

Class Ext.grid.GridView

包: | Ext.grid
所在文件: | GridView.js
Class: | GridView
子类: | GroupingView
继承自: | Observable

这个类封装了Ext.grid.GridPanel的用户界面. 这个类的方法可以用于访问用户界面元素从而启用一些特殊的显示效果.不能改变用户界面的DOM结构.

这个类不提供操控底层数据的方式.grid的数据模型在Ext.data.Store中.

配置属性

配置属性 |  | 所在类
 | autoFill : Boolean True表示在grid被创建时自动扩展列以适应grid. | GridView
 | cellSelector : String 内部使用选择器(selector)划分单元格 | GridView
 | cellSelectorDepth : Number 在委托事件(event delegation )中查找单元的层次值(默认值为 4) | GridView
 | deferEmptyText : Boolean True表示延迟emptyText的使用,直到store被第一次加载. | GridView
 | emptyText : String 当没有行可显示时在grid的body中显示的默认文本(默认值为 ''). | GridView
 | enableRowBody : Boolean True表示在每一行的下面增加第二个TR元素,第二个TR元素用于在行数据的下面提供一个行主体(row body)... True表示在每一行的下面增加第二个TR元素,第二个TR元素用于在行数据的下面提供一个行主体(row body). 使用getRowClass方法的rowParams配置去自定义行主体(row body). | GridView
 | forceFit : Boolean Ture表示自动扩展或缩小列的宽度以适应grid的宽度,从而避免出现水平滚动条. | GridView
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | rowSelector : String 内部使用选择器(selector)划分行 | GridView
 | rowSelectorDepth : Number 在委托事件(event delegation )中查找行的层次值 (默认值为 10) | GridView

公共属性

Property |  | 所在类
 | columnsText : String 菜单项"行(Columns)"中显示的文本 | GridView
 | dragZone : Ext.grid.GridDragZone This | GridView
 | scrollOffset : Number 为滚动条保留的空间大小(默认值为 19 pixels) | GridView
 | sortAscText : String 菜单项"升序(Sort Ascending)"显示的文本 | GridView
 | sortClasses : Array 当一列被排序后应用到列头的CSS类型(默认值为 ["sort-asc", "sort-desc"]) | GridView
 | sortDescText : String 菜单项"升序(Sort Descending)"显示的文本 | GridView

公共方法

Method 所在类
GridView( Object config )
参数:
  • config : Object
返回值:
GridView
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focusCell( Number row, Number col ) : void
焦点移动某个特定单元格.
焦点移动某个特定单元格.
参数:
  • row : Number
    The row index
  • col : Number
    The column index
返回值:
  • void
 GridView
focusRow( Number row ) : void
焦点移动某个特定行.
焦点移动某个特定行.
参数:
  • row : Number
    The row index
返回值:
  • void
 GridView
getCell( Number row, Number col ) : HtmlElement
返回grid中该位置的 <TD> HtmlElement.
返回grid中该位置的 <TD> HtmlElement.
参数:
  • row : Number
    The row index in which to find the cell.
  • col : Number
    The column index of the cell.
返回值:
  • HtmlElement
    The <TD> at the specified coordinates.
 GridView
getHeaderCell( Number index ) : HtmlElement
根据列的index返回grid中该列的表头单元格的 <TD> HtmlElement.
根据列的index返回grid中该列的表头单元格的 <TD> HtmlElement.
参数:
  • index : Number
    The column index
返回值:
  • HtmlElement
    The <TD> element.
 GridView
getRow( Number index ) : HtmlElement
返回表格中该index相对应的行的<TR> HtmlElement .
返回表格中该index相对应的行的<TR> HtmlElement .
参数:
  • index : Number
    The row index
返回值:
  • HtmlElement
    The <TR> element.
 GridView
getRowClass( Record record, Number index, Object rowParams, Store store ) : String
重写这个函数可以在展现的时候应用自定义的CSS类. 你也可以为行的模板(row template)提供一些自...
重写这个函数可以在展现的时候应用自定义的CSS类. 你也可以为行的模板(row template)提供一些自定义的参数用于定义如何使用rowParams参数去展示行.这个方法应该返回CSS类的名称(或者是空字符串''表示无),这将加到包装行的div上.如果需要应用多个CSS类名称,就直接返回他们的名称的字符串,相互用空格隔开(例如： 'my-class another-class').
参数:
  • record : Record
    The Ext.data.Record corresponding to the current row
  • index : Number
    The row index
  • rowParams : Object
    A config object that is passed to the row template during rendering that allows customization of various aspects of a body row, if applicable. Note that this object will only be applied if enableRowBody = true, otherwise it will be ignored. The object may contain any of these properties:
    • body : String
      An HTML fragment to be rendered as the cell's body content (默认值为 '').
    • bodyStyle : String
      A CSS style string that will be applied to the row's TR style attribute (默认值为 '').
    • cols : Number
      The column count to apply to the body row's TD colspan attribute (默认值为 the current column count of the grid).
  • store : Store
    The Ext.data.Store this grid is bound to
返回值:
  • String
    a CSS class name to add to the row.
 GridView
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
refresh( [Boolean headersToo] ) : void
刷新grid UI
刷新grid UI
参数:
  • headersToo : Boolean
    (可选) True to also refresh the headers
返回值:
  • void
 GridView
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
scrollToTop() : void
让grid滚动到最上方
让grid滚动到最上方
参数:
  • 无.
返回值:
  • void
 GridView
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforerefresh : ( Ext.grid.GridView view )
内部 UI 事件. 在视图被刷新前触发.
内部 UI 事件. 在视图被刷新前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
 GridView
beforerowremoved : ( Ext.grid.GridView view, Number rowIndex, Ext.data.Record record )
内部UI 事件. 在行被删除前触发.
内部UI 事件. 在行被删除前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • rowIndex : Number
    The index of the row to be removed.
  • record : Ext.data.Record
    The Record to be removed
 GridView
beforerowsinserted : ( Ext.grid.GridView view, Number firstRow, Number lastRow )
内部UI 事件. 在行被插入前触发.
内部UI 事件. 在行被插入前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the first row to be inserted.
  • lastRow : Number
    The index of the last row to be inserted.
 GridView
refresh : ( Ext.grid.GridView view )
内部UI 事件. 当GridView的主体(body)被刷新时触发.
内部UI 事件. 当GridView的主体(body)被刷新时触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
 GridView
rowremoved : ( Ext.grid.GridView view, Number rowIndex, Ext.data.Record record )
内部UI 事件. 当行被移除后触发
内部UI 事件. 当行被移除后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • rowIndex : Number
    The index of the row that was removed.
  • record : Ext.data.Record
    The Record that was removed
 GridView
rowsinserted : ( Ext.grid.GridView view, Number firstRow, Number lastRow )
内部UI事件. 当行被插入后触发.
内部UI事件. 当行被插入后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the first inserted.
  • lastRow : Number
    The index of the last row inserted.
 GridView
rowupdated : ( Ext.grid.GridView view, Number firstRow, Ext.data.record record )
内部UI 事件. 在行被更新后触发.
内部UI 事件. 在行被更新后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the row updated.
  • record : Ext.data.record
    The Record backing the row updated.
 GridView


Observable
    GridView
      GroupingView

Class Ext.grid.GroupingView

包: | Ext.grid
所在文件: | GroupingView.js
Class: | GroupingView
继承自: | GridView
为grid添加单层分组的功能。
var grid = new Ext.grid.GridPanel({
    // A groupingStore is required for a GroupingView
    store: new Ext.data.GroupingStore({
        reader: reader,
        data: xg.dummyData,
        sortInfo:{field: 'company', direction: "ASC"},
        groupField:'industry'
    }),

    columns: [
        {id:'company',header: "Company", width: 60, sortable: true, dataIndex: 'company'},
        {header: "Price", width: 20, sortable: true, renderer: Ext.util.Format.usMoney, dataIndex: 'price'},
        {header: "Change", width: 20, sortable: true, dataIndex: 'change', renderer: Ext.util.Format.usMoney},
        {header: "Industry", width: 20, sortable: true, dataIndex: 'industry'},
        {header: "Last Updated", width: 20, sortable: true, renderer: Ext.util.Format.dateRenderer('m/d/Y'), dataIndex: 'lastChange'}
    ],

    view: new Ext.grid.GroupingView({
        forceFit:true,
        // custom grouping text template to display the number of items per group
        groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Items" : "Item"]})'
    }),

    frame:true,
    width: 700,
    height: 450,
    collapsible: true,
    animCollapse: false,
    title: 'Grouping Example',
    iconCls: 'icon-grid',
    renderTo: document.body
});

配置属性

配置属性 所在类
autoFill : Boolean
True表示在grid被创建时自动扩展列以适应grid.
GridView
cellSelector : String
内部使用选择器(selector)划分单元格
GridView
cellSelectorDepth : Number
在委托事件(event delegation )中查找单元的层次值(默认值为 4)
GridView
deferEmptyText : Boolean
True表示延迟emptyText的使用,直到store被第一次加载.
GridView
emptyGroupText : String
当有一个空的分组时显示的文本
GroupingView
emptyText : String
当没有行可显示时在grid的body中显示的默认文本(默认值为 '').
GridView
enableGrouping : Boolean
如果为false，将禁用分组功能(默认值为 true)
GroupingView
enableGroupingMenu : Boolean
设置为true，允许在列菜单中控制分组
GroupingView
enableNoGroups : Boolean
设置为true，允许用户关闭分组
GroupingView
enableRowBody : Boolean
True表示在每一行的下面增加第二个TR元素,第二个TR元素用于在行数据的下面提供一个行主体(row body)...
True表示在每一行的下面增加第二个TR元素,第二个TR元素用于在行数据的下面提供一个行主体(row body). 使用getRowClass方法的rowParams配置去自定义行主体(row body).
GridView
forceFit : Boolean
Ture表示自动扩展或缩小列的宽度以适应grid的宽度,从而避免出现水平滚动条.
GridView
groupByText : String
根据一列分组时显示在grid头部菜单中的文本(默认值为 'Group By This Field').
GroupingView
groupRenderer : Function
被用来格式化分组所依据的字段值的函数，结果将被显示在分组的表头上。 应该返回一个字符串值...
被用来格式化分组所依据的字段值的函数，结果将被显示在分组的表头上。 应该返回一个字符串值。 有如下参数:
  • v : Object

    分组字段的新值。

  • unused : undefined

    未使用的参数。

  • r : Ext.data.Record

    Record对象，为一行提供数据，此行导致了分组的改变。

  • rowIndex : Number

    导致分组改变的Record的行号。

  • colIndex : Number

    分组依据字段的列序号。

  • ds : Ext.data.Store

    提供数据Model的Store。

GroupingView
groupTextTpl : String
用来渲染分组表头的模板。 用来格式化包含如下属性的对象...
用来渲染分组表头的模板。 用来格式化包含如下属性的对象：
  • group : String

    分组字段渲染后(rendered)的值。 默认为分组字段，不做改变。 如果指定了一个groupRenderer ，则为调用此方法的结果。

  • gvalue : Object

    分组字段的原始（raw）值。

  • text : String

    配置的header (如果showGroupName 为true) 加上渲染(rendered)后的分组字段值。

  • groupId : String

    一个唯一的，自动产生的ID，被应用到包含分组的View Element。

  • startRow : Number

    导致分组改变的Record的行号。

  • rs : Array

    . 包含单个元素: 导致分组改变的Record，它为一行提供数据。

  • cls : String

    自动生成的类名字符串，将被应用到分组的表头元素。

  • style : String

    应用到分组表头元素的内联样式规则。

如果使用模板格式化数据，参见Ext.XTemplate 。
GroupingView
header : String
分组的表头行中，添加到字段值的前缀文本。
GroupingView
hideGroupedColumn : Boolean
如果为true，将隐藏当前分组做依据的列
GroupingView
ignoreAdd : Boolean
设置为true，当添加一条新的数据时跳过刷新视图的操作。(默认值为 false)
GroupingView
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
rowSelector : String
内部使用选择器(selector)划分行
GridView
rowSelectorDepth : Number
在委托事件(event delegation )中查找行的层次值 (默认值为 10)
GridView
showGroupName : Boolean
如果为true，将显示每个分组的名称(默认值为 true)
GroupingView
showGroupsText : String
启用/禁用分组时显示在grid头部的文本(默认值为 'Show in Groups').
GroupingView
startCollapsed : Boolean
设置为true，开始收起所有分组
GroupingView

公共属性

Property |  | 所在类
 | columnsText : String 菜单项"行(Columns)"中显示的文本 | GridView
 | dragZone : Ext.grid.GridDragZone This | GridView
 | scrollOffset : Number 为滚动条保留的空间大小(默认值为 19 pixels) | GridView
 | sortAscText : String 菜单项"升序(Sort Ascending)"显示的文本 | GridView
 | sortClasses : Array 当一列被排序后应用到列头的CSS类型(默认值为 ["sort-asc", "sort-desc"]) | GridView
 | sortDescText : String 菜单项"升序(Sort Descending)"显示的文本 | GridView

公共方法

Method 所在类
GroupingView( Object config )
参数:
  • config : Object
返回值:
GroupingView
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
collapseAllGroups() : void
收起所有已经分组的行。
收起所有已经分组的行。
参数:
  • 无.
返回值:
  • void
 GroupingView
expandAllGroups() : void
展开所有分组的行。
展开所有分组的行。
参数:
  • 无.
返回值:
  • void
 GroupingView
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focusCell( Number row, Number col ) : void
焦点移动某个特定单元格.
焦点移动某个特定单元格.
参数:
  • row : Number
    The row index
  • col : Number
    The column index
返回值:
  • void
 GridView
focusRow( Number row ) : void
焦点移动某个特定行.
焦点移动某个特定行.
参数:
  • row : Number
    The row index
返回值:
  • void
 GridView
getCell( Number row, Number col ) : HtmlElement
返回grid中该位置的 <TD> HtmlElement.
返回grid中该位置的 <TD> HtmlElement.
参数:
  • row : Number
    The row index in which to find the cell.
  • col : Number
    The column index of the cell.
返回值:
  • HtmlElement
    The <TD> at the specified coordinates.
 GridView
getGroupId( String value ) : String
根据指定的值动态地检测groupId
根据指定的值动态地检测groupId
参数:
  • value : String
返回值:
  • String
    The group id
 GroupingView
getHeaderCell( Number index ) : HtmlElement
根据列的index返回grid中该列的表头单元格的 <TD> HtmlElement.
根据列的index返回grid中该列的表头单元格的 <TD> HtmlElement.
参数:
  • index : Number
    The column index
返回值:
  • HtmlElement
    The <TD> element.
 GridView
getRow( Number index ) : HtmlElement
返回表格中该index相对应的行的<TR> HtmlElement .
返回表格中该index相对应的行的<TR> HtmlElement .
参数:
  • index : Number
    The row index
返回值:
  • HtmlElement
    The <TR> element.
 GridView
getRowClass( Record record, Number index, Object rowParams, Store store ) : String
重写这个函数可以在展现的时候应用自定义的CSS类. 你也可以为行的模板(row template)提供一些自...
重写这个函数可以在展现的时候应用自定义的CSS类. 你也可以为行的模板(row template)提供一些自定义的参数用于定义如何使用rowParams参数去展示行.这个方法应该返回CSS类的名称(或者是空字符串''表示无),这将加到包装行的div上.如果需要应用多个CSS类名称,就直接返回他们的名称的字符串,相互用空格隔开(例如： 'my-class another-class').
参数:
  • record : Record
    The Ext.data.Record corresponding to the current row
  • index : Number
    The row index
  • rowParams : Object
    A config object that is passed to the row template during rendering that allows customization of various aspects of a body row, if applicable. Note that this object will only be applied if enableRowBody = true, otherwise it will be ignored. The object may contain any of these properties:
    • body : String
      An HTML fragment to be rendered as the cell's body content (默认值为 '').
    • bodyStyle : String
      A CSS style string that will be applied to the row's TR style attribute (默认值为 '').
    • cols : Number
      The column count to apply to the body row's TD colspan attribute (默认值为 the current column count of the grid).
  • store : Store
    The Ext.data.Store this grid is bound to
返回值:
  • String
    a CSS class name to add to the row.
 GridView
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
refresh( [Boolean headersToo] ) : void
刷新grid UI
刷新grid UI
参数:
  • headersToo : Boolean
    (可选) True to also refresh the headers
返回值:
  • void
 GridView
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
scrollToTop() : void
让grid滚动到最上方
让grid滚动到最上方
参数:
  • 无.
返回值:
  • void
 GridView
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggleAllGroups( [Boolean expanded] ) : void
如果没有指定值，固定住所有分组，否则将所有分组的展开状态设置为传递进来的值。
如果没有指定值，固定住所有分组，否则将所有分组的展开状态设置为传递进来的值。
参数:
  • expanded : Boolean
    (可选)
返回值:
  • void
 GroupingView
toggleGroup( String groupId, [Boolean expanded] ) : void
如果没有指定值，固定住指定的分组，否则将展开状态设置为传递进来的值。
如果没有指定值，固定住指定的分组，否则将展开状态设置为传递进来的值。
参数:
  • groupId : String
    The groupId assigned to the group (see getGroupId)
  • expanded : Boolean
    (可选)
返回值:
  • void
 GroupingView
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforerefresh : ( Ext.grid.GridView view )
内部 UI 事件. 在视图被刷新前触发.
内部 UI 事件. 在视图被刷新前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
 GridView
beforerowremoved : ( Ext.grid.GridView view, Number rowIndex, Ext.data.Record record )
内部UI 事件. 在行被删除前触发.
内部UI 事件. 在行被删除前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • rowIndex : Number
    The index of the row to be removed.
  • record : Ext.data.Record
    The Record to be removed
 GridView
beforerowsinserted : ( Ext.grid.GridView view, Number firstRow, Number lastRow )
内部UI 事件. 在行被插入前触发.
内部UI 事件. 在行被插入前触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the first row to be inserted.
  • lastRow : Number
    The index of the last row to be inserted.
 GridView
refresh : ( Ext.grid.GridView view )
内部UI 事件. 当GridView的主体(body)被刷新时触发.
内部UI 事件. 当GridView的主体(body)被刷新时触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
 GridView
rowremoved : ( Ext.grid.GridView view, Number rowIndex, Ext.data.Record record )
内部UI 事件. 当行被移除后触发
内部UI 事件. 当行被移除后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • rowIndex : Number
    The index of the row that was removed.
  • record : Ext.data.Record
    The Record that was removed
 GridView
rowsinserted : ( Ext.grid.GridView view, Number firstRow, Number lastRow )
内部UI事件. 当行被插入后触发.
内部UI事件. 当行被插入后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the first inserted.
  • lastRow : Number
    The index of the last row inserted.
 GridView
rowupdated : ( Ext.grid.GridView view, Number firstRow, Ext.data.record record )
内部UI 事件. 在行被更新后触发.
内部UI 事件. 在行被更新后触发.
监听者(Listeners) 将会被调用,参数如下所示
  • view : Ext.grid.GridView
  • firstRow : Number
    The index of the row updated.
  • record : Ext.data.record
    The Record backing the row updated.
 GridView


Observable
    ColumnModel
      PropertyColumnModel

Class Ext.grid.PropertyColumnModel

包: | Ext.grid
所在文件: | PropertyGrid.js
Class: | PropertyColumnModel
继承自: | ColumnModel
A custom column model for the Ext.grid.PropertyGrid. Generally it should not need to be used directly.

配置属性

配置属性 所在类
align : String
(可选) 设置一列CSS的text-align属性。 默认为undefined.
ColumnModel
css : String
(可选) 为一列中的所有单元格设置特定的CSS (包括表头)。默认为undefined.
ColumnModel
dataIndex : String
(可选) grid中 Ext.data.Store 的Ext.data.Record 定义字段名称...
(可选) grid中 Ext.data.Store 的Ext.data.Record 定义字段名称，从其中可以获得列数据。 如果不指定，将使用列的序号作为Record数据Array的序号。
ColumnModel
editor : Ext.form.Field
(可选) 如果grid可编辑， 在编辑一列中数据时使用的 Ext.form.Field 。
ColumnModel
fixed : Boolean
(可选) 如果想要列的宽度不可改变，设置此项为true。 默认为false。
ColumnModel
header : String
Grid视图中显示在表头上的文本。
ColumnModel
hidden : Boolean
(可选) 设置为true隐藏这一列。默认为false。
ColumnModel
hideable : Boolean
(可选) 指定为false 以阻止用户隐藏此列(默认值为 true)。 如果需要在grid中全局禁止隐藏列，使用 Ext.grid.GridPanel.enableColumnHide 代替。
(可选) 指定为false 以阻止用户隐藏此列(默认值为 true)。 如果需要在grid中全局禁止隐藏列，使用 Ext.grid.GridPanel.enableColumnHide 代替。
ColumnModel
id : String
(可选) 默认为列初始化时列的顺序。 用来识别一个列的名称。 id被用来创建一个CSS类名...
(可选) 默认为列初始化时列的顺序。 用来识别一个列的名称。 id被用来创建一个CSS类名，它将被应用到那一列所有的单元格。 CSS类名的格式为
x-grid3-td-id

表头单元格也将接收这个类名，但也同时拥有
x-grid3-hd
， 所以，为了定位表头单元格，请使用如下的CSS选择器:
.x-grid3-hd.x-grid3-td-id
Ext.grid.GridPanel.autoExpandColumn grid配置项通过这个标志引用这一列。
ColumnModel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menuDisabled : Boolean
(可选) 设置为true禁用列菜单。默认为false。
ColumnModel
renderer : Function
(可选) 一个用来根据单元格数值，为单元格产生HTML标签的函数。 参见setRenderer. 如果不指定...
(可选) 一个用来根据单元格数值，为单元格产生HTML标签的函数。 参见setRenderer. 如果不指定，默认的渲染器仅仅使用原始的数据值。
ColumnModel
resizable : Boolean
(可选) 设置为false以阻止列调整大小。默认为true。
ColumnModel
sortable : Boolean
(可选) 如果当前列不允许排序，返回true。 默认为 defaultSortable 的值。 使用本地...
(可选) 如果当前列不允许排序，返回true。 默认为 defaultSortable 的值。 使用本地还是远程排序，由 Ext.data.Store.remoteSort。 指定。
ColumnModel
tooltip : String
(可选) 一个文本字符串，将用作列表头的tooltip。 如果启用Quicktips， 此值将被用作快速提示(quick tip)的文本， 否则它将...
(可选) 一个文本字符串，将用作列表头的tooltip。 如果启用Quicktips， 此值将被用作快速提示(quick tip)的文本， 否则它将被设置为表头的HTML titile属性值。 默认为''.
ColumnModel
width : Number
(可选) 列的初始化宽度。
ColumnModel

公共属性

Property |  | 所在类
 | defaultSortable : Boolean 没有指定是否可排序的列使用的默认值(默认值为 false) | ColumnModel
 | defaultWidth : Number 如果没有为一列指定宽度时使用的默认宽度(默认值为 100) | ColumnModel

公共方法

Method 所在类
PropertyColumnModel( Ext.grid.Grid grid, Object source )
参数:
  • grid : Ext.grid.Grid
    The grid this store will be bound to
  • source : Object
    The source data config object
返回值:
PropertyColumnModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
findColumnIndex( String col ) : Number
根据所给的dataIndex，找到第一个匹配列的序号。
根据所给的dataIndex，找到第一个匹配列的序号。
参数:
  • col : String
    需要查找的dataIndex
返回值:
  • Number
    列序号，如果没有匹配的项，返回-1
ColumnModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getCellEditor( Number colIndex, Number rowIndex ) : Object
返回cell/column所定义的编辑器。
返回cell/column所定义的编辑器。
参数:
  • colIndex : Number
    The column index
  • rowIndex : Number
    The row index
返回值:
  • Object
 ColumnModel
getColumnById( String id ) : Object
根据所给的id，返回列。
返回值 the column for a specified id.
参数:
  • id : String
    The column id
返回值:
  • Object
    the column
 ColumnModel
getColumnCount() : Number
获得列总数。
获得列总数。
参数:
  • 无.
返回值:
  • Number
 ColumnModel
getColumnHeader( Number col ) : String
返回指定列的header
返回指定列的header
参数:
  • col : Number
    The column index
返回值:
  • String
 ColumnModel
getColumnId( Number index ) : String
返回指定序号处列的id。
返回指定序号处列的id。
参数:
  • index : Number
    The column index
返回值:
  • String
    the id
 ColumnModel
getColumnTooltip( Number col ) : String
返回指定列的tooltip。
返回指定列的tooltip。
参数:
  • col : Number
    The column index
返回值:
  • String
 ColumnModel
getColumnWidth( Number col ) : Number
返回指定列的宽度。
返回指定列的宽度。
参数:
  • col : Number
    The column index
返回值:
  • Number
 ColumnModel
getColumnsBy( Function fn, [Object scope] ) : Array
如果传递进来的函数被调用时返回true，则返回当前列的配置数据，传递给函数的参数格式： (columnConfig, index)
如果传递进来的函数被调用时返回true，则返回当前列的配置数据，传递给函数的参数格式： (columnConfig, index)
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    result
 ColumnModel
getDataIndex( Number col ) : String
返回指定列的dataIndex。
返回指定列的dataIndex。
参数:
  • col : Number
    The column index
返回值:
  • String
    The column's dataIndex
 ColumnModel
getIndexById( String id ) : Number
根据指定列的id，返回列序号。
根据指定列的id，返回列序号。
参数:
  • id : String
    The column id
返回值:
  • Number
    the index, or -1 if not found
 ColumnModel
getRenderer( Number col ) : Function
返回为列定义的渲染(格式化)函数。
返回为列定义的渲染(格式化)函数。
参数:
  • col : Number
    The column index.
返回值:
  • Function
    The function used to render the cell. See {@link #setRenderer}.
 ColumnModel
getTotalWidth( Boolean includeHidden ) : Number
返回所有列的总宽度。
返回所有列的总宽度。
参数:
  • includeHidden : Boolean
    True to include hidden column widths
返回值:
  • Number
 ColumnModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isCellEditable( Number colIndex, Number rowIndex ) : Boolean
如果单元格可编辑，返回true。
如果单元格可编辑，返回true。
参数:
  • colIndex : Number
    The column index
  • rowIndex : Number
    The row index
返回值:
  • Boolean
 ColumnModel
isFixed() : void
如果列宽度不可改变，返回true。
如果列宽度不可改变，返回true。
参数:
  • 无.
返回值:
  • void
 ColumnModel
isHidden( Number colIndex ) : Boolean
如果列处于隐藏状态，返回true。
如果列处于隐藏状态，返回true。
参数:
  • colIndex : Number
    The column index
返回值:
  • Boolean
 ColumnModel
isMenuDisabled( Number col ) : Boolean
如果指定列的菜单（译者注：指单击列表头时的下拉菜单）被禁用，返回true。
如果指定列的菜单（译者注：指单击列表头时的下拉菜单）被禁用，返回true。
参数:
  • col : Number
    The column index
返回值:
  • Boolean
 ColumnModel
isResizable() : Boolean
如果列可以调整大小，返回true
如果列可以调整大小，返回true
参数:
  • 无.
返回值:
  • Boolean
 ColumnModel
isSortable( Number col ) : Boolean
如果指定的列是可排序的，返回true。
如果指定的列是可排序的，返回true。
参数:
  • col : Number
    The column index
返回值:
  • Boolean
 ColumnModel
moveColumn( Number oldIndex, Number newIndex ) : void
将一列数据从一个位置移动到另一个位置。
将一列数据从一个位置移动到另一个位置。
参数:
  • oldIndex : Number
    The index of the column to move.
  • newIndex : Number
    The position at which to reinsert the coolumn.
返回值:
  • void
 ColumnModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setColumnHeader( Number col, String header ) : void
为一列设置header。
为一列设置header。
参数:
  • col : Number
    The column index
  • header : String
    The new header
返回值:
  • void
 ColumnModel
setColumnTooltip( Number col, String tooltip ) : void
为一列设置tooltip。
为一列设置tooltip。
参数:
  • col : Number
    The column index
  • tooltip : String
    The new tooltip
返回值:
  • void
 ColumnModel
setColumnWidth( Number col, Number width ) : void
设置一列的宽度。
设置一列的宽度。
参数:
  • col : Number
    The column index
  • width : Number
    The new width
返回值:
  • void
 ColumnModel
setConfig( Array config ) : void
重新配置当前的列模型
重新配置当前的列模型
参数:
  • config : Array
    Array of Column configs
返回值:
  • void
 ColumnModel
setDataIndex( Number col, String dataIndex ) : void
设置一列的dataIndex。
设置一列的dataIndex。
参数:
  • col : Number
    The column index
  • dataIndex : String
    The new dataIndex
返回值:
  • void
 ColumnModel
setEditable( Number col, Boolean editable ) : void
设置一列是否可以编辑。
设置一列是否可以编辑。
参数:
  • col : Number
    The column index
  • editable : Boolean
    True if the column is editable
返回值:
  • void
 ColumnModel
setEditor( Number col, Object editor ) : void
为一列设置编辑器。
为一列设置编辑器。
参数:
  • col : Number
    The column index
  • editor : Object
    The editor object
返回值:
  • void
 ColumnModel
setHidden( Number colIndex, Boolean hidden ) : void
设置是否隐藏一列。
设置是否隐藏一列。
参数:
  • colIndex : Number
    The column index
  • hidden : Boolean
    True if the column is hidden
返回值:
  • void
 ColumnModel
setRenderer( Number col, Function fn ) : void
为一列设置渲染器/格式器（原文：rendering (formatting)）。 更多默认的格式化函数，参见Ext.util.Format ...
为一列设置渲染器/格式器（原文：rendering (formatting)）。 更多默认的格式化函数，参见Ext.util.Format 。
参数:
  • col : Number
    The column index
  • fn : Function
    处理单元格的原始数据，返回一些HTML标签给grid视图。 渲染函数将会被以如下的参数格式调用:
    • value : Object

      单元格的数据值

    • metadata : Object

      一个对象，你可以向其中设置如下属性：

      • css : String

        添加到单元格中TD元素的CSS类名。

      • attr : String

        一个HTML属性定义字符串，它将被应用到单元格中（within）的数据容器元素 (例如：'style="color:red;"')。

    • record : Ext.data.record

      Ext.data.Record 对象，可以从其中提取数据。

    • rowIndex : Number

      行号

    • colIndex : Number

      列号

    • store : Ext.data.Store

      Ext.data.Store 对象，从其中可以提取Record。

返回值:
  • void
 ColumnModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
columnmoved : ( ColumnModel this, Number oldIndex, Number newIndex )
当移动一列时触发。
当移动一列时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • oldIndex : Number
  • newIndex : Number
 ColumnModel
configchange : ( ColumnModel this )
当结构发生改变时触发。
当结构发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
 ColumnModel
headerchange : ( ColumnModel this, Number columnIndex, String newText )
当一列的表头文字改变时触发。
当一列的表头文字改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • newText : String
    The new header text
 ColumnModel
hiddenchange : ( ColumnModel this, Number columnIndex, Boolean hidden )
当一列被隐藏或反隐藏("unhidden")时触发。
当一列被隐藏或反隐藏("unhidden")时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • hidden : Boolean
    true if hidden, false otherwise
 ColumnModel
widthchange : ( ColumnModel this, Number columnIndex, Number newWidth )
当一列的宽度发生改变时触发。
当一列的宽度发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : ColumnModel
  • columnIndex : Number
    The column index
  • newWidth : Number
    The new width
 ColumnModel


Observable
    Component
      BoxComponent
        Container
          Panel
            GridPanel
              EditorGridPanel
                PropertyGrid

Class Ext.grid.PropertyGrid

包: | Ext.grid
所在文件: | PropertyGrid.js
Class: | PropertyGrid
继承自: | EditorGridPanel
一个特殊的grid实现类， 被设计用来模仿传统的属性grid，就像在IDE里面看到的那种典型的property grid一样。 grid中的每行数据都表示某个对象的一种属性，数据以键/值对集合的形式被存储在 Ext.grid.PropertyRecord中。 示例用法:

var grid = new Ext.grid.PropertyGrid({
    title: 'Property Grid',
    autoHeight: true,
    width: 300,
    renderTo: 'grid-ct',
    source: {
        "(name)": "My Object",
        "Created": new Date(Date.parse('10/15/2006')),
        "Available": false,
        "Version": .01,
        "Description": "A test object"
    }
});

配置属性

配置属性 所在类

enableDragDrop : Boolean

True表示启动对于GridPanel中选中行的拖动行为. 设置为true将使得这个GridPanel的GridView ...
True表示启动对于GridPanel中选中行的拖动行为.

设置为 true 将使得这个GridPanel的GridView 建立一个 Ext.grid.GridDragZone对象. (仅当Grid已经展现以后)这个对象才可以访问到， 作为GridView的 dragZone 属性.

一个协作的 DropZone 必须被创建，它实现了 onNodeEnter, onNodeOver, onNodeOut and onNodeDrop

这些事件,这些事件可以得到data进行处理（译者注：指这几个事件得到拖动行的数据进行处理） .
GridPanel
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
autoEncode : Boolean
设置为true将在提交之前自动进行HTML编码和解码 (默认值为 false)
EditorGridPanel
autoExpandColumn : String
grid中列的id,改列将会扩展宽度以致填满剩余空间.这个列id不能为0.
GridPanel
autoExpandMax : Number
自动扩展大小列的最大宽度 (如果autoExpandColumn为true). 默认为 1000.
GridPanel
autoExpandMin : Number
自动扩展大小列的最小宽度 (如果autoExpandColumn为true). 默认值为 50.
GridPanel
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
clicksToEdit : Number
显示单元格编辑器所需要点击的次数(默认值为 2)
EditorGridPanel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
cm : Object
colModel的简称.
GridPanel
colModel : Object
由于展现grid的Ext.grid.ColumnModel对象，列定义的model (必需).
GridPanel
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
columns : Array
一个包含了列定义的数组,用于自动创建ColumnModel
GridPanel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
customEditors : Object
一个包含键值对(name/value)的对象，用于 定义定制化的编辑器类型...
一个包含键值对(name/value)的对象，用于 定义定制化的编辑器类型， 以允许grid支持额外的可编辑输入栏。 默认情况下，grid使用内建的表单编辑器 支持强类型的编辑：string、date、number 和boolean，但是通过将一个自定义的编辑器关联到一个自定义的输入栏， 可以支持任何自定义的类型。 编辑器的类型名必须与使用编辑器的属性名相一致。 示例用法:
var grid = new Ext.grid.PropertyGrid({
    ...
    customEditors: {
        'Start Time': new Ext.grid.GridEditor(new Ext.form.TimeField({selectOnFocus:true}))
    },
    source: {
        'Start Time': '10:00 AM'
    }
});
 PropertyGrid
deferRowRender : Boolean
是否启用行的延迟展现.默认为true.
GridPanel
disableSelection : Boolean
True表示禁止在Grid中选择 (默认值为 false). - 如果SelectionModel已经配置,该项将被忽视
GridPanel
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
enableColumnHide : Boolean
True表示启用表格头菜单中的隐藏列功能.
GridPanel
enableColumnMove : Boolean
True表示启动对Column顺序的拖拽,反之禁用
GridPanel
enableColumnResize : Boolean
设置为false可以禁止这个表格的列改变宽度 (默认值为 true).
GridPanel
enableHdMenu : Boolean
True表示启动在表头中的下拉菜单按钮.
GridPanel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideHeaders : Boolean
True 表示隐藏Grid的头部(默认值为 false).
GridPanel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loadMask : Object
Ext.LoadMask的配置或者true表示在加载数据时使用mask(默认值为 false).
GridPanel
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxHeight : Number
设置Grid的最大高度-如果autoHeight未启用,则该项被忽视.
GridPanel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minColumnWidth : Number
一个列可以被调整的最小宽度值。 默认为 25.
GridPanel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
selModel : Object
任何AbstractSelectionModel的子类都可以作为grid的选择模型(selection model) (默认值为 Ext.grid.RowSe...
任何AbstractSelectionModel的子类都可以作为grid的选择模型(selection model) (默认值为 Ext.grid.RowSelectionModel if not specified).
GridPanel
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
sm : Object
selModel的简称.
GridPanel
source : Object
一个数据对象，被用作grid的数据源(详情参见setSource)。
PropertyGrid
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store
Grid使用Ext.data.Store 作为自己的数据源(必需).
GridPanel
stripeRows : Boolean
True表示使用不同颜色间隔行，默认为false.
GridPanel
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
view : Object
grid中的Ext.grid.GridView 对象. 这个可以在调用render()之前设置.
GridPanel
viewConfig : Object
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以设置...
一个用于gird ui 视图的配置对象.Ext.grid.GridView中所有的配置项都可以在这设置.
GridPanel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | ddText : String 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of select... 配置在拖动代理中使用的文本 (默认值为 "{0} selected row(s)"). {0} is replaced with the number of selected rows. | GridPanel
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
PropertyGrid( Object config )
参数:
  • config : Object
    The grid config object
返回值:
PropertyGrid
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getColumnModel() : ColumnModel
返回grid的 ColumnModel。
返回grid的 ColumnModel。
参数:
  • 无.
返回值:
  • ColumnModel
    The column model
 GridPanel
getDragDropText() : String
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
调用时得到 grid在拖动代理中使用的文本, 默认返回 this.ddText.
参数:
  • 无.
返回值:
  • String
    The text
 GridPanel
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getGridEl() : Element
返回grid的底层元素。
返回grid的底层元素。
参数:
  • 无.
返回值:
  • Element
    The element
 GridPanel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSelectionModel() : SelectionModel
返回grid的SelectionModel。
返回grid的SelectionModel。
参数:
  • 无.
返回值:
  • SelectionModel
    The selection model
 GridPanel
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getSource() : Object
获取包含属性值的源数据对象。关于数据对象格式的详情，参见： setSource 。
获取包含属性值的源数据对象。关于数据对象格式的详情，参见： setSource 。
参数:
  • 无.
返回值:
  • Object
    The data object
 PropertyGrid
getStore() : DataSource
返回grid的data store
返回grid的data store.
参数:
  • 无.
返回值:
  • DataSource
    The store
 GridPanel
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getView() : GridView
返回grid的GridView对象。
返回grid的GridView对象。
参数:
  • 无.
返回值:
  • GridView
    The grid view
 GridPanel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
reconfigure( Ext.data.Store store, Ext.grid.ColumnModel colModel ) : void
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新
重新配置grid,使用不同的Store和Column Model.视图(View)将会绑定到新的对象,然后更新.
参数:
  • store : Ext.data.Store
    The new Ext.data.Store object
  • colModel : Ext.grid.ColumnModel
    The new Ext.grid.ColumnModel object
返回值:
  • void
 GridPanel
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSource( Object source ) : void
设置包含属性值的源数据对象。 数据对象包含一个或多个键/值对，表示一个对象的所有属性...
设置包含属性值的源数据对象。 数据对象包含一个或多个键/值对，表示一个对象的所有属性， 它将被显示在grid中； 并且，此数据将会被自动加载到grid的 store中。 如果需要，这些属性值必须以特定的数据格式提供， 否则将会全部被假定成string型。 如果grid中已经包含了数据，此方法将会覆盖所有现有的数据。 另见source 配置项。 示例用法:
grid.setSource({
    "(name)": "My Object",
    "Created": new Date(Date.parse('10/15/2006')),  // date type
    "Available": false,  // boolean type
    "Version": .01,      // decimal type
    "Description": "A test object"
});
参数:
  • source : Object
    The data object
返回值:
  • void
 PropertyGrid
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
startEditing( Number rowIndex, Number colIndex ) : void
开始编辑指定的row/column
开始编辑指定的row/column
参数:
  • rowIndex : Number
  • colIndex : Number
返回值:
  • void
 EditorGridPanel
stopEditing( [Boolean cancel] ) : void
终止所有当前正在进行的编辑
终止所有当前正在进行的编辑
参数:
  • cancel : Boolean
    (可选) 为true将取消所有改变
返回值:
  • void
 EditorGridPanel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afteredit : ( Object e )
在一个单元格被编辑之后触发...
在一个单元格被编辑之后触发。
  • grid - 当前的grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 设置的值
  • originalValue - 字段在被编辑之前的原始值
  • row - grid的行序号
  • column - grid的列序号
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeedit : ( Object e )
在开始编辑单元格之前触发。 edit 事件对象包含如下参数...
在开始编辑单元格之前触发。 edit 事件对象包含如下参数：
  • grid - 当前grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 设置到被编辑字段的值。
  • row - grid行序号
  • column - grid列序号
  • cancel - 设置此参数为true，或者从你的处理器中返回false，以取消编辑的值
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforepropertychange : ( Object source, String recordId, Mixed value, Mixed oldValue )
在一个参数的值改变之前触发。 处理器可以返回一个false以取消改变...
在一个参数的值改变之前触发。 处理器可以返回一个false以取消改变 (此方法会在内部在属性的record上调用 Ext.data.Record.reject )。
监听器将会被以如下的参数格式调用:
  • source : Object
    The source data object for the grid (corresponds to the same object passed in as the source config property).
  • recordId : String
    The record's id in the data store
  • value : Mixed
    The current edited property value
  • oldValue : Mixed
    The original property value prior to editing
 PropertyGrid
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
bodyscroll : ( Number scrollLeft, Number scrollTop )
当body元素被滚动时触发。
当body元素被滚动时触发。
监听者(Listeners) 将会被调用,参数如下所示
  • scrollLeft : Number
  • scrollTop : Number
 GridPanel
cellclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record对象。
当一个单元格被点击触发的事件. 这个单元格的数据来自该行的Record 对象. 在监听函数中获取数据的方法如下:
function(grid, rowIndex, columnIndex, e) {
        var record = grid.getStore().getAt(rowIndex);  // Get the Record
        var fieldName = grid.getColumnModel().getDataIndex(columnIndex); // Get field name
        var data = record.get(fieldName);
    }
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellcontextmenu : ( Grid this, Number rowIndex, Number cellIndex, Ext.EventObject e )
当单元格被右击时触发
当单元格被右击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • cellIndex : Number
  • e : Ext.EventObject
 GridPanel
celldblclick : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当单元格被双击时触发事件
当单元格被双击时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
cellmousedown : ( Grid this, Number rowIndex, Number columnIndex, Ext.EventObject e )
当一个单元格被点击时触发
当一个单元格被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
click : ( Ext.EventObject e )
整个表格原生的click事件
整个表格原生的click事件
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
columnmove : ( Number oldIndex, Number newIndex )
当用户移动一列位置时触发该事件
当用户移除一列时触发该事件
监听者(Listeners) 将会被调用,参数如下所示
  • oldIndex : Number
  • newIndex : Number
 GridPanel
columnresize : ( Number columnIndex, Number newSize )
当用户调整列的尺寸时触发
当用户调整列的尺寸时触发
监听者(Listeners) 将会被调用,参数如下所示
  • columnIndex : Number
  • newSize : Number
 GridPanel
contextmenu : ( Ext.EventObject e )
整个grid原生的contextmenu 事件.
整个grid原生的contextmenu 事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
dblclick : ( Ext.EventObject e )
整个grid的原生的双击事件.
整个grid的原生的双击事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
headerclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被点击时触发
当表头被点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headercontextmenu : ( Grid this, Number columnIndex, Ext.EventObject e )
当表头被右键点击时触发
当表头被右键点击时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headerdblclick : ( Grid this, Number columnIndex, Ext.EventObject e )
当双击表格头的单元格时触发的事件
当双击表格头的单元格时触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
headermousedown : ( Grid this, Number columnIndex, Ext.EventObject e )
当鼠标在表头上按下时触发
当鼠标在表头上按下时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • columnIndex : Number
  • e : Ext.EventObject
 GridPanel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
keydown : ( Ext.EventObject e )
整个grid原生的keydown事件.
整个grid原生的keydown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
keypress : ( Ext.EventObject e )
整个grid的原生的keypress事件.
在整个grid中的原生的keypress事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mousedown : ( Ext.EventObject e )
整个grid原生的mousedown事件.
整个grid原生的mousedown事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseout : ( Ext.EventObject e )
整个表格原生的mouseout事件
整个表格原生的mouseout事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseover : ( Ext.EventObject e )
整个grid原生的mouseover事件.
整个grid原生的mouseover事件.
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
mouseup : ( Ext.EventObject e )
整个grid使用的原生mouseup事件。
整个grid使用的原生mouseup事件。
监听者(Listeners) 将会被调用,参数如下所示
  • e : Ext.EventObject
 GridPanel
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
propertychange : ( Object source, String recordId, Mixed value, Mixed oldValue )
当一个属性值发生改变时触发。
当一个属性值发生改变时触发。
监听器将会被以如下的参数格式调用:
  • source : Object
    The source data object for the grid (corresponds to the same object passed in as the source config property).
  • recordId : String
    The record's id in the data store
  • value : Mixed
    The current edited property value
  • oldValue : Mixed
    The original property value prior to editing
 PropertyGrid
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
rowclick : ( Grid this, Number rowIndex, Ext.EventObject e )
行被点击后触发的事件
行被点击后触发的事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowcontextmenu : ( Grid this, Number rowIndex, Ext.EventObject e )
在行中右击鼠标时触发.
在行中右击鼠标时触发.
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowdblclick : ( Grid this, Number rowIndex, Ext.EventObject e )
当双击一行的时候触发。
当双击一行的时候触发。
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
rowmousedown : ( Grid this, Number rowIndex, Ext.EventObject e )
鼠标在行上按下时触发事件
鼠标在行上按下时触发事件
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • rowIndex : Number
  • e : Ext.EventObject
 GridPanel
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
sortchange : ( Grid this, Object sortInfo )
当表格的store排序改变时触发
当表格的store排序改变时触发
监听者(Listeners) 将会被调用,参数如下所示
  • this : Grid
  • sortInfo : Object
    一个包含了排序列和方向的对象
 GridPanel
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel
validateedit : ( Object e )
在单元格被编辑之后，值被设置到record之前触发。 返回false取消改变的值...
在单元格被编辑之后，值被设置到record之前触发。 返回false取消改变的值。 事件对象包含下列属性
  • grid - 当前grid
  • record - 被编辑过的记录
  • field - 被编辑过的字段名
  • value - 被设置的值
  • originalValue - 字段在未被编辑之前的原始值
  • row - grid行序号
  • column - grid列序号
  • cancel - 设置此参数为true，或者从你的处理器中返回false，以取消编辑的值
监听器将会以如下的参数格式调用:
  • e : Object
    An edit event (see above for description)
 EditorGridPanel


Class Ext.grid.PropertyRecord

包: | Ext.grid
所在文件: | PropertyGrid.js
Class: | PropertyRecord
继承自: | Object
一个特殊的Ext.data.Record 类型，用来表示一个键/值对，并与 Ext.grid.PropertyGrid 协同工作。 在典型的情况下，不需要直接创建PropertyRecord的实例，因为通过简单地使用适当的数据配置项， 它们可以在后台被自动创建： 要么通过Ext.grid.PropertyGrid.source 配置属性，或者通过调用Ext.grid.PropertyGrid.setSource 方法。 然而，在必要的时候，这些records也可以像如以下例子所示那样直接创建。 示例用法:
var rec = new Ext.grid.属性Record({
    name: 'Birthday',
    value: new Date(Date.parse('05/26/1972'))
});
// Add record to an already populated grid
grid.store.addSorted(rec);

公共属性

该类没有公共属性。

公共方法

Method 所在类
PropertyRecord( Object config )
参数:
  • config : Object
    A data object in the format: {name: [name], value: [value]}. The specified value's type will be read automatically by the grid to determine the type of editor to use when displaying it.
返回值:
PropertyRecord

公共事件

该类没有公共事件。


Observable
    PropertyStore

Class Ext.grid.PropertyStore

包: | Ext.grid
所在文件: | PropertyGrid.js
Class: | PropertyStore
继承自: | Observable
为Ext.grid.PropertyGrid 提供的一个定制的 Ext.data.Store。 该类负责处理定制的数据源和 Ext.grid.PropertyRecord 所需要的格式之间的映射关系， 定制的数据源由grid提供， Ext.grid.PropertyRecord 所需要的格式是为了兼容底层的store。 一般情况下，不需要直接使用该类--- grid的数据可以通过的store的 store 属性来访问。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
PropertyStore( Ext.grid.Grid grid, Object source )
参数:
  • grid : Ext.grid.Grid
    The grid this store will be bound to
  • source : Object
    The source data config object
返回值:
PropertyStore
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

该类没有公共事件。


Class Ext.grid.RowNumberer

包: | Ext.grid
所在文件: | RowNumberer.js
Class: | RowNumberer
继承自: | Object
这是一个工具类，可以作为一个column config传递给一个 Ext.grid.ColumnModel ，以提供一个自动显示行号的列。
Usage:
// This is a typical column config with the first column providing row numbers
 var colModel = new Ext.grid.ColumnModel([
    new Ext.grid.RowNumberer(),
    {header: "Name", width: 80, sortable: true},
    {header: "Code", width: 50, sortable: true},
    {header: "Description", width: 200, sortable: true}
 ]);

配置属性

配置属性 |  | 所在类
 | header : String 一个合法的文本值或HTML标签，可以用来显示在行号列的表头单元格上(默认值为 ''). | RowNumberer
 | sortable : Boolean 如果行号列可排序，设置为true(默认值为 false). | RowNumberer
 | width : Number 行号列的默认宽度像素值(默认值为 23). | RowNumberer

公共属性

该类没有公共属性。

公共方法

Method 所在类
RowNumberer( Object config )
参数:
  • config : Object
    The configuration options
返回值:
RowNumberer

公共事件

该类没有公共事件。


Observable
    AbstractSelectionModel
      RowSelectionModel

Class Ext.grid.RowSelectionModel

包: | Ext.grid
所在文件: | RowSelectionModel.js
Class: | RowSelectionModel
子类: | CheckboxSelectionModel
继承自: | AbstractSelectionModel
Ext.grid.GridPanel 使用的默认SelectionModel。 它支持选中多行和键盘选中/导航。 选中的对象被存储起来，并且可以通过： getSelected, 和getSelections 返回，返回的数据是 Records 它将为被选中的行提供数据。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | moveEditorOnEnter : Boolean 设置为false，将关闭在按下回车时把光标跳到下一个单元格 | RowSelectionModel
 | singleSelect : Boolean 设置为true，每次只能选中一行(默认值为 false) | RowSelectionModel

公共属性

该类没有公共属性。

公共方法

Method 所在类
RowSelectionModel( Object config )
参数:
  • config : Object
返回值:
RowSelectionModel
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clearSelections() : void
清除所有的选中状态。
清除所有的选中状态。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
deselectRange( Number startRow, Number endRow ) : void
反选一个范围内的所有记录。 所有处于startRow和endRow之间的行都会被反选。
反选一个范围内的所有记录。 所有处于startRow和endRow之间的行都会被反选。
参数:
  • startRow : Number
    The index of the first row in the range
  • endRow : Number
    The index of the last row in the range
返回值:
  • void
 RowSelectionModel
deselectRow( Number row ) : void
反选一行。
反选一行。
参数:
  • row : Number
    The index of the row to deselect
返回值:
  • void
 RowSelectionModel
each( Function fn, [Object scope] ) : Boolean
使用每个选中的行调用传递进来的方法。 如果调用的这个方法返回false，则停止迭代，当前方法...
使用每个选中的行调用传递进来的方法。 如果调用的这个方法返回false，则停止迭代，当前方法（译者注：指each()）返回false。
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Boolean
    如果所有选中的行都被迭代过，返回true
RowSelectionModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getCount() : Number
获取选中行总数。
获取选中行总数。
参数:
  • 无.
返回值:
  • Number
 RowSelectionModel
getSelected() : Record
返回被第一条被选中的记录
返回被第一条被选中的记录
参数:
  • 无.
返回值:
  • Record
 RowSelectionModel
getSelections() : Array
返回所有选中的记录
返回所有选中的记录
参数:
  • 无.
返回值:
  • Array
    选中记录的数组
RowSelectionModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasNext() : Boolean
如果还有下一条记录可供选择，返回true
如果还有下一条记录可供选择，返回true
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
hasPrevious() : Boolean
如果存在上一条可以选择的记录，返回true
如果存在上一条可以选择的记录，返回true
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
hasSelection() : Boolean
如果有选中的行，返回true。
如果有选中的行，返回true。
参数:
  • 无.
返回值:
  • Boolean
 RowSelectionModel
isIdSelected( String id ) : Boolean
如果指定的记录处于选中状态，返回true。
如果指定的记录处于选中状态，返回true。
参数:
  • id : String
    需要检测的记录id
返回值:
  • Boolean
 RowSelectionModel
isLocked() : Boolean
返回值 如果该选区被锁定则返回true.
返回值 如果该选区被锁定则返回true.
参数:
  • 无.
返回值:
  • Boolean
 AbstractSelectionModel
isSelected( Number/Record record ) : Boolean
如果指定的行处于选中状态，返回true。
如果指定的行处于选中状态，返回true。
参数:
  • record : Number/Record
    需要检测的记录或者记录序号
返回值:
  • Boolean
 RowSelectionModel
lock() : void
锁定（多个）选区.
锁定（多个）选区.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectAll() : void
选中所有行。
选中所有行。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
selectFirstRow() : void
选中grid中的第一行。
选中grid中的第一行。
参数:
  • 无.
返回值:
  • void
 RowSelectionModel
selectLastRow( [Boolean keepExisting] ) : void
选中最后一行。
选中最后一行。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • void
 RowSelectionModel
selectNext( [Boolean keepExisting] ) : Boolean
将紧靠当前选中行最后一行的记录选中。
将紧靠当前选中行最后一行的记录选中。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • Boolean
    如果存在下一行，返回true，否则返回false
 RowSelectionModel
selectPrevious( [Boolean keepExisting] ) : Boolean
选中紧靠在最后一条被选中行之前的那一行。
选中紧靠在最后一条被选中行之前的那一行。
参数:
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • Boolean
    如果存在前一行，返回true；否则返回false
RowSelectionModel
selectRange( Number startRow, Number endRow, [Boolean keepExisting] ) : void
选中一个范围内的所有行。 位于startRow和endRow之间的所有行也将被全部选中。
选中一个范围内的所有行。 位于startRow和endRow之间的所有行也将被全部选中。
参数:
  • startRow : Number
    The index of the first row in the range
  • endRow : Number
    The index of the last row in the range
  • keepExisting : Boolean
    (可选) True to retain existing selections
返回值:
  • void
 RowSelectionModel
selectRecords( Array records, [Boolean keepExisting] ) : void
选中记录
选中记录
参数:
  • records : Array
    需要选中的记录
  • keepExisting : Boolean
    (可选)如果为true，将保持当前已经选择的记录
返回值:
  • void
 RowSelectionModel
selectRow( Number row, [Boolean keepExisting] ) : void
选中一行。
选中一行。
参数:
  • row : Number
    需要选中的行序号
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录
返回值:
  • void
 RowSelectionModel
selectRows( Array rows, [Boolean keepExisting] ) : void
选中多行。
选中多行。
参数:
  • rows : Array
    Array of the indexes of the row to select
  • keepExisting : Boolean
    (可选) 设置为true将保持当前选中的记录 (默认值为 false)
返回值:
  • void
 RowSelectionModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unlock() : void
解除（多个）选定区域的锁定
解除（多个）选定区域的锁定.
参数:
  • 无.
返回值:
  • void
 AbstractSelectionModel

公共事件

Event 所在类
beforerowselect : ( SelectionModel this, Number rowIndex, Boolean keepExisting, Record record )
在选中一行数据之前触发，返回false取消选中。
在选中一行数据之前触发，返回false取消选中。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The index to be selected
  • keepExisting : Boolean
    False if other selections will be cleared
  • record : Record
    The record to be selected
 RowSelectionModel
rowdeselect : ( SelectionModel this, Number rowIndex, Record record )
当反选一个行时触发。
当反选一个行时触发。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
  • record : Record
 RowSelectionModel
rowselect : ( SelectionModel this, Number rowIndex, Ext.data.Record r )
当选中一行数据时触发。
当选中一行数据时触发。
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
  • rowIndex : Number
    The selected index
  • r : Ext.data.Record
    The selected record
 RowSelectionModel
selectionchange : ( SelectionModel this )
当选中状态发生改变时触发
当选中状态发生改变时触发
监听器将会被以如下的参数格式调用:
  • this : SelectionModel
 RowSelectionModel


Observable
    History

Class Ext.History

包: | Ext
所在文件: | History.js
Class: | History
继承自: | Observable
历史记录管理组件允许你 注册任意的符号用来标识应用程序中导航操作的历史状态。 然后你可以处理历史记录的 change 事件，以便在用户通过浏览器历史记录堆栈进行向前、向后导航时， 将你的应用的UI复位到适当的状态。

这是一个单例的类，不能直接实例化。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | fieldId : String 所需的隐藏域的id，用来存储当前历史标记。 | History
 | iframeId : String IE下所需要的iframe的id，用来管理历史堆栈。 | History

公共方法

Method 所在类
add( String token, Boolean preventDuplicates ) : void
向历史记录堆栈中添加一个新的标记。 可以是一个任意的值，虽然一般情况下这是一个...
向历史记录堆栈中添加一个新的标记。 可以是一个任意的值，虽然一般情况下这是一个 由一个组件id和另一个标志了此组件特定历史状态的id串联而成。 示例用法:
// 在一个TabPanel上处理标签页的切换
tabPanel.on('tabchange', function(tabPanel, tab){
    Ext.History.add(tabPanel.id + ':' + tab.id);
});
参数:
  • token : String
    定义详细的、与特定应用相关的历史状态的值
  • preventDuplicates : Boolean
    如果为true，当传递的标记与当前标记相匹配时，将不会保存一个新的浏览历史步骤。 设置为false将允许在同一个历史记录堆栈中多次添加同一个状态记录(默认值为 true)。
返回值:
  • void
 History
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
back() : void
在浏览器的历史记录中回退一步 (与用户按下后退按钮等价)。
在浏览器的历史记录中回退一步 (与用户按下后退按钮等价)。
参数:
  • 无.
返回值:
  • void
 History
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
forward() : void
在浏览器的历史记录中前进一步 (与用户按下前进按钮等价)。
在浏览器的历史记录中前进一步 (与用户按下前进按钮等价)。
参数:
  • 无.
返回值:
  • void
 History
getToken() : String
获得当前活动的历史记录符号。
获得当前活动的历史记录符号。
参数:
  • 无.
返回值:
  • String
    The token
 History
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
init( [Boolean onReady], [Object scope] ) : void
初始化全局History实例。
初始化全局History实例。
参数:
  • onReady : Boolean
    (可选) A callback function that will be called once the history component is fully initialized.
  • scope : Object
    (可选) The callback scope
返回值:
  • void
 History
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

该类没有公共事件。


Class Ext

包: | Global
所在文件: | Ext.js
Class: | Ext
继承自: | Object
Ext core utilities and functions.

这是一个单例的类，不能直接实例化。

译者注：这个类是Ext中最为核心的类之一。 相关核心方法的源码解析，请参见大漠穷秋的博客相关文章。

公共属性

Property |  | 所在类
 | BLANK_IMAGE_URL : String 图片路径：一张1×1的透明图片，Ext使用它来和CSS一起创建内嵌的图标。（默认路径为："http:... 图片路径：一张1×1的透明图片，Ext使用它来和CSS一起创建内嵌的图标。 （默认路径为："http://extjs.com/s.gif"，你必须把它改成你自己的服务器上的图片路径。 译者注：Ext的资源包里面有这张图片，路径：“ext/resources/images/default/s.gif”） | Ext
 | SSL_SECURE_URL : String URL到一个空文件，在安全模式下为iframe和onReady的src属性赋值时... URL到一个空文件，在安全模式下为iframe和onReady的src属性赋值时，Ext使用它来防止IE弹出不安全内容信息栏。 (默认值为 javascript:false). | Ext
 | emptyFn : Function 一个可复用的空函数 | Ext
 | enableGarbageCollector : Boolean 如果为true，Ext会周期性地回收孤立的Ext.Elements对象。(默认值为 true) | Ext
 | enableListenerCollection : Boolean 如果为true，在一个element被回收的时候自动清除它的事件监听器(默认值为 false)。 注意: 只有... 如果为true，在一个element被回收的时候自动清除它的事件监听器(默认值为 false)。 注意: 只有在enableGarbageCollector标志为true时该机制才起作用。 | Ext
 | isAir : Boolean 如果检测到运行平台为Adobe Air，该值为true。 | Ext
 | isBorderBox : Boolean 如果检测到浏览器是IE，并且运行在non-strict模式下，该值为true。 | Ext
 | isGecko : Boolean 如果检测到浏览器使用Gecko布局管理引擎（例如： Mozilla，Firefox），该值为true。 | Ext
 | isGecko2 : Boolean 如果检测到浏览器使用pre-Gecko 1.9布局管理引擎（例如：Firefox2.x），该值为true。 | Ext
 | isGecko3 : Boolean 如果检测到浏览器使用Gecko 1.9+布局管理引擎（例如：Firefox3.x），该值为true。 | Ext
 | isIE : Boolean 如果检测到浏览器为IE，该值为true。 | Ext
 | isIE6 : Boolean 如果检测到浏览器为IE6.x，该值为true。 | Ext
 | isIE7 : Boolean 如果检测到浏览器为IE7.x，该值为true。 | Ext
 | isLinux : Boolean 如果检测到操作系统为Linux，该值为true。 | Ext
 | isMac : Boolean 如果检测到操作系统为Mac OS（译者注：苹果机），该值为true。 | Ext
 | isOpera : Boolean 如果检测到浏览器为Opera（译者注：来自挪威的一款浏览器，在欧洲使用较多。），该值为true。 | Ext
 | isReady : Boolean 如果document加载并初始化完成，可以进行操作时，该值为true。 | Ext
 | isSafari : Boolean 如果检测到浏览器为Safari（译者注：苹果机使用的浏览器。），该值为true。 | Ext
 | isSafari2 : Boolean 如果检测到浏览器为Safari2.x，该值为true。 | Ext
 | isSafari3 : Boolean 如果检测到浏览器为Safari3.x，该值为true。 | Ext
 | isSecure : Boolean 如果页面通过SSL运行时，该值为true。 | Ext
 | isStrict : Boolean 如果浏览器是严格（执行标准）模式（译者注：不知道这里是不是说的DOM2标准），与之对应的是诡异的模式（译者注：原文是quirks，意思应该是各种不常见的模式）。 | Ext
 | isWindows : Boolean 如果检测到操作系统为Windows，该值为true。 | Ext
 | useShims : Boolean 默认情况下，Ext会智能地决定浮动的element是不是需要一个垫片。如果你使用flash，你可能... 默认情况下，Ext会智能地决定浮动的element是不是需要垫片。如果你使用flash，你可能想把该值设为true。 | Ext

公共方法

Method 所在类
addBehaviors( Object obj ) : void
在文档加载完成时，通过CSS选择器为元素添加事件监听器。 事件名称通过一个...
在文档加载完成时，通过CSS选择器为元素添加事件监听器。 事件名称通过一个"@"符号来分隔。
Ext.addBehaviors({
   // add a listener for click on all anchors in element with id foo
   '#foo a@click' : function(e, t){
       // do something
   },

   // add the same listener to multiple selectors (separated by comma BEFORE the @)
   '#foo a, #bar span.some-class@mouseover' : function(){
       // do something
   }
});
参数:
  • obj : Object
    需要添加动作的行为列表
返回值:
  • void
 Ext
apply( Object obj, Object config, Object defaults ) : Object
将config对象的所有属性拷贝到obj对象。
将config对象的所有属性拷贝到obj对象。
参数:
  • obj : Object
    属性接受者
  • config : Object
    属性提供者
  • defaults : Object
    一个不同的对象，属性可以作为默认值被拷贝。
返回值:
  • Object
    返回obj对象
 Ext
applyIf( Object obj, Object config ) : Object
如果obj对象不存在相同的属性，将config的属性拷贝到obj对象。
如果obj对象不存在相同的属性，将config的属性拷贝到obj对象。
参数:
  • obj : Object
    属性接受者
  • config : Object
    属性提供者
返回值:
  • Object
    返回obj对象
 Ext
decode( String json ) : Object
Ext.util.JSON.decode方法的简写
Shorthand for Ext.util.JSON.decode
参数:
  • json : String
    JSON字符串
返回值:
  • Object
    结果对象
 Ext
destroy( Mixed arg1, [Mixed arg2], [Mixed etc...] ) : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将他们从DOM树中删除...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将他们从DOM树中删除（如果可以）、调用他们的destory方法（如果可以）。 这个方法主要是为Ext.Element 和 Ext.Component 设计的，但是Ext.util.Observable 任何子类都可以传进来。任何数量的elements 和/或 components 都可以作为独立的参数传递进来。（译者注：意为该方法的参数是可变长的，可以传递任意多个参数。）
参数:
  • arg1 : Mixed
    An Ext.Element or Ext.Component to destroy
  • arg2 : Mixed
    (可选)
  • etc... : Mixed
    (可选)
返回值:
  • void
 Ext
each( Array/NodeList/Mixed array, Function fn, Object scope ) : void
迭代数组，使用数组中的每个元素作为参数来调用传递进来的function，如果你的function ...
迭代数组，使用数组中的每个元素作为参数来调用传递进来的function，如果你的function返回false，则停止迭代。 如果传递进来的数组不是一个真实的数组，你的function只会被用这个伪数组作参数调用一次。 提供的function会按如下的参数格式来调用：(Object item, Number index, Array allItems)。
参数:
  • array : Array/NodeList/Mixed
  • fn : Function
  • scope : Object
返回值:
  • void
 Ext
encode( Mixed o ) : String
Ext.util.JSON.encode方法的简写。
Ext.util.JSON.encode方法的简写。
参数:
  • o : Mixed
    需要编码的对象。（译者注：这里的编码指格式化成JSON字符串。）
返回值:
  • String
    JSON字符串
 Ext
escapeRe( String str ) : String
使用正则表达式过滤传递进来的字符串。
使用正则表达式过滤传递进来的字符串。
参数:
  • str : String
返回值:
  • String
 Ext
extend( Function subclass, Function superclass, [Object overrides] ) : Function
使一个类继承另一个类，并且，可以使用一个对象来覆盖这个类的成员...
使一个类继承另一个类，并且，可以使用一个立即对象（译者注：指直接的Json字符串对象）来覆盖子类的成员，这个对象是可选的。 extend()将为子类添加"override()"方法，这样可以使用该方法（译者注：指override()方法。）覆盖子类实例的成员。

该方法同时支持只有两个参数的调用方式，在这种调用方式下，不需要提供子类的构造函数。 这种形式下，参数的格式如下：

  • superclass
    被继承的类（译者注：指超类。）
  • overrides
    一个立即对象（JSON），它的成员将会被拷贝到子类的prototype中。这样，这些属性将被这个新的子类的所有实例共享。

    这个对象可以包含一个特殊的成员constructor。 这个成员用来定义新的子类的构造函数，并且被返回。如果没有指定这个成员，将生成并返回一个新的 的构造函数，在这个构造函数中，仅仅使用传递进来的参数调用父类的构造函数（来生成子类实例）。

例如，创建Ext.GridPanel类的子类：

MyGridPanel = Ext.extend(Ext.grid.GridPanel, {
        constructor: function(config) {
            // Your preprocessing here
            MyGridPanel.superclass.constructor.apply(this, arguments);
            // Your postprocessing here
        },

        your方法: function() {
            // etc.
        }
    });

参数:
  • subclass : Function
    需要继承其它功能的类。 (The class inheriting the functionality)
  • superclass : Function
    被继承的类
  • overrides : Object
    (可选) 一个立即对象（JSON），它的成员将会被拷贝到子类的prototype中。这样，这些属性将被这个新的子类的所有实例共享。
返回值:
  • Function
    子类构造函数。

译者注：这个方法是Ext中最为核心的几个方法之一，也是最复杂的方法之一。 在UI部分，这个方法被大量使用。 如果需要通过阅读Ext的源代码来提升自己的js水平，那么必须理解这个方法的实现细节。 有关这个方法的详细源码分析，请参见大漠穷秋的博客相关文章。
Ext
fly( String/HTMLElement el, [String named] ) : Element
<静态> 使用传入的节点作为动态元素，获得一个全局共享的轻量级Element对象...
<静态> 使用传入的节点作为动态元素，获得一个全局共享的轻量级Element对象。 不要保存对这个对象的引用，因为其它的代码可能覆盖这个元素的dom节点。 Ext.Element.fly 方法的简写。
参数:
  • el : String/HTMLElement
    dom节点或id
  • named : String
    (可选) 允许创建已命名的、可复用的轻量级对象来避免冲突(例如：internally Ext 使用 "_internal")
返回值:
  • Element
    共享的Element对象
 Ext
get( Mixed el ) : Element
重新获得Element对象（引用）的静态方法。 使用简单的捕获返回同一个对象...
重新获得Element对象（引用）的静态方法。 使用简单的捕获返回同一个对象。 如果一个对象通过AJAX或者DOM被重新创建它将会被自动装配。 Ext.Element.get方法的简写。

译者注：这段方法描述比较晦涩，我在源代码里面找到更详细的描述如下： 这个方法不能用来捕获Ext.Component对象，这个方法用来捕获Ext.Element对象，它包装了原始的DOM元素。 如果需要通过一个Component的id获得Component对象，请使用Ext.ComponentMgr.get()方法，也就是Ext.getCmp()方法。
另外，Ext.fly()和Ext.get()都可以获取Element对象，但是它们的实现细节是不同的， 尤其对内存的消耗上有很多区别。Ext.fly()使用了所谓的“享元模式”让获得的对象共享一些属性以达到 节省内存的目的。而Ext.get()会每次都创建一个完整的Element对象，由于Element对象是对 底层DOM的封装，它提供了大量的属性和方法。显然，每次都创建是需要消耗很多内存的。如果获得对象的 引用仅仅是为了对对象执行一次操作，而不需要保存这个对象的引用，建议使用fly方法而不是get方法。
参数:
  • el : Mixed
    节点的id、一个DOM节点或者一个已存在的Element。
返回值:
  • Element
    Element对象
 Ext
getBody() : Ext.Element
将当前document的body对象当作Ext.Element返回。
将当前document的body对象当作Ext.Element返回。
参数:
  • 无.
返回值:
  • Ext.Element
    当前document的body对象
 Ext
getCmp( String id ) : Ext.Component
Ext.ComponentMgr.get方法的简写。
Ext.ComponentMgr.get方法的简写。
参数:
  • id : String
返回值:
  • Ext.Component
 Ext
getDoc() : Ext.Element
将当前的HTML document对象作为 Ext.Element返回。
将当前的HTML document对象作为 Ext.Element返回。
参数:
  • 无.
返回值:
  • Ext.Element
    document对象
 Ext
getDom( Mixed el ) : HTMLElement
返回传递进来的string(id)、DOM节点或者Ext.Element的DOM节点。
返回传递进来的string(id)、DOM节点或者Ext.Element的（原始）DOM节点。
参数:
  • el : Mixed
返回值:
  • HTMLElement
 Ext
id( [Mixed el], [String prefix] ) : String
产生唯一的id。如果元素已经有一个id，则不会改变它的id值。
产生唯一的id。如果元素已经有一个id，则不会改变它的id值。
参数:
  • el : Mixed
    (可选)需要生成id的元素
  • prefix : String
    (可选) Id prefix (defaults "ext-gen")
返回值:
  • String
    生成的id
 Ext
isArray( Object The ) : Boolean
如果传递进来的是一个JavaScript的array对象，返回true，否则返回false。
如果传递进来的是一个JavaScript的array对象，返回true，否则返回false。
参数:
  • The : Object
    需要测试的对象
返回值:
  • Boolean
 Ext
isDate( Object The ) : Boolean
如果传递进来的是一个JavaScript的date对象，返回true，否则返回false。
如果传递进来的是一个JavaScript的date对象，返回true，否则返回false。
参数:
  • The : Object
    需要测试的对象
返回值:
  • Boolean
 Ext
isEmpty( Mixed value, [Boolean allowBlank] ) : Boolean
返回true，如果传递进来的值为null、undefined或者一个空的字符串。
返回true，如果传递进来的值为null、undefined或者一个空的字符串。
参数:
  • value : Mixed
    需要测试的值
  • allowBlank : Boolean
    (可选)返回true，如果一个空字符串不被认为是空。（译者注： 这句话的意思是如果传进来一个空字符串，并且allowBlank这个参数为true，函数会返回true，也就是允许空字符。 原文： Pass true if an empty string is not considered empty）
返回值:
  • Boolean
 Ext
namespace( String namespace1, String namespace2, String etc ) : void
为变量和类创建命名空间，那样它们就不是全局对象。用法...
为变量和类创建命名空间，那样它们就不是全局对象。用法:

译者注：Java程序员可能对于命名空间这样的概念比较陌生。可以使用类比的方式来理解，创建一个命名空间，与创建一个包的概念类似。不同的包里面可以有名称相同的类，这些类里面可以有名称相同的成员。实际上简单来理解就是为变量和方法划一块独立的空间，这样就不会与别人定义的 同名的变量或方法相冲突。
Ext.namespace('Company', 'Company.data');
Company.Widget = function() { ... }
Company.data.CustomStore = function(config) { ... }
参数:
  • namespace1 : String
  • namespace2 : String
  • etc : String
返回值:
  • void
 Ext
num( Mixed value, Number defaultValue ) : Number
工具方法，检查一个值是不是数值， 如果不是，返回指定的默认值。
工具方法，检查一个值是不是数值， 如果不是，返回指定的默认值。
参数:
  • value : Mixed
    应该是一个数值，但是任何类型（的数据）都会被恰当地处理。
  • defaultValue : Number
    如果原始值（译者注：指第一个参数）不是数值时的返回值。
返回值:
  • Number
    如果是数值，返回value（译者注：指第一个参数），否则返回defaultValue
 Ext
onReady( Function fn, Object scope, boolean override ) : void
当文档初始化完成时（在onload事件和图片加载完成之前）触发该方法...
当文档初始化完成时（在onload事件和图片加载完成之前）触发该方法。 Ext.EventManager.onDocumentReady方法的简写。
参数:
  • fn : Function
    事件的回调方法
  • scope : Object
    一个对象，该对象作为事件处理器的作用域
  • override : boolean
    如果为true，传入的obj会成为监听器执行时的作用域。
返回值:
  • void
 Ext
override( Object origclass, Object overrides ) : void
向一个已存在类的prototype中添加一个方法列表，覆盖已存在的同名方法。
向一个已存在类的prototype中添加一个方法列表，覆盖已存在的同名方法。 用法:
Ext.override(My类, {
    new方法1: function(){
        // etc.
    },
    new方法2: function(foo){
        // etc.
    }
});
参数:
  • origclass : Object
    需要覆盖的类
  • overrides : Object
    需要添加到原来类中的方法列表。 这个对象需要被定义为一个立即对象，包含一个或多个方法。
返回值:
  • void
 Ext
query( String path, [Node root] ) : Array
使用CSS/XPath选择一个DOM节点数组，Ext.DomQuery.select方法的简写。
使用CSS/XPath选择一个DOM节点数组，Ext.DomQuery.select方法的简写。
参数:
  • path : String
    The selector/xpath query
  • root : Node
    (可选) The start of the query (默认值为 document).
返回值:
  • Array
 Ext
reg( String xtype, Constructor cls ) : void
Ext.ComponentMgr.registerType方法的简写
Ext.ComponentMgr.registerType方法的简写
参数:
  • xtype : String
    一个缓存的字符串，使用这个字符串可以找到这个组件的类。
  • cls : Constructor
    新的组件类。
返回值:
  • void
 Ext
removeNode( HTMLElement node ) : void
从document中删除一个DOM节点。 如果传入body节点，将会被忽略。
从document中删除一个DOM节点。 如果传入body节点，将会被忽略。
参数:
  • node : HTMLElement
    需要删除的节点
返回值:
  • void
 Ext
select( String/Array selector, [Boolean unique], [HTMLElement/String root] ) : CompositeElementLite/CompositeElement
根据传入的CSS选择器选择元素，这样就可以像第一个方法（译者注：可能指addBehaviors方法）那样去操作它们。
根据传入的CSS选择器选择元素，这样就可以像第一个方法（译者注：指addBehaviors方法）那样去操作它们。
参数:
  • selector : String/Array
    CSS选择器或者元素数组。
  • unique : Boolean
    (可选) 如果为true，为每个元素创建一个独立的Ext.Element对象 (默认值为一个共享的轻量级对象)。
  • root : HTMLElement/String
    (可选) The root element of the query or id of the root
返回值:
  • CompositeElementLite/CompositeElement
 Ext
type( Mixed object ) : String
返回传入的对象的类型。 如果传入的对象为null或undefined，返回false；否则，返回以下列表中的一个值...
返回传入的对象的类型。 如果传入的对象为null或undefined，返回false；否则，返回以下列表中的一个值：
  • string: 如果传入的对象是一个string
  • number: 如果传入的对象是一个number
  • boolean: 如果传入的对象是一个布尔值
  • function: 如果传入的对象是一个函数的引用
  • object: 如果传入的对象是一个object
  • array: 如果传入的对象是一个 array
  • regexp: 如果传入的对象是一个正则表达式
  • element: 如果传入的对象是一个DOM元素
  • nodelist: 如果传入的对象是一个DOM节点链表
  • textnode: 如果传入的对象是一个text节点并且包含除空格以外的东西
  • whitespace:如果传入的对象是一个DOM text元素，并且仅仅包含空格
    • 参数:
    • object : Mixed
    返回值:
    • String
 Ext
urlDecode( String string, [Boolean overwrite] ) : Object
将一个编码好的URL转换成一个对象。例如：Ext.urlDecode("foo=1&bar=2")，将会返回 ...
将一个编码好的URL转换成一个对象。例如：Ext.urlDecode("foo=1&bar=2")，将会返回{foo: 1, bar: 2}。或者Ext.urlDecode("foo=1&bar=2&bar=3&bar=4", true)，将会返回{foo: 1, bar: [2, 3, 4]}。
参数:
  • string : String
  • overwrite : Boolean
    (可选)具有相同名称的元素会覆盖上一个同名值，而不是创建一个数组（默认为false）。 返回值:
    • Object
      一个含有若干成员的立即对象
 Ext
urlEncode( Object o ) : String
将一个对象转换成URL编码，例如：Ext.urlEncode({foo: 1, bar: 2})，将会返回...
将一个对象转换成URL编码，例如：Ext.urlEncode({foo: 1, bar: 2})，将会返回"foo=1&bar=2"。随意地，属性值也可以是数组，返回值将是数组中每个元素组成的键/值(key/value)对，而不是键数组(keys)。
参数:
  • o : Object
返回值:
  • String

译者注：请注意，如果一个对象的属性值是数组，那么这个数组的元素必须是String、Number或Boolean，而不能是一个复杂的Json对象，否则编码出来字符串是没有意义的。 从上面的urlDecode方法解析的结果也可以看出来{foo: 1, bar: [2, 3, 4]}，这个对象的bar属性是一个数组，但是数组的元素是简单的数据类型。
Ext

公共事件

该类没有公共事件。


Class Ext.KeyMap

包: | Ext
所在文件: | KeyMap.js
Class: | KeyMap
继承自: | Object
为一个元素提供按键和动作之间的映射。 一个按键映射可以用于多个动作。 构造器接收的配置项与 addBinding 中所定义的相同。 如果你绑定一个回调函数到一个 KeyMap， 任何时候，在KeyMap处理一个按键组合之后，都会用如下参数来调用这个函数（ 如果匹配了多个按键的组合，回调函数仅仅被调用一次 ）：(String key, Ext.EventObject e)。 KeyMap也可以处理一个按键字符串描述。
用法:
// 使用按键值映射单个按键
var map = new Ext.KeyMap("my-element", {
    key: 13, // or Ext.EventObject.ENTER
    fn: myHandler,
    scope: myObject
});

// 使用字符串把多个按键映射到一个动作上
var map = new Ext.KeyMap("my-element", {
    key: "a\r\n\t",
    fn: myHandler,
    scope: myObject
});

// 使用按键值字符串将多个按键映射到多个动作上
var map = new Ext.KeyMap("my-element", [
    {
        key: [10,13],
        fn: function(){ alert("Return was pressed"); }
    }, {
        key: "abc",
        fn: function(){ alert('a, b or c was pressed'); }
    }, {
        key: "\t",
        ctrl:true,
        shift:true,
        fn: function(){ alert('Control + shift + tab was pressed.'); }
    }
]);
注意: KeyMap以可用状态开始工作

公共属性

Property |  | 所在类
 | stopEvent : Boolean 设置为true，当按键被KeyMap处理之后，停止事件冒泡并... 设置为true，当按键被KeyMap处理之后，停止事件冒泡并 阻止浏览器默认的动作(默认值为 false) | KeyMap

公共方法

Method 所在类
KeyMap( Mixed el, Object config, [String eventName] )
参数:
  • el : Mixed
    The element to bind to
  • config : Object
    The config (see addBinding)
  • eventName : String
    (可选) The event to bind to (默认值为 "keydown")
返回值:
KeyMap
addBinding( Object/Array config ) : void
向当前的KeyMap添加一个新的绑定。 如下的配置对象参数都是支持的：...
向当前的KeyMap添加一个新的绑定。 如下的配置对象参数都是支持的：
属性    Type             Description
----------  ---------------  ----------------------------------------------------------------------
key         String/Array     需要处理的单个按键值，或者一个按键值数组
shift       Boolean          设置为true将仅仅在同时按下了shfit键时处理按键(默认值为 false)
ctrl        Boolean          设置为true将仅仅在同时按下了ctrl键时处理按键(默认值为 false)
alt         Boolean          设置为true将仅仅在同时按下了alt键时处理按键True(默认值为 false)
handler     Function         当KeyMap找到了期望的按键组合时调用的方法
fn          Function         处理函数的别名(为了向后兼容)
scope       Object           回调函数的作用域
stopEvent   Boolean          设置为true将终止事件
Usage:
// 创建一个KeyMap
var map = new Ext.KeyMap(document, {
    key: Ext.EventObject.ENTER,
    fn: handleKey,
    scope: this
});

//添加一个新的绑定到现存的KeyMap
map.addBinding({
    key: 'abc',
    shift: true,
    fn: handleKey,
    scope: this
});
参数:
  • config : Object/Array
    ÷ 单个的KeyMap配置或者一个配置数组
返回值:
  • void
 KeyMap
disable() : void
禁用当前的KeyMap
禁用当前的KeyMap
参数:
  • 无.
返回值:
  • void
 KeyMap
enable() : void
启用当前的KeyMap
启用当前的KeyMap
参数:
  • 无.
返回值:
  • void
 KeyMap
isEnabled() : Boolean
如果当前的KeyMap可用，返回true
如果当前的KeyMap可用，返回true
参数:
  • 无.
返回值:
  • Boolean
 KeyMap
on( Number/Array/Object key, Function fn, [Object scope] ) : void
添加单个按键监听器的方法缩写
添加单个按键监听器的方法缩写
参数:
  • key : Number/Array/Object
    可以是一个数字按键值、按键值数组、或者一个包含如下选项的对象: {key: (number or array), shift: (true/false), ctrl: (true/false), alt: (true/false)}
  • fn : Function
    The function to call
  • scope : Object
    (可选) The scope of the function
返回值:
  • void
 KeyMap

公共事件

该类没有公共事件。


Class Ext.KeyNav

包: | Ext
所在文件: | KeyNav.js
Class: | KeyNav
继承自: | Object

为规格化的键盘导航提供一个方便的包装器。 KeyNav允许你将导航键绑定到方法， 当键被按下时调用这些方法， 为任何UI组件方便地提供定制化的导航设计。

以下是可以实现的所有可能的按键: enter, left, right, up, down, tab, esc, pageUp, pageDown, del, home, end。 用法:

var nav = new Ext.KeyNav("my-element", {
    "left" : function(e){
        this.moveLeft(e.ctrlKey);
    },
    "right" : function(e){
        this.moveRight(e.ctrlKey);
    },
    "enter" : function(e){
        this.save();
    },
    scope : this
});

配置属性

配置属性 |  | 所在类
 | defaultEventAction : String 当KeyNav截获一个按键时，在 Ext.EventObject 上调用的方法... 当KeyNav截获一个按键时，在 Ext.EventObject 上调用的方法。 合法的值有：Ext.EventObject.stopEvent, Ext.EventObject.preventDefault 和 Ext.EventObject.stopPropagation (默认值为 'stopEvent') | KeyNav
 | disabled : Boolean 设置为true将禁用当前KeyNav实例(默认值为 false) | KeyNav
 | forceKeyDown : Boolean 处理keydown事件替代keypress (默认值为 false)。 KeyNav将自动为IE进行这种处理，因为IE不能传播... 处理keydown事件替代keypress (默认值为 false)。 KeyNav将自动为IE进行这种处理，因为IE不能传播 特殊按键的keypress事件，但是设置此项为true将同时 强制其它的浏览器用处理keydown事件来替代keypress事件。 | KeyNav

公共属性

该类没有公共属性。

公共方法

Method 所在类
KeyNav( Mixed el, Object config )
参数:
  • el : Mixed
    The element to bind to
  • config : Object
    The config
返回值:
KeyNav
disable() : void
禁用当前KeyNav
禁用当前KeyNav
参数:
  • 无.
返回值:
  • void
 KeyNav
enable() : void
启用当前KeyNav
启用当前KeyNav
参数:
  • 无.
返回值:
  • void
 KeyNav

公共事件

该类没有公共事件。


Element
    Layer

Class Ext.Layer

包: | Ext
所在文件: | Layer.js
Class: | Layer
继承自: | Element
一个继承自 Ext.Element 的对象，提供一个阴影和衬垫，它们被约束到viewport并且自动维护阴影/衬垫的位置。

配置属性

配置属性 |  | 所在类
 | cls : String 添加到元素的CSS类 | Layer
 | constrain : Boolean 设置为false将禁用约束到viewport(默认值为 true) | Layer
 | dh : Object 用来创建元素的DomHelper对象配置项 (默认值为 {tag: "div", cls: "x-layer"}). | Layer
 | shadow : String/Boolean 设置为true，将使用默认的CSS类"x-layer-shadow"来创建一个... 设置为true，将使用默认的CSS类"x-layer-shadow"来创建一个 阴影元素，或者你可以传递一个CSS类名字符串。 false将关闭阴影。 | Layer
 | shadowOffset : Number 阴影的偏移量像素数(默认值为 3) | Layer
 | shim : Boolean 设置为true将禁用iframe衬垫，在有些浏览器中可能需要一个 (默认值为 true) | Layer
 | zindex : Number 起始z-index (默认值为 11000) | Layer

公共属性

Property |  | 所在类
 | defaultUnit : String 当没有提供单位时，添加CSS值时使用的默认单位 (默认值为 px)。 | Element
 | dom : HTMLElement DOM元素 | Element
 | id : String DOM元素的ID | Element
 | originalDisplay : String 元素默认的显示模式(默认值为 "") | Element

公共方法

Method 所在类
Layer( Object config, [String/HTMLElement existingEl] )
参数:
  • config : Object
    An object with config options.
  • existingEl : String/HTMLElement
    (可选) Uses an existing DOM element. If the element is not found it creates it.
返回值:
Layer
addClass( String/Array className ) : Ext.Element
向此元素添加一个或多个CSS类。 相同的样式将会被自动过滤掉。
向此元素添加一个或多个CSS类。 相同的样式将会被自动过滤掉。
参数:
  • className : String/Array
    The CSS class to add, or an array of classes
返回值:
  • Ext.Element
    this
 Element
addClassOnClick( String className ) : Ext.Element
设置事件处理器，当在元素上按下鼠标并弹起时向元素上添加然后删除一个CSS类（一种点击效果）
设置事件处理器，当在元素上按下鼠标并弹起时向元素上添加然后删除一个CSS类（一种点击效果）
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addClassOnFocus( String className ) : Ext.Element
设置一个事件处理函数，在当前元素获得焦点时添加然后删除一个 CSS类
设置一个事件处理函数，在当前元素获得焦点时添加然后删除一个 CSS类
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addClassOnOver( String className ) : Ext.Element
设置事件处理器，当鼠标滑过当前元素时添加或者删除一个css类
设置事件处理器，当鼠标滑过当前元素时添加或者删除一个css类
参数:
  • className : String
返回值:
  • Ext.Element
    this
 Element
addKeyListener( Number/Array/Object/String key, Function fn, [Object scope] ) : Ext.KeyMap
构造KeyMap的便捷方法
构造KeyMap的便捷方法
参数:
  • key : Number/Array/Object/String
    Either a string with the keys to listen for, the numeric key code, array of key codes or an object with the following options: {key: (number or array), shift: (true/false), ctrl: (true/false), alt: (true/false)}
  • fn : Function
    The function to call
  • scope : Object
    (可选) The scope of the function
返回值:
  • Ext.KeyMap
    The KeyMap created
 Element
addKeyMap( Object config ) : Ext.KeyMap
为当前元素创建一个KeyMap
为当前元素创建一个KeyMap
参数:
  • config : Object
    The KeyMap config. See Ext.KeyMap for more details
返回值:
  • Ext.KeyMap
    The KeyMap created
 Element
addListener( String eventName, Function fn, [Object scope], [Object options] ) : void
向当前元素上添加一个事件处理器。 on 的等价缩写版本。
向当前元素上添加一个事件处理器。 on 的等价缩写版本。
参数:
  • eventName : String
    需要处理的事件类型
  • fn : Function
    事件调用的处理器。此方法被传递以下参数：
    • evt : EventObject
      EventObject 对象，描述了事件信息。
    • t : Element
      Element 对象，它是事件的目标。 注意：在使用delegate配置时，此项目可能会被过滤掉。
    • o : Object
      调用addListener方法时传递的配置对象。
  • scope : Object
    (可选) 调用处理函数的作用域(this 引用)。 默认为当前元素。
  • options : Object
    (可选) 一个包含处理器配置参数的对象。 可以包含以下任何参数：
    • scope {Object} : 执行处理器函数的作用域。也就是处理器函数的"this"内容。
    • delegate {String} : 一个简单的选择器，用来过滤事件目标或者用来查找事件目标的后代节点。
    • stopEvent {Boolean} : 设置为true将终止事件。也就是停止冒泡、并阻止默认的操作。
    • preventDefault {Boolean} : 设置为true将阻止默认的操作。
    • stopPropagation {Boolean} :设置为true将阻止事件冒泡。
    • normalized {Boolean} : 设置为false将把浏览器事件传递给处理函数，而不是Ext.EventObject
    • delay {Number} : 在事件触发后，延迟调用处理函数的毫秒数。
    • single {Boolean} : 设置为true，将在事件发生后立即添加一个处理函数来处理事件，然后马上删除此处理函数。
    • buffer {Number} : 导致处理函数在Ext.util.DelayedTask中按计划执行，延迟指定的毫秒数。如果在这段时间内此事件被再次触发，原来的处理函数将不会被调用，但是新的处理函数将会在计划任务中替代它。

    Combining Options
    在以下的例子中，将使用缩写形式 on 来替代冗长的addListener方法。这两种写法是等价的。使用配置参数，可以绑定不同类型的监听器：

    一个规格化的、延迟的、只调用一次的监听器 ，将会自动停止事件并添加一个定制的参数(forumId) 到配置对象。 配置对象被作为处理函数的第三个参数来使用。

    Code:
    el.on('click', this.onClick, this, {
    single: true,
    delay: 100,
    stopEvent : true,
    forumId: 4
});

    一次调用添加多个处理函数
    此方法也允许传递单个的参数，它是一个配置对象，包含了多个处理函数的详细描述。

    Code:

el.on({
    'click' : {
        fn: this.onClick,
        scope: this,
        delay: 100
    },
    'mouseover' : {
        fn: this.onMouseOver,
        scope: this
    },
    'mouseout' : {
        fn: this.onMouseOut,
        scope: this
    }
});

    或者一种缩写的方式:
    Code:

el.on({
    'click' : this.onClick,
    'mouseover' : this.onMouseOver,
    'mouseout' : this.onMouseOut,
    scope: this
});
返回值:
  • void
 Element
alignTo( Mixed element, String position, [Array offsets], [Boolean/Object animate] ) : Ext.Element
Aligns this element with another element relative to the specified anchor points. If the other element is the documen...
使用指定的锚点位置关系，将当前元素对齐到另一个元素。 如果另一个元素是document，此方法将它对齐到viewport。 位置参数是可选的，并且可以指定为如下任意一种格式：
  • Blank: 默认将此元素的top-left角落对齐到目标元素的bottom-left角落("tl-bl")。
  • One anchor (已过时): 传递进来的锚点位置将被用作目标元素的锚点。 被对齐的元素将把它的top-left角落(tl)对齐到那个点。 此方法已过时，推荐使用以下两个新的锚定符号。
  • Two anchors: 如果以下表格中的两个值被传递进来，用一个分隔线分隔， 第一个值将被当作当前元素的锚点， 第二个值将被当作目标元素的锚点。
除锚点之外，位置参数也支持"?"号。 如果在位置字符串最后传递一个"?"号， 元素将尝试进行特定的对齐， 但是，在必要时将调整位置以约束到viewport。 注意：被对齐的元素可能会被交换到一个不同的位置，而不是指定的值，以便强制执行viewport的约束。 以下是所有支持的锚定位置：
Value  Description
-----  -----------------------------
tl     The top left corner (default)
t      The center of the top edge
tr     The top right corner
l      The center of the left edge
c      In the center of the element
r      The center of the right edge
bl     The bottom left corner
b      The center of the bottom edge
br     The bottom right corner
示例用法:
// align el to other-el using the default positioning ("tl-bl", non-constrained)
el.alignTo("other-el");

// align the top left corner of el with the top right corner of other-el (constrained to viewport)
el.alignTo("other-el", "tr?");

// align the bottom right corner of el with the center left edge of other-el
el.alignTo("other-el", "br-l?");

// align the center of el with the bottom left corner of other-el and
// adjust the x position by -6 pixels (and the y position by 0)
el.alignTo("other-el", "c-bl", [-6, 0]);
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to.
  • offsets : Array
    (可选) Offset the positioning by [x, y]
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
anchorTo( Mixed element, String position, [Array offsets], [Boolean/Object animate], [Boolean/Number monitorScroll], Function callback ) : Ext.Element
将一个元素锚定到另一个元素上， 并且当window的大小被调整后重新对齐。
将一个元素锚定到另一个元素上， 并且当window的大小被调整后重新对齐。
参数:
  • element : Mixed
    对齐到的元素。
  • position : String
    对齐到的位置。
  • offsets : Array
    (可选) 位置偏移[x, y]
  • animate : Boolean/Object
    (可选) 此项为true时将使用默认的动画效果，也可以配置一个标准的动画配置对象
  • monitorScroll : Boolean/Number
    (可选) 设置为true将监控body的滚动和位置。如果此参数是一个数值，它将没用作缓冲的毫秒值 (默认值为 50ms).
  • callback : Function
    在动画效果结束时调用的方法
返回值:
  • Ext.Element
    this
 Element
animate( Object args, [Float duration], [Function onComplete], [String easing], [String animType] ) : Ext.Element
在当前元素上执行动画效果。
在当前元素上执行动画效果。
参数:
  • args : Object
    动画效果控制参数
  • duration : Float
    (可选) How long the animation lasts in seconds (默认值为 .35)
  • onComplete : Function
    (可选) Function to call when animation completes
  • easing : String
    (可选) Easing method to use (默认值为 'easeOut')
  • animType : String
    (可选) 'run' is the default. Can also be 'color', 'motion', or 'scroll'
返回值:
  • Ext.Element
    this
 Element
appendChild( String/HTMLElement/Array/Element/CompositeElement el ) : Ext.Element
将传递进来的元素添加到当前元素的后面
将传递进来的元素添加到当前元素的后面
参数:
  • el : String/HTMLElement/Array/Element/CompositeElement
返回值:
  • Ext.Element
    this
 Element
appendTo( Mixed el ) : Ext.Element
将当前元素添加到传递进来的元素之后
将当前元素添加到传递进来的元素之后
参数:
  • el : Mixed
    The new parent element
返回值:
  • Ext.Element
    this
 Element
applyStyles( String/Object/Function styles ) : Ext.Element
setStyle 方法更灵活的版本，用来设置样式参数。
setStyle 方法更灵活的版本，用来设置样式参数。
参数:
  • styles : String/Object/Function
    A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.
返回值:
  • Ext.Element
    this
 Element
autoHeight( [Boolean animate], [Float duration], [Function onComplete], [String easing] ) : Ext.Element
检测此元素内容的高度然后更新现有高度以匹配之。 注意...
检测此元素内容的高度然后更新现有高度以匹配之。 注意：此方法是用了setTimeout，所以新的高度可能不能立即访问。
参数:
  • animate : Boolean
    (可选) Animate the transition (默认值为 false)
  • duration : Float
    (可选) Length of the animation in seconds (默认值为 .35)
  • onComplete : Function
    (可选) Function to call when animation completes
  • easing : String
    (可选) Easing method to use (默认值为 easeOut)
返回值:
  • Ext.Element
    this
 Element
blur() : Ext.Element
尝试使元素失去焦点。忽略任何捕捉到的异常。
尝试使元素失去焦点。忽略任何捕捉到的异常。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
boxWrap( [String class] ) : Ext.Element
使用一个特殊的标签/CSS块包装指定的元素，默认情况下，将渲染一个灰色的容器，具有一定 梯度的背景、圆角和4个方向的阴影...
使用一个特殊的标签/CSS块包装指定的元素，默认情况下，将渲染一个灰色的容器，具有一定 梯度的背景、圆角和4个方向的阴影。 示例用法:

// 包装基本的盒子
Ext.get("foo").boxWrap();

// 你也可以添加一个定制的CSS继承规则，以定制盒子的外观。
// 'x-box-blue'是一个内置的选择---如何创建一个定制的包装盒风格，
// 在示例中查看相关的CSS定义。
Ext.get("foo").boxWrap().addClass("x-box-blue");
参数:
  • class : String
    (可选) 应用到包装元素容器的一个基本CSS类(默认值为 'x-box')。 注意：为了使整体的效果能起作用，有许多CSS规则与这个名字相关， 所以如果你提供了一个替代的基本CSS类，你必须同时提供所有必须的规则。
返回值:
  • Ext.Element
    this
 Element
center( [Mixed centerIn] ) : void
将元素设置到viewport或者另一个元素的正中间。
将元素设置到viewport或者另一个元素的正中间。
参数:
  • centerIn : Mixed
    (可选) The element in which to center the element.
返回值:
  • void
 Element
child( String selector, [Boolean returnDom] ) : HTMLElement/Ext.Element
根据传递的CSS选择器选中单个子节点，节点可以位于任意深度 (选择器不能包含id)。
根据传递的CSS选择器选中单个子节点，节点可以位于任意深度 (选择器不能包含id)。
参数:
  • selector : String
    The CSS selector
  • returnDom : Boolean
    (可选) True to return the DOM node instead of Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The child Ext.Element (or DOM node if returnDom = true)
 Element
clean( [Boolean forceReclean] ) : void
删除无用的文本节点
删除无用的文本节点
参数:
  • forceReclean : Boolean
    (可选) 默认情况下，在清除元素之后仍然会留下痕迹，所以你可以反复调用此方法。 然而，如果你更新了元素并且需要强制进行一次reclean，你可以传递一个true。
返回值:
  • void
 Element
clearOpacity() : Ext.Element
从当前元素上清除一个不透明属性设置。 某些情况下在IE中必须使用。
从当前元素上清除一个不透明属性设置。 某些情况下在IE中必须使用。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
clearPositioning( [String value] ) : Ext.Element
将位置清理并回退到文档刚刚加载时的状态
将位置清理并回退到文档刚刚加载时的状态
参数:
  • value : String
    (可选) left,right,top,bottom所使用的值， 默认值为 '' (空字符串)。 你可以使用'auto'。
返回值:
  • Ext.Element
    this
 Element
clip() : Ext.Element
存储当前的溢出设置，并且切除元素的溢出部分--- 使用unclip 来删除
存储当前的溢出设置，并且切除元素的溢出部分--- 使用unclip 来删除
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
contains( HTMLElement/String el ) : Boolean
如果当前元素是所传递进来的元素的祖先，返回true
如果当前元素是所传递进来的元素的祖先，返回true
参数:
  • el : HTMLElement/String
    The element to check
返回值:
  • Boolean
    如果当前元素是所传递进来的元素的祖先，返回true，否则返回false
Element
createChild( Object config, [HTMLElement insertBefore], [Boolean returnDom] ) : Ext.Element
创建传递进来的DomHelper配置，并将其添加到当前元素后面，或者可以选择将 其插入到所传递的子元素的前面。
创建传递进来的DomHelper配置，并将其添加到当前元素后面，或者可以选择将 其插入到所传递的子元素的前面。
参数:
  • config : Object
    DomHelper元素配置对象。如果没有指定tag (例如： {tag:'input'})， 那么将用指定的属性自动创建一个div。
  • insertBefore : HTMLElement
    (可选) 当前元素的一个子元素
  • returnDom : Boolean
    (可选) 设置为true将返回dom节点而不是创建一个 Element
返回值:
  • Ext.Element
    新的子元素
Element
createProxy( String/Object config, [String/HTMLElement renderTo], [Boolean matchBox] ) : Ext.Element
为当前元素创建一个代理元素
为当前元素创建一个代理元素
参数:
  • config : String/Object
    The class name of the proxy element or a DomHelper config object
  • renderTo : String/HTMLElement
    (可选) The element or element id to render the proxy to (默认值为 document.body)
  • matchBox : Boolean
    (可选) True to align and size the proxy to this element now (默认值为 false)
返回值:
  • Ext.Element
    The new proxy element
 Element
createShim() : Ext.Element
为当前元素创建一个iframe衬垫，以避免显示选中状态和其它通过窗体显示的对象。
为当前元素创建一个iframe衬垫，以避免显示选中状态和其它通过窗体显示的对象。
参数:
  • 无.
返回值:
  • Ext.Element
    The new shim element
 Element
down( String selector, [Boolean returnDom] ) : HTMLElement/Ext.Element
根据传递进来的CSS选择器选择单个*直接*子元素 (选择器不能含有id)。
根据传递进来的CSS选择器选择单个*直接*子元素 (选择器不能含有id)。
参数:
  • selector : String
    The CSS selector
  • returnDom : Boolean
    (可选) True to return the DOM node instead of Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The child Ext.Element (or DOM node if returnDom = true)
 Element
enableDisplayMode( [String display] ) : Ext.Element
setVisibilityMode(Element.DISPLAY)的便捷方法
setVisibilityMode(Element.DISPLAY)的便捷方法
参数:
  • display : String
    (可选) What to set display to when visible
返回值:
  • Ext.Element
    this
 Element
findParent( String selector, [Number/Mixed maxDepth], [Boolean returnEl] ) : HTMLElement
先查看当前节点，然后查看其父节点，查找一个与传递尽进来的简单选择器相...
先查看当前节点，然后查看其父节点，查找一个与传递尽进来的简单选择器相 匹配的节点(例如div.some-class或者 span:first-child)
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
  • returnEl : Boolean
    (可选) True to return a Ext.Element object instead of DOM node
返回值:
  • HTMLElement
    The matching DOM node (or null if no match was found)
 Element
findParentNode( String selector, [Number/Mixed maxDepth], [Boolean returnEl] ) : HTMLElement
检查父节点，查找是否有与传递进来的简单选择器相匹配的节点 (例如 div.some-class或 span:first-child)
检查父节点，查找是否有与传递进来的简单选择器相匹配的节点 (例如 div.some-class或 span:first-child)
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
  • returnEl : Boolean
    (可选) True to return a Ext.Element object instead of DOM node
返回值:
  • HTMLElement
    The matching DOM node (or null if no match was found)
 Element
first( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取第一个孩子，跳过文本节点。
获取第一个孩子，跳过文本节点。
参数:
  • selector : String
    (可选) 查找与传递进来的简单选择器相匹配的下一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The first child or null
 Element
focus() : Ext.Element
尝试将焦点设置到当前元素。 忽略任何捕捉到的异常。
尝试将焦点设置到当前元素。 忽略任何捕捉到的异常。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
getAlignToXY( Mixed element, String position, [Array offsets] ) : Array
获取x,y坐标，以便将当前元素对齐到另一个元素。 所支持位置值的更多信息，参见alignTo 。
获取x,y坐标，以便将当前元素对齐到另一个元素。 所支持位置值的更多信息，参见alignTo 。
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to.
  • offsets : Array
    (可选) Offset the positioning by [x, y]
返回值:
  • Array
    [x, y]
 Element
getAnchorXY( [String anchor], [Boolean local], [Object size] ) : Array
根据指定到元素的锚定位置获取x,y坐标。
根据指定到元素的锚定位置获取x,y坐标。
参数:
  • anchor : String
    (可选) 指定的锚定位置(默认值为 "c")。 所有支持的锚定位置详情，参见 alignTo 。
  • local : Boolean
    (可选) 设置为true将获取local(element top/left-relative)锚定位置而不是页面坐标
  • size : Object
    (可选) 一个包含大小的对象，用来计算锚定位置 {width: (target width), height: (target height)} (默认值为元素当前的大小)
返回值:
  • Array
    [x, y] 一个包含元素x和y坐标的数组
 Element
getAttributeNS( String namespace, String name ) : String
从元素顶层的DOM节点上返回一个具有特定命名空间的属性值。
从元素顶层的DOM节点上返回一个具有特定命名空间的属性值。
参数:
  • namespace : String
    The namespace in which to look for the attribute
  • name : String
    The attribute name
返回值:
  • String
    The attribute value
 Element
getBorderWidth( String side ) : Number
获取指定一边(多边)的边框宽度
获取指定一边(多边)的边框宽度
参数:
  • side : String
    可以是t, l, r, b或者这些参数的任意组合，多个参数将返回结果之和。 例如，传递lr将会获取 (l)eft 边框宽度 +(r)ight边框宽度。
返回值:
  • Number
    The width of the sides passed added together
 Element
getBottom( Boolean local ) : Number
获取元素底部的Y坐标值 (元素的Y位置+元素高度)
获取元素底部的Y坐标值 (元素的Y位置+元素高度)
参数:
  • local : Boolean
    设置为true将获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getBox( [Boolean contentBox], [Boolean local] ) : Object
返回一个盒子：{x, y, width, height} 可以用来设置另一个元素的大小/位置，以匹配当前元素。
返回一个盒子：{x, y, width, height} 可以用来设置另一个元素的大小/位置，以匹配当前元素。
参数:
  • contentBox : Boolean
    (可选) If true a box for the content of the element is returned.
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page x/y.
返回值:
  • Object
    box An object in the format {x, y, width, height}
 Element
getCenterXY() : Array
计算x,y，以便将当前元素设置到屏幕正中
计算x,y，以便将当前元素设置到屏幕正中
参数:
  • 无.
返回值:
  • Array
    The x, y values [x, y]
 Element
getColor( String attr, String defaultValue, [String prefix] ) : void
返回指定的CSS属性的颜色值。 rgb，3位（例如#fff），合法的值将会被转换成一个标准的 6位十六进制颜色值。
返回指定的CSS属性的颜色值。 rgb，3位（例如#fff），合法的值将会被转换成一个标准的 6位十六进制颜色值。
参数:
  • attr : String
    The css attribute
  • defaultValue : String
    The default value to use when a valid color isn't found
  • prefix : String
    (可选) 默认值为 #. Use an empty string when working with color anims.
返回值:
  • void
 Element
getComputedHeight() : Number
返回当前元素的offsetHeight或者height， 数值基于CSS高度，当需要时包含填充或者边框...
返回当前元素的offsetHeight或者height， 数值基于CSS高度，当需要时包含填充或者边框。 在offset无效时这将用来模拟offsetHeight。 在display:none的元素上，如果没有通过CSS设置高度，此方法可能无效。
参数:
  • 无.
返回值:
  • Number
 Element
getComputedWidth() : Number
要么返回offsetWidth参数，要么在偏移量无效，需要模拟 offsetWidth时， 返回元素的CSS宽度，包含填充和边界...
要么返回offsetWidth参数，要么在偏移量无效，需要模拟 offsetWidth时， 返回元素的CSS宽度，包含填充和边界。 如果使用CSS设置宽度，在一个设置display:none的元素上此项可能无效。
参数:
  • 无.
返回值:
  • Number
 Element
getFrameWidth( String sides ) : Number
返回所指定一边的填充以及边框宽度的和。 指定边的更多信息参见getBorderWidth()方法。
返回所指定一边的填充以及边框宽度的和。 指定边的更多信息参见getBorderWidth()方法。
参数:
  • sides : String
返回值:
  • Number
 Element
getHeight( [Boolean contentHeight] ) : Number
返回此元素高度偏移量
返回此元素高度偏移量
参数:
  • contentHeight : Boolean
    (可选) 设置为true将返回的高度减去边框和填充
返回值:
  • Number
    元素的高度
 Element
getLeft( Boolean local ) : Number
获取左边X坐标
获取左边X坐标
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getMargins( [String sides] ) : Object/Number
如果不传递特定一边， 将返回一个对象，包含top, left, right 和 bottom参数，表示当前元...
如果不传递特定一边， 将获取一个对象，包含top, left, right 和 bottom参数，表示当前元素的页边空白， 然后返回所有边加在一起的宽度值(参见 getPadding)
参数:
  • sides : String
    (可选) l, r, t, b 的结合物，用来获取这些边距的和
返回值:
  • Object/Number
 Element
getOffsetsTo( Mixed element ) : Array
获取当前元素到所传递的元素的偏移量。 两个元素都必须是DOM树的一部分并且没有设置...
获取当前元素到所传递的元素的偏移量。 两个元素都必须是DOM树的一部分并且没有设置 display:none属性以便拥有一个页面坐标。
参数:
  • element : Mixed
    The element to get the offsets from.
返回值:
  • Array
    The XY page offsets (e.g. [100, -200])
 Element
getPadding( String side ) : Number
获取指定边（side(s)）的填充宽度（padding(s)）
获取指定边（side(s)）的填充宽度（padding(s)）
参数:
  • side : String
    Can be t, l, r, b or any combination of those to add multiple values. For example, passing lr would get the padding (l)eft + the padding (r)ight.
返回值:
  • Number
    The padding of the sides passed added together
 Element
getPositioning() : Object
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing...
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing an update and then restoring the element.
参数:
  • 无.
返回值:
  • Object
 Element
getRegion() : Region
返回所给元素所在的区域。 元素必须是DOM树的一部分，并且有一个区域 (display:none 或者没有添加的元素将返回false)。
返回所给元素所在的区域。 元素必须是DOM树的一部分，并且有一个区域 (display:none 或者没有添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Region
    A Ext.lib.Region containing "top, left, bottom, right" member data.
 Element
getRight( Boolean local ) : Number
获取此元素右边的X坐标 (元素的 X 位置 +元素的宽度)
获取此元素右边的X坐标 (元素的 X 位置 +元素的宽度)
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getScroll() : Object
返回元素当前的滚动条位置。
返回元素当前的滚动条位置。
参数:
  • 无.
返回值:
  • Object
    一个包含滚动条位置的对象，格式为 {left: (scrollLeft), top: (scrollTop)}
 Element
getSize( [Boolean contentSize] ) : Object
返回此元素的大小。
返回此元素的大小。
参数:
  • contentSize : Boolean
    (可选) 设置为true将获得width/size减去边框和填充之后的值
返回值:
  • Object
    An object containing the element's size {width: (element width), height: (element height)}
 Element
getStyle( String property ) : String
规格化的currentStyle 和 computedStyle。
规格化的currentStyle 和 computedStyle。
参数:
  • property : String
    The style property whose value is returned.
返回值:
  • String
    The current value of the style property for this element.
 Element
getStyles( String style1, String style2, String etc. ) : Object
返回一个属性与所需的style相匹配的对象。 例如，el.getStyles('color', 'font-size', 'width')可能会返回 {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}。
返回一个属性与所需的style相匹配的对象。 例如，el.getStyles('color', 'font-size', 'width')可能会返回 {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}。
参数:
  • style1 : String
    样式名称
  • style2 : String
    A style name
  • etc. : String
返回值:
  • Object
    样式对象
 Element
getTextWidth( String text, [Number min], [Number max] ) : Number
返回传递进来的文本宽度的像素值， 或者当前元素中文本的宽度。
返回传递进来的文本宽度的像素值， 或者当前元素中文本的宽度。
参数:
  • text : String
    需要测量的文本。默认为元素的innerHTML。
  • min : Number
    (可选) 返回的最小值。
  • max : Number
    (可选) 返回的最大值。
返回值:
  • Number
    文本宽度像素值。
Element
getTop( Boolean local ) : Number
获得顶部的Y坐标
获得顶部的Y坐标
参数:
  • local : Boolean
    设置为true获取本地css位置而不是页面坐标
返回值:
  • Number
 Element
getUpdater() : Ext.Updater
获取当前元素的Updater
获取当前元素的Updater
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Element
getValue( Boolean asNumber ) : String/Number
返回"value"属性的值
返回"value"属性的值
参数:
  • asNumber : Boolean
    设置为true将把值解析成一个数字
返回值:
  • String/Number
 Element
getViewSize() : Object
返回viewport的宽度和高度。
返回viewport的宽度和高度。
参数:
  • 无.
返回值:
  • Object
    一个包含viewport尺寸的对象 {width: (viewport width), height: (viewport height)}
 Element
getWidth( [Boolean contentWidth] ) : Number
返回值 the offset width of the element
返回此元素的宽度偏移量
参数:
  • contentWidth : Boolean
    (可选) true to get the width minus borders and padding
返回值:
  • Number
    The element's width
 Element
getX() : Number
获取元素当前的X位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标...
获取元素当前的X位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Number
    The X position of the element
 Element
getXY() : Array
返回此元素的当前坐标，基于页面。 Element 必须是DOM树的一部分，并且拥有页面坐标...
返回此元素的当前坐标，基于页面。 Element 必须是DOM树的一部分，并且拥有页面坐标 (display:none或者没有被添加进来的元素将返回false)。
参数:
  • 无.
返回值:
  • Array
    元素的XY位置
 Element
getY() : Number
获取元素当前的Y位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标...
获取元素当前的Y位置值，基于页面坐标。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • 无.
返回值:
  • Number
    The Y position of the element
 Element
hasClass( String className ) : Boolean
检测当前元素的DOM节点上是否存在指定的CSS类。
检测当前元素的DOM节点上是否存在指定的CSS类。
参数:
  • className : String
    The CSS class to check for
返回值:
  • Boolean
    True if the class exists, else false
 Element
hide( [Boolean/Object animate] ) : Ext.Element
隐藏此元素--- 使用显示模式来决定是使用 "display"参数还是使用"visibility"参数。 参见setVisible 。
隐藏此元素--- 使用显示模式来决定是使用 "display"参数还是使用"visibility"参数。 参见setVisible 。
参数:
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
hover( Function overFn, Function outFn, [Object scope] ) : Ext.Element
这只事件监听器，在鼠标滑过元素时调用传递进来的函数。 自动过滤子元素...
这只事件监听器，在鼠标滑过元素时调用传递进来的函数。 自动过滤子元素的鼠标事件。
参数:
  • overFn : Function
  • outFn : Function
  • scope : Object
    (可选)
返回值:
  • Ext.Element
    this
 Element
initDD( String group, Object config, Object overrides ) : Ext.dd.DD
为当前元素初始化一个 Ext.dd.DD 拖拽放下对象。
为当前元素初始化一个 Ext.dd.DD 拖拽放下对象。
参数:
  • group : String
    DD对象所属的组
  • config : Object
    DD配置对象
  • overrides : Object
    一个包含方法的对象，用来重写/实现DD对象
返回值:
  • Ext.dd.DD
    返回DD对象
 Element
initDDProxy( String group, Object config, Object overrides ) : Ext.dd.DDProxy
为当前元素初始化一个 Ext.dd.DDProxy 对象。
为当前元素初始化一个 Ext.dd.DDProxy 对象。
参数:
  • group : String
    The group the DDProxy object is member of
  • config : Object
    The DDProxy config object
  • overrides : Object
    An object containing methods to override/implement on the DDProxy object
返回值:
  • Ext.dd.DDProxy
    The DDProxy object
 Element
initDDTarget( String group, Object config, Object overrides ) : Ext.dd.DDTarget
为当前元素初始化一个Ext.dd.DDTarget 对象。
为当前元素初始化一个Ext.dd.DDTarget 对象。
参数:
  • group : String
    The group the DDTarget object is member of
  • config : Object
    The DDTarget config object
  • overrides : Object
    An object containing methods to override/implement on the DDTarget object
返回值:
  • Ext.dd.DDTarget
    The DDTarget object
 Element
insertAfter( Mixed el ) : Ext.Element
在DOM中，把当前元素插入到所传递进来的元素之后
在DOM中，把当前元素插入到所传递进来的元素之后
参数:
  • el : Mixed
    The element to insert after
返回值:
  • Ext.Element
    this
 Element
insertBefore( Mixed el ) : Ext.Element
将当前元素在DOM中插入到传递进来的元素之前
将当前元素在DOM中插入到传递进来的元素之前
参数:
  • el : Mixed
    The element before which this element will be inserted
返回值:
  • Ext.Element
    this
 Element
insertFirst( Mixed/Object el ) : Ext.Element
插入（或创建）一个元素（或者一个DomHelper配置），作为当前元素的第一个子节点
插入（或创建）一个元素（或者一个DomHelper配置），作为当前元素的第一个子节点
参数:
  • el : Mixed/Object
    The id or element to insert or a DomHelper config to create and insert
返回值:
  • Ext.Element
    The new child
 Element
insertHtml( String where, String html, [Boolean returnEl] ) : HTMLElement/Ext.Element
向当前元素中插入一个html标签
向当前元素中插入一个html标签
参数:
  • where : String
    插入html的位置，与当前元素的位置关系--- beforeBegin, afterBegin, beforeEnd, afterEnd。
  • html : String
    The HTML fragment
  • returnEl : Boolean
    (可选) 设置为true，返回一个Ext.Element (默认值为 false)
返回值:
  • HTMLElement/Ext.Element
    The inserted node (or nearest related if more than 1 inserted)
 Element
insertSibling( Mixed/Object/Array el, [String where], [Boolean returnDom] ) : Ext.Element
将传递进来的元素（或者DomHelper配置）插入（或者创建）成当前元素的兄弟节点。
将传递进来的元素（或者DomHelper配置）插入（或者创建）成当前元素的兄弟节点。
参数:
  • el : Mixed/Object/Array
    The id, element to insert or a DomHelper config to create and insert *or* an array of any of those.
  • where : String
    (可选) 'before' or 'after' 默认值为 before
  • returnDom : Boolean
    (可选) 设置为true将返回原始的DOM元素而不是Ext.Element
返回值:
  • Ext.Element
    the inserted Element
 Element
is( String selector ) : Boolean
如果当前元素与传递进来的简单选择子相匹配，返回true (例如div.some-class 或者 span:first-child)
如果当前元素与传递进来的简单选择子相匹配，返回true (例如div.some-class 或者 span:first-child)
参数:
  • selector : String
    The simple selector to test
返回值:
  • Boolean
    True if this element matches the selector, else false
 Element
isBorderBox() : Boolean
测试各种css规则/浏览器，决定当前元素是否使用一个带边框的盒子
测试各种css规则/浏览器，决定当前元素是否使用一个带边框的盒子
参数:
  • 无.
返回值:
  • Boolean
 Element
isDisplayed() : Boolean
如果display属性不是"none"，返回true
如果display属性不是"none"，返回true
参数:
  • 无.
返回值:
  • Boolean
 Element
isMasked() : Boolean
如果当前元素被遮罩了，返回true
如果当前元素被遮罩了，返回true
参数:
  • 无.
返回值:
  • Boolean
 Element
isScrollable() : Boolean
如果当前元素可以滚动，返回true。
如果当前元素可以滚动，返回true。
参数:
  • 无.
返回值:
  • Boolean
 Element
isVisible( [Boolean deep] ) : Boolean
使用visibility和display参数，检测元素是否可见。
使用visibility和display参数，检测元素是否可见。
参数:
  • deep : Boolean
    (可选) 设置为true将遍历dom并检测父元素是不是隐藏的(默认值为 false)
返回值:
  • Boolean
    如果元素当前可见，返回true，否则返回false
Element
last( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取最后一个孩子节点，跳过文本节点
获取最后一个孩子节点，跳过文本节点
参数:
  • selector : String
    (可选) 返回与传递进来的简单选择子相匹配的上一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点而不是Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The last child or null
 Element
load() : Ext.Element
直接方法 Updater的 Ext.Updater.update 方法。 方法接收与 Ext.Updater.update 相同的参数对象 。
直接方法 Updater的 Ext.Updater.update 方法。 方法接收与 Ext.Updater.update 相同的参数对象 。
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
mask( [String msg], [String msgCls] ) : Element
在此元素上添加一个遮罩以阻止与用户交互。 需要core.css。 此方法只可以应用到那些可以接收子节点的元素上。
在此元素上添加一个遮罩以阻止与用户交互。 需要core.css。 此方法只可以应用到那些可以接收子节点的元素上。
参数:
  • msg : String
    (可选) 遮罩上显示的消息
  • msgCls : String
    (可选) 应用到msg元素上的css样式
返回值:
  • Element
    遮罩元素
Element
move( String direction, Number distance, [Boolean/Object animate] ) : Ext.Element
相对于元素的当前位置移动元素。
相对于元素的当前位置移动元素。
参数:
  • direction : String
    Possible values are: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
  • distance : Number
    How far to move the element in pixels
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
moveTo( Number x, Number y, [Boolean/Object animate] ) : Ext.Element
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
next( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
跳过文本节点，获取下一个兄弟节点
跳过文本节点，获取下一个兄弟节点
参数:
  • selector : String
    (可选) 返回符合所传递进来的简单选择器的下一个兄弟节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是Ext.Element
返回值:
  • Ext.Element/HTMLElement
    下一个兄弟节点或者null
Element
on( String eventName, Function fn, [Object scope], [Object options] ) : void
添加一个事件监听器 (addListener的简写)。
添加一个事件监听器 (addListener的简写)。
参数:
  • eventName : String
    The type of event to handle
  • fn : Function
    The handler function the event invokes
  • scope : Object
    (可选) The scope (this element) of the handler function
  • options : Object
    (可选) An object containing standard addListener options
返回值:
  • void
 Element
parent( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取当前元素的父节点，可以选择沿着层次链向上查找，以便匹配一个选择器
获取当前元素的父节点，可以选择沿着层次链向上查找，以便匹配一个选择器
参数:
  • selector : String
    (可选) 获取一个与传递进来的选择器相匹配的父节点
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The parent node or null
 Element
position( [String pos], [Number zIndex], [Number x], [Number y] ) : void
初始化元素的位置。 如果没有传递所需的位置，并且元素没有设置位置，那么将使用相对位置放置元素。
初始化元素的位置。 如果没有传递所需的位置，并且元素没有设置位置，那么将使用相对位置放置元素。
参数:
  • pos : String
    (可选)使用的"relative", "absolute" 或者 "fixed"位置属性
  • zIndex : Number
    (可选) 应用的zIndex（译者注：用来控制层叠顺序）
  • x : Number
    (可选) 设置页面X位置
  • y : Number
    (可选) 设置页面Y位置
返回值:
  • void
 Element
prev( [String selector], [Boolean returnDom] ) : Ext.Element/HTMLElement
获取上一个兄弟节点，跳过文本节点
获取上一个兄弟节点，跳过文本节点
参数:
  • selector : String
    (可选) Find the previous sibling that matches the passed simple selector
  • returnDom : Boolean
    (可选) 设置为true将返回一个原始的dom节点，而不是一个Ext.Element
返回值:
  • Ext.Element/HTMLElement
    The previous sibling or null
 Element
query( String selector ) : Array
根据传递进来的CSS选择器选择一个子节点 (选择器不可以包含id)。
根据传递进来的CSS选择器选择一个子节点 (选择器不可以包含id)。
参数:
  • selector : String
    CSS选择器
返回值:
  • Array
    匹配的节点数组
Element
radioClass( String/Array className ) : Ext.Element
将一个或多个CSS类添加到当前元素，并从所有的兄弟节点上 删除相同的CSS类。
将一个或多个CSS类添加到当前元素，并从所有的兄弟节点上 删除相同的CSS类。
参数:
  • className : String/Array
    The CSS class to add, or an array of classes
返回值:
  • Ext.Element
    this
 Element
relayEvent( String eventName, Object object ) : void
在此元素上创建一个事件处理器， 这样，当事件被触发并被当前元素处理时，可以将它传播到另一个对象...
在此元素上创建一个事件处理器， 这样，当事件被触发并被当前元素处理时，可以将它传播到另一个对象 (例如：重新触发事件，就像事件本来就来自那个对象一样)。
参数:
  • eventName : String
    The type of event to relay
  • object : Object
    Any object that extends Ext.util.Observable that will provide the context for firing the relayed event
返回值:
  • void
 Element
remove() : void
从DOM中删除当前元素，同时从缓存中移除它
从DOM中删除当前元素，同时从缓存中移除它
参数:
  • 无.
返回值:
  • void
 Element
removeAllListeners() : Ext.Element
从当前元素上删除所有之前添加的监听器
从当前元素上删除所有之前添加的监听器
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
removeClass( String/Array className ) : Ext.Element
从元素上删除一个或多个CSS类。
从元素上删除一个或多个CSS类。
参数:
  • className : String/Array
    The CSS class to remove, or an array of classes
返回值:
  • Ext.Element
    this
 Element
removeListener( String eventName, Function fn, [Object scope] ) : Ext.Element
从当前元素上删除一个事件监听器。 缩写版本 un 与此等价...
从当前元素上删除一个事件监听器。 缩写版本 un 与此等价。示例用法:
el.removeListener('click', this.handlerFn);
// or
el.un('click', this.handlerFn);
参数:
  • eventName : String
    the type of event to remove
  • fn : Function
    the method the event invokes
  • scope : Object
    (可选) The scope (The this reference) of the handler function. Defaults to this Element.
返回值:
  • Ext.Element
    this
 Element
repaint() : Ext.Element
强制浏览器重新绘制当前元素
强制浏览器重新绘制当前元素
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
replace( Mixed el ) : Ext.Element
使用当前节点替换传递进来的节点
使用当前节点替换传递进来的节点
参数:
  • el : Mixed
    The element to replace
返回值:
  • Ext.Element
    this
 Element
replaceClass( String old类Name, String new类Name ) : Ext.Element
将元素上的一个CSS类替换成另一个。 如果老的CSS名称不存在，仅仅简单地添加新的CSS名称。
将元素上的一个CSS类替换成另一个。 如果老的CSS名称不存在，仅仅简单地添加新的CSS名称。
参数:
  • oldClassName : String
    The CSS class to replace
  • newClassName : String
    The replacement CSS class
返回值:
  • Ext.Element
    this
 Element
replaceWith( Mixed/Object el ) : Ext.Element
使用传递进来的元素替换当前元素
使用传递进来的元素替换当前元素
参数:
  • el : Mixed/Object
    The new element or a DomHelper config of an element to create
返回值:
  • Ext.Element
    this
 Element
scroll( String direction, Number distance, [Boolean/Object animate] ) : Boolean
将当前元素向指定方向滚动。 滚动时进行边界检测，以确定元素在可滚动的边...
将当前元素向指定方向滚动。 滚动时进行边界检测，以确定元素在可滚动的边界之内滚动。
参数:
  • direction : String
    可能的值为: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
  • distance : Number
    元素滚动的像素数
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Boolean
    如果触发产生了一个滚动条，返回true，否则当元素滚动了所能滚动的距离后返回false。
Element
scrollIntoView( [Mixed container], [Boolean hscroll] ) : Ext.Element
将容器中的当前元素滚动到视图中。
将容器中的当前元素滚动到视图中。
参数:
  • container : Mixed
    (可选) 需要滚动的容器元素(默认值为 document.body)。 应该是一个字符串(id)、一个dom节点或者一个Ext.Element。
  • hscroll : Boolean
    (可选) 设置为false禁用水平滚动(默认值为 true)
返回值:
  • Ext.Element
    this
 Element
scrollTo( String side, Number value, [Boolean/Object animate] ) : Element
将当前元素滚动到指定的点。 此方法不检查边界，即使你传递一个异常的值，它也...
将当前元素滚动到指定的点。 此方法不检查边界，即使你传递一个异常的值，它也将尝试去滚动。 需要自动检查边界，使用use scroll()方法。
参数:
  • side : String
    Either "left" for scrollLeft values or "top" for scrollTop values.
  • value : Number
    The new scroll value
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Element
    this
 Element
select( String selector, [Boolean unique] ) : CompositeElement/CompositeElementLite
为基于所传递CSS选择器的孩子节点创建一个 Ext.CompositeElement (选择器不能含有id)。
为基于所传递CSS选择器的孩子节点创建一个 Ext.CompositeElement (选择器不能含有id)。
参数:
  • selector : String
    The CSS selector
  • unique : Boolean
    (可选) True to create a unique Ext.Element for each child (默认值为 false, which creates a single shared flyweight object)
返回值:
  • CompositeElement/CompositeElementLite
    The composite element
 Element
set( Object o, [Boolean useSet] ) : Ext.Element
将传递进来的属性设置为当前元素的属性（ 样式属性可以是一个字符串、一个对象或者一个function ）
将传递进来的属性设置为当前元素的属性（ 样式属性可以是一个字符串、一个对象或者一个function ）
参数:
  • o : Object
    含有属性的对象
  • useSet : Boolean
    (可选) false to override the default setAttribute to use expandos.
返回值:
  • Ext.Element
    this
 Element
setBottom( String bottom ) : Ext.Element
设置此元素CSS底部风格。
设置此元素CSS底部风格。
参数:
  • bottom : String
    The bottom CSS property value
返回值:
  • Ext.Element
    this
 Element
setBounds( Number x, Number y, Number width, Number height, [Boolean/Object animate] ) : Ext.Element
使用一个方法设置元素的位置和大小。 如果animation为true，那么 width, height, x 和 y 将会同步显示动画效果。
使用一个方法设置元素的位置和大小。 如果animation为true，那么 width, height, x 和 y 将会同步显示动画效果。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • width : Number
    The new width
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setBox( Object box, [Boolean adjust], [Boolean/Object animate] ) : Ext.Element
设置元素的盒子。在另一个元素上使用getBox()可以获得一个盒子对象...
设置元素的盒子。在另一个元素上使用getBox()可以获得一个盒子对象。 如果animate为true，那么width,height,x和都会同步进行动画效果。
参数:
  • box : Object
    The box to fill {x, y, width, height}
  • adjust : Boolean
    (可选) Whether to adjust for box-model issues automatically
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setDisplayed( Mixed value ) : Ext.Element
设置CSS的display属性。 如果指定的值是一个布尔型的true，使用originalDisplay属性 。
设置CSS的display属性。 如果指定的值是一个布尔型的true，使用originalDisplay属性 。
参数:
  • value : Mixed
    Boolean value to display the element using its default display, or a string to set the display directly.
返回值:
  • Ext.Element
    this
 Element
setHeight( Number height, [Boolean/Object animate] ) : Ext.Element
设置元素的高度
设置元素的高度
参数:
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setLeft( String left ) : Ext.Element
直接使用CSS样式设置元素左边的位置 (代替setX)。
直接使用CSS样式设置元素左边的位置 (代替setX)。
参数:
  • left : String
    The left CSS property value
返回值:
  • Ext.Element
    this
 Element
setLeftTop( String left, String top ) : Ext.Element
快速设置left和top位置，添加默认单位
快速设置left和top位置，添加默认单位
参数:
  • left : String
    The left CSS property value
  • top : String
    The top CSS property value
返回值:
  • Ext.Element
    this
 Element
setLocation( Number x, Number y, [Boolean/Object animate] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
使用页面坐标设置元素的位置，忽略元素是如何定位的。 元素必须是DOM树的一部分，拥有页面坐标 (display:none 或者未被添加的元素将返回false)。
参数:
  • x : Number
    X value for new position (coordinates are page-based)
  • y : Number
    Y value for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setOpacity( Float opacity, [Boolean/Object animate] ) : Ext.Element
设置此元素的不透明度
设置此元素的不透明度
参数:
  • opacity : Float
    The new opacity. 0 = transparent, .5 = 50% visibile, 1 = fully visible, etc
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setPositioning( Object posCfg ) : Ext.Element
使用getPositioning()方法返回的对象设置定位。
使用getPositioning()方法返回的对象设置定位。
参数:
  • posCfg : Object
返回值:
  • Ext.Element
    this
 Element
setRegion( Ext.lib.Region region, [Boolean/Object animate] ) : Ext.Element
设置元素的位置并调整指定区域的大小。 如果animation为true，那么width,height,x和y将...
设置元素的位置并调整指定区域的大小。 如果animation为true，那么width,height,x和y将同时显示动画效果。
参数:
  • region : Ext.lib.Region
    The region to fill
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setRight( String right ) : Ext.Element
设置元素的CSS右边样式。
设置元素的CSS右边样式。
参数:
  • right : String
    右边的CSS属性值
返回值:
  • Ext.Element
    this
 Element
setSize( Number width, Number height, [Boolean/Object animate] ) : Ext.Element
设置元素的大小。如果animation为true，宽度和高度将同时进行动画效果。
设置元素的大小。如果animation为true，宽度和高度将同时进行动画效果。
参数:
  • width : Number
    The new width
  • height : Number
    The new height
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setStyle( String/Object property, [String value] ) : Ext.Element
包装方法，用来设置样式属性，也可以使用单个的对象作为参数以设置多个样式。
包装方法，用来设置样式属性，也可以使用单个的对象作为参数以设置多个样式。
参数:
  • property : String/Object
    The style property to be set, or an object of multiple styles.
  • value : String
    (可选) The value to apply to the given property, or null if an object was passed.
返回值:
  • Ext.Element
    this
 Element
setTop( String top ) : Ext.Element
直接使用CSS样式设置元素的顶部位置 (替代setY)。
直接使用CSS样式设置元素的顶部位置 (替代setY)。
参数:
  • top : String
    The top CSS property value
返回值:
  • Ext.Element
    this
 Element
setVisibilityMode( visMode Element.VISIBILITY ) : Ext.Element
设置此元素的可见模式。 当调用setVisible()方法时 ，将会使用此方法来决定设置visibility参数还是display参数。
设置此元素的可见模式。 当调用setVisible()方法时 ，将会使用此方法来决定设置visibility参数还是display参数。
参数:
  • Element.VISIBILITY : visMode
    or Element.DISPLAY
返回值:
  • Ext.Element
    this
 Element
setVisible( Boolean visible, [Boolean/Object animate] ) : Ext.Element
设置此元素的可见性 (see details)。 如果visibilityMode被设置到了Element.DISPLAY...
设置此元素的可见性 (see details)。 如果visibilityMode被设置到了Element.DISPLAY， 将会使用display参数来隐藏元素，否则使用visibility参数。 默认使用visibility参数来显示和隐藏元素。
参数:
  • visible : Boolean
    Whether the element is visible
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setWidth( Number width, [Boolean/Object animate] ) : Ext.Element
设置此元素的宽度
设置此元素的宽度
参数:
  • width : Number
    The new width
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setX( Number The, [Boolean/Object animate] ) : Ext.Element
使用基于页面的坐标设置元素的X位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用基于页面的坐标设置元素的X位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • The : Number
    X position of the element
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setXY( Array pos, [Boolean/Object animate] ) : Ext.Element
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标...
使用页面坐标设置元素的位置，忽略元素当前的位置。 元素必须是DOM树的一部分，并且有页面坐标 (display:none或者没有添加元素时返回false)。
参数:
  • pos : Array
    Contains X & Y [x, y] values for new position (coordinates are page-based)
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setY( Number The, [Boolean/Object animate] ) : Ext.Element
设置元素的Y位置，基于页面坐标。 元素必须是DOM树的一部分并且有页面坐标...
设置元素的Y位置，基于页面坐标。 元素必须是DOM树的一部分并且有页面坐标 (display:none 或者没有被添加的元素将返回false)。
参数:
  • The : Number
    Y position of the element
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
setZIndex( Number zindex ) : this
设置当前层的z-index，并计算阴影和衬垫的z-index。 层的z-index将会自动增加，比所传递进来的值大2，所以它总是显示在任何阴影...
设置当前层的z-index，并计算阴影和衬垫的z-index。 层的z-index将会自动增加，比所传递进来的值大2，所以它总是显示在任何阴影 和衬垫之上(阴影元素，如果存在，将被指定为z-index + 1； 衬垫元素，如果存在，将被指定为z-index，而不做更改)。
参数:
  • zindex : Number
    The new z-index to set
返回值:
  • this
    The Layer
 Layer
show( [Boolean/Object animate] ) : Ext.Element
显示当前元素---使用显示模式来决定使用"display"或者"visibility"属性。 参见setVisible 。
显示当前元素---使用显示模式来决定使用"display"或者"visibility"属性。 参见setVisible 。
参数:
  • animate : Boolean/Object
    (可选) true for the default animation or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
swallowEvent( String eventName, [Boolean preventDefault] ) : Ext.Element
阻止指定的事件进行冒泡，并可以选择阻止默认的处理
阻止指定的事件进行冒泡，并可以选择阻止默认的处理
参数:
  • eventName : String
  • preventDefault : Boolean
    (可选) 设者为它true将同时阻止默认的处理
返回值:
  • Ext.Element
    this
 Element
toggle( [Boolean/Object animate] ) : Ext.Element
固定元素的visibility 或者 display，取决于visibility模式。
固定元素的visibility 或者 display，取决于visibility模式。
参数:
  • animate : Boolean/Object
    (可选) True for the default animation, or a standard Element animation config object
返回值:
  • Ext.Element
    this
 Element
toggleClass( String className ) : Ext.Element
在当前元素上固定指定的CSS类 (如果已经存在，先删除之，否则添加它)。
在当前元素上固定指定的CSS类 (如果已经存在，先删除之，否则添加它)。
参数:
  • className : String
    The CSS class to toggle
返回值:
  • Ext.Element
    this
 Element
translatePoints( Number/Array x, [Number y] ) : Object
将传递进来的元素的页面坐标解析成left/top css值
将传递进来的元素的页面坐标解析成left/top css值
参数:
  • x : Number/Array
    The page x or an array containing [x, y]
  • y : Number
    (可选) The page y, required if x is not an array
返回值:
  • Object
    一个包含left和top属性的对象。例如：{left: (value), top: (value)}
 Element
un( String eventName, Function fn ) : Ext.Element
从当前元素上删除一个事件处理器 (removeListener的缩写)。
从当前元素上删除一个事件处理器 (removeListener的缩写)。
参数:
  • eventName : String
    the type of event to remove
  • fn : Function
    the method the event invokes
返回值:
  • Ext.Element
    this
 Element
unclip() : Ext.Element
将剪裁（溢出）返回到调用clip()之前的状态
将剪裁（溢出）返回到调用clip()之前的状态
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
unmask() : void
删除一个之前应用的遮罩。
删除一个之前应用的遮罩。
参数:
  • 无.
返回值:
  • void
 Element
unselectable() : Ext.Element
禁止当前元素被选中 (为跨浏览器做了规范化处理)
禁止当前元素被选中 (为跨浏览器做了规范化处理)
参数:
  • 无.
返回值:
  • Ext.Element
    this
 Element
up( String selector, [Number/Mixed maxDepth] ) : Ext.Element
沿着dom向上回溯，查找与传递进来的简单选择器相匹配的父节点 (例如div.some-class或者span:first-child)...
沿着dom向上回溯，查找与传递进来的简单选择器相匹配的父节点 (例如div.some-class或者span:first-child)。 这是findParentNode()方法的快捷方式， 此方法总是返回一个Ext.Element。
参数:
  • selector : String
    The simple selector to test
  • maxDepth : Number/Mixed
    (可选) The max depth to search as a number or element (默认值为 10 || document.body)
返回值:
  • Ext.Element
    The matching DOM node (or null if no match was found)
 Element
update( String html, [Boolean loadScripts], [Function callback] ) : Ext.Element
更新当前元素的innerHTML，可选择查找和处理脚本
更新当前元素的innerHTML，可选择查找和处理脚本
参数:
  • html : String
    The new HTML
  • loadScripts : Boolean
    (可选) True to look for and process scripts (默认值为 false)
  • callback : Function
    (可选) For async script loading you can be notified when the update completes
返回值:
  • Ext.Element
    this
 Element
wrap( [Object config], [Boolean returnDom] ) : HTMLElement/Element
使用另一个元素创建并包装当前元素
使用另一个元素创建并包装当前元素
参数:
  • config : Object
    (可选) 用来包装元素的DomHelper元素配置对象，或者是一个空的div时，此值为null
  • returnDom : Boolean
    (可选) 设置为true时将返回原始的DOM元素而不是Ext.Element
返回值:
  • HTMLElement/Element
    The newly created wrapper element
 Element

公共事件

该类没有公共事件。


ContainerLayout
    AnchorLayout
      AbsoluteLayout

Class Ext.layout.AbsoluteLayout

包: | Ext.layout
所在文件: | AbsoluteLayout.js
Class: | AbsoluteLayout
继承自: | AnchorLayout

继承Ext.layout.AnchorLayout 的锚定行为，并且添加了x/y定位的能力，它使用标准的x和y配置选项。

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    FitLayout
      Accordion

Class Ext.layout.Accordion

包: | Ext.layout
所在文件: | AccordionLayout.js
Class: | Accordion
继承自: | FitLayout

这是一种可以包含多个panel的，可折叠式的布局， 在任意时刻只能打开一个panel。 每个panel都有内置的展开/折叠功能。 该类是被设计用来继承的，或者通过layout:'accordion' Ext.Container.layout 配置项来创建，一般情况下不需要通过new关键字直接创建。

注意：当通过配置项创建一个布局时， 布局特有的属性必须通过Ext.Container.layoutConfig 配置项传递进来，然后它将在内部被应用到布局中。 示例用法:

var accordion = new Ext.Panel({
    title: 'Accordion Layout',
    layout:'accordion',
    defaults: {
        //应用到每个包含的panel
        bodyStyle: 'padding:15px'
    },
    layoutConfig: {
        // layout-specific configs go here
        titleCollapse: false,
        animate: true,
        activeOnTop: true
    },
    items: [{
        title: 'Panel 1',
        html: '<p>Panel content!</p>'
    },{
        title: 'Panel 2',
        html: '<p>Panel content!</p>'
    },{
        title: 'Panel 3',
        html: '<p>Panel content!</p>'
    }]
});

配置属性

配置属性 |  | 所在类
 | activeOnTop : Boolean 如果为true，当panel展开时，将它调整为容器的第一项， 为false时... 如果为true，当panel展开时，将它调整为容器的第一项， 为false时，保持panel在渲染时的顺序。 该选项不能与"animate:true"协同工作 (默认值为 false). | Accordion
 | animate : Boolean 如果为true，当包含的panel在收缩/展开时具有滑动效果， 如果为... 如果为true，当包含的panel在收缩/展开时具有滑动效果， 如果为false，则直接打开和关闭，没有动画效果(默认值为 false)。 注意：如需要为每个包含的panel定义不同的配置，请在layout层将此项设置为undefined。 | Accordion
 | autoWidth : Boolean 如果为true，将所包含的每个项目的宽度设置为'auto'， 如果为false，使用项目当前的宽度(默认值为 true)。 | Accordion
 | collapseFirst : Boolean 如果为true，保证收缩/展开触发按钮总是第一个被渲染 在所包含... 如果为true，保证收缩/展开触发按钮总是第一个被渲染 在所包含panel标题栏的任何其它按钮的左侧， 如果为false，最后一个渲染它(默认值为 false). | Accordion
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | fill : Boolean 如果为true，调整活动项的高度来填满容器的有效空间， 如果为... 如果为true，调整活动项的高度来填满容器的有效空间， 如果为false，使用项目当前的高度，如果没有特别设置则使用自动高度(默认值为 true)。 | Accordion
 | hideCollapseTool : Boolean 如果为true，隐藏包含panel的折叠/展开触发按钮， 如果为false，显示他们(默认值为 false)... 如果为true，隐藏包含panel的折叠/展开触发按钮， 如果为false，显示他们(默认值为 false)。 当设置为true时，需要同时设置 titleCollapse 为true。 | Accordion
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout
 | sequence : Boolean 实验性参数。 如果animate参数被设置为true， 该选项将导致每个动画效果按顺序执行。 | Accordion
 | titleCollapse : Boolean 如果为true，允许在每个包含panel的标题栏任意地方点击时展开/收缩面板， 为false时，只有在点击按钮时才会触发展开/折叠动作... 如果为true，允许在每个包含panel的标题栏任意地方点击时展开/收缩面板， 为false时，只有在点击按钮时才会触发展开/折叠动作 (默认值为 true)。 当设置false时， hideCollapseTool 也应该同时设为false。 | Accordion

公共属性

Property |  | 所在类
 | activeItem : Ext.Component 一个到Ext.Component 当前活动项的引用。 例如... 一个到Ext.Component 当前活动项的引用。 例如，if(myPanel.layout.activeItem.id == 'item-1') { ... }。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 只读属性。 相关布局：Ext.layout.ContainerLayout.activeItem。 | ContainerLayout

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    AnchorLayout

Class Ext.layout.AnchorLayout

包: | Ext.layout
所在文件: | AnchorLayout.js
Class: | AnchorLayout
子类: | AbsoluteLayout, FormLayout
继承自: | ContainerLayout

这是这样一种布局：它使得包含的元素相对于容器的尺寸进行锚定。（译者注：简单理解也就是每个元素占容器尺寸多少比例） 如果容器的大小被调整，所有项目将自动根据它们的锚定规则重新渲染。 该类是被设计用来继承的，或者通过配置layout:'anchor' Ext.Container.layout 来创建，一般情况下不需要直接通过new关键字来创建。

AnchorLayout不包含任何直接的配置选项（继承得来的除外）。 但是，使用AnchorLayout布局的容器可以提供一个锚定布局特有的配置选项：anchorSize。 默认情况下，AnchorLayout将会根据容器自己的尺寸来计算锚定尺寸。 但是，如果指定anchorSize参数，在需要的时候，布局事实上将会使用它作为基础，来计算锚定尺寸， 以允许容器改变大小而不和锚定逻辑相关。

添加到AnchorLayout的项目也可以提供一个锚定布局特有的配置选项：anchor ， 它是一个字符串，包含两个值：水平锚定值和垂直锚定值(例如：'100% 50%')。 这个值告诉布局如何将此项目锚定到容器。 支持如下类型的锚定值：

  • Percentage: 任何处于1到100之间的数值，将被视为一个百分数。 第一个值是项目在容器中占有的宽度百分比，第二个是高度百分比。 例如: '100% 50%' 将会把一个项目渲染成占有容器的全部宽度和1/2的高度。 如果只提供了一个锚定数值， 它将会被假定为宽度值，而高度值将会被默认为auto。
  • Offsets: 任何正数或负数值。 第一个值被视为到容器右边缘的偏移量， 第二个值被视为到容器下边缘的偏移量。 例如：'-50 -100' 将会把一个项目渲染成顶点（x轴位置）在容器整个宽度减去50像素处， （y轴位置）在容器整个高度减去100像素处。 如果只提供了一个锚定值， 它将被视为到右侧的偏移量， 到底部的偏移量将默认为0。
  • Sides: 合法的值是'right' (或 'r') 和 'bottom' (或 'b')。 在渲染时，容器要么定义一个固定的尺寸，要么定义一个anchorSize配置值， 以便这些参数能产生效果。

如需要，锚定值也可以是复合型的。 例如：'-50 75%' 将会将宽度渲染到距离容器右边缘50像素， 高度占容器高度的75%。

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    BorderLayout

Class Ext.layout.BorderLayout

包: | Ext.layout
所在文件: | BorderLayout.js
Class: | BorderLayout
继承自: | ContainerLayout

这是一个多个区块，面向应用的UI布局格式， 它支持多个嵌套的面板，在区域之间有自动分隔栏 ，以及内置的区域收缩/展开操作。 该类是被设计用来继承的，或者通过 layout:'border' Ext.Container.layout 配置项来创建， 一般情况下不需要通过new关键字直接创建。

BorderLayout没有任何直接的配置选项(继承得来的除外)。 所有用来定制BorderLayout的配置参数都在 Ext.layout.BorderLayout.Region和 Ext.layout.BorderLayout.SplitRegion 级中。（译者注：这两个类相当于BorderLayout的一种静态成员类）

一个BorderLayout的区块个数在渲染时是固定的，此后不能添加或删除区块。

示例用法:

var border = new Ext.Panel({
    title: 'Border Layout',
    layout:'border',
    items: [{
        title: 'South Panel',
        region: 'south',
        height: 100,
        minSize: 75,
        maxSize: 250,
        margins: '0 5 5 5'
    },{
        title: 'West Panel',
        region:'west',
        margins: '5 0 0 5',
        cmargins: '5 5 0 5',
        width: 200,
        minSize: 100,
        maxSize: 300
    },{
        title: 'Main Content',
        region:'center',
        margins: '5 5 0 0'
    }]
});

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Class Ext.layout.BorderLayout.Region

包: | Ext.layout
所在文件: | BorderLayout.js
Class: | BorderLayout.Region
子类: | BorderLayout.SplitRegion
继承自: | Object
这是BorderLayout的一个区域，作为布局内部的一个子容器。 每个区域拥有自己的布局，与其它的区域和作为容器的BorderLayout无关， 它可以是任何合法的Ext布局类型。 区域的大小是自动管理的，用户无法改变它--- 如需改变区域大小，参见Ext.layout.BorderLayout.SplitRegion。
这时BorderLayout的一个区域，作为布局内部的一个子容器。 每个区域拥有自己的布局，与其它的区域和作为容器的BorderLayout无关， 它可以是任何合法的Ext布局类型。 区域的大小是自动管理的，用户无法改变它--- 如需改变区域大小，参见Ext.layout.BorderLayout.SplitRegion。

配置属性

配置属性 |  | 所在类
 | animFloat : Boolean 当一个区域处于折叠状态时，如果点击它的分隔栏，区域内部的panel将以 浮动的形式显示出来... 当一个区域处于折叠状态时，如果点击它的分隔栏，区域内部的panel将以 浮动的形式显示出来，当用户鼠标移出此panel时，panel会再次关闭 (当autoHide=false时，如果在外部点击，也是如此)。 设置animFloat参数为false将阻止这些面板在打开/关闭时产生动画效果(默认值为 true)。 | BorderLayout.Region
 | autoHide : Boolean 当区域处于折叠状态时，如果点击分隔栏， 区域内的panel将以浮动的形式被显示出来... 当区域处于折叠状态时，如果点击分隔栏， 区域内的panel将以浮动的形式被显示出来。 如果autoHide为true， 当用户鼠标移出panel时，panel被隐藏。 如果autoHide为false，panel将会一直显示，直到用户在panel外部点击才隐藏(默认值为 true)。 | BorderLayout.Region
 | cmargins : Object 一个包含空白区域尺寸的对象， 它被应用到Region的折叠对象， 格式是... 一个包含空白区域尺寸的对象， 它被应用到Region的折叠对象， 格式是：{left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} （译者注：当一个区域折叠时，它还是占据一定的宽度和高度，这个参数就是来描述 折叠时所占区域里面的空白大小。这些参数粒度比较细，只有在需要对某个区域进行精细 的控制时才用到它们，对于常见的应用，不必过于关注。） | BorderLayout.Region
 | collapseMode : String 默认情况下，当点击展开/收缩按钮的时候可折叠的区域将会被折叠， 按钮是被渲染在区域的标题栏工具条中的... 默认情况下，当点击展开/收缩按钮的时候可折叠的区域将会被折叠， 按钮是被渲染在区域的标题栏工具条中的。 可选的情况下，当collapseMode被设置成'mini'时，区域的分隔栏 也会显示一个小的折叠按钮，它位于分隔栏的中间。 在'mini'模式下，区域将会折叠成比普通模式更薄一些的分隔栏。 默认情况下，collapseMode是undefined， 唯一支持的两个值是undefined 和 'mini'。 注意：如果一个可折叠的区域没有标题工具栏， 那么collapseMode必须被设置成'mini'，以便让用户可以折叠此区域， 因为在没有标题工具栏的情况下，工具按钮是不会被渲染的。 | BorderLayout.Region
 | collapsed : Boolean 默认情况下，区域被渲染成可见的。 设置collapsed配置项为... 默认情况下，区域被渲染成可见的。 设置collapsed配置项为true可以将区域渲染成折叠的。 | BorderLayout.Region
 | collapsible : Boolean 如果为true，允许用户折叠此区域(默认值为 false)。 如果该项为true，一个展开/收缩工具按钮将会被渲染到此区域的标题工具栏， 否则按钮不会显示... 如果为true，允许用户折叠此区域(默认值为 false)。 如果该项为true，一个展开/收缩工具按钮将会被渲染到此区域的标题工具栏， 否则按钮不会显示。 注意：需要一个标题栏来显示触发按钮--- 如果没有指定区域的标题， 只有在 collapseMode 被设置成'mini'时，区域才可以被折叠。 | BorderLayout.Region
 | floatable : Boolean 如果为true，当区域处于折叠状态时，允许用户点击区域的分隔栏时 在布局上面浮动显示区域内的panel... 如果为true，当区域处于折叠状态时，允许用户点击区域的分隔栏时 在布局上面浮动显示区域内的panel， 否则强制用户在点击展开按钮时才展开折叠的区域。 (默认值为 true). | BorderLayout.Region
 | margins : Object 一个包含空白区域尺寸的对象， 它被应用到此区域... 一个包含空白区域尺寸的对象， 它被应用到此区域， 格式是： {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} | BorderLayout.Region
 | minHeight : Number 此区域允许的最小高度像素值(默认值为 50)。 | BorderLayout.Region
 | minWidth : Number 此区域允许的最小像素值(默认值为 50)。 | BorderLayout.Region
 | split : Boolean 如果为true，在与相邻的区域之间显示一个 Ext.SplitBar ，让用户可以动态地... 如果为true，在与相邻的区域之间显示一个 Ext.SplitBar ， 让用户可以动态地改变区域的大小(默认值为 false)。 当split == true时，一般情况下需要指定minSize和maxSize参数， 以便BoxComponent可以重绘此区域。 这些参数不是BoxComponent本身的参数， 而是仅仅在这个类（译者注：指BorderLayout.Region）中使用。 | BorderLayout.Region

公共属性

Property |  | 所在类
 | isCollapsed : Boolean 在区域被折叠时为true。只读属性。 | BorderLayout.Region
 | position : String 此区域布局的位置(north, south, east, west 或 center)。只读属性。 | BorderLayout.Region

公共方法

Method 所在类
BorderLayout.Region( Layout layout, Object config, String position )
创建一个新的区域。
创建一个新的区域。
参数:
  • layout : Layout
    任何Ext合法的布局类
  • config : Object
    配置选项
  • position : String
    区域的位置，合法值有: north, south, east, west 和 center. 每个BorderLayout必须有一个center区域，以便容纳主要的内容--- 所有其它的区域都是可选的。 （译者注：注意这段话，也就是说使用BorderLayout这种布局风格时，必须有'center'区域。）
返回值:
BorderLayout.Region
getMargins() : Object
返回包含此区域当前的空白区域尺寸数据的对象。 如果区域被折叠， 将会返回cmargins(collapsed margins)值...
返回包含此区域当前的空白区域尺寸数据的对象。 如果区域被折叠， 将会返回cmargins(collapsed margins)值， 否则返回margin值。
参数:
  • 无.
返回值:
  • Object
    一个包含空白数值的对象： {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)}
 BorderLayout.Region
getMinHeight() : Number
返回此区域允许的最小高度。
返回此区域允许的最小高度。
参数:
  • 无.
返回值:
  • Number
    最小高度
 BorderLayout.Region
getMinWidth() : Number
返回此区域允许的最小宽度。
返回此区域允许的最小宽度。
参数:
  • 无.
返回值:
  • Number
    最小宽度
 BorderLayout.Region
getSize() : Object
返回此区域当前的尺寸。 如果区域处于折叠状态，将返回collapsedEl对象的尺寸， 或者返回区域内panel的尺寸...
返回此区域当前的尺寸。 如果区域处于折叠状态，将返回collapsedEl对象的尺寸， 或者返回区域内panel的尺寸。
参数:
  • 无.
返回值:
  • Object
    一个包含元素尺寸的对象： {width: (element width), height: (element height)}
 BorderLayout.Region
isVisible() : Boolean
如果次区域当前可见，返回true，否则返回false。
如果次区域当前可见，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 BorderLayout.Region
setPanel( Ext.Panel panel ) : void
设置指定的panel作为此区域的容器元素。
设置指定的panel作为此区域的容器元素。
参数:
  • panel : Ext.Panel
    新的panel
返回值:
  • void
 BorderLayout.Region

公共事件

该类没有公共事件。


BorderLayout.Region
    BorderLayout.SplitRegion

Class Ext.layout.BorderLayout.SplitRegion

包: | Ext.layout
所在文件: | BorderLayout.js
Class: | BorderLayout.SplitRegion
继承自: | BorderLayout.Region
这是BorderLayout区域类的一个特殊类型， 它拥有一个内置的 Ext.SplitBar 让用户可以改变区域大小。
这是BorderLayout区域类的一个特殊类型， 它拥有一个内置的 Ext.SplitBar 让用户可以改变区域大小。

配置属性

配置属性 |  | 所在类
 | animFloat : Boolean 当一个区域处于折叠状态时，如果点击它的分隔栏，区域内部的panel将以 浮动的形式显示出来... 当一个区域处于折叠状态时，如果点击它的分隔栏，区域内部的panel将以 浮动的形式显示出来，当用户鼠标移出此panel时，panel会再次关闭 (当autoHide=false时，如果在外部点击，也是如此)。 设置animFloat参数为false将阻止这些面板在打开/关闭时产生动画效果(默认值为 true)。 | BorderLayout.Region
 | autoHide : Boolean 当区域处于折叠状态时，如果点击分隔栏， 区域内的panel将以浮动的形式被显示出来... 当区域处于折叠状态时，如果点击分隔栏， 区域内的panel将以浮动的形式被显示出来。 如果autoHide为true， 当用户鼠标移出panel时，panel被隐藏。 如果autoHide为false，panel将会一直显示，直到用户在panel外部点击才隐藏(默认值为 true)。 | BorderLayout.Region
 | cmargins : Object 一个包含空白区域尺寸的对象， 它被应用到Region的折叠对象， 格式是... 一个包含空白区域尺寸的对象， 它被应用到Region的折叠对象， 格式是：{left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} （译者注：当一个区域折叠时，它还是占据一定的宽度和高度，这个参数就是来描述 折叠时所占区域里面的空白大小。这些参数粒度比较细，只有在需要对某个区域进行精细 的控制时才用到它们，对于常见的应用，不必过于关注。） | BorderLayout.Region
 | collapseMode : String 默认情况下，当点击展开/收缩按钮的时候可折叠的区域将会被折叠， 按钮是被渲染在区域的标题栏工具条中的... 默认情况下，当点击展开/收缩按钮的时候可折叠的区域将会被折叠， 按钮是被渲染在区域的标题栏工具条中的。 可选的情况下，当collapseMode被设置成'mini'时，区域的分隔栏 也会显示一个小的折叠按钮，它位于分隔栏的中间。 在'mini'模式下，区域将会折叠成比普通模式更薄一些的分隔栏。 默认情况下，collapseMode是undefined， 唯一支持的两个值是undefined 和 'mini'。 注意：如果一个可折叠的区域没有标题工具栏， 那么collapseMode必须被设置成'mini'，以便让用户可以折叠此区域， 因为在没有标题工具栏的情况下，工具按钮是不会被渲染的。 | BorderLayout.Region
 | collapsed : Boolean 默认情况下，区域被渲染成可见的。 设置collapsed配置项为... 默认情况下，区域被渲染成可见的。 设置collapsed配置项为true可以将区域渲染成折叠的。 | BorderLayout.Region
 | collapsible : Boolean 如果为true，允许用户折叠此区域(默认值为 false)。 如果该项为true，一个展开/收缩工具按钮将会被渲染到此区域的标题工具栏， 否则按钮不会显示... 如果为true，允许用户折叠此区域(默认值为 false)。 如果该项为true，一个展开/收缩工具按钮将会被渲染到此区域的标题工具栏， 否则按钮不会显示。 注意：需要一个标题栏来显示触发按钮--- 如果没有指定区域的标题， 只有在 collapseMode 被设置成'mini'时，区域才可以被折叠。 | BorderLayout.Region
 | collapsibleSplitTip : String 当用户鼠标移过一个可折叠区域的分隔栏时显示的小提示 (默认值为... 当用户鼠标移过一个可折叠区域的分隔栏时显示的小提示 (默认值为 "Drag to resize. Double click to hide.")。 只有在 useSplitTips 为 true 时才应用此配置。 | BorderLayout.SplitRegion
 | floatable : Boolean 如果为true，当区域处于折叠状态时，允许用户点击区域的分隔栏时 在布局上面浮动显示区域内的panel... 如果为true，当区域处于折叠状态时，允许用户点击区域的分隔栏时 在布局上面浮动显示区域内的panel， 否则强制用户在点击展开按钮时才展开折叠的区域。 (默认值为 true). | BorderLayout.Region
 | margins : Object 一个包含空白区域尺寸的对象， 它被应用到此区域... 一个包含空白区域尺寸的对象， 它被应用到此区域， 格式是： {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} | BorderLayout.Region
 | minHeight : Number 此区域允许的最小高度像素值(默认值为 50)。 | BorderLayout.Region
 | minWidth : Number 此区域允许的最小像素值(默认值为 50)。 | BorderLayout.Region
 | split : Boolean 如果为true，在与相邻的区域之间显示一个 Ext.SplitBar ，让用户可以动态地... 如果为true，在与相邻的区域之间显示一个 Ext.SplitBar ， 让用户可以动态地改变区域的大小(默认值为 false)。 当split == true时，一般情况下需要指定minSize和maxSize参数， 以便BoxComponent可以重绘此区域。 这些参数不是BoxComponent本身的参数， 而是仅仅在这个类（译者注：指BorderLayout.Region）中使用。 | BorderLayout.Region
 | splitTip : String 当用户鼠标移过一个不可折叠区域的分隔栏上时显示的小提示(默认值为 "Drag to resize.")。 只有在... 当用户鼠标移过一个不可折叠区域的分隔栏上时显示的小提示(默认值为 "Drag to resize.")。 只有在useSplitTips 为 true时使用此项。 | BorderLayout.SplitRegion
 | useSplitTips : Boolean 如果为true，当鼠标移过区域的分隔栏时显示一个小提示(默认值为 false)。 tooltip的文本值要么是... 如果为true，当鼠标移过区域的分隔栏时显示一个小提示(默认值为 false)。 tooltip的文本值要么是splitTip ，或者是collapsibleSplitTip 。 | BorderLayout.SplitRegion

公共属性

Property |  | 所在类
 | isCollapsed : Boolean 在区域被折叠时为true。只读属性。 | BorderLayout.Region
 | position : String 此区域布局的位置(north, south, east, west 或 center)。只读属性。 | BorderLayout.Region

公共方法

Method 所在类
BorderLayout.SplitRegion( Layout layout, Object config, String position )
创建一个新的SplitRegion。
创建一个新的SplitRegion。
参数:
  • layout : Layout
    可以是任何Ext合法的布局类
  • config : Object
    配置选项
  • position : String
    区域的位置，合法值有: north, south, east, west 和 center。 每个BorderLayout必须有一个center区域，以便容纳主要的内容--- 所有其它的区域都是可选的。 （译者注：注意这段话，也就是说使用BorderLayout这种布局风格时，必须有'center'区域。）
返回值:
BorderLayout.SplitRegion
getMargins() : Object
返回包含此区域当前的空白区域尺寸数据的对象。 如果区域被折叠， 将会返回cmargins(collapsed margins)值...
返回包含此区域当前的空白区域尺寸数据的对象。 如果区域被折叠， 将会返回cmargins(collapsed margins)值， 否则返回margin值。
参数:
  • 无.
返回值:
  • Object
    一个包含空白数值的对象： {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)}
 BorderLayout.Region
getMinHeight() : Number
返回此区域允许的最小高度。
返回此区域允许的最小高度。
参数:
  • 无.
返回值:
  • Number
    最小高度
 BorderLayout.Region
getMinWidth() : Number
返回此区域允许的最小宽度。
返回此区域允许的最小宽度。
参数:
  • 无.
返回值:
  • Number
    最小宽度
 BorderLayout.Region
getSize() : Object
返回此区域当前的尺寸。 如果区域处于折叠状态，将返回collapsedEl对象的尺寸， 或者返回区域内panel的尺寸...
返回此区域当前的尺寸。 如果区域处于折叠状态，将返回collapsedEl对象的尺寸， 或者返回区域内panel的尺寸。
参数:
  • 无.
返回值:
  • Object
    一个包含元素尺寸的对象： {width: (element width), height: (element height)}
 BorderLayout.Region
getSplitBar() : Ext.SplitBar
返回此区域使用的分隔栏的引用。
返回此区域使用的分隔栏的引用。
参数:
  • 无.
返回值:
  • Ext.SplitBar
    分隔栏
 BorderLayout.SplitRegion
isVisible() : Boolean
如果次区域当前可见，返回true，否则返回false。
如果次区域当前可见，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 BorderLayout.Region
setPanel( Ext.Panel panel ) : void
设置指定的panel作为此区域的容器元素。
设置指定的panel作为此区域的容器元素。
参数:
  • panel : Ext.Panel
    新的panel
返回值:
  • void
 BorderLayout.Region

公共事件

该类没有公共事件。


ContainerLayout
    FitLayout
      CardLayout

Class Ext.layout.CardLayout

包: | Ext.layout
所在文件: | CardLayout.js
Class: | CardLayout
继承自: | FitLayout

该布局包含多个panel，每一个都自适应到容器， 在同一时刻只有一个panel是可见的。 这种布局风格最常用于安装向导、标签式浏览等等。 该类是被设计用来继承的，或者通过layout:'card' Ext.Container.layout 配置项来创建，一般情况下不需要通过new关键字直接创建。

CardLayout的最重要的方法是setActiveItem。 因为一次只显示一个panel， 从一个panel切换到另一个panel的唯一方法是调用setActiveItem方法， 将下一个需要显示的panel的id或者序号传递给它。 布局本身并不提供处理这种导航功能的机制， 所以必须由开发者提供此功能的实现。

以下的示例，演示了一个简单的安装向导。 一个按钮工具条被添加到所包含的panel底部，以提供导航按钮。 按钮将会被一个通用的导航程序类处理---对于这个例子， 由于这个通用的导航程序可能是任何用户相关特殊逻辑， 所以具体实现被省略掉了。 注意，CardLayout的其它用途可能需要一个完全不同的实现（例如标签式的控制）。 对于严谨的实现来说，一个更好的办法是继承CardLayout，来提供所需的特定功能。 示例用法:

var navHandler = function(direction){
    // 这段程序可以包含控制导航步骤所需的业务逻辑。
    // 在需要的时候它将调用setActiveItem方法，管理导航按钮的状态，
    // 处理任何可能需要的逻辑分支，处理可能的操作，像退出或操作完成，等等。
    // 在现实的实现中，一个完整的安装向导实现会非常复杂，它与复杂的需求有关。
    // 可能需要要扩展CardLayout类。
};

var card = new Ext.Panel({
    title: 'Example Wizard',
    layout:'card',
    activeItem: 0, //确保在容器的配置项中设置了当前活动项！
    bodyStyle: 'padding:15px',
    defaults: {
        // applied to each contained panel
        border:false
    },
    // 只是一个例子，一个可能的导航方案，使用按钮
    bbar: [
        {
            id: 'move-prev',
            text: 'Back',
            handler: navHandler.createDelegate(this, [-1]),
            disabled: true
        },
        '->', //贪婪分隔符，这样按钮就被对齐到边界处
        {
            id: 'move-next',
            text: 'Next',
            handler: navHandler.createDelegate(this, [1])
        }
    ],
    // the panels (or "cards") within the layout
    items: [{
        id: 'card-0',
        html: '<h1>Welcome to the Wizard!</h1><p>Step 1 of 3</p>'
    },{
        id: 'card-1',
        html: '<p>Step 2 of 3</p>'
    },{
        id: 'card-2',
        html: '<h1>Congratulations!</h1><p>Step 3 of 3 - Complete</p>'
    }]
});

配置属性

配置属性 |  | 所在类
 | deferredRender : Boolean 如果true，只有在每个包含的项目成为当前活动项时才渲染它， 否则在布局渲染完成后将渲染包含的所有项目(默认值为 false)... 如果true，只有在每个包含的项目成为当前活动项时才渲染它， 否则在布局渲染完成后将渲染包含的所有项目(默认值为 false)。 如果有大量的内容或者大量的重量级的控制器被渲染到panel中， 并且在默认情况下不显示它， 将该选项设置为true可以改善性能。 （译者注：这是一种延迟渲染的实现，在包含的内容多而且复杂的时候建议一定要设置该选项。） | CardLayout
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

Property |  | 所在类
 | activeItem : Ext.Component 一个到Ext.Component 当前活动项的引用。 例如... 一个到Ext.Component 当前活动项的引用。 例如，if(myPanel.layout.activeItem.id == 'item-1') { ... }。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 只读属性。 相关布局：Ext.layout.ContainerLayout.activeItem。 | ContainerLayout

公共方法

Method 所在类
setActiveItem( String/Number item ) : void
设置布局中的当前活动（可见）项。
设置布局中的当前活动（可见）项。
参数:
  • item : String/Number
    需要成为当前活动项的组件的id或序号
返回值:
  • void
 CardLayout

公共事件

该类没有公共事件。


ContainerLayout
    ColumnLayout

Class Ext.layout.ColumnLayout

包: | Ext.layout
所在文件: | ColumnLayout.js
Class: | ColumnLayout
继承自: | ContainerLayout

这是一种特殊的布局格式，用来以多个列的格式创建结构化的布局， 每一列的宽度可以指定为一个百分比或者一个固定的值， 但是高度允许根据内容而改变。 该类是被设计用来继承的，或者通过layout:'column' Ext.Container.layout 配置项来创建， 一般情况下不需要通过new关键字直接创建。

ColumnLayout没有任何直接的配置选项(继承得来的除外)， 但是它实际上支持一个特殊的配置属性columnWidth， 它可以包含到每个添加到ColumnLayout中的panel的配置项中。 在布局决定如何设定每个panel的尺寸时，它将使用columnWidth(如果有)或者每个panel的 width参数。 如果没有为所给的panel指定width或者columnWidth参数， 它将默认使用panel的width（或auto）。

width参数总是被作为像素值， 并且必须是大于等于1的值。 columnWidth参数总是被作为百分比， 并且必须是一个大于0且小于1的十进制数值(例如： .25).

指定一列宽度的基本规则非常简单。 程序对所包含的panel集合进行两轮扫描。 在第一轮扫描中， 所有包含固定宽度或者未指定宽度（auto）的panel将被跳过， 但是它们的宽度将会被从整个容器的宽度中减去。 在第二轮扫描中， 所有有columnWidth配置的panel将会被赋给宽度像素值， 与容器剩余的总宽度成比例。 换句话说，宽度为百分比的panel是被设计用来填充空间的， 这些空间是那些具有固定宽度或者自动宽度的panel剩余的。 因此，当你可以用不同的百分比指定任意数量的列时， columnWidth参数之和必须为1(或100%)， 否则，你的布局可能不会像你所期望的那样渲染。 示例用法:

//所有的列都是百分比---它们加起来必须等于1
var p = new Ext.Panel({
    title: 'Column Layout - Percentage Only',
    layout:'column',
    items: [{
        title: 'Column 1',
        columnWidth: .25
    },{
        title: 'Column 2',
        columnWidth: .6
    },{
        title: 'Column 3',
        columnWidth: .15
    }]
});

// width 和 columnWidth混合参数 --- 所有 columnWidth值加起来必须
// 等于1。第一列将会确切地占有120像素，余下的两
// 列将会填充容器剩余的宽度。
var p = new Ext.Panel({
    title: 'Column Layout - Mixed',
    layout:'column',
    items: [{
        title: 'Column 1',
        width: 120
    },{
        title: 'Column 2',
        columnWidth: .8
    },{
        title: 'Column 3',
        columnWidth: .2
    }]
});

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Class Ext.layout.ContainerLayout

包: | Ext.layout
所在文件: | ContainerLayout.js
Class: | ContainerLayout
子类: | AnchorLayout, BorderLayout, ColumnLayout, FitLayout, TableLayout
继承自: | Object
每一种布局都由一个或多个内置的Ext.Container 组件组成，ContainerLayout类提供Ext中其它所有布局类的基础架构。 ContainerLayout是一个不可见元素，只是为容器提供基本的、必须的逻辑，使之具有布局的功能。 该类是被设计用来继承的，一般情况下不需要使用new关键字来直接创建。

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

Property |  | 所在类
 | activeItem : Ext.Component 一个到Ext.Component 当前活动项的引用。 例如... 一个到Ext.Component 当前活动项的引用。 例如，if(myPanel.layout.activeItem.id == 'item-1') { ... }。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 只读属性。 相关布局：Ext.layout.ContainerLayout.activeItem。 | ContainerLayout

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    FitLayout

Class Ext.layout.FitLayout

包: | Ext.layout
所在文件: | FitLayout.js
Class: | FitLayout
子类: | Accordion, CardLayout
继承自: | ContainerLayout

这是一个基本布局类，包含一个单一的项目，自动扩大，以适应布局的 容器。 该类是被设计用来继承的，或者通过layout:'fit' Ext.Container.layout 配置项来创建，一般情况下不需要通过new关键字直接创建。

FitLayout不包含任何直接的配置项（继承而来的那些除外）。 为了使用FitLayout将一个panel自适应到容器， 简单地在容器上设置layout:'fit'，然后把一个panel添加到其中即可。 如果容器中有多个panel，只有第一个会被显示。 示例用法:

var p = new Ext.Panel({
    title: 'Fit Layout',
    layout:'fit',
    items: {
        title: 'Inner Panel',
        html: '<p>This is the inner panel content</p>',
        border: false
    }
});

配置属性

配置属性 |  | 所在类
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

Property |  | 所在类
 | activeItem : Ext.Component 一个到Ext.Component 当前活动项的引用。 例如... 一个到Ext.Component 当前活动项的引用。 例如，if(myPanel.layout.activeItem.id == 'item-1') { ... }。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 只读属性。 相关布局：Ext.layout.ContainerLayout.activeItem。 | ContainerLayout

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    AnchorLayout
      FormLayout

Class Ext.layout.FormLayout

包: | Ext.layout
所在文件: | FormLayout.js
Class: | FormLayout
继承自: | AnchorLayout

这是一个为创建表单特别设计的布局。 该类是被设计用来继承的，或者通过layout:'form' Ext.Container.layout 配置项来创建， 一般情况下不需要通过new关键字直接创建。 但是，当在应用程序中使用时， 通常首选被使用在Ext.form.FormPanel 中（它自动使用FormLayout作为默认的布局）。 Ext.form.FormPanel 提供了内置的加载、校验和提交表单的功能。

注意：当通过配置项创建一个布局时， 布局特有的属性必须通过Ext.Container.layoutConfig 配置项传递进来，然后它将在内部被应用到布局中。 使用FormLayout的容器也可以提供提供如下配置参数，它们是form布局特有的：

  • hideLabels: (Boolean) 如果为true，默认情况下隐藏输入栏的标签(默认值为 false)
  • itemCls: (String) 一个应用到div包装器的CSS类，它包含每个输入栏的标签和输入栏元素（默认的CSS类是'x-form-item'， itemCls配置将会被添加到其中）
  • labelAlign: (String)标签默认的对齐方式。默认值为空字符''，为左对齐。 但是如果指定为'top'，标签将会显示在输入栏的上面。
  • labelPad: (Number)输入栏标签的填充像素值(默认值为 5)。 只有同时指定了labelWidth参数时labelPad才是有效的，否则忽略此参数。
  • labelWidth: (Number) 输入栏默认宽度像素值(默认值为 100)

任何类型的组件都可以被添加到FormLayout布局中， 但是那些继承自Ext.form.Field 的项目还可以提供如下的配置参数，他们是field特有的:

  • clearCls: (String) 应用到特殊的空div的CSS类，该div是直接渲染在每个表单输入栏包装器之后的。 (默认值为 'x-form-clear-left')
  • fieldLabel: (String) 此输入栏的显示的标签文本(默认值为 '')
  • hideLabel: (Boolean) 如果为true，隐藏此输入栏的标签和分隔符（译者注：一般是一个冒号）(默认值为 false).
  • itemCls: (String) 添加到div包装器的CSS类，它包含此输入栏的标签和输入栏元素(默认类是'x-form-item'，itemCls可以添加到其中)。 如果提供itemCls参数，输入栏级的itemCls参数将会覆盖容器级提供的itemCls参数。
  • labelSeparator: (String) 显示在输入栏标签文本后面的分隔符(默认值为 一个冒号':' 或者是布局中labelSeparator 的配置值)。 如果需要隐藏分隔符，可以使用空字符串''。
  • labelStyle: (String) 应用到输入栏标签的CSS样式说明字符串(默认值为 '' 或者是布局中labelStyle的配置值)。
示例用法:

//如果需要显示校验信息，此行必须
Ext.QuickTips.init();

// 当你使用layout:'form'布局创建一个panel的时候，事实上

// 你一般应该使用一个FormPanel，这样可以获得它在的表单方面的功能，

// 因为它已经在内部创建了一个FormLayout。
var form = new Ext.form.FormPanel({
    labelWidth: 75,
    title: 'Form Layout',
    bodyStyle:'padding:15px',
    width: 350,
    labelPad: 10,
    defaultType: 'textfield',
    defaults: {
        // applied to each contained item
        width: 230,
        msgTarget: 'side'
    },
    layoutConfig: {
        // layout-specific configs go here
        labelSeparator: ''
    },
    items: [{
            fieldLabel: 'First Name',
            name: 'first',
            allowBlank: false
        },{
            fieldLabel: 'Last Name',
            name: 'last'
        },{
            fieldLabel: 'Company',
            name: 'company'
        },{
            fieldLabel: 'Email',
            name: 'email',
            vtype:'email'
        }
    ],
    buttons: [{
        text: 'Save'
    },{
        text: 'Cancel'
    }]
});

配置属性

配置属性 |  | 所在类
 | elementStyle : String 应用到此布局中每个输入栏元素的定制CSS样式(默认值为 '')。 | FormLayout
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | labelSeparator : String 显示在每个标签后面的标准分割符(默认值为一个冒号 ':')。 如果需要此布局在默认情况下不显示分隔符，可以指定一个空... 显示在每个标签后面的标准分割符(默认值为一个冒号 ':')。 如果需要此布局在默认情况下不显示分隔符，可以指定一个空字符'' (如果在输入栏这一级设置了labelSeparator的值，他们还是会被显示)。 | FormLayout
 | labelStyle : String 应用到此布局中每个标签的定制CSS样式(默认值为 '')。 | FormLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


ContainerLayout
    TableLayout

Class Ext.layout.TableLayout

包: | Ext.layout
所在文件: | TableLayout.js
Class: | TableLayout
继承自: | ContainerLayout

这种布局让你可以轻松地将内容渲染到一HTML表格中。 总列数可以指定，并且可以使用rowspan和colspan参数来在表格内部创建复杂的布局。 该类是被设计用来继承的，或者通过layout:'table' Ext.Container.layout 配置项来创建， 一般情况下不需要通过new关键字直接创建。

注意：当通过配置项创建一个布局时， 布局特有的属性必须通过Ext.Container.layoutConfig 配置项传递进来，然后它将在内部被应用到布局中。 对于TableLayout的情况，唯一合法的布局配置属性是 columns。 但是，添加到TableLayout的项目可以提供如下配置参数，它们是table布局特有的：

  • rowspan应用到容纳元素的单元格。
  • colspan应用到容纳元素的单元格。
  • cellId一个id属性，应用到容纳元素的单元格。
  • cellCls 一个CSS类名，应用到容纳元素的单元格。

构造一个TableLayout的概念与构造一个标准的HTML表格非常相似。 你简单地添加每个所需要的panel，连同任何特殊的span属性一起，例如被当作特殊的配置参数rowspan和colspan， 它们完全与HTML相对应。 就像你在HTML中所做的那样，你简单地在layoutConfig中指定总列数，然后开始按照自然顺序从左到右、从上到下加入panel， 而不是明确地创建并嵌入行和列。 布局将会根据列数、rowspans和colspans参数，自动计算出如何在表格内部放置每个panel。 就像在HTML中一样，你的rowspans和colspans之和在总的布局中必须是正确的， 否则你将以丢失后面的单元格而告终！ 示例用法:

//以下代码将会创建一个2行3列的表格布局
// with some spanning included.  The basic layout will be:
// +--------+-----------------+
// |   A    |   B             |
// |        |--------+--------|
// |        |   C    |   D    |
// +--------+--------+--------+
var table = new Ext.Panel({
    title: 'Table Layout',
    layout:'table',
    defaults: {
        // applied to each contained panel
        bodyStyle:'padding:20px'
    },
    layoutConfig: {
        // The total column count must be specified here
        columns: 3
    },
    items: [{
        html: '<p>Cell A content</p>',
        rowspan: 2
    },{
        html: '<p>Cell B content</p>',
        colspan: 2
    },{
        html: '<p>Cell C content</p>',
        cellCls: 'highlight'
    },{
        html: '<p>Cell D content</p>'
    }]
});

配置属性

配置属性 |  | 所在类
 | columns : Number 在此布局中，创建表格的总列数。 如果没有指定... 在此布局中，创建表格的总列数。 如果没有指定，所有添加到此布局的panel将会以每列一个的格式被渲染到同一行。 | TableLayout
 | extraCls : String 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则... 一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。 | ContainerLayout
 | renderHidden : Boolean 如果为true，在渲染时隐藏所有包含的元素(默认值为 false)。 | ContainerLayout

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Class Ext.LoadMask

包: | Ext
所在文件: | LoadMask.js
Class: | LoadMask
继承自: | Object
一个简单的工具类，一般用来在加载数据时遮罩住元素。 如果指定了 store 配置选项，遮罩将自动与store的加载进程同步， 并且遮罩元素将被缓存以复用。 对于其它所有元素，当前遮罩将会替换元素Updater的加载提示器， 并且在初始化加载之后销毁。

示例用法:

// Basic mask:
var myMask = new Ext.LoadMask(Ext.getBody(), {msg:"Please wait..."});
myMask.show();

配置属性

配置属性 |  | 所在类
 | msg : String 居中显示的加载消息框内显示的文本 (默认值为 'Loading...') | LoadMask
 | msgCls : String 应用到加载消息元素上的CSS类 (默认值为 "x-mask-loading") | LoadMask
 | removeMask : Boolean 设置为true将创建一个一次性的遮罩，在加载完成之后 被自动销毁... 设置为true将创建一个一次性的遮罩，在加载完成之后 被自动销毁( 对于页面加载非常有用)， 设置为false将存储遮罩元素的引用以便复用 (例如：对于分页数据组件)。 默认为false。 | LoadMask
 | store : Ext.data.Store 可选的Store，遮罩被绑定到其上。 当一个加载请求发出后遮罩被显示，在加载成功... 可选的Store，遮罩被绑定到其上。 当一个加载请求发出后遮罩被显示，在加载成功 或者加载失败时被隐藏。 | LoadMask

公共属性

Property |  | 所在类
 | disabled : Boolean 只读属性。 如果遮罩当前被禁用，返回true， 这样它就不会被显示 (默认值为 false) | LoadMask

公共方法

Method 所在类
LoadMask( Mixed el, Object config )
Create a new LoadMask
Create a new LoadMask
参数:
  • el : Mixed
    The element or DOM node, or its id
  • config : Object
    The config object
返回值:
LoadMask
disable() : void
禁用遮罩，阻止它被显示
禁用遮罩，阻止它被显示
参数:
  • 无.
返回值:
  • void
 LoadMask
enable() : void
启用遮罩，以便显示它。
启用遮罩，以便显示它。
参数:
  • 无.
返回值:
  • void
 LoadMask
hide() : void
隐藏当前的LoadMask
隐藏当前的LoadMask
参数:
  • 无.
返回值:
  • void
 LoadMask
show() : void
将当前LoadMask显示在配置的元素之上。
将当前LoadMask显示在配置的元素之上。
参数:
  • 无.
返回值:
  • void
 LoadMask

公共事件

该类没有公共事件。


Observable
    Component
      BaseItem
        Adapter

Class Ext.menu.Adapter

包: | Ext.menu
所在文件: | Adapter.js
Class: | Adapter
子类: | ColorItem, DateItem
继承自: | BaseItem
一个基本的工具类，可以适配一个非菜单型组件，使它可以被一个菜单项包装起来并添加到菜单中。 该类提供了一个菜单运行时所需的基本的渲染、活动状态管理以及启用/禁用逻辑。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Adapter( Ext.Component component, Object config )
Creates a new Adapter
Creates a new Adapter
参数:
  • component : Ext.Component
    The component being adapted to render into a menu
  • config : Object
    Configuration options
返回值:
Adapter
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BaseItem

Class Ext.menu.BaseItem

包: | Ext.menu
所在文件: | BaseItem.js
Class: | BaseItem
子类: | Adapter, Item, Separator, TextItem
继承自: | Component
渲染到菜单中的所有项目的基类。 BaseItem为所有菜单组件提供基本的渲染、活动状态管理和配置选项共享的功能。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
BaseItem( Object config )
Creates a new BaseItem
Creates a new BaseItem
参数:
  • config : Object
    Configuration options
返回值:
BaseItem
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BaseItem
        Item
          CheckItem

Class Ext.menu.CheckItem

包: | Ext.menu
所在文件: | CheckItem.js
Class: | CheckItem
继承自: | Item
添加一个菜单项，默认包含一个复选框， 但也可以是一个radio组的一部分。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
checked : Boolean
将当前复选框初始化成选中状态(默认值为 false)。 注意：如果当前复选框是radio组的一部分(group = true)...
将当前复选框初始化成选中状态(默认值为 false)。 注意：如果当前复选框是radio组的一部分(group = true) 只有组中最后一项初始化时设置checked = true才会被渲染成选中状态。
CheckItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
group : String
所有具有相同组名的选择项，都会被自动分组到一个单选按钮组...
所有具有相同组名的选择项，都会被自动分组到一个单选按钮组(默认值为 '')
CheckItem
groupClass : String
radio组中选择项使用的CSS类(默认值为 "x-menu-group-item")
CheckItem
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
href : String
底层锚定的链接所使用的href属性(默认值为 '#').
Item
hrefTarget : String
底层锚定的链接所使用的target属性(默认值为 '').
Item
icon : String
显示在此项目中的图标路径 (默认值为 Ext.BLANK_IMAGE_URL)。 如果指定了icon， 则不应该指定...
显示在此项目中的图标路径 (默认值为 Ext.BLANK_IMAGE_URL)。 如果指定了icon， 则不应该指定 iconCls。
Item
iconCls : String
一个CSS类，指定了一个背景图片，将被用作此项目的图标...
一个CSS类，指定了一个背景图片，将被用作此项目的图标 (默认值为 '')。 如果指定了iconCls，就不应该指定 icon。
Item
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
选择项使用的默认CSS样式(默认值为 "x-menu-item x-menu-check-item")
CheckItem
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
要么是一个 Ext.menu.Menu 实例，或者 Ext.menu.Menu 使用的配置对象，在当前项目被激活时用作子菜单。
要么是一个 Ext.menu.Menu 实例，或者 Ext.menu.Menu 使用的配置对象，在当前项目被激活时用作子菜单。
Item
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
showDelay : Number
显示此项目时等待（延迟）的毫秒数(默认值为 200)
Item
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
此项目中显示的文本(默认值为 '').
Item
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
CheckItem( Object config )
Creates a new CheckItem
Creates a new CheckItem
参数:
  • config : Object
    Configuration options
返回值:
CheckItem
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
checkHandler( Ext.menu.CheckItem this, Boolean checked ) : void
当选择发生变化时的事件处理器。 默认情况下，没有定义此函数，但是如果提供一个实现...
当选择发生变化时的事件处理器。 默认情况下，没有定义此函数，但是如果提供一个实现，当选择发生变化时它将被自动调用。
参数:
  • this : Ext.menu.CheckItem
  • checked : Boolean
    The checked value that was set
返回值:
  • void
 CheckItem
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setChecked( Boolean checked, [Boolean suppress事件] ) : void
设置当前项目的选择状态
设置当前项目的选择状态
参数:
  • checked : Boolean
    The new checked value
  • suppress事件 : Boolean
    (可选) True to prevent the checkchange event from firing (默认值为 false)
返回值:
  • void
 CheckItem
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setIconClass( String cls ) : void
设置应用到项目图标元素的CSS样式
设置应用到项目图标元素的CSS样式
参数:
  • cls : String
    The CSS class to apply
返回值:
  • void
 Item
setText( String text ) : void
设置显示在当前菜单项中的文本
设置显示在当前菜单项中的文本
参数:
  • text : String
    显示的文本
返回值:
  • void
 Item
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforecheckchange : ( Ext.menu.CheckItem this, Boolean checked )
在设置新的选择值之前触发， 提供一个机会在需要的时候取消操作。
在设置新的选择值之前触发， 提供一个机会在需要的时候取消操作。
监听器将会以如下的参数调用:
  • this : Ext.menu.CheckItem
  • checked : Boolean
    The new checked value that will be set
 CheckItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
checkchange : ( Ext.menu.CheckItem this, Boolean checked )
当设置了选中的值时触发
当设置了选中的值时触发
监听器将会以如下的参数调用:
  • this : Ext.menu.CheckItem
  • checked : Boolean
    The checked value that was set
 CheckItem
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BaseItem
        Adapter
          ColorItem

Class Ext.menu.ColorItem

包: | Ext.menu
所在文件: | ColorItem.js
Class: | ColorItem
继承自: | Adapter
一个菜单项，包装了 Ext.ColorPalette组件。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | palette : Ext.ColorPalette Ext.ColorPalette对象 | ColorItem
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
ColorItem( Object config )
Creates a new ColorItem
Creates a new ColorItem
参数:
  • config : Object
    Configuration options
返回值:
ColorItem
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Menu
      ColorMenu

Class Ext.menu.ColorMenu

包: | Ext.menu
所在文件: | ColorMenu.js
Class: | ColorMenu
继承自: | Menu
包含一个 Ext.menu.ColorItem 组件的菜单(提供一个基本的颜色选择器)。

配置属性

配置属性 |  | 所在类
 | allowOtherMenus : Boolean 为true时，将允许在同一时刻显示多个菜单(默认值为 false) | Menu
 | defaultAlign : String 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关... 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关 (默认值为 "tl-bl?") | Menu
 | defaults : Object 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目... 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目。 defaults配置可以包含任何数量的键/值对属性，它们将被添加到 每个项目中，对于菜单中的所有项目类型来说，它们必须是合法的。 | Menu
 | ignoreParentClicks : Boolean 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 | Menu
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | minWidth : Number 菜单最小宽度像素值(默认值为 120) | Menu
 | shadow : Boolean/String 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") | Menu
 | subMenuAlign : String 应用到当前菜单的子菜单的Ext.Element.alignTo 锚定位置值 (默认值为 "tl-tr?") | Menu

公共属性

Property |  | 所在类
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu
 | palette : ColorPalette ColorMenu中的Ext.ColorPalette 实例 | ColorMenu

公共方法

Method 所在类
ColorMenu( Object config )
Creates a new ColorMenu
Creates a new ColorMenu
参数:
  • config : Object
    Configuration options
返回值:
ColorMenu
add( Mixed args ) : Ext.menu.Item
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的...
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的:
  • 任何基于Ext.menu.BaseItem 的菜单项对象。
  • 一个HTMLElement对象，它将被转化成一个菜单项
  • 一个菜单项配置对象，它将被创建为一个新的菜单项
  • 一个字符串，可以是'-'或者'separator'，用来添加一个菜单分割栏， 或者它可以被转化成一个 Ext.menu.TextItem 并被添加进来
Usage:
// Create the menu
var menu = new Ext.menu.Menu();

// Create a menu item to add by reference
var menuItem = new Ext.menu.Item({ text: 'New Item!' });

// Add a bunch of items at once using different methods.
// Only the last item added will be returned.
var item = menu.add(
    menuItem,                // add existing item by ref
    'Dynamic Item',          // new TextItem
    '-',                     // new separator
    { text: 'Config Item' }  // new item by config
);
参数:
  • args : Mixed
    一个或多个菜单项、菜单项配置，或者其它可以被转化成菜单项的对象
返回值:
  • Ext.menu.Item
    被添加的菜单项，如果添加了多个，则为最后一项
Menu
addElement( Mixed el ) : Ext.menu.Item
添加一个Ext.Element 对象到菜单中。
添加一个Ext.Element 对象到菜单中。
参数:
  • el : Mixed
    需要添加的元素或者DOM节点，或者它的id
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addItem( Ext.menu.Item item ) : Ext.menu.Item
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
参数:
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addMenuItem( Object config ) : Ext.menu.Item
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
参数:
  • config : Object
    一个MenuItem配置对象
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addSeparator() : Ext.menu.Item
向菜单中添加一个分隔栏
向菜单中添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.menu.Item
    所添加的菜单项
Menu
addText( String text ) : Ext.menu.Item
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
参数:
  • text : String
    显示在菜单项中的文本
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
destroy() : void
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
参数:
  • 无.
返回值:
  • void
 Menu
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getEl() : Ext.Element
返回当前菜单底层的 Ext.Element 对象。
返回当前菜单底层的 Ext.Element 对象。
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Menu
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide( [Boolean deep] ) : void
隐藏当前菜单，可选地隐藏所有的父菜单
隐藏当前菜单，可选地隐藏所有的父菜单
参数:
  • deep : Boolean
    (可选) 如果为true，递归地隐藏所有父菜单，如果有的话(默认值为 false)
返回值:
  • void
 Menu
insert( Number index, Ext.menu.Item item ) : Ext.menu.Item
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
参数:
  • index : Number
    当前项目在菜单列表中的位置，新的项目将被插入到此位置
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
isVisible() : void
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
参数:
  • 无.
返回值:
  • void
 Menu
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Ext.menu.Item item ) : void
从菜单中删除一个 Ext.menu.Item 并销毁对象
从菜单中删除一个 Ext.menu.Item 并销毁对象
参数:
  • item : Ext.menu.Item
    The menu item to remove
返回值:
  • void
 Menu
removeAll() : void
删除被摧毁菜单中的所有项目
删除被摧毁菜单中的所有项目
参数:
  • 无.
返回值:
  • void
 Menu
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
show( Mixed element, [String position], [Ext.menu.Menu parentMenu] ) : void
将当前菜单显示在紧靠其它元素的位置
将当前菜单显示在紧靠其它元素的位置
参数:
  • element : Mixed
    对齐到的元素
  • position : String
    (可选) 使用的Ext.Element.alignTo 锚定位置，用来对齐元素(默认值为 this.defaultAlign)
  • parentMenu : Ext.menu.Menu
    (可选) 菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
showAt( Array xyPosition, [Ext.menu.Menu parentMenu] ) : void
在指定的xy位置显示当前菜单
在指定的xy位置显示当前菜单
参数:
  • xyPosition : Array
    包含X & Y [x, y]位置值，菜单将会被显示在此位置 (坐标是基于页面的)
  • parentMenu : Ext.menu.Menu
    (可选) 当前菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforehide : ( Ext.menu.Menu this )
在菜单隐藏之前触发
在菜单隐藏之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
beforeshow : ( Ext.menu.Menu this )
在菜单显示之前触发
在菜单显示之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
click : ( Ext.menu.Menu this, Ext.menu.Item menuItem, Ext.EventObject e )
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • menuItem : Ext.menu.Item
    The menu item that was clicked
  • e : Ext.EventObject
 Menu
hide : ( Ext.menu.Menu this )
在菜单隐藏之后触发
在菜单隐藏之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
itemclick : ( Ext.menu.BaseItem baseItem, Ext.EventObject e )
当包含在当前菜单中的菜单项被点击时触发
当包含在当前菜单中的菜单项被点击时触发
监听器将会以如下的参数格式调用:
  • baseItem : Ext.menu.BaseItem
    被点击的BaseItem
  • e : Ext.EventObject
 Menu
mouseout : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标移出菜单时触发
当鼠标移出菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
mouseover : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标滑过菜单时触发
当鼠标滑过菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
select : ( ColorPalette palette, String color )
监听器将会被以如下的参数调用:
  • palette : ColorPalette
  • color : String
 ColorMenu
show : ( Ext.menu.Menu this )
在菜单显示之后触发
在菜单显示之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu


Observable
    Component
      BaseItem
        Adapter
          DateItem

Class Ext.menu.DateItem

包: | Ext.menu
所在文件: | DateItem.js
Class: | DateItem
继承自: | Adapter
一个菜单项，包装了 Ext.DatePicker 组件。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | picker : Ext.DatePicker Ext.DatePicker对象 | DateItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
DateItem( Object config )
Creates a new DateItem
Creates a new DateItem
参数:
  • config : Object
    Configuration options
返回值:
DateItem
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Menu
      DateMenu

Class Ext.menu.DateMenu

包: | Ext.menu
所在文件: | DateMenu.js
Class: | DateMenu
继承自: | Menu
包含一个 Ext.menu.DateItem 组件的菜单项(提供一个日期选择器)。

配置属性

配置属性 |  | 所在类
 | allowOtherMenus : Boolean 为true时，将允许在同一时刻显示多个菜单(默认值为 false) | Menu
 | defaultAlign : String 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关... 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关 (默认值为 "tl-bl?") | Menu
 | defaults : Object 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目... 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目。 defaults配置可以包含任何数量的键/值对属性，它们将被添加到 每个项目中，对于菜单中的所有项目类型来说，它们必须是合法的。 | Menu
 | ignoreParentClicks : Boolean 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 | Menu
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | minWidth : Number 菜单最小宽度像素值(默认值为 120) | Menu
 | shadow : Boolean/String 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") | Menu
 | subMenuAlign : String 应用到当前菜单的子菜单的Ext.Element.alignTo 锚定位置值 (默认值为 "tl-tr?") | Menu

公共属性

Property |  | 所在类
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu
 | picker : DatePicker DateMenu中的Ext.DatePicker 实例。 | DateMenu

公共方法

Method 所在类
DateMenu( Object config )
Creates a new DateMenu
Creates a new DateMenu
参数:
  • config : Object
    Configuration options
返回值:
DateMenu
add( Mixed args ) : Ext.menu.Item
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的...
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的:
  • 任何基于Ext.menu.BaseItem 的菜单项对象。
  • 一个HTMLElement对象，它将被转化成一个菜单项
  • 一个菜单项配置对象，它将被创建为一个新的菜单项
  • 一个字符串，可以是'-'或者'separator'，用来添加一个菜单分割栏， 或者它可以被转化成一个 Ext.menu.TextItem 并被添加进来
Usage:
// Create the menu
var menu = new Ext.menu.Menu();

// Create a menu item to add by reference
var menuItem = new Ext.menu.Item({ text: 'New Item!' });

// Add a bunch of items at once using different methods.
// Only the last item added will be returned.
var item = menu.add(
    menuItem,                // add existing item by ref
    'Dynamic Item',          // new TextItem
    '-',                     // new separator
    { text: 'Config Item' }  // new item by config
);
参数:
  • args : Mixed
    一个或多个菜单项、菜单项配置，或者其它可以被转化成菜单项的对象
返回值:
  • Ext.menu.Item
    被添加的菜单项，如果添加了多个，则为最后一项
Menu
addElement( Mixed el ) : Ext.menu.Item
添加一个Ext.Element 对象到菜单中。
添加一个Ext.Element 对象到菜单中。
参数:
  • el : Mixed
    需要添加的元素或者DOM节点，或者它的id
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addItem( Ext.menu.Item item ) : Ext.menu.Item
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
参数:
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addMenuItem( Object config ) : Ext.menu.Item
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
参数:
  • config : Object
    一个MenuItem配置对象
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addSeparator() : Ext.menu.Item
向菜单中添加一个分隔栏
向菜单中添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.menu.Item
    所添加的菜单项
Menu
addText( String text ) : Ext.menu.Item
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
参数:
  • text : String
    显示在菜单项中的文本
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
destroy() : void
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
参数:
  • 无.
返回值:
  • void
 Menu
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getEl() : Ext.Element
返回当前菜单底层的 Ext.Element 对象。
返回当前菜单底层的 Ext.Element 对象。
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Menu
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide( [Boolean deep] ) : void
隐藏当前菜单，可选地隐藏所有的父菜单
隐藏当前菜单，可选地隐藏所有的父菜单
参数:
  • deep : Boolean
    (可选) 如果为true，递归地隐藏所有父菜单，如果有的话(默认值为 false)
返回值:
  • void
 Menu
insert( Number index, Ext.menu.Item item ) : Ext.menu.Item
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
参数:
  • index : Number
    当前项目在菜单列表中的位置，新的项目将被插入到此位置
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
isVisible() : void
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
参数:
  • 无.
返回值:
  • void
 Menu
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Ext.menu.Item item ) : void
从菜单中删除一个 Ext.menu.Item 并销毁对象
从菜单中删除一个 Ext.menu.Item 并销毁对象
参数:
  • item : Ext.menu.Item
    The menu item to remove
返回值:
  • void
 Menu
removeAll() : void
删除被摧毁菜单中的所有项目
删除被摧毁菜单中的所有项目
参数:
  • 无.
返回值:
  • void
 Menu
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
show( Mixed element, [String position], [Ext.menu.Menu parentMenu] ) : void
将当前菜单显示在紧靠其它元素的位置
将当前菜单显示在紧靠其它元素的位置
参数:
  • element : Mixed
    对齐到的元素
  • position : String
    (可选) 使用的Ext.Element.alignTo 锚定位置，用来对齐元素(默认值为 this.defaultAlign)
  • parentMenu : Ext.menu.Menu
    (可选) 菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
showAt( Array xyPosition, [Ext.menu.Menu parentMenu] ) : void
在指定的xy位置显示当前菜单
在指定的xy位置显示当前菜单
参数:
  • xyPosition : Array
    包含X & Y [x, y]位置值，菜单将会被显示在此位置 (坐标是基于页面的)
  • parentMenu : Ext.menu.Menu
    (可选) 当前菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforehide : ( Ext.menu.Menu this )
在菜单隐藏之前触发
在菜单隐藏之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
beforeshow : ( Ext.menu.Menu this )
在菜单显示之前触发
在菜单显示之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
click : ( Ext.menu.Menu this, Ext.menu.Item menuItem, Ext.EventObject e )
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • menuItem : Ext.menu.Item
    The menu item that was clicked
  • e : Ext.EventObject
 Menu
hide : ( Ext.menu.Menu this )
在菜单隐藏之后触发
在菜单隐藏之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
itemclick : ( Ext.menu.BaseItem baseItem, Ext.EventObject e )
当包含在当前菜单中的菜单项被点击时触发
当包含在当前菜单中的菜单项被点击时触发
监听器将会以如下的参数格式调用:
  • baseItem : Ext.menu.BaseItem
    被点击的BaseItem
  • e : Ext.EventObject
 Menu
mouseout : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标移出菜单时触发
当鼠标移出菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
mouseover : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标滑过菜单时触发
当鼠标滑过菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
select : ( DatePicker picker, Date date )
监听器将会以如下的参数格式调用:
  • picker : DatePicker
  • date : Date
 DateMenu
show : ( Ext.menu.Menu this )
在菜单显示之后触发
在菜单显示之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu


Observable
    Component
      BaseItem
        Item

Class Ext.menu.Item

包: | Ext.menu
所在文件: | Item.js
Class: | Item
子类: | CheckItem
继承自: | BaseItem
所有菜单项的基类，这些菜单项需要依赖菜单的一些功能 (例如子菜单)，并且这些项目不是静态显示的。 继承Ext.menu.BaseItem 的项目，将获得其基本的功能，添加菜单特定的激活和点击处理。

配置属性

配置属性 所在类
activeClass : String
The CSS class to use when the item becomes activated (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
设置为true，此项目可以视觉上激活(默认值为 true)
Item
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，当前项被点击时隐藏内部包含的菜单(默认值为 true)
BaseItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
href : String
底层锚定的链接所使用的href属性(默认值为 '#').
Item
hrefTarget : String
底层锚定的链接所使用的target属性(默认值为 '').
Item
icon : String
显示在此项目中的图标路径 (默认值为 Ext.BLANK_IMAGE_URL)。 如果指定了icon， 则不应该指定...
显示在此项目中的图标路径 (默认值为 Ext.BLANK_IMAGE_URL)。 如果指定了icon， 则不应该指定 iconCls。
Item
iconCls : String
一个CSS类，指定了一个背景图片，将被用作此项目的图标...
一个CSS类，指定了一个背景图片，将被用作此项目的图标 (默认值为 '')。 如果指定了iconCls，就不应该指定 icon。
Item
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
菜单项使用的默认CSS样式(默认值为 'x-menu-item')
Item
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
要么是一个 Ext.menu.Menu 实例，或者 Ext.menu.Menu 使用的配置对象，在当前项目被激活时用作子菜单。
要么是一个 Ext.menu.Menu 实例，或者 Ext.menu.Menu 使用的配置对象，在当前项目被激活时用作子菜单。
Item
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
showDelay : Number
显示此项目时等待（延迟）的毫秒数(默认值为 200)
Item
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
此项目中显示的文本(默认值为 '').
Item
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Item( Object config )
Creates a new Item
Creates a new Item
参数:
  • config : Object
    Configuration options
返回值:
Item
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
返回值:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setIconClass( String cls ) : void
设置应用到项目图标元素的CSS样式
设置应用到项目图标元素的CSS样式
参数:
  • cls : String
    The CSS class to apply
返回值:
  • void
 Item
setText( String text ) : void
设置显示在当前菜单项中的文本
设置显示在当前菜单项中的文本
参数:
  • text : String
    显示的文本
返回值:
  • void
 Item
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Menu

Class Ext.menu.Menu

包: | Ext.menu
所在文件: | Menu.js
Class: | Menu
子类: | ColorMenu, DateMenu
继承自: | Observable
一个菜单对象。 这是一个容器，你可以把所有其它的菜单项添加到其中。 当你需要一个基于其它组件的特定菜单时，Menu也可以用作一个基类。 (例如Ext.menu.DateMenu)。

配置属性

配置属性 |  | 所在类
 | allowOtherMenus : Boolean 为true时，将允许在同一时刻显示多个菜单(默认值为 false) | Menu
 | defaultAlign : String 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关... 此菜单默认的 Ext.Element.alignTo 锚定位置值，与前一个项目的位置有关 (默认值为 "tl-bl?") | Menu
 | defaults : Object 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目... 一个配置对象 ，要么通过 items 配置项，或者通过add 方法，被应用到当前容器中的所有项目。 defaults配置可以包含任何数量的键/值对属性，它们将被添加到 每个项目中，对于菜单中的所有项目类型来说，它们必须是合法的。 | Menu
 | ignoreParentClicks : Boolean 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 设置为true时，将忽略在任何父菜单项(显示子菜单)上的点击操作， 这样在点击父菜单项时子菜单不会隐藏掉(默认值为 false)。 | Menu
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | minWidth : Number 菜单最小宽度像素值(默认值为 120) | Menu
 | shadow : Boolean/String 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") 设置为true或者"sides"使用默认的效果， "frame"将使用四边效果，"drop" 为底部和右侧阴影(默认值为 "sides") | Menu
 | subMenuAlign : String 应用到当前菜单的子菜单的Ext.Element.alignTo 锚定位置值 (默认值为 "tl-tr?") | Menu

公共属性

Property |  | 所在类
 | items : Ext.util.MixedCollection 菜单项的MixedCollection | Menu

公共方法

Method 所在类
Menu( Object config )
Creates a new Menu
Creates a new Menu
参数:
  • config : Object
    Configuration options
返回值:
Menu
add( Mixed args ) : Ext.menu.Item
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的...
添加一个或者多个Menu类支持的项目， 或者那些可以被转化成菜单项的对象。 以下的任何项目都是合法的:
  • 任何基于Ext.menu.BaseItem 的菜单项对象。
  • 一个HTMLElement对象，它将被转化成一个菜单项
  • 一个菜单项配置对象，它将被创建为一个新的菜单项
  • 一个字符串，可以是'-'或者'separator'，用来添加一个菜单分割栏， 或者它可以被转化成一个 Ext.menu.TextItem 并被添加进来
Usage:
// Create the menu
var menu = new Ext.menu.Menu();

// Create a menu item to add by reference
var menuItem = new Ext.menu.Item({ text: 'New Item!' });

// Add a bunch of items at once using different methods.
// Only the last item added will be returned.
var item = menu.add(
    menuItem,                // add existing item by ref
    'Dynamic Item',          // new TextItem
    '-',                     // new separator
    { text: 'Config Item' }  // new item by config
);
参数:
  • args : Mixed
    一个或多个菜单项、菜单项配置，或者其它可以被转化成菜单项的对象
返回值:
  • Ext.menu.Item
    被添加的菜单项，如果添加了多个，则为最后一项
Menu
addElement( Mixed el ) : Ext.menu.Item
添加一个Ext.Element 对象到菜单中。
添加一个Ext.Element 对象到菜单中。
参数:
  • el : Mixed
    需要添加的元素或者DOM节点，或者它的id
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addItem( Ext.menu.Item item ) : Ext.menu.Item
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
向菜单中添加一个基于 Ext.menu.BaseItem 的已存在的组件。
参数:
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addMenuItem( Object config ) : Ext.menu.Item
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
使用所给的配置对象创建一个基于 Ext.menu.Item 的对象，并添加到菜单中。
参数:
  • config : Object
    一个MenuItem配置对象
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
addSeparator() : Ext.menu.Item
向菜单中添加一个分隔栏
向菜单中添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.menu.Item
    所添加的菜单项
Menu
addText( String text ) : Ext.menu.Item
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
使用给定的文本创建一个新的Ext.menu.TextItem 并添加到菜单中
参数:
  • text : String
    显示在菜单项中的文本
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
destroy() : void
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
销毁菜单，向Ext.menu.MenuMgr 反注册它，清除所有事件监听器， 删除所有菜单项， 然后销毁底层的 Ext.Element
参数:
  • 无.
返回值:
  • void
 Menu
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getEl() : Ext.Element
返回当前菜单底层的 Ext.Element 对象。
返回当前菜单底层的 Ext.Element 对象。
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Menu
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide( [Boolean deep] ) : void
隐藏当前菜单，可选地隐藏所有的父菜单
隐藏当前菜单，可选地隐藏所有的父菜单
参数:
  • deep : Boolean
    (可选) 如果为true，递归地隐藏所有父菜单，如果有的话(默认值为 false)
返回值:
  • void
 Menu
insert( Number index, Ext.menu.Item item ) : Ext.menu.Item
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
将一个基于Ext.menu.BaseItem 的已存在对象插入到菜单的指定位置
参数:
  • index : Number
    当前项目在菜单列表中的位置，新的项目将被插入到此位置
  • item : Ext.menu.Item
    需要添加的菜单项
返回值:
  • Ext.menu.Item
    被添加的菜单项
Menu
isVisible() : void
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
只读属性。 如果菜单当前处于显示状态，返回true，否则返回false。
参数:
  • 无.
返回值:
  • void
 Menu
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Ext.menu.Item item ) : void
从菜单中删除一个 Ext.menu.Item 并销毁对象
从菜单中删除一个 Ext.menu.Item 并销毁对象
参数:
  • item : Ext.menu.Item
    The menu item to remove
返回值:
  • void
 Menu
removeAll() : void
删除被摧毁菜单中的所有项目
删除被摧毁菜单中的所有项目
参数:
  • 无.
返回值:
  • void
 Menu
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
show( Mixed element, [String position], [Ext.menu.Menu parentMenu] ) : void
将当前菜单显示在紧靠其它元素的位置
将当前菜单显示在紧靠其它元素的位置
参数:
  • element : Mixed
    对齐到的元素
  • position : String
    (可选) 使用的Ext.Element.alignTo 锚定位置，用来对齐元素(默认值为 this.defaultAlign)
  • parentMenu : Ext.menu.Menu
    (可选) 菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
showAt( Array xyPosition, [Ext.menu.Menu parentMenu] ) : void
在指定的xy位置显示当前菜单
在指定的xy位置显示当前菜单
参数:
  • xyPosition : Array
    包含X & Y [x, y]位置值，菜单将会被显示在此位置 (坐标是基于页面的)
  • parentMenu : Ext.menu.Menu
    (可选) 当前菜单的父菜单，如果可用(默认值为 undefined)
返回值:
  • void
 Menu
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforehide : ( Ext.menu.Menu this )
在菜单隐藏之前触发
在菜单隐藏之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
beforeshow : ( Ext.menu.Menu this )
在菜单显示之前触发
在菜单显示之前触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
click : ( Ext.menu.Menu this, Ext.menu.Item menuItem, Ext.EventObject e )
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
当菜单项被点击是触发 (或者当菜单为当前活动项时敲回车键)
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • menuItem : Ext.menu.Item
    The menu item that was clicked
  • e : Ext.EventObject
 Menu
hide : ( Ext.menu.Menu this )
在菜单隐藏之后触发
在菜单隐藏之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu
itemclick : ( Ext.menu.BaseItem baseItem, Ext.EventObject e )
当包含在当前菜单中的菜单项被点击时触发
当包含在当前菜单中的菜单项被点击时触发
监听器将会以如下的参数格式调用:
  • baseItem : Ext.menu.BaseItem
    被点击的BaseItem
  • e : Ext.EventObject
 Menu
mouseout : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标移出菜单时触发
当鼠标移出菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
mouseover : ( Ext.menu.Menu this, Ext.EventObject e, Ext.menu.Item menuItem )
当鼠标滑过菜单时触发
当鼠标滑过菜单时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
  • e : Ext.EventObject
  • menuItem : Ext.menu.Item
    The menu item that was clicked
 Menu
show : ( Ext.menu.Menu this )
在菜单显示之后触发
在菜单显示之后触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.Menu
 Menu


Class Ext.menu.MenuMgr

包: | Ext.menu
所在文件: | MenuMgr.js
Class: | MenuMgr
继承自: | Object
为一个页面中的所有菜单项提供一个通用的注册方式，这样可以轻松地通过id访问它们。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
get( String/Object menu ) : Ext.menu.Menu
返回一个Ext.menu.Menu 对象。
返回一个Ext.menu.Menu 对象。
参数:
  • menu : String/Object
    一个string型的菜单id，一个已存在的菜单对象引用， 或者一个菜单配置，将被用来创建和返回一个新的菜单实例。
返回值:
  • Ext.menu.Menu
    指定的菜单，如果没有找到则为null
MenuMgr
hideAll() : void
隐藏所有当前可见的菜单
隐藏所有当前可见的菜单
参数:
  • 无.
返回值:
  • void
 MenuMgr

公共事件

该类没有公共事件。


Observable
    Component
      BaseItem
        Separator

Class Ext.menu.Separator

包: | Ext.menu
所在文件: | Separator.js
Class: | Separator
继承自: | BaseItem
向一个菜单中添加一个分隔栏，用来分隔菜单项的逻辑分组。 一般情况下，你可以调用add()添加一个"-"来添加一个分隔栏， 或者在你的配置选项中配置，而不是直接创建。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
在当前项目被点击之后隐藏所包含的菜单(默认值为 false)
Separator
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
分隔栏使用的默认CSS类(默认值为 "x-menu-sep")
Separator
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Separator( Object config )
参数:
  • config : Object
    Configuration options
返回值:
Separator
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
返回值:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BaseItem
        TextItem

Class Ext.menu.TextItem

包: | Ext.menu
所在文件: | TextItem.js
Class: | TextItem
继承自: | BaseItem
向菜单中添加一个静态文本， 一般被用作表头或者一个分组分隔栏。

配置属性

配置属性 所在类
activeClass : String
当一个项目变成当前活动项时所应用的CSS样式 (默认值为 "x-menu-item-active")
BaseItem
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
canActivate : Boolean
如果此项目可以视觉激活，为true(默认值为 false)
BaseItem
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
handler : Function
一个处理菜单项点击事件的函数(默认值为 undefined)
BaseItem
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideDelay : Number
点击之后的隐藏一个项目的延迟毫秒数(默认值为 100)
BaseItem
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideOnClick : Boolean
设置为true，将在点击此项目后隐藏菜单(默认值为 false)
TextItem
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
itemCls : String
text项使用的默认CSS样式 (默认值为 "x-menu-text")
TextItem
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
scope : Object
调用处理器时使用的作用域。
BaseItem
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
当前项显示的文本(默认值为 '')
TextItem
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | parentMenu : Ext.menu.Menu 当前项的父菜单。 | BaseItem
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TextItem( Object/String config )
Creates a new TextItem
Creates a new TextItem
参数:
  • config : Object/String
    如果config是一个字符串，它将被作为文本来显示， 否则它将被作为一个配置对象来应用（并需要包含一个text属性）。
返回值:
TextItem
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
返回值:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, Object scope ) : void
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)....
设置处理当前项单击事件的处理器 (等价于传递到 handler 配置属性)。 如果存在一个已经注册的处理器， 它将会被反注册。
参数:
  • handler : Function
    点击时调用的方法
  • scope : Object
    传递给处理器的作用域
返回值:
  • void
 BaseItem
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
activate : ( Ext.menu.BaseItem this )
改项目被激活为当前活动项时触发
改项目被激活为当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Ext.menu.BaseItem this, Ext.EventObject e )
当前项目被点击时触发
当前项目被点击时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
  • e : Ext.EventObject
 BaseItem
deactivate : ( Ext.menu.BaseItem this )
当此项目被设置为非当前活动项时触发
当此项目被设置为非当前活动项时触发
监听器将会以如下的参数格式调用:
  • this : Ext.menu.BaseItem
 BaseItem
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Class Ext.MessageBox

包: | Ext
所在文件: | MessageBox.js
Class: | MessageBox
继承自: | Object

工具类，用来产生不同风格的消息框。 也可以使用Ext.Msg这个别名。

注意：MessageBox是异步的。 与常规的JavaScriptalert(它会挂起浏览器，不能执行其它脚本) 不同，显示一个MessageBox不会导致代码停止执行。 因为此原因，如果你的代码需要在用户对MessageBox作出反馈之后才执行， 你必须使用一个回调函数 (详情参见show 的function属性)。

示例用法:

// 基本的alert:
Ext.Msg.alert('Status', 'Changes saved successfully.');
// 用户对话框，用一个回调函数处理结果:
Ext.Msg.prompt('Name', 'Please enter your name:', function(btn, text){
    if (btn == 'ok'){
        // 处理文本值，然后关闭...
    }
});

// 使用配置选项显示一个对话框:
Ext.Msg.show({
   title:'Save Changes?',
   msg: 'You are closing a tab that has unsaved changes. Would you like to save your changes?',
   buttons: Ext.Msg.YESNOCANCEL,
   fn: processResult,
   animEl: 'elId',
   icon: Ext.MessageBox.QUESTION
});

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | CANCEL : Object 按钮配置，显示单个“Cancle”按钮 | MessageBox
 | ERROR : String CSS类，提供了ERROR图标的图片 | MessageBox
 | INFO : String CSS类，提供INFO图标的图片 | MessageBox
 | OK : Object 按钮配置，显示单个的“OK”按钮 | MessageBox
 | OKCANCEL : Object 按钮配置，显示OK和Cancle按钮 | MessageBox
 | QUESTION : String CSS类，提供了QUESTION图标的图片 | MessageBox
 | WARNING : String CSS类，提供了WARNING图标的图片 | MessageBox
 | YESNO : Object 按钮配置，显示Yes和No按钮 | MessageBox
 | YESNOCANCEL : Object 按钮配置，显示Yes,No和Cancle按钮 | MessageBox
 | buttonText : Object 一个包含默认按钮文本字符串的对象，可以覆盖它以提供本地化支持。 支持的属性有 ok, cancel, yes 和 no... 一个包含默认按钮文本字符串的对象，可以覆盖它以提供本地化支持。 支持的属性有 ok, cancel, yes 和 no。 一般情况下，你需要包含一个本地特定的源文件来提供对整个框架的语言支持。 定制默认的文本就像这样： Ext.MessageBox.buttonText.yes = "oui"; //法语 （译者注：晕倒，为什么不是中文！严重打击了我的爱国主义热情！） | MessageBox
 | defaultTextHeight : Number 消息框多行文本域默认高度像素值，如果它被显示(默认值为 75) | MessageBox
 | maxWidth : Number 消息框最大宽度像素值 (默认值为 600) | MessageBox
 | minProgressWidth : Number 如果是一个进展条风格的对话框，此值为消息框的最小宽度像素值... 如果是一个进展条风格的对话框，此值为消息框的最小宽度像素值。 这对于设置一个不同的最小宽度很有用，如果不是纯文本的对话框可能非常 需要此属性(默认值为 250) | MessageBox
 | minWidth : Number 消息框的最小宽度像素值 (默认值为 100) | MessageBox

公共方法

Method 所在类
alert( String title, String msg, [Function fn], [Object scope] ) : Ext.MessageBox
显示一个标准的只读消息框，含有一个OK按钮 (类似于基本的alert提示框)...
显示一个标准的只读消息框，含有一个OK按钮 (类似于基本的alert提示框)。 如果传递了一个回调函数，在用户点击按钮之后它会被调用，并且 被点击按钮的id会作为唯一的参数传递给回调函数 (也可以是右上角的关闭按钮)。
参数:
  • title : String
    The title bar text
  • msg : String
    The message box body text
  • fn : Function
    (可选) The callback function invoked after the message box is closed
  • scope : Object
    (可选) The scope of the callback function
返回值:
  • Ext.MessageBox
    this
 MessageBox
confirm( String title, String msg, [Function fn], [Object scope] ) : Ext.MessageBox
显示一个确认消息框，含有Yes和No按钮(与JavaScript的confirm类似)...
显示一个确认消息框，含有Yes和No按钮(与JavaScript的confirm类似)。 如果传递了回调函数，在用户点击任意一个按钮之后它都会被调用， 并且被点击的按钮的id会作为唯一的参数传递给回调函数 (也可以是右上角的关闭按钮)。
参数:
  • title : String
    The title bar text
  • msg : String
    The message box body text
  • fn : Function
    (可选) The callback function invoked after the message box is closed
  • scope : Object
    (可选) The scope of the callback function
返回值:
  • Ext.MessageBox
    this
 MessageBox
getDialog() : Ext.Window
返回底层 Ext.Window 元素的一个引用
返回底层 Ext.Window 元素的一个引用
参数:
  • 无.
返回值:
  • Ext.Window
    The window
 MessageBox
hide() : Ext.MessageBox
隐藏消息框如果它处于显示状态
隐藏消息框如果它处于显示状态
参数:
  • 无.
返回值:
  • Ext.MessageBox
    this
 MessageBox
isVisible() : Boolean
如果消息框当前被显示，返回true
如果消息框当前被显示，返回true
参数:
  • 无.
返回值:
  • Boolean
    True if the message box is visible, else false
 MessageBox
progress( String title, String msg, [String progressText] ) : Ext.MessageBox
显示一个消息框，包含一个进展条。 此消息框没有按钮，并且不能被用户关闭...
显示一个消息框，包含一个进展条。 此消息框没有按钮，并且不能被用户关闭。 如果需要，你自己负责 通过Ext.MessageBox.updateProgress 更新进展条，并且在处理完成时关闭消息框。
参数:
  • title : String
    The title bar text
  • msg : String
    The message box body text
  • progressText : String
    (可选) The text to display inside the progress bar (默认值为 '')
返回值:
  • Ext.MessageBox
    this
 MessageBox
prompt( String title, String msg, [Function fn], [Object scope], [Boolean/Number multiline], [String value] ) : Ext.MessageBox
显示一个消息框，含有OK和Cancle按钮，提示用户输入一些文本 (类似于JavaScript的 prompt)...
显示一个消息框，含有OK和Cancle按钮，提示用户输入一些文本 (类似于JavaScript的 prompt)。 prompt可以是一个单行或者多行文本框。 如果传递了一个回调函数，当用户点击任意一个按钮时都会被调用， 并且被点击按钮的id(也可以是右上角的关闭按钮) 和输入的文本将被作为两个参数传递给回调函数。
参数:
  • title : String
    The title bar text
  • msg : String
    The message box body text
  • fn : Function
    (可选) The callback function invoked after the message box is closed
  • scope : Object
    (可选) The scope of the callback function
  • multiline : Boolean/Number
    (可选) True to create a multiline textbox using the defaultTextHeight property, or the height in pixels to create the textbox (默认值为 false / single-line)
  • value : String
    (可选) Default value of the text input element (默认值为 '')
返回值:
  • Ext.MessageBox
    this
 MessageBox
setIcon( String icon ) : Ext.MessageBox
向对话框添加一个指定的图标。 默认情况下，'ext-mb-icon'被用作默认的风格...
向对话框添加一个指定的图标。 默认情况下，'ext-mb-icon'被用作默认的风格， 传递进来的CSS类被期望提供一个背景图片的url。 传递一个空字符串('')可以清除任何现存的图标。 支持以下内建的图标CSS类，但是你也可以传递一个定制的CSS类名：
Ext.MessageBox.INFO
Ext.MessageBox.WARNING
Ext.MessageBox.QUESTION
Ext.MessageBox.ERROR
参数:
  • icon : String
    A CSS classname specifying the icon's background image url, or empty string to clear the icon
返回值:
  • Ext.MessageBox
    this
 MessageBox
show( Object config ) : Ext.MessageBox
根据传递进来的配置选项， 显示一个新的消息框，或者重新初始化一个已有的消息框...
根据传递进来的配置选项， 显示一个新的消息框，或者重新初始化一个已有的消息框。 MessageBox上的所有显示函数（例如prompt, alert等等）在内部调用此函数， 虽然这些调用是基本的快捷方式且并不支持这里所允许的所有配置选项。
参数:
  • config : Object
    支持以下的配置项:
    • animEl : String/Element
      一个id或者元素，作为当打开和关闭消息框时动画效果的起点(终点) (默认值为 undefined)
    • buttons : Object/Boolean
      一个按钮配置对象 (例如： Ext.MessageBox.OKCANCEL 或者 {ok:'Foo', cancel:'Bar'})， 或者为false，不允许任何按钮 (默认值为 false)
    • closable : Boolean
      设置为false，禁用右上角的关闭按钮(默认值为 true)。 注意：进展条和等待对话框将忽略此属性，并且总是隐藏关闭按钮，因为 它们只能通过程序关闭。
    • cls : String
      一个应用到消息框容器元素的定制CSS类
    • defaultTextHeight : Number
      如果显示，此值为消息框多行文本默认高度的像素值(默认值为 75)
    • fn : Function
      一个回调函数，在解散对话框时调用：通过点击所配置的按钮，或者对话框的关闭按钮，或者通过 按下返回按钮键入输入。

      进展条和等待对话框将忽略此选项，因为它们不会对用户 操作作出响应，并且只能通过程序关闭，所以在关闭对话框之后， 任何所需的函数都应该在相同的代码中被调用。 参数 passed:

      • buttonId : String
        被按下的按钮的ID，属于如下情况之一:
        • ok
        • yes
        • no
        • cancel
      • text : String
        {@link #show-option-prompt prompt} 或者{@link #show-option-multiline multiline} 为true时，输入栏的值。

    • scope : Object
      回调方法的作用域
    • icon : String
      一个CSS类，提供一个背景图片，被用作对话框body的图标 (例如Ext.MessageBox.WARNING 或者'custom-class') (默认值为 '')
    • iconCls : String
      标准的Ext.Window.iconCls 用来添加一个可选的头部图标(默认值为 '')
    • maxWidth : Number
      消息框最大宽度像素值(默认值为 600)
    • minWidth : Number
      消息框最小宽度像素值(默认值为 100)
    • modal : Boolean
      设置为false，在显示消息框时允许用户与页面进行交互(默认值为 true)
    • msg : String
      一个字符串，用来替换消息框现有的body文本 (默认值为遵守XHTML标准的不间断的空字符'&#160;')
    • multiline : Boolean
      设置为true，提示用户输入多行文本(默认值为 false)
    • progress : Boolean
      设置为true以显示一个进展条(默认值为 false)
    • progressText : String
      当progress = true时在进展条内显示的文本 (默认值为 '')
    • prompt : Boolean
      设置为true，提示用户输入单行文本(默认值为 false)
    • proxyDrag : Boolean
      设置为true，在拖拽时显示一个轻量级的代理对象(默认值为 false)
    • title : String
      标题文本
    • value : String
      字符串值，用来设置到活动的textbox元素，如果它被显示
    • wait : Boolean
      设置为true以显示一个进展条 (默认值为 false)
    • waitConfig : Object
      一个Ext.ProgressBar.waitConfig 对象 (只有在wait = true时有效)
    • width : Number
      对话框宽度像素值
    示例用法:
    Ext.Msg.show({
   title: 'Address',
   msg: 'Please enter your address:',
   width: 300,
   buttons: Ext.MessageBox.OKCANCEL,
   multiline: true,
   fn: saveAddress,
   animEl: 'addAddressBtn',
   icon: Ext.MessageBox.INFO
});
返回值:
  • Ext.MessageBox
    this
 MessageBox
updateProgress( Number value, String progressText, String msg ) : Ext.MessageBox
更新一个进展条风格消息框的文本和进展条。 只与通过 Ext.MessageBox.progress 或者通过调用 Ext.MessageBox.show 同时progress:true初始化的消息框相关。
更新一个进展条风格消息框的文本和进展条。 只与通过 Ext.MessageBox.progress 或者通过调用 Ext.MessageBox.show 同时progress:true初始化的消息框相关。
参数:
  • value : Number
    Any number between 0 and 1 (例如： .5, 默认值为 0)
  • progressText : String
    The progress text to display inside the progress bar (默认值为 '')
  • msg : String
    The message box's body text is replaced with the specified string (默认值为 undefined so that any existing body text will not get overwritten by default unless a new value is passed in)
返回值:
  • Ext.MessageBox
    this
 MessageBox
updateText( [String text] ) : Ext.MessageBox
更新消息框body中的文本
更新消息框body中的文本
参数:
  • text : String
    (可选) Replaces the message box element's innerHTML with the specified string (默认值为 the XHTML-compliant non-breaking space character '&#160;')
返回值:
  • Ext.MessageBox
    this
 MessageBox
wait( String msg, [String title], [Object config] ) : Ext.MessageBox
显示一个消息框，含有一个无限次滚动的进展条。 当等待一个长时间的处理，而没有定义时间间隔时...
显示一个消息框，含有一个无限次滚动的进展条。 当等待一个长时间的处理，而没有定义时间间隔时， 可以用来阻塞与用户交互。 当处理结束时，你必须自己负责关闭消息框。
参数:
  • msg : String
    The message box body text
  • title : String
    (可选) The title bar text
  • config : Object
    (可选) A Ext.ProgressBar.waitConfig object
返回值:
  • Ext.MessageBox
    this
 MessageBox

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Toolbar
          PagingToolbar

Class Ext.PagingToolbar

包: | Ext
所在文件: | PagingToolbar.js
Class: | PagingToolbar
继承自: | Toolbar
一个特殊的工具条，可以绑定到一个 Ext.data.Store ，提供自动分页控制。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
displayInfo : Boolean
设置为true将显示displayMsg (默认值为 false)
PagingToolbar
displayMsg : String
显示的分页状态信息 (默认值为 "Displaying {0} - {1} of {2}")...
显示的分页状态信息 (默认值为 "Displaying {0} - {1} of {2}")。 注意：此字符串被格式化为0-2几个数字，用来作为占位符， 它们会分别被start,end 和 total的值替代。 如果需要显示这些值，在重写此字符串时这些占位符应该保留。
PagingToolbar
emptyMsg : String
在没有找到记录时显示的信息(默认值为 "No data to display")
PagingToolbar
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageSize : Number
每页显示的记录数(默认值为 20)
PagingToolbar
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
store : Ext.data.Store
被分页工具条用作数据源的Ext.data.Store (必须)。
PagingToolbar
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | afterPageText : String 定制默认的分页文本 (默认值为 "of {0}")。 注意：此字符串被格式化为用... 定制默认的分页文本 (默认值为 "of {0}")。 注意：此字符串被格式化为用 {0}作为一个占位符，它将被总页数替代。 如果需要显示总页数， 当重写此字符时，此占位符应该保留。 | PagingToolbar
 | beforePageText : String 定制默认的分页文本 (默认值为 "Page") | PagingToolbar
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | firstText : String 定制默认的分页文本(默认值为 "First Page") | PagingToolbar
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Ext.util.MixedCollection Toolbar中项目的集合(MixedCollection) | Toolbar
 | lastText : String 定制默认的分页文本(默认值为 "Last Page") | PagingToolbar
 | nextText : String 定制默认的分页文本(默认值为 "Next Page") | PagingToolbar
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | paramNames : Object 调用load方法时使用的参数对象映射 (默认值为 {start: 'start', limit: 'limit'}) | PagingToolbar
 | prevText : String 定制默认的分页文本(默认值为 "Previous Page") | PagingToolbar
 | refreshText : String 定制默认的分页文本(默认值为 "Refresh") | PagingToolbar
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
PagingToolbar( Object config )
Create a new PagingToolbar
Create a new PagingToolbar
参数:
  • config : Object
    The config object
返回值:
PagingToolbar
add( Mixed arg1, Mixed arg2, Mixed etc. ) : void
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
参数:
  • arg1 : Mixed
    以下的所有参数类型都是合法的:
    • Ext.Toolbar.Button 配置: 一个合法的按钮配置对象 (等价于addButton)
    • HtmlElement: 任何标准的HTML元素(等价于addElement)
    • Field: 任何表单输入栏(等价于addField)
    • Item: Ext.Toolbar.Item 的任何子类(等价于addItem)
    • String:任何普通的字符串(使用Ext.Toolbar.TextItem来包装 , 等价于addText). 注意，有一些特殊的字符串将被区别对待，解释如下。
    • 'separator' 或者 '-': 创建一个分隔栏元素(等价于addSeparator)
    • ' ': 创建一个分隔元素 (等价于addSpacer)
    • '->': 创建一个填充元素(等价于 addFill)
  • arg2 : Mixed
  • etc. : Mixed
返回值:
  • void
 Toolbar
addButton( Object/Array config ) : Ext.Toolbar.Button/Array
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
参数:
  • config : Object/Array
    A button config or array of configs
返回值:
  • Ext.Toolbar.Button/Array
 Toolbar
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addDom( Object config ) : Ext.Toolbar.Item
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
参数:
  • config : Object
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addElement( Mixed el ) : Ext.Toolbar.Item
向toolbar中添加任何标准的HTML元素
向toolbar中添加任何标准的HTML元素
参数:
  • el : Mixed
    需要添加的元素或者元素id
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addField( Ext.form.Field field ) : Ext.Toolbar.Item
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的...
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的。 对于已经渲染的输入栏，使用 addElement。
参数:
  • field : Ext.form.Field
返回值:
  • Ext.Toolbar.Item
 Toolbar
addFill() : Ext.Toolbar.Fill
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
参数:
  • 无.
返回值:
  • Ext.Toolbar.Fill
    The fill item
 Toolbar
addItem( Ext.Toolbar.Item item ) : Ext.Toolbar.Item
添加任何Toolbar.Item 或者其子类
添加任何Toolbar.Item 或者其子类
参数:
  • item : Ext.Toolbar.Item
返回值:
  • Ext.Toolbar.Item
    The item
 Toolbar
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSeparator() : Ext.Toolbar.Item
添加一个分隔栏
添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.Toolbar.Item
    The separator item
 Toolbar
addSpacer() : Ext.Toolbar.Spacer
添加一个间隔元素
添加一个间隔元素
参数:
  • 无.
返回值:
  • Ext.Toolbar.Spacer
    The spacer item
 Toolbar
addText( String text ) : Ext.Toolbar.Item
向toolbar中添加文本
向toolbar中添加文本
参数:
  • text : String
    The text to add
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bind( Ext.data.Store store ) : void
将分页工具条绑定到指定的 Ext.data.Store
将分页工具条绑定到指定的 Ext.data.Store
参数:
  • store : Ext.data.Store
    The data store to bind
返回值:
  • void
 PagingToolbar
changePage( Integer page ) : void
切换活动的页面
切换活动的页面
参数:
  • page : Integer
    The page to display
返回值:
  • void
 PagingToolbar
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insertButton( Number index, Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array item ) : Ext.Toolbar.Button/Item
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
参数:
  • index : Number
    The index where the item is to be inserted
  • item : Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array
    The button, or button config object to be inserted, or an array of buttons/configs.
返回值:
  • Ext.Toolbar.Button/Item
 Toolbar
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unbind( Ext.data.Store store ) : void
从指定的 Ext.data.Store 中解除对分页工具条的绑定。
从指定的 Ext.data.Store 中解除对分页工具条的绑定。
参数:
  • store : Ext.data.Store
    The data store to unbind
返回值:
  • void
 PagingToolbar
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BoxComponent
        Container
          Panel

Class Ext.Panel

包: | Ext
所在文件: | Panel.js
Class: | Panel
子类: | TabPanel, Tip, Window, FieldSet, FormPanel, GridPanel, TreePanel
继承自: | Container
Panel是一个具有特殊功能的容器，结构化的组件使它能够完美地为面向应用的用户界面创建板块。 Panel包含顶部和底部工具栏，连同单独的头部、尾部、主体区域。并且它支持内建的张开和折叠动作， 同时具备很多预定义的、包装好的工具按钮来支持个性化的定制动作。 Panel可以很容易地被拖拽到任何容器或布局(layout)中，并且布局和渲染的方式由框架来自动管理。

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Panel
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Panel
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Panel( Object config )
参数:
  • config : Object
    The config object
返回值:
Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    Component
      BoxComponent
        ProgressBar

Class Ext.ProgressBar

包: | Ext
所在文件: | ProgressBar.js
Class: | ProgressBar
继承自: | BoxComponent

一个可更新状态的进展条组件。 进展条支持两种不同的模式：手动和自动。

在手动模式下，你自己负责显示并更新其状态 ( 通过 updateProgress ) 并且必要的时候在你自己的代码中清除进展条。 当一个操作有可预测的、感兴趣的点，在这些点你可以更新进展条状态。 在这种情况下，你想要显示一个进展条贯穿整个操作过程，那么这种方式是适用的。

在自动模式下，你简单地调用 wait 方法，并且让进展条无限执行，仅仅在操作结束时清除它。 你可以选择让进展条等待一段指定的事件，然后自己清除。 自动模式对于定时任务，或者异步操作非常适用， 在进行这些操作时你不必指定操作的具体进展状况。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
一个基本的CSS类，应用到进展条的包装元素(默认值为 'x-progress')
ProgressBar
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
进展条元素的id(默认值为一个自动产生的id)
ProgressBar
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
进展条文本(默认值为 '')
ProgressBar
textEl : Mixed
用来渲染进展条文本的元素 (默认值为进展条内部的文本元素)
ProgressBar
value : Float
一个介于0到1之间的浮点数值(例如： .5, 默认值为 0)
ProgressBar
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isWaiting() : Boolean
如果进展条当前处于一个 wait 操作中，返回true
如果进展条当前处于一个 wait 操作中，返回true
参数:
  • 无.
返回值:
  • Boolean
    True if waiting, else false
 ProgressBar
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
reset( [Boolean hide] ) : Ext.ProgressBar
将进展条的值重置为0，文本重置为空字符串。 如果hide = true，进展条将会被隐藏...
将进展条的值重置为0，文本重置为空字符串。 如果hide = true，进展条将会被隐藏 (内部使用 hideMode 属性)。
参数:
  • hide : Boolean
    (可选) True to hide the progress bar (默认值为 false)
返回值:
  • Ext.ProgressBar
    this
 ProgressBar
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number width, Number height ) : Ext.ProgressBar
设置进展条的大小。
设置进展条的大小。
参数:
  • width : Number
    The new width in pixels
  • height : Number
    The new height in pixels
返回值:
  • Ext.ProgressBar
    this
 ProgressBar
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncProgressBar() : void
根据进展条当前的value ，将内部填充的条块同步到适当的比例...
根据进展条当前的value ，将内部填充的条块同步到适当的比例。 当ProgressBar被一个布局调整大小时，此方法被自动调用， 但是如果它被渲染成自动宽度，在必要时此方法可以从其它 调整大小的处理函数中调用，以便同步数据。
参数:
  • 无.
返回值:
  • void
 ProgressBar
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
updateProgress( [Float value], [String text] ) : Ext.ProgressBar
更新进展条的值，同时可选择更新它的文本。 如果没有指定文本参数...
更新进展条的值，同时可选择更新它的文本。 如果没有指定文本参数， 任何现有的文本值都不会改变。 如需取消现有文本，传递一个''。 注意：即使进展条的值超过1，它永远不会自动重置--- 你自己负责判断操作何时完成并 调用 reset 方法来清除and/or隐藏进展条。
参数:
  • value : Float
    (可选) A floating point value between 0 and 1 (例如： .5, 默认值为 0)
  • text : String
    (可选) The string to display in the progress text element (默认值为 '')
返回值:
  • Ext.ProgressBar
    this
 ProgressBar
updateText( [String text] ) : Ext.ProgressBar
更新进展条文本。 如果指定，textEl将会被更新，否则进展条自己会显示更新过的文本。
更新进展条文本。 如果指定，textEl将会被更新，否则进展条自己会显示更新过的文本。
参数:
  • text : String
    (可选) The string to display in the progress text element (默认值为 '')
返回值:
  • Ext.ProgressBar
    this
 ProgressBar
wait( [Object config] ) : Ext.ProgressBar
初始化一个自动更新的进展条。 可以指定一个持续时间，在这种情况下经过固定的时间之后...
初始化一个自动更新的进展条。 可以指定一个持续时间，在这种情况下经过固定的时间之后 进展条会自动重置，并且可以选择指定一个回调函数，这里会调用它。 如果没有指定持续时间，进展条会无限运行并且必须通过调用 reset 方法来清理它。 wait方法可以接收含有如下属性的一个配置对象：
属性   Type          Description
---------- ------------  ----------------------------------------------------------------------
duration   Number        时间长度毫秒值，在此时间之前进展条一直运行，之后重置自己
                         (默认值为 undefined，在这种情况下进展条会无限运行，直到
                         reset函数被调用为止)
interval   Number        时间长度毫秒值，进展条每次更新的时间间隔
                         (默认值为 1000 ms)
increment  Number        显示在进展条内部的段数
                         (默认值为 10)。如果进展条到达了终点，但是仍然继续更新，那么
                           它将自动回卷到起点处。
text       String        可选文本，用来显示在进展条元素中(默认值为 '').
fn         Function      在进展条结束自动更新之后的回调函数。不传递任何参数给此函数。
                         如果duration没有指定，此方法将会被忽略，因为在这种情况下，
                         进展条只能通过程序终止，所以任何所需的函数都需要在相同的代码中
                         调用，这段代码负责重置进展条。
scope      Object        传递给回调函数的作用域(只有在duration和fn都被传递时才有效)。
示例用法:
var p = new Ext.ProgressBar({
   renderTo: 'my-el'
});

//等待5秒钟，然后更新状态元素(进展条将会自动重置)
p.wait({
   interval: 100, //bar will move fast!
   duration: 5000,
   increment: 15,
   text: 'Updating...',
   scope: this,
   fn: function(){
      Ext.fly('status').update('Done!');
   }
});

//或者无限滚动，直到某个异步操作完成，然后手动重置
p.wait();
myAction.on('complete', function(){
    p.reset();
    Ext.fly('status').update('Done!');
});
参数:
  • config : Object
    (可选) Configuration options
返回值:
  • Ext.ProgressBar
    this
 ProgressBar

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
update : ( Ext.ProgressBar this, Number The, String The )
在每次更新间隔之后触发
在每次更新间隔之后触发
监听器将以如下的参数调用:
  • this : Ext.ProgressBar
  • The : Number
    current progress value
  • The : String
    current progress text
 ProgressBar


Observable
    Component
      BoxComponent
        Container
          Panel
            Tip
              ToolTip
                QuickTip

Class Ext.QuickTip

包: | Ext
所在文件: | QuickTip.js
Class: | QuickTip
继承自: | ToolTip
一个特例化的tooltip类， 它是可以指定到标签中，或者被 全局的Ext.QuickTips实例 所管理的tooltip。 附加的用法细节和实例，请参见QuickTips类的头部。

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoHide : Boolean
如果为true，当鼠标移出目标元素， 或者到达dismissDelay 参数...
如果为true，当鼠标移出目标元素， 或者到达dismissDelay 参数指定的时间之后（如果有指定）， 自动隐藏提示信息。 如果closable为true 一个关闭工具按钮将会被渲染到 tooltip的头部。
ToolTip
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
closable : Boolean
如果为true，在此tip头部渲染一个关闭按钮(默认值为 false)。
Tip
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultAlign : String
实验性属性此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关...
实验性属性。 此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关(默认值为 "tl-bl?").
Tip
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
dismissDelay : Number
在tooltip自动隐藏之前延迟的毫秒数(默认值为 5000)...
在tooltip自动隐藏之前延迟的毫秒数(默认值为 5000)。（译者注：也就是tooltip显示的毫秒数）。 需要使自动隐藏无效，设置dismissDelay = 0。
ToolTip
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideDelay : Number
鼠标移出目标之后，tooltip隐藏之前的延迟时间毫秒数(默认值为 200)。 设置为...
鼠标移出目标之后，tooltip隐藏之前的延迟时间毫秒数(默认值为 200)。 设置为0，tooltip将立即隐藏。
ToolTip
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
interceptTitles : Boolean
如果为true，自动使用元素的DOM title值，如果可用(默认值为 false)。
QuickTip
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxWidth : Number
tip最大宽度像素值(默认值为 300). 最大支持到500。
Tip
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minWidth : Number
tip最小宽度像素值(默认值为 40).
Tip
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
mouseOffset : Array
一个到鼠标位置的偏移量，tooltip将会被显示在此位置(默认值为 [15,18])。
ToolTip
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
showDelay : Number
鼠标进入目标元素之后，tooltip显示之前的延迟时间毫秒数(默认值为 500)。
ToolTip
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
target : Mixed
关联到此quicktip的目标，可以是 HTMLElement、Ext.Element 或者一个id(默认值为document对象)。
QuickTip
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
trackMouse : Boolean
如果为true，当鼠标移过目标元素时，让tooltip跟随鼠标(默认值为 false)。
ToolTip
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
QuickTip( Object config )
Create a new Tip
Create a new Tip
参数:
  • config : Object
    The configuration options
返回值:
QuickTip
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
register( Object config ) : void
配置一个新的快速提示实例并将它分配到一个目标元素上。 支持如下的配置值(示例...
配置一个新的快速提示实例并将它分配到一个目标元素上。 支持如下的配置值(示例用法请参见：Ext.QuickTips类头部)：
  • autoHide
  • cls
  • dismissDelay (overrides the singleton value)
  • target (required)
  • text (required)
  • title
  • width
参数:
  • config : Object
    The config object
返回值:
  • void
 QuickTip
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showAt( Array xy ) : void
在指定的XY位置显示tip...
在指定的XY位置显示tip。 示例用法:
// Show the tip at x:50 and y:100
tip.showAt([50,100]);
参数:
  • xy : Array
    An array containing the x and y coordinates
返回值:
  • void
 Tip
showBy( Mixed el, [String position] ) : void
实验性属性。使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值...
实验性属性. 使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值，将此tip显示在紧靠另一个元素的位置。 示例用法:
// Show the tip at the default position ('tl-br?')
tip.showBy('my-el');

// Show the tip's top-left corner anchored to the element's top-right corner
tip.showBy('my-el', 'tl-tr');
参数:
  • el : Mixed
    An HTMLElement, Ext.Element or string id of the target element to align to
  • position : String
    (可选) A valid Ext.Element.alignTo anchor position (默认值为 'tl-br?' or defaultAlign if specified).
返回值:
  • void
 Tip
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unregister( String/HTMLElement/Element el ) : void
将此快速提示从它的元素中移除并销毁。
将此快速提示从它的元素中移除并销毁。
参数:
  • el : String/HTMLElement/Element
    需要从其中移除快速提示的元素。
返回值:
  • void
 QuickTip
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Class Ext.QuickTips

包: | Ext
所在文件: | QuickTips.js
Class: | QuickTips
继承自: | Object

为任何元素提供定制化的超炫tooltip。 QuickTips单例被用来为同一风格的多个元素配置和管理全局的tooltip。 为了最大程度地创建定制化的tooltip， 你既可以考虑使用Ext.Tip也可以考虑使用 Ext.ToolTip。

Quicktips可以通过标签的属性直接在标签中配置， 或者通过编程使用register 方法来使用。

Ext.QuickTip 的实例可以通过此类的getQuickTip方法 获得，并且支持Ext.QuickTip类所有的方法和所有的配置属性。 这些属性可以应用到所有此单态类中显示的tooltip。

以下是所有可用配置参数的列表。 详细描述请参见getQuickTip

QuickTips 单态配置(所有均是可选项)

  • dismissDelay
  • hideDelay
  • maxWidth
  • minWidth
  • showDelay
  • trackMouse

Target element configs (除非特别指定，其余均为可选项)

  • autoHide
  • cls
  • dismissDelay (overrides singleton value)
  • target (required)
  • text (required)
  • title
  • width

以下是一个示例，展示了部分配置选项的用法:

//初始化单例。任何基于标签的快速提示开始工作。
Ext.QuickTips.init();

//将一些配置属性应用到此单态
Ext.apply(Ext.QuickTips.getQuickTip(), {
    maxWidth: 200,
    minWidth: 100,
    showDelay: 50,
    trackMouse: true
});

//为指定的元素手工配置一个快速提示
q.register({
    target: 'my-div',
    title: 'My Tooltip',
    text: 'This tooltip was added in code',
    width: 100,
    dismissDelay: 20
});

需要在标签中注册一个快速提示， 你只要简单地添加一个或多个合法的QuickTip属性，以ext:命名空间前缀开头。 HTML元素自己将被自动地设置成快速提示的目标。 以下是所有支持属性的列表(除非特别指定，其它均为可选项):

  • hide: Specifying "user" is equivalent to setting autoHide = false. Any other value will be the same as autoHide = true.
  • qclass: 应用到此快速提示的CSS样式(等同于目标元素的'cls'配置项的target元素)。
  • qtip (必须参数): 快速提示的文本(等同于目标元素的'text'配置项)。
  • qtitle: 快速提示的标题(等同于目标元素的'title'配置项)。
  • qwidth: 快速提示的宽度(等同于目标元素的'width'配置项)。

这里是一个配置HTML元素的例子，使它从标签中显示一个快速提示:

//向一个HTML按钮中添加一个快速提示
<input type="button" value="OK" ext:qtitle="OK Button" ext:qwidth="100"
     ext:qtip="This is a quick tip from markup!"></input>

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
disable() : void
全局禁用快速提示。
全局禁用快速提示。
参数:
  • 无.
返回值:
  • void
 QuickTips
enable() : void
全局启用快速提示。
全局启用快速提示。
参数:
  • 无.
返回值:
  • void
 QuickTips
getQuickTip() : void
获取全局快速提示实例。
获取全局快速提示实例。
参数:
  • 无.
返回值:
  • void
 QuickTips
init( Boolean autoRender ) : void
Initialize the global QuickTips instance and prepare any quick tips.
Initialize the global QuickTips instance and prepare any quick tips.
参数:
  • autoRender : Boolean
    True to render the QuickTips container immediately to preload images. (Defaults to true)
返回值:
  • void
 QuickTips
isEnabled() : Boolean
如果启用了快速提示，返回true，否则返回false。
如果启用了快速提示，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 QuickTips
register( Object config ) : void
配置一个新的快速提示实例并将它分配到一个目标元素上。 详细请参见Ext.QuickTip.register。
配置一个新的快速提示实例并将它分配到一个目标元素上。 详细请参见Ext.QuickTip.register。
参数:
  • config : Object
    配置对象
返回值:
  • void
 QuickTips
tips( Object config ) : void
register 方法的别名。
register 方法的别名。
参数:
  • config : Object
    The config object
返回值:
  • void
 QuickTips
unregister( String/HTMLElement/Element el ) : void
从目标元素中删除所有快速提示并摧毁之。
从目标元素中删除所有快速提示并摧毁之。
参数:
  • el : String/HTMLElement/Element
    需要从其中删除快速提示的元素。
返回值:
  • void
 QuickTips

公共事件

该类没有公共事件。


Observable
    Resizable

Class Ext.Resizable

包: | Ext
所在文件: | Resizable.js
Class: | Resizable
继承自: | Observable

向一个元素上添加一个拖拽手柄，使它可以改变大小。 拖拽手柄被插入到元素中并被绝对定位。 某些元素，例如textarea或者image，不支持此操作。 为了客服这些，你可以把textarea包装到一个div中， 然后设置"resizeChild"为true(或者设置到元素的id)， 或者在你的配置项中设置wrap:true，然后 元素将自动为你包装好。

以下是合法的调整大小手柄列表：

Value   Description
------  -------------------
 'n'     north
 's'     south
 'e'     east
 'w'     west
 'nw'    northwest
 'sw'    southwest
 'se'    southeast
 'ne'    northeast
 'all'   all

这里是创建一个典型的Resizable的例子：

var resizer = new Ext.Resizable("element-id", {
    handles: 'all',
    minWidth: 200,
    minHeight: 100,
    maxWidth: 500,
    maxHeight: 400,
    pinned: true
});
resizer.on("resize", myHandler);

如果需要隐藏手柄的细节，在它的CSS中设置display为none，或者 通过脚本：
resizer.east.setDisplayed(false);

配置属性

配置属性 |  | 所在类
 | adjustments : Array/String 一个字符串"auto"，或者一个[width, height] 数组，包含被添加到... 一个字符串"auto"，或者一个[width, height] 数组，包含被添加到 调整大小之后的新的尺寸(默认值为 [0, 0]) | Resizable
 | animate : Boolean 设置为true将在调整大小时使用动画效果 (不可与动态设置大小一起使用，默认值为 false) | Resizable
 | constrainTo : Mixed 将大小调整约束在一个元素范围之内 | Resizable
 | disableTrackOver : Boolean 设置为true，禁用鼠标轨迹。 此项只可在配置时使用。 (默认值为 false) | Resizable
 | draggable : Boolean 初始化拖拽和放开的方便方法(默认值为 false) | Resizable
 | duration : Number animate = true时动画效果的持续时间(默认值为 .35) | Resizable
 | dynamic : Boolean 设置为true，当拖拽时重新设定元素的大小而不是使用一个 代理(默认值为 false) | Resizable
 | easing : String 如果 animate = true，放开时使用动画效果 (默认值为 'easingOutStrong') | Resizable
 | enabled : Boolean 设置为false禁用大小调整(默认值为 true) | Resizable
 | handles : String 调整大小的手柄所显示的字符串(默认值为 undefined) | Resizable
 | height : Number 元素高度像素值(默认值为 null) | Resizable
 | heightIncrement : Number 每次高度跳跃增加的像素值(dynamic项必须为true，默认值为 0) | Resizable
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | maxHeight : Number 元素的最大高度(默认值为 10000) | Resizable
 | maxWidth : Number 元素的最大宽度 (默认值为 10000) | Resizable
 | minHeight : Number 元素的最小高度(默认值为 5) | Resizable
 | minWidth : Number 元素的最小宽度(默认值为 5) | Resizable
 | minX : Number 元素在页面中所允许的最小X值 (仅仅在左侧边缘调整大小时有效，默认值为 0) | Resizable
 | minY : Number 元素在页面中允许的最小Y坐标 (仅仅在上边缘调整时使用，默认值为 0) | Resizable
 | multiDirectional : Boolean 已过期。 老的样式，用于在多个方法上添加更改大小的手柄... 已过期。 老的样式，用于在多个方法上添加更改大小的手柄， 不推荐，以便于手柄配置项(默认值为 false) | Resizable
 | pinned : Boolean 设置为true将确保调整大小的手柄总是有效的， false将只在鼠标滑过可改变大小的边缘时显示它们... 设置为true将确保调整大小的手柄总是有效的， false将只在鼠标滑过可改变大小的边缘时显示它们。 此项只可在配置时应用。 (默认值为 false) | Resizable
 | preserveRatio : Boolean 设置为true将在调整大小的过程中锁定宽高比(默认值为 false) | Resizable
 | resizeChild : Boolean/String/Element 设置为true将调整第一个子元素的大小， 或者是一个需要调整大小的元素id或者元素对象引用 (默认值为 false) | Resizable
 | resizeRegion : Ext.lib.Region 将大小约束在一个特定的区域 | Resizable
 | transparent : Boolean 设置为true将手柄透明化。 此项只可在配置时使用。 (默认值为 false) | Resizable
 | width : Number 元素宽度像素值(默认值为 null) | Resizable
 | widthIncrement : Number 每次宽度跳跃增加的像素值(dynamic项必须为true，默认值为 0) | Resizable
 | wrap : Boolean 设置为true将在必要的时候将元素包装到一个 div中 (对于textarea和image是必须的，默认值为 false) | Resizable

公共属性

Property |  | 所在类
 | proxy : Ext.Element. 在调整大小的过程中被用来替代真实的Element而调整大小。 此项可能要求使用... 在调整大小的过程中被用来替代真实的Element而调整大小。 此项可能要求使用 Ext.Element.getBox 方法来提供新尺寸的新的区域。 只读属性。 | Resizable

公共方法

Method 所在类
Resizable( Mixed el, Object config )
Create a new resizable component
Create a new resizable component
参数:
  • el : Mixed
    The id or element to resize
  • config : Object
    configuration options
返回值:
Resizable
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
destroy( [Boolean removeEl] ) : void
销毁当前resizable。如果此元素被包装过并且removeEl不为true，那么 保留此元素。
销毁当前resizable。如果此元素被包装过并且removeEl不为true，那么 保留此元素。
参数:
  • removeEl : Boolean
    (可选) true to remove the element from the DOM
返回值:
  • void
 Resizable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getEl() : Ext.Element
返回当前元素所绑定到的元素。
返回当前元素所绑定到的元素。
参数:
  • 无.
返回值:
  • Ext.Element
 Resizable
getResizeChild() : Ext.Element
返回resizeChild元素(或者null)。
返回resizeChild元素(或者null)。
参数:
  • 无.
返回值:
  • Ext.Element
 Resizable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resizeElement() : void
对相关的元素进行调整大小操作。 此方法在类的内部被调用，并且不应该在用户代码中...

对相关的元素进行调整大小操作。 此方法在类的内部被调用，并且不应该在用户代码中 调用。

如果一个Resizable被用来调整一个元素的大小， 而此元素包装了一个更复杂的UI组件，例如一个Panel， 可以覆盖此方法并在配置项中指定一个实现，以在调整 大小的操作结束鼠标弹起(mouseup)时提供 适当的行为，例如调整Panel的大小，并传播到Panel的内容。

调整大小后新的可用区域可以通过检测 proxy 元素的状态来确定。 例如：

new Ext.Panel({
    title: 'Resize me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    listeners: {
        render: function(p) {
            new Ext.Resizable(p.getEl(), {
                handles: 'all',
                pinned: true,
                transparent: true,
                resizeElement: function() {
                    var box = this.proxy.getBox();
                    p.updateBox(box);
                    if (p.layout) {
                        p.doLayout();
                    }
                    return box;
                }
           });
       }
    }
}).show();
参数:
  • 无.
返回值:
  • void
 Resizable
resizeTo( Number width, Number height ) : void
执行一次手工调整大小
执行一次手工调整大小
参数:
  • width : Number
  • height : Number
返回值:
  • void
 Resizable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeresize : ( Ext.Resizable this, Ext.EventObject e )
在允许调整大小之前触发。 设置enabled项为false可以取消调整大小。
在允许调整大小之前触发。 设置enabled项为false可以取消调整大小。
监听器将会以如下的参数格式调用:
  • this : Ext.Resizable
  • e : Ext.EventObject
    The mousedown event
 Resizable
resize : ( Ext.Resizable this, Number width, Number height, Ext.EventObject e )
在调整大小之后触发。
在调整大小之后触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Resizable
  • width : Number
    The new width
  • height : Number
    The new height
  • e : Ext.EventObject
    The mouseup event
 Resizable


Class Ext.Shadow

包: | Ext
所在文件: | Shadow.js
Class: | Shadow
继承自: | Object
简单的类，用来为任何元素提供一个阴影效果。 注意：元素必须是绝对定位的，并且阴影不提供任何衬垫效果。 该来应该只用在简单的情形之下---因为更高级的功能 也能提供相同的阴影效果， 参见Ext.Layer类。

配置属性

配置属性 |  | 所在类
 | mode : String 阴影的显示模式。 支持如下选项... 阴影的显示模式。 支持如下选项： sides: 阴影只显示在两边和底部 frame: 阴影均匀地显示在四周 drop: 传统的bottom-right下拉阴影 (default) | Shadow
 | offset : String 阴影到元素的偏移量像素数(默认值为 4) | Shadow

公共属性

该类没有公共属性。

公共方法

Method 所在类
Shadow( Object config )
Create a new Shadow
Create a new Shadow
参数:
  • config : Object
    The config object
返回值:
Shadow
hide() : void
隐藏阴影
隐藏阴影
参数:
  • 无.
返回值:
  • void
 Shadow
isVisible() : void
如果阴影可见，返回true，否则返回false
如果阴影可见，返回true，否则返回false
参数:
  • 无.
返回值:
  • void
 Shadow
realign( Number left, Number top, Number width, Number height ) : void
当值已经可用时的直接对齐。 在此方法之前，show方法必须至少被调用了一次...
当值已经可用时的直接对齐。 在此方法之前，show方法必须至少被调用了一次， 以确保它已经被初始化了。
参数:
  • left : Number
    The target element left position
  • top : Number
    The target element top position
  • width : Number
    The target element width
  • height : Number
    The target element height
返回值:
  • void
 Shadow
setZIndex( Number zindex ) : void
调整阴影的z-index
调整阴影的z-index
参数:
  • zindex : Number
    The new z-index
返回值:
  • void
 Shadow
show( Mixed targetEl ) : void
在目标元素下面显示阴影
在目标元素下面显示阴影
参数:
  • targetEl : Mixed
    The id or element under which the shadow should display
返回值:
  • void
 Shadow

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Slider

Class Ext.Slider

包: | Ext
所在文件: | Slider.js
Class: | Slider
继承自: | BoxComponent
滑动条支持垂直或水平方向上，键盘的调整，可配置的吸附，坐标轴点击和 动画效果。 可以作为一个项目添加到任何容器中。 示例用法:
new Ext.Slider({
    renderTo: Ext.getBody(),
    width: 200,
    value: 50,
    increment: 10,
    minValue: 0,
    maxValue: 100
});

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animate : Boolean
打开/关闭动画效果。默认为true
Slider
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
clickToChange : Boolean
是否在滑动条的坐标轴上点击时滑动滑动条。 默认为true
Slider
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
increment : Number
当通过拖拽进行调整时，滑动条变化的单位数。 使用此选项来启用'snapping'。
Slider
keyIncrement : Number
当使用键盘导航时，滑动条变化的单位数。 默认为1，如果increment配置更大...
当使用键盘导航时，滑动条变化的单位数。 默认为1，如果increment配置更大，则使用它代替。
Slider
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maxValue : Number
滑动条的最大值。默认为100
Slider
minValue : Number
滑动条的最小值。默认为0
Slider
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
value : Number
滑动条初始化时的值。 默认为minValue
Slider
vertical : Boolean
滑块处于垂直方向而不是水平，默认值为 false。
Slider
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | dragging : boolean 当滑块正在进行拖动操作，返回false | Slider
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getValue() : Number
返回滑动条当前的值
返回滑动条当前的值
参数:
  • 无.
返回值:
  • Number
    滑动条当前的值
 Slider
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setValue( Number value, Boolean animate ) : void
从程序中设置滚动条的值。 确保滚动条的值被约束在minValue和maxValue之间。
从程序中设置滚动条的值。确保滚动条的值被约束在minValue和maxValue之间。
参数:
  • value : Number
    设置给滚动条的值(此值将被约束在minValue和maxValue之间)
  • animate : Boolean
    打开或者关闭动画效果，默认值为 true
返回值:
  • void
 Slider
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
syncThumb() : void
根据滑动条当前的value 在组件总体宽度总所占的比例，将滑动钮同步到正确的位置...
根据滑动条当前的value 在组件总体宽度总所占的比例，将滑动钮同步到正确的位置。 当滑动条被布局调整宽度之后，此方法被自动调用， 但是如果滑动条被渲染成自动宽度， 如果需要，可以从其它处理器调用此方法来同步滚动条。
参数:
  • 无.
返回值:
  • void
 Slider
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforechange : ( Ext.Slider slider, Number newValue, Number oldValue )
在滑动条的值发生变化之前触发。 通过在时间监听器中返回一个false...
在滑动条的值发生变化之前触发。 通过在时间监听器中返回一个false， 你可以取消事件并阻止滑动条变化。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • newValue : Number
    The new value which the slider is being changed to.
  • oldValue : Number
    The old value which the slider was previously.
 Slider
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
change : ( Ext.Slider slider, Number newValue )
当滑动条的值发生变化之后触发。
当滑动条的值发生变化之后触发。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • newValue : Number
    The new value which the slider has been changed to.
 Slider
changecomplete : ( Ext.Slider slider, Number newValue )
当滑动条的值被用户改变并且拖拽操作已经结束时触发。
当滑动条的值被用户改变并且拖拽操作已经结束时触发。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • newValue : Number
    滑动条被设置的新的值。
Slider
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
drag : ( Ext.Slider slider, Ext.EventObject e )
在进行拖动操作鼠标移动时持续触发。
在进行拖动操作鼠标移动时持续触发。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • e : Ext.EventObject
    The event fired from Ext.dd.DragTracker
 Slider
dragend : ( Ext.Slider slider, Ext.EventObject e )
当拖动操作结束之后触发。
当拖动操作结束之后触发。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • e : Ext.EventObject
    The event fired from Ext.dd.DragTracker
 Slider
dragstart : ( Ext.Slider slider, Ext.EventObject e )
在拖动操作开始之后触发。
在拖动操作开始之后触发。
监听器将会以如下的参数格式调用:
  • slider : Ext.Slider
    The slider
  • e : Ext.EventObject
    The event fired from Ext.dd.DragTracker
 Slider
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


SplitBar.BasicLayoutAdapter
    SplitBar.AbsoluteLayoutAdapter

Class Ext.SplitBar.AbsoluteLayoutAdapter

包: | Ext
所在文件: | SplitBar.js
Class: | SplitBar.AbsoluteLayoutAdapter
继承自: | SplitBar.BasicLayoutAdapter
适配器，移动分隔元素，使其与大小发生改变的元素对齐。 与一个绝对定位的SplitBar一起使用。

公共属性

Property |  | 所在类
 | SplitBar.AbsoluteLayoutAdapter.BOTTOM : Number <静态> 位置常量 -被调整大小的元素被放置在分隔元素之下 | SplitBar.AbsoluteLayoutAdapter
 | SplitBar.AbsoluteLayoutAdapter.HORIZONTAL : Number <静态> 方向常量- 创建一个水平的SplitBar | SplitBar.AbsoluteLayoutAdapter
 | SplitBar.AbsoluteLayoutAdapter.LEFT : Number <静态> 位置常量 -被调整大小的元素被放置在分隔元素左侧 | SplitBar.AbsoluteLayoutAdapter
 | SplitBar.AbsoluteLayoutAdapter.RIGHT : Number <静态> 位置常量 -被调整大小的元素被放置在分隔元素右侧 | SplitBar.AbsoluteLayoutAdapter
 | SplitBar.AbsoluteLayoutAdapter.TOP : Number <静态> 位置常量 -被调整大小的元素被放置在分隔元素之上 | SplitBar.AbsoluteLayoutAdapter
 | SplitBar.AbsoluteLayoutAdapter.VERTICAL : Number <静态> 方向常量- 创建一个垂直的SplitBar | SplitBar.AbsoluteLayoutAdapter

公共方法

Method 所在类
getElementSize( Ext.SplitBar s ) : void
在拖拽操作之前调用，以便获得被改变大小元素的当前大小。
在拖拽操作之前调用，以便获得被改变大小元素的当前大小。
参数:
  • s : Ext.SplitBar
    The SplitBar using this adapter
返回值:
  • void
 SplitBar.BasicLayoutAdapter
setElementSize( Ext.SplitBar s, Number newSize, Function onComplete ) : void
在拖拽操作之后调用，以便设置被调整元素的大小。
在拖拽操作之后调用，以便设置被调整元素的大小。
参数:
  • s : Ext.SplitBar
    The SplitBar using this adapter
  • newSize : Number
    The new size to set
  • onComplete : Function
    A function to be invoked when resizing is complete
返回值:
  • void
 SplitBar.BasicLayoutAdapter

公共事件

该类没有公共事件。


Class Ext.SplitBar.BasicLayoutAdapter

包: | Ext
所在文件: | SplitBar.js
Class: | SplitBar.BasicLayoutAdapter
子类: | SplitBar.AbsoluteLayoutAdapter
继承自: | Object
默认的适配器。 它负责呈现没有定位的分割器和大小发生改变的元素， 并且仅仅get/set元素的宽度。 一般用于基于表格的布局。

公共属性

该类没有公共属性。

公共方法

Method 所在类
getElementSize( Ext.SplitBar s ) : void
在拖拽操作之前调用，以便获得被改变大小元素的当前大小。
在拖拽操作之前调用，以便获得被改变大小元素的当前大小。
参数:
  • s : Ext.SplitBar
    The SplitBar using this adapter
返回值:
  • void
 SplitBar.BasicLayoutAdapter
setElementSize( Ext.SplitBar s, Number newSize, Function onComplete ) : void
在拖拽操作之后调用，以便设置被调整元素的大小。
在拖拽操作之后调用，以便设置被调整元素的大小。
参数:
  • s : Ext.SplitBar
    The SplitBar using this adapter
  • newSize : Number
    The new size to set
  • onComplete : Function
    A function to be invoked when resizing is complete
返回值:
  • void
 SplitBar.BasicLayoutAdapter

公共事件

该类没有公共事件。


Observable
    SplitBar

Class Ext.SplitBar

包: | Ext
所在文件: | SplitBar.js
Class: | SplitBar
继承自: | Observable
在两个元素之间创建分隔工具条 (被拖拽的元素和被设置大小的元素)。

用法:
var split = new Ext.SplitBar("elementToDrag",
"elementToSize",
                   Ext.SplitBar.HORIZONTAL, Ext.SplitBar.LEFT);
split.setAdapter(new Ext.SplitBar.AbsoluteLayoutAdapter("container"));
split.minSize = 100;
split.maxSize = 600;
split.animate = true;
split.on('moved', splitterMoved);

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | animate : Boolean 在转换成新的大小时是否使用动画效果 | SplitBar
 | maxSize : Number 被调整大小的元素的最大尺寸(默认为2000) | SplitBar
 | minSize : Number 被调整大小的元素的最小尺寸(默认为0) | SplitBar
 | useShim : Boolean 当拖拽时是否创建一个透明的衬垫覆盖住页面， 允许在不同的iframe之间拖拽。 | SplitBar

公共方法

Method 所在类
SplitBar( Mixed dragElement, Mixed resizingElement, [Number orientation], [Number placement] )
Create a new SplitBar
Create a new SplitBar
参数:
  • dragElement : Mixed
    The element to be dragged and act as the SplitBar.
  • resizingElement : Mixed
    The element to be resized based on where the SplitBar element is dragged
  • orientation : Number
    (可选) Either Ext.SplitBar.HORIZONTAL or Ext.SplitBar.VERTICAL. (Defaults to HORIZONTAL)
  • placement : Number
    (可选) Either Ext.SplitBar.LEFT or Ext.SplitBar.RIGHT for horizontal or Ext.SplitBar.TOP or Ext.SplitBar.BOTTOM for vertical. (By default, this is determined automatically by the initial position of the SplitBar).
返回值:
SplitBar
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
destroy( Boolean removeEl ) : void
销毁splitbar
销毁splitbar
参数:
  • removeEl : Boolean
    True to remove the element
返回值:
  • void
 SplitBar
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getAdapter() : The
获取SplitBar使用的适配器
获取SplitBar使用的适配器
参数:
  • 无.
返回值:
  • The
    adapter object
 SplitBar
getMaximumSize() : Number
获取被调整大小元素的最大尺寸
获取被调整大小元素的最大尺寸
参数:
  • 无.
返回值:
  • Number
    最大尺寸
 SplitBar
getMinimumSize() : Number
获取被调整大小的元素的最小尺寸
获取被调整大小的元素的最小尺寸
参数:
  • 无.
返回值:
  • Number
    最小尺寸
 SplitBar
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setAdapter( Object adapter ) : void
设置SplitBar使用的适配器
设置SplitBar使用的适配器
参数:
  • adapter : Object
    A SplitBar adapter object
返回值:
  • void
 SplitBar
setCurrentSize( Number size ) : void
设置被改变大小的元素的初始化尺寸
设置被改变大小的元素的初始化尺寸
参数:
  • size : Number
    The initial size
返回值:
  • void
 SplitBar
setMaximumSize( Number maxSize ) : void
设置被改变大小的元素的最大尺寸
设置被改变大小的元素的最大尺寸
参数:
  • maxSize : Number
    The maximum size
返回值:
  • void
 SplitBar
setMinimumSize( Number minSize ) : void
设置被改变大小的元素的最小尺寸
设置被改变大小的元素的最小尺寸
参数:
  • minSize : Number
    The minimum size
返回值:
  • void
 SplitBar
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeresize : ( Ext.SplitBar this )
当分割器被拖动时触发
当分割器被拖动时触发
监听器将会以如下的参数格式调用:
  • this : Ext.SplitBar
 SplitBar
moved : ( Ext.SplitBar this, Number newSize )
当分隔元素被移动时触发
当分隔元素被移动时触发
监听器将会以如下的参数格式调用:
  • this : Ext.SplitBar
  • newSize : Number
    the new width or height
 SplitBar
resize : ( Ext.SplitBar this, Number newSize )
当分割器被删除时触发({@link #event-moved}的别名)
当分割器被删除时触发({@link #event-moved}的别名)
监听器将会以如下的参数格式调用:
  • this : Ext.SplitBar
  • newSize : Number
    the new width or height
 SplitBar


Observable
    Component
      Button
        SplitButton

Class Ext.SplitButton

包: | Ext
所在文件: | SplitButton.js
Class: | SplitButton
子类: | CycleButton, Toolbar.SplitButton
继承自: | Button
一个分隔按钮，提供一个内建的下拉箭头，可以独立从按钮的点击事件中 触发出一个事件。 典型的情况下，该类被用来显示一个下拉菜单，为主要的按钮动作 提供额外补充的选项，但是任何定制的处理函数都可以提供对箭头点击的实现。 示例用法:
// display a dropdown menu:
new Ext.SplitButton({
    renderTo: 'button-ct', // the container id
       text: 'Options',
       handler: optionsHandler, // handle a click on the button itself
       menu: new Ext.menu.Menu({
        items: [
            // these items will render as dropdown menu items when the arrow is clicked:
            {text: 'Item 1', handler: item1Handler},
            {text: 'Item 2', handler: item2Handler}
        ]
       })
});

// 你可以定制需要的任意类型的功能，当下拉箭头被点击时调用，而不是显示一个菜单:
new Ext.SplitButton({
    renderTo: 'button-ct',
       text: 'Options',
       handler: optionsHandler,
       arrowHandler: myCustomHandler
});

配置属性

配置属性 所在类
allowDepress : Boolean
设置为false将允许一个按下的按钮弹起来(默认值为 undefined)。 只有当 enableToggle 为true时有效。
Button
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
arrowHandler : Function
当箭头按钮被点击时调用的函数 (可以用来代替点击事件)
SplitButton
arrowTooltip : String
箭头的title属性
SplitButton
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clickEvent : String
映射到按钮事件处理器上的事件类型 (默认值为 'click')
Button
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
enableToggle : Boolean
设置为true将允许固定按下/非按下状态(默认值为 false)
Button
handleMouseEvents : Boolean
设置为true，将禁用发生 mouseover, mouseout 和 mousedown事件时的视觉提示 (默认值为 true)
Button
handler : Function
当按钮被点击时调用的方法 (可以用来替代点击事件)
Button
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
icon : String
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮...
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮， 请设置cls:"x-btn-text-icon")
Button
iconCls : String
一个CSS类，设置一个背景图片，当前按钮将使用此图片作为图标
Button
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
Button
menuAlign : String
菜单对齐的位置 (详情参见Ext.Element.alignTo ，默认值为 'tl-bl?').
Button
minWidth : Number
按钮的最小宽度(用来为一组按钮指定一个统一的宽度)
Button
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
pressed : Boolean
只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效)
Button
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
repeat : Boolean/Object
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
Button
scope : Object
处理函数的作用域
Button
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
为当前按钮设置一个DOM tabIndex(默认值为 undefined)
Button
template : Ext.Template
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素...
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素。 如果被用来显示文本属性，Template必须包含一个数值以替代参数0 更改模板需要修改代码，如果需要的元素(例如一个按钮)没有出现。
Button
text : String
按钮文本
Button
toggleGroup : String
当前被按下的按钮所属的组 (一组中只有1个按钮可以被按下， 只有在enableToggle = true时有效)
Button
toggleHandler : Function
当一个enableToggle 被设置为true的按钮被点击时调用的函数...
当一个enableToggle 被设置为true的按钮被点击时调用的函数。 将会传递两个参数：
  • button : Ext.Button
    当前Button对象
  • state : Boolean
    Button的下一个状态，true表示按下。
 Button
tooltip : String/Object
按钮的tooltip---可以是一个字符串，或者一个QuickTips配置对象
Button
tooltipType : String
使用的tooltip类型。 要么是 "qtip" (默认) QuickTips 要么是"title"以做标题属性。
Button
type : String
submit, reset 或者 button - 默认值为 'button'
Button
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | pressed : Boolean 只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效) | Button
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
SplitButton( Object config )
Create a new menu button
Create a new menu button
参数:
  • config : Object
    The config object
返回值:
SplitButton
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getText() : String
获取此按钮的文本
获取此按钮的文本
参数:
  • 无.
返回值:
  • String
    按钮文本
 Button
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasVisibleMenu() : Boolean
如果按钮有一个菜单，并且它是可见的，返回true
如果按钮有一个菜单，并且它是可见的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Button
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideMenu() : void
隐藏当前按钮的菜单（如果有的话）
隐藏当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Button
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setArrowHandler( Function handler, [Object scope] ) : void
设置按钮箭头的点击处理方法。
设置按钮箭头的点击处理方法。
参数:
  • handler : Function
    The function to call when the arrow is clicked
  • scope : Object
    (可选) Scope for the function passed above
返回值:
  • void
 SplitButton
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, [Object scope] ) : void
指定按钮的点击处理器
指定按钮的点击处理器
参数:
  • handler : Function
    The function to call when the button is clicked
  • scope : Object
    (可选) Scope for the function passed in
返回值:
  • void
 Button
setIconClass( String cls ) : void
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
参数:
  • cls : String
    提供图标图片的CSS类
返回值:
  • void
 Button
setText( String text ) : void
设置按钮的文本
设置按钮的文本
参数:
  • text : String
    按钮文本
返回值:
  • void
 Button
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showMenu() : void
显示当前按钮的菜单（如果有的话）
显示当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle( [Boolean state] ) : void
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
参数:
  • state : Boolean
    (可选) 强制设为一个指定的状态
返回值:
  • void
 Button
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
arrowclick : ( MenuButton this, EventObject e )
当按钮上的箭头被点击时触发
当按钮上的箭头被点击时触发
监听器将会以如下的参数格式调用:
  • this : MenuButton
  • e : EventObject
    The click event
 SplitButton
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Button this, EventObject e )
当按钮被点击时触发
当按钮被点击时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : EventObject
    The click event
 Button
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
menuhide : ( Button this, Menu menu )
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menushow : ( Button this, Menu menu )
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menutriggerout : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
menutriggerover : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
mouseout : ( Button this, Event e )
当鼠标离开按钮时触发
当鼠标离开按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
mouseover : ( Button this, Event e )
当鼠标滑过按钮时触发
当鼠标滑过按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
toggle : ( Button this, Boolean pressed )
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
监听器将会以如下的参数格式调用:
  • this : Button
  • pressed : Boolean
 Button


Provider
    CookieProvider

Class Ext.state.CookieProvider

包: | Ext.state
所在文件: | CookieProvider.js
Class: | CookieProvider
继承自: | Provider
Provider的默认实现，通过cookies保存状态。
Usage:
var cp = new Ext.state.CookieProvider({
       path: "/cgi-bin/",
       expires: new Date(new Date().getTime()+(1000*60*60*24*30)), //30 days
       domain: "extjs.com"
   });
   Ext.state.Manager.setProvider(cp);

配置属性

配置属性 |  | 所在类
 | domain : String 保存cookie的域名。 注意，你不能指定一个与你所在的页面不同的域名， 但是你可以指定一个子域名，或者页面所在域名本身... 保存cookie的域名。 注意，你不能指定一个与你所在的页面不同的域名， 但是你可以指定一个子域名，或者页面所在域名本身，例如'extjs.com'， 以包含所有需要通过cookies访问的不同子域(默认值为 null，它使用当前正在运行的页面的域名 包含'www'字符，例如'www.extjs.com') | CookieProvider
 | expires : Date cookie失效日期(默认值为 7 天以后) | CookieProvider
 | path : String 设置激活cookie的路径 (默认值为 root '/'将激为此站点的所有页面激活cookie) | CookieProvider
 | secure : Boolean 如果站点使用SSL，为true(默认值为 false) | CookieProvider

公共属性

该类没有公共属性。

公共方法

Method 所在类
CookieProvider( Object config )
Create a new CookieProvider
Create a new CookieProvider
参数:
  • config : Object
    The configuration object
返回值:
CookieProvider
clear( String name ) : void
从状态中清除一个值
从状态中清除一个值
参数:
  • name : String
    The key name
返回值:
  • void
 Provider
decodeValue( String value ) : Mixed
对先前使用 encodeValue 编码的一个字符串进行解码。
对先前使用 encodeValue 编码的一个字符串进行解码。
参数:
  • value : String
    The value to decode
返回值:
  • Mixed
    The decoded value
 Provider
encodeValue( Mixed value ) : String
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
参数:
  • value : Mixed
    The value to encode
返回值:
  • String
    The encoded value
 Provider
get( String name, Mixed defaultValue ) : Mixed
返回一个key的当前值
返回一个key的当前值
参数:
  • name : String
    The key name
  • defaultValue : Mixed
    A default value to return if the key's value is not found
返回值:
  • Mixed
    The state data
 Provider
set( String name, Mixed value ) : void
为一个key设置一个值
为一个key设置一个值
参数:
  • name : String
    The key name
  • value : Mixed
    The value to set
返回值:
  • void
 Provider

公共事件

Event 所在类
statechange : ( Provider this, String key, String value )
当状态发生改变时触发。
当状态发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : Provider
    This state provider
  • key : String
    The state key which was changed
  • value : String
    The encoded value for the state
 Provider


Class Ext.state.Manager

包: | Ext.state
所在文件: | StateManager.js
Class: | Manager
继承自: | Object
这是一个全局状态管理器。 默认情况下，如果你不传递一个特定的状态提供者(state provider)，所有具有状态的组件将检测此类以获取状态信息。 为了让该类能起作用，必须在你的程序初始化时初始化此类并提供一个状态提供者(provider)。 示例用法:
// in your initialization function
init : function(){
   Ext.state.Manager.setProvider(new Ext.state.CookieProvider());
   var win = new Window(...);
   win.restoreState();
}

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
clear( String name ) : void
从状态中清除一个值
从状态中清除一个值
参数:
  • name : String
    The key name
返回值:
  • void
 Manager
get( String name, Mixed defaultValue ) : Mixed
根据指定的key返回当前的值
根据指定的key返回当前的值
参数:
  • name : String
    The key name
  • defaultValue : Mixed
    The default value to return if the key lookup does not match
返回值:
  • Mixed
    The state data
 Manager
getProvider() : Provider
获取当前配置的状态提供者 （state provider）
获取当前配置的状态提供者 （state provider）
参数:
  • 无.
返回值:
  • Provider
    The state provider
 Manager
set( String name, Mixed value ) : void
为一个key设置值
为一个key设置值
参数:
  • name : String
    The key name
  • value : Mixed
    The state data
返回值:
  • void
 Manager
setProvider( Provider stateProvider ) : void
为你的程序配置默认的状态提供者(state provider)
为你的程序配置默认的状态提供者(state provider)
参数:
  • stateProvider : Provider
    The state provider to set
返回值:
  • void
 Manager

公共事件

该类没有公共事件。


Class Ext.state.Provider

包: | Ext.state
所在文件: | Provider.js
Class: | Provider
子类: | FileProvider, CookieProvider
继承自: | Object
为状态提供者(state provider)的实现提供抽象基类。 该类提供对有类型的变量包括日期进行编码和解码的功能，并定义了Provider接口。

公共属性

该类没有公共属性。

公共方法

Method 所在类
clear( String name ) : void
从状态中清除一个值
从状态中清除一个值
参数:
  • name : String
    The key name
返回值:
  • void
 Provider
decodeValue( String value ) : Mixed
对先前使用 encodeValue 编码的一个字符串进行解码。
对先前使用 encodeValue 编码的一个字符串进行解码。
参数:
  • value : String
    The value to decode
返回值:
  • Mixed
    The decoded value
 Provider
encodeValue( Mixed value ) : String
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
编码一个值，包含类型信息。 使用 decodeValue 可以解码。
参数:
  • value : Mixed
    The value to encode
返回值:
  • String
    The encoded value
 Provider
get( String name, Mixed defaultValue ) : Mixed
返回一个key的当前值
返回一个key的当前值
参数:
  • name : String
    The key name
  • defaultValue : Mixed
    A default value to return if the key's value is not found
返回值:
  • Mixed
    The state data
 Provider
set( String name, Mixed value ) : void
为一个key设置一个值
为一个key设置一个值
参数:
  • name : String
    The key name
  • value : Mixed
    The value to set
返回值:
  • void
 Provider

公共事件

Event 所在类
statechange : ( Provider this, String key, String value )
当状态发生改变时触发。
当状态发生改变时触发。
监听器将会以如下的参数格式调用:
  • this : Provider
    This state provider
  • key : String
    The state key which was changed
  • value : String
    The encoded value for the state
 Provider


Observable
    Component
      BoxComponent
        Toolbar
          StatusBar

Class Ext.StatusBar

包: | Ext
所在文件: | StatusBar.js
Class: | StatusBar
继承自: | Toolbar

基本的状态栏组件，可以被用作任何Ext.Panel 的底部工具栏。 除了支持标准的 Ext.Toolbar 接口可以添加按钮、彩带和其它项目之外， StatusBar提供一个贪婪的（译者注：此处“贪婪的”含义类似于正则表达式中的含义） 状态元素，可以将它对齐到任意一边，并且有便捷的方法来设置状态文本和图标。 在处理一些任务的过程中，你可以通过 showBusy 方法来显示一些简要的说明。

注意: 虽然StatusBar支持xtype:'statusbar'，但是，当前版本中Ext.Toolbar(基类)不支持 xtype。 因为这个原因，如果你向StatusBar中添加Toolbar项目，为了这些项目能正确渲染， 你必须使用"new StatusBar()"语法来声明。

new Ext.Panel({
    title: 'StatusBar',
    // etc.
    bbar: new Ext.StatusBar({
        id: 'my-status',

        // 当状态被清除后使用的默认值:
        defaultText: 'Default status text',
        defaultIconCls: 'default-icon',

        // 设置的初始值:
        text: 'Ready',
        iconCls: 'ready-icon',

        // 任何标准的Toolbar项目:
        items: [{
            text: 'A Button'
        }, '-', 'Plain Text']
    })
});

// 以后在代码中更新状态栏:
var sb = Ext.getCmp('my-status');
sb.setStatus({
    text: 'OK',
    iconCls: 'ok-icon',
    clear: true // auto-clear after a set interval
});

// 设置状态栏，显示正在处理的事情:
sb.showBusy();

// processing....

sb.clearStatus(); // once completeed

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoClear : Number
在通过setStatus 设置状态栏之后，自动清除状态栏文本和图标之前等待的毫秒数(默认值为 5000)...
在通过setStatus 设置状态栏之后，自动清除状态栏文本和图标之前等待的毫秒数(默认值为 5000)。 注意：只有传递 clear参数给setStatus方法时此配置才有效， 因为这是唯一可以延时清除状态栏的方法。 可以通过为setStatus方法指定一个不同的wait值覆盖此项。 调用 clearStatus 方法总是立即清除状态栏并忽略此值。
StatusBar
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
busyIconCls : String
当调用 showBusy 方法时应用的默认iconCls (默认值为 'x-status-busy')...
当调用 showBusy 方法时应用的默认iconCls (默认值为 'x-status-busy')。 可以在任意时刻覆盖它，通过传递iconCls参数到showBusy方法。 定制图标的额外细节参见iconCls配置项的文档。
StatusBar
busyText : String
默认text ，当调用 showBusy 时应用 (默认值为 'Loading...')...
默认text ，当调用 showBusy 时应用 (默认值为 'Loading...')。 可以在任意时刻覆盖它，通过传递text参数到showBusy方法。
StatusBar
cls : String
基本CSS类，被应用到渲染此组件的容器元素 (默认值为 'x-statusbar')
StatusBar
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultIconCls : String
默认的iconCls 值 (定制图标的额外细节参见iconCls配置项的文档)...
默认的iconCls 值 (定制图标的额外细节参见iconCls配置项的文档)。 任何时刻通过 useDefaults:true 配置项 清除滚动条，此值都会被使用 (默认值为 '').
StatusBar
defaultText : String
默认的 text 值。任何时候，当状态栏被useDefaults:true选项清理时使用 (默认值为 '')。
默认的 text 值。任何时候，当状态栏被useDefaults:true选项清理时使用 (默认值为 '')。
StatusBar
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
iconCls : String
一个被应用到状态元素的CSS类，期望提供一个背景图片，用作 状态栏的图标(默认值为 '')...
一个被应用到状态元素的CSS类，期望提供一个背景图片，用作 状态栏的图标(默认值为 '')。 样式被直接应用到div，其中也包含了状态文本，， 所以规则中应该为div提供适当的padding，以便 为图片留出空间。 示例用法:
// CSS规则示例:
.x-statusbar .x-status-custom {
    padding-left: 25px;
    background: transparent url(images/custom-icon.gif) no-repeat 3px 3px;
}

// 初始化状态栏:
var sb = new Ext.StatusBar({
    defaultIconCls: 'x-status-custom'
});

// 在代码中设置它:
sb.setStatus({
    text: 'New status',
    iconCls: 'x-status-custom'
});
 StatusBar
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
statusAlign : String
StatusBar布局中全部状态元素的对齐方式。 当StatusBar被渲染时，它会创建一个内部的div，包含状态文本和图标...
StatusBar布局中全部状态元素的对齐方式。 当StatusBar被渲染时，它会创建一个内部的div，包含状态文本和图标。 通过items 配置项，或者通过add ，或者其它任何支持的add*方法 添加到StatusBar的任何附加Toolbar项目，将会被按照添加的顺序向对边渲染。 状态栏元素是贪婪的，所以它将会自动扩展并占据其它项目留下来的所有空间。 示例用法:
// Create a left-aligned status bar containing a button,
// separator and text item that will be right-aligned (default):
new Ext.Panel({
    title: 'StatusBar',
    // etc.
    bbar: new Ext.StatusBar({
        defaultText: 'Default status text',
        id: 'status-id',
        items: [{
            text: 'A Button'
        }, '-', 'Plain Text']
    })
});

// By adding the statusAlign config, this will create the
// exact same toolbar, except the status and toolbar item
// layout will be reversed from the previous example:
new Ext.Panel({
    title: 'StatusBar',
    // etc.
    bbar: new Ext.StatusBar({
        defaultText: 'Default status text',
        id: 'status-id',
        statusAlign: 'right',
        items: [{
            text: 'A Button'
        }, '-', 'Plain Text']
    })
});
 StatusBar
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
text : String
一个字符串，将会被渲染到状态栏元素中作为状态栏消息(默认值为 '');
StatusBar
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Ext.util.MixedCollection Toolbar中项目的集合(MixedCollection) | Toolbar
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
StatusBar( Object/Array config )
Creates a new StatusBar
Creates a new StatusBar
参数:
  • config : Object/Array
    A config object
返回值:
StatusBar
add( Mixed arg1, Mixed arg2, Mixed etc. ) : void
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
参数:
  • arg1 : Mixed
    以下的所有参数类型都是合法的:
    • Ext.Toolbar.Button 配置: 一个合法的按钮配置对象 (等价于addButton)
    • HtmlElement: 任何标准的HTML元素(等价于addElement)
    • Field: 任何表单输入栏(等价于addField)
    • Item: Ext.Toolbar.Item 的任何子类(等价于addItem)
    • String:任何普通的字符串(使用Ext.Toolbar.TextItem来包装 , 等价于addText). 注意，有一些特殊的字符串将被区别对待，解释如下。
    • 'separator' 或者 '-': 创建一个分隔栏元素(等价于addSeparator)
    • ' ': 创建一个分隔元素 (等价于addSpacer)
    • '->': 创建一个填充元素(等价于 addFill)
  • arg2 : Mixed
  • etc. : Mixed
返回值:
  • void
 Toolbar
addButton( Object/Array config ) : Ext.Toolbar.Button/Array
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
参数:
  • config : Object/Array
    A button config or array of configs
返回值:
  • Ext.Toolbar.Button/Array
 Toolbar
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addDom( Object config ) : Ext.Toolbar.Item
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
参数:
  • config : Object
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addElement( Mixed el ) : Ext.Toolbar.Item
向toolbar中添加任何标准的HTML元素
向toolbar中添加任何标准的HTML元素
参数:
  • el : Mixed
    需要添加的元素或者元素id
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addField( Ext.form.Field field ) : Ext.Toolbar.Item
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的...
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的。 对于已经渲染的输入栏，使用 addElement。
参数:
  • field : Ext.form.Field
返回值:
  • Ext.Toolbar.Item
 Toolbar
addFill() : Ext.Toolbar.Fill
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
参数:
  • 无.
返回值:
  • Ext.Toolbar.Fill
    The fill item
 Toolbar
addItem( Ext.Toolbar.Item item ) : Ext.Toolbar.Item
添加任何Toolbar.Item 或者其子类
添加任何Toolbar.Item 或者其子类
参数:
  • item : Ext.Toolbar.Item
返回值:
  • Ext.Toolbar.Item
    The item
 Toolbar
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSeparator() : Ext.Toolbar.Item
添加一个分隔栏
添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.Toolbar.Item
    The separator item
 Toolbar
addSpacer() : Ext.Toolbar.Spacer
添加一个间隔元素
添加一个间隔元素
参数:
  • 无.
返回值:
  • Ext.Toolbar.Spacer
    The spacer item
 Toolbar
addText( String text ) : Ext.Toolbar.Item
向toolbar中添加文本
向toolbar中添加文本
参数:
  • text : String
    The text to add
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
clearStatus( [Object config] ) : Ext.StatusBar
清除状态 text 和 iconCls 。 也支持通过一个可选的渐隐动画效果来清除。
清除状态 text 和 iconCls 。 也支持通过一个可选的渐隐动画效果来清除。
参数:
  • config : Object
    (可选) 一个配置对象，包含以下部分或全部参数。 如果没有指定此对象，状态栏将会使用以下的默认值来清除:
    • anim {Boolean} : (可选) 设置为true，将通过渐隐状态元素来清理状态栏( 默认为false，立即清除)。
    • useDefaults {Boolean} : (可选) 设置为true， 使用defaultText 和 defaultIconCls 重置文本和图标(默认值为 false ，将会把文本设置为''并且删除任何现有的图标CSS类)。
返回值:
  • Ext.StatusBar
    this
 StatusBar
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getText() : String
返回当前的状态文本。
返回当前的状态文本。
参数:
  • 无.
返回值:
  • String
    The status text
 StatusBar
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insertButton( Number index, Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array item ) : Ext.Toolbar.Button/Item
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
参数:
  • index : Number
    The index where the item is to be inserted
  • item : Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array
    The button, or button config object to be inserted, or an array of buttons/configs.
返回值:
  • Ext.Toolbar.Button/Item
 Toolbar
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIcon( [String iconCls] ) : Ext.StatusBar
用来直接设置状态图标的便捷方法。 更多灵活的配置参见...
用来直接设置状态图标的便捷方法。 更多灵活的配置参见 setStatus。 定制图标的完整细节参见 iconCls 。
参数:
  • iconCls : String
    (可选) The icon class to set (默认值为 '', and any current icon class is removed)
返回值:
  • Ext.StatusBar
    this
 StatusBar
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setStatus( [Object/String config] ) : Ext.StatusBar
设置状态栏的 text and/or iconCls。 也支持在所设置的一段时间之后自动清除状态栏。
设置状态栏的 text and/or iconCls。 也支持在所设置的一段时间之后自动清除状态栏。
参数:
  • config : Object/String
    一个配置对象，指定了将状态栏设置为何值，或者是一个字符串，被假定为状态栏的文本 (并且以下描述的所有其它选项都使用默认值)。 可以传递一个配置对象，可以包含以下部分或者全部参数:
    • text {String} : (可选) 显示的状态栏文本呢。如果没有指定，任何现有的状态栏文本都保持不变。
    • iconCls {String} : (可选) 一个用来定制状态栏图标的CSS类 (详情参见 iconCls )。 如果没有指定，任何现有的iconCls都保持不变。
    • clear {Boolean/Number/Object} : (可选) 允许你指定一个定时回调，在指定的时间之后会自动清除状态栏的文本和iconCls。 如果没有指定clear，新的状态将不会自动清除，并且会一直保持，直到使用 clearStatus 再次更新为止。 如果传递了一个true，状态栏将会被使用 autoClear 、 defaultText 和 defaultIconCls 来清除，并且含有一个消隐动画效果。 如果传递了一个数值，它将被用作回调的时间间隔 (毫秒)，覆盖 autoClear 的值。 其它所有的选项将会使用默认值，就像传递布尔值选项一样。 如需定制其它选项，你可以传递一个对象，格式为：:
      • wait {Number} : (可选) 在清除之前等待的毫秒数 (默认值为 autoClear).
      • anim {Number} : (可选) 设置为false，一旦回到函数执行立即清除状态栏 (默认值为 true，消隐状态栏).
      • useDefaults {Number} : (可选) 设置为false完全清除状态栏文本和iconCls (默认值为 true ，使用defaultText 和 defaultIconCls)。
    示例用法:
    // Simple call to update the text
statusBar.setStatus('New status');

// Set the status and icon, auto-clearing with default options:
statusBar.setStatus({
    text: 'New status',
    iconCls: 'x-status-custom',
    clear: true
});

// Auto-clear with custom options:
statusBar.setStatus({
    text: 'New status',
    iconCls: 'x-status-custom',
    clear: {
        wait: 8000,
        anim: false,
        useDefaults: false
    }
});
返回值:
  • Ext.StatusBar
    this
 StatusBar
setText( [String text] ) : Ext.StatusBar
直接设置状态栏文本的便捷方法。 更多灵活的配置项细节，参见 setStatus 。
直接设置状态栏文本的便捷方法。 更多灵活的配置项细节，参见 setStatus 。
参数:
  • text : String
    (可选) The text to set (默认值为 '')
返回值:
  • Ext.StatusBar
    this
 StatusBar
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showBusy( [Object/String config] ) : Ext.StatusBar
用来将状态文本和图标设置成特殊值的便捷方法， 它们被预定义来描述"busy"（忙碌）状态...
用来将状态文本和图标设置成特殊值的便捷方法， 它们被预定义来描述"busy"（忙碌）状态， 一般用于加载中或者处理某个任务。
参数:
  • config : Object/String
    (可选) 一个配置对象， 与setStatus, 所支持的格式相同，或者一个被用作状态文本的字符串 (在这种情况下，setStatus所有其它选项都为默认值)。 在配置中使用text and/or iconCls 参数来覆盖默认的 busyText 和busyIconCls 设置。如果每哟指定配置参数， busyText 和 busyIconCls 将被联合起来使用， 包含 setStatus 的所有默认配置项。
返回值:
  • Ext.StatusBar
    this
 StatusBar
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    MixedCollection
      StoreMgr

Class Ext.StoreMgr

包: | Ext
所在文件: | StoreMgr.js
Class: | StoreMgr
继承自: | MixedCollection
默认的全局store组。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
add( String key, Object o ) : Object
向集合中添加一个项目，当结束时触发add 。
向集合中添加一个项目，当结束时触发add 。
参数:
  • key : String

    绑定到此项目的key，或者一个新的项目。

    如果你为此MixedCollection指定了一个getKey 的实现，或者如果你的排序好的项目的key在一个名叫id的属性中， 那么MixedCollection就可以追溯新项目的key。 这种情况下，直接使用此参数把一个新的项目传递进来。

  • o : Object
    The item to add.
返回值:
  • Object
    The item added.
 MixedCollection
addAll( Object/Array objs ) : void
向集合中添加一个数组的所有元素或者一个对象。
向集合中添加一个数组的所有元素或者一个对象。
参数:
  • objs : Object/Array
    一个含有属性的对象，将被添加到集合中，或者一个值数组，其中的每个元素都将被添加到集合中。
返回值:
  • void
 MixedCollection
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clear() : void
从集合中删除所有项目。在结束时触发 clear 事件。
从集合中删除所有项目。在结束时触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 MixedCollection
clone() : MixedCollection
创建此集合的一个副本
创建此集合的一个副本
参数:
  • 无.
返回值:
  • MixedCollection
 MixedCollection
contains( Object o ) : Boolean
如果集合中存在传递进来的对象，返回true。
如果集合中存在传递进来的对象，返回true。
参数:
  • o : Object
    需要在集合中查找的对象。
返回值:
  • Boolean
    True if the collection contains the Object as an item.
 MixedCollection
containsKey( String key ) : Boolean
如果集合包含传递进来的对象作为一个key，返回true。
如果集合包含传递进来的对象作为一个key，返回true。
参数:
  • key : String
    The key to look for in the collection.
返回值:
  • Boolean
    True if the collection contains the Object as a key.
 MixedCollection
each( Function fn, [Object scope] ) : void
在集合中的每个项目向对指定的函数调用一次， 传递如下参数...
在集合中的每个项目向对指定的函数调用一次， 传递如下参数：
  • item : Mixed

    集合中的项目

  • index : Number

    项目的索引

  • length : Number

    集合中项目的总数

函数应该返回一个布尔值。如果返回false将结束迭代。
参数:
  • fn : Function
    在每个对象上调用的方法。
  • scope : Object
    (可选) 执行此方法的作用域。
返回值:
  • void
 MixedCollection
eachKey( Function fn, [Object scope] ) : void
在集合的每个key上调用指定的方法， 传递每个key，和它所绑定的项目作为两个参数。
在集合的每个key上调用指定的方法， 传递每个key，和它所绑定的项目作为两个参数。
参数:
  • fn : Function
    The function to execute for each item.
  • scope : Object
    (可选) The scope in which to execute the function.
返回值:
  • void
 MixedCollection
filter( String property, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
使用指定的属性过滤此集合中的objects 。 返回过滤好的一个新的集合。
使用指定的属性过滤此集合中的objects 。 返回过滤好的一个新的集合。
参数:
  • property : String
    你的对象的一个属性
  • value : String/RegExp
    一个字符串，属性值需要以此值开头，或者一个用来测试属性的RegExp
  • anyMatch : Boolean
    (可选) 设置为true将匹配字符串的任何部分，而不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 设置为true，比较时对大小写敏感(默认值为 False).
返回值:
  • MixedCollection
    过滤好的新集合
MixedCollection
filterBy( Function fn, [Object scope] ) : MixedCollection
根据一个函数过滤。 返回一个 新的过滤好的集合。 传递的函数将在集合中的每个对象上调用...
根据一个函数过滤。 返回一个 新的过滤好的集合。 传递的函数将在集合中的每个对象上调用。 如果方法返回true，包含此值，否则它被过滤掉。
参数:
  • fn : Function
    被调用的方法，它将接收参数： o (the object), k (the key)
  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    新的过滤好的集合
MixedCollection
find( Function fn, [Object scope] ) : Object
根据传递进来的选择方法，返回集合中找到的第一个元素：如果此方法返回true。
根据传递进来的选择方法，返回集合中找到的第一个元素：如果此方法返回true。
参数:
  • fn : Function
    在每个项目上调用的选择方法。
  • scope : Object
    (可选) 执行方法的作用域。
返回值:
  • Object
    集合中筛选方法返回true的第一个项目。
MixedCollection
findIndex( String property, String/RegExp value, [Number start], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
根据一个指定的property/value从集合中查找出第一个符合条件的对象的索引。
根据一个指定的property/value从集合中查找出第一个符合条件的对象的索引。
参数:
  • property : String
    你的对象一个属性的名称。
  • value : String/RegExp
    一个字符串，属性值需要以此值开头，或者一个用来测试属性的RegExp
  • start : Number
    (可选) 开始搜索的索引位置(默认值为 0).
  • anyMatch : Boolean
    (可选) 设置为true将匹配字符串的任意位置，不仅仅是开始处。
  • caseSensitive : Boolean
    (可选) 设置为true比较时将对大小写敏感。
返回值:
  • Number
    匹配的索引，或者-1
MixedCollection
findIndexBy( Function fn, [Object scope], [Number start] ) : Number
根据一个函数从集合中查找第一个符合条件的项目的索引。 如果此方法返回true它被包含在匹配项中。
根据一个函数从集合中查找第一个符合条件的项目的索引。 如果此方法返回true它被包含在匹配项中。
参数:
  • fn : Function
    被调用的方法，它将接收两个参数： o (the object), k (the key).
  • scope : Object
    (可选) The scope of the function (默认值为 this).
  • start : Number
    (可选) The index to start searching at (默认值为 0).
返回值:
  • Number
    匹配的索引或者-1
MixedCollection
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
first() : Object
返回集合中的第一个元素。
返回集合中的第一个元素。
参数:
  • 无.
返回值:
  • Object
    the first item in the collection..
 MixedCollection
get( String/Number key ) : Object
返回绑定到传递进来的key或者index的项目。
返回绑定到传递进来的key或者index的项目。
参数:
  • key : String/Number
    The key or index of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
getCount() : Number
返回集合中项目的个数。
返回集合中项目的个数。
参数:
  • 无.
返回值:
  • Number
    the number of items in the collection.
 MixedCollection
getKey( Object item ) : Object
如果你不实现getKey方法，MixedCollection有一个一般的获得键的 方式。 默认的实现仅仅返回...
如果你不实现getKey方法，MixedCollection有一个一般的获得键的 方式。 默认的实现仅仅返回 item.id 但是你可以提供你自己的实现以返回一个不同的值，就像如下的例子：
// normal way
var mc = new Ext.util.MixedCollection();
mc.add(someEl.dom.id, someEl);
mc.add(otherEl.dom.id, otherEl);
//and so on

// using getKey
var mc = new Ext.util.MixedCollection();
mc.getKey = function(el){
   return el.dom.id;
};
mc.add(someEl);
mc.add(otherEl);

// or via the constructor
var mc = new Ext.util.MixedCollection(false, function(el){
   return el.dom.id;
});
mc.add(someEl);
mc.add(otherEl);
参数:
  • item : Object
    需要查找其键的项目。
返回值:
  • Object
    传递进来的项目的key。
MixedCollection
getRange( [Number startIndex], [Number endIndex] ) : Array
返回此集合中一个范围内的项目
返回此集合中一个范围内的项目
参数:
  • startIndex : Number
    (可选) 默认值为 0
  • endIndex : Number
    (可选) 默认为最后一个项目
返回值:
  • Array
    一个项目数组
 MixedCollection
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Object o ) : Number
返回传递进来的对象在集合中的索引。.
返回传递进来的对象在集合中的索引。
参数:
  • o : Object
    需要查找索引的项目。
返回值:
  • Number
    项目的索引。
MixedCollection
indexOfKey( String key ) : Number
根据指定的key返回项目在集合中的index。
根据指定的key返回项目在集合中的index。
参数:
  • key : String
    The key to find the index of.
返回值:
  • Number
    index of the key.
 MixedCollection
insert( Number index, String key, [Object o] ) : Object
在集合的指定索引位置插入一个项目。 结束时触发 add 事件。
在集合的指定索引位置插入一个项目。 结束时触发 add 事件。
参数:
  • index : Number
    The index to insert the item at.
  • key : String
    The key to associate with the new item, or the item itself.
  • o : Object
    (可选) If the second parameter was a key, the new item.
返回值:
  • Object
    The item inserted.
 MixedCollection
item( String/Number key ) : Object
返回绑定到传递的key或者index的项目。 key优先于index。 这等价于首先调用 key ，然后当没有匹配的项目时调用 itemAt。
返回绑定到传递的key或者index的项目。 key优先于index。 这等价于首先调用 key ，然后当没有匹配的项目时调用 itemAt。
参数:
  • key : String/Number
    The key or index of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
itemAt( Number index ) : Object
返回指定索引处的项目。
返回指定索引处的项目。
参数:
  • index : Number
    The index of the item.
返回值:
  • Object
    The item at the specified index.
 MixedCollection
key( String/Number key ) : Object
返回绑定到传递进来的key的项目。
返回绑定到传递进来的key的项目。
参数:
  • key : String/Number
    The key of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
keySort( [String direction], [Function fn] ) : void
根据键排序集合
根据键排序集合
参数:
  • direction : String
    (可选) "ASC" 或者 "DESC"
  • fn : Function
    (可选) 一个比较函数(默认值为一个大小写不敏感的字符串)
返回值:
  • void
 MixedCollection
last() : Object
返回集合中的最后一个项目。
返回集合中的最后一个项目。
参数:
  • 无.
返回值:
  • Object
    the last item in the collection..
 MixedCollection
lookup( String/Object id ) : Ext.data.Store
根据id获取一个已经注册的Store
根据id获取一个已经注册的Store
参数:
  • id : String/Object
    The id of the Store, or a Store instance
返回值:
  • Ext.data.Store
 StoreMgr
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
register( Ext.data.Store store1, [Ext.data.Store store2], [Ext.data.Store etc...] ) : void
将一个或多个Sotre注册到StoreMgr。 一般情况下，你不需要手工注册store...
将一个或多个Sotre注册到StoreMgr。 一般情况下，你不需要手工注册store。 任何初始化时含有 Ext.data.Store.storeId 的store会被自动注册。
参数:
  • store1 : Ext.data.Store
    A Store instance
  • store2 : Ext.data.Store
    (可选)
  • etc... : Ext.data.Store
    (可选)
返回值:
  • void
 StoreMgr
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Object o ) : Object
从集合中删除一个项目。
从集合中删除一个项目。
参数:
  • o : Object
    需要删除的项目。
返回值:
  • Object
    删除的项目，如果没有项目被删除，则为false。
MixedCollection
removeAt( Number index ) : Object
从指定的索引处删除集合中的一个项目。 在结束时触发remove 事件。
从指定的索引处删除集合中的一个项目。 在结束时触发remove 事件。
参数:
  • index : Number
    需要删除的项目在集合中的索引位置。
返回值:
  • Object
    删除的项目，如果没有项目被删除，则为false。
MixedCollection
removeKey( String key ) : Object
从集合中删除绑定到指定key的项目。
从集合中删除绑定到指定key的项目。
参数:
  • key : String
    The key of the item to remove.
返回值:
  • Object
    The item removed or false if no item was removed.
 MixedCollection
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
replace( String key, [o {Object}] ) : Object
替换集合中的一个项目。在结束时触发 replace 事件。
替换集合中的一个项目。在结束时触发 replace 事件。
参数:
  • key : String

    被替换的项目的key，或者替换的项目。

    如果你提供对此MixedCollection的 getKey 一个实现，或者如果你排序好的的项目的key包含在一个叫id的属性中， 那么，MixedCollection可以追溯替换的项目。 如果你想替换拥有相同key值的项目，那么只要在此参数中传递体替换的项目即可。

  • {Object} : o
    o (可选) 如果传递的第一个参数是一个key，那么项目将被绑定到那个key上。
返回值:
  • Object
    The new item.
 MixedCollection
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
sort( [String direction], [Function fn] ) : void
使用传递进来的方法对集合进行排序
使用传递进来的方法对集合进行排序
参数:
  • direction : String
    (可选) "ASC" 或者 "DESC"
  • fn : Function
    (可选) 比较函数
返回值:
  • void
 MixedCollection
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unregister( String/Object id1, [String/Object id2], [String/Object etc...] ) : void
从StoreMgr反注册一个或者多个Store
从StoreMgr反注册一个或者多个Store
参数:
  • id1 : String/Object
    The id of the Store, or a Store instance
  • id2 : String/Object
    (可选)
  • etc... : String/Object
    (可选)
返回值:
  • void
 StoreMgr

公共事件

Event 所在类
add : ( Number index, Object o, String key )
当向集合中添加一个项目时触发。
当向集合中添加一个项目时触发。
监听器将会以如下的参数调用:
  • index : Number
    所添加项目的索引。
  • o : Object
    添加的项目。
  • key : String
    指定给所添加项目的key。
MixedCollection
clear : ()
当集合被清空事情触发。
当集合被清空事情触发。
监听器将会以如下的参数调用:
  • 无.
 MixedCollection
remove : ( Object o, [String key] )
当从集合中删除一个项目时触发。
当从集合中删除一个项目时触发。
监听器将会以如下的参数调用:
  • o : Object
    The item being removed.
  • key : String
    (可选) The key associated with the removed item.
 MixedCollection
replace : ( String key, Object old, Object new )
当集合中的一个项目被替换时触发。
当集合中的一个项目被替换时触发。
监听器将会以如下的参数调用:
  • key : String
    指定给新添加项目的key。
  • old : Object
    被替代的项目。
  • new : Object
    新的项目。
MixedCollection


Observable
    Component
      BoxComponent
        Container
          Panel
            TabPanel

Class Ext.TabPanel

包: | Ext
所在文件: | TabPanel.js
Class: | TabPanel
继承自: | Panel

一个基本的标签式容器。 出于布局的目的，TabPanels可以被当作标准的 Ext.Panel 那样使用，但是也对所包含的子组件提供了特殊的支持， 它们被用一个CardLayout布局管理器管理起来， 并且作为独立的标签页显示。

实际上并没有实在的标签页类— 每个标签页都是一个简单的 Component ，比如一个 Panel。 然而，当被渲染到一个TabPanel中时，每个子组件都可以触发额外的事件， 这些事件只有在标签页中才存在，对于其它的组件则不可用。 它们是:

  • activate: 在当前组件成为当前活动的分页时触发。
    监听器将以如下的参数格式被调用:
    • tab : Panel
      被激活的分页
  • deactivate: 当一个组件从当前活动页面变成非活动页面时触发。
    监听器将以如下的参数格式被调用:
    • tab : Panel
      变成非当前活动的页面

如果需要向一个在服务器端自动生成的TabPanel中添加组件时， 必须创建一个服务器端脚本来生成Javascript，以便创建所需的组件。

例如，向TabPanel中添加一个GridPanel，而GridPanel是服务器端 根据特定的参数生成的，你需要执行一个Ajax请求去调用你的脚本， 然后处理response对象，以便将它添加到TabPanel中:

Ext.Ajax.request({
    url: 'gen-invoice-grid.php',
    params: {
        startDate = Ext.getCmp('start-date').getValue(),
        endDate = Ext.getCmp('end-date').getValue()
    },
    success: function(xhr) {
        var newComponent = eval(xhr.responseText);
        myTabPanel.add(newComponent);
        myTabPanel.setActiveTab(newComponent);
    },
    failure: function() {
        Ext.Msg.alert("Grid create failed", "Server communication
        failure");
    }
});

服务器端脚本应该返回一个可执行的Javascript声明， 它将会被用eval() 处理，然后要么返回一个配置对象，其中包含一个 xtype, 属性；或者返回一个初始化好的组件。 例如:

{function() {
    function formatDate(value){
        return value ? value.dateFormat('M d, Y') : '';
    };

    var store = new Ext.data.Store({
        url: 'get-invoice-data.php',
        baseParams: {
            startDate: '01/01/2008',
            endDate: '01/31/2008'
        }
        reader: new Ext.data.JsonReader({
            record: 'transaction',
            id: 'id',
            totalRecords: 'total'
        }, [
           'customer',
           'invNo',
           {name: 'date', type: 'date', dateFormat: 'm/d/Y'},
           {name: 'value', type: 'float'}
        ])
    });

    var grid = new Ext.grid.GridPanel({
        title: 'Invoice Report',
        bbar: new Ext.PagingToolbar(store),
        store: store,
        columns: [
            {header: "Customer", width: 250, dataIndex: 'customer', sortable: true},
            {header: "Invoice Number", width: 120, dataIndex: 'invNo', sortable: true},
            {header: "Invoice Date", width: 100, dataIndex: 'date', renderer: formatDate, sortable: true},
            {header: "Value", width: 120, dataIndex: 'value', renderer: 'usMoney', sortable: true}
        ],
    });
    store.load();
    return grid;
})();

因为这段脚本是服务器端脚本生成的，所以 Store的baseParams可以被配置给Store、 允许用metadata生成Record的布局，并且ColumnModel对服务器端是可见的， 故可以直接生成到脚本中。

当这段脚本片段被传递到Ajax请求的success监听器中的 eval函数时，代码会被Javascript处理器执行， 然后这个匿名的函数运行，并返回grid。

还有其它一些可以用来创建TabPanel的方法。 以下例子的输出应该产生完全一样的表象。 标签页可以完全用代码来创建和渲染，就像这个例子:

var tabs = new Ext.TabPanel({
    renderTo: Ext.getBody(),
    activeTab: 0,
    items: [{
        title: 'Tab 1',
        html: 'A simple tab'
    },{
        title: 'Tab 2',
        html: 'Another one'
    }]
});

TabPanel也可以通过两种方式从预先存在的标签渲染。 参见 autoTabs 示例，完全从一个标签中渲染，这个标签拥有构造成一个TabPanel的正确的结构 (一个容器div，有一个或者多个嵌套的tab div，样式为'x-tab')。 你也可以从不是严格结构化的标签渲染一个TabPanel， 只要简单地根据id指定哪些元素是容器哪些元素是tab。 使用此方法，可以根据id从页面中的不同元素中拉出标签页的内容， 而不必关心页面的结构。 注意：此例中的标签页div包含一个'x-hide-display'样式， 所以它们可以延迟渲染而不需要显示在tab页之外。 你可以交替地设置 deferredRender 为false，以便在页面加载时渲染所有标签页的内容。 例如:

var tabs = new Ext.TabPanel({
    renderTo: 'my-tabs',
    activeTab: 0,
    items:[
        {contentEl:'tab1', title:'Tab 1'},
        {contentEl:'tab2', title:'Tab 2'}
    ]
});

// 注意：无须将标签页嵌套地写在其容器标签中(虽然它们可以)
<div id="my-tabs"></div>
<div id="tab1" class="x-hide-display">A simple tab</div>
<div id="tab2" class="x-hide-display">Another one</div>

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
activeTab : String/Number
标签页的一个字符串id或者一个数字索引，在渲染时内部激活 (默认值为 none)。
TabPanel
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
animScroll : Boolean
设置为true，当标签页滚动时使用动画效果，这样隐藏的 标签页可以平滑地滑动进入视图区(默认值为 true)...
设置为true，当标签页滚动时使用动画效果，这样隐藏的 标签页可以平滑地滑动进入视图区(默认值为 true)。 只有当enableTabScroll = true时有效。
TabPanel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoTabSelector : String
当autoTabs = true时，用来在现存的标签中搜索标签页的CSS选择器...
当autoTabs = true时，用来在现存的标签中搜索标签页的CSS选择器(默认值为 'div.x-tab')。 可以是任何Ext.DomQuery.select 所支持的合法的选择器。 注意：查询仅仅在当前的tab面板中执行 (这样可以在一个页面中支持多个从标签而来的tab panel)。
TabPanel
autoTabs : Boolean
设置为true将自动查询DOM树，样式为'x-tab'的div将自动转换成 标签页，并添加到面板中(默认值为 false)...

设置为true将自动查询DOM树，样式为'x-tab'的div将自动转换成 标签页，并添加到面板中(默认值为 false)。 注意:查询动作的作用域仅仅在容器元素中 (这样通过此方法可以支持从文档html标签中获得多个标签页)。

只有标签结构正确，可以作为一个容器，并且包含嵌套的，样式类型为'x-tab' 的div时，此方法才有效。 如果需要不受此限定来创建TabPanel ，或者从页面的其它元素中拉出标签页的内容， 参见此类顶部的例子，以获知如何从标签中创建tab页。

使用此方法需要注意另外一些事情： :

  • 当使用autoTabs配置项时( 而不是传递单个的标签页配置到 TabPanel的 items 集合)， 你必须使用 applyTo 以便正确地使用指定的id，与标签页容器相同。 autoTabs方法将使用TabPanel组件替换现有的内容。
  • 确保你将 deferredRender 设置成了false，以便每个标签页的内容元素在页面加载时渲染进TabPanel， 否则它们不会被转换，知道每个标签页都被激活并且 在TabPanel之外可见。
示例用法:

var tabs = new Ext.TabPanel({
    applyTo: 'my-tabs',
    activeTab: 0,
    deferredRender: false,
    autoTabs: true
});

// 以上代码中的标签将被转换成一个TabPanel
<div id="my-tabs">
    <div class="x-tab" title="Tab 1">A simple tab</div>
    <div class="x-tab" title="Tab 2">Another one</div>
</div>
 TabPanel
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
应用到panel上的基本CSS类 (默认值为 'x-tab-panel')。
TabPanel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
deferredRender : Boolean
在内部，TabPanel使用一个 Ext.layout.CardLayout 来管理它的标签页。 此参数会被传递给布局，作为它的...
在内部，TabPanel使用一个 Ext.layout.CardLayout 来管理它的标签页。 此参数会被传递给布局，作为它的 Ext.layout.CardLayout.deferredRender 配置值，用来决定每个标签页是否在第一次被访问时才渲染(默认值为 true)。
TabPanel
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
enableTabScroll : Boolean
如果为真，可以通过滚轮在tab页之间切换， 在超出TabPanel总体宽度时它可能是不可见的。 该项只有在...
如果为真，可以通过滚轮在tab页之间切换， 在超出TabPanel总体宽度时它可能是不可见的。 该项只有在tabPosition配置项同时为'top'时有效(默认值为 false)。
TabPanel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layoutOnTabChange : Boolean
设置为true，将在标签页发生变化后对所有标签页进行一次布局。
TabPanel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minTabWidth : Number
当 resizeTabs = true 时，每个标签页的最小宽度像素值 (默认值为 30).
TabPanel
monitorResize : Boolean
设置为true将自动监测窗口大小的变化，并在浏览器大小 发生改变时重新渲染布局 (默认值为 true)。
TabPanel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plain : Boolean
设置为true将直接渲染标签页，不使用容器背景图片(默认值为 false)。
TabPanel
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
resizeTabs : Boolean
设置为true将自动调整每个标签页的大小， 以便标签能完全填充标签带(默认值为 false)...
设置为true将自动调整每个标签页的大小， 以便标签能完全填充标签带(默认值为 false)。 设置此项为true可能导致向每个标签设定特定的宽度，以便将它们全部显示到 可见区域 ( 虽然 minTabWidth 总是会被遵守)。
TabPanel
scrollDuration : Float
每次滚动动画效果持续的毫秒数(默认值为 .35)。 只有在animScroll = true时应用。
每次滚动动画效果持续的毫秒数(默认值为 .35)。 只有在animScroll = true时应用。
TabPanel
scrollIncrement : Number
The number of pixels to scroll each time a tab scroll button is pressed (默认值为 100, or if resizeTabs = true, th...
当按住一个标签页的滚动按钮时每次滚动的像素数 (默认值为 100, 或者当resizeTabs = true时,计算过的标签页宽度)。 只有当 enableTabScroll = true时有效。
TabPanel
scrollRepeatInterval : Number
当按住标签滚动按钮不放时，滚动两个标签页之间的时间间隔(默认值为 400)。
TabPanel
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabMargin : Number
空白区的像素数，用来计算标签页的大小和滚动条。 如果你改变CSS中的页边空白，你将需要更新此值...
空白区的像素数，用来计算标签页的大小和滚动条。 如果你改变CSS中的页边空白，你将需要更新此值， 这样使用resizeTabs或者标签页滚动位置计算 出来的结果才是正确的 (默认值为 2)。
TabPanel
tabPosition : String
标签项应该渲染的位置 (默认值为 'top')。 唯一支持的另一个值是...
标签项应该渲染的位置 (默认值为 'top')。 唯一支持的另一个值是 'bottom'。 注意：标签页滚动只对位置为'top'有效。
TabPanel
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tabWidth : Number
每个新的tab页的初始宽度(默认值为 120)。
TabPanel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
wheelIncrement : Number
对可滚动的tabs，当鼠标滚轮滚动时页面滚动的像素数(默认值为 20).
TabPanel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TabPanel( Object config )
参数:
  • config : Object
    The configuration options
返回值:
TabPanel
activate( String/Panel tab ) : void
设置指定的tab页为当前页。 此方法触发beforetabchange 事件，它可以返回一个false终止tab切换。
设置指定的tab页为当前页。 此方法触发beforetabchange 事件，它可以返回一个false终止tab切换。
参数:
  • tab : String/Panel
    需要设置为当前页的tab页的id或引用
返回值:
  • void
 TabPanel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
beginUpdate() : void
endUpdate
做大量操作时，挂起任何内部计算或滚动。参见 endUpdate
参数:
  • 无.
返回值:
  • void
 TabPanel
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
endUpdate() : void
在多次操作之后，重新计算并滚动。 参见beginUpdate
在多次操作之后，重新计算并滚动。 参见beginUpdate
参数:
  • 无.
返回值:
  • void
 TabPanel
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getActiveTab() : Panel
获取当前活动的标签页。
获取当前活动的标签页。
参数:
  • 无.
返回值:
  • Panel
    The active tab
 TabPanel
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItem( String id ) : Panel
根据id获取指定的tab页。
根据id获取指定的tab页。
参数:
  • id : String
    The tab id
返回值:
  • Panel
    The tab
 TabPanel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTabEl( Panel tab ) : HTMLElement
获取标签项的DOM元素，它负责根据指定的ID激活子面板。 访问此对象以改变项目的视觉效果...
获取标签项的DOM元素，它负责根据指定的ID激活子面板。 访问此对象以改变项目的视觉效果， 例如改变CSS类名。
参数:
  • tab : Panel
    The tab
返回值:
  • HTMLElement
    The DOM node
 TabPanel
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideTabStripItem( Number/String/Panel item ) : void
为所传递进来的标签页隐藏标签项
为所传递进来的标签页隐藏标签项
参数:
  • item : Number/String/Panel
    The tab index, id or item
返回值:
  • void
 TabPanel
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
readTabs( Boolean removeExisting ) : void
设置为true将扫描当前标签页面板中的标签，使用autoTabSelector 查找autoTabs。
设置为true将扫描当前标签页面板中的标签，使用autoTabSelector 查找autoTabs。
参数:
  • removeExisting : Boolean
    True to remove existing tabs
返回值:
  • void
 TabPanel
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
scrollToTab( Panel item, Boolean animate ) : void
如果启用了滚动，滚动到特定的tab页。
如果启用了滚动，滚动到特定的tab页。
参数:
  • item : Panel
    The item to scroll to
  • animate : Boolean
    True to enable animations
返回值:
  • void
 TabPanel
setActiveTab( String/Panel tab ) : void
设置指定的标签页作为当前活动标签页。 此方法触发 beforetabchange 事件，可以返回一个false来取消标签切换。
设置指定的标签页作为当前活动标签页。 此方法触发 beforetabchange 事件，可以返回一个false来取消标签切换。
参数:
  • tab : String/Panel
    The id or tab Panel to activate
返回值:
  • void
 TabPanel
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unhideTabStripItem( Number/String/Panel item ) : void
为传递进来的标签页解除隐藏
为传递进来的标签页解除隐藏
参数:
  • item : Number/String/Panel
    The tab index, id or item
返回值:
  • void
 TabPanel
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforetabchange : ( TabPanel this, Panel newTab, Panel currentTab )
在当前活动标签放生改变之前触发。 处理函数可以返回一个false来取消切换标签页。
在当前活动标签放生改变之前触发。 处理函数可以返回一个false来取消切换标签页。
监听器将以如下的参数格式被调用:
  • this : TabPanel
  • newTab : Panel
    The tab being activated
  • currentTab : Panel
    The current active tab
 TabPanel
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
contextmenu : ( TabPanel this, Panel tab, EventObject e )
从一个标签页元素上产生原始的浏览器右键时触发。
从一个标签页元素上产生原始的浏览器右键时触发。
监听器将以如下的参数格式被调用:
  • this : TabPanel
  • tab : Panel
    The target tab
  • e : EventObject
 TabPanel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
tabchange : ( TabPanel this, Panel tab )
在当前tab发生切换时触发。
在当前tab发生切换时触发。
监听器将以如下的参数格式被调用:
  • this : TabPanel
  • tab : Panel
    The new active tab
 TabPanel
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Class Ext.TaskMgr

包: | Ext
所在文件: | TaskMgr.js
Class: | TaskMgr
继承自: | Object
一个静态的 Ext.util.TaskRunner 实例，可以用来启动和停止任意的任务。 所支持的方法和任务配置参数，参见 Ext.util.TaskRunner 。
// 启动一个简单的定时任务，每隔一秒钟更新一次div
var task = {
    run: function(){
        Ext.fly('clock').update(new Date().format('g:i:s A'));
    },
    interval: 1000 //1 second
}
Ext.TaskMgr.start(task);

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Class Ext.Template

包: | Ext
所在文件: | Template.js
Class: | Template
子类: | XTemplate
继承自: | Object
描述一个HTML标签的模板。 模板可以预编译以便提升性能。 合法格式化函数列表，参见 Ext.util.Format.
用法:
var t = new Ext.Template(
    '<div name="{id}">',
        '<span class="{cls}">{name:trim} {value:ellipsis(10)}</span>',
    '</div>'
);
t.append('some-element', {id: 'myid', cls: 'myclass', name: 'foo', value: 'bar'});
更多消息参见此blog，提交了一些例子: DomHelper - Create Elements using DOM, HTML fragments and Templates.

公共属性

Property |  | 所在类
 | disableFormats : Boolean 设置为true以便禁用格式化函数(默认值为 false) | Template
 | re : RegExp 用来匹配模板中变量的正则表达式 | Template

公共方法

Method 所在类
Template( String/Array html )
参数:
  • html : String/Array
    The HTML fragment or an array of fragments to join("") or multiple arguments to join("")
返回值:
Template
Template.from( String/HTMLElement el, Object config ) : Ext.Template
<静态> 从传递进来的元素的值或innerHTML创建一个模板...
<静态> 从传递进来的元素的值或innerHTML创建一个模板 (display:none textarea, preferred)。
参数:
  • el : String/HTMLElement
    A DOM element or its id
  • config : Object
    A configuration object
返回值:
  • Ext.Template
    The created template
 Template
append( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并将新的节点(s)添加到el。
将提供的值应用到模板并将新的节点(s)添加到el。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
apply( Object/Array values ) : String
applyTemplate 的别名。 返回当前模板的HTML标签，包含指定被应用的值。
applyTemplate 的别名。 返回当前模板的HTML标签，包含指定被应用的值。
参数:
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
返回值:
  • String
    The HTML fragment
 Template
applyTemplate( Object/Array values ) : String
返回当前模板的HTMl标签，包含被指定应用的值。
返回当前模板的HTMl标签，包含被指定应用的值。
参数:
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
返回值:
  • String
    The HTML fragment
 Template
compile() : Ext.Template
将模板编译成一个内部的函数，排除其中的正则表达式。
将模板编译成一个内部的函数，排除其中的正则表达式。
参数:
  • 无.
返回值:
  • Ext.Template
    this
 Template
insertAfter( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并在el之后插入新的节点(s)。
将提供的值应用到模板并在el之后插入新的节点(s)。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
insertBefore( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并在el之前插入新的节点(s)。
将提供的值应用到模板并在el之前插入新的节点(s)。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
insertFirst( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板中并将新的节点(s)作为el的第一个孩子插入。
将提供的值应用到模板中并将新的节点(s)作为el的第一个孩子插入。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
overwrite( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板中并使用新的节点(s)覆盖el的 内容。
将提供的值应用到模板中并使用新的节点(s)覆盖el的 内容。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
set( String html, [Boolean compile] ) : Ext.Template
设置被用作模板的HTML，并可以选择编译它。
设置被用作模板的HTML，并可以选择编译它。
参数:
  • html : String
  • compile : Boolean
    (可选) True to compile the template (默认值为 undefined)
返回值:
  • Ext.Template
    this
 Template

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container
          Panel
            Tip

Class Ext.Tip

包: | Ext
所在文件: | Tip.js
Class: | Tip
子类: | ToolTip
继承自: | Panel
Ext.QuickTip 和 Ext.Tooltip 的基类，提供所有基于tip的类所需的基本布局和位置管理。 该类可以直接被用作简单、位置固定的tip， 它将被机械地显示，或者也可以被继承用来提供定制tip的实现。

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
closable : Boolean
如果为true，在此tip头部渲染一个关闭按钮(默认值为 false)。
Tip
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultAlign : String
实验性属性此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关...
实验性属性。 此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关(默认值为 "tl-bl?").
Tip
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxWidth : Number
tip最大宽度像素值(默认值为 300). 最大支持到500。
Tip
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minWidth : Number
tip最小宽度像素值(默认值为 40).
Tip
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
shadow : Boolean/String
使用默认效果，值为true或'sides'， "frame" 为四个方向的阴影，"drop"为底部和右侧的阴影(默认值为 "sides")。
使用默认效果，值为true或'sides'， "frame" 为四个方向的阴影，"drop"为底部和右侧的阴影(默认值为 "sides")。
Tip
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
width : Number
tip宽度的像素值(默认值为 auto)。 超过minWidth 或 maxWidth. 的...
tip宽度的像素值(默认值为 auto)。超过minWidth 或 maxWidth. 的宽度将会被忽略。 最大支持到500。
Tip
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Tip( Object config )
Create a new Tip
Create a new Tip
参数:
  • config : Object
    The configuration options
返回值:
Tip
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showAt( Array xy ) : void
在指定的XY位置显示tip...
在指定的XY位置显示tip。 示例用法:
// Show the tip at x:50 and y:100
tip.showAt([50,100]);
参数:
  • xy : Array
    An array containing the x and y coordinates
返回值:
  • void
 Tip
showBy( Mixed el, [String position] ) : void
实验性属性。使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值...
实验性属性. 使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值，将此tip显示在紧靠另一个元素的位置。 示例用法:
// Show the tip at the default position ('tl-br?')
tip.showBy('my-el');

// Show the tip's top-left corner anchored to the element's top-right corner
tip.showBy('my-el', 'tl-tr');
参数:
  • el : Mixed
    An HTMLElement, Ext.Element or string id of the target element to align to
  • position : String
    (可选) A valid Ext.Element.alignTo anchor position (默认值为 'tl-br?' or defaultAlign if specified).
返回值:
  • void
 Tip
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    Component
      Button
        Toolbar.Button

Class Ext.Toolbar.Button

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.Button
继承自: | Button
渲染到工具栏中的按钮。 使用 handler 配置项指定一个回调函数 ，来处理按钮的点击事件。
new Ext.Panel({
    tbar : [
        {text: 'OK', handler: okHandler} // tbbutton is the default xtype if not specified
    ]
});

配置属性

配置属性 所在类
allowDepress : Boolean
设置为false将允许一个按下的按钮弹起来(默认值为 undefined)。 只有当 enableToggle 为true时有效。
Button
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clickEvent : String
映射到按钮事件处理器上的事件类型 (默认值为 'click')
Button
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
enableToggle : Boolean
设置为true将允许固定按下/非按下状态(默认值为 false)
Button
handleMouseEvents : Boolean
设置为true，将禁用发生 mouseover, mouseout 和 mousedown事件时的视觉提示 (默认值为 true)
Button
handler : Function
当按钮被点击时调用的方法 (可以用来替代点击事件)
Button
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
icon : String
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮...
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮， 请设置cls:"x-btn-text-icon")
Button
iconCls : String
一个CSS类，设置一个背景图片，当前按钮将使用此图片作为图标
Button
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
Button
menuAlign : String
菜单对齐的位置 (详情参见Ext.Element.alignTo ，默认值为 'tl-bl?').
Button
minWidth : Number
按钮的最小宽度(用来为一组按钮指定一个统一的宽度)
Button
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
pressed : Boolean
只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效)
Button
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
repeat : Boolean/Object
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
Button
scope : Object
处理函数的作用域
Button
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
为当前按钮设置一个DOM tabIndex(默认值为 undefined)
Button
template : Ext.Template
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素...
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素。 如果被用来显示文本属性，Template必须包含一个数值以替代参数0 更改模板需要修改代码，如果需要的元素(例如一个按钮)没有出现。
Button
text : String
按钮文本
Button
toggleGroup : String
当前被按下的按钮所属的组 (一组中只有1个按钮可以被按下， 只有在enableToggle = true时有效)
Button
toggleHandler : Function
当一个enableToggle 被设置为true的按钮被点击时调用的函数...
当一个enableToggle 被设置为true的按钮被点击时调用的函数。 将会传递两个参数：
  • button : Ext.Button
    当前Button对象
  • state : Boolean
    Button的下一个状态，true表示按下。
 Button
tooltip : String/Object
按钮的tooltip---可以是一个字符串，或者一个QuickTips配置对象
Button
tooltipType : String
使用的tooltip类型。 要么是 "qtip" (默认) QuickTips 要么是"title"以做标题属性。
Button
type : String
submit, reset 或者 button - 默认值为 'button'
Button
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | pressed : Boolean 只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效) | Button
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Toolbar.Button( Object config )
Creates a new Button
Creates a new Button
参数:
  • config : Object
    A standard Ext.Button config object
返回值:
Toolbar.Button
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getText() : String
获取此按钮的文本
获取此按钮的文本
参数:
  • 无.
返回值:
  • String
    按钮文本
 Button
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasVisibleMenu() : Boolean
如果按钮有一个菜单，并且它是可见的，返回true
如果按钮有一个菜单，并且它是可见的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Button
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideMenu() : void
隐藏当前按钮的菜单（如果有的话）
隐藏当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Button
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, [Object scope] ) : void
指定按钮的点击处理器
指定按钮的点击处理器
参数:
  • handler : Function
    The function to call when the button is clicked
  • scope : Object
    (可选) Scope for the function passed in
返回值:
  • void
 Button
setIconClass( String cls ) : void
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
参数:
  • cls : String
    提供图标图片的CSS类
返回值:
  • void
 Button
setText( String text ) : void
设置按钮的文本
设置按钮的文本
参数:
  • text : String
    按钮文本
返回值:
  • void
 Button
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showMenu() : void
显示当前按钮的菜单（如果有的话）
显示当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle( [Boolean state] ) : void
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
参数:
  • state : Boolean
    (可选) 强制设为一个指定的状态
返回值:
  • void
 Button
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Button this, EventObject e )
当按钮被点击时触发
当按钮被点击时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : EventObject
    The click event
 Button
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
menuhide : ( Button this, Menu menu )
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menushow : ( Button this, Menu menu )
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menutriggerout : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
menutriggerover : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
mouseout : ( Button this, Event e )
当鼠标离开按钮时触发
当鼠标离开按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
mouseover : ( Button this, Event e )
当鼠标滑过按钮时触发
当鼠标滑过按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
toggle : ( Button this, Boolean pressed )
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
监听器将会以如下的参数格式调用:
  • this : Button
  • pressed : Boolean
 Button


Toolbar.Item
    Toolbar.Spacer
      Toolbar.Fill

Class Ext.Toolbar.Fill

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.Fill
继承自: | Toolbar.Spacer
一个简单的元素，在工具栏的两个项目之间添加一个 贪婪的(100% 宽度)水平空白区。
new Ext.Panel({
    tbar : [
        'Item 1',
        {xtype: 'tbfill'}, // or '->'
        'Item 2'
    ]
});

公共属性

该类没有公共属性。

公共方法

Method 所在类
Toolbar.Fill()
Creates a new Spacer
Creates a new Spacer
参数:
  • 无.
返回值:
Toolbar.Fill
destroy() : void
删除并销毁当前项目。
删除并销毁当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
disable() : void
禁用当前项目。
禁用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
enable() : void
启用当前项目。
启用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
focus() : void
尝试聚焦到当前项目
尝试聚焦到当前项目
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
getEl() : HTMLElement
获取当前项目的HTML元素
获取当前项目的HTML元素
参数:
  • 无.
返回值:
  • HTMLElement
 Toolbar.Item
hide() : void
隐藏当前项目。
隐藏当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
setVisible( Boolean visible ) : void
便捷方法，布尔型的show/hide
便捷方法，布尔型的show/hide
参数:
  • visible : Boolean
    true to show/false to hide
返回值:
  • void
 Toolbar.Item
show() : void
显示当前项目。
显示当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Toolbar

Class Ext.Toolbar

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar
子类: | PagingToolbar, StatusBar
继承自: | BoxComponent
Toolbar基类。 Toolbar元素可以通过它们的构造器轻易地创建， 后者通过它们的xtype间接地创建。 一些项目也有字符串简写可以用来创建实例。

配置属性

配置属性 所在类
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Ext.util.MixedCollection Toolbar中项目的集合(MixedCollection) | Toolbar
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Toolbar( Object/Array config )
创建一个新的 Toolbar
创建一个新的 Toolbar
参数:
  • config : Object/Array
    一个配置对象，或者一个需要添加的按钮数组
返回值:
Toolbar
add( Mixed arg1, Mixed arg2, Mixed etc. ) : void
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
向toolbar中添加元素--- 此方法接收多个复合类型的参数，并将它们添加到 toolbar中。
参数:
  • arg1 : Mixed
    以下的所有参数类型都是合法的:
    • Ext.Toolbar.Button 配置: 一个合法的按钮配置对象 (等价于addButton)
    • HtmlElement: 任何标准的HTML元素(等价于addElement)
    • Field: 任何表单输入栏(等价于addField)
    • Item: Ext.Toolbar.Item 的任何子类(等价于addItem)
    • String:任何普通的字符串(使用Ext.Toolbar.TextItem来包装 , 等价于addText). 注意，有一些特殊的字符串将被区别对待，解释如下。
    • 'separator' 或者 '-': 创建一个分隔栏元素(等价于addSeparator)
    • ' ': 创建一个分隔元素 (等价于addSpacer)
    • '->': 创建一个填充元素(等价于 addFill)
  • arg2 : Mixed
  • etc. : Mixed
返回值:
  • void
 Toolbar
addButton( Object/Array config ) : Ext.Toolbar.Button/Array
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
添加一个按钮(或者buttons)。 此配置的更多信息，参见Ext.Toolbar.Button 。
参数:
  • config : Object/Array
    A button config or array of configs
返回值:
  • Ext.Toolbar.Button/Array
 Toolbar
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addDom( Object config ) : Ext.Toolbar.Item
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
按照传递进来的 Ext.DomHelper 配置，向toolbar中添加一个新的元素。
参数:
  • config : Object
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addElement( Mixed el ) : Ext.Toolbar.Item
向toolbar中添加任何标准的HTML元素
向toolbar中添加任何标准的HTML元素
参数:
  • el : Mixed
    需要添加的元素或者元素id
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addField( Ext.form.Field field ) : Ext.Toolbar.Item
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的...
添加一个动态渲染的Ext.form输入栏 (TextField, ComboBox, 等等)。 注意：输入栏必须是没有渲染的。 对于已经渲染的输入栏，使用 addElement。
参数:
  • field : Ext.form.Field
返回值:
  • Ext.Toolbar.Item
 Toolbar
addFill() : Ext.Toolbar.Fill
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
添加一个填充元素，强迫后来添加的元素向toolbar的右侧扩展
参数:
  • 无.
返回值:
  • Ext.Toolbar.Fill
    The fill item
 Toolbar
addItem( Ext.Toolbar.Item item ) : Ext.Toolbar.Item
添加任何Toolbar.Item 或者其子类
添加任何Toolbar.Item 或者其子类
参数:
  • item : Ext.Toolbar.Item
返回值:
  • Ext.Toolbar.Item
    The item
 Toolbar
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
addSeparator() : Ext.Toolbar.Item
添加一个分隔栏
添加一个分隔栏
参数:
  • 无.
返回值:
  • Ext.Toolbar.Item
    The separator item
 Toolbar
addSpacer() : Ext.Toolbar.Spacer
添加一个间隔元素
添加一个间隔元素
参数:
  • 无.
返回值:
  • Ext.Toolbar.Spacer
    The spacer item
 Toolbar
addText( String text ) : Ext.Toolbar.Item
向toolbar中添加文本
向toolbar中添加文本
参数:
  • text : String
    The text to add
返回值:
  • Ext.Toolbar.Item
    The element's item
 Toolbar
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
insertButton( Number index, Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array item ) : Ext.Toolbar.Button/Item
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
在指定的位置插入 Ext.Toolbar.Item/Ext.Toolbar.Button 。
参数:
  • index : Number
    The index where the item is to be inserted
  • item : Object/Ext.Toolbar.Item/Ext.Toolbar.Button/Array
    The button, or button config object to be inserted, or an array of buttons/configs.
返回值:
  • Ext.Toolbar.Button/Item
 Toolbar
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Class Ext.Toolbar.Item

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.Item
子类: | Toolbar.Separator, Toolbar.Spacer, Toolbar.TextItem
继承自: | Object
一个基类，其它的类应该继承此类，以获得工具栏项目的一些基本功能。
一个基类，其它的类应该继承此类，以获得工具栏项目的一些基本功能。

公共属性

该类没有公共属性。

公共方法

Method 所在类
Toolbar.Item( HTMLElement el )
Creates a new Item
Creates a new Item
参数:
  • el : HTMLElement
返回值:
Toolbar.Item
destroy() : void
删除并销毁当前项目。
删除并销毁当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
disable() : void
禁用当前项目。
禁用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
enable() : void
启用当前项目。
启用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
focus() : void
尝试聚焦到当前项目
尝试聚焦到当前项目
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
getEl() : HTMLElement
获取当前项目的HTML元素
获取当前项目的HTML元素
参数:
  • 无.
返回值:
  • HTMLElement
 Toolbar.Item
hide() : void
隐藏当前项目。
隐藏当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
setVisible( Boolean visible ) : void
便捷方法，布尔型的show/hide
便捷方法，布尔型的show/hide
参数:
  • visible : Boolean
    true to show/false to hide
返回值:
  • void
 Toolbar.Item
show() : void
显示当前项目。
显示当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item

公共事件

该类没有公共事件。


Toolbar.Item
    Toolbar.Separator

Class Ext.Toolbar.Separator

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.Separator
继承自: | Toolbar.Item
一个简单的类，在工具栏中的两个项目之间添加一个垂直的分隔栏。 示例用法:
new Ext.Panel({
    tbar : [
        'Item 1',
        {xtype: 'tbseparator'}, // or '-'
        'Item 2'
    ]
});

公共属性

该类没有公共属性。

公共方法

Method 所在类
Toolbar.Separator()
Creates a new Separator
Creates a new Separator
参数:
  • 无.
返回值:
Toolbar.Separator
destroy() : void
删除并销毁当前项目。
删除并销毁当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
disable() : void
禁用当前项目。
禁用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
enable() : void
启用当前项目。
启用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
focus() : void
尝试聚焦到当前项目
尝试聚焦到当前项目
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
getEl() : HTMLElement
获取当前项目的HTML元素
获取当前项目的HTML元素
参数:
  • 无.
返回值:
  • HTMLElement
 Toolbar.Item
hide() : void
隐藏当前项目。
隐藏当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
setVisible( Boolean visible ) : void
便捷方法，布尔型的show/hide
便捷方法，布尔型的show/hide
参数:
  • visible : Boolean
    true to show/false to hide
返回值:
  • void
 Toolbar.Item
show() : void
显示当前项目。
显示当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item

公共事件

该类没有公共事件。


Toolbar.Item
    Toolbar.Spacer

Class Ext.Toolbar.Spacer

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.Spacer
子类: | Toolbar.Fill
继承自: | Toolbar.Item
一个简单的元素，在工具栏的两个项目之间添加一个特殊的水平空白区。
new Ext.Panel({
    tbar : [
        'Item 1',
        {xtype: 'tbspacer'}, // or ' '
        'Item 2'
    ]
});

公共属性

该类没有公共属性。

公共方法

Method 所在类
Toolbar.Spacer()
Creates a new Spacer
Creates a new Spacer
参数:
  • 无.
返回值:
Toolbar.Spacer
destroy() : void
删除并销毁当前项目。
删除并销毁当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
disable() : void
禁用当前项目。
禁用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
enable() : void
启用当前项目。
启用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
focus() : void
尝试聚焦到当前项目
尝试聚焦到当前项目
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
getEl() : HTMLElement
获取当前项目的HTML元素
获取当前项目的HTML元素
参数:
  • 无.
返回值:
  • HTMLElement
 Toolbar.Item
hide() : void
隐藏当前项目。
隐藏当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
setVisible( Boolean visible ) : void
便捷方法，布尔型的show/hide
便捷方法，布尔型的show/hide
参数:
  • visible : Boolean
    true to show/false to hide
返回值:
  • void
 Toolbar.Item
show() : void
显示当前项目。
显示当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item

公共事件

该类没有公共事件。


Observable
    Component
      Button
        SplitButton
          Toolbar.SplitButton

Class Ext.Toolbar.SplitButton

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.SplitButton
继承自: | SplitButton
渲染到工具栏中的分隔按钮。
new Ext.Panel({
    tbar : [
        {
            xtype: 'tbsplit',
               text: 'Options',
               handler: optionsHandler, // handle a click on the button itself
               menu: new Ext.menu.Menu({
                items: [
                    // These items will display in a dropdown menu when the split arrow is clicked
                    {text: 'Item 1', handler: item1Handler},
                    {text: 'Item 2', handler: item2Handler}
                ]
               })
        }
    ]
});

配置属性

配置属性 所在类
allowDepress : Boolean
设置为false将允许一个按下的按钮弹起来(默认值为 undefined)。 只有当 enableToggle 为true时有效。
Button
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
arrowHandler : Function
当箭头按钮被点击时调用的函数 (可以用来代替点击事件)
SplitButton
arrowTooltip : String
箭头的title属性
SplitButton
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
clickEvent : String
映射到按钮事件处理器上的事件类型 (默认值为 'click')
Button
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
enableToggle : Boolean
设置为true将允许固定按下/非按下状态(默认值为 false)
Button
handleMouseEvents : Boolean
设置为true，将禁用发生 mouseover, mouseout 和 mousedown事件时的视觉提示 (默认值为 true)
Button
handler : Function
当按钮被点击时调用的方法 (可以用来替代点击事件)
Button
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
icon : String
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮...
显示在按钮中的图片路径 (默认情况下，图片将会被设置为按钮的CSS背景图片属性，所以，如果你需要一个 图标/文本混合型的按钮， 请设置cls:"x-btn-text-icon")
Button
iconCls : String
一个CSS类，设置一个背景图片，当前按钮将使用此图片作为图标
Button
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
menu : Mixed
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
标准的菜单属性，一个菜单对象的引用、一个菜单id或者一个菜单配置块组成。 (默认值为 undefined)。
Button
menuAlign : String
菜单对齐的位置 (详情参见Ext.Element.alignTo ，默认值为 'tl-bl?').
Button
minWidth : Number
按钮的最小宽度(用来为一组按钮指定一个统一的宽度)
Button
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
pressed : Boolean
只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效)
Button
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
repeat : Boolean/Object
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
设置为true，在鼠标被按下时将重复触发点击事件。 此项也可以是一个 Ext.util.ClickRepeater 配置对象(默认值为 false)。
Button
scope : Object
处理函数的作用域
Button
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabIndex : Number
为当前按钮设置一个DOM tabIndex(默认值为 undefined)
Button
template : Ext.Template
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素...
(可选) 一个Ext.Template ，将使用它来创建Button的主要元素。 如果被用来显示文本属性，Template必须包含一个数值以替代参数0 更改模板需要修改代码，如果需要的元素(例如一个按钮)没有出现。
Button
text : String
按钮文本
Button
toggleGroup : String
当前被按下的按钮所属的组 (一组中只有1个按钮可以被按下， 只有在enableToggle = true时有效)
Button
toggleHandler : Function
当一个enableToggle 被设置为true的按钮被点击时调用的函数...
当一个enableToggle 被设置为true的按钮被点击时调用的函数。 将会传递两个参数：
  • button : Ext.Button
    当前Button对象
  • state : Boolean
    Button的下一个状态，true表示按下。
 Button
tooltip : String/Object
按钮的tooltip---可以是一个字符串，或者一个QuickTips配置对象
Button
tooltipType : String
使用的tooltip类型。 要么是 "qtip" (默认) QuickTips 要么是"title"以做标题属性。
Button
type : String
submit, reset 或者 button - 默认值为 'button'
Button
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | pressed : Boolean 只读属性。 如果按钮被按下，此值为true (只有在 enableToggle = true时有效) | Button
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Toolbar.SplitButton( Object config )
Creates a new SplitButton
Creates a new SplitButton
参数:
  • config : Object
    A standard Ext.SplitButton config object
返回值:
Toolbar.SplitButton
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getText() : String
获取此按钮的文本
获取此按钮的文本
参数:
  • 无.
返回值:
  • String
    按钮文本
 Button
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hasVisibleMenu() : Boolean
如果按钮有一个菜单，并且它是可见的，返回true
如果按钮有一个菜单，并且它是可见的，返回true
参数:
  • 无.
返回值:
  • Boolean
 Button
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
hideMenu() : void
隐藏当前按钮的菜单（如果有的话）
隐藏当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Button
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setArrowHandler( Function handler, [Object scope] ) : void
设置按钮箭头的点击处理方法。
设置按钮箭头的点击处理方法。
参数:
  • handler : Function
    The function to call when the arrow is clicked
  • scope : Object
    (可选) Scope for the function passed above
返回值:
  • void
 SplitButton
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHandler( Function handler, [Object scope] ) : void
指定按钮的点击处理器
指定按钮的点击处理器
参数:
  • handler : Function
    The function to call when the button is clicked
  • scope : Object
    (可选) Scope for the function passed in
返回值:
  • void
 Button
setIconClass( String cls ) : void
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
设置一个CSS类，提供一个背景图片，它将被用作按钮的图标。 此方法同时在内部改变 iconCls 配置项的值。
参数:
  • cls : String
    提供图标图片的CSS类
返回值:
  • void
 Button
setText( String text ) : void
设置按钮的文本
设置按钮的文本
参数:
  • text : String
    按钮文本
返回值:
  • void
 Button
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
showMenu() : void
显示当前按钮的菜单（如果有的话）
显示当前按钮的菜单（如果有的话）
参数:
  • 无.
返回值:
  • void
 Button
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle( [Boolean state] ) : void
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
如果传递了一个状态，它将成为按钮当前的按下状态，除非当前的状态被固定了。
参数:
  • state : Boolean
    (可选) 强制设为一个指定的状态
返回值:
  • void
 Button
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
arrowclick : ( MenuButton this, EventObject e )
当按钮上的箭头被点击时触发
当按钮上的箭头被点击时触发
监听器将会以如下的参数格式调用:
  • this : MenuButton
  • e : EventObject
    The click event
 SplitButton
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
click : ( Button this, EventObject e )
当按钮被点击时触发
当按钮被点击时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : EventObject
    The click event
 Button
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
menuhide : ( Button this, Menu menu )
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
如果当前按钮有一个菜单，当它被隐藏时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menushow : ( Button this, Menu menu )
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
如果当前按钮有一个菜单，当显示此菜单时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
 Button
menutriggerout : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标离开菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
menutriggerover : ( Button this, Menu menu, EventObject e )
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
如果当前按钮有一个菜单，当鼠标进入菜单触发元素范围时触发此事件。
监听器将会以如下的参数格式调用:
  • this : Button
  • menu : Menu
  • e : EventObject
 Button
mouseout : ( Button this, Event e )
当鼠标离开按钮时触发
当鼠标离开按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
mouseover : ( Button this, Event e )
当鼠标滑过按钮时触发
当鼠标滑过按钮时触发
监听器将会以如下的参数格式调用:
  • this : Button
  • e : 事件
    The event object
 Button
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
toggle : ( Button this, Boolean pressed )
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
当按钮的"pressed"状态发生改变时触发(只有在enableToggle = true时有效)
监听器将会以如下的参数格式调用:
  • this : Button
  • pressed : Boolean
 Button


Toolbar.Item
    Toolbar.TextItem

Class Ext.Toolbar.TextItem

包: | Ext
所在文件: | Toolbar.js
Class: | Toolbar.TextItem
继承自: | Toolbar.Item
一个简单的类，用来向一个工具条中直接渲染一个文本。
new Ext.Panel({
    tbar : [
        {xtype: 'tbtext', text: 'Item 1'} // or simply 'Item 1'
    ]
});

公共属性

该类没有公共属性。

公共方法

Method 所在类
Toolbar.TextItem( String/Object text )
Creates a new TextItem
Creates a new TextItem
参数:
  • text : String/Object
    A text string, or a config object containing a text property
返回值:
Toolbar.TextItem
destroy() : void
删除并销毁当前项目。
删除并销毁当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
disable() : void
禁用当前项目。
禁用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
enable() : void
启用当前项目。
启用当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
focus() : void
尝试聚焦到当前项目
尝试聚焦到当前项目
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
getEl() : HTMLElement
获取当前项目的HTML元素
获取当前项目的HTML元素
参数:
  • 无.
返回值:
  • HTMLElement
 Toolbar.Item
hide() : void
隐藏当前项目。
隐藏当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item
setVisible( Boolean visible ) : void
便捷方法，布尔型的show/hide
便捷方法，布尔型的show/hide
参数:
  • visible : Boolean
    true to show/false to hide
返回值:
  • void
 Toolbar.Item
show() : void
显示当前项目。
显示当前项目。
参数:
  • 无.
返回值:
  • void
 Toolbar.Item

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container
          Panel
            Tip
              ToolTip

Class Ext.ToolTip

包: | Ext
所在文件: | ToolTip.js
Class: | ToolTip
子类: | QuickTip
继承自: | Tip
一个标准的tooltip实现，当鼠标移过目标元素时，提供附加的信息。

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoHide : Boolean
如果为true，当鼠标移出目标元素， 或者到达dismissDelay 参数...
如果为true，当鼠标移出目标元素， 或者到达dismissDelay 参数指定的时间之后（如果有指定）， 自动隐藏提示信息。 如果closable为true 一个关闭工具按钮将会被渲染到 tooltip的头部。
ToolTip
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoWidth : Boolean
如果为true，使用width:'auto'配置，否则使用固定的高度...
如果为true，使用width:'auto'配置，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动宽度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
closable : Boolean
如果为true，在此tip头部渲染一个关闭按钮(默认值为 false)。
Tip
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultAlign : String
实验性属性此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关...
实验性属性。 此tip默认的Ext.Element.alignTo 锚定位置值，与它的元素原来的位置相关(默认值为 "tl-bl?").
Tip
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
dismissDelay : Number
在tooltip自动隐藏之前延迟的毫秒数(默认值为 5000)...
在tooltip自动隐藏之前延迟的毫秒数(默认值为 5000)。（译者注：也就是tooltip显示的毫秒数）。 需要使自动隐藏无效，设置dismissDelay = 0。
ToolTip
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
elements : String
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔...
当panel被渲染时，需要初始化的元素列表，元素以逗号分隔。 一般地，这个列表会根据注册时添加到panel的元素自动产生， 但是，有时候不是在config时刻，需要确定一个结构化的列表元素是否已经渲染（ 例如，你可能想在panel渲染之后动态地向panel添加一个按钮或者工具栏。 ） 将那些元素添加到这个列表，将会在panel渲染时为这些元素分配必须的占位符。 合法的值有
  • header
  • tbar (top bar)
  • body (必须的)
  • bbar (bottom bar)
  • footer
默认为'body'。
 Panel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideDelay : Number
鼠标移出目标之后，tooltip隐藏之前的延迟时间毫秒数(默认值为 200)。 设置为...
鼠标移出目标之后，tooltip隐藏之前的延迟时间毫秒数(默认值为 200)。 设置为0，tooltip将立即隐藏。
ToolTip
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maxWidth : Number
tip最大宽度像素值(默认值为 300). 最大支持到500。
Tip
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minWidth : Number
tip最小宽度像素值(默认值为 40).
Tip
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
mouseOffset : Array
一个到鼠标位置的偏移量，tooltip将会被显示在此位置(默认值为 [15,18])。
ToolTip
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
showDelay : Number
鼠标进入目标元素之后，tooltip显示之前的延迟时间毫秒数(默认值为 500)。
ToolTip
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
target : Mixed
关联到此tooltip的目标元素：HTMLElement、Ext.Element或者一个id。
ToolTip
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
trackMouse : Boolean
如果为true，当鼠标移过目标元素时，让tooltip跟随鼠标(默认值为 false)。
ToolTip
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
ToolTip( Object config )
Create a new Tooltip
Create a new Tooltip
参数:
  • config : Object
    The configuration options
返回值:
ToolTip
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : void
如果此tooltip可见，隐藏它。
如果此tooltip可见，隐藏它。
参数:
  • 无.
返回值:
  • void
 ToolTip
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : void
将提示显示在当前事件目标的XY位置。
将提示显示在当前事件目标的XY位置。
参数:
  • 无.
返回值:
  • void
 ToolTip
showAt( Array xy ) : void
在指定的XY位置显示tip...
在指定的XY位置显示tip。 示例用法:
// Show the tip at x:50 and y:100
tip.showAt([50,100]);
参数:
  • xy : Array
    An array containing the x and y coordinates
返回值:
  • void
 Tip
showBy( Mixed el, [String position] ) : void
实验性属性。使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值...
实验性属性. 使用一个标准的Ext.Element.alignTo 锚定(anchor)位置值，将此tip显示在紧靠另一个元素的位置。 示例用法:
// Show the tip at the default position ('tl-br?')
tip.showBy('my-el');

// Show the tip's top-left corner anchored to the element's top-right corner
tip.showBy('my-el', 'tl-tr');
参数:
  • el : Mixed
    An HTMLElement, Ext.Element or string id of the target element to align to
  • position : String
    (可选) A valid Ext.Element.alignTo anchor position (默认值为 'tl-br?' or defaultAlign if specified).
返回值:
  • void
 Tip
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Observable
    Node
      TreeNode
        AsyncTreeNode

Class Ext.tree.AsyncTreeNode

包: | Ext.tree
所在文件: | AsyncTreeNode.js
Class: | AsyncTreeNode
继承自: | TreeNode

配置属性

配置属性 |  | 所在类
 | allowChildren : Boolean 设置为false将不允许此节点有孩子节点 (默认值为 true) | TreeNode
 | allowDrag : Boolean 如果draggable = true (默认值为 true)，设置此项为false将使得此节点不可拖拽。 | TreeNode
 | allowDrop : Boolean 如果不可以把孩子节点拖动到此节点上，设置为false (默认值为 true) | TreeNode
 | checked : Boolean 设置为true将为此节点渲染一个选中状态复选框， false将渲染一个未选中的复选框... 设置为true将为此节点渲染一个选中状态复选框， false将渲染一个未选中的复选框 (默认值为 undefined ，没有复选框) | TreeNode
 | cls : String 添加到节点的CSS类 | TreeNode
 | disabled : Boolean 如果节点处于无效状态，此值为true。 | TreeNode
 | draggable : Boolean 设置为true使节点可以拖拽(默认值为 false) | TreeNode
 | expandable : Boolean 如果设置为true，此节点将一直显示一个+/-号，甚至为空的时候也显示。 | TreeNode
 | expanded : Boolean 设置为true将开始展开节点 | TreeNode
 | href : String 此节点使用链接的URL(默认值为 #) | TreeNode
 | hrefTarget : String 链接的目标frame | TreeNode
 | icon : String 节点的图标路径。 添加图标的最佳方法是使用cls或者iconCls属性，通过CSS背景图片添加图标。 节点的图标路径。 添加图标的最佳方法是使用cls或者iconCls属性，通过CSS背景图片添加图标。 | TreeNode
 | iconCls : String 一个添加到节点图标元素的CSS类，以应用CSS背景图片 | TreeNode
 | id : String 节点id | Node
 | isTarget : Boolean 设置为false将不允许此节点成为拖拽的目标(默认值为 true) | TreeNode
 | leaf : Boolean 如果当前节点是一个叶子节点，并且没有孩子节点，则为true。 | Node
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | loader : TreeLoader 此节点使用的树加载器(默认值使用为树定义的加载器) | AsyncTreeNode
 | qtip : String 节点使用的一个Ext QuickTip | TreeNode
 | qtipCfg : String 此节点的一个Ext QuickTip配置(用来代替qtip) | TreeNode
 | singleClickExpand : Boolean 设置为true在单击时展开节点。 | TreeNode
 | text : String 只读属性。此节点的文本。使用setText()方法改变它。 | TreeNode
 | uiProvider : Function 此节点使用的 UI class (默认值为 Ext.tree.TreeNodeUI) | TreeNode

公共属性

Property |  | 所在类
 | attributes : Object 提供给节点的参数。你可以使用这个属性来访问你提供的任何特定参数。 | Node
 | childNodes : Array 当前节点的所有孩子节点。 | Node
 | disabled : Boolean 如果节点处于无效状态，此值为true。 | TreeNode
 | firstChild : Node 当前节点的第一个直接的孩子节点，如果当前节点没有孩子，则为null。 | Node
 | id : String 节点id | Node
 | lastChild : Node 当前节点的最后一个直接的孩子节点，如果当前节点没有孩子节点，则为null。 | Node
 | loader : TreeLoader 此节点使用的树加载器(默认值使用为树定义的加载器) | AsyncTreeNode
 | nextSibling : Node 树中最靠近当前节点的下一个节点， 如果不存在兄弟节点，则此值为null。 | Node
 | parentNode : Node 当前节点的父节点 | Node
 | previousSibling : Node 树中最靠近当前节点的前一个节点， 如果不存在兄弟节点，则此值为null。 | Node
 | text : String 只读属性。此节点的文本。使用setText()方法改变它。 | TreeNode
 | ui : TreeNodeUI 只读属性。 节点的UI。 | TreeNode

公共方法

Method 所在类
AsyncTreeNode( Object/String attributes )
参数:
  • attributes : Object/String
    The attributes/config for the node or just a string with the text for the node
返回值:
AsyncTreeNode
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
appendChild( Node/Array node ) : Node
添加新的节点(s)，作为当前节点的最后的孩子。
添加新的节点(s)，作为当前节点的最后的孩子。
参数:
  • node : Node/Array
    需要添加的节点数组
返回值:
  • Node
    如果添加的是单个节点，该值就是这个节点对象；如果插入的是一个数组，则该值为null
Node
bubble( Function fn, [Object scope], [Array args] ) : void
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域...
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止冒泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为当前节点)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
cascade( Function fn, [Object scope], [Array args] ) : void
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 ...
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则下落操作停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
collapse( [Boolean deep], [Boolean anim] ) : void
收起节点。
收起节点。
参数:
  • deep : Boolean
    (可选) 设置为true 将收缩起所有的孩子节点
  • anim : Boolean
    (可选) false to cancel the default animation
返回值:
  • void
 TreeNode
collapseChildNodes( [Boolean deep] ) : void
收起所有的孩子节点
收起所有的孩子节点
参数:
  • deep : Boolean
    (可选) 设置为true，将使得孩子节点也收缩起它们自己的孩子
返回值:
  • void
 TreeNode
contains( Node node ) : Boolean
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
disable() : void
使当前节点无效
使当前节点无效
参数:
  • 无.
返回值:
  • void
 TreeNode
eachChild( Function fn, [Object scope], [Array args] ) : void
Iterates the child nodes of this node, calling the specified function with each node. The scope (this) of function ca...
迭代当前节点的孩子节点，对每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止迭代。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
enable() : void
启用此节点
启用此节点
参数:
  • 无.
返回值:
  • void
 TreeNode
ensureVisible() : void
确保所有的父节点都处于展开状态，在必要时，将此节点滚动到可见区域。
确保所有的父节点都处于展开状态，在必要时，将此节点滚动到可见区域。
参数:
  • 无.
返回值:
  • void
 TreeNode
expand( [Boolean deep], [Boolean anim], [Function callback] ) : void
展开当前节点。
展开当前节点。
参数:
  • deep : Boolean
    (可选) 设置为true，将同时展开所有的孩子节点
  • anim : Boolean
    (可选) 设置为false，取消默认的动画效果
  • callback : Function
    (可选) 当展开当前节点操作结束时回调的函数 (不等待更深的展开操作完成)。使用一个参数调用此方法：当前节点(this node)。
返回值:
  • void
 TreeNode
expandChildNodes( [Boolean deep] ) : void
展开所有的孩子节点
展开所有的孩子节点
参数:
  • deep : Boolean
    (可选) 如果孩子节点也需要展开它们自己的孩子，设置为true
返回值:
  • void
 TreeNode
findChild( String attribute, Mixed value ) : Node
查找第一个孩子节点，它的某个属性具有给定的值。
查找第一个孩子节点，它的指定属性具有给定的值。
参数:
  • attribute : String
    属性名称
  • value : Mixed
    需要查找的值
返回值:
  • Node
    查找到的孩子节点，如果没有找到则为null
Node
findChildBy( Function fn, [Object scope] ) : Node
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Node
    找到的孩子节点，如果没有找到则返回null
 Node
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getDepth() : Number
返回当前节点的深度(根节点的深度为0)
返回当前节点的深度(根节点的深度为0)
参数:
  • 无.
返回值:
  • Number
 Node
getOwnerTree() : Tree
返回当前节点所在的树。
返回当前节点所在的树。
参数:
  • 无.
返回值:
  • Tree
 Node
getPath( [String attr] ) : String
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
参数:
  • attr : String
    (可选) 路径使用的参数(默认值为节点的id)
返回值:
  • String
    The path
 Node
getUI() : TreeNodeUI
返回此节点的UI对象。
返回此节点的UI对象。
参数:
  • 无.
返回值:
  • TreeNodeUI
    为此节点提供用户接面的对象。 除非在{@link #uiProvider}中特别指定，否则这将是 {@link Ext.tree.TreeNodeUI}的一个实例
 TreeNode
hasChildNodes() : Boolean
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Node node ) : Number
返回一个孩子节点的序号
返回一个孩子节点的序号
参数:
  • node : Node
返回值:
  • Number
    节点的序号，没有找到时返回-1
Node
insertBefore( Node node, Node refNode ) : Node
将第一个节点的所有孩子节点插入到第二个节点之前
将第一个节点的所有孩子节点插入到第二个节点之前
参数:
  • node : Node
    The node to insert
  • refNode : Node
    The node to insert before (if null the node is appended)
返回值:
  • Node
    The inserted node
 Node
isAncestor( Node node ) : Boolean
如果传入的节点是当前节点的祖先（任何层次上），返回true。
如果传入的节点是当前节点的祖先（任何层次上），返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
isExpandable() : Boolean
如果当前节点有一个或多个子节点， 或者当节点的...
如果当前节点有一个或多个子节点， 或者当节点的 expandable(参见attributes) 属性被明确地设置为true，返回true；否则 返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
isExpanded() : Boolean
如果此节点处于展开状态，返回true
如果此节点处于展开状态，返回true
参数:
  • 无.
返回值:
  • Boolean
 TreeNode
isFirst() : Boolean
如果当前节点是其父节点的第一个孩子，则返回true
如果当前节点是其父节点的第一个孩子，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLast() : Boolean
如果当前节点是其父节点的最后一个孩子，返回true
如果当前节点是其父节点的最后一个孩子，返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLeaf() : Boolean
如果当前节点是一个叶子节点，则返回true
如果当前节点是一个叶子节点，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLoaded() : Boolean
如果此节点已经加载完毕，返回true
如果此节点已经加载完毕，返回true
参数:
  • 无.
返回值:
  • Boolean
 AsyncTreeNode
isLoading() : Boolean
如果此节点当前处于正在加载状态，返回true
如果此节点当前处于正在加载状态，返回true
参数:
  • 无.
返回值:
  • Boolean
 AsyncTreeNode
isSelected() : Boolean
如果当前节点被选中，返回true
如果当前节点被选中，返回true
参数:
  • 无.
返回值:
  • Boolean
 TreeNode
item( Number index ) : Node
返回指定索引处的孩子节点。
返回指定索引处的孩子节点。
参数:
  • index : Number
返回值:
  • Node
 Node
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
reload( Function callback ) : void
触发此节点重新加载
触发此节点重新加载
参数:
  • callback : Function
返回值:
  • void
 AsyncTreeNode
remove() : Node
从父节点中移除当前节点
从父节点中移除当前节点
参数:
  • 无.
返回值:
  • Node
    this
 Node
removeChild( Node node ) : Node
从当前节点中删除一个孩子节点。
从当前节点中删除一个孩子节点。
参数:
  • node : Node
    需要删除的节点
返回值:
  • Node
    删除掉的节点
 Node
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
replaceChild( Node newChild, Node oldChild ) : Node
使用一个节点替换当前节点中的一个孩子节点。
使用一个节点替换当前节点中的一个孩子节点。
参数:
  • newChild : Node
    用来替代的节点
  • oldChild : Node
    被替代的节点
返回值:
  • Node
    被替代的节点
 Node
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select() : void
触发此节点的选中状态
触发此节点的选中状态
参数:
  • 无.
返回值:
  • void
 TreeNode
setText( String text ) : void
为此节点设置文本
为此节点设置文本
参数:
  • text : String
返回值:
  • void
 TreeNode
sort( Function fn, [Object scope] ) : void
使用提供的排序方法对当前节点的孩子节点进行排序
使用提供的排序方法对当前节点的孩子节点进行排序
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • void
 Node
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle() : void
固定住节点的展开/收缩状态
固定住节点的展开/收缩状态
参数:
  • 无.
返回值:
  • void
 TreeNode
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unselect() : void
触发此节点的反选
触发此节点的反选
参数:
  • 无.
返回值:
  • void
 TreeNode

公共事件

Event 所在类
append : ( Tree tree, Node this, Node node, Number index )
当一个新的子节点被添加时触发
当一个新的子节点被添加时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    新添加的节点
  • index : Number
    新添加的节点的序号
Node
beforeappend : ( Tree tree, Node this, Node node )
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要添加的孩子节点
 Node
beforechildrenrendered : ( Node this )
在此节点的孩子节点渲染之前触发
在此节点的孩子节点渲染之前触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
beforeclick : ( Node this, Ext.EventObject e )
在处理点击操作之前触发。 返回false取消默认操作。
在处理点击操作之前触发。 返回false取消默认操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
beforecollapse : ( Node this, Boolean deep, Boolean anim )
在此节点被收起起之前触发，返回false取消操作。
在此节点被收起起之前触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • deep : Boolean
  • anim : Boolean
 TreeNode
beforeexpand : ( Node this, Boolean deep, Boolean anim )
当前节点展开时触发，返回false取消操作。
当前节点展开时触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • deep : Boolean
  • anim : Boolean
 TreeNode
beforeinsert : ( Tree tree, Node this, Node node, Node refNode )
在插入一个新的孩子节点之前触发，返回false终止插入。
在插入一个新的孩子节点之前触发，返回false终止插入。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
beforeload : ( Node this )
此节点加载完毕之前触发，返回false取消加载
此节点加载完毕之前触发，返回false取消加载
监听器将会以如下的参数调用:
  • this : Node
    This node
 AsyncTreeNode
beforemove : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    The parent of this node
  • newParent : Node
    The new parent this node is moving to
  • index : Number
    The index it is being moved to
 Node
beforeremove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除之前触发，返回false终止删除。
当一个孩子节点被删除之前触发，返回false终止删除。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要删除的孩子节点
 Node
checkchange : ( Node this, Boolean checked )
当一个带有复选框的节点选中状态发生改变时触发
当一个带有复选框的节点选中状态发生改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • checked : Boolean
 TreeNode
click : ( Node this, Ext.EventObject e )
当节点被单击时触发
当节点被单击时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
collapse : ( Node this )
当前节点收起是触发
当前节点收起是触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
contextmenu : ( Node this, Ext.EventObject e )
节点被右击时触发
节点被右击时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
dblclick : ( Node this, Ext.EventObject e )
当节点被双击时触发。
当节点被双击时触发。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
disabledchange : ( Node this, Boolean disabled )
当前节点的无效状态发生改变时触发
当前节点的无效状态发生改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • disabled : Boolean
 TreeNode
expand : ( Node this )
当前节点展开时触发。
当前节点展开时触发。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
insert : ( Tree tree, Node this, Node node, Node refNode )
当插入一个新的节点时触发。
当插入一个新的节点时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
load : ( Node this )
当此节点加载后触发
当此节点加载后触发
监听器将会以如下的参数调用:
  • this : Node
    This node
 AsyncTreeNode
move : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置时触发
当前节点被移动到树中一个新的位置时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    当前节点旧的父节点
  • newParent : Node
    当前节点新的父节点
  • index : Number
    移动到的序号
 Node
remove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除的时候触发
当一个孩子节点被删除的时候触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    被删除掉的节点
 Node
textchange : ( Node this, String text, String oldText )
当节点的文本改变时触发
当节点的文本改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • text : String
    The new text
  • oldText : String
    The old text
 TreeNode


Observable
    DefaultSelectionModel

Class Ext.tree.DefaultSelectionModel

包: | Ext.tree
所在文件: | TreeSelectionModel.js
Class: | DefaultSelectionModel
继承自: | Observable
TreePanel使用的默认单选模型。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clearSelections() : void
清除所有的选中
清除所有的选中
参数:
  • 无.
返回值:
  • void
 DefaultSelectionModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getSelectedNode() : TreeNode
获取选中的节点。
获取选中的节点。
参数:
  • 无.
返回值:
  • TreeNode
    The selected node
 DefaultSelectionModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isSelected( TreeNode node ) : Boolean
如果节点被选中，返回true
如果节点被选中，返回true
参数:
  • node : TreeNode
    The node to check
返回值:
  • Boolean
 DefaultSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( TreeNode node ) : TreeNode
选中一个节点。
选中一个节点。
参数:
  • node : TreeNode
    The node to select
返回值:
  • TreeNode
    The selected node
 DefaultSelectionModel
selectNext() : TreeNode
智能遍历节点，选中已经被选择的节点的下一个节点
智能遍历节点，选中已经被选择的节点的下一个节点
参数:
  • 无.
返回值:
  • TreeNode
    The new selection
 DefaultSelectionModel
selectPrevious() : TreeNode
智能遍历节点，选中已经被选择的节点的上一个节点
智能遍历节点，选中已经被选择的节点的上一个节点
参数:
  • 无.
返回值:
  • TreeNode
    The new selection
 DefaultSelectionModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unselect( TreeNode node ) : void
反选一个节点。
反选一个节点。
参数:
  • node : TreeNode
    The node to unselect
返回值:
  • void
 DefaultSelectionModel

公共事件

Event 所在类
beforeselect : ( DefaultSelectionModel this, TreeNode node, TreeNode node )
当选中的节点发生变化之前触发，返回false取消变化
当选中的节点发生变化之前触发，返回false取消变化
监听器将会以如下的参数格式调用:
  • this : DefaultSelectionModel
  • node : TreeNode
    the new selection
  • node : TreeNode
    the old selection
 DefaultSelectionModel
selectionchange : ( DefaultSelectionModel this, TreeNode node )
当选中的节点发生变化时触发
当选中的节点发生变化时触发
监听器将会以如下的参数格式调用:
  • this : DefaultSelectionModel
  • node : TreeNode
    the new selection
 DefaultSelectionModel


Observable
    MultiSelectionModel

Class Ext.tree.MultiSelectionModel

包: | Ext.tree
所在文件: | TreeSelectionModel.js
Class: | MultiSelectionModel
继承自: | Observable
TreePanel的多选模型。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clearSelections() : void
清除所有选中的节点
清除所有选中的节点
参数:
  • 无.
返回值:
  • void
 MultiSelectionModel
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getSelectedNodes() : Array
返回选中的节点数组
返回选中的节点数组
参数:
  • 无.
返回值:
  • Array
 MultiSelectionModel
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isSelected( TreeNode node ) : Boolean
如果节点被选中，返回true
如果节点被选中，返回true
参数:
  • node : TreeNode
    The node to check
返回值:
  • Boolean
 MultiSelectionModel
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select( TreeNode node, [EventObject e], Boolean keepExisting ) : TreeNode
选中一个节点。
选中一个节点。
参数:
  • node : TreeNode
    The node to select
  • e : EventObject
    (可选) An event associated with the selection
  • keepExisting : Boolean
    True to retain existing selections
返回值:
  • TreeNode
    The selected node
 MultiSelectionModel
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unselect( TreeNode node ) : void
反选一个节点。
反选一个节点。
参数:
  • node : TreeNode
    The node to unselect
返回值:
  • void
 MultiSelectionModel

公共事件

Event 所在类
selectionchange : ( MultiSelectionModel this, Array nodes )
当选中的节点发生变化时触发
当选中的节点发生变化时触发
监听器将会以如下的参数格式调用:
  • this : MultiSelectionModel
  • nodes : Array
    Array of the selected nodes
 MultiSelectionModel


Class Ext.tree.RootTreeNodeUI

包: | Ext.tree
所在文件: | TreeNodeUI.js
Class: | RootTreeNodeUI
继承自: | Object
该类为Ext TreeNode的root节点提供默认的UI实现。 RootTreeNode UI 实现允许定制树根节点的展现形式。

如果你正在定制树的用户界面， 你可能需要继承此类，但是你永远不应该实例化此类。

公共属性

该类没有公共属性。

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


DragDrop
    DD
      DDProxy
        DragSource
          DragZone
            TreeDragZone

Class Ext.tree.TreeDragZone

包: | Ext.tree
所在文件: | TreeDragZone.js
Class: | TreeDragZone
继承自: | DragZone

配置属性

配置属性 |  | 所在类
 | containerScroll : Boolean 如果为true，使用Scrollmanager注册此容器， 在拖拽过程中可以自动进行滚动。 | DragZone
 | ddGroup : String 此对象所属的指定拖拽放下分组。 如果指定了一个分组，那么此对象只会跟同一个组中的其它拖拽... 此对象所属的指定拖拽放下分组。 如果指定了一个分组，那么此对象只会跟同一个组中的其它拖拽对象发生交互 (默认值为 'TreeDD'). | TreeDragZone
 | dropAllowed : String 当允许执行放下操作时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-ok"). | DragSource
 | dropNotAllowed : String 当不允许放开时返回给拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DragSource
 | hlColor : String 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) 在放下动作失败，对拖拽源进行高亮显示时使用的颜色 (默认值为 "c3daf9"---淡蓝) | DragZone

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
centerFrame : boolean
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量....
默认情况下，框架会被精确地放置到拖拽元素的位置 ，所以我们必须使用Ext.dd.DD类提供的鼠标偏移量。 另外一点是让拖拽框架以鼠标为中心点，只有你没有为此对象设置约束时才有效。 设置centerFrame为true可以使用这种效果（以鼠标为中心）。
DDProxy
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
onStartDrag : Object
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次...
默认为一个空函数， 你可以定制一个特殊的操作，在发起拖拽事件开始时执行一次。 不能从此方法中终止拖拽操作。
DragSource
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
resizeFrame : boolean
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效...
默认情况下，我们把拖动的框架设置成与需要拖动的元素一样大小 (这是为了让框架有效)。 如果我们需要一个不同的行为，我们可以关闭它。
DDProxy
scroll : boolean
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试...
设置为true时，当一个对象被拖拽到浏览器视区边缘时，将自动尝试滚动浏览器的窗口。 默认为true。
 DD
tree : Ext.tree.TreePanel
此拖拽区域所属的TreePanel
TreeDragZone
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
TreeDragZone( String/HTMLElement/Element tree, Object config )
参数:
  • tree : String/HTMLElement/Element
    The Ext.tree.TreePanel for which to enable dragging
  • config : Object
返回值:
TreeDragZone
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
afterDragDrop( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的拖拽和放下动作发生之后执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterDragEnter( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源已经进入到目标范围内时执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOut( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被拖出了目标的范围而没有被放下时执行， 并且可以选择终止执行它。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterDragOver( Ext.dd.DragDrop target, Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
默认为一个空函数， 你可以定制一个特殊的操作，当拖拽源被拖着滑过目标的时候执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • void
 DragSource
afterInvalidDrop( Event e, String id ) : void
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之后执行。
参数:
  • e : Event
    事件对象
  • id : String
    The id of the dropped element
返回值:
  • void
 DragSource
afterRepair() : void
在一个非法放下操作进行repair动作之后调用。 默认会高亮显示this.dragData.ddel。
在一个非法放下操作进行repair动作之后调用。 默认会高亮显示this.dragData.ddel。
参数:
  • 无.
返回值:
  • void
 DragZone
alignElWithMouse( HTMLElement el, int iPageX, int iPageY ) : void
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标点击的地方，请覆盖此方法。
参数:
  • el : HTMLElement
    需要移动的元素
  • iPageX : int
    mousedown或者drag事件的X坐标位置
  • iPageY : int
    mousedown或者drag事件的Y坐标位置
返回值:
  • void
 DD
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
autoOffset( int iPageX, int iPageY ) : void
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
设置鼠标的偏移量为：相关联元素左上角到被点击元素位置之间的距离
参数:
  • iPageX : int
    点击位置的X坐标值
  • iPageY : int
    点击位置的Y坐标值
返回值:
  • void
 DD
b4Drag() : void
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
在onDrag事件之前触发的事件。重写了 Ext.dd.DragDrop中的对应属性。
参数:
  • 无.
返回值:
  • void
 DD
b4MouseDown() : void
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
在onMouseDown事件之前触发的事件。 覆盖了Ext.dd.DragDrop中的相同属性。
参数:
  • 无.
返回值:
  • void
 DD
beforeDragDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源被放置到拖拽目标上之前执行， 并且可以选择终止执行onDragDrop方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 当drag drop事件合法时为true；否则为false并终止操作
 DragSource
beforeDragEnter( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源开始进入目标的范围之前执行， 并且可以选择终止执行onDragEnter方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOut( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在拖拽源滑过目标而没有被放下之前执行， 并可以选择终止执行onDragOut方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
beforeDragOver( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行...
默认为一个空函数， 你可以定制一个特殊的操作，当被拖拽的对象滑过拖拽目标的时候执行， 并且可以选择终止执行onDragOver方法。
参数:
  • target : Ext.dd.DragDrop
    拖拽的目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
DragSource
beforeInvalidDrop( Ext.dd.DragDrop target, Event e, String id ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
默认为一个空函数， 你可以定制一个特殊的操作，当一个合法的放下动作发生之前执行。
参数:
  • target : Ext.dd.DragDrop
    拖拽目标
  • e : Event
    事件对象
  • id : String
    被拖拽元素的id
返回值:
  • Boolean
    isValid True if the invalid drop should proceed, else false to cancel
 DragSource
cachePosition( iPageX the, iPageY the ) : void
保存最后一次的位置，这样我们可以按需要重置 约束和标记...
保存最后一次的位置，这样我们可以按需要重置 约束和标记。 我们必须知道这一点，以使我们能够计算元素与其原来位置偏移的像素数。
参数:
  • the : iPageX
    current x position (optional, this just makes it so we don't have to look it up again)
  • the : iPageY
    current y position (optional, this just makes it so we don't have to look it up again)
返回值:
  • void
 DD
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
createFrame() : void
创建代理元素，如果它还不存在
创建代理元素，如果它还不存在
参数:
  • 无.
返回值:
  • void
 DDProxy
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragData() : Object
返回关联到当前拖拽源的数据对象
返回关联到当前拖拽源的数据对象
参数:
  • 无.
返回值:
  • Object
    data 一个可以包含任意数据的对象
 DragSource
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getProxy() : Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
返回拖拽源底层的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • Ext.dd.StatusProxy
    proxy The StatusProxy
 DragSource
getRepairXY( EventObject e ) : Array
在一个合法放下操作进行repair动作之前调用，将XY以动画效果设置到目标位置。 默认返回this.dragData.ddel的XY属性。
在一个非法放下操作进行repair动作之前调用，将XY以动画效果设置到目标位置。 默认返回this.dragData.ddel的XY属性。
参数:
  • e : EventObject
    鼠标按键弹起事件
返回值:
  • Array
    xy位置(例如：[100, 200])
 DragZone
hideProxy() : void
隐藏拖拽源的 Ext.dd.StatusProxy
隐藏拖拽源的 Ext.dd.StatusProxy
参数:
  • 无.
返回值:
  • void
 DragSource
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initFrame() : void
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
初始化拖动框架元素。 此方法必须在子类的构造器中调用。
参数:
  • 无.
返回值:
  • void
 DDProxy
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onBeforeDrag( Object data, Event e ) : Boolean
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行...
默认为一个空函数， 你可以定制一个特殊的操作，在发起drag事件之前执行， 并且可以选择终止执行它。
参数:
  • data : Object
    包含任意数据的对象，可以在拖拽目标之间共享
  • e : Event
    事件对象
返回值:
  • Boolean
    isValid 如果drag事件合法，为true；否则为false并退出
 DragSource
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInitDrag( Number x, Number y ) : Boolean
一旦拖拽动作开始，调用此方法来初始化代理元素。 默认情况下，此方法将克隆 this.dragData.ddel
一旦拖拽动作开始，调用此方法来初始化代理元素。 默认情况下，此方法将克隆 this.dragData.ddel
参数:
  • x : Number
    在被拖拽对象上点击时的x位置
  • y : Number
    在被拖拽对象上点击时的y位置
返回值:
  • Boolean
    继续拖拽动作时返回true，终止拖拽时返回false
DragZone
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDelta( int iDeltaX, int iDeltaY ) : void
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如...
设置鼠标的偏移量。 你可以直接调用此方法，以强制把鼠标设置到一个特定的位置 (例如：传递0,0可以将它设置到对象的中心点位置)
参数:
  • iDeltaX : int
    the distance from the left
  • iDeltaY : int
    the distance from the top
返回值:
  • void
 DD
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setDragElPos( int iPageX, int iPageY ) : void
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置...
把拖拽的元素位置设置到mousedown或者click事件发生的地方，保持鼠标在被点击元素之上的位置。 如果想把元素放置到不是鼠标所在的位置，请覆盖此方法。
参数:
  • iPageX : int
    the X coordinate of the mousedown or drag event
  • iPageY : int
    the Y coordinate of the mousedown or drag event
返回值:
  • void
 DD
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


DragDrop
    DDTarget
      DropTarget
        DropZone
          TreeDropZone

Class Ext.tree.TreeDropZone

包: | Ext.tree
所在文件: | TreeDropZone.js
Class: | TreeDropZone
继承自: | DropZone

配置属性

配置属性 |  | 所在类
 | allowContainerDrop : String 设置为true将允许在树容器(在指定的树节点之外)上放下节点 (默认值为 false) | TreeDropZone
 | allowParentInsert : Boolean 允许在展开的父节点之间插入被拖拽的节点，当放下时，被拖拽节点(s)的第一个节点 将会成为父节点的一... 允许在展开的父节点之间插入被拖拽的节点，当放下时，被拖拽节点(s)的第一个节点 将会成为父节点的一个兄弟节点(默认值为 false) | TreeDropZone
 | appendOnly : String 设置为true，树只允许扩展性的放下操作 (排序好的树所使用，默认值为 false) | TreeDropZone
 | ddGroup : String 此对象所属的一个指定的拖拽分组。 如果指定了一个分组，那么此对象将只与同一个组中的其它拖拽对象发生交互... 此对象所属的一个指定的拖拽分组。 如果指定了一个分组，那么此对象将只与同一个组中的其它拖拽对象发生交互 (默认值为 'TreeDD')。 | TreeDropZone
 | dropAllowed : String 当允许放开被拖拽的对象时，返回给拖拽源（拖拽的对象）的CSS样式 (默认值为 "x-dd-drop-ok"). | DropTarget
 | dropNotAllowed : String 当不允许放下时返回到拖拽源的CSS样式 (默认值为 "x-dd-drop-nodrop"). | DropTarget
 | expandDelay : String 当拖动一个可以放下的节点滑过目标时展开目标节点所延迟的毫秒数 (默认值为 1000) 当拖动一个可以放下的节点滑过目标时展开目标节点所延迟的毫秒数 (默认值为 1000) | TreeDropZone
 | overClass : String 当拖拽源对象从目标元素上滑过时应用到目标元素的CSS样式 (默认值为 ""). | DropTarget

公共属性

Property 所在类
available : boolean
当相关联的dom元素可以访问之前availabe属性值都是false。
DragDrop
config : object
传递给构造器的配置参数
DragDrop
defaultPadding : Object
为"constrainTo"元素提供默认的填充约束 (默认值为 {left: 0, right:0, top:0, bottom:0})。
DragDrop
dragOverData : Ext.tree.TreePanel
可以为此树绑定任意的数据，并且将被包含到事件对象中 ，且被传递给nodedragover事件处理器(默认值为 {})
可以为此树绑定任意的数据，并且将被包含到事件对象中 ，且被传递给nodedragover事件处理器(默认值为 {})
TreeDropZone
groups : object
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时...
组定义了一个相关的DragDrop对象的逻辑集合。 只有在与同一组中的其它DragDrop对象发生交互时，实例才会收到事件。 这允许我们在需要时，使用DragDrop的单个实例来定义多个组。
DragDrop
hasOuterHandles : boolean
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中...
默认情况下，只有在相关联元素的区域中发生mousedown事件时，才发起拖拽操作。 在某些浏览器中，如果上一次mouseup事件在window外部发生的时候， 浏览器将不能报告此次的mousedown事件， 此时将会产生一个bug。 如果定义了外部的句柄，此属性值将被设置为true。
DragDrop
id : String
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置...
与当前对象相关联的元素的id。 这就是我们所谓的关联元素("linked element")，因为此元素的大小和位置 将被用来决定何时与拖动和放开的对象进行交互。
DragDrop
invalidHandleClasses : Array
CSS类名数组，应用到那些被认为是非法拖拽句柄的对象上。
DragDrop
invalidHandleIds : Object
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的...
一个对象，它的属性名标志了被认为是非法的拖动手柄元素的ID。 一个非空属性值标志着这些ID是有效的。 例如，为了阻止从ID为"foo"的元素上发起拖动操作，使用 :
{
    foo: true
}
 DragDrop
invalidHandleTypes : Object
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的...
一个对象，它的属性名标记了那些不能作为拖拽句柄的HTML标签。 一个非空属性值标志着此标签是无效的。 默认为以下值，它将阻止从<a>元素发起拖拽操作： :
{
    A: "A"
}
 DragDrop
isTarget : boolean
默认情况下，任何实例都可以是拖放的目标。 可以设置isTarget为false以禁用。
 DragDrop
maintainOffset : boolean
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系...
当我们重置约束时保持偏移量。 当你需要在页面变化时，元素保持与其父元素的相对位置关系，设置此项为true。
DragDrop
padding : int[]
当前拖拽对象的padding配置项， 用来计算与当前对象相交叉的区域。
DragDrop
primaryButtonOnly : boolean
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)...
默认情况下，drag和drop实例只会响应鼠标第一个键的点击操作 (右手习惯下的左键)。 设置为true，将响应浏览器传来的任何一个键的点击。
DragDrop
tree : Ext.tree.TreePanel
此放下区域的TreePanel
TreeDropZone
xTicks : int[]
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个水平的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在水平方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop
yTicks : int[]
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组...
在指定一个垂直的刻度/间距时， 元素自动吸附位置的像素数组。 当你定义一个间距记号时，这个数组是自动生成的。 （译者注：此配置可以用来实现在垂直方向上拖动时的一种磁性吸附效果，这个数组就是 自动吸附的像素刻度或者间距）。
DragDrop

公共方法

Method 所在类
TreeDropZone( String/HTMLElement/Element tree, Object config )
参数:
  • tree : String/HTMLElement/Element
    The Ext.tree.TreePanel for which to enable dropping
  • config : Object
返回值:
TreeDropZone
addInvalidHandleClass( string cssClass ) : void
允许你为那些不能发起拖拽操作的元素指定一个CSS类
允许你为那些不能发起拖拽操作的元素指定一个CSS类
参数:
  • cssClass : string
    the class of the elements you wish to ignore
返回值:
  • void
 DragDrop
addInvalidHandleId( string id ) : void
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
允许你指定一个拖拽句柄的孩子节点，使它不能发起拖拽操作
参数:
  • id : string
    你希望忽略的元素的id
返回值:
  • void
 DragDrop
addInvalidHandleType( string tagName ) : void
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的...
允许你指定一个在被点击时不能发起拖拽操作的标签名称。 这是被设计用来更方便地处理内嵌的link对象的， 此对象被嵌在一个拖动句柄内部，当它被点击时需要做其他的事情，而不是开始拖拽操作。
参数:
  • tagName : string
    需要包含在内的元素类型
返回值:
  • void
 DragDrop
addToGroup( sGroup {string} ) : void
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组...
将当前实例添加到一个彼此相关的drag/drop对象组中。 每个实例至少属于一个组， 并且如果需要，可以同时属于任意多个组。
参数:
  • {string} : sGroup
    组名
返回值:
  • void
 DragDrop
applyConfig() : void
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用...
应用那些传递给构造器的配置参数。 此操作被期望在继承链的每一层上都能起作用。 这样一个DDProxy的实现类将会执行在DDProxy, DD和DragDrop上应用配置项的操作， 此操作是为了使这些参数在每个对象上都可用。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearConstraints() : void
清除所有应用到此实例上的约束。 同时清除标记...
清除所有应用到此实例上的约束。 同时清除标记，因为此时它们不能脱离约束而独立存在。
参数:
  • 无.
返回值:
  • void
 DragDrop
clearTicks() : void
清除此实例上定义的所有“吸附”间隔
清除此实例上定义的所有“吸附”间隔
参数:
  • 无.
返回值:
  • void
 DragDrop
constrainTo( Mixed constrainTo, [Object/Number pad], [Boolean inContent] ) : void
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素...
初始化drag drop对象，以特定的受限方式运动 到一个特定的元素。 （译者注，此翻译比较生硬，原文如下：Initializes the drag drop object's constraints to restrict movement to a certain element.） Usage:
var dd = new Ext.dd.DDProxy("dragDiv1", "proxytest",
                { dragElId: "existingProxyDiv" });
 dd.startDrag = function(){
     this.constrainTo("parent-id");
 };
或者你可以使用Ext.Element 对象来初始化:
Ext.get("dragDiv1").initDDProxy("proxytest", {dragElId: "existingProxyDiv"}, {
     startDrag : function(){
         this.constrainTo("parent-id");
     }
 });
参数:
  • constrainTo : Mixed
    需要绑定到的元素。
  • pad : Object/Number
    (可选) Pad提供了定义约束的"padding"参数的一个途径， 既可以是一个数字，以便进行均匀的填充 (4 等价于{left:4, right:4, top:4, bottom:4})， 或者一个包含填充尺寸数据的对象。例如： {right:10, bottom:10}
  • inContent : Boolean
    (可选) 将可拖动区域约束到元素的盒子模型内部(在填充和边框内部)
返回值:
  • void
 DragDrop
endDrag( Event e ) : void
当结束对对象的拖动操作时触发
当结束对对象的拖动操作时触发
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
getDragEl() : HTMLElement
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素...
返回实际需要拖动元素的引用。 默认情况下，这与html元素相同，但也可以指定到另一个元素。 可以在Ext.dd.DDProxy中找到这种例子。
参数:
  • 无.
返回值:
  • HTMLElement
    the html element
 DragDrop
getEl() : HTMLElement
返回相关联的元素的引用
返回相关联的元素的引用
参数:
  • 无.
返回值:
  • HTMLElement
    html元素
 DragDrop
getTargetFromEvent( Event e ) : Object
返回关联到DOM节点的定制数据对象，此DOM节点是事件源。 默认情况下此方法在...
返回关联到DOM节点的定制数据对象，此DOM节点是事件源。 默认情况下此方法在Ext.dd.Registry 中查找event target，你可以重写此方法以提供你自己特定的查找。
参数:
  • e : Event
    The event
返回值:
  • Object
    data The custom data
 DropZone
init( id the, String sGroup, object config ) : void
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
设置DragDrop对象。 必须在任何Ext.dd.DragDrop的子类构造器中调用
参数:
  • the : id
    相关联的元素id
  • sGroup : String
    相关元素的编组
  • config : object
    配置属性
返回值:
  • void
 DragDrop
initTarget( id the, String sGroup, object config ) : void
Initializes Targeting functionality only... the object does not get a mousedown handler.
Initializes Targeting functionality only... the object does not get a mousedown handler. （译者注：原始文档不完整，无法翻译此句。）
参数:
  • the : id
    id of the linked element
  • sGroup : String
    the group of related items
  • config : object
    configuration attributes
返回值:
  • void
 DragDrop
isLocked() : boolean
如果此实例被锁定，或者drag drop管理器被锁定， 返回true...
如果此实例被锁定，或者drag drop管理器被锁定， 返回true (意味着此页面的所有拖拽操作都无效。)
参数:
  • 无.
返回值:
  • boolean
    如果此实例或者所有的drag/drop被锁定，返回true；否则返回false
DragDrop
isValidHandleChild( HTMLElement node ) : boolean
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
检查被排除在外的标签列表，以确定此次点击是否应该被忽略
参数:
  • node : HTMLElement
    需要检查的HTMLElement
返回值:
  • boolean
    如果这是一个合法的标签类型，返回true；如果不是，返回false
DragDrop
lock() : void
锁定此实例
锁定此实例
参数:
  • 无.
返回值:
  • void
 DragDrop
notifyDrop( Ext.dd.DragSource source, 事件 e, Object data ) : Boolean
当一个源对象（指被拖动的对象）被放置到目标对象上时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被放置到目标对象上时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 此函数的没有默认实现，只是返回false， 所以你必须提供此方法的一个实现用来处理drop事件，方法返回true以便拖拽源不进行修正(repair)操作。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果可以放下对象，返回true；否则返回false
DropTarget
notifyEnter( Ext.dd.DragSource source, 事件 e, Object data ) : String
当一个源对象（指被拖动的对象）被拖拽进入了目标对象的范围时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被拖拽进入了目标对象的范围时，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 默认的实现只是简单地把overClass配置项(如果有指定)中指定的CSS样式应用到目标对象（被放置到的对象） ，并返回dropAllowed配置项的值。 如果放下对象时需要进行校验，必须重写从方法。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropTarget
notifyOut( Ext.dd.DragSource source, 事件 e, Object data ) : void
当一个源对象（指被拖动的对象）被拖出了目标对象而没有放下的时候，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象...
当一个源对象（指被拖动的对象）被拖出了目标对象的范围而没有放下的时候，此函数由 Ext.dd.DragSource 调用一次，以通知目标对象。 默认的实现只是简单地把overClass配置项(如果有指定)中指定的CSS样式从被放置到的对象（就是目标对象）上删除。
参数:
  • source : Ext.dd.DragSource
    从拖拽目标上滑过的拖拽源对象
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropTarget
notifyOver( Ext.dd.DragSource source, 事件 e, Object data ) : String
当一个源对象（指被拖动的对象）被拖拽到目标对象之上时，此函数由 Ext.dd.DragSource 不断调用。 每次拖拽源对象被拖拽到目标之上...
当一个源对象（指被拖动的对象）被拖拽到目标对象之上时，此函数由 Ext.dd.DragSource 不断调用。 每次拖拽源对象被拖拽到目标之上时此方法都会被调用。 默认的实现只是简单地返回dropAllowed配置项的值。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop target
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropTarget
onAvailable() : void
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
覆盖onAvailable方法，以便在决定了位置间隔之后执行所需的操作。
参数:
  • 无.
返回值:
  • void
 DragDrop
onContainerDrop( Ext.dd.DragSource source, Event e, Object data ) : Boolean
当DropZone检测到一个Ext.dd.DragSource 被放置到其上，而不是放置到注册到其中的节点上时...
当DropZone检测到一个Ext.dd.DragSource 被放置到其上，而不是放置到注册到其中的节点上时，此方法在内部被调用。 默认的实现会返回false， 所以，如果你需要放下区域本身可以接收放下操作时， 应该覆盖此方法以提供对drop事件的特定处理。 当放下操作合法时，此方法应该返回true以阻止拖拽源执行repair动作。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果放下操作合法，返回true；否则返回false
 DropZone
onContainerOver( Ext.dd.DragSource source, Event e, Object data ) : String
从其上滑过，而不是从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed...
当DropZone检测到一个Ext.dd.DragSource 从其上滑过，而不是从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed， 所以，如果需要时，应该覆盖此方法以提供特定的响应。
参数:
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
onDrag( Event e ) : void
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
抽象方法，当拖动一个对象产生onMouseMove事件时调用。
参数:
  • e : Event
    mousemove事件
返回值:
  • void
 DragDrop
onDragDrop( Event e, String|DragDrop[] id ) : void
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
抽象方法，在当前元素被拖放到另一个DragDrop对象上时调用。
参数:
  • e : Event
    mouseup事件
  • id : String|DragDrop[]
    在POINT模式下，这是被拖放到其上的那个元素的id（译者注：指目标元素id）。 在INTERSECT模式下，这是一个dd元素数组，当前元素被拖放到其上。
返回值:
  • void
 DragDrop
onDragEnter( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
抽象方法，当此元素第一次从另外一个DragDrop对象上滑过时，此方法被调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是一个或多个被滑过元素的数组。
返回值:
  • void
 DragDrop
onDragOut( Event e, String|DragDrop[] id ) : void
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
抽象方法，当我们不再拖动一个元素在另一个元素上滑过时触发
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是dd元素的数组，鼠标不再停留在这些元素之上。
返回值:
  • void
 DragDrop
onDragOver( Event e, String|DragDrop[] id ) : void
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
抽象方法，当此元素从另一个DragDrop对象上滑过时调用。
参数:
  • e : Event
    mousemove事件
  • id : String|DragDrop[]
    在POINT模式下，此id是被滑过的元素的id。 在INTERSECT模式下，这是被滑过的dd元素数组。
返回值:
  • void
 DragDrop
onInvalidDrop( Event e ) : void
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
抽象方法，如果当前元素被拖动到了一个没有落下目标的区域时，此方法被调用
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onMouseDown( Event e ) : void
当一个drag/drop对象获得mousedown事件时的处理函数
当一个drag/drop对象获得mousedown事件时的处理函数
参数:
  • e : Event
    mousedown事件
返回值:
  • void
 DragDrop
onMouseUp( Event e ) : void
当在拖拽的对象松开鼠标时触发的事件处理器
当在拖拽的对象松开鼠标时触发的事件处理器
参数:
  • e : Event
    mouseup事件
返回值:
  • void
 DragDrop
onNodeDrop( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : Boolean
当DropZone检测到拖拽源被放置到一个目标节点上时， 此方法在内部被调用。 默认的实现会返回false...
当DropZone检测到拖拽源被放置到一个目标节点上时， 此方法在内部被调用。 默认的实现会返回false，所以，应该覆盖此方法以提供对drop事件的特定处理， 并且方法应该返回true，以阻止拖拽源进行repair操作。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • Boolean
    如果放下操作合法，返回true；否则返回false
 DropZone
onNodeEnter( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : void
当DropZone检测到拖拽源进入到一个注册的 目标节点中时， 此方法在内部被调用...
当DropZone检测到一个 Ext.dd.DragSource 进入到一个注册的 目标节点中时， 此方法在内部被调用。 此方法没有默认的实现，如果需要应该重写此方法以提供节点特定的处理。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropZone
onNodeOut( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : void
当DropZone检测到一个 Ext.dd.DragSource 被拖出了目标区域而没有被放下时...
当DropZone检测到一个 Ext.dd.DragSource 被拖出了目标区域而没有被放下时， 此方法没有默认的实现，如果需要应该重写此方法以提供节点特定的处理。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • void
 DropZone
onNodeOver( Object nodeData, Ext.dd.DragSource source, Event e, Object data ) : String
当DropZone检测到一个Ext.dd.DragSource 从注册到其中的节点上滑过时，此方法在内部被调用...
当DropZone检测到一个Ext.dd.DragSource 从注册到其中的节点上滑过时，此方法在内部被调用。 默认的实现会返回this.dropNotAllowed， 所以，如果需要时，应该覆盖此方法以提供特定的响应。
参数:
  • nodeData : Object
    The custom data associated with the drop node (this is the same value returned from getTargetFromEvent for this node)
  • source : Ext.dd.DragSource
    The drag source that was dragged over this drop zone
  • e : Event
    The event
  • data : Object
    An object containing arbitrary data supplied by the drag source
返回值:
  • String
    status The CSS class that communicates the drop status back to the source so that the underlying {@link Ext.dd.StatusProxy} can be updated
 DropZone
removeFromGroup( string sGroup ) : void
从所提供的交互组中删除此元素
从所提供的交互组中删除此元素
参数:
  • sGroup : string
    需要从中删除的组
返回值:
  • void
 DragDrop
removeInvalidHandleClass( string cssClass ) : void
卸载一个描述非法状态的CSS类
卸载一个描述非法状态的CSS类
参数:
  • cssClass : string
    the class of the element(s) you wish to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleId( string id ) : void
卸载一个无效的handle id
卸载一个无效的handle id
参数:
  • id : string
    需要重新启用的元素的id the id of the element to re-enable
返回值:
  • void
 DragDrop
removeInvalidHandleType( string tagName ) : void
卸载由addInvalidHandleType方法添加的排除标签集合
卸载由addInvalidHandleType方法添加的排除标签集合
参数:
  • tagName : string
    需要排除的元素类型
返回值:
  • void
 DragDrop
resetConstraints( boolean maintainOffset ) : void
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
当你手动重新设置一个dd元素的位置时，必须调用resetConstraints方法。
参数:
  • maintainOffset : boolean
返回值:
  • void
 DragDrop
setDragElId( id {string} ) : void
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动
允许你指定一个元素，不是相关联的元素本身，在拖动时跟随鼠标移动 （译者注：也就是一个”影子对象“，拖动的时候，原来的元素不动，让和它本身一样的 一个”克隆体“来负责跟随鼠标移动）
参数:
  • {string} : id
    发起拖动操作的元素id
返回值:
  • void
 DragDrop
setHandleElId( id {string} ) : void
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div...
允许你指定关联元素的一个孩子节点，以用来发起拖动操作。 这种情况的一个例子是，你有包含text和link内容的div。 点击内容区域的任何地方，都会正常地启动拖动操作。 使用此方法可以指定从div内容中的任何一个元素发起拖拽操作。
参数:
  • {string} : id
    将被用来发起拖拽操作的元素id。
返回值:
  • void
 DragDrop
setInitialPosition( int diffX, int diffY ) : void
存储相关联元素的初始定位。
存储相关联元素的初始定位。
参数:
  • diffX : int
    X偏移量，默认为0
  • diffY : int
    Y偏移量，默认为0
返回值:
  • void
 DragDrop
setOuterHandleElId( id the ) : void
允许你设置一个相关元素外部的元素，作为拖动的手柄
允许你设置一个相关元素外部的元素，作为拖动的手柄
参数:
  • the : id
    元素的id，此元素将被用作发起拖动操作
返回值:
  • void
 DragDrop
setPadding( int iTop, int iRight, int iBot, int iLeft ) : void
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小...
配置拖拽时目标区域的填充像素数。 为计算目标区域有效地扩展（或者缩小）虚拟对象的大小。 支持css-style快捷方式，如果只传递了一个参数， 所有的边界将会拥有相同的填充；如果传递了两个参数，top和bottom会使用第一个参数， left和right会使用第二个参数。 （译者注：这里的规则与CSS设置padding参数的规则是一样的，完全可以用CSS的规则来配置此参数。）
参数:
  • iTop : int
    Top pad
  • iRight : int
    Right pad
  • iBot : int
    Bot pad
  • iLeft : int
    Left pad
返回值:
  • void
 DragDrop
setXConstraint( int iLeft, int iRight, int iTickSize ) : void
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动...
默认情况下，元素可以被拖拽并放置到屏幕上的任意位置。 使用此方法来限制元素在水平方向上的运动。 如果你想锁定在y轴上的拖动，传递参数0,0
参数:
  • iLeft : int
    元素可以向左移动的像素数
  • iRight : int
    元素可以向右移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
setYConstraint( int iUp, int iDown, int iTickSize ) : void
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动...
默认情况下，元素可以被拖放到屏幕上的任意位置。 设置此项以限制元素在垂直方向上的运动。 如果我们需要锁定元素在x轴方向上的运动，传递参数0,0
参数:
  • iUp : int
    元素可以向上移动的像素数
  • iDown : int
    元素可以向下移动的像素数
  • iTickSize : int
    可选参数，指定元素每次以iTickSize配置项指定的像素数运动。
返回值:
  • void
 DragDrop
startDrag( int X, int Y ) : void
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
抽象方法，当点击一个drag/drop对象，并且遇到拖动或者mousedown事件的那一刻， 此方法被调用。
参数:
  • X : int
    点击的位置
  • Y : int
    点击的位置
返回值:
  • void
 DragDrop
toString() : string
toString method
toString method
参数:
  • 无.
返回值:
  • string
    dd对象的字符串表述
DragDrop
unlock() : void
为此实例解锁
为此实例解锁
参数:
  • 无.
返回值:
  • void
 DragDrop
unreg() : void
删除当前元素上所有拖拽和落下钩子(hook)
删除当前元素上所有拖拽和落下钩子(hook) （译者注：我喜欢hook，看过Win32汇编或者win平台原理的人都知道为什么，呵呵。）
参数:
  • 无.
返回值:
  • void
 DragDrop

公共事件

该类没有公共事件。


Observable
    Component
      Editor
        TreeEditor

Class Ext.tree.TreeEditor

包: | Ext.tree
所在文件: | TreeEditor.js
Class: | TreeEditor
继承自: | Editor
为树中的节点提供一个内嵌的节点编辑功能。 任何合法的Ext.form.Field 子类都可以用作编辑field。

配置属性

配置属性 所在类
alignment : String
对齐的位置(详情参见Ext.Element.alignTo，默认值为 "l-l").
TreeEditor
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
autoSize : Boolean/String
设置为true，编辑器将自动采用底层输入栏的大小...
设置为true，编辑器将自动采用底层输入栏的大小， "width"采用其宽度值，height"采用其高度值 (默认值为 false)
Editor
cancelOnEsc : Boolean
设置为true，当escape键被按下时退出编辑(默认值为 false)
Editor
cls : String
应用到编辑器的CSS类(默认值为 "x-small-editor x-tree-editor")
TreeEditor
completeOnEnter : Boolean
设置为true，在按下回车键时结束编辑 (默认值为 false)
Editor
constrain : Boolean
设置为true，将编辑器约束到viewport
Editor
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
editDelay : Number
在多次点击之间所延迟的毫秒数，如果点击的间隔时间小于此值，将 注册成一个double-click...
在多次点击之间所延迟的毫秒数，如果点击的间隔时间小于此值，将 注册成一个double-click，并在此节点上触发编辑操作 (默认值为 350). 如果在一个节点上发生两次点击，间隔时间小于此时间间隔， 将显示节点的编辑器，否则将被当作普通的点击来处理。
TreeEditor
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideEl : Boolean
设置为true，当显示编辑器时隐藏边框元素(默认值为 false)
TreeEditor
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
ignoreNoChange : Boolean
设置为true，当用户结束一次编辑操作，而没有值被改变时...
设置为true，当用户结束一次编辑操作，而没有值被改变时 跳过编辑结束处理(不保存、不触发事件) (默认值为 false)。 仅在字符串值时使用---对其它数据类型的编辑永远不会被忽略。
Editor
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
maxWidth : Number
编辑field的最大宽度像素值(默认值为 250)。 注意：如果maxWidth超过了树元素的尺寸，它将自动被限定为容器的宽度...
编辑field的最大宽度像素值(默认值为 250)。 注意：如果maxWidth超过了树元素的尺寸，它将自动被限定为容器的宽度， 每个编辑器都优先计算滚动条和客户区偏移量。
TreeEditor
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
revertInvalid : Boolean
设置为true，当用户结束编辑，而字段校验失败时，自动...
设置为true，当用户结束编辑，而字段校验失败时，自动 恢复输入栏的值并取消编辑(默认值为 true)
Editor
shadow : Boolean/String
"sides" 仅在两侧和底部， "frame" 四个方向的阴影， "drop" 底部和右侧阴影 (默认值为 "frame")
Editor
shim : Boolean
设置为true将垫衬此编辑器，如果需要在其下面显示下拉框/内帧(selects/iframes)(默认值为 false)
TreeEditor
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
swallowKeys : Boolean
处理keydown/keypress事件，这样它们就不会继续传播 (默认值为 true)
Editor
updateEl : Boolean
设置为true，在更新结束时将更新所 绑定的元素的innerHTML (默认值为 false)
Editor
value : Mixed
底层字段的数据值(默认值为 "")
Editor
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | editNode : Ext.tree.TreeNode 此编辑器绑定到的树节点。只读属性。 | TreeEditor
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
TreeEditor( TreePanel tree, [Object fieldConfig], [Object config] )
参数:
  • tree : TreePanel
  • fieldConfig : Object
    (可选) Either a prebuilt Ext.form.Field instance or a Field config object that will be applied to the default field instance (默认值为 a Ext.form.TextField).
  • config : Object
    (可选) A TreeEditor config object
返回值:
TreeEditor
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
cancelEdit( Boolean remainVisible ) : void
取消编辑进程并且隐藏编辑器而不保存任何变化的值...
取消编辑进程并且隐藏编辑器而不保存任何变化的值。 输入栏的值将会被回退到原来开始时的值。
参数:
  • remainVisible : Boolean
    Override the default behavior and keep the editor visible after cancel (默认值为 false)
返回值:
  • void
 Editor
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
completeEdit( Boolean remainVisible ) : void
结束编辑过程，将改变的值保存到底层的输入栏， 并隐藏编辑器。
结束编辑过程，将改变的值保存到底层的输入栏， 并隐藏编辑器。
参数:
  • remainVisible : Boolean
    Override the default behavior and keep the editor visible after edit (默认值为 false)
返回值:
  • void
 Editor
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getValue() : Mixed
获取编辑器的数据值
获取编辑器的数据值
参数:
  • 无.
返回值:
  • Mixed
    The data value
 Editor
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
realign() : void
根据当前的对齐配置值重新将编辑器对齐到所绑定的输入栏。
根据当前的对齐配置值重新将编辑器对齐到所绑定的输入栏。
参数:
  • 无.
返回值:
  • void
 Editor
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setSize( Number width, Number height ) : void
设置编辑器的高度和宽度。
设置编辑器的高度和宽度。
参数:
  • width : Number
    The new width
  • height : Number
    The new height
返回值:
  • void
 Editor
setValue( Mixed value ) : void
设置编辑器的数据值
设置编辑器的数据值
参数:
  • value : Mixed
    Any valid value supported by the underlying field
返回值:
  • void
 Editor
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
startEdit( Mixed el, [String value] ) : void
开始编辑处理并显示编辑器。
开始编辑处理并显示编辑器。
参数:
  • el : Mixed
    The element to edit
  • value : String
    (可选) A value to initialize the editor with. If a value is not provided, it defaults to the innerHTML of el.
返回值:
  • void
 Editor
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforecomplete : ( Editor this, Mixed value, Mixed startValue )
当输入栏的值发生变化之后， 但是在改变的值被反应到底层的输入栏之前触发...
当输入栏的值发生变化之后， 但是在改变的值被反应到底层的输入栏之前触发。 可以在此事件的监听器中返回一个false取消保存改变的值。 注意：如果值还没有改变并且ignoreNoChange = true， 编辑状体仍然会结束但是此事件不会触发，因为 并没有发生实际的编辑。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The current field value
  • startValue : Mixed
    The original field value
 Editor
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestartedit : ( Editor this, Ext.Element boundEl, Mixed value )
在初始化编辑的时候，但是在值发生改变之前触发...
在初始化编辑的时候，但是在值发生改变之前触发。 可以在此事件的监听器中返回一个false来取消编辑。
监听器将会以如下的参数格式调用:
  • this : Editor
  • boundEl : Ext.Element
    The underlying element bound to this editor
  • value : Mixed
    The field value being set
 Editor
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
canceledit : ( Editor this, Mixed value, Mixed startValue )
在退出编辑状态并且编辑的值被重置之后触发。
在退出编辑状态并且编辑的值被重置之后触发。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The user-entered field value that was discarded
  • startValue : Mixed
    The original field value that was set back into the editor after cancel
 Editor
complete : ( Editor this, Mixed value, Mixed startValue )
在编辑结束并且被改变的值已经被设置到底层的 field之后触发。
在编辑结束并且被改变的值已经被设置到底层的 field之后触发。
监听器将会以如下的参数格式调用:
  • this : Editor
  • value : Mixed
    The current field value
  • startValue : Mixed
    The original field value
 Editor
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
specialkey : ( Ext.form.Field this, Ext.EventObject e )
当与导航相关的键被按下时触发 (arrows, tab, enter, esc等等)。 你可以检测 Ext.EventObject.getKey 来获知哪个键被按下。
当与导航相关的键被按下时触发 (arrows, tab, enter, esc等等)。 你可以检测 Ext.EventObject.getKey 来获知哪个键被按下。
监听器将会以如下的参数格式调用:
  • this : Ext.form.Field
  • e : Ext.EventObject
    The event object
 Editor
startedit : ( Ext.Element boundEl, Mixed value )
当编辑器显示时触发
当编辑器显示时触发
监听器将会以如下的参数格式调用:
  • boundEl : Ext.Element
    The underlying element bound to this editor
  • value : Mixed
    The starting field value
 Editor
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Class Ext.tree.TreeFilter

包: | Ext.tree
所在文件: | TreeFilter.js
Class: | TreeFilter
继承自: | Object
注意：这是一个实验性质的类，不会update节点的缩进或者展开图标。

公共属性

该类没有公共属性。

公共方法

Method 所在类
clear() : void
清除当前的filter。注意：在"remove"配置项中可以设置一个filter不能被清除。
清除当前的filter。注意：在"remove"配置项中可以设置一个filter不能被清除。
参数:
  • 无.
返回值:
  • void
 TreeFilter
filter( String/RegExp value, [String attr], [TreeNode startNode] ) : void
使用指定的参数过滤数据。
使用指定的参数过滤数据。
参数:
  • value : String/RegExp
    要么是一个字符串，属性值必须以此字符串开始，要么是用来匹配属性的一个RegExp
  • attr : String
    (可选) 被传递到你的节点属性集合的属性。默认为"text"。
  • startNode : TreeNode
    (可选) 开始过滤的起始节点。
返回值:
  • void
 TreeFilter
filterBy( Function fn, [Object scope] ) : void
使用一个函数进行过拉。传递进来的方法将会使用树中的每一个节点调用（或者从startNode开始）。 如果传递进来的方法返回true，节点被保留，否则它被过滤掉...
使用一个函数进行过拉。传递进来的方法将会使用树中的每一个节点调用（或者从startNode开始）。 如果传递进来的方法返回true，节点被保留，否则它被过滤掉。 如果一个节点被过滤掉，那么它的孩子也被过滤掉。
参数:
  • fn : Function
    The filter function
  • scope : Object
    (可选) 方法的作用域(默认值为当前节点)
返回值:
  • void
 TreeFilter

公共事件

该类没有公共事件。


Observable
    TreeLoader

Class Ext.tree.TreeLoader

包: | Ext.tree
所在文件: | TreeLoader.js
Class: | TreeLoader
继承自: | Observable
TreeLoader提供从指定的URL，对Ext.tree.TreeNode 的孩子节点进行懒加载操作。 响应必须是一个JavaScript Array，它的元素必须是节点定义对象。例如：
[{
        id: 1,
        text: 'A leaf Node',
        leaf: true
    },{
        id: 2,
        text: 'A folder Node',
        children: [{
            id: 3,
            text: 'A child Node',
            leaf: true
        }]
   }]

只有当一个节点展开时，才发出请求去加载孩子节点。 所加载节点的id将使用"node"做为参数名称被传递给服务器， 服务器将根据此参数产生孩子节点。

如果需要传递额外的参数，可以为"beforeload"事件添加一个事件处理器， 并将参数添加到TreeLoader的baseParams属性：
myTreeLoader.on("beforeload", function(treeLoader, node) {
        this.baseParams.category = node.attributes.category;
    }, this);
这将传递一个名为"category"的HTTP参数给服务器，其中包含了节点的"category"属性。

配置属性

配置属性 |  | 所在类
 | baseAttrs : Object (可选)一个包含属性的对象，此对象将被添加到加载器所加载的所有节点中... (可选)一个包含属性的对象，此对象将被添加到加载器所加载的所有节点中。 如果从服务器传回的值中包含了相同的属性，则它们优先使用。 | TreeLoader
 | baseParams : Object (可选)一个包含参数的对象，子节点发送的每个HTTP请求中都将包含此参数。 | TreeLoader
 | clearOnLoad : Boolean (可选)默认为true。 在加载之前删除之前存在的所有孩子节点。 | TreeLoader
 | dataUrl : String 加载Json字符串的URL，此Json字符串描述了一个节点定义数组：所有需要加载的孩子节点。 加载Json字符串的URL，此Json字符串描述了一个节点定义数组：所有需要加载的孩子节点。 | TreeLoader
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | preloadChildren : Boolean 如果设置为true，加载器在加载完第一个节点之后将递归地调用孩子节点。 | TreeLoader
 | requestMethod : String 加载数据是用的HTTP请求方式 (默认值为 the value of Ext.Ajax.method). | TreeLoader
 | uiProviders : Object (可选) 一个包含属性的对象， 指定了一个定制的 Ext.tree.TreeNodeUI 实现... (可选) 一个包含属性的对象， 指定了一个定制的 Ext.tree.TreeNodeUI 实现。 如果返回的孩子节点的可选uiProvider 属性是一个字符串， 而不是一个TreeNodeUI的引用， 那么这个字符串值将被用作uiProviders对象的名字。 | TreeLoader
 | url : String 等价于 dataUrl. | TreeLoader

公共属性

该类没有公共属性。

公共方法

Method 所在类
TreeLoader( Object config )
Creates a new Treeloader.
Creates a new Treeloader.
参数:
  • config : Object
    A config object containing config properties.
返回值:
TreeLoader
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
createNode() : void
重写此方法以提供定制的TreeNode实现
重写此方法以提供定制的TreeNode实现
参数:
  • 无.
返回值:
  • void
 TreeLoader
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
load( Ext.tree.TreeNode node, Function callback ) : void
从构造器指定的URL中加载一个Ext.tree.TreeNode 。 当节点展开时，此方法将被自动调用， 但是也可以用来重新加载一个节点...
从构造器指定的URL中加载一个Ext.tree.TreeNode 。 当节点展开时，此方法将被自动调用， 但是也可以用来重新加载一个节点 (如果clearOnLoad 选项为false，也可以用来添加新的孩子。)
参数:
  • node : Ext.tree.TreeNode
  • callback : Function
返回值:
  • void
 TreeLoader
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
beforeload : ( Object This, Object node, Object callback )
在发出网络请求，加载一个Json文本之前触发，此Json文本秒数了一个节点的孩子节点。
在发出网络请求，加载一个Json文本之前触发，此Json文本秒数了一个节点的孩子节点。
监听器将会以如下的参数格式调用:
  • This : Object
    TreeLoader object.
  • node : Object
    The Ext.tree.TreeNode object being loaded.
  • callback : Object
    The callback function specified in the load call.
 TreeLoader
load : ( Object This, Object node, Object response )
在节点被成功加载之后触发。
在节点被成功加载之后触发。
监听器将会以如下的参数格式调用:
  • This : Object
    TreeLoader object.
  • node : Object
    The Ext.tree.TreeNode object being loaded.
  • response : Object
    The response object containing the data from the server.
 TreeLoader
loadexception : ( Object This, Object node, Object response )
在提交网络请求失败时触发
在提交网络请求失败时触发
监听器将会以如下的参数格式调用:
  • This : Object
    TreeLoader object.
  • node : Object
    The Ext.tree.TreeNode object being loaded.
  • response : Object
    The response object containing the data from the server.
 TreeLoader


Observable
    Node
      TreeNode

Class Ext.tree.TreeNode

包: | Ext.tree
所在文件: | TreeNode.js
Class: | TreeNode
子类: | AsyncTreeNode
继承自: | Node

配置属性

配置属性 |  | 所在类
 | allowChildren : Boolean 设置为false将不允许此节点有孩子节点 (默认值为 true) | TreeNode
 | allowDrag : Boolean 如果draggable = true (默认值为 true)，设置此项为false将使得此节点不可拖拽。 | TreeNode
 | allowDrop : Boolean 如果不可以把孩子节点拖动到此节点上，设置为false (默认值为 true) | TreeNode
 | checked : Boolean 设置为true将为此节点渲染一个选中状态复选框， false将渲染一个未选中的复选框... 设置为true将为此节点渲染一个选中状态复选框， false将渲染一个未选中的复选框 (默认值为 undefined ，没有复选框) | TreeNode
 | cls : String 添加到节点的CSS类 | TreeNode
 | disabled : Boolean 如果节点处于无效状态，此值为true。 | TreeNode
 | draggable : Boolean 设置为true使节点可以拖拽(默认值为 false) | TreeNode
 | expandable : Boolean 如果设置为true，此节点将一直显示一个+/-号，甚至为空的时候也显示。 | TreeNode
 | expanded : Boolean 设置为true将开始展开节点 | TreeNode
 | href : String 此节点使用链接的URL(默认值为 #) | TreeNode
 | hrefTarget : String 链接的目标frame | TreeNode
 | icon : String 节点的图标路径。 添加图标的最佳方法是使用cls或者iconCls属性，通过CSS背景图片添加图标。 节点的图标路径。 添加图标的最佳方法是使用cls或者iconCls属性，通过CSS背景图片添加图标。 | TreeNode
 | iconCls : String 一个添加到节点图标元素的CSS类，以应用CSS背景图片 | TreeNode
 | id : String 节点id | Node
 | isTarget : Boolean 设置为false将不允许此节点成为拖拽的目标(默认值为 true) | TreeNode
 | leaf : Boolean 如果当前节点是一个叶子节点，并且没有孩子节点，则为true。 | Node
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | qtip : String 节点使用的一个Ext QuickTip | TreeNode
 | qtipCfg : String 此节点的一个Ext QuickTip配置(用来代替qtip) | TreeNode
 | singleClickExpand : Boolean 设置为true在单击时展开节点。 | TreeNode
 | text : String 只读属性。此节点的文本。使用setText()方法改变它。 | TreeNode
 | uiProvider : Function 此节点使用的 UI class (默认值为 Ext.tree.TreeNodeUI) | TreeNode

公共属性

Property |  | 所在类
 | attributes : Object 提供给节点的参数。你可以使用这个属性来访问你提供的任何特定参数。 | Node
 | childNodes : Array 当前节点的所有孩子节点。 | Node
 | disabled : Boolean 如果节点处于无效状态，此值为true。 | TreeNode
 | firstChild : Node 当前节点的第一个直接的孩子节点，如果当前节点没有孩子，则为null。 | Node
 | id : String 节点id | Node
 | lastChild : Node 当前节点的最后一个直接的孩子节点，如果当前节点没有孩子节点，则为null。 | Node
 | nextSibling : Node 树中最靠近当前节点的下一个节点， 如果不存在兄弟节点，则此值为null。 | Node
 | parentNode : Node 当前节点的父节点 | Node
 | previousSibling : Node 树中最靠近当前节点的前一个节点， 如果不存在兄弟节点，则此值为null。 | Node
 | text : String 只读属性。此节点的文本。使用setText()方法改变它。 | TreeNode
 | ui : TreeNodeUI 只读属性。 节点的UI。 | TreeNode

公共方法

Method 所在类
TreeNode( Object/String attributes )
参数:
  • attributes : Object/String
    The attributes/config for the node or just a string with the text for the node
返回值:
TreeNode
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
appendChild( Node/Array node ) : Node
添加新的节点(s)，作为当前节点的最后的孩子。
添加新的节点(s)，作为当前节点的最后的孩子。
参数:
  • node : Node/Array
    需要添加的节点数组
返回值:
  • Node
    如果添加的是单个节点，该值就是这个节点对象；如果插入的是一个数组，则该值为null
Node
bubble( Function fn, [Object scope], [Array args] ) : void
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域...
从当前节点沿着树结构向上冒泡，对途经的每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止冒泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为当前节点)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
cascade( Function fn, [Object scope], [Array args] ) : void
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 ...
从当前节点沿树结构下落，对每个节点调用给定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则下落操作停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
collapse( [Boolean deep], [Boolean anim] ) : void
收起节点。
收起节点。
参数:
  • deep : Boolean
    (可选) 设置为true 将收缩起所有的孩子节点
  • anim : Boolean
    (可选) false to cancel the default animation
返回值:
  • void
 TreeNode
collapseChildNodes( [Boolean deep] ) : void
收起所有的孩子节点
收起所有的孩子节点
参数:
  • deep : Boolean
    (可选) 设置为true，将使得孩子节点也收缩起它们自己的孩子
返回值:
  • void
 TreeNode
contains( Node node ) : Boolean
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
如果当前节点是传递进来的节点的祖先（任何层次点），则返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
disable() : void
使当前节点无效
使当前节点无效
参数:
  • 无.
返回值:
  • void
 TreeNode
eachChild( Function fn, [Object scope], [Array args] ) : void
Iterates the child nodes of this node, calling the specified function with each node. The scope (this) of function ca...
迭代当前节点的孩子节点，对每个节点调用指定的方法。 调用方法的作用域 (this)为当前节点或者指定的作用域。 传递给方法的参数是所提供的参数或者当前节点。 如果方法在任意一个节点上返回false，则停止迭代。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) 方法的作用域(默认值为 current node)
  • args : Array
    (可选) 调用方法所传递的参数(默认传递当前节点)
返回值:
  • void
 Node
enable() : void
启用此节点
启用此节点
参数:
  • 无.
返回值:
  • void
 TreeNode
ensureVisible() : void
确保所有的父节点都处于展开状态，在必要时，将此节点滚动到可见区域。
确保所有的父节点都处于展开状态，在必要时，将此节点滚动到可见区域。
参数:
  • 无.
返回值:
  • void
 TreeNode
expand( [Boolean deep], [Boolean anim], [Function callback] ) : void
展开当前节点。
展开当前节点。
参数:
  • deep : Boolean
    (可选) 设置为true，将同时展开所有的孩子节点
  • anim : Boolean
    (可选) 设置为false，取消默认的动画效果
  • callback : Function
    (可选) 当展开当前节点操作结束时回调的函数 (不等待更深的展开操作完成)。使用一个参数调用此方法：当前节点(this node)。
返回值:
  • void
 TreeNode
expandChildNodes( [Boolean deep] ) : void
展开所有的孩子节点
展开所有的孩子节点
参数:
  • deep : Boolean
    (可选) 如果孩子节点也需要展开它们自己的孩子，设置为true
返回值:
  • void
 TreeNode
findChild( String attribute, Mixed value ) : Node
查找第一个孩子节点，它的某个属性具有给定的值。
查找第一个孩子节点，它的指定属性具有给定的值。
参数:
  • attribute : String
    属性名称
  • value : Mixed
    需要查找的值
返回值:
  • Node
    查找到的孩子节点，如果没有找到则为null
Node
findChildBy( Function fn, [Object scope] ) : Node
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
根据指定的方法寻找第一个孩子节点。 如果传入的方法返回true，则该孩子节点为符合条件的节点。
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • Node
    找到的孩子节点，如果没有找到则返回null
 Node
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
getDepth() : Number
返回当前节点的深度(根节点的深度为0)
返回当前节点的深度(根节点的深度为0)
参数:
  • 无.
返回值:
  • Number
 Node
getOwnerTree() : Tree
返回当前节点所在的树。
返回当前节点所在的树。
参数:
  • 无.
返回值:
  • Tree
 Node
getPath( [String attr] ) : String
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
返回当前节点的路径。该路径可以用来编程展开或者选中当前节点。
参数:
  • attr : String
    (可选) 路径使用的参数(默认值为节点的id)
返回值:
  • String
    The path
 Node
getUI() : TreeNodeUI
返回此节点的UI对象。
返回此节点的UI对象。
参数:
  • 无.
返回值:
  • TreeNodeUI
    为此节点提供用户接面的对象。 除非在{@link #uiProvider}中特别指定，否则这将是 {@link Ext.tree.TreeNodeUI}的一个实例
 TreeNode
hasChildNodes() : Boolean
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
如果当前节点有一个或多个孩子节点，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Node node ) : Number
返回一个孩子节点的序号
返回一个孩子节点的序号
参数:
  • node : Node
返回值:
  • Number
    节点的序号，没有找到时返回-1
Node
insertBefore( Node node, Node refNode ) : Node
将第一个节点的所有孩子节点插入到第二个节点之前
将第一个节点的所有孩子节点插入到第二个节点之前
参数:
  • node : Node
    The node to insert
  • refNode : Node
    The node to insert before (if null the node is appended)
返回值:
  • Node
    The inserted node
 Node
isAncestor( Node node ) : Boolean
如果传入的节点是当前节点的祖先（任何层次上），返回true。
如果传入的节点是当前节点的祖先（任何层次上），返回true。
参数:
  • node : Node
返回值:
  • Boolean
 Node
isExpandable() : Boolean
如果当前节点有一个或多个子节点， 或者当节点的...
如果当前节点有一个或多个子节点， 或者当节点的 expandable(参见attributes) 属性被明确地设置为true，返回true；否则 返回false。
参数:
  • 无.
返回值:
  • Boolean
 Node
isExpanded() : Boolean
如果此节点处于展开状态，返回true
如果此节点处于展开状态，返回true
参数:
  • 无.
返回值:
  • Boolean
 TreeNode
isFirst() : Boolean
如果当前节点是其父节点的第一个孩子，则返回true
如果当前节点是其父节点的第一个孩子，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLast() : Boolean
如果当前节点是其父节点的最后一个孩子，返回true
如果当前节点是其父节点的最后一个孩子，返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isLeaf() : Boolean
如果当前节点是一个叶子节点，则返回true
如果当前节点是一个叶子节点，则返回true
参数:
  • 无.
返回值:
  • Boolean
 Node
isSelected() : Boolean
如果当前节点被选中，返回true
如果当前节点被选中，返回true
参数:
  • 无.
返回值:
  • Boolean
 TreeNode
item( Number index ) : Node
返回指定索引处的孩子节点。
返回指定索引处的孩子节点。
参数:
  • index : Number
返回值:
  • Node
 Node
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove() : Node
从父节点中移除当前节点
从父节点中移除当前节点
参数:
  • 无.
返回值:
  • Node
    this
 Node
removeChild( Node node ) : Node
从当前节点中删除一个孩子节点。
从当前节点中删除一个孩子节点。
参数:
  • node : Node
    需要删除的节点
返回值:
  • Node
    删除掉的节点
 Node
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
replaceChild( Node newChild, Node oldChild ) : Node
使用一个节点替换当前节点中的一个孩子节点。
使用一个节点替换当前节点中的一个孩子节点。
参数:
  • newChild : Node
    用来替代的节点
  • oldChild : Node
    被替代的节点
返回值:
  • Node
    被替代的节点
 Node
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
select() : void
触发此节点的选中状态
触发此节点的选中状态
参数:
  • 无.
返回值:
  • void
 TreeNode
setText( String text ) : void
为此节点设置文本
为此节点设置文本
参数:
  • text : String
返回值:
  • void
 TreeNode
sort( Function fn, [Object scope] ) : void
使用提供的排序方法对当前节点的孩子节点进行排序
使用提供的排序方法对当前节点的孩子节点进行排序
参数:
  • fn : Function
  • scope : Object
    (可选)
返回值:
  • void
 Node
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
toggle() : void
固定住节点的展开/收缩状态
固定住节点的展开/收缩状态
参数:
  • 无.
返回值:
  • void
 TreeNode
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
unselect() : void
触发此节点的反选
触发此节点的反选
参数:
  • 无.
返回值:
  • void
 TreeNode

公共事件

Event 所在类
append : ( Tree tree, Node this, Node node, Number index )
当一个新的子节点被添加时触发
当一个新的子节点被添加时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    新添加的节点
  • index : Number
    新添加的节点的序号
Node
beforeappend : ( Tree tree, Node this, Node node )
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
当一个新的孩子节点被添加之前触发，返回false终止添加操作。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要添加的孩子节点
 Node
beforechildrenrendered : ( Node this )
在此节点的孩子节点渲染之前触发
在此节点的孩子节点渲染之前触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
beforeclick : ( Node this, Ext.EventObject e )
在处理点击操作之前触发。 返回false取消默认操作。
在处理点击操作之前触发。 返回false取消默认操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
beforecollapse : ( Node this, Boolean deep, Boolean anim )
在此节点被收起起之前触发，返回false取消操作。
在此节点被收起起之前触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • deep : Boolean
  • anim : Boolean
 TreeNode
beforeexpand : ( Node this, Boolean deep, Boolean anim )
当前节点展开时触发，返回false取消操作。
当前节点展开时触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • deep : Boolean
  • anim : Boolean
 TreeNode
beforeinsert : ( Tree tree, Node this, Node node, Node refNode )
在插入一个新的孩子节点之前触发，返回false终止插入。
在插入一个新的孩子节点之前触发，返回false终止插入。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
beforemove : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
当前节点被移动到树中一个新的位置之前触发。 返回false终止移动。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    The parent of this node
  • newParent : Node
    The new parent this node is moving to
  • index : Number
    The index it is being moved to
 Node
beforeremove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除之前触发，返回false终止删除。
当一个孩子节点被删除之前触发，返回false终止删除。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    需要删除的孩子节点
 Node
checkchange : ( Node this, Boolean checked )
当一个带有复选框的节点选中状态发生改变时触发
当一个带有复选框的节点选中状态发生改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • checked : Boolean
 TreeNode
click : ( Node this, Ext.EventObject e )
当节点被单击时触发
当节点被单击时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
collapse : ( Node this )
当前节点收起是触发
当前节点收起是触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
contextmenu : ( Node this, Ext.EventObject e )
节点被右击时触发
节点被右击时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
dblclick : ( Node this, Ext.EventObject e )
当节点被双击时触发。
当节点被双击时触发。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • e : Ext.EventObject
    The event object
 TreeNode
disabledchange : ( Node this, Boolean disabled )
当前节点的无效状态发生改变时触发
当前节点的无效状态发生改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • disabled : Boolean
 TreeNode
expand : ( Node this )
当前节点展开时触发。
当前节点展开时触发。
监听器将会以如下的参数格式调用:
  • this : Node
    This node
 TreeNode
insert : ( Tree tree, Node this, Node node, Node refNode )
当插入一个新的节点时触发。
当插入一个新的节点时触发。
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    插入的孩子节点
  • refNode : Node
    在其之前插入孩子节点的节点
    （译者注：比较拗口，保留原文。The child node the node is being inserted before）
Node
move : ( Tree tree, Node this, Node oldParent, Node newParent, Number index )
当前节点被移动到树中一个新的位置时触发
当前节点被移动到树中一个新的位置时触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • oldParent : Node
    当前节点旧的父节点
  • newParent : Node
    当前节点新的父节点
  • index : Number
    移动到的序号
 Node
remove : ( Tree tree, Node this, Node node )
当一个孩子节点被删除的时候触发
当一个孩子节点被删除的时候触发
监听器将会用如下的参数调用:
  • tree : Tree
    所属树
  • this : Node
    This node
  • node : Node
    被删除掉的节点
 Node
textchange : ( Node this, String text, String oldText )
当节点的文本改变时触发
当节点的文本改变时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • text : String
    The new text
  • oldText : String
    The old text
 TreeNode


Class Ext.tree.TreeNodeUI

包: | Ext.tree
所在文件: | TreeNodeUI.js
Class: | TreeNodeUI
继承自: | Object
该类提供了Ext TreeNodes的默认UI实现。 TreeNode UI实现被从tree的实现中分离开来， 并允许定制树节点的展现形式。

如果你正在定制树的用户界面， 你可能需要继承此类， 但是你永远不应该实例化此类。

此类通过 Ext.tree.TreeNode.getUI ，提供访问Ext TreeNode用户界面组件的方式。

公共属性

该类没有公共属性。

公共方法

Method 所在类
addClass( String/Array className ) : void
向节点的UI组件添加一个或多个CSS样式。 多个样式将被自动过滤掉。
向节点的UI组件添加一个或多个CSS样式。 多个样式将被自动过滤掉。
参数:
  • className : String/Array
    The CSS class to add, or an array of classes
返回值:
  • void
 TreeNodeUI
getAnchor() : HtmlElement
返回为节点UI提供焦点的<a>元素。
返回为节点UI提供焦点的<a>元素。
参数:
  • 无.
返回值:
  • HtmlElement
    The DOM anchor element.
 TreeNodeUI
getIconEl() : HtmlElement
返回图标<img>元素。
返回图标<img>元素。
参数:
  • 无.
返回值:
  • HtmlElement
    The DOM image element.
 TreeNodeUI
getTextEl() : HtmlNode
返回文本节点。
返回文本节点。
参数:
  • 无.
返回值:
  • HtmlNode
    The DOM text node.
 TreeNodeUI
hide() : void
隐藏此节点。
隐藏此节点。
参数:
  • 无.
返回值:
  • void
 TreeNodeUI
isChecked() : Boolean
返回节点的选中状态。 如果此节点没有渲染复选框，返回false。
返回节点的选中状态。 如果此节点没有渲染复选框，返回false。
参数:
  • 无.
返回值:
  • Boolean
    The checked flag.
 TreeNodeUI
removeClass( String/Array className ) : void
从节点的UI元素中删除一个或多个CSS类。
从节点的UI元素中删除一个或多个CSS类。
参数:
  • className : String/Array
    The CSS class to remove, or an array of classes
返回值:
  • void
 TreeNodeUI
show() : void
显示此节点。
显示此节点。
参数:
  • 无.
返回值:
  • void
 TreeNodeUI
toggleCheck( Boolean (可选) ) : void
将节点的选中状态设置为所给的值， 或者，如果没有传递值进来， 固定当前的选择状态....
将节点的选中状态设置为所给的值， 或者，如果没有传递值进来， 固定当前的选择状态。 如果节点没有渲染复选框，此方法没有作用。
参数:
  • (可选) : Boolean
    The new checked status.
返回值:
  • void
 TreeNodeUI

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container
          Panel
            TreePanel

Class Ext.tree.TreePanel

包: | Ext.tree
所在文件: | TreePanel.js
Class: | TreePanel
继承自: | Panel

TreePanel提供了树形结构数据的树形UI展示。

添加到TreePanel中的每个 TreeNode 都可以包含你的程序中需要使用的元数据(metadata)，这些数据被包含在它们的 attributes 属性中。

在渲染之前，TreePanel必须有一个 root 既可以通过 root 配置项指定，也可以通过 setRootNode 方法设置。

配置属性

配置属性 所在类
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
animate : Boolean
设置为true以启用展开/收缩时的动画效果(默认值为 the value of Ext.enableFx)
TreePanel
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseCls : String
添加到panel组件基本的CSS样式(默认值为 'x-panel')。
Panel
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
containerScroll : Boolean
设置为true向ScrollManager注册此容器
TreePanel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ddAppendOnly : String
设置为true，将允许使用拖拽的方式将节点添加到此树中 (排序树使用)
TreePanel
ddGroup : String
此TreePanel所属的DD组
TreePanel
ddScroll : Boolean
设置为true启用body滚动
TreePanel
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
dragConfig : Object
传递给 Ext.tree.TreeDragZone 实例的定制配置。
TreePanel
draggable : Boolean
如果为true，Panel可以拖拽(默认值为 false)...

如果为true，Panel可以拖拽(默认值为 false)。

如果需要定制拖拽的实现，可以传递一个Ext.Panel.DD配置属性进来而不是一个true。 Ext.Panel.DD是一个内置的类，没有在文档中出现。 它能将代理的元素在Panel元素的范围内移动（译者注：这句话的意思是，panel里面的组件能够跟随panel一起移动） ，但是在拖拽和放开的过程中它没有提供其它的行为。 它是Ext.dd.DragSource的子类， 所以可以通过实现Ext.dd.DragDrop接口来添加行为。 例如:

new Ext.Panel({
    title: 'Drag me',
    x: 100,
    y: 100,
    renderTo: Ext.getBody(),
    floating: true,
    frame: true,
    width: 400,
    height: 200,
    draggable: {
//      Config option of Ext.Panel.DD class.
//      It's a floating Panel, so do not show a placeholder proxy in the original position.
        insertProxy: false,

//      Called for each mousemove event while dragging the DD object.
        onDrag : function(e){
//          Record the x,y position of the drag proxy so that we can
//          position the Panel at end of drag.
            var pel = this.proxy.getEl();
            this.x = pel.getLeft(true);
            this.y = pel.getTop(true);

//          Keep the Shadow aligned if there is one.
            var s = this.panel.getEl().shadow;
            if (s) {
                s.realign(this.x, this.y, pel.getWidth(), pel.getHeight());
            }
        },

//      Called on the mouseup event.
        endDrag : function(e){
            this.panel.setPosition(this.x, this.y);
        }
    }
}).show();
 Panel
dropConfig : Object
传递给 Ext.tree.TreeDropZone 实例的定制化配置项
TreePanel
enableDD : Boolean
设置为true以启用拖拽放下操作
TreePanel
enableDrag : Boolean
true to enable just drag
TreePanel
enableDrop : Boolean
设置为true以启用（拖拽并）放下
TreePanel
floating : Boolean
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则...
如果为true，panel是浮动的（位置固定，自动生成垫片和阴影），否则在它被渲染的地方内嵌显示(默认值为 false)。 注意，在默认情况下，设置floating为true将会导致panel在负数的偏移量（译者注：相对于位置(0,0)）处显示， 所以它不可见－－－因为panel是绝对定位的，必须在渲染之后明确地设置位置(例如：myPanel.setPosition(100,100);)。 并且，在panel浮动时，你需要指定一个固定的width属性， 否则，它将具有自动宽度，并且会一直填充到viewport的右边缘。
Panel
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
frame : Boolean
如果为true，panel具有全部阴影（译者注：指在panel的整个body区域全部填充背景）。 否则只在四周渲染一个1像素的边框(默认值为 false).。
Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
hlColor : String
高亮节点显示的颜色(默认值为 C3DAF9)
TreePanel
hlDrop : Boolean
设置为false，在拖拽完放开的时候禁用高亮显示节点 (默认为Ext.enableFx的值)
TreePanel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
lines : Boolean
false to disable tree lines (默认值为 true)
TreePanel
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
loader : Ext.tree.TreeLoader
此TreePanel使用的Ext.tree.TreeLoader
TreePanel
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pathSeparator : String
用来分路径字符串中子路径的符号(默认值为 '/')
TreePanel
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
root : Ext.tree.TreeNode
树的根节点。
TreePanel
rootVisible : Boolean
设置为false将隐藏root节点 (默认值为 true)
TreePanel
selModel : Boolean
此TreePanel所使用的树选择模型 (默认值为 a Ext.tree.DefaultSelectionModel)
TreePanel
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
singleExpand : Boolean
设置为true，一个树枝上只允许展开1个节点
TreePanel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
trackMouseOver : Boolean
设置为false将禁用鼠标滑过时高亮显示
TreePanel
useArrows : Boolean
设置为true将在树中使用Vista-style的箭头(默认值为 false)
TreePanel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DragSource. 如果Panel被注册为draggable， 这个属性将包含... 如果Panel被注册为draggable， 这个属性将包含Ext.dd.DragSource的一个实例， 它将处理Panel的拖拽动作。 为了提供对拖拽进程中每一阶段行为的处理， 开发者必须实现Ext.dd.DragSource类 的抽象方法。 参见draggable。 | Panel
 | dragZone : Ext.tree.TreeDragZone 启用拖拽时此树使用的dragZone | TreePanel
 | dropZone : Ext.tree.TreeDropZone 如果启用drop，此项为树所使用的dropZone | TreePanel
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component
 | root : Ext.tree.TreeNode 树的根节点。 | TreePanel

公共方法

Method 所在类
TreePanel( Object config )
参数:
  • config : Object
返回值:
TreePanel
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
collapseAll() : void
收起所有节点
收起所有节点
参数:
  • 无.
返回值:
  • void
 TreePanel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
expandAll() : void
展开所有节点。
展开所有节点。
参数:
  • 无.
返回值:
  • void
 TreePanel
expandPath( String path, [String attr], [Function callback] ) : void
展开当前TreePanel中的指定路径。 可以使用 Ext.data.Node.getPath 方法从一个节点中获取路径。
展开当前TreePanel中的指定路径。 可以使用 Ext.data.Node.getPath 方法从一个节点中获取路径。
参数:
  • path : String
  • attr : String
    (可选) path中使用的参数(更多信息参见Ext.data.Node.getPath)
  • callback : Function
    (可选) 展开完成时的回调方法。回调方法将被传入以下参数： (bSuccess, oLastNode)。 bSuccess是展开是否成功标志，oLastNode为被展开的节点。
返回值:
  • void
 TreePanel
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getChecked( [String attribute], [TreeNode startNode] ) : Array
获得选中的节点列表，或者被选中节点的某个指定的属性数组(例如："id")
获得选中的节点列表，或者被选中节点的某个指定的属性数组(例如："id")
参数:
  • attribute : String
    (可选) 默认为null (返回真实的节点)
  • startNode : TreeNode
    (可选) 起始节点，默认值为root
返回值:
  • Array
 TreePanel
getEl() : Element
返回此TreePanel的容器元素。
返回此TreePanel的容器元素。
参数:
  • 无.
返回值:
  • Element
    The container element for this TreePanel.
 TreePanel
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLoader() : Ext.tree.TreeLoader
返回当前TreePanel默认的Ext.tree.TreeLoader。
返回当前TreePanel默认的Ext.tree.TreeLoader。
参数:
  • 无.
返回值:
  • Ext.tree.TreeLoader
    当前TreePanel的TreeLoader。
 TreePanel
getNodeById( String id ) : Node
根据id从树中获取节点
根据id从树中获取节点
参数:
  • id : String
返回值:
  • Node
 TreePanel
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getRootNode() : Node
返回当前树的root节点
返回当前树的root节点
参数:
  • 无.
返回值:
  • Node
 TreePanel
getSelectionModel() : TreeSelectionModel
返回此TreePanel使用的选择模型。
返回此TreePanel使用的选择模型。
参数:
  • 无.
返回值:
  • TreeSelectionModel
    The selection model used by this TreePanel
 TreePanel
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getTreeEl() : Ext.Element
返回当前树底层的元素
返回当前树底层的元素
参数:
  • 无.
返回值:
  • Ext.Element
    The Element
 TreePanel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
selectPath( String path, [String attr], [Function callback] ) : void
从树中选中所给路径的节点。 可以用 Ext.data.Node.getPath 获得一个节点的路径。
从树中选中所给路径的节点。 可以用 Ext.data.Node.getPath 获得一个节点的路径。
参数:
  • path : String
  • attr : String
    (可选) path中使用的属性(更多信息参见Ext.data.Node.getPath)
  • callback : Function
    (可选) 当选中操作结束时的回调函数。回调函数将以 (bSuccess, oSelNode)参数调用。 其中bSuccess是选中是否成功的标志，oSelNode为选中的节点。
返回值:
  • void
 TreePanel
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setRootNode( Node node ) : Node
在初始化的时候设置树的根节点。
在初始化的时候设置树的根节点。
参数:
  • node : Node
返回值:
  • Node
 TreePanel
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Panel p )
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持...
当Panel在视觉上被激活之后触发。 注意：Panel不直接支持激活，但是Panel的一些子类支持 (比如 Ext.Window)。 TabPanel的子组件Panel将会在TabPanel的控制之下触发activate和deactivate事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been activated.
 Panel
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
append : ( Tree tree, Node parent, Node node, Number index )
当一个节点被添加到树中的另一个节点后面时触发。
当一个节点被添加到树中的另一个节点后面时触发。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • parent : Node
    The parent node
  • node : Node
    The newly appended node
  • index : Number
    The index of the newly appended node
 TreePanel
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeappend : ( Tree tree, Node parent, Node node )
当一个新的节点被添加到树中之前触发， 返回false取消添加。
当一个新的节点被添加到树中之前触发， 返回false取消添加。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • parent : Node
    The parent node
  • node : Node
    The child node to be appended
 TreePanel
beforechildrenrendered : ( Node node )
在一个节点的子节点渲染之前触发
在一个节点的子节点渲染之前触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
 TreePanel
beforeclick : ( Node node, Ext.EventObject e )
在处理节点的点击操作之前触发。返回false取消默认的操作。
在处理节点的点击操作之前触发。返回false取消默认的操作。
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • e : Ext.EventObject
    事件对象
 TreePanel
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforecollapsenode : ( Node node, Boolean deep, Boolean anim )
当一个节点收起之前触发，返回false取消操作。
当一个节点收起之前触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • deep : Boolean
  • anim : Boolean
 TreePanel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforeexpandnode : ( Node node, Boolean deep, Boolean anim )
在节点展开之前触发，返回false取消展开。
在节点展开之前触发，返回false取消展开。
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • deep : Boolean
  • anim : Boolean
 TreePanel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeinsert : ( Tree tree, Node parent, Node node, Node refNode )
当一个新的孩子节点被插入到树中之前触发， 返回false取消插入操作。
当一个新的孩子节点被插入到树中之前触发， 返回false取消插入操作。
监听器将会以如下的参数格式调用:
  • tree : Tree
    所属的tree
  • parent : Node
    父节点
  • node : Node
    需要插入的子节点
  • refNode : Node
    孩子节点将插入到其前面的节点
 TreePanel
beforeload : ( Node node )
在节点加载之前触发，返回false取消操作。
在节点加载之前触发，返回false取消操作。
监听器将会以如下的参数格式调用:
  • node : Node
    The node being loaded
 TreePanel
beforemovenode : ( Tree tree, Node node, Node oldParent, Node newParent, Number index )
当一个节点被移动到树中的另一个位置之前触发。 返回false取消移动。
当一个节点被移动到树中的另一个位置之前触发。 返回false取消移动。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • node : Node
    The node being moved
  • oldParent : Node
    The parent of the node
  • newParent : Node
    The new parent the node is moving to
  • index : Number
    The index it is being moved to
 TreePanel
beforenodedrop : ( Object dropEvent )
当一个DD对象被拖放到树中的一个节点上时触发。 返回false取消放开操作。 dropEvent事件处理器将会被传入以下参数...
当一个DD对象被拖放到树中的一个节点上时触发。 返回false取消放开操作。 dropEvent事件处理器将会被传入以下参数：
  • tree - TreePanel
  • target - 拖放的目标节点
  • data - 拖拽源的拖拽数据
  • point - 放下的点- append, above 或者 below
  • source - 拖拽源
  • rawEvent - 原始的鼠标事件
  • dropNode - 源提供的放下节点(s)或者你可以把它们设置到当前对象中 以提供需要插入的节点。
  • cancel - 设置此项为true以取消放下操作。
  • dropStatus - 如果默认的放下操作被取消而此放下操作是合法的，设置此项为true将会 阻止出现"repair"动画效果。
监听器将会以如下的参数格式调用:
  • dropEvent : Object
 TreePanel
beforeremove : ( Tree tree, Node parent, Node node )
当从树中的一个节点删除孩子节点之前触发， 返回false取消删除。
当从树中的一个节点删除孩子节点之前触发， 返回false取消删除。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • parent : Node
    The parent node
  • node : Node
    The child node to be removed
 TreePanel
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
checkchange : ( Node this, Boolean checked )
当一个带有复选框的节点的复选框选中状态发生变化时触发
当一个带有复选框的节点的复选框选中状态发生变化时触发
监听器将会以如下的参数格式调用:
  • this : Node
    This node
  • checked : Boolean
 TreePanel
click : ( Node node, Ext.EventObject e )
当一个节点被点击时触发
当一个节点被点击时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • e : Ext.EventObject
    事件对象
 TreePanel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
collapsenode : ( Node node )
当一个节点收起时触发
当一个节点收起时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
 TreePanel
contextmenu : ( Node node, Ext.EventObject e )
当一个节点被右击时触发。 为了响应此事件并显示一个右键菜单， 首先创建一个Menu对象...
当一个节点被右击时触发。 为了响应此事件并显示一个右键菜单， 首先创建一个Menu对象 (详情参见Ext.menu.Menu)， 然后为此事件添加一个处理器:
new Ext.tree.TreePanel({
    title: 'My TreePanel',
    root: new Ext.tree.AsyncTreeNode({
        text: 'The Root',
        children: [
            { text: 'Child node 1', leaf: true },
            { text: 'Child node 2', leaf: true }
        ]
    }),
    contextMenu: new Ext.menu.Menu({
        items: [{
            id: 'delete-node',
            text: 'Delete Node'
        }],
        listeners: {
            itemclick: function(item) {
                switch (item.id) {
                    case 'delete-node':
                        var n = item.parentMenu.contextNode;
                        if (n.parentNode) {
                            n.remove();
                        }
                        break;
                }
            }
        }
    }),
    listeners: {
        contextmenu: function(node, e) {
//          Register the context node with the menu so that a Menu Item's handler function can access
//          it via its parentMenu property.
            node.select();
            var c = node.getOwnerTree().contextMenu;
            c.contextNode = node;
            c.showAt(e.getXY());
        }
    }
});
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • e : Ext.EventObject
    事件对象
 TreePanel
dblclick : ( Node node, Ext.EventObject e )
当一个节点被双击时触发
当一个节点被双击时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • e : Ext.EventObject
    The event object
 TreePanel
deactivate : ( Ext.Panel p )
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)...
当panel被在视觉上激活之后触发。 注意：panel本身并不支持被激活的操作，但是panel的某些子类支持。 (例如 Ext.Window)。 被作为TabPanel子组件的Panel可以在TabPanel的控制之下触发激活/失效事件。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been deactivated.
 Panel
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disabledchange : ( Node node, Boolean disabled )
当节点的禁用状态发生变化时触发
当节点的禁用状态发生变化时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • disabled : Boolean
 TreePanel
dragdrop : ( Ext.tree.TreePanel this, Ext.tree.TreeNode node, DD dd, event e )
当一个拖拽的节点被放置到一个合法的DD目标上时触发
当一个拖拽的节点被放置到一个合法的DD目标上时触发
监听器将会以如下的参数格式调用:
  • this : Ext.tree.TreePanel
  • node : Ext.tree.TreeNode
  • dd : DD
    The dd it was dropped on
  • e : event
    The raw browser event
 TreePanel
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enddrag : ( Ext.tree.TreePanel this, Ext.tree.TreeNode node, event e )
当一个拖拽操作完成时触发
当一个拖拽操作完成时触发
监听器将会以如下的参数格式调用:
  • this : Ext.tree.TreePanel
  • node : Ext.tree.TreeNode
  • e : event
    The raw browser event
 TreePanel
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
expandnode : ( Node node )
当节点展开时触发
当节点展开时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
 TreePanel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
insert : ( Tree tree, Node parent, Node node, Node refNode )
当一个新的节点被插入到树中的一个节点时触发。
当一个新的节点被插入到树中的一个节点时触发。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • parent : Node
    The parent node
  • node : Node
    The child node inserted
  • refNode : Node
    The child node the node was inserted before
 TreePanel
load : ( Node node )
当一个节点被加载完之后触发
当一个节点被加载完之后触发
监听器将会以如下的参数格式调用:
  • node : Node
    被加载的节点
 TreePanel
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
movenode : ( Tree tree, Node node, Node oldParent, Node newParent, Number index )
当一个节点被移动到树中的一个新的位置时触发。
当一个节点被移动到树中的一个新的位置时触发。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • node : Node
    The node moved
  • oldParent : Node
    The old parent of this node
  • newParent : Node
    The new parent of this node
  • index : Number
    The index it was moved to
 TreePanel
nodedragover : ( Object dragOverEvent )
当一个节点被锁定为一次拖拽和放下的目标时触发， 返回false以通知不允许放下。 传递给dragOverEvent事件处理器的参数如下：...
当一个节点被锁定为一次拖拽和放下的目标时触发， 返回false以通知不允许放下。 传递给dragOverEvent事件处理器的参数如下：
  • tree - TreePanel
  • target - 被作为拖拽目标的节点
  • data - 拖拽源的拖拽数据
  • point - 放下的点： append, above 或者 below
  • source - 拖拽源
  • rawEvent - 原始鼠标事件
  • dropNode - 放下的节点(s)
  • cancel - 设置此项为true以通知不允许放下。
监听器将会以如下的参数格式调用:
  • dragOverEvent : Object
 TreePanel
nodedrop : ( Object dropEvent )
当一个DD对象被放置到树中的一个节点上之后触发。 dropEvent事件处理器将会被传入以下参数...
当一个DD对象被放置到树中的一个节点上之后触发。 dropEvent事件处理器将会被传入以下参数：
  • tree - TreePanel
  • target - 被作为拖拽目标的节点
  • data - 拖拽源的拖拽数据
  • point - 放下的点：append, above 或者 below
  • source - The drag source
  • rawEvent - 原始的鼠标事件
  • dropNode - 放下的节点(s)。
监听器将会以如下的参数格式调用:
  • dropEvent : Object
 TreePanel
remove : ( Tree tree, Node parent, Node node )
当从树中的一个节点中删除孩子节点时触发。
当从树中的一个节点中删除孩子节点时触发。
监听器将会以如下的参数格式调用:
  • tree : Tree
    The owner tree
  • parent : Node
    The parent node
  • node : Node
    The child node removed
 TreePanel
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
startdrag : ( Ext.tree.TreePanel this, Ext.tree.TreeNode node, event e )
当一个节点开始被拖动时触发
当一个节点开始被拖动时触发
监听器将会以如下的参数格式调用:
  • this : Ext.tree.TreePanel
  • node : Ext.tree.TreeNode
  • e : event
    The raw browser event
 TreePanel
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
textchange : ( Node node, String text, String oldText )
当节点的文本发生改变时触发
当节点的文本发生改变时触发
监听器将会以如下的参数格式调用:
  • node : Node
    The node
  • text : String
    The new text
  • oldText : String
    The old text
 TreePanel
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Class Ext.tree.TreeSorter

包: | Ext.tree
所在文件: | TreeSorter.js
Class: | TreeSorter
继承自: | Object
为 Ext.tree.TreePanel 提供节点排序。 TreeSorter自动监控所关联的TreePanel上可能会影响到树节点排序顺序的事件： (beforechildrenrendered, append, insert 和 textchange)。 示例用法:
new Ext.tree.TreeSorter(myTree, {
    folderSort: true,
    dir: "desc",
    sortType: function(node) {
        // sort by a custom, typed attribute:
        return parseInt(node.id, 10);
    }
});

配置属性

配置属性 |  | 所在类
 | caseSensitive : Boolean 设置为true将进行大小写敏感排序(默认值为 false) | TreeSorter
 | dir : String 排序方向 ("asc" 或 "desc," 大小写敏感，默认值为 "asc") | TreeSorter
 | folderSort : Boolean 设置为true将叶子节点排序到非叶子节点之下(默认值为 false) | TreeSorter
 | leafAttr : String 当 folderSort = true 时用来判断是否是叶子节点的属性 (默认值为 "leaf") | TreeSorter
 | property : String 节点排序所依据的指定属性(默认值为 "text")。 注意：只有在未指定 sortType 函数的时候才使用此属性... 节点排序所依据的指定属性(默认值为 "text")。 注意：只有在未指定 sortType 函数的时候才使用此属性，否则忽略此属性。 | TreeSorter
 | sortType : Function 一个定制的 "casting"函数，用来在排序之前转化节点的值。 此方法将被以单个的参数调用... 一个定制的 "casting"函数，用来在排序之前转化节点的值。 此方法将被以单个的参数调用 (被检测的Ext.tree.TreeNode) 并被期望返回此节点排序值，此值为在排序时所需要的指定数据类型。 这将被用作，例如，当一个节点的文本(或者其它属性) 应该被以日期或者数值排序。 示例用法参见类描述。 注意：如果指定了一个sortType， 任何 property 配置都将被忽略。 | TreeSorter

公共属性

该类没有公共属性。

公共方法

Method 所在类
TreeSorter( TreePanel tree, Object config )
参数:
  • tree : TreePanel
  • config : Object
返回值:
TreeSorter

公共事件

该类没有公共事件。


Class Ext.Updater.BasicRenderer

包: | Ext
所在文件: | UpdateManager.js
Class: | Updater.BasicRenderer
继承自: | Object
默认的内容渲染器。 使用responseText更新元素的innerHTML。

公共属性

该类没有公共属性。

公共方法

Method 所在类
render( Ext.Element el, Object response, Updater updateManager, Function callback ) : void
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the ...
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the elements innerHTML with the responseText - To perform a custom render (例如： XML or JSON processing), create an object with a "render(el, response)" method and pass it to setRenderer on the Updater.
参数:
  • el : Ext.Element
    The element being rendered
  • response : Object
    The XMLHttpRequest object
  • updateManager : Updater
    The calling update manager
  • callback : Function
    A callback that will need to be called if loadScripts is true on the Updater
返回值:
  • void
 Updater.BasicRenderer

公共事件

该类没有公共事件。


Class Ext.Updater.defaults

包: | Ext
所在文件: | UpdateManager.js
Class: | Updater.defaults
继承自: | Object
默认值集合，用来定制Updater的默认参数。

公共属性

Property |  | 所在类
 | disableCaching : Boolean 设置为true，将向GET请求添加一个唯一的参数以 禁用缓存(默认值为 false)。 | Updater.defaults
 | indicatorText : String 加载提示器使用的文本 (默认值为 '<div class="loading-indicator">Loading...</div>'). | Updater.defaults
 | loadScripts : Boolean 设置为true，将默认处理脚本(默认值为 false)。 | Updater.defaults
 | showLoadIndicator : Boolean 在加载过程中，是否显示 indicatorText (默认值为 true). | Updater.defaults
 | sslBlankUrl : String SSL文件上传使用的空页面URL (如果设置，默认值为 Ext.SSL_SECURE_URL ，否则为"javascript:false")。 | Updater.defaults
 | timeout : Number 请求或者表单提交超时秒数 (默认值为 30 seconds). | Updater.defaults

公共方法

该类没有公共的方法。

公共事件

该类没有公共事件。


Observable
    Updater

Class Ext.Updater

包: | Ext
所在文件: | UpdateManager.js
Class: | Updater
继承自: | Observable
为Element对象提供AJAX风格的更新能力。 Updater可以用来 update 一个元素一次， 或者你可以使用 startAutoRefresh 来设置一个在指定的时间间隔内自动更新的Element

用法:
// Get it from a Ext.Element object
var el = Ext.get("foo");
var mgr = el.getUpdater();
mgr.update({
        url: "http://myserver.com/index.php",
        params: {
            param1: "foo",
            param2: "bar"
        }
});
...
mgr.formUpdate("myFormId", "http://myserver.com/index.php");

// or directly (returns the same Updater instance)
var mgr = new Ext.Updater("myElementId");
mgr.startAutoRefresh(60, "http://myserver.com/index.php");
mgr.on("update", myFcnNeedsToKnow);

// short handed call directly from the element object
Ext.get("foo").load({
        url: "bar.php",
        scripts: true,
        params: "param1=foo&param2=bar",
        text: "Loading Foo..."
});

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

Property |  | 所在类
 | defaultUrl : String 为刷新缓存的url。 每次调用update()时被覆盖，除非"discardUrl" 配置项被设置为true。 | Updater
 | disableCaching : Boolean 是否在get请求上添加一个唯一的参数以禁用缓存 (默认值为 Ext.Updater.defaults.disableCaching). | Updater
 | el : Ext.Element Element对象 | Updater
 | formUpdateDelegate : Function formUpdate()所使用的代理，预先被绑定到"this"， 使用myUpdater.formUpdateDelegate... formUpdate()所使用的代理，预先被绑定到"this"， 使用myUpdater.formUpdateDelegate.createCallback(arg1, arg2) 绑定参数。 | Updater
 | indicatorText : String 加载指示器文本 (默认值为 Ext.Updater.defaults.indicatorText). | Updater
 | loadScripts : Boolean 设置为true，在输出时处理脚本 (默认值为 Ext.Updater.defaults.loadScripts). | Updater
 | refreshDelegate : Function 预先绑定到"this"的refresh()代理， 使用myUpdater.refreshDelegate.createCallback (arg1, arg2)来绑定参数 | Updater
 | renderer : Object 当前Updater的渲染器 (默认值为 Ext.Updater.BasicRenderer). | Updater
 | showLoadIndicator : String 在加载时是否显示indicatorText (默认值为 Ext.Updater.defaults.showLoadIndicator). | Updater
 | sslBlankUrl : String SSL文件上传所使用的空页面URL (默认值为 Ext.Updater.defaults.sslBlankUrl). | Updater
 | timeout : Number 请求或者表单提交超时秒数 (默认值为 Ext.Updater.defaults.timeout)。 | Updater
 | transaction : Object 当前执行事务的事务对象， 如果没有活动的事务则为null。 | Updater
 | updateDelegate : Function update()的代理，预先绑定到"this"， 使用myUpdater.updateDelegate.createCallback (arg1, arg2)绑定参数 | Updater

公共方法

Method 所在类
Updater( Mixed el, [Boolean forceNew] )
直接创建一个Updater
直接创建一个Updater
参数:
  • el : Mixed
    The element to update
  • forceNew : Boolean
    (可选) By default the constructor checks to see if the passed element already has an Updater and if it does it returns the same instance. This will skip that check (useful for extending this class).
返回值:
Updater
Updater.updateElement( Mixed el, String url, [String/Object params], [Object options] ) : void
已过期。 <静态> 静态便捷方法。 此方法已过期，使用....
已过期。 <静态> 静态便捷方法。 此方法已过期，使用 el.load({url:'foo.php', ...}) 代替 。 用法:
Ext.Updater.updateElement("my-div", "stuff.php");
参数:
  • el : Mixed
    The element to update
  • url : String
    The url
  • params : String/Object
    (可选) Url encoded param string or an object of name/value pairs
  • options : Object
    (可选) A config object with any of the Updater properties you want to set - for example: {disableCaching:true, indicatorText: "Loading data..."}
返回值:
  • void
 Updater
abort() : void
如果存在，中断当前正在执行的事务
如果存在，中断当前正在执行的事务
参数:
  • 无.
返回值:
  • void
 Updater
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
formUpdate( String/HTMLElement form, [String url], [Boolean reset], [Function callback] ) : void
执行一个异步的表单提交， 使用响应更新当前元素...
执行一个异步的表单提交， 使用响应更新当前元素。 如果表单有个enctype="multipart/form-data"的属性， 它被假定成文件上传。 使用this.sslBlankUrl进行SSL文件上传以阻止IE的安全警告。
参数:
  • form : String/HTMLElement
    表单的id或者表单元素
  • url : String
    (可选) 提交表单的url。如果忽略此配置，将会使用表单上的action属性。
  • reset : Boolean
    (可选) 在更新之后是否尝试重置表单
  • callback : Function
    (可选) 在事务结束之后调用的回调函数。 将传递以下参数：
    • el : Ext.Element

      被更新的元素。

    • success : Boolean

      成功是为true，失败是为false。

    • response : XMLHttpRequest

      执行更新的XMLHttpRequest。

返回值:
  • void
 Updater
getDefaultRenderer() : void
这是一个可覆盖的方法，如果创建Ext.Updater时没有指定...
这是一个可覆盖的方法，如果创建Ext.Updater时没有指定， 它返回一个默认渲染器类的引用。 默认为 Ext.Updater.BasicRenderer
参数:
  • 无.
返回值:
  • void
 Updater
getEl() : Ext.Element
获取当前Updater绑定到的Element
获取当前Updater绑定到的Element
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Updater
getRenderer() : Object
返回当前Updter的内容渲染器。 更多细节，参见： Ext.Updater.BasicRenderer.render 。
返回当前Updter的内容渲染器。 更多细节，参见： Ext.Updater.BasicRenderer.render 。
参数:
  • 无.
返回值:
  • Object
 Updater
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
isAutoRefreshing() : void
如果Updater当前被设置为自动刷新其内容，返回true (参见startAutoRefresh) ，否则返回false
如果Updater当前被设置为自动刷新其内容，返回true (参见startAutoRefresh) ，否则返回false
参数:
  • 无.
返回值:
  • void
 Updater
isUpdating() : Boolean
如果一个更新正在处理过程中，返回true，否则返回false。
如果一个更新正在处理过程中，返回true，否则返回false。
参数:
  • 无.
返回值:
  • Boolean
 Updater
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
refresh( [Function callback] ) : void
使用最后一次使用的url或者defaultUrl刷新元素。 如果没有url，立即返回。
使用最后一次使用的url或者defaultUrl刷新元素。 如果没有url，立即返回。
参数:
  • callback : Function
    (可选) Callback when transaction is complete - called with signature (oElement, bSuccess)
返回值:
  • void
 Updater
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDefaultUrl( String/Function defaultUrl ) : void
设置更新使用的默认URL。
设置更新使用的默认URL。
参数:
  • defaultUrl : String/Function
    The url or a function to call to get the url
返回值:
  • void
 Updater
setRenderer( Object renderer ) : void
设置当前Updater使用的内容渲染器。 更多细节，参见： Ext.Updater.BasicRenderer.render 。
设置当前Updater使用的内容渲染器。 更多细节，参见： Ext.Updater.BasicRenderer.render 。
参数:
  • renderer : Object
    The object implementing the render() method
返回值:
  • void
 Updater
showLoading() : void
显示元素的"loading"状态。 默认情况下，元素被使用...
显示元素的"loading"状态。 默认情况下，元素被使用 indicatorText 更新。 可以覆盖此方法，在当前Updater正在更新其内容时 ，执行一个定制的操作。
参数:
  • 无.
返回值:
  • void
 Updater
startAutoRefresh( Number interval, [String/Object/Function url], [String/Object params], [Function callback], [Boolean refreshNow] ) : void
设置当前元素为自动刷新。 可以通过调用 stopAutoRefresh 取消操作。
设置当前元素为自动刷新。 可以通过调用 stopAutoRefresh 取消操作。
参数:
  • interval : Number
    更新的频率(以秒计)。
  • url : String/Object/Function
    (可选) 当前请求的url，一个配置对象，与 load 所支持的格式相同，或者一个用来获取url的函数 (默认值为最后一次使用的url)。 注意：调用load时使用的url可以在当前方法中被复用， 而其它加载选项则不会，如果需要， 必须作为配置对象的一部分被指定，此对象为当前方法的参数。
  • params : String/Object
    (可选) 需要传递的参数，既可以是一个url编码好的字符串 "¶m1=1¶m2=2"，也可以是一个对象{param1: 1, param2: 2}
  • callback : Function
    (可选) Callback when transaction is complete - called with signature (oElement, bSuccess)
  • refreshNow : Boolean
    (可选) Whether to execute the refresh now, or wait the interval
返回值:
  • void
 Updater
stopAutoRefresh() : void
停止自动刷新当前元素。
停止自动刷新当前元素。
参数:
  • 无.
返回值:
  • void
 Updater
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
update( Object options ) : void
执行一个异步 请求， 使用响应更新当前元素...
执行一个异步 请求， 使用响应更新当前元素。 如果指定了参数，它使用POST方式提交请求， 否则使用GET方式。

注意: 由于异步远程服务器请求的特性，当函数返回时，元素并没有完全 更新完成。如需处理返回的数据，使用callback配置，或者一个update 事件处理器。
参数:
  • options : Object
    一个包含以下任何选项的配置对象:
    • url : String/Function

      请求的URL，或者一个可以返回URL的函数 (如果不指定，默认为 Ext.Ajax.url 的值)。

    • method : String

      使用的HTTP提交方式。如果存在params参数，默认使用POST方式， 否则使用GET。

    • params : String/Object/Function

      传递给服务器的参数(默认值为 none)。 可以将这些参数指定为一个进行url编码好的（url-encoded）字符串； 或者一个包含参数的对象，它描述了参数；或者一个函数，它能返回 如上这样一个对象。

    • scripts : Boolean

      如果为 true 响应文本中嵌入的任何 <script>标签将会被提取出来并执行 (默认值为 Ext.Updater.defaults.loadScripts)。 如果指定了此配置向，回调函数将在脚本执行之后才会被调用。

    • callback : Function

      当服务器响应到达时调用的函数。 将会被传递以下参数：

      • el : Ext.Element

        被更新的元素。

      • success : Boolean

        成功时为true，失败时为false。

      • response : XMLHttpRequest

        处理更新的XMLHttpRequest。

      • options : Object

        调用update时传递的配置对象。

    • scope : Object

      执行回调函数的作用域 (回调函数的this引用。) 如果 params参数是一个函数，作用域也被用作这个函数的作用域。

    • discardUrl : Boolean

      默认情况下，当前请求的URL将会成为当前Updater对象的默认URL，并且 将会在后面用在对 refresh 的调用中。 如需绕过此行为，传递discardUrl:true (默认值为 false)。

    • timeout : Number

      在超时之前等待响应的秒数 (默认值为 Ext.Updater.defaults.timeout).

    • text : String

      被用作 Ext.Updater.defaults.indicatorText 层的innerHTML文本 (默认值为 'Loading...')。 如需替换整个div，而不仅仅是文本，直接覆盖 Ext.Updater.defaults.indicatorText 。

    • nocache : Boolean

      只有GET方式需要，此配置将导致一个额外的、自动产生的 参数，它被添加到请求参数之后以便面缓存 (默认值为 Ext.Updater.defaults.disableCaching).

    例如:

    um.update({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, //(optional scope)
    discardUrl: true,
    nocache: true,
    text: "Loading...",
    timeout: 60,
    scripts: false // Save time by avoiding RegExp execution.
});
返回值:
  • void
 Updater

公共事件

Event 所在类
beforeupdate : ( Ext.Element el, String/Object/Function url, String/Object params )
在进行一次更新之前触发， 从你的处理器中返回false可以取消更新。
在进行一次更新之前触发， 从你的处理器中返回false可以取消更新。
监听器将会以如下参数格式使用:
  • el : Ext.Element
  • url : String/Object/Function
  • params : String/Object
 Updater
failure : ( Ext.Element el, Object oResponseObject )
在更新失败时触发。
在更新失败时触发。
监听器将会以如下参数格式使用:
  • el : Ext.Element
  • oResponseObject : Object
    The response Object
 Updater
update : ( Ext.Element el, Object oResponseObject )
在成功进行更新之后触发。
在成功进行更新之后触发。
监听器将会以如下参数格式使用:
  • el : Ext.Element
  • oResponseObject : Object
    The response Object
 Updater


Observable
    ClickRepeater

Class Ext.util.ClickRepeater

包: | Ext.util
所在文件: | ClickRepeater.js
Class: | ClickRepeater
继承自: | Observable
一个可以对任意element使用的包装类.当点击鼠标的时候发布"click"事件.两次事件之间的间隔可以通过配置来设置,默认为20毫秒。(译注:即某段时间内的点击都只算一次) 你也可以通过设置让element在被点击的时候应用某个css样式.

配置属性

配置属性 |  | 所在类
 | accelerate : Boolean 如果此值为真将使得下一次的click重复过程将不是一个恒定速率,而是一个慢速启动并逐渐加速的过程. "interval"和"delay"将被忽视. | ClickRepeater
 | delay : Number 首次事件发生前的延迟时间.The initial delay before the repeating event begins firing. Similar to an autorepeat key delay. | ClickRepeater
 | el : Mixed 作为按钮的element. | ClickRepeater
 | interval : Number 两次"click"事件之间的间隔时间. 默认为20毫秒. | ClickRepeater
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable
 | pressClass : String 点击的时候的css样式. | ClickRepeater
 | preventDefault : Boolean 如果此值为真则会阻止默认的浏览器点击事件 | ClickRepeater
 | stopDefault : Boolean 为True的时候,停止浏览器的默认事件 | ClickRepeater

公共属性

该类没有公共属性。

公共方法

Method 所在类
ClickRepeater( Mixed el, Object config )
参数:
  • el : Mixed
    需要监听的element对象
  • config : Object
返回值:
ClickRepeater
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
click : ( Ext.util.ClickRepeater this )
当element被点击的时候,以指定的间隔发布事件.
当element被点击的时候,以指定的间隔发布事件.
以下参数会传递给监听函数:
  • this : Ext.util.ClickRepeater
 ClickRepeater
mousedown : ( Ext.util.ClickRepeater this )
当按下鼠标按键的时候发布该事件.
当按下鼠标按键的时候发布该事件.
以下参数会传递给监听函数:
  • this : Ext.util.ClickRepeater
 ClickRepeater
mouseup : ( Ext.util.ClickRepeater this )
当松开鼠标按键的时候发布该事件.
当松开鼠标按键的时候发布该事件.
以下参数会传递给监听函数:
  • this : Ext.util.ClickRepeater
 ClickRepeater


Class Ext.util.CSS

包: | Ext.util
所在文件: | CSS.js
Class: | CSS
继承自: | Object
工具类，用来操作CSS规则

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
createStyleSheet( String cssText, String id ) : StyleSheet
根据给出的字符串创建一个CSS样式. 这些样式会被写入到一个新的STYLE标签中,并添加到HEAD标签去
根据给出的字符串创建一个CSS样式. 这些样式会被写入到一个新的STYLE标签中,并添加到HEAD标签去
参数:
  • cssText : String
    包含CSS的字符串
  • id : String
    该样式的ID,以便稍候移除用
返回值:
  • StyleSheet
 CSS
getRule( String/Array selector, Boolean refreshCache ) : CSSRule
根据选择子获得单个CSS规则
根据选择子获得单个CSS规则
参数:
  • selector : String/Array
    一个CSS选择子或者需要尝试的一个选择子数组。 寻找到的第一个选择子将被返回。
  • refreshCache : Boolean
    设置为true，如果你最近更新了规则或者动态地添加了规则，将刷新内部缓存
返回值:
  • CSSRule
    CSS规则，如果一个都没有找到则为null
CSS
getRules( Boolean refreshCache ) : Object
获得document中的所有css规则
获得document中的所有css规则
参数:
  • refreshCache : Boolean
    设置为true以刷新内部缓存
返回值:
  • Object
    一个CSS规则对象(hash)，根据选择子排序
 CSS
refreshCache() : Object
如果你动态添加了样式表，刷新规则缓存
如果你动态添加了样式表，刷新规则缓存
参数:
  • 无.
返回值:
  • Object
    一个CSS规则对象(hash)，根据选择子排序
CSS
removeStyleSheet( String id ) : void
根据id删除一个样式或者链接标签
根据id删除一个样式或者链接标签
参数:
  • id : String
    标签的id
返回值:
  • void
 CSS
swapStyleSheet( String id, String url ) : void
动态将一个现有的样式表引用替换为一个新的
动态将一个现有的样式表引用替换为一个新的
参数:
  • id : String
    需要删除的一个现有标签
  • url : String
    需要包含进来的新的样式表的href
返回值:
  • void
 CSS
updateRule( String/Array selector, String property, String value ) : Boolean
新的CSS属性
更新css属性
参数:
  • selector : String/Array
    如果为数组,则遍历数组里面的每一个CSS选择器,直到找到第一个符合的.
  • property : String
    要变更的CSS属性名
  • value : String
    新的CSS属性
返回值:
  • Boolean
    如果找到匹配的CSS并更新它的属性,则返回true
 CSS

公共事件

该类没有公共事件。


Class Ext.util.DelayedTask

包: | Ext.util
所在文件: | DelayedTask.js
Class: | DelayedTask
继承自: | Object
当一个新的timeout取消了老的timeout时，提供一个便利的执行setTimeout的方式。 你可以使用此类缓存按键事件数毫秒 例子将会掩饰按键校验。 你可以使用此类来缓存具有确定毫秒数的按键事件， 你可以使用这个类来缓存 按键事件的若干毫秒，并且在那段时间内执行它们，除非它们自己停止。

公共属性

该类没有公共属性。

公共方法

Method 所在类
DelayedTask( [Function fn], [Object scope], [Array args] )
传递给此构造方法的参数将作为默认值使用，它们不是必须的。
传递给此构造方法的参数将作为默认值使用，它们不是必须的。
参数:
  • fn : Function
    (可选) 需要延时执行的默认方法
  • scope : Object
    (可选) The default scope of that timeout
  • args : Array
    (可选) The default Array of arguments
返回值:
DelayedTask
cancel() : void
取消队列中的最后一个延时
取消队列中的最后一个延时
参数:
  • 无.
返回值:
  • void
 DelayedTask
delay( Number delay, [Function newFn], [Object newScope], [Array newArgs] ) : void
取消任何正在执行的延时，向队列中添加一个新的
取消任何正在执行的延时，向队列中添加一个新的
参数:
  • delay : Number
    需要延时的毫秒数
  • newFn : Function
    (可选) 传递给构造方法的重写函数
  • newScope : Object
    (可选) 传递给构造方法的重写作用域
  • newArgs : Array
    (可选) 传递给构造方法的重写参数
返回值:
  • void
 DelayedTask

公共事件

该类没有公共事件。


Class Ext.util.Format

包: | Ext.util
所在文件: | Format.js
Class: | Format
继承自: | Object
可重用的数据格式化函数

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
capitalize( String value ) : String
把首字母转换为大写
把首字母转换为大写
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
date( String/Date value, [String format] ) : String
使用给定的格式pattern，将一个值解析成一个格式化的日期.
使用给定的格式pattern，将一个值解析成一个格式化的日期.
参数:
  • value : String/Date
    需要格式化的值 (如果是字符串,则必须符合javascript Date的parse() 函数要求的格式)
  • format : String
    (可选) 任意有效的日期格式 (默认值为 'm/d/Y')
返回值:
  • String
    The formatted date string
 Format
dateRenderer( String format ) : Function
返回一个可以重复使用的日期解析函数
返回一个可以重复使用的日期解析函数
参数:
  • format : String
    任意有效的日期解析格式字符串
返回值:
  • Function
    日期解析函数的引用
 Format
defaultValue( Mixed value, String defaultValue ) : String
检查传递进来的对象,如果它是空值,则返回默认值
检查传递进来的对象,如果它是空值,则返回默认值
参数:
  • value : Mixed
    需要检查的对象
  • defaultValue : String
    当对象为空值时返回的默认值 (默认值为 "")
返回值:
  • String
 Format
ellipsis( String value, Number length ) : String
如果字符串的长度超过了指定的长度，截断它，并在后面加个'...'
如果字符串的长度超过了指定的长度，截断它，并在后面加个'...'
参数:
  • value : String
    需要处理的源字符串
  • length : Number
    源字符串超过该长度则截断
返回值:
  • String
    处理后的字符串
 Format
fileSize( Number/String size ) : String
把文件大小格式化为(xxx bytes, xxx KB, xxx MB)
把文件大小格式化为(xxx bytes, xxx KB, xxx MB)
参数:
  • size : Number/String
    需要格式化的数字
返回值:
  • String
    格式化后的字符串
 Format
htmlDecode( String value ) : String
把某些字符(&, <, >, and ')从它们的HTML编码转换回来.
把某些字符(&, <, >, and ')从它们的HTML编码转换回来.
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
htmlEncode( String value ) : String
把某些字符(&, <, >, and ')转换为它们的HTML编码,以便在WEB页面上正确的显示它们
把某些字符(&, <, >, and ')转换为它们的HTML编码,以便在WEB页面上正确的显示它们.
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
lowercase( String value ) : String
把字符串转换为小写格式
把字符串转换为小写格式
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
stripScripts( Mixed value ) : String
去掉所有的script标签
去掉所有的script标签
参数:
  • value : Mixed
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
stripTags( Mixed value ) : String
去掉所有HTML标签
去掉所有HTML标签
参数:
  • value : Mixed
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
substr( String value, Number start, Number length ) : String
返回源字符串的子串
返回源字符串的子串
参数:
  • value : String
    源字符串
  • start : Number
    子串在源字符串中的起始序号
  • length : Number
    子串的长度
返回值:
  • String
    处理后的字符串
 Format
trim( String value ) : String
把源字符串两端的空格去掉
把源字符串两端的空格去掉
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
undef( Mixed value ) : Mixed
检查对象,如果它为空,则返回空字符串
检查对象,如果它为空,则返回空字符串
参数:
  • value : Mixed
    需要检查的对象
返回值:
  • Mixed
    如果源对象为空,则返回空字符串,否则返回源对象
 Format
uppercase( String value ) : String
把字符串转换为大写格式
把字符串转换为大写格式
参数:
  • value : String
    需要处理的源字符串
返回值:
  • String
    处理后的字符串
 Format
usMoney( Number/String value ) : String
把数值转换为美元格式
把数值转换为美元格式
参数:
  • value : Number/String
    需要转换的数值
返回值:
  • String
    处理后的字符串
 Format

公共事件

该类没有公共事件。


Class Ext.util.JSON

包: | Ext.util
所在文件: | JSON.js
Class: | JSON
继承自: | Object
修改自Douglas Crockford的json.js,对Object的原型无侵入。 http://www.json.org/js.html

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
decode( String json ) : Object
把一个JSON字符串转换为对象,如果JSON不合法,则会抛出SyntaxError.
把一个JSON字符串转换为对象,如果JSON不合法,则会抛出SyntaxError.
参数:
  • json : String
    需要转换的JSON字符串
返回值:
  • Object
    转换后的对象
 JSON
encode( Mixed o ) : String
把Object或Array或其他值转换为JSON字符串
把Object或Array或其他值转换为JSON字符串
参数:
  • o : Mixed
    需要转换的对象
返回值:
  • String
    转换后的JSON字符串
 JSON

公共事件

该类没有公共事件。


Observable
    MixedCollection

Class Ext.util.MixedCollection

包: | Ext.util
所在文件: | MixedCollection.js
Class: | MixedCollection
子类: | StoreMgr
继承自: | Observable
Collection类负责维护数值索引和键并暴露事件。

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
MixedCollection( Boolean allowFunctions, Function keyFn )
参数:
  • allowFunctions : Boolean
    设置为true将允许addAll方法向集合中添加一个函数引用(默认值为 false)
  • keyFn : Function
    一个可以项目为参数的函数，此项目为集合中所存储的项目类型，并返回此项目的key值。 这被用来查找一个项目的key值，此项目没有传递一个清晰的key参数到MixedCollection的一个方法。 传递此参数等价于 提供对getKey 方法提供一个实现。
返回值:
MixedCollection
add( String key, Object o ) : Object
向集合中添加一个项目，当结束时触发add 。
向集合中添加一个项目，当结束时触发add 。
参数:
  • key : String

    绑定到此项目的key，或者一个新的项目。

    如果你为此MixedCollection指定了一个getKey 的实现，或者如果你的排序好的项目的key在一个名叫id的属性中， 那么MixedCollection就可以追溯新项目的key。 这种情况下，直接使用此参数把一个新的项目传递进来。

  • o : Object
    The item to add.
返回值:
  • Object
    The item added.
 MixedCollection
addAll( Object/Array objs ) : void
向集合中添加一个数组的所有元素或者一个对象。
向集合中添加一个数组的所有元素或者一个对象。
参数:
  • objs : Object/Array
    一个含有属性的对象，将被添加到集合中，或者一个值数组，其中的每个元素都将被添加到集合中。
返回值:
  • void
 MixedCollection
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
clear() : void
从集合中删除所有项目。在结束时触发 clear 事件。
从集合中删除所有项目。在结束时触发 clear 事件。
参数:
  • 无.
返回值:
  • void
 MixedCollection
clone() : MixedCollection
创建此集合的一个副本
创建此集合的一个副本
参数:
  • 无.
返回值:
  • MixedCollection
 MixedCollection
contains( Object o ) : Boolean
如果集合中存在传递进来的对象，返回true。
如果集合中存在传递进来的对象，返回true。
参数:
  • o : Object
    需要在集合中查找的对象。
返回值:
  • Boolean
    True if the collection contains the Object as an item.
 MixedCollection
containsKey( String key ) : Boolean
如果集合包含传递进来的对象作为一个key，返回true。
如果集合包含传递进来的对象作为一个key，返回true。
参数:
  • key : String
    The key to look for in the collection.
返回值:
  • Boolean
    True if the collection contains the Object as a key.
 MixedCollection
each( Function fn, [Object scope] ) : void
在集合中的每个项目向对指定的函数调用一次， 传递如下参数...
在集合中的每个项目向对指定的函数调用一次， 传递如下参数：
  • item : Mixed

    集合中的项目

  • index : Number

    项目的索引

  • length : Number

    集合中项目的总数

函数应该返回一个布尔值。如果返回false将结束迭代。
参数:
  • fn : Function
    在每个对象上调用的方法。
  • scope : Object
    (可选) 执行此方法的作用域。
返回值:
  • void
 MixedCollection
eachKey( Function fn, [Object scope] ) : void
在集合的每个key上调用指定的方法， 传递每个key，和它所绑定的项目作为两个参数。
在集合的每个key上调用指定的方法， 传递每个key，和它所绑定的项目作为两个参数。
参数:
  • fn : Function
    The function to execute for each item.
  • scope : Object
    (可选) The scope in which to execute the function.
返回值:
  • void
 MixedCollection
filter( String property, String/RegExp value, [Boolean anyMatch], [Boolean caseSensitive] ) : MixedCollection
使用指定的属性过滤此集合中的objects 。 返回过滤好的一个新的集合。
使用指定的属性过滤此集合中的objects 。 返回过滤好的一个新的集合。
参数:
  • property : String
    你的对象的一个属性
  • value : String/RegExp
    一个字符串，属性值需要以此值开头，或者一个用来测试属性的RegExp
  • anyMatch : Boolean
    (可选) 设置为true将匹配字符串的任何部分，而不仅仅是起始位置
  • caseSensitive : Boolean
    (可选) 设置为true，比较时对大小写敏感(默认值为 False).
返回值:
  • MixedCollection
    过滤好的新集合
MixedCollection
filterBy( Function fn, [Object scope] ) : MixedCollection
根据一个函数过滤。 返回一个 新的过滤好的集合。 传递的函数将在集合中的每个对象上调用...
根据一个函数过滤。 返回一个 新的过滤好的集合。 传递的函数将在集合中的每个对象上调用。 如果方法返回true，包含此值，否则它被过滤掉。
参数:
  • fn : Function
    被调用的方法，它将接收参数： o (the object), k (the key)
  • scope : Object
    (可选) 方法的作用域(默认值为 this)
返回值:
  • MixedCollection
    新的过滤好的集合
MixedCollection
find( Function fn, [Object scope] ) : Object
根据传递进来的选择方法，返回集合中找到的第一个元素：如果此方法返回true。
根据传递进来的选择方法，返回集合中找到的第一个元素：如果此方法返回true。
参数:
  • fn : Function
    在每个项目上调用的选择方法。
  • scope : Object
    (可选) 执行方法的作用域。
返回值:
  • Object
    集合中筛选方法返回true的第一个项目。
MixedCollection
findIndex( String property, String/RegExp value, [Number start], [Boolean anyMatch], [Boolean caseSensitive] ) : Number
根据一个指定的property/value从集合中查找出第一个符合条件的对象的索引。
根据一个指定的property/value从集合中查找出第一个符合条件的对象的索引。
参数:
  • property : String
    你的对象一个属性的名称。
  • value : String/RegExp
    一个字符串，属性值需要以此值开头，或者一个用来测试属性的RegExp
  • start : Number
    (可选) 开始搜索的索引位置(默认值为 0).
  • anyMatch : Boolean
    (可选) 设置为true将匹配字符串的任意位置，不仅仅是开始处。
  • caseSensitive : Boolean
    (可选) 设置为true比较时将对大小写敏感。
返回值:
  • Number
    匹配的索引，或者-1
MixedCollection
findIndexBy( Function fn, [Object scope], [Number start] ) : Number
根据一个函数从集合中查找第一个符合条件的项目的索引。 如果此方法返回true它被包含在匹配项中。
根据一个函数从集合中查找第一个符合条件的项目的索引。 如果此方法返回true它被包含在匹配项中。
参数:
  • fn : Function
    被调用的方法，它将接收两个参数： o (the object), k (the key).
  • scope : Object
    (可选) The scope of the function (默认值为 this).
  • start : Number
    (可选) The index to start searching at (默认值为 0).
返回值:
  • Number
    匹配的索引或者-1
MixedCollection
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
first() : Object
返回集合中的第一个元素。
返回集合中的第一个元素。
参数:
  • 无.
返回值:
  • Object
    the first item in the collection..
 MixedCollection
get( String/Number key ) : Object
返回绑定到传递进来的key或者index的项目。
返回绑定到传递进来的key或者index的项目。
参数:
  • key : String/Number
    The key or index of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
getCount() : Number
返回集合中项目的个数。
返回集合中项目的个数。
参数:
  • 无.
返回值:
  • Number
    the number of items in the collection.
 MixedCollection
getKey( Object item ) : Object
如果你不实现getKey方法，MixedCollection有一个一般的获得键的 方式。 默认的实现仅仅返回...
如果你不实现getKey方法，MixedCollection有一个一般的获得键的 方式。 默认的实现仅仅返回 item.id 但是你可以提供你自己的实现以返回一个不同的值，就像如下的例子：
// normal way
var mc = new Ext.util.MixedCollection();
mc.add(someEl.dom.id, someEl);
mc.add(otherEl.dom.id, otherEl);
//and so on

// using getKey
var mc = new Ext.util.MixedCollection();
mc.getKey = function(el){
   return el.dom.id;
};
mc.add(someEl);
mc.add(otherEl);

// or via the constructor
var mc = new Ext.util.MixedCollection(false, function(el){
   return el.dom.id;
});
mc.add(someEl);
mc.add(otherEl);
参数:
  • item : Object
    需要查找其键的项目。
返回值:
  • Object
    传递进来的项目的key。
MixedCollection
getRange( [Number startIndex], [Number endIndex] ) : Array
返回此集合中一个范围内的项目
返回此集合中一个范围内的项目
参数:
  • startIndex : Number
    (可选) 默认值为 0
  • endIndex : Number
    (可选) 默认为最后一个项目
返回值:
  • Array
    一个项目数组
 MixedCollection
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
indexOf( Object o ) : Number
返回传递进来的对象在集合中的索引。.
返回传递进来的对象在集合中的索引。
参数:
  • o : Object
    需要查找索引的项目。
返回值:
  • Number
    项目的索引。
MixedCollection
indexOfKey( String key ) : Number
根据指定的key返回项目在集合中的index。
根据指定的key返回项目在集合中的index。
参数:
  • key : String
    The key to find the index of.
返回值:
  • Number
    index of the key.
 MixedCollection
insert( Number index, String key, [Object o] ) : Object
在集合的指定索引位置插入一个项目。 结束时触发 add 事件。
在集合的指定索引位置插入一个项目。 结束时触发 add 事件。
参数:
  • index : Number
    The index to insert the item at.
  • key : String
    The key to associate with the new item, or the item itself.
  • o : Object
    (可选) If the second parameter was a key, the new item.
返回值:
  • Object
    The item inserted.
 MixedCollection
item( String/Number key ) : Object
返回绑定到传递的key或者index的项目。 key优先于index。 这等价于首先调用 key ，然后当没有匹配的项目时调用 itemAt。
返回绑定到传递的key或者index的项目。 key优先于index。 这等价于首先调用 key ，然后当没有匹配的项目时调用 itemAt。
参数:
  • key : String/Number
    The key or index of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
itemAt( Number index ) : Object
返回指定索引处的项目。
返回指定索引处的项目。
参数:
  • index : Number
    The index of the item.
返回值:
  • Object
    The item at the specified index.
 MixedCollection
key( String/Number key ) : Object
返回绑定到传递进来的key的项目。
返回绑定到传递进来的key的项目。
参数:
  • key : String/Number
    The key of the item.
返回值:
  • Object
    The item associated with the passed key.
 MixedCollection
keySort( [String direction], [Function fn] ) : void
根据键排序集合
根据键排序集合
参数:
  • direction : String
    (可选) "ASC" 或者 "DESC"
  • fn : Function
    (可选) 一个比较函数(默认值为一个大小写不敏感的字符串)
返回值:
  • void
 MixedCollection
last() : Object
返回集合中的最后一个项目。
返回集合中的最后一个项目。
参数:
  • 无.
返回值:
  • Object
    the last item in the collection..
 MixedCollection
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Object o ) : Object
从集合中删除一个项目。
从集合中删除一个项目。
参数:
  • o : Object
    需要删除的项目。
返回值:
  • Object
    删除的项目，如果没有项目被删除，则为false。
MixedCollection
removeAt( Number index ) : Object
从指定的索引处删除集合中的一个项目。 在结束时触发remove 事件。
从指定的索引处删除集合中的一个项目。 在结束时触发remove 事件。
参数:
  • index : Number
    需要删除的项目在集合中的索引位置。
返回值:
  • Object
    删除的项目，如果没有项目被删除，则为false。
MixedCollection
removeKey( String key ) : Object
从集合中删除绑定到指定key的项目。
从集合中删除绑定到指定key的项目。
参数:
  • key : String
    The key of the item to remove.
返回值:
  • Object
    The item removed or false if no item was removed.
 MixedCollection
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
replace( String key, [o {Object}] ) : Object
替换集合中的一个项目。在结束时触发 replace 事件。
替换集合中的一个项目。在结束时触发 replace 事件。
参数:
  • key : String

    被替换的项目的key，或者替换的项目。

    如果你提供对此MixedCollection的 getKey 一个实现，或者如果你排序好的的项目的key包含在一个叫id的属性中， 那么，MixedCollection可以追溯替换的项目。 如果你想替换拥有相同key值的项目，那么只要在此参数中传递体替换的项目即可。

  • {Object} : o
    o (可选) 如果传递的第一个参数是一个key，那么项目将被绑定到那个key上。
返回值:
  • Object
    The new item.
 MixedCollection
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
sort( [String direction], [Function fn] ) : void
使用传递进来的方法对集合进行排序
使用传递进来的方法对集合进行排序
参数:
  • direction : String
    (可选) "ASC" 或者 "DESC"
  • fn : Function
    (可选) 比较函数
返回值:
  • void
 MixedCollection
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

Event 所在类
add : ( Number index, Object o, String key )
当向集合中添加一个项目时触发。
当向集合中添加一个项目时触发。
监听器将会以如下的参数调用:
  • index : Number
    所添加项目的索引。
  • o : Object
    添加的项目。
  • key : String
    指定给所添加项目的key。
MixedCollection
clear : ()
当集合被清空事情触发。
当集合被清空事情触发。
监听器将会以如下的参数调用:
  • 无.
 MixedCollection
remove : ( Object o, [String key] )
当从集合中删除一个项目时触发。
当从集合中删除一个项目时触发。
监听器将会以如下的参数调用:
  • o : Object
    The item being removed.
  • key : String
    (可选) The key associated with the removed item.
 MixedCollection
replace : ( String key, Object old, Object new )
当集合中的一个项目被替换时触发。
当集合中的一个项目被替换时触发。
监听器将会以如下的参数调用:
  • key : String
    指定给新添加项目的key。
  • old : Object
    被替代的项目。
  • new : Object
    新的项目。
MixedCollection


Class Ext.util.Observable

包: | Ext.util
所在文件: | Observable.js
Class: | Observable
子类: | Component, History, Resizable, SplitBar, Updater, NativeObservable, Connection, DataProxy, Node, Store, Tree, BasicForm, AbstractSelectionModel, ColumnModel, GridView, PropertyStore, Menu, DefaultSelectionModel, MultiSelectionModel, TreeLoader, ClickRepeater, MixedCollection
继承自: | Object
一个抽象类，提供发布事件的通用接口。 子类应该具有一个"events"属性，该属性为已定义的事件名。
例如:
Employee = function(name){
    this.name = name;
    this.addEvents({
        "fired" : true,
        "quit" : true
    });
 }
 Ext.extend(Employee, Ext.util.Observable);

配置属性

配置属性 |  | 所在类
 | listeners : Object 一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对... 一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。 | Observable

公共属性

该类没有公共属性。

公共方法

Method 所在类
Observable.capture( Observable o, Function fn, [Object scope] ) : void
<静态> 开始在指定的可视对象上捕获事件。 所有的事件触发之前都会被传递给提供的方法，使用 事件名称+标准签名 的格式...
<静态> 开始在指定的可视对象上捕获事件。 所有的事件触发之前都会被传递给提供的方法，使用 事件名称+标准签名 的格式。 如果提供的方法返回false，事件将不会被触发。
参数:
  • o : Observable
    需要捕获事件的可视对象
  • fn : Function
    The function to call
  • scope : Object
    (可选) The scope (this object) for the fn
返回值:
  • void
 Observable
Observable.releaseCapture( Observable o ) : void
<静态> 从Observable中释放所有捕获的事件。
<静态> 从可视对象中释放所有捕获的事件。
参数:
  • o : Observable
    The Observable to release
返回值:
  • void
 Observable
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable

公共事件

该类没有公共事件。


Class Ext.util.TaskRunner

包: | Ext.util
所在文件: | TaskMgr.js
Class: | TaskRunner
继承自: | Object
提供对并行执行一个或多个任务的接口. 一般你可以使用单例的Ext.TaskMgr, 不过如果有需要,你可以创建多个不同的TaskRunner实例. 任意数量的任务将可以在任意时间启动,并独立的运行。示例用法:
// 启动一个简单的时钟任务,每秒刷新一次div的内容
var task = {
    run: function(){
        Ext.fly('clock').update(new Date().format('g:i:s A'));
    },
    interval: 1000 //1秒
}
var runner = new Ext.util.TaskRunner();
runner.start(task);

公共属性

该类没有公共属性。

公共方法

Method 所在类
TaskRunner( [Number interval] )
参数:
  • interval : Number
    (可选) TaskRunner实例支持的最小的时间刻度,单位毫秒 (默认值为 10)
返回值:
TaskRunner
start( [Object task] ) : Object
启动一个新的任务.
启动一个新的任务.
参数:
  • task : Object
    一个拥有以下属性的配置对象:
    • run : Function
      在这个任务中需要定时执行的函数. 它会在每个任务间隔时间执行,并传递定义的args参数. 如果需要特定的上下文,则需要配置scope参数.
    • interval : Number
      任务执行的频率,单位毫秒.
    • args : Array
      (可选) 需要传递给定时执行函数的参数数组.
    • scope : Object
      (可选) 执行定时函数的上下文.
    • duration : Number
      (可选) 自动停止任务的时间长度,即任务最长运行时间,单位:毫秒(默认值为 indefinite).
    • repeat : Number
      (可选) 任务的最大重复次数 (默认值为 indefinite).
返回值:
  • Object
    任务对象
 TaskRunner
stop( Object task ) : Object
停止一个运行中的任务.
停止一个运行中的任务.
参数:
  • task : Object
    需要停止的任务对象
返回值:
  • Object
    任务对象
 TaskRunner
stopAll() : void
立即停止当前运行的所有任务.
立即停止当前运行的所有任务.
参数:
  • 无.
返回值:
  • void
 TaskRunner

公共事件

该类没有公共事件。


Class Ext.util.TextMetrics

包: | Ext.util
所在文件: | TextMetrics.js
Class: | TextMetrics
继承自: | Object
提供文本精确的像素长度，这样你可以精确地获知一个给定的文本块有多高和多宽。

这是一个单例的类，不能直接实例化。

公共属性

该类没有公共属性。

公共方法

Method 所在类
bind( String/HTMLElement el ) : void
将TextMetrics实例绑定到一个元素，从其中可以拷贝存在的CSS样式...
将TextMetrics实例绑定到一个元素，从其中可以拷贝存在的CSS样式， 它们可能会影响到已经渲染的文本的尺寸。
参数:
  • el : String/HTMLElement
    The element, dom node or id
返回值:
  • void
 TextMetrics
createInstance( String/HTMLElement el, [Number fixedWidth] ) : Ext.util.TextMetrics.Instance
返回一个唯一的TextMetrics实例，它可以被直接绑定到一个元素上，并可以被复用...
返回一个唯一的TextMetrics实例，它可以被直接绑定到一个元素上，并可以被复用。 减少了上层多次调用去为每个measurement初始化样式属性。
参数:
  • el : String/HTMLElement
    The element, dom node or id that the instance will be bound to
  • fixedWidth : Number
    (可选) If the text will be multiline, you have to set a fixed width in order to accurately measure the text height
返回值:
  • Ext.util.TextMetrics.Instance
    instance The new instance
 TextMetrics
getHeight( String text ) : Number
返回指定文本的测量高度。 对于多行文本呢，如果需要，必须调用 setFixedWidth 。
返回指定文本的测量高度。 对于多行文本呢，如果需要，必须调用 setFixedWidth 。
参数:
  • text : String
    The text to measure
返回值:
  • Number
    height The height in pixels
 TextMetrics
getSize( String text ) : Object
根据内部元素的样式和宽度属性，返回指定文本的尺寸。
根据内部元素的样式和宽度属性，返回指定文本的尺寸。
参数:
  • text : String
    The text to measure
返回值:
  • Object
    包含文本尺寸的对象{width: (width), height: (height)}
 TextMetrics
getWidth( String text ) : Number
返回指定文本的测量宽度
返回指定文本的测量宽度
参数:
  • text : String
    The text to measure
返回值:
  • Number
    width The width in pixels
 TextMetrics
measure( String/HTMLElement el, String text, [Number fixedWidth] ) : Object
测量指定文本的尺寸
测量指定文本的尺寸
参数:
  • el : String/HTMLElement
    The element, dom node or id from which to copy existing CSS styles that can affect the size of the rendered text
  • text : String
    The text to measure
  • fixedWidth : Number
    (可选) If the text will be multiline, you have to set a fixed width in order to accurately measure the text height
返回值:
  • Object
    An object containing the text's size {width: (width), height: (height)}
 TextMetrics
setFixedWidth( Number width ) : void
设置内部的量测元素的宽度。 如果需要文本分行， 你必须设置一个固定的宽度，以便自动测量文本高度。
设置内部的量测元素的宽度。 如果需要文本分行， 你必须设置一个固定的宽度，以便自动测量文本高度。
参数:
  • width : Number
    The width to set on the element
返回值:
  • void
 TextMetrics

公共事件

该类没有公共事件。


Observable
    Component
      BoxComponent
        Container
          Viewport

Class Ext.Viewport

包: | Ext
所在文件: | Viewport.js
Class: | Viewport
继承自: | Container
一个特殊的容器，用来描述应用的可见区域 (浏览器的视口)。

Viewport把自己渲染到documet.body，并自动将自己调整到浏览器视口的大小，在 窗口大小发生改变时自动管理。 在一个页面中只能创建一个Viewport。 内部的布局依赖添加到Viewport的Panel 的实际情况，或者它的items， 通过add 添加进来的子面板自己可以有一种布局。

Viewport不提供滚动条，所以如果需要，Viewport中的子面板必须 通过autoScroll 配置项自己提供滚动条。

以下例子演示浏览一个典型应用的border布局 :
new Ext.Viewport({
    layout: 'border',
    items: [{
        region: 'north',
        html: '<h1 class="x-panel-header">Page Title</h1>',
        autoHeight: true,
        border: false,
        margins: '0 0 5 0'
    }, {
        region: 'west',
        collapsible: true,
        title: 'Navigation',
        xtype: 'treepanel',
        width: 200,
        autoScroll: true,
        split: true,
        loader: new Ext.tree.TreeLoader(),
        root: new Ext.tree.AsyncTreeNode({
            expanded: true,
            children: [{
                text: 'Menu Option 1',
                leaf: true
            }, {
                text: 'Menu Option 2',
                leaf: true
            }, {
                text: 'Menu Option 3',
                leaf: true
            }]
        }),
        rootVisible: false,
        listeners: {
            click: function(n) {
                Ext.Msg.alert('Navigation Tree Click', 'You clicked: "' + n.attributes.text + '"');
            }
        }
    }, {
        region: 'center',
        xtype: 'tabpanel',
        items: {
            title: 'Default Tab',
            html: 'The first tab\'s content. Others may be added dynamically'
        }
    }, {
        region: 'south',
        title: 'Information',
        collapsible: true,
        html: 'Information goes here',
        split: true,
        height: 100,
        minHeight: 100
    }]
});

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoEl : String/Object
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件...
用来创建元素的标签名或DomHelper的配置值。 该配置意指使用JSON来创建内嵌的快捷工具组件。 该不配不应该用来创建高层的组件，这些组件已经创建了它们自己的元素。 示例用法:
{xtype:'box', autoEl: 'div', cls:'my-class'}
{xtype:'box', autoEl: {tag:'blockquote', html:'autoEl is cool!'}} // with DomHelper
 Component
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
monitorResize : Boolean
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物...
如果为true，将自动监听window的resize事件，处理任何对当前视口敏感的事物。 这个值由指定的layout自动管理， 不应该手动设置。
 Container
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
x : Number
如果被包含在一个指定位置的容器中，这个值表示x(left)坐标值。
BoxComponent
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
如果被包含在一个指定位置的容器中，这个值表示y(top)坐标值。
BoxComponent

公共属性

Property |  | 所在类
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Viewport( Object config )
Create a new Viewport
Create a new Viewport
参数:
  • config : Object
    The config object
返回值:
Viewport
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus( [Boolean selectText], [Boolean/Number delay] ) : Ext.Component
试图将此组件设为焦点。
试图将此组件设为焦点。
参数:
  • selectText : Boolean
    (可选)如果可以，将此组件中的文本设置为选中状态
  • delay : Boolean/Number
    (可选)使用指定的毫秒数，延迟将焦点设置到此组件。(true等于10毫秒)
返回值:
  • Ext.Component
    this
 Component
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide() : Ext.Component
隐藏此组件。
隐藏此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
initComponent() : void
参数:
  • 无.
返回值:
  • void
 Viewport
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show() : Ext.Component
显示此组件。
显示此组件。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Component this, Number adjWidth, Number adjHeight, Number rawWidth, Number rawHeight )
在组件被调整大小之后触发。
在组件被调整大小之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • adjWidth : Number
    The box-adjusted width that was set
  • adjHeight : Number
    The box-adjusted height that was set
  • rawWidth : Number
    The width that was originally specified
  • rawHeight : Number
    The height that was originally specified
 BoxComponent
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component


Observable
    Component
      BoxComponent
        Container
          Panel
            Window

Class Ext.Window

包: | Ext
所在文件: | Window.js
Class: | Window
继承自: | Panel
一个被设计用作程序窗口的特殊panel。 默认情况下，window是浮动和可拖拽的， 并且提供特殊的行为，如最大化、恢复的能力 （产生minimizing事件，因为最小化行为是和特定应用相关的）。 window也可以挂靠到 Ext.WindowGroup 或者被 Ext.WindowManager 来管理起来，以提供分组、激活、在最前/最后以及其它特定应用行为。

配置属性

配置属性 所在类
activeItem : String/Number
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项...
一个组件的id字符串或者数字序号， 它将在容器的布局渲染时在其中被初始化并被设置为当前活动项。 例如：activeItem: 'item-1' 或 activeItem: 0 ( 序号 0 =容器子元素集合中的第一个元素)。 activeItem只能应用到一次只显示一个元素的布局中(如 Ext.layout.Accordion, Ext.layout.CardLayout 和 Ext.layout.FitLayout)。 相关布局：Ext.layout.ContainerLayout.activeItem。
Container
allowDomMove : Boolean
在渲染的时候，组件是否能够移动DOM节点。(默认值为 true).
Component
animCollapse : Boolean
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果...
如果为true，当panel在折叠的时候具有动画过度效果；否则跳过动画效果。（译者注：指没有动画过渡）(如果 Ext.Fx 类可用，默认值为true，否则默认为false)。
Panel
animateTarget : String/Element
id或者一个元素，作为窗口被打开时动画效果的起始点 (默认值为 null，没有动画效果)。
Window
applyTo : Mixed
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签...
可以为节点id、一个DOM节点、或者一个在document中已存在的、已装配到DIV的Element，这个Element指定了一些panel特有的结构标签。 在使用applyTo的时候，panel中被托管的部分可以被主元素中CSS对应class部分渲染，并且panel会自动使用这些指定的标签来创建组件。 任何标签中没有指定的，但是（在渲染时）必须的组件都会被自动创建。 支持如下的class名称： (baseCls 将会被baseCls替代):
  • baseCls + '-header'
  • baseCls + '-header-text'
  • baseCls + '-bwrap'
  • baseCls + '-tbar'
  • baseCls + '-body'
  • baseCls + '-bbar'
  • baseCls + '-footer'
使用这个配置项时，不需要调用render()方法。 如果指定了applyTo配置项，任何传递给renderTo配置项 的值都会被忽略，并且目标元素的父节点自动被作为panel的容器来使用。
Component
autoDestroy : Boolean
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件。否则...
如果为true，当容器包含的组件从容器中移除时，容器将会自动销毁这些组件；否则必须手动处理销毁动作(默认值为 true)。
Container
autoHeight : Boolean
如果为true，使height配置项为'auto'，否则使用固定的高度...
如果为true，使height配置项为'auto'，否则使用固定的高度。 注意：虽然很多组件继承了这个配置选项，但不是所有这些组件的自动高度配置都会像期望的那样 起作用(默认值为 false)。
BoxComponent
autoLoad : Object/String/Function
按照Updater类中Ext.Updater.update 方法指定的合法的url...
按照Updater类中Ext.Updater.update 方法指定的合法的url。 如果autoLoad配置项不为null，panel将会在渲染时尝试立即加载所有的组件。

这个URL将会成为这个panel的body 元素默认的URL，这样它会被实时地刷新。

Panel
autoScroll : Boolean
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在...
如果为true，将会在panel的body元素上使用overflow:'auto'配置，并且在 必要的时候自动显示滚动条，否则 ，溢出部分的组件都会被切除(默认值为 false)。
Panel
autoShow : Boolean
如果为true，组件将会检测隐藏的样式...
如果为true，组件将会检测隐藏的样式(例如：'x-hidden'或'x-hide-display')，并且在渲染的时候将它们移除(默认值为 false)。
Component
baseCls : String
应用到此面板中元素的基本CSS类(默认值为 'x-window')。
Window
bbar : Object/Array
panel底部的工具栏。 可以是 Ext.Toolbar 对象...
panel底部的工具栏。 可以是 Ext.Toolbar 对象。 这里可以是能够添加到toolbar的一个toolbar配置，或者一个buttons/button数组配置。 注意：在渲染完成之后，这个属性不再有效。 在渲染之后访问bottom toolbar，请使用 getBottomToolbar方法。
Panel
bodyBorder : Boolean
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)...
如果为true，在panel的body元素内部显示一个边框，否则隐藏边框(默认值为 true)。 只有在border == true时该配置才起作用。 如果border == true 并且 bodyBorder == false， 边框将会被显示为一个1像素的插入边框， 给整个的body元素一种插入式的外观。
Panel
bodyStyle : String/Object/Function
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类...
为body元素自定义的CSS样式 ，格式为 Ext.Element.applyStyles类指定的格式(默认值为 null)。
Panel
border : Boolean
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框...
如果为true，在panel的body元素上显示边框， 否则隐藏边框(默认值为 true)。 默认情况下，边框是2个像素的内部边框， 但是，可以在以后通过设置bodyBorder 这个属性为false来改变。
Panel
bufferResize : Boolean/Number
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对它所有的...
当设置为true时（值为100毫秒）或者直接设置一个毫秒数， 为这个容器指定的布局会缓存它计算出来的周期，并周期性对容器中所有的组件进行重新布局。对于重量级的或者拥有大量的子组件的容器来说，这个参数非常有用，因为频繁地对这些容器重新布局将会消耗很多资源。
 Container
buttonAlign : String
所有添加到panel中的按钮的对齐方式。 合法的值有'right,' 'left' 和 'center' (默认值为 'right')。
 Panel
buttons : Array
Panel的按钮数组，从buttons配置属性被创建。
该属性为只读。
Panel
closable : Boolean
设置为true将显示'close'工具按钮，并允许用户关闭窗体， false将隐藏此按钮，并不准关闭窗口(默认为true)。

设置为true将显示'close'工具按钮，并允许用户关闭窗体， false将隐藏此按钮，并不准关闭窗口(默认为true)。

默认情况下，可以通过点击窗口上的关闭按钮，或者当窗口获得焦点时按ESC键来请求关闭窗体， 然后 close 方法将被调用。 此方法将销毁窗体，包括其中的内容，这意味着此窗体是不可复用的。

为了在关闭一个窗口时隐藏它，这样可以重复使用之，设置 closeAction 为'hide'。

Window
closeAction : String
当关闭按钮被点击时执行的操作。 默认的操作是'close'，这将把窗口从DOM中移除...
当关闭按钮被点击时执行的操作。 默认的操作是'close'，这将把窗口从DOM中移除并摧毁它。 另一个合法的选项是'hide'，这将简单地隐藏窗口，通过 设置它的visibility为hidden，并且设置一个负数偏移量。 通过 show 方法可以让窗口重新显示。
Window
cls : String
一个可选的外部CSS样式， 添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的...
一个可选的外部CSS样式，添加到这个组件的元素(默认值为 '')。 该配置项对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
collapseFirst : Boolean
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则...
如果为真，张开/收缩按钮总是渲染在所有panel标题栏按钮的左侧，否则，选择在最后(默认值为 true)。

译者注：我在IE8和FireFox3.0.11下测试这个属性，发现没有效果，无论是true还是false，这个伸缩按钮都是在右边的。
Panel
collapsed : Boolean
如果为true，将panel渲染成收缩的，否则渲染成展开的(默认值为 false)。
Panel
collapsedCls : String
一个CSS类，在panel被收缩时添加到它的元素(默认值为 'x-panel-collapsed')。
Panel
collapsible : Boolean
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具...
如果为true，panel是可收缩的，并且有一个收起/展开按钮自动被渲染到它的头部工具区域， 否则panel的大小是固定的，没有按钮(默认值为 false)。
Panel
constrain : Boolean
设置为true，将窗口约束到视图区，false将 允许其落到视图区之外(默认值为 false)...
设置为true，将窗口约束到视图区，false将 允许其落到视图区之外(默认值为 false)。 可选地，如果仅仅需要约束窗体头部，使用 constrainHeader 配置项。
Window
constrainHeader : Boolean
设置为true将把窗体的头部约束到视图区， 允许窗口的body部分落到视图区之外...
设置为true将把窗体的头部约束到视图区， 允许窗口的body部分落到视图区之外， false将允许窗口头部落到视图区之外 (默认值为 false)。 可以选择约束这个窗体，使用 constrain 。
Window
contentEl : String
一个已存在的HTML节点的id，它被当作panel的body元素内容来使用(默认值为 '')。
Panel
ctCls : String
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则...
一个可选的外部CSS样式，添加到这个组件的容器(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的样式非常有用。
Component
defaultButton : String/Number/Button
一个按钮的id/idex，或者一个按钮实例，在当前窗口 获得焦点时将聚焦到此对象。
 Window
defaultType : String
当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化...

当添加到容器的子组件是纯粹的配置对象（译者注：指一个立即Json对象），而不是实例化一个组件时， 创建该子组件时默认的 xtype。

这个值默认值为 'panel'，但是对于Ext.form.FormPanel 和 Ext.form.FieldSet来说默认值是 'textfield'。

 Container
defaults : Object
defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中...
一个配置对象，这个对象将被添加到所有加入这个容器的组件中，通过 items 注册，或者通过 add 方法，或者 insert 方法。 defaults属性可以包含任意个name/value属性对，这些属性将会被添加到每一个元素中， 这个属性对于容器中添加的每个元素都应该是合法的。例如, 为了自动向容器包含的每个Ext.Panel 元素的body添加padding属性，你应该传递：defaults: {bodyStyle:'padding:15px'}。
 Container
disabled : Boolean
如果组件状态为disabled时该值为true。 只读属性。
Component
disabledClass : String
当组件无效时的CSS样式(默认值为 "x-item-disabled").
Component
draggable : Boolean
设置为true，将允许按住顶部工具条拖动窗口， false将禁用拖拽(默认值为 true)。 注意：默认情况下...
设置为true，将允许按住顶部工具条拖动窗口， false将禁用拖拽(默认值为 true)。 注意：默认情况下，窗口是被放置在视图区正中间的， 所以，如果禁用拖拽，在窗体渲染之后就需要通过程序来 设置窗口位置(例如： myWindow.setPosition(100, 100);).
Window
elements : String
当窗口被渲染时，需要初始化的面板元素：一个以逗号分隔的 面板元素列表...
当窗口被渲染时，需要初始化的面板元素：一个以逗号分隔的 面板元素列表。 一般情况下，此列表会根据配置时添加到窗口的项目 自动生成。但是，有时候，此项可能非常有用， 比如用来确定一个结构化的元素是否已经被渲染， 即使在配置时没有指定它 (例如，你可能想要在窗口渲染之后动态地添加一个按钮或者工具条)。 将那些元素添加到此列表可以在窗口被渲染时分配必须的占位符。 合法的值有
  • header (required)
  • tbar (top bar)
  • body (required)
  • bbar (bottom bar)
  • footer
默认值为'header,body'。
Window
expandOnShow : Boolean
设置为true，在窗口显示时总是以展开的状态出现， ...
设置为true，在窗口显示时总是以展开的状态出现， false将在显示时保持其当前的状态（可能是折叠的）。 (默认值为 true).
Window
footer : Ext.Element
Panel底部Element。只读属性。

该元素用来容纳Panel的 buttons 。

Panel
header : Ext.Element
Panel顶部Element。只读属性。

这个元素被用来存储 title 和 tools

 Panel
headerAsText : Boolean
如果为true，将panel的title属性显示在header中， 否则隐藏它(默认值为 true)。
 Panel
height : Number
组件高度的像素值(默认值为 auto).
BoxComponent
hidden : Boolean
将组件渲染成隐藏的(默认为false).
Component
hideBorders : Boolean
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置...
如果为true，隐藏包含的每个组件的边框， 否则服从组件已存在的border设置 (默认值为 false).
Container
hideCollapseTool : Boolean
如果为true，当 collapsible = true时，隐藏收缩/展开按钮，否则显示它(默认值为 false).
Panel
hideMode : String
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
组件如何隐藏，支持的值有： "visibility" (css visibility), "offsets" (负值位置) 和 "display" (css display) - 默认值为 "display"。
 Component
hideParent : Boolean
如果为true，当在组件上调用hide/show方法时，同时hide/show组件的容器，否则仅仅hide/show组件自己(默认值为 false)...
如果为true，当在组件上调用hide/show方法时， 同时hide/show组件的容器， 否则仅仅hide/show组件自己(默认值为 false)。 例如，此配置项可以用作window中“隐藏”功能按钮的快捷方式 hide:true。 （译者注：因为按钮的hide为true，按钮自己是隐藏的， 然后hideParent为true将同时隐藏包含按钮的容器，把这样一个 按钮添加到一个window中，window就被隐藏了。晕，应该没人会这么用吧。 ）
Component
html : String/Object
一个HTML标签，或者一个 DomHelper ，这个对象被用作panel的body元素的内容(默认值为 '')。
Panel
iconCls : String
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')...
一个CSS，由它提供一个被用作header图标的背景图片(默认值为 '')。 一个定制图标的例子就像：.my-icon { background: url(../images/my-icon.gif) 0 6px no-repeat !important;}
Panel
id : String
组件唯一的id(默认值为一个自动生成的id)。
Component
items : Mixed
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中...
一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。

组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。

所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。
Container
keys : Object/Array
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 ...
一个按键映射对象(由Ext.KeyMap.addBinding规定格式 用来为panel指定定制的按键处理(默认值为 null)。
Panel
layout : String
容器使用的布局类型。 如果没有指定， 默认创建并使用...
容器使用的布局类型。 如果没有指定， 默认创建并使用Ext.layout.ContainerLayout 布局。 合法的值有: absolute, accordion, anchor, border, card, column, fit, form and table。 特殊的布局注册值也可以用layoutConfig 来指定。
Container
layoutConfig: Object
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。 对于...
这是一个包含指定布局详细属性的对象 (与layout 配置值结合使用)。对于每个合法的布局类型的完整细节，请看指定布局类型相应的类：
  • Ext.layout.Absolute
  • Ext.layout.Accordion
  • Ext.layout.AnchorLayout
  • Ext.layout.BorderLayout
  • Ext.layout.CardLayout
  • Ext.layout.ColumnLayout
  • Ext.layout.FitLayout
  • Ext.layout.FormLayout
  • Ext.layout.TableLayout
 Container
listeners : Object
一个包含一个或多个事件处理器的配置对象，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对...
一个包含一个或多个事件处理器的注册类，在初始化的时候被添加到对象。 这个对象应该是一个合法的监听器配置对象，就像addListener 例子中指定的那样， 这样可以一次添加多个处理器。
 Observable
manager : Ext.WindowGroup
一个到 WindowGroup的引用 ，它负责管理此窗口 (默认值为 Ext.WindowMgr) .
Window
maskDisabled : Boolean
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)...
如果为true，在panel被设置成disabled的时候为它加上遮罩（译者注：指灰化效果），否则不添加遮罩(默认值为 true)。 另外，当panel无效时，它总是告诉它所包含的元素将自己设置成无效， 但是给panel添加遮罩可以提供额外的视觉提示：panel是无效的。
Panel
maximizable : Boolean
设置为true将显示'最大化'工具按钮，并允许用户 最大化窗口，false将隐藏按钮并不允许用户...
设置为true将显示'最大化'工具按钮，并允许用户 最大化窗口，false将隐藏按钮并不允许用户 最大化窗口(默认值为 false)。 注意：当窗口被最大化之后，工具按钮将自动变成 一个'恢复'按钮，并且有内置的适当行为支持，此按钮 可以将窗口恢复到其原来的大小。
Window
minButtonWidth : Number
panel中所有按钮最小宽度的像素值(默认值为 75像素)。
Panel
minHeight : Number
当前窗口所允许的最小高度像素数 (默认值为 100)。 只有在resizable = true时有效。
Window
minWidth : Number
当前窗口所允许的最小宽度像素值(默认值为 200)。 只有resizable = true时有效。
Window
minimizable : Boolean
设置为true将显示一个'最小化'工具按钮，并允许 用户最小化窗口；false将隐藏此按钮并禁止最小化窗口...
设置为true将显示一个'最小化'工具按钮，并允许 用户最小化窗口；false将隐藏此按钮并禁止最小化窗口 (默认值为 false)。 注意：此按钮没有提供实现 --- 最小化一个窗口的行为是与具体实现相关的， 所以必须处理最小化事件，并且一个定制的最小化 行为实现是对于此配置项是可用的。
Window
modal : Boolean
设置为true将使窗口成为模态的，并在显示时将其后面的 所有东西罩在一个遮罩中...
设置为true将使窗口成为模态的，并在显示时将其后面的 所有东西罩在一个遮罩中，false将在显示窗口时不限制对 其它UI元素的访问 (默认值为 false).
Window
onEsc : Function
允许覆盖对escape键的内置处理。 默认的操作是关闭窗口...
允许覆盖对escape键的内置处理。 默认的操作是关闭窗口 ( 执行何种操作是在 closeAction 中指定的。 如果需要在按下escape键时阻止关闭窗口，将 此项指定为一个Ext.emptyFn (参见 Ext.emptyFn)。
Window
overCls : String
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')...
一个可选的CSS样式，当鼠标滑过时它被设置到组件的元素，并且在鼠标移出时被删除(默认值为 '')。 这个方法对于使用标准的CSS规则，为组件或它的任何一个子组件添加特定的"active" 或 "hover" 样式非常有用。
Component
pageX : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的x坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
pageY : Number
如果被包含在一个指定位置的容器中，这个值表示页面级的y坐标值（译者注：在有滚动条的情况下这个值很有用）。
BoxComponent
plain : Boolean
设置为true将把窗体的body区域用一个透明背景来渲染， 这样它将被融合进框架元素...
设置为true将把窗体的body区域用一个透明背景来渲染， 这样它将被融合进框架元素； false 将添加一个更亮的背景色， 在视觉上高亮显示body元素，并且将它从周围的 框架中明显地区别开来 (默认值为 false)。
Window
plugins : Object/Array
一个对象或者一个对象数组，为组件提供特殊的功能...
一个对象或者一个对象数组，为组件提供特殊的功能。 对一个合法的插件唯一的要求是它含有一个init()方法，能接收一个Ext.Component型的参数。 当组件被创建时，如果有可用的插件，组件将会调用每个插件的init方法，并将自身的引用作为方法参数传递给它。然后，每个插件就可以调用方法或者响应组件上的事件，就像需要的那样提供自己的功能。
 Component
renderTo : Mixed
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中...
该值可以是一个节点的id、一个DOM节点或者一个已存在的元素， 组件将会被渲染到其中。 使用renderTo这个配置项时，就没有必要再调用render()方法。
Component
resizable : Boolean
设置为true将允许用户拖动每个边缘和角落来 重新设置窗口的大小， false将禁止调整大小 (默认值为 true)。
Window
resizeHandles : String
一个合法的 Ext.Resizable 处理配置字符串(默认值为 'all')。 只有在resizable = true时有效。
Window
shadow : Boolean/String
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意...
该值可以为true (或者一个合法的 Ext.Shadow Ext.Shadow.mode 值)。 注意，该选项只有在floating = true时才起作用。
 Panel
shadowOffset : Number
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意...
当显示阴影时，阴影偏移量像素值(默认值为 4像素)。 注意，该选项只有在floating = true时才起作用。
Panel
shim : Boolean
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意...
如果为false，浏览器中显示iframe时需要的垫片效果将无效(默认值为 true)。 注意，该选项只有在floating = true时才起作用。
Panel
stateEvents : Array
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和...
一个事件数组，当它们被触发时，组件需要保存自己的状态(默认值为 none)。 它们可以是任何该组件支持的事件类型，包括浏览器事件和 自定义事件(例如 ['click', 'customerchange'])。

对于保存和恢复组件状态的详细解释，参见 stateful

 Component
stateId : String
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)...
为该组件指定的唯一的id值，它被用作组件状态管理。(默认值为 组件自己的 id)。

对于保存和恢复组件状态的详细解释，参见stateful

Component
stateful : Boolean
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用...
一个标志位，它将导致组件在启动时试图从保存的状态中恢复其内部属性的原有状态。 为了使保存状态能够起作用，状态管理器的提供者必须已经被设置成 Ext.state.Provider 接口的一个实现类，它覆盖了 set 和 get 方法 来保存和恢复键/值对(name/value pairs)。 一个内置的实现Ext.state.CookieProvider是可用的

为当前页面设置状态提供者：

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

当在stateEvents注册的事件列表中的一个事件被触发时，组件将尝试保存自己的当前状态信息。

在保存/恢复状态的过程中，你可以通过向beforestaterestore, staterestore, beforestatesave 和 statesave 事件添加处理器，来提供额外的处理。

 Component
style : String
被添加到组件元素的特定样式。 必须是按照...
被添加到组件元素的特定样式。 必须是按照Ext.Element.applyStyles类指定格式的 合法参数值。
Component
tabTip : String
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染...
当鼠标滑过作为 Ext.TabPanel组件的Ext.Panel时， 添加一个tooltip。 为了tips能够被渲染 Ext.QuickTips.init() 必须被提前调用。
 Panel
tbar : Object/Array
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以...
panel顶部工具条。 可以是Ext.Toolbar 对象、 一个可以添加到toolbar的toolbar配置属性（译者注：指立即Json字符串），或者 一个buttons/button注册数组。 注意：在渲染后该项不是一个有效的属性值。 需要在渲染之后访问top工具条，请使用 getTopToolbar方法。
Panel
title : String
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示...
panel头部显示的标题文字(默认值为 '')。 当指定了titile值时，header元素将会自动被创建并显示 ，除非header 属性被指定为false. 如果你不想在注册时指定一个title，但是在以后你可能又需要一个标题， 你必须要么指定一个非空的标题(可以是一个空字符' ')要么设置header:true， 这样容器元素才会被创建。

译者注：请特别注意这段提示，如果开始你不想给panel一个标题，最好把标题设置成空字符，以免 以后在调用setTitle()方法时发生异常（因为不指定title，而且也不指定header:true时，容纳标题文字的容器元素不会被创建， 所以此时调用setTitle()会发生“元素不存在”的异常）。
Panel
titleCollapse : Boolean
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为...
如果为true，当点击顶部工具栏上的任何位置时允许panel收缩/展开(当collapsible = true)， 如果为false，只有在点击工具按钮时才会收缩/展开(默认值为 false)。
Panel
tools : Array
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后...
工具按钮注册数组，它将被添加到顶部工具区域。 当渲染完成后， 每个工具按钮都被作为一个Element类型的引用， 被存储到一个叫做tools.<tool-type>的公共属性中。

每个tool的配置属性都可以包含如下属性：

  • id : String
    必须。 创建工具按钮的类型。值可以是
    • toggle (当collapsible 为 true时自动创建)
    • close
    • minimize
    • maximize
    • restore
    • gear
    • pin
    • unpin
    • right
    • left
    • up
    • down
    • refresh
    • minus
    • plus
    • help
    • search
    • save
    • print
  • handler : Function
    必须。 点击时调用的方法。传递的参数为：
    • event : Ext.EventObject
      点击事件
    • toolEl : Ext.Element
      tool元素
    • Panel : Ext.Panel
      宿主Panel
  • scope : Object
    调用处理器的作用域。
  • qtip : String/Object
    A tip string, or a config argument to Ext.QuickTip.register
  • hidden : Boolean
    如果为true，初始化时渲染成隐藏的。
  • on : Object
    一个监听器注册对象，指定事件监听器，按照addListener指定的参数格式。
示例用法:
tools:[{
    id:'refresh',
    qtip: 'Refresh form Data',
    // hidden:true,
    handler: function(event, toolEl, panel){
        // refresh logic
    }
}]
注意，除了toggle工具提供了panel的收缩/展开功能之外，这些工具按钮只有视觉效果。（译者注：指除了收缩/张开按钮提供了默认的功能实现外，其它的按钮都没有提供默认的实现。） 任何需要的功能都必须通过添加处理器来实现必要的功能。
Panel
width : Number
组件宽度的像素值(默认值为 auto)。
BoxComponent
x : Number
The X position of the left edge of the Window on initial showing. Defaults to centering the Window within the width o...
The X position of the left edge of the Window on initial showing. Defaults to centering the Window within the width of the Window's container {@link Ext.Element Element) (The Element that the Window is rendered to).
Window
xtype : String
已注册的xtype类型。 当把一个配置对象对象传递给构造方法来产生实例时，这个注册选项不被使用...
已注册的xtype类型。 当把一个配置对象传递给构造方法来产生实例时，这个注册选项不被使用只有在“懒加载”被使用的时候这个选项才被使用，并且容器的子元素不是用一个完整的实例组件指定的，而是作为一个 Component config object。xtype将会在渲染时被查找出来用以决定创建何种类型的子组件。

预定义好的xtypes列表在： 这里。

如果你继承Component，创建你自己的组件，你可用通过Ext.ComponentMgr.registerType方法来为它们注册xtype，这样就可以改善它们的懒加载和渲染性能。
 Component
y : Number
在初始化显示时窗口顶部边缘的Y位置。 默认将窗口显示在其容器 {@link Ext.Element Element)(窗口所渲染到的元素) 高度的正中间。
在初始化显示时窗口顶部边缘的Y位置。 默认将窗口显示在其容器 {@link Ext.Element Element)(窗口所渲染到的元素) 高度的正中间。
Window

公共属性

Property |  | 所在类
 | body : Ext.Element Panel的body Element ，它被用来包含HTML内容... Panel的body Element ，它被用来包含HTML内容。 内容可以是html 配置属性指定的值 ，或者由autoLoad属性加载的 内容，或者通过Panel的Updater来加载。 这个属性是只读的。 如果该属性被用来以任意一种方式加载可见的HTML， 那么该panel将不会被嵌套的panels用作布局管理。 当该panel试图被用作一个layout的宿主时 (参见 layout ，此时该body元素不能被加载或改变－－－它处于Panel的layout控制之下。 | Panel
 | buttons : Array Panel的按钮数组，从buttons配置属性被创建。 该属性为只读。 | Panel
 | dd : Ext.dd.DD 如果当前窗口被配置成 draggable, ，此属性将会包含一个... 如果当前窗口被配置成 draggable, ，此属性将会包含一个 Ext.dd.DD 实例，它负责处理拖动窗口的DOM元素。 | Window
 | disabled : Boolean 如果组件状态为disabled时该值为true。 只读属性。 | Component
 | footer : Ext.Element Panel底部Element。只读属性。 该元素用来容纳Panel的 buttons 。 | Panel
 | header : Ext.Element Panel顶部Element。只读属性。 这个元素被用来存储 title 和 tools | Panel
 | hidden : Boolean 将组件渲染成隐藏的(默认为false). | Component
 | initialConfig : Object 组件初始化注册说明。只读属性。 | Component
 | items : Mixed 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中... 一个单独的元素，或者一个子组件数组， 它们将被添加到容器中。 每个元素可以是 Ext.Component类的任意一个子类。 组件的注册对象也可以定制，以便 在使用“懒渲染”模式时缩减构造一个真实的组件对象的开销，这种模式下组件不会被立即渲染。 有关“懒初始化”的细节，请参见Ext.Component.xtype 配置属性查看所需组件的类型注册。 所有合法的xtype列表，请看Ext.Component。如果传递进来的是单个的元素，它应该作为一个object的引用被直接传递进来(例如 items: {...})。复合的元素应该以一个对象数组的形式被传递进来(例如 items: [{...}, {...}])。 | Container
 | ownerCt : Ext.Container 组件所属的 Ext.Container (默认值为 undefined... 组件所属的 Ext.Container (默认值为 undefined, 并且在把组件添加到一个容器中时该值被自动设置)。只读属性。 | Component
 | rendered : Boolean 当组件被渲染后该值为true。只读属性。 | Component

公共方法

Method 所在类
Window( Object config )
参数:
  • config : Object
    The config object
返回值:
Window
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
addButton( String/Object config, Function handler, Object scope ) : Ext.Button
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用...
向panel中添加一个按钮。 注意：这个方法必须在进行渲染之前被调用。 添加按钮的首选途径是通过 buttons 配置属性进行。
参数:
  • config : String/Object
    一个合法的Ext.Button注册值。 如果该值是一个string，它将成为默认button的text属性值。 如果是一个object，它将会被当作一个button的注册对象。
  • handler : Function
    当按钮被Ext.Button.click 时调用的方法
  • scope : Object
    button处理函数使用的作用域
返回值:
  • Ext.Button
    The button that was added
 Panel
addClass( string cls ) : void
为组件底层的元素添加CSS样式。
为组件底层的元素添加CSS样式。
参数:
  • cls : string
    需要添加的CSS样式的class名称
返回值:
  • void
 Component
addEvents( Object object ) : void
用来为可视元素定义事件
用来为可视元素定义事件
参数:
  • object : Object
    The object with the events defined
返回值:
  • void
 Observable
addListener( String eventName, Function handler, [Object scope], [Object options] ) : void
为组件添加事件处理器
为组件添加事件处理器
参数:
  • eventName : String
    需要监听的事件类型
  • handler : Function
    事件的回调函数
  • scope : Object
    (可选) 在哪个作用域中执行处理器。即处理器的"this"上下文。
  • options : Object
    (可选) 一个包含处理函数配置参数的对象。可以包含以下任何值:
    • scope : Object

      在哪个作用域中执行处理器。即处理器的"this"上下文。

    • delay : Number

      在事件触发后延迟调用处理器的毫秒数。

    • single : Boolean

      如果为true，添加一个处理器，在事件触发后进行一次处理后立即删除它自己。（译者注：也就是只响应一次事件，事件被再次触发时不响应）

    • buffer : Number

      使得处理器按计划在一个Ext.util.DelayedTask中，延迟指定的毫秒数后被执行。如果在延迟的事件内事件被再次触发，前一次的处理器将不会被调用，但是新的处理器会被预设到它的位置。

    复合选项
    使用options参数，可以绑定不同类型的监听器。 使用可选参数项，可以绑定不同类型的监听器：:

    一个规则的，带延时的，一次性调用的监听器自动停止事件并传递自定义的参数 (forumId)

    el.on('click', this.onClick, this, {
                single: true,
                delay: 100,
                forumId: 4
            });

    一次调用添加多个事件处理器
    该方法也允许传递单个参数，它是一个包含指定处理器属性的配置对象。

    foo.on({
                'click' : {
                    fn: this.onClick,
                    scope: this,
                    delay: 100
                },
                'mouseover' : {
                    fn: this.onMouseOver,
                    scope: this
                },
                'mouseout' : {
                    fn: this.onMouseOut,
                    scope: this
                }
            });

    或者使用一种更简略的语法：

    foo.on({
                'click' : this.onClick,
                'mouseover' : this.onMouseOver,
                'mouseout' : this.onMouseOut,
                 scope: this
            });
返回值:
  • void
 Observable
alignTo( Mixed element, String position, [Array offsets] ) : Ext.Window
将窗口对齐到指定的元素
将窗口对齐到指定的元素
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to (see Ext.Element.alignTo for more details).
  • offsets : Array
    (可选) Offset the positioning by [x, y]
返回值:
  • Ext.Window
    this
 Window
anchorTo( Mixed element, String position, [Array offsets], [Boolean/Number monitorScroll] ) : Ext.Window
将当前窗口锚定到另一个元素，当窗口被调整大小或者滚动时重新对齐。
将当前窗口锚定到另一个元素，当窗口被调整大小或者滚动时重新对齐。
参数:
  • element : Mixed
    The element to align to.
  • position : String
    The position to align to (see Ext.Element.alignTo for more details)
  • offsets : Array
    (可选) Offset the positioning by [x, y]
  • monitorScroll : Boolean/Number
    (可选) true to monitor body scroll and reposition. If this parameter is a number, it is used as the buffer delay (默认值为 50ms).
返回值:
  • Ext.Window
    this
 Window
applyToMarkup( String/HTMLElement el ) : void
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
将此组件添加到已存在的合法标签中。 使用该方法时，无需再调用render()方法。
参数:
  • el : String/HTMLElement
返回值:
  • void
 Component
bubble( Function fn, [Object scope], [Array args] ) : void
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法...
沿着继承树向上起泡， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止起泡。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选)function的作用域 (默认值为当前节点)
  • args : Array
    (可选)调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
cascade( Function fn, [Object scope], [Array args] ) : void
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法...
沿着继承树向下回溯， 对继承树中的每个组件调用指定的方法， 调用方法时的(this)作用域为指定的scope或者为当前组件。 传递给方法的参数为传递进来args或者当前组件。 在起泡的任意一个节点上，如果function返回false，即停止在那个分支上。
参数:
  • fn : Function
    需要调用的方法
  • scope : Object
    (可选) function的作用域 (默认值为当前节点)
  • args : Array
    (可选) 调用方法时传递的参数(默认传递当前组件)
返回值:
  • void
 Container
center() : Ext.Window
将窗口设置到视图区的正中间
将窗口设置到视图区的正中间
参数:
  • 无.
返回值:
  • Ext.Window
    this
 Window
cloneConfig( Object overrides ) : Ext.Component
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
克隆当前组件，默认情况下，使用传递到该组件的原始配置值。
参数:
  • overrides : Object
    一个包含任意属性的配置项，用以覆盖节点克隆版本。 可以传递一个id属性到该对象，否则将自动重新生成一个以免id重复。
返回值:
  • Ext.Component
    clone
    组件的克隆版本
 Component
close() : void
关闭窗口，从DOM中删除它，并销毁窗口对象。 在关闭之前触发beforeclose事件，如果事件处理器返回...
关闭窗口，从DOM中删除它，并销毁窗口对象。 在关闭之前触发beforeclose事件，如果事件处理器返回false则取消关闭操作。
参数:
  • 无.
返回值:
  • void
 Window
collapse( Boolean animate ) : Ext.Panel
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件...
收起panel的body部分使它变成隐藏的。 触发 beforecollapse 事件，如果事件返回false则取消收起动作。
参数:
  • animate : Boolean
    如果为true，动作具有动画过渡效果，否则没有。 (默认为 panel 的animCollapse配置项的值)
返回值:
  • Ext.Panel
    this
 Panel
destroy() : void
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的...
通过如下方法，尝试摧毁任何传递进来的对象：删除所有的事件监听器、将组件的元素从DOM树中删除（如果可以）、 将组件从它的 Ext.Container中删除（如果可以）、 并且将它从Ext.ComponentMgr中 反注册。 销毁操作一般由框架自动完成，不应该直接调用该方法。
参数:
  • 无.
返回值:
  • void
 Component
disable() : Ext.Component
将组件设为无效。
将组件设为无效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
doLayout( [Boolean shallow] ) : void
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者...
强制容器的布局管理器重新计算布局。 当向一个已经渲染好的容器中添加新的组件或者 改变子组件的大小或位置属性时， 必须调用该方法。
参数:
  • shallow : Boolean
    (可选) True to only calc the layout of this component, and let child components autocalc layouts as required (默认值为 false, which calls doLayout recursively for each subcontainer)
返回值:
  • void
 Container
enable() : Ext.Component
将组件状态设置为有效。
将组件状态设置为有效。
参数:
  • 无.
返回值:
  • Ext.Component
    this
 Component
expand( Boolean animate ) : Ext.Panel
展开panel的body部分使它变成可见。 触发...
展开panel的body部分使它变成可见。 触发 beforeexpand 事件，如果事件返回false则取消展开动作。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
find( String prop, String value ) : Array
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
根据属性（译者注：属性名和属性值）查找该容器中任意层次结构上的组件。
参数:
  • prop : String
  • value : String
返回值:
  • Array
    Array of Ext.Components
 Container
findBy( Function fcn, [Object scope] ) : Array
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中...
根据特定的方法查找该容器中任意层次结构上的组件。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (component, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Ext.Components数组
 Container
findById( String id ) : Ext.Component
根据id查找该容器中任意层次结构上的组件。
根据id查找该容器中任意层次结构上的组件。
参数:
  • id : String
返回值:
  • Ext.Component
 Container
findByType( String/类 xtype ) : Array
根据xtyle或者类型查找该容器中任意层次结构上的组件。
根据xtyle或者类型查找该容器中任意层次结构上的组件。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Array
    Array of Ext.Components
 Container
findParentBy( Function fcn, [Object scope] ) : Array
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中...
根据指定的方法查找该组件上一级容器， 该容器可以处于任意层次结构中。 如果传递进来的方法返回true，当前组件将会被包含在结果集中。 传递进来的方法用以下参数格式调用： (container, this container)。
参数:
  • fcn : Function
  • scope : Object
    (可选)
返回值:
  • Array
    Array of Ext.Components
 Component
findParentByType( String/类 xtype ) : Container
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
根据xtype或者类型查找该组件上一级容器， 该容器可以处于任意层次结构中。
参数:
  • xtype : String/类
    组件的xtype字符串值，或者直接是一个组件的类
返回值:
  • Container
    The found container
 Component
fireEvent( String eventName, Object... args ) : Boolean
使用传递进来的参数（减去事件名称）触发指定的事件。
使用传递进来的参数（减去事件名称）触发指定的事件。
参数:
  • eventName : String
  • args : Object...
    传递给处理器的多个参数
返回值:
  • Boolean
    当任意一个处理器返回false时，该方法返回false；否则返回true。
Observable
focus() : void
聚焦到窗口。 如果设置了一个defaultButton， 它将会接收焦点，否则窗口本身将接收焦点。
聚焦到窗口。 如果设置了一个defaultButton， 它将会接收焦点，否则窗口本身将接收焦点。
参数:
  • 无.
返回值:
  • void
 Window
getBottomToolbar() : Ext.Toolbar
返回panel底部区域的工具条。
返回panel底部区域的工具条。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    The toolbar
 Panel
getBox( [Boolean local] ) : Object
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
获取组件底层元素当前盒子模型的尺寸。（译者注：盒子模型是CSS术语，详细解释请自行搜索。）
参数:
  • local : Boolean
    (可选) If true the element's left and top are returned instead of page XY (默认值为 false)
返回值:
  • Object
    box An object in the format {x, y, width, height}
 BoxComponent
getComponent( String/Number id ) : Ext.Component
根据id或者序号获取直接子元素。
根据id或者序号获取直接子元素。（译者注：指第一层子元素，非递归式获取）
参数:
  • id : String/Number
    or index of child Component to return.
返回值:
  • Ext.Component
 Container
getEl() : Ext.Element
返回底层的Ext.Element.
返回底层的Ext.Element.
参数:
  • 无.
返回值:
  • Ext.Element
    The element
 Component
getFrameHeight() : Number
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度)....
返回此panel框架元素高度的像素值 ( 包含顶部和底部工具条和header、footer元素， 但不包含body元素的高度). 需要获得body元素的高度，请参见getInnerHeight.
参数:
  • 无.
返回值:
  • Number
    The frame height
 Panel
getFrameWidth() : Number
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)...
返回此panel框架元素宽度的像素值 (不包含body元素的宽度)。 需要获得body元素的宽度，请参见getInnerWidth.
参数:
  • 无.
返回值:
  • Number
    The frame width
 Panel
getId() : String
返回此组件的id值。
返回此组件的id值。
参数:
  • 无.
返回值:
  • String
 Component
getInnerHeight() : Number
返回body元素高度的像素值 ( 不包含任何框架元素的高度)...
返回body元素高度的像素值 ( 不包含任何框架元素的高度)。 获取框架元素的高度，请参见getFrameHeight.
参数:
  • 无.
返回值:
  • Number
    The body height
 Panel
getInnerWidth() : Number
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)...
返回body元素宽度的像素值 ( 不包含任何框架元素的宽度)。 获取框架元素的宽度，请参见getFrameWidth.
参数:
  • 无.
返回值:
  • Number
    The body width
 Panel
getItemId() : String
获取此组件元素的id。
获取此组件元素的id。
参数:
  • 无.
返回值:
  • String
 Component
getLayout() : ContainerLayout
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的...
返回容器当前使用的布局管理器。 如果容器当前没有设置布局管理器， 一个默认的Ext.layout.ContainerLayout 将会被创建并设置为容器的布局。
参数:
  • 无.
返回值:
  • ContainerLayout
    layout The container's layout
 Container
getPosition( [Boolean local] ) : Array
获取组件底层元素当前的XY位置。
获取组件底层元素当前的XY位置。
参数:
  • local : Boolean
    (可选)如果为true，将 返回元素的left和top值，而不是相对于页面内的 XY。(默认值为 false)
返回值:
  • Array
    元素的XY位置值(例如：[100, 200])
 BoxComponent
getSize() : Object
获取组件底层元素当前的大小。
获取组件底层元素当前的大小。
参数:
  • 无.
返回值:
  • Object
    一个包含元素大小的对象{width: (element width), height: (element height)}
 BoxComponent
getTopToolbar() : Ext.Toolbar
返回panel顶部区域工具条(tbar)。
返回panel顶部区域工具条(tbar)。
参数:
  • 无.
返回值:
  • Ext.Toolbar
    工具条
 Panel
getUpdater() : Ext.Updater
获取此panel的Ext.Updater。 让你...
获取此panel的Ext.Updater。 让你可以通过Ajax请求来更新此panel的body区域。
参数:
  • 无.
返回值:
  • Ext.Updater
    The Updater
 Panel
getXType() : String
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同...
获取此组件的xtype值，就像在Ext.ComponentMgr 注册的值相同。所有可用的xtype值，请参见 Ext.Component 头部。示例用法:
var t = new Ext.form.TextField();alert(t.getXType());  // alerts 'textfield'
参数:
  • 无.
返回值:
  • String
    The xtype
 Component
getXTypes() : String
返回此组件的xtype继承树，用'-'分隔...

返回此组件的xtype继承树，用'-'分隔。 所有可用的xtype值，请参见 Ext.Component 头部区域。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

示例用法:

var t = new Ext.form.TextField();alert(t.getXTypes());  // alerts 'component/box/field/textfield'
参数:
  • 无.
返回值:
  • String
    The xtype hierarchy string
 Component
hasListener( String eventName ) : Boolean
检测此对象是否拥有指定事件的监听器。
检测此对象是否拥有指定事件的监听器。
参数:
  • eventName : String
    需要检测的事件名称
返回值:
  • Boolean
    如果检测的事件有监听器，返回true，否则返回false。
 Observable
hide( [String/Element animateTarget], [Function callback], [Object scope] ) : void
隐藏窗口，将其设置为不可见，并设置一个负数偏移量。
隐藏窗口，将其设置为不可见，并设置一个负数偏移量。
参数:
  • animateTarget : String/Element
    (可选) The target element or id to which the window should animate while hiding (默认值为 null with no animation)
  • callback : Function
    (可选) A callback function to call after the window is hidden
  • scope : Object
    (可选) The scope in which to execute the callback
返回值:
  • void
 Window
insert( Number index, Ext.Component component ) : Ext.Component
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件 ...
向容器中的指定索引处插入一个组件。 在插入之前触发beforeadd 事件， 随后在插入完成之后触发 add 事件。
参数:
  • index : Number
    组件插入到此容器元素集合时的位置
  • component : Ext.Component
    需要插入的子组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component头部。
返回值:
  • Ext.Component
    component The Component (or config object) that was inserted with the Container's default config values applied.
 Container
isVisible() : void
如果组件可见，返回true。
如果组件可见，返回true。
参数:
  • 无.
返回值:
  • void
 Component
isXType( String xtype, [Boolean shallow] ) : void
测试此组件是否是指定的xtype...

测试此组件是否是指定的xtype。此方法既可以测试是否是指定的xtype的某个子类，或者它是否直接是指定的xtype类(shallow=true)。

如果使用你自己的子类，必须知道组件必须注册它的xtype值（to participate in determination of inherited xtypes。）

所有合法的xtype列表，参见Ext.Component头部。

示例用法:

var t = new Ext.form.TextField();var isText = t.isXType('textfield');        // truevar isBoxSubclass = t.isXType('box');       // true, descended from BoxComponentvar isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance
参数:
  • xtype : String
    为此组件检测的xtype
  • shallow : Boolean
    (可选) 如果为false，检测组件是否是xtype继承树中的某个子类（默认是这种情况）， 如果为true，只检测组件是否是指定的xtype类型。
返回值:
  • void
 Component
load( Object/String/Function config ) : Ext.Panel
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
使用XHR（译者注：指Ajax请求）调用的返回内容来立即加载此panel。
参数:
  • config : Object/String/Function
    A config object containing any of the following options:
    panel.load({
    url: "your-url.php",
    params: {param1: "foo", param2: "bar"}, // or a URL encoded string
    callback: yourFunction,
    scope: yourObject, // optional scope for the callback
    discardUrl: false,
    nocache: false,
    text: "Loading...",
    timeout: 30,
    scripts: false
});
    唯一必须的参数是url。 可选参数nocache、text和scripts分别是 disableCaching、indicatorText和loadScripts的简写； 它们是用来为此panel的Updater实例设置参数的。
返回值:
  • Ext.Panel
    this
 Panel
maximize() : void
将窗口的大小自适应成它目前容器的大小，并且 自动将...
将窗口的大小自适应成它目前容器的大小，并且 自动将'最大化'工具按钮替换成'恢复'工具按钮。
参数:
  • 无.
返回值:
  • void
 Window
minimize() : void
用来最小化窗体的方法站位符。 默认情况下，此方法只是简单地触发 minimize 事件...
用来最小化窗体的方法站位符。 默认情况下，此方法只是简单地触发 minimize 事件，以为最小化一个窗体的行为是与特定应用相关的。 特定的最小化行为可以通过监听和处理最小化事件或者覆盖此方法来实现。
参数:
  • 无.
返回值:
  • void
 Window
on( String eventName, Function handler, [Object scope], [Object options] ) : void
为此元素添加一个事件处理器(addListener方法的简写)。
为此元素添加一个事件处理器(addListener方法的简写)。
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The method the event invokes
  • scope : Object
    (可选) The scope in which to execute the handlerfunction. The handler function's "this" context.
  • options : Object
    (可选)
返回值:
  • void
 Observable
purgeListeners() : void
从对象中移除所有的监听器。
从对象中移除所有的监听器。
参数:
  • 无.
返回值:
  • void
 Observable
relayEvent( Object o, Array events ) : void
将所选的事件传递到指定的可视对象，就好像事件是在它自己 身上被触发的一样。
将所选的事件传递到指定的可视对象，就好像事件是在它自己身上被触发的一样。
参数:
  • o : Object
    The Observable whose events this object is to relay.
  • events : Array
    Array of event names to relay.
返回值:
  • void
 Observable
remove( Component/String component, [Boolean autoDestroy] ) : void
在移除之前触发beforeremove事件...
从容器中移除一个组件。在移除之前触发beforeremove事件，接着在移除之后触发remove 事件。
参数:
  • component : Component/String
    The component reference or id to remove.
  • autoDestroy : Boolean
    (可选) True to automatically invoke the removed Component's Ext.Component.destroy function.Defaults to the value of this Container's autoDestroy config.
返回值:
  • void
 Container
removeClass( string cls ) : void
从组件的底层元素中移除一个CSS样式。
从组件的底层元素中移除一个CSS样式。
参数:
  • cls : string
    The CSS class name to remove
返回值:
  • void
 Component
removeListener( String eventName, Function handler, [Object scope] ) : void
删除一个监听器
删除一个监听器
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
render( [Element/HTMLElement/String container], [String/Number position] ) : void
在传递进来的HTML元素中渲染组件。如果你正使用一个 Container 对象来容纳组件...

在传递进来的HTML元素中渲染组件。

如果你正使用一个 Container 对象来容纳组件，那么请不要调用render()方法。

当容器第一次被渲染时，容器的子组件被容器的 layout 布局管理器渲染。

某些布局管理器允许动态添加子组件。 这些布局包括： Ext.layout.CardLayout, Ext.layout.AnchorLayout, Ext.layout.FormLayout, Ext.layout.TableLayout。

如果在添加新的子组件时，容器已经渲染完成了， 你可能需要调用容器的doLayout 方法来刷新视图， 它将会导致组件中尚未渲染的子组件进行渲染。 这种做法是必须的，这样你就可以添加多个子组件而只要刷新一次布局。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略容器的layout 配置属性意味着一个基本的布局管理器将被使用。 这种情况下，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

Parameters:
  • container : Element/HTMLElement/String
    (可选)需要将组件渲染到其中的元素。 如果它是从一个已存在的标签中被创建的，改参数应该忽略。
  • position : String/Number
    (可选) 容器内的一个元素ID或者一个DOM节点序号， 组件将会被插入到其上 (默认添加到容器尾部)
Returns:
  • void
 Component
restore() : void
将一个最大化的窗口恢复到它原来的大小，并且将其放置到被 最大化时的位置，然后用'maximize'...
将一个最大化的窗口恢复到它原来的大小，并且将其放置到被 最大化时的位置，然后用'maximize'工具按钮替代'restore'工具按钮。
参数:
  • 无.
返回值:
  • void
 Window
resumeEvents() : void
重新开始触发事件。(参见 suspendEvent)
重新开始触发事件。(参见 suspendEvent)
参数:
  • 无.
返回值:
  • void
 Observable
setActive( Boolean active ) : void
通过显示其阴影，让当前窗口成为当前活动项，或者通过隐藏其阴影让它 成为非当前活动项...
通过显示其阴影，让当前窗口成为当前活动项，或者通过隐藏其阴影让它 成为非当前活动项。 此方法同时触发 activate或者 deactivate 事件，触发何种事件取决于发生了何种操作。
参数:
  • active : Boolean
    True to activate the window, false to deactivate it (默认值为 false)
返回值:
  • void
 Window
setAnimateTarget( String/Element el ) : void
设置一个目标元素，当窗口打开时作为动画效果的起始点。
设置一个目标元素，当窗口打开时作为动画效果的起始点。
参数:
  • el : String/Element
    The target element or id
返回值:
  • void
 Window
setDisabled( Boolean disabled ) : void
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
工具函数，使用布尔值设置有效/无效(disabled/enabled )。
参数:
  • disabled : Boolean
返回值:
  • void
 Component
setHeight( Number height ) : Ext.BoxComponent
设置此组件的高度。该方法将触发resize事件。
设置此组件的高度。该方法将触发resize事件。
参数:
  • height : Number
    The new height to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setIconClass( String cls ) : void
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
设置CSS样式，由此样式提供panel的图标图片。 此方法将会移除任何已经存在的图标样式。
参数:
  • cls : String
    The new CSS class name
返回值:
  • void
 Panel
setPagePosition( Number x, Number y ) : Ext.BoxComponent
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用...
设置组件在页面中的XY位置。 如果需要设置left和top值 ，请使用setPosition方法。该方法触发 move事件。
参数:
  • x : Number
    The new x position
  • y : Number
    The new y position
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setPosition( Number left, Number top ) : Ext.BoxComponent
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发...
设置组件的left和top值。设置组件的页面XY值，请使用setPagePosition方法。该方法触发 move事件。
参数:
  • left : Number
    The new left
  • top : Number
    The new top
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setSize( Number/Object width, Number height ) : Ext.BoxComponent
设置组件的宽度和高度。 此方法触发resize 事件...
设置组件的宽度和高度。 此方法触发resize 事件。 此方法可以接收单独的width或者height值作为参数， 或者你可以传递像这样的一个size对象： {width:10, height:20}.
参数:
  • width : Number/Object
    需要设置的新的width值，或者一个像这种格式的size对象：{width, height}
  • height : Number
    需要设置的新的height值( 如果第一个参数传递了一个size对象，此参数没有必要传递)
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
setTitle( String title, [String iconCls] ) : void
设置panel的标题并且可选择同时设置图标样式。
设置panel的标题并且可选择同时设置图标样式。
参数:
  • title : String
    The title text to set
  • iconCls : String
    (可选) iconCls A user-defined CSS class that provides the icon image for this panel
返回值:
  • void
 Panel
setVisible( Boolean visible ) : Ext.Component
工具函数，使用布尔值设置该对象隐藏或显示。
工具函数，使用布尔值设置该对象隐藏或显示。
参数:
  • visible : Boolean
    True to show, false to hide
返回值:
  • Ext.Component
    this
 Component
setWidth( Number width ) : Ext.BoxComponent
设置组件的宽度。 此方法触发resize 事件 。
设置组件的宽度。 此方法触发resize 事件 。
参数:
  • width : Number
    The new width to set
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
show( [String/Element animateTarget], [Function callback], [Object scope] ) : void
显示此窗口，如果需要时先渲染它， 或者将其设为当前活动项，并且如果它是隐藏的 把它显示出来。
显示此窗口，如果需要时先渲染它， 或者将其设为当前活动项，并且如果它是隐藏的 把它显示出来。
参数:
  • animateTarget : String/Element
    (可选) The target element or id from which the window should animate while opening (默认值为 undefined，没有动画效果)
  • callback : Function
    (可选) A callback function to call after the window is displayed
  • scope : Object
    (可选) The scope in which to execute the callback
返回值:
  • void
 Window
suspendEvents() : void
延缓触发所有的事件。(参见 resumeEvents)
延缓触发所有的事件。(参见 resumeEvents)
参数:
  • 无.
返回值:
  • void
 Observable
syncSize() : Ext.BoxComponent
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
强制组件的大小按照此组件底层元素当前的高度和宽度计算。
参数:
  • 无.
返回值:
  • Ext.BoxComponent
    this
 BoxComponent
toBack() : Ext.Window
将当前窗口设置到任何可见窗口之后(更小的z-index)
将当前窗口设置到任何可见窗口之后(更小的z-index)
参数:
  • 无.
返回值:
  • Ext.Window
    this
 Window
toFront() : Ext.Window
将当前窗口放置到其它任何可见的窗口之前
将当前窗口放置到其它任何可见的窗口之前
参数:
  • 无.
返回值:
  • Ext.Window
    this
 Window
toggleCollapse( Boolean animate ) : Ext.Panel
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
expand 或 collapse 操作的快捷方式，基于panel当前的状态。
参数:
  • animate : Boolean
    True to animate the transition, else false (默认值为 the value of the animCollapse panel config)
返回值:
  • Ext.Panel
    this
 Panel
toggleMaximize() : void
一个快捷方法，用来在 maximize 和 restore 之间固定一个状态，基于窗体当前的最大化状态。
一个快捷方法，用来在 maximize 和 restore 之间固定一个状态，基于窗体当前的最大化状态。
参数:
  • 无.
返回值:
  • void
 Window
un( String eventName, Function handler, [Object scope] ) : void
删除一个监听器(removeListener方法的简写)
删除一个监听器(removeListener方法的简写)
参数:
  • eventName : String
    The type of event to listen for
  • handler : Function
    The handler to remove
  • scope : Object
    (可选) The scope (this object) for the handler
返回值:
  • void
 Observable
updateBox( Object box ) : Ext.BoxComponent
设置此组件底层元素的盒子模型尺寸。
设置此组件底层元素的盒子模型尺寸。（译者注：盒子模型是CSS术语，详细资料请自行搜索。）
参数:
  • box : Object
    一个格式为{x, y, width, height}的对象
返回值:
  • Ext.BoxComponent
    this
 BoxComponent

公共事件

Event 所在类
activate : ( Ext.Window this )
当窗口在视觉上通过 setActive 方法被激活时触发。
当窗口在视觉上通过 setActive 方法被激活时触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
 Window
add( Ext.Component/Object component ) : Ext.Component
向容器中添加一个Component。在添加之前触发...

向容器中添加一个Component。在添加之前触发beforeadd 事件，然后在添加完成之后触发 add事件。

当使用一个容器时，你永远不需要调用render()方法。当容器被渲染完成后，子组件会被容器的 layout管理器渲染，

某些布局管理器允许动态添加子组件。能够做到（译者注：指可以动态添加子组件的布局）的有 Ext.layout.CardLayout, Ext.layout.AnchorLayout,Ext.layout.FormLayout, Ext.layout.TableLayout.

当调用add方法时如果容器已经被渲染完成，你可能需要调用doLayout方法来刷新试图，它将使所有尚未渲染的子组件进行渲染。这一点是必须的，这样在需要时，你就可以一次添加多个子组件而只刷新一次layout。

当创建复杂的UI对象时，非常重要的一点是记住设置子元素的大小和位置是容器layout管理器的职责。如果你希望组件在与用户交互时调整大小，你必须指定一个布局管理器，它将创建并管理你想要的布局类型。

忽略layout配置属性意味着一个基本的布局管理器将被使用，它将只是按次序把子组件渲染到容器中，其它什么事情都不做。这种情况下，不会设置大小和位置。

参数:
  • component : Ext.Component/Object
    需要添加的组件。

    Ext 使用“延迟渲染”（lazy rendering），只有在必要的时候才渲染添加的组件，这意味着：容器要么在第一次渲染时设置布局，要么在响应doLayout 调用时设置布局。

    一个注册组件对象（译者注：指立即的JSON对象）也可以传递进来，而不是一个实例化的Component对象。从注册对象创建的组件类型取决于 xtype配置属性。如果没有注册xtype，容器的 defaultType将会被使用。

    所有合法的xtype列表，参见Ext.Component。
返回值:
  • Ext.Component component
    使用容器默认的注册值创建并添加到容器的组件（或注册对象）。
    原文： The Component (or config object) that was added with the Container's default config values applied.

    example:

     var myNewGrid = new Ext.grid.GridPanel({ store: myStore, colModel: myColModel }); myTabPanel.add(myNewGrid); myTabPanel.setActiveTab(myNewGrid);
Container
afterlayout : ( Ext.Container this, ContainerLayout layout )
在此容器中的组件被指定的布局管理器调整布局后触发。
在此容器中的组件被指定的布局管理器调整布局后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • layout : ContainerLayout
    The ContainerLayout implementation for this container
 Container
beforeadd : ( Ext.Container this, Ext.Component component, Number index )
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
在任何Ext.Component 被添加到容器之前触发。 处理器返回false将停止添加操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being added
  • index : Number
    The index at which the component will be added to the container's items collection
 Container
beforeclose : ( Ext.Panel p )
在panel关闭之前触发。 注意：Panel并不直接支持关闭操作， 但是Panel的一些子类支持...
在panel关闭之前触发。 注意：Panel本身并不直接支持关闭操作， 但是Panel的一些子类支持(例如 Ext.Window)。 此事件仅仅对这种子类才有效。 处理器可以返回一个false来终止关闭操作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel being closed.
 Panel
beforecollapse : ( Ext.Panel p, Boolean animate )
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
在panel收缩之前触发。 处理器可以返回一个false来终止收缩动作。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel being collapsed.
  • animate : Boolean
    True if the collapse is animated, else false.
 Panel
beforedestroy : ( Ext.Component this )
在组件销毁之前触发。返回false停止销毁操作。
在组件销毁之前触发。返回false停止销毁操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeexpand : ( Ext.Panel p, Boolean animate )
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
在panel展开之前触发。 处理器可以返回一个false来终止展开操作。
监听器将以如下的参数格式被调用：
  • p : Ext.Panel
    被展开的panel。
  • animate : Boolean
    如果展开时有动画效果，此值为true，否则为false。
 Panel
beforehide : ( Ext.Component this )
在组件隐藏之前触发。返回false停止隐藏操作。
在组件隐藏之前触发。返回false停止隐藏操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeremove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
在任何Ext.Component 被从容器中移除之前触发。 处理器返回false将停止移除操作。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component being removed
 Container
beforerender : ( Ext.Component this )
在组件渲染之前触发。返回false停止渲染操作。
在组件渲染之前触发。返回false停止渲染操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforeshow : ( Ext.Component this )
在组件显示之前触发。返回false停止显示。
在组件显示之前触发。返回false停止显示。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
beforestaterestore : ( Ext.Component this, Object state )
在组件状态恢复之前触发。返回false停止恢复状态操作。
在组件状态恢复之前触发。返回false停止恢复状态操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
beforestatesave : ( Ext.Component this, Object state )
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
在组件状态被存储到配置的状态缓存器之前触发。 返回false停止保存操作。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
bodyresize : ( Ext.Panel p, Number width, Number height )
在panel被调整大小后触发。
在panel被调整大小后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    被调整大小的panel
  • width : Number
    The Panel's new width.
  • height : Number
    The Panel's new height.
 Panel
close : ( Ext.Panel p )
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
在panel被关闭后触发. 注意:panel本身并不支持关闭操作，但是panel的某些子类支持 (例如 Ext.Window)。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been closed.
 Panel
collapse : ( Ext.Panel p )
在panel收缩之后触发。
在panel收缩之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel that has been collapsed.
 Panel
deactivate : ( Ext.Window this )
在窗口被通过 setActive 方法设置为视觉上的非当前活动项之后触发。
在窗口被通过 setActive 方法设置为视觉上的非当前活动项之后触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
 Window
destroy : ( Ext.Component this )
在组件销毁之后触发。返回false停止销毁。
在组件销毁之后触发。返回false停止销毁。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
disable : ( Ext.Component this )
在组件失效后触发。
在组件失效后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
enable : ( Ext.Component this )
在组件有效之后触发。
在组件有效之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
expand : ( Ext.Panel p )
在Panel被展开之后触发。
在Panel被展开之后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    The Panel that has been expanded.
 Panel
hide : ( Ext.Component this )
在组件隐藏之后触发。
在组件隐藏之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
 Component
maximize : ( Ext.Window this )
当窗口被最大化之后触发。
当窗口被最大化之后触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
 Window
minimize : ( Ext.Window this )
当窗体被最小化之后触发。
当窗体被最小化之后触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
 Window
move : ( Ext.Component this, Number x, Number y )
在组件移动之后触发。
在组件移动之后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • x : Number
    The new x position
  • y : Number
    The new y position
 BoxComponent
remove : ( Ext.Container this, Ext.Component component )
在任何Ext.Component 被从容器中移除之后触发。
在任何Ext.Component 被从容器中移除之后触发。
监听器将会被以如下的参数格式调用:
  • this : Ext.Container
  • component : Ext.Component
    The component that was removed
 Container
render : ( Ext.Component this )
在组件被渲染之后触发。
在组件被渲染之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
resize : ( Ext.Window this, Number width, Number height )
当窗体的大小发生变化时触发。
当窗体的大小发生变化时触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
  • width : Number
    The window's new width
  • height : Number
    The window's new height
 Window
restore : ( Ext.Window this )
当窗口在最大化后被恢复到原来的大小时触发。
当窗口在最大化后被恢复到原来的大小时触发。
监听器将会以如下的参数格式调用:
  • this : Ext.Window
 Window
show : ( Ext.Component this )
在组件显示之后触发。
在组件显示之后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
 Component
staterestore : ( Ext.Component this, Object state )
在组件状态被恢复后触发。
在组件状态被恢复后触发。
监听器将以如下的参数格式被调用
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
statesave : ( Ext.Component this, Object state )
在组件的状态被保存到配置的状态存储器中后触发。
在组件的状态被保存到配置的状态存储器中后触发。
监听器将会用如下的参数格式来调用:
  • this : Ext.Component
  • state : Object
    状态值的hash码
 Component
titlechange : ( Ext.Panel p, String The )
在Panel的标题被改变后触发。
在Panel的标题被改变后触发。
监听器将以如下的参数格式被调用
  • p : Ext.Panel
    the Panel which has had its title changed.
  • The : String
    new title.
 Panel


Class Ext.WindowGroup

包: | Ext
所在文件: | WindowManager.js
Class: | WindowGroup
子类: | WindowMgr
继承自: | Object
一个描述一组 Ext.Window 实例的对象，并提供z-order管理和窗口激活功能。

公共属性

Property |  | 所在类
 | zseed : Number 窗口起始z-index(默认值为 9000) | WindowGroup

公共方法

Method 所在类
WindowGroup()
参数:
  • 无.
返回值:
WindowGroup
bringToFront( String/Object win ) : Boolean
将指定的窗口放置到所有其它活动的窗口之前。
将指定的窗口放置到所有其它活动的窗口之前。
参数:
  • win : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Boolean
    True if the dialog was brought to the front, else false if it was already in front
 WindowGroup
each( Function fn, [Object scope] ) : void
在组中的每个窗口上执行一次指定的方法， 将每个窗口作为唯一的参数传递进去...
在组中的每个窗口上执行一次指定的方法， 将每个窗口作为唯一的参数传递进去。 如果方法返回false，将终止迭代。
参数:
  • fn : Function
    The function to execute for each item
  • scope : Object
    (可选) The scope in which to execute the function
返回值:
  • void
 WindowGroup
get( String/Object id ) : Ext.Window
根据id获取注册的窗口。
根据id获取注册的窗口。
参数:
  • id : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Ext.Window
 WindowGroup
getActive() : Ext.Window
获取分组中当前活动的窗口。
获取分组中当前活动的窗口。
参数:
  • 无.
返回值:
  • Ext.Window
    The active window
 WindowGroup
getBy( Function fn, [Object scope] ) : Array
使用传递到此方法的特定搜索函数，返回分组中的0个或多个窗口。 函数应该接收单个的...
使用传递到此方法的特定搜索函数，返回分组中的0个或多个窗口。 函数应该接收单个的 Ext.Window 引用作为其唯一的参数，并且，当窗口符合搜索标准时此方法应该返回一个true， 否则应该返回一个false。
参数:
  • fn : Function
    The search function
  • scope : Object
    (可选) The scope in which to execute the function (默认值为 the window that gets passed to the function if not specified)
返回值:
  • Array
    An array of zero or more matching windows
 WindowGroup
hideAll() : void
隐藏分组中的所有窗口。
隐藏分组中的所有窗口。
参数:
  • 无.
返回值:
  • void
 WindowGroup
sendToBack( String/Object win ) : Ext.Window
将指定的窗口放置到所有其它活动的窗口之后。
将指定的窗口放置到所有其它活动的窗口之后。
参数:
  • win : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Ext.Window
    The window
 WindowGroup

公共事件

该类没有公共事件。


WindowGroup
    WindowMgr

Class Ext.WindowMgr

包: | Ext
所在文件: | WindowManager.js
Class: | WindowMgr
继承自: | WindowGroup
默认的全局窗口组，自动创建。 如果需要不止一个窗口分组， 依据独立的z轴堆栈， 根据需要创建额外的 Ext.WindowGroup 对象。 as needed.

这是一个单例的类，不能直接实例化。

公共属性

Property |  | 所在类
 | zseed : Number 窗口起始z-index(默认值为 9000) | WindowGroup

公共方法

Method 所在类
bringToFront( String/Object win ) : Boolean
将指定的窗口放置到所有其它活动的窗口之前。
将指定的窗口放置到所有其它活动的窗口之前。
参数:
  • win : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Boolean
    True if the dialog was brought to the front, else false if it was already in front
 WindowGroup
each( Function fn, [Object scope] ) : void
在组中的每个窗口上执行一次指定的方法， 将每个窗口作为唯一的参数传递进去...
在组中的每个窗口上执行一次指定的方法， 将每个窗口作为唯一的参数传递进去。 如果方法返回false，将终止迭代。
参数:
  • fn : Function
    The function to execute for each item
  • scope : Object
    (可选) The scope in which to execute the function
返回值:
  • void
 WindowGroup
get( String/Object id ) : Ext.Window
根据id获取注册的窗口。
根据id获取注册的窗口。
参数:
  • id : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Ext.Window
 WindowGroup
getActive() : Ext.Window
获取分组中当前活动的窗口。
获取分组中当前活动的窗口。
参数:
  • 无.
返回值:
  • Ext.Window
    The active window
 WindowGroup
getBy( Function fn, [Object scope] ) : Array
使用传递到此方法的特定搜索函数，返回分组中的0个或多个窗口。 函数应该接收单个的...
使用传递到此方法的特定搜索函数，返回分组中的0个或多个窗口。 函数应该接收单个的 Ext.Window 引用作为其唯一的参数，并且，当窗口符合搜索标准时此方法应该返回一个true， 否则应该返回一个false。
参数:
  • fn : Function
    The search function
  • scope : Object
    (可选) The scope in which to execute the function (默认值为 the window that gets passed to the function if not specified)
返回值:
  • Array
    An array of zero or more matching windows
 WindowGroup
hideAll() : void
隐藏分组中的所有窗口。
隐藏分组中的所有窗口。
参数:
  • 无.
返回值:
  • void
 WindowGroup
sendToBack( String/Object win ) : Ext.Window
将指定的窗口放置到所有其它活动的窗口之后。
将指定的窗口放置到所有其它活动的窗口之后。
参数:
  • win : String/Object
    The id of the window or a Ext.Window instance
返回值:
  • Ext.Window
    The window
 WindowGroup

公共事件

该类没有公共事件。


Template
    XTemplate

Class Ext.XTemplate

包: | Ext
所在文件: | XTemplate.js
Class: | XTemplate
继承自: | Template

模板类支持更高级的功能，例如： 自动填充数组、 按照基本的比较运算符进行条件过滤、 子模板、 支持基本的方法匹配、 特殊的内置模板参数、 执行内嵌的代码， 等等。 模板也提供一种模式化的机制使它成为 Ext.DataView类的组件。

模板支持很多特殊的标签和内置的操作符，这些没有被作为API的一部分来定义，但是可以作为模板的一部分来创建。以下的例子演示了所有支持的特性。下面是一个数据对象，每段示例代码都使用这个对象。

var data = {
    name: 'Jack Slocum',
    title: 'Lead Developer',
    company: 'Ext JS, LLC',
    email: 'jack@extjs.com',
    address: '4 Red Bulls Drive',
    city: 'Cleveland',
    state: 'Ohio',
    zip: '44102',
    drinks: ['Red Bull', 'Coffee', 'Water'],
    kids: [{
        name: 'Sara Grace',
        age:3
    },{
        name: 'Zachary',
        age:2
    },{
        name: 'John James',
        age:0
    }]
};

自动填充数组并切换作用域
使用tpl标签和for 操作符， 你可以把作用域切换到for 所指向的对象，然后访问这个对象的成员来组装模板。 如果for 循环中的变量是一个数组，它将被自动填充，对于数组中的每个元素，重复tpl 标签中的模板(定义)块(来自动填充)。 （译者注：这句的意思是，如果for循环里面指定的对象是个数组，就会自动解析这个数组，然后使用数组中的每个元素来填充模板。）

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Title: {title}</p>',
    '<p>Company: {company}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
        '<p>{name}</p>',
    '</tpl></p>'
);
tpl.overwrite(panel.body, data);

从内部的子模板作用域访问父对象
当处理一个子模板时，例如当迭代”child”这个数组的时候，你可以通过parent关键字来访问父对象的成员。

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
        '<tpl if="age &gt; 1">',  // <-- Note that the > is encoded
            '<p>{name}</p>',
            '<p>Dad: {parent.name}</p>',
        '</tpl>',
    '</tpl></p>'
);
tpl.overwrite(panel.body, data);

数组元素序号和基本的匹配支持
当处理数组的时候，特殊的变量{#} 可以提供数组当前的index+1（这个数据）（从1开始，而不是0）。 模板也支持基本的数学运算符”+”、”-”、”*”、”/”，这些操作符可以直接在数字型的数据值上使用:

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
        '<tpl if="age &gt; 1">',  // <-- Note that the > is encoded
            '<p>{#}: {name}</p>',  // <-- Auto-number each item
            '<p>In 5 Years: {age+5}</p>',  // <-- Basic math
            '<p>Dad: {parent.name}</p>',
        '</tpl>',
    '</tpl></p>'
);
tpl.overwrite(panel.body, data);

自动渲染普通的数组（译者注：数组元素不是对象，是基本的String、Number）
普通的数组，包含的元素（不是对象型的）可以使用特殊的变量{.} 在一个循环体内自动渲染。 这个变量用来描述数组当前索引中的值：

var tpl = new Ext.XTemplate(
    '<p>{name}\'s favorite beverages:</p>',
    '<tpl for="drinks">',
       '<div> - {.}</div>',
    '</tpl>'
);
tpl.overwrite(panel.body, data);

基本的条件匹配逻辑
使用tpl标签和if 操作符，你可以提供条件检查，来决定是否渲染模板中指定的部分。 注意：没有else操作符—如果需要，你必须使用两个条件不同的if语句块。 这里需要编码好的（译者注：意指URL转义字符）符号，就像以下的示例一样:

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
        '<tpl if="age &gt; 1">',  // <-- Note that the > is encoded
            '<p>{name}</p>',
        '</tpl>',
    '</tpl></p>'
);
tpl.overwrite(panel.body, data);

执行任意内嵌代码的能力
在一个模板里面，位于”{[…]}”号中的任何东西都被当作是需要在模板作用域内被执行的代码。在这段代码里面，有一些特殊的变量可以使用：

  • values: 当前作用域下的值。如果你使用子模板来改变作用域，你就可以改变values的值。
  • parent: “祖先”模板的作用域（或值）。
  • xindex: 如果你在一个循环的模板里面，这个值表示你当前所在的“第几次”循环（从1开始）。
  • xcount:如果你在一个循环的模板里面，这个值表示你正在迭代的数组的总长度。
  • fm: Ext.util.Format对象的别名。
This example demonstrates basic row striping using an inline code block and the xindex variable:

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Company: {[values.company.toUpperCase() + ", " + values.title]}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
       '<div class="{[xindex % 2 === 0 ? "even" : "odd"]}">',
        '{name}',
        '</div>',
    '</tpl></p>'
);
tpl.overwrite(panel.body, data);

模板的成员函数
可以在config对象中定义一个或多个成员函数传递给XTemplate的构造函数，来进行更复杂的处理：

var tpl = new Ext.XTemplate(
    '<p>Name: {name}</p>',
    '<p>Kids: ',
    '<tpl for="kids">',
        '<tpl if="this.isGirl(name)">',
            '<p>Girl: {name} - {age}</p>',
        '</tpl>',
        '<tpl if="this.isGirl(name) == false">',
            '<p>Boy: {name} - {age}</p>',
        '</tpl>',
        '<tpl if="this.isBaby(age)">',
            '<p>{name} is a baby!</p>',
        '</tpl>',
    '</tpl></p>', {
     isGirl: function(name){
         return name == 'Sara Grace';
     },
     isBaby: function(age){
        return age < 1;
     }
});
tpl.overwrite(panel.body, data);

公共属性

该类没有公共属性。

公共方法

Method 所在类
XTemplate( String/Array/Object parts )
参数:
  • parts : String/Array/Object
    The HTML fragment or an array of fragments to join(""), or multiple arguments to join("") that can also include a config object
返回值:
XTemplate
XTemplate.from( String/HTMLElement el ) : Ext.Template
<静态> 通过传递进来的元素的值得或者它的innerHTML属性来创建一个模板。(display:none textarea,首选)
<静态> Creates a template from the passed element's value (display:none textarea, preferred) or innerHTML.
参数:
  • el : String/HTMLElement
    一个DOM元素或它的id
返回值:
  • Ext.Template
    创建的模板
 XTemplate
append( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并将新的节点(s)添加到el。
将提供的值应用到模板并将新的节点(s)添加到el。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
apply( Object/Array values ) : String
applyTemplate方法的别名。
applyTemplate方法的别名。 返回值 扩展了指定的值之后此模板的HTML标签。
参数:
  • values : Object/Array
    模板值。如果你的参数是数字值，可以是任何数组(例如：{0})，或者是一个对象(例如：{foo: 'bar'})
返回值:
  • String
    HTML标签
 XTemplate
applyTemplate( Object values ) : String
返回值 扩展了指定的值之后此模板的HTML标签。
返回值 扩展了指定的值之后此模板的HTML标签。
参数:
  • values : Object
    模板值。如果你的参数是数字值，可以是任何数组(例如：{0})，或者是一个对象(例如：{foo: 'bar'})
返回值:
  • String
    HTML标签
 XTemplate
compile() : Function
为了提高性能，将模板编译成一个function。如果模板被频繁使用，建议使用此方法。
为了提高性能，将模板编译成一个function。如果模板被频繁使用，建议使用此方法。
参数:
  • 无。
返回值:
  • Function
    编译好的方法。
 XTemplate
insertAfter( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并在el之后插入新的节点(s)。
将提供的值应用到模板并在el之后插入新的节点(s)。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
insertBefore( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板并在el之前插入新的节点(s)。
将提供的值应用到模板并在el之前插入新的节点(s)。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
insertFirst( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板中并将新的节点(s)作为el的第一个孩子插入。
将提供的值应用到模板中并将新的节点(s)作为el的第一个孩子插入。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template
overwrite( Mixed el, Object/Array values, [Boolean returnElement] ) : HTMLElement/Ext.Element
将提供的值应用到模板中并使用新的节点(s)覆盖el的 内容。
将提供的值应用到模板中并使用新的节点(s)覆盖el的 内容。
参数:
  • el : Mixed
    The context element
  • values : Object/Array
    The template values. Can be an array if your params are numeric (例如： {0}) or an object (例如： {foo: 'bar'})
  • returnElement : Boolean
    (可选) true to return a Ext.Element (默认值为 undefined)
返回值:
  • HTMLElement/Ext.Element
    The new node or Element
 Template

公共事件

该类没有公共事件。


Class Function

包: | Global
所在文件: | Ext.js
Class: | Function
继承自: | Object
这些方法对于每个Function对象都有效（任何一个js函数）。

公共属性

该类没有公共属性。

公共方法

Method 所在类
createCallback() : Function
该方法用来创建一个可以传递参数的回调函数。 该方法可以直接在任何一个function上调用。 例如: ...
该方法用来创建一个可以传递参数的回调函数。 该方法可以直接在任何一个function上调用。例如: myFunction.createCallback(arg1, arg2) 这样就创建了一个绑定了两个参数的方法。 如果回调函数需要特定的作用域，请用 createDelegate 方法替代。 createCallback()方法返回的函数总是在window作用域（顶级作用域）中执行。

如果你想给一个回调方法传递参数，则需要使用该方法。如果不需要参数，你可以直 接简单地传递一个函数的引用给需要回调的地方就可以了(例如callback: myFn)。（译者注：这句话的意思就是说，如果你不需要向回调函数传递参数，就没有必要使用createCallback()这个方法，直接按照常规的方式写就可以了）。 然而，（译者注：按照常规的写法的话），如果你尝试向回调函数传递参数，(例如callback: myFn(arg1, arg2))。那么函数在解析的时候就会被简单地执行。（译者注：而不是你期 望的在发生某件事情之后再来回调。）
示例用法:

var sayHi = function(name){
    alert('Hi, ' + name);
}

// clicking the button alerts "Hi, Fred"
new Ext.Button({
    text: 'Say Hi',
    renderTo: Ext.getBody(),
    handler: sayHi.createCallback('Fred')
});
参数:
  • 无.
返回值:
  • Function
    新的函数。
 Function
createDelegate( [Object obj], [Array args], [Boolean/Number appendArgs] ) : Function
创建一个代理（回调）函数，把作用域设置到参数obj上。 该函数可以直接再任何函数上调用。例如...
创建一个代理（回调）函数，把作用域设置到参数obj上。 该函数可以直接再任何函数上调用。例如: this.myFunction.createDelegate(this, [arg1, arg2]) 将会创建一函数并自动把作用域设置到obj上，这样的话，新的callback函数中的this属性指向obj对象。
示例用法:
var sayHi = function(name){
    // 注意 这里 这个"this.text"的用法。当前这个方法 期望
    // 在一个含有text属性的作用域中被执行。  在这个
    // 例子中，"this"变量指向了下面被
    // 传递进来的btn对象。
    alert('Hi, ' + name + '. You clicked the "' + this.text + '" button.');
}

var btn = new Ext.Button({
    text: 'Say Hi',
    renderTo: Ext.getBody()
});

// 这个回调函数将会 在 button实例的作用域中执行。
// 点击这个按钮会弹出
// "Hi, Fred. You clicked the "Say Hi" button."
btn.on('click', sayHi.createDelegate(btn, ['Fred']));
参数:
  • obj : Object
    (可选) 需要设置的目标作用域对象
  • args : Array
    (可选) 覆盖默认的调用参数。(默认为调用者传递进来的参数。)
  • appendArgs : Boolean/Number
    (可选) 如果为true，（第二个参数）args被 添加到调用参数中而不是覆盖。如果为数字，（第二个参数）args将被插入到指定的位置。
返回值:
  • Function
    新的函数
 Function
createInterceptor( Function fcn, [Object scope] ) : Function
创建一个拦截函数。传入的函数在原始的函数之前执行。如果...
创建一个拦截函数。传入的函数在原始的函数之前执行。如果传入的函数返回false， 就不执行原始的函数。最终函数返回原始函数的执行结果。传递进来的函数使用原始 函数的参数来调用。
示例用法:
var sayHi = function(name){
    alert('Hi, ' + name);
}

sayHi('Fred'); // alerts "Hi, Fred"

// create a new function that validates input without
// directly modifying the original function:
var sayHiToFriend = sayHi.createInterceptor(function(name){
    return name == 'Brian';
});

sayHiToFriend('Fred');  // no alert
sayHiToFriend('Brian'); // alerts "Hi, Brian"
参数:
  • fcn : Function
    需要在原始函数调用之前被调用的函数
  • scope : Object
    (可选) 拦截器的作用域(默认为原始函数的作用域或者window)
返回值:
  • Function
    新的函数
 Function
createSequence( Function fcn, [Object scope] ) : Function
使用原始的函数和传递进来的函数来创建一个组合的函数调用顺序...
使用原始的函数和传递进来的函数来创建一个组合的函数调用顺序（译者注：这是一 种类似管道式的调用效果，使用第一个函数的参数来调用第二个函数）。 最终执行的函数返回原始函数的结果。 使用原始函数的参数来调用传递进来的函数。
示例用法:
var sayHi = function(name){
    alert('Hi, ' + name);
}

sayHi('Fred'); // alerts "Hi, Fred"

var sayGoodbye = sayHi.createSequence(function(name){
    alert('Bye, ' + name);
});

sayGoodbye('Fred'); // both alerts show
参数:
  • fcn : Function
    需要顺序执行的函数
  • scope : Object
    (可选)传递进来函数的作用域 (默认作用域为原始函数的作用域或window)
返回值:
  • Function
    新的函数
 Function
defer( Number millis, [Object obj], [Array args], [Boolean/Number appendArgs] ) : Number
在指定的毫秒数之后调用函数，同时可以指定特定的作用域...
在指定的毫秒数之后调用函数，同时可以指定特定的作用域。
示例用法:
var sayHi = function(name){
    alert('Hi, ' + name);
}

// executes immediately:
sayHi('Fred');

// executes after 2 seconds:
sayHi.defer(2000, this, ['Fred']);

// this syntax is sometimes useful for deferring
// execution of an anonymous function:
(function(){
    alert('Anonymous');
}).defer(100);
参数:
  • millis : Number
    设置调用setTimeout的毫秒数（如果为0函数立即被调用）。
  • obj : Object
    (可选)需要设置的特定作用域
  • args : Array
    (可选) 覆盖默认的调用参数。(默认为调用者传递进来的参数。)
  • appendArgs : Boolean/Number
    (可选) 如果为true，（第二个参数）args被 添加到调用参数中而不是覆盖。如果为数字，（第二个参数）args将被插入到指定的位置。
返回值:
  • Number
    定时器id，可以用来清除定时器
 Function

公共事件

该类没有公共事件。


Class Number

包: | Global
所在文件: | Ext.js
Class: | Number
继承自: | Object

公共属性

该类没有公共属性。

公共方法

Method 所在类
constrain( Number min, Number max ) : Number
检查当前数值是否处于指定的区间之内，如果当前值处于区间内，直接返回该值；否则...
检查当前数值是否处于指定的区间之内，如果当前值处于区间内，直接返回该值；否则返回min或max，取决于当前值超出了哪一个边界。
注意：该方法返回约束值，但 不改变当前值。
参数:
  • min : Number
    最小值
  • max : Number
    最大值
返回值:
  • Number
    如果数值处于区间内，返回该值；如果数值小于min，返回min；如果数值大于max，返回max。
 Number

公共事件

该类没有公共事件。


Class String

包: | Global
所在文件: | Ext.js
Class: | String
继承自: | Object
这些方法是对JavaScript中String类静态方法的扩展。

公共属性

该类没有公共属性。

公共方法

Method 所在类
escape( String string ) : String
<静态> 将传进来的String中的’和\过滤掉。
<静态> 将传进来的String中的’和\过滤掉。
参数:
  • string : String
    需要进行过滤的字符串
返回值:
  • String
    过滤好的字符串
 String
format( String string, String value1, String value2 ) : String
<静态> 允许你自定义含有占位符的字符串，并且传递任意数量的参数去替代这些占位符。每一个占位符必须是...
<静态> 允许你自定义含有占位符的字符串，并且传递任意数量的参数去替代这些占位符。每一个占位符必须是唯一的，并且以{0}、{1}…这种格式递增。
示例用法:
var cls = 'my-class', text = 'Some text';
var s = String.format('<div class="{0}">{1}</div>', cls, text);
// s now contains the string: '<div class="my-class">Some text</div>'
参数:
  • string : String
    含有占位符，需要格式化的字符串
  • value1 : String
    替代占位符 {0}的字符串
  • value2 : String
    等等（译者注：以此类推）...
返回值:
  • String
    格式化好的字符串
 String
leftPad( String string, Number size, [String char] ) : String
<静态> 用指定的字符填充一个字符串的左侧。对于格式化数字或者日期字符串，这是...
<静态> 用指定的字符填充一个字符串的左侧。对于格式化数字或者日期字符串，这是一个非常有用的方法。
示例用法:
var s = String.leftPad('123', 5, '0');
// s now contains the string: '00123'
参数:
  • string : String
    原来的字符串
  • size : Number
    输出字符串的总长度
  • char : String
    (可选的) 填充的字符串(默认用空字符" "填充)
返回值:
  • String
    填充好的字符串
 String
toggle( String value, String other ) : String
工具方法，帮助你轻松地在两个字符串之间轮换取值...
工具方法，帮助你轻松地在两个字符串之间轮换取值。传入的第一个参数值会与当前字符串进行比较，如果它们相等，则把当前字符串赋值 为传入的第二个参数。否则，保持当前值不变。 注意，该方法会返回一个新的字符串，而不是去改变当前字符串。
// alternate sort directions
sort = sort.toggle('ASC', 'DESC');

// instead of conditional logic:
sort = (sort == 'ASC' ? 'DESC' : 'ASC');
参数:
  • value : String
    需要与当前值进行比较的字符串
  • other : String
    如当前字符串与第一个传入的参数相等，赋值给当前字符串的新值
返回值:
  • String
    新的字符串
 String
trim() : String
去掉字符串两端的空格,保持中间的空格不变。
示例用法: var s = ' foo bar ...
去掉字符串两端的空格,保持中间的空格不变。
示例用法:
var s = '  foo bar  ';
alert('-' + s + '-');         //alerts "- foo bar -"
alert('-' + s.trim() + '-');  //alerts "-foo bar-"
参数:
  • 无.
返回值:
  • String
    去掉两端空格后的字符串
 String

公共事件

该类没有公共事件。


2006-11-21 jvs:
ext-all.css contains all of the other css files combined and stripped of comments (except themes).


Easy CHM - http://www.eTextWizard.com

您现在使用的CHM文件由Easy CHM的未注册版本制作.
注册版本不会在CHM里自动添加此页面

Easy CHM 软件 软件出品: 国华软件 中国北京 |  | 截屏图片
 | 文件大小: 2989k - 2.84MB | 软件类型: 共享软件 购买注册: 这里
关键词: make chm, create chm, chm制作工具, chm电子书制作工具,chm帮助文件制作工具

描述:

Easy CHM是国华软件推出的一款强大的CHM电子书或CHM帮助文件的快速制作工具。使用EasyCHM只需要三个步骤就可以完成CHM的制作：1、用户指定一个目录，EasyCHM会自动导入全部目录及文件；2、设置CHM编译选项；3、开始制作。EasyCHM非常适合个人和单位制作高压缩比的带有全文检索及高亮显示搜索结果的网页集锦、CHM帮助文件、产品说明、公司介绍、CHM电子书等等。

主要功能：

  • 全自动的目录及文件导入（可以包括子目录）；
  • EasyCHM支持导入任意的文件类型；
  • EasyCHM操作速度快，性能稳定，EasyCHM因为上手容易深得广大用户好评；
  • EasyCHM自动生成CHM的目录列表并自动生成所有目录项；
  • 为CHM的目录列表自动添加多级编号；
  • 在编辑目录项、索引项时用到的移动、拖拽、替换等操作中Easy CHM完全支持多选操作，避免了一项一项地操作，极大的减少用户手工 － 非常适合企业维护CHM帮助文档；
  • 支持批量查找替换多级目录各项的标题文字内容；
  • 允许用户指定从文本文件的第N行自动截取标题；
  • 易用的目录编辑器；
  • 丰富实用的CHM制作选项帮助用户制作更加个性化的专业CHM电子书或CHM帮助文件；
  • EasyCHM自动生成输出Alias和Map头文件；
  • EasyCHM自动生成上下文相关的帮助文件（ContextID），适合于制作专业的支持Help Context ID的专业帮助文件；
  • EasyCHM可以保存工程文件，方便企业用户编辑维护文档。
  • 批量更换CHM目录各项的图标；
  • 内嵌CHM反编译工具；

EasyCHM未注册版本的主要限制：

  1. EasyCHM的未注册版本可以制作带任意层级目录的CHM，但是每个CHM的工具栏上都会自动添加一个ABOUT按钮，以提醒用户注册。注册版本不会添加ABOUT按钮。
  2. EasyCHM的未注册版本无法保存CHM的通用工程文件，如*.HHP、*.HHC、*.HHK等，未注册版本的EasyCHM会自动删除*.HHP、*.HHC、*.HHK这几个文件。

注册版本无任何限制。
如果EasyCHM可以为您的工作和学习提供帮助，请注册购买，感谢您给予软件作者的支持。
联系方式:
国华软件站点一: http://www.etextwizard.com
国华软件站点二: http://www.zipghost.com
技术支持信箱: webmaster@etextwizard.com
购买方式:
在线购买:（可提供发票，支持很多种支付方式，包括邮政汇款）
单用户企业版 299元 人民币 ：通过“共享软件注册中心”购买

单用户家庭版 99元 人民币： 通过“共享软件注册中心”购买
直接向作者注册（共3种方式）：
1、招商银行划款:
开户行： 招商银行北京分行双榆树支行
帐 号： 001015570093
户 名： 冯国华
2、中国农业银行金穗卡转帐（注意是卡号）：
金穗卡卡号： 95599 8001 42061 34216
收 款 人： 冯国华
3、中国工商银行牡丹灵通卡转帐：

开户城市：北京
牡丹灵通卡卡号：9558 8202 0000 3186295 （注意是卡号9558820200003186295）
收 款 人： 冯国华

注意事项：
直接向作者注册的用户请在汇出足额的注册费后以EMAIL形式通知作者，同时请尽量提供

  • 汇款日期

  • 汇出城市

  • 您汇到作者哪个帐号？

  • 汇款人姓名

  • 用于接收注册码的信箱（请确保可以接收邮件，最好多提供）

  • 您希望的注册用户名

  • 要注册的软件及套数

您提供的资料详细些会比较方便确认。
作者在确认支付已完成后将会马上发出注册码。
用户在收到注册信后请尽量给软件作者发个类似“已收到注册码”的确认信 - 感谢您的配合！
下载地址:

系统需求: Win98,WinME,WinXP,Windows2000,WinVista
安装支持: 支持安装及卸载